<?php
// Lógica de negocio
function verPrecioOferta($fecha,$hora,$jugadores,$buggies) {

   // devolvemos un concepto con las ofertas aplicadas.
   global $pdo ;

   $precios = verPrecioGF($fecha, $hora);

   $precioGreenfee = $precios[0]['preciogf'];
   $precioBuggie = $precios[0]['preciobuggie'];

   $totalOfertas = 0 ;

   $ofertasAplicadas = array();
   $ofertasPosibles = array();
   // las ofertas.

   // añadir las horas hecho
   $sql = "select codigo,precio,cantidadgf,cantidadbuggies, datediff(fechaini,fechafin) as dias from ofertas where (fechaini <= :mfechaini and fechafin >= :mfechafin) AND (horaini <= :mhoraini and horafin >= :mhorafin )  and activa = 1 order by dias desc,cantidadgf limit 1";
   $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':mfechaini',$fecha);
    $stmt->bindParam(':mfechafin',$fecha);
    $stmt->bindParam(':mhoraini',$hora);
    $stmt->bindParam(':mhorafin',$hora);
   $stmt->execute();
   $datos = $stmt->fetchAll(PDO::FETCH_ASSOC);


   foreach ($datos as $oferta) {
      $jugadoresOferta = $oferta['cantidadgf'];
      $buggiesOferta = $oferta['cantidadbuggies'];
      $precioOferta = $oferta['precio'];
      $codigoOferta = $oferta['codigo'];
      $salir = 0;
      while($salir == 0) :
         if ($jugadores > 0) {
            if ($jugadoresOferta > $jugadores && $buggiesOferta > $buggies) {
               $ofertasPosibles[] = $codigoOferta;

            }
            if ($jugadoresOferta <= $jugadores && $buggiesOferta > $buggies) {
               $ofertasPosibles[] = $codigoOferta;

            }
         }

         if ($jugadoresOferta <= $jugadores && $buggiesOferta <= $buggies) {
            $ofertasAplicadas[]['jugadores'] = $jugadoresOferta;
            $ofertasAplicadas[]['buggies'] = $buggiesOferta;
            $ofertasAplicadas[]['total'] = $precioOferta;
            $ofertasAplicadas[]['codigo'] = $codigoOferta;
            $jugadores = $jugadores - $jugadoresOferta ;
            $buggies = $buggies - $buggiesOferta ;
            $totalOfertas = $totalOfertas + $precioOferta ;
         } else
         {
            $salir = 1 ;
         }
      endwhile;
   }

   $jugadoresPrecioNormal = $jugadores ;
   $buggiesPrecioNormal = $buggies ;


   $array = array(
       'ofertasAplicadas'=>$ofertasAplicadas,
       'jugadores'=>$jugadoresPrecioNormal,
       'totaljugadores'=>$jugadoresPrecioNormal*$precioGreenfee,
       'preciogreenfee'=>$precioGreenfee,
       'buggies'=>$buggiesPrecioNormal,
       'preciobuggie'=>$precioBuggie,
       'totalbuggies'=>$buggiesPrecioNormal*$precioBuggie,
       'totaloferta' => $totalOfertas,
       'ofertasposibles'=>$ofertasPosibles,
       'totalreserva'=>$totalOfertas + ($buggiesPrecioNormal*$precioBuggie)+($jugadoresPrecioNormal*$precioGreenfee),
       'concepto'=>''
   );
   return $array ;
}

function verPrecioGF($fecha,$hora,$jugadores=1) {
    // Lógica de las tarifas.
    global $pdo ;
    $sql = "select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from tarifas where (fechaini <= :mfechaini and fechafin >= :mfechafin) AND (horaini <= :mhoraini and horafin >= :mhorafin ) order by dias desc limit 1";
    $stmt = $pdo->prepare($sql);

    $stmt->bindParam(':mfechaini',$fecha);
    $stmt->bindParam(':mfechafin',$fecha);
    $stmt->bindParam(':mhoraini',$hora);
    $stmt->bindParam(':mhorafin',$hora);
    $stmt->execute();
    $datos = $stmt->fetchAll();
    return $datos ;
}
// select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from tarifas where (fechaini <= '2007-01-05' and fechafin >= '2007-01-05') AND (horaini <= '10:00' and horafin >= '10:00' ) order by dias desc limit 1
function verOferta($fecha,$hora,$jugadores=1,$buggies=1) {
    //todoevo ver tema de la injección

    // Lógica de las tarifas.
    global $pdo ;
    $sql = sprintf("select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from ofertas where fechaini <= '%s' and fechafin >= '%s' and activa = 1 order by dias desc limit 1",$fecha,$fecha);
    $stmt = $pdo->prepare($sql);
    $stmt->execute();
    $datos = $stmt->fetchAll();
    return $datos ;
}
function grabaGFTemp($data,$pdo)
{
    // grabamos el array de datos
    $datafields = array('fecha' => '', 'hora' => '', 'fly' => '', 'recorrido' => '', 'jugador' => '','idreserva'=>'','idreservahora'=>'');
    // iniciamos la transacción.
    $pdo->beginTransaction(); // also helps speed up your inserts.
    $insert_values = array();
    foreach ($data as $d) {
        $question_marks[] = '(' . placeholders('?', sizeof($d)) . ')';
        $insert_values = array_merge($insert_values, array_values($d));
    }
    $sql = "INSERT INTO greenfeestemp (" . implode(",", array_keys($datafields)) . ") VALUES " . implode(',', $question_marks);
    $stmt = $pdo->prepare($sql);
    try {
        $stmt->execute($insert_values);
    } catch (PDOException $e) {
        echo $e->getMessage();
    }
    $pdo->commit();
}

// poner estas funciones en un fichero aparte
function placeholders($text, $count=0, $separator=","){
    $result = array();
    if($count > 0){
        for($x=0; $x<$count; $x++){
            $result[] = $text;
        }
    }
    return implode($separator, $result);
}

// generación del id de la reserva
function generaIdReserva()
{
    $characters ='0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randstring = '';
    for ($i = 0; $i < 8; $i++)
    {
        $randstring .= $characters[rand(0, strlen($characters)-1)];
    }
    // añadimos el año y el mes formato 1505
    return date('y').date('m').$randstring;
}

function microtime_float()
{
    list($usec, $sec) = explode(" ", microtime());
    return ((float)$usec + (float)$sec);
}

function getBaseUrl()
{
    if (PHP_SAPI == 'cli') {
        $trace=debug_backtrace();
        $relativePath = substr(dirname($trace[0]['file']), strlen(dirname(dirname(__FILE__))));
        echo "Warning: This sample may require a server to handle return URL. Cannot execute in command line. Defaulting URL to http://localhost$relativePath \n";
        return "http://localhost" . $relativePath;
    }
    $protocol = 'http';
    if ($_SERVER['SERVER_PORT'] == 443 || (!empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on')) {
        $protocol .= 's';
    }
    $host = $_SERVER['HTTP_HOST'];
    $request = $_SERVER['PHP_SELF'];
    return dirname($protocol . '://' . $host . $request);
}

/**
 * Procedimiento para enviar correos. Le pasamos los datos de la reserva.
 * @param $datos
 * @param $dreserva
 * @param $app
 */
function enviarCorreo2($datos,$dreserva,$app){
    $transport = Swift_SmtpTransport::newInstance('smtp.gmail.com', 465,'ssl')
        ->setUsername('evoratec@gmail.com')
        ->setSourceIp('0.0.0.0')
        ->setPassword('kakita_2010');
       /* ->setUsername('reservas@laurogolf.com')
        ->setPassword('8dh0sxZ2');*/

    $mailer = Swift_Mailer::newInstance($transport);

    // todoevo confirmación reserva en idiomas y poner en bcc a reservas@laurogolf.com
    $formaDePago = '' ;
    switch($datos['formapago']) {
        case 'TC':
            $formaDePago = 'TARJETA DE CRÉDITO';
            break;
        case 'PA':
            $formaDePago = 'PAYPAL';
            break;
        case 'OF':
            $formaDePago = 'EN OFICINAS DEL CLUB';break;
    }

    $mensaje =  $app->view->fetch('email_es.html', array('reserva'=>$datos,'dreserva'=>$dreserva,'formadepago'=>$formaDePago));
    $emailCliente = $datos['email'] ;
    $message = Swift_Message::newInstance('Lauro Golf Booking')
        ->setFrom(array('reservas@laurogolf.com' => 'Laurogolf Booking'))
        ->setTo(array($emailCliente))
        ->setBody($mensaje, 'text/html');

    try{

        $response = $mailer->send($message);

    }catch(\Swift_TransportException $e){
        $response = $e->getMessage() ;

    }
    return $response ;
}
function enviarCorreo($datos,$dreserva,$app){
    if (ENTORNO == 'DEV') {

        return;
    }
    $formaDePago = '' ;
    switch($datos['formapago']) {
        case 'TC':
            $formaDePago = 'TARJETA DE CRÉDITO';
            break;
        case 'PA':
            $formaDePago = 'PAYPAL';
            break;
        case 'OF':
            $formaDePago = 'EN OFICINAS DEL CLUB';break;
    }

    // todoevo mensaje en inglés

    $mensaje =  $app->view->fetch('email_es.html', array('reserva'=>$datos,'dreserva'=>$dreserva,'formadepago'=>$formaDePago));

    $emailCliente = $datos['email'] ;

    $headers = "MIME-Version: 1.0\r\n";
    $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
    $headers .= "From: Lauro Golf Bookings <info@laurogolf.com>\r\n";
    $headers .= "Reply-To: info@laurogolf.com\r\n";
    $headers .= "Cc: info@laurogolf.com\r\n";
    $headers .= "Bcc: evoratec@gmail.com\r\n";
    mail($emailCliente,"LauroGolf Booking",$mensaje,$headers);
}
/**
 * Procedimiento para enviar correos. Le pasamos los datos de la reserva.
 * @param $datos
 * @param $dreserva
 * @param $app
 */
function enviarCorreoReserva($idReserva,$app){

    $reserva = Reservas::where('idreserva','=',$idReserva)->get()->toArray();
    $dreserva = Dreservas::where('idreserva','=',$idReserva)->get();

    // todoevo, cambiarlos datos para el envio del correo
    enviarCorreo($reserva[0],$dreserva->toArray(),$app);

}

// función standard para grabar un modelo se da en la mayoría de los casos.
function grabaModelo($modelo,$datos) {
    $resultado = 0 ;
    $mensajes = '' ;
    $id = $datos['id'];
    if ($id > 0) {
        try{
            $registro = $modelo::find((int)$id);
            $registro->saveData($datos);
            $resultado = $id ;
        } catch (\Exception $e) {
            $resultado = 0 ;
            $mensajes = $e->getMessage() ;
        }
    } else {
        try{
            $registro = new $modelo;
            $registro->saveData($datos);
            $resultado = $registro->id;
        } catch (\Exception $e) {
            $resultado = 0 ;
            $mensajes = $e->getMessage() ;
        }
    }
    $estado = 'ko';
    if ($resultado > 0) $estado = 'ok';
    return ['resultado' => $estado,'id'=>$resultado,'mensajes'=>$mensajes] ;
}

function evolog($variable) {
    error_log(print_r($variable,true),3,"errores_evoratec.log");
    error_log('');
}

