<?php
use Valitron\Validator;
use Illuminate\Database\Capsule\Manager as DB;

final class Albaranes extends Illuminate\Database\Eloquent\Model
{
    use SaveData ;

    protected $guarded = ['id'];
    protected $table = "albaranes";
    public $timestamps = false;

    public function getValidator($data)
    {
        $v = new Validator($data);
        /*  $v->rule('required', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('numeric', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('required', 'fecha_inicio')->message('Fecha de inicio requerida');
          $v->rule('dateBefore','fecha_inicio',$data['fecha_fin'])->message('La fecha de fin ha de ser superior a la fecha de inicio');*/
        return $v;
    }

    public function lista($fechaIni,$fechaFin,$estado,$cliente_id,$facturar) {
        $data = DB::table('albaranes')
            ->leftJoin('clientes', 'clientes.id', '=', 'albaranes.cliente_id')
            ->leftJoin('facturas', 'facturas.id', '=', 'albaranes.factura_id')
            ->leftJoin('reservas', 'reservas.id', '=', 'albaranes.reserva_id')
            ->select('albaranes.*','clientes.razon_social','reservas.idreserva','reservas.nombre','facturas.doc as factura_doc')
            ->whereBetween('albaranes.fecha', array($fechaIni,$fechaFin)) ;

        switch ($estado){
            case 'F':
                $data->where('albaranes.factura_id','>',0);
                break;
            case 'E':
                $data->whereNull('albaranes.factura_id');
                break;
            case 'N':
                $data->whereNull('albaranes.fecha_entrega');
                break;
            default:
                break;
        }
        if($cliente_id > 0 && !$facturar) {
            $data->where('albaranes.cliente_id','=',$cliente_id);
        }
        if($facturar) {
            $data->where('albaranes.factura_id','=',0);
            $data->where('albaranes.cliente_id','=',$cliente_id);
        }
        $data->orderBy('albaranes.fecha');
        return $data->get();
    }

    public static function listaFacturados($factura_id) {
        $data = DB::table('albaranes')
            ->leftJoin('clientes', 'clientes.id', '=', 'albaranes.cliente_id')
            ->leftJoin('facturas', 'facturas.id', '=', 'albaranes.factura_id')
            ->leftJoin('reservas', 'reservas.id', '=', 'albaranes.reserva_id')
            ->select('albaranes.*','clientes.razon_social','reservas.idreserva','reservas.nombre','facturas.doc as factura_doc');
        $data->where('albaranes.factura_id','=',$factura_id);
        $data->orderBy('albaranes.fecha');
        return $data->get();
    }

}