<?php
use Valitron\Validator;
use Illuminate\Database\Capsule\Manager as DB;

final class AlbaranesCompra extends Illuminate\Database\Eloquent\Model
{
    use SaveData ;

    protected $guarded = ['id'];
    protected $table = "albaranes_compra";
    public $timestamps = false;

    public function getValidator($data)
    {
        $v = new Validator($data);
        /*  $v->rule('required', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('numeric', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('required', 'fecha_inicio')->message('Fecha de inicio requerida');
          $v->rule('dateBefore','fecha_inicio',$data['fecha_fin'])->message('La fecha de fin ha de ser superior a la fecha de inicio');*/
        return $v;
    }

    public function lista($fechaIni,$fechaFin,$estado,$proveedor_id,$facturar) {
        $data = DB::table('albaranes')
            ->leftJoin('proveedores', 'proveedores.id', '=', 'albaranes_compra.proveedor_id')
            ->leftJoin('facturas_compra', 'facturas_compra.id', '=', 'albaranes_compra.factura_id')
            ->select('albaranes_compra.*','proveedores.razon_social','facturas_compra.doc as factura_doc')
            ->whereBetween('albaranes_compra.fecha', array($fechaIni,$fechaFin)) ;

        switch ($estado){
            case 'F':
                $data->where('albaranes_compra.factura_id','>',0);
                break;
            case 'E':
                $data->whereNull('albaranes_compra.factura_id');
                break;
            case 'N':
                $data->whereNull('albaranes_compra.fecha_entrega');
                break;
            default:
                break;
        }
        if($proveedor_id > 0 && !$facturar) {
            $data->where('albaranes_compra.proveedor_id','=',$proveedor_id);
        }
        if($facturar) {
            $data->where('albaranes_compra.factura_id','=',0);
            $data->where('albaranes_compra.proveedor_id','=',$proveedor_id);
        }
        $data->orderBy('albaranes_compra.fecha');
        return $data->get();
    }

    
}