<?php
use Valitron\Validator;
use Illuminate\Database\Capsule\Manager as DB;

final class Facturas extends Illuminate\Database\Eloquent\Model
{
    use SaveData ;

    protected $guarded = ['id'];
    protected $table = "facturas";
    public $timestamps = false;

    public function getValidator($data)
    {
        $v = new Validator($data);
        /*  $v->rule('required', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('numeric', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('required', 'fecha_inicio')->message('Fecha de inicio requerida');
          $v->rule('dateBefore','fecha_inicio',$data['fecha_fin'])->message('La fecha de fin ha de ser superior a la fecha de inicio');*/
        return $v;
    }

    public static function lista($fechaIni,$fechaFin,$cliente_id) {

        $data = DB::table('facturas')
            ->leftJoin('clientes', 'clientes.id', '=', 'facturas.cliente_id')
            ->leftJoin('reservas', 'reservas.id', '=', 'facturas.reserva_id')
            ->select('facturas.*','clientes.razon_social','reservas.idreserva')
            ->whereBetween('facturas.fecha', array($fechaIni,$fechaFin)) ;

        if($cliente_id > 0) {
            $data->where('facturas.cliente_id','=',$cliente_id);
        }
        $data->orderBy('facturas.fecha')->orderBy('facturas.doc');
        return $data->get();
    }

    public static function recalcular($id) {
        $lineasVenta = LineasVenta::where('factura_id',$id)->get() ;
        $totalFactura = 0;
        $impuestos = array();
        $datosImpuesto = array();
        // Procedimiento para calcular las bases del iva incluido en los albaranes.
        if ($lineasVenta) {
            foreach ($lineasVenta as $linea) {
                $porcentage = $linea['tipo_iva'];
                if (!isset($impuestos[$porcentage])) {
                    $impuestos[$porcentage] = ['total_iva' => $porcentage, 'base'=> 0,'total'=>0,'tipo_iva'=>$porcentage];
                }
                $impuestos[$porcentage]['total'] = $impuestos[$porcentage]['total'] + $linea['total'];
                $totalFactura = $totalFactura + $linea['total'];
            };

        }
        foreach ($impuestos as $impuesto) {
            $base = $impuesto['total'] / ( 1 + ($impuesto['tipo_iva'] / 100) ) ;
            $base = round($base,2);
            $impuestos[$porcentage]['total_iva'] = $impuesto['total'] - $base ;
            $impuestos[$porcentage]['base'] = $base;
        };

        return ['impuestos'=>$impuestos,'total'=>$totalFactura];
    }
}