<?php
use Valitron\Validator;
use Illuminate\Database\Capsule\Manager as DB;

final class FacturasCompra extends Illuminate\Database\Eloquent\Model
{
    use SaveData ;

    protected $guarded = ['id'];
    protected $table = "facturas_compra";
    public $timestamps = false;

    public function getValidator($data)
    {
        $v = new Validator($data);
        /*  $v->rule('required', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('numeric', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('required', 'fecha_inicio')->message('Fecha de inicio requerida');
          $v->rule('dateBefore','fecha_inicio',$data['fecha_fin'])->message('La fecha de fin ha de ser superior a la fecha de inicio');*/
        return $v;
    }

    public static function lista($fechaIni,$fechaFin,$estado,$cliente_id) {
        $data = DB::table('facturas_compra as f')
            ->leftJoin('proveedores as p', 'p.id', '=', 'f.proveedor_id')
            ->select('f.*','p.razon_social')
            ->whereBetween('f.fecha', array($fechaIni,$fechaFin)) ;
        switch ($estado){
            case 'F':
                $data->where('f.factura_id','>',0);
                break;
            case 'E':
                $data->whereNull('f.factura_id');
                break;
         
            default:
                break;
        }
        if($cliente_id > 0) {
            $data->where('f.proveedor_id','=',$cliente_id);
        }
        $data->orderBy('f.fecha')->orderBy('f.doc');
        return $data->get();
    }

    public static function recalcular($id) {
        $lineasVenta = LineasCompra::where('factura_id',$id)->get() ;
        $totalFactura = 0;
        $impuestos = array();
        $datosImpuesto = array();
        // Procedimiento para calcular las bases del iva incluido en los albaranes.
        if ($lineasVenta) {
            foreach ($lineasVenta as $linea) {
                $porcentage = $linea['tipo_iva'];
                if (!isset($impuestos[$porcentage])) {
                    $impuestos[$porcentage] = ['total_iva' => $porcentage, 'base'=> 0,'total'=>0,'tipo_iva'=>$porcentage];
                }
                $impuestos[$porcentage]['total'] = $impuestos[$porcentage]['total'] + $linea['total'];
                $totalFactura = $totalFactura + $linea['total'];
            };

        }
        foreach ($impuestos as $impuesto) {
            $base = $impuesto['total'] / ( 1 + ($impuesto['tipo_iva'] / 100) ) ;
            $base = round($base,2);
            $impuestos[$porcentage]['total_iva'] = $impuesto['total'] - $base ;
            $impuestos[$porcentage]['base'] = $base;
        };

        return ['impuestos'=>$impuestos,'total'=>$totalFactura];

    }

}