<?php
use Valitron\Validator;
use Illuminate\Database\Capsule\Manager as DB;

final class Tickets extends Illuminate\Database\Eloquent\Model
{
    use SaveData ;

    protected $guarded = ['id'];
    protected $table = "tickets";
    public $timestamps = false;

    public function getValidator($data)
    {
        $v = new Validator($data);
        /*  $v->rule('required', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('numeric', 'cantidad')->message('Introduzca Cantidad');
          $v->rule('required', 'fecha_inicio')->message('Fecha de inicio requerida');
          $v->rule('dateBefore','fecha_inicio',$data['fecha_fin'])->message('La fecha de fin ha de ser superior a la fecha de inicio');*/
        return $v;
    }

    public function lista($fechaIni,$fechaFin,$estado,$cliente_id,$esDiario) {
        $data = DB::table('tickets')
            ->leftJoin('clientes', 'clientes.id', '=', 'tickets.cliente_id')
            ->select('tickets.*','clientes.razon_social')
            ->whereBetween('tickets.fecha', array($fechaIni,$fechaFin)) ;

        switch ($estado){
            case 'F':
                $data->where('tickets.factura_id','>',0);
                break;
            case 'E':
                $data->whereNull('tickets.factura_id');
                break;
            case 'N':
                $data->whereNull('tickets.fecha_entrega');
                break;
            default:
                break;
        }
        if($cliente_id > 0) {
            $data->where('tickets.cliente_id','=',$cliente_id);
        }
        if ($esDiario) {
            $data->orderBy('tickets.hora','DESC');
        } else {
            $data->orderBy('tickets.fecha')->orderBy('tickets.doc');
        }

        return $data->get();
    }



}