<?php

$container = $app->getContainer();

// Database
$container['capsule'] = function ($c) {
    $capsule = new Illuminate\Database\Capsule\Manager;
    $capsule->addConnection($c['settings']['db']);
    $capsule->setAsGlobal();
    $capsule->bootEloquent();
    return $capsule;
};

// Twig
$container['view'] = function ($c) {
    $settings = $c->get('settings');
    $view = new Slim\Views\Twig($settings['view']['template_path'], $settings['view']['twig']);

// Add extensions
    $view->addExtension(new Slim\Views\TwigExtension($c->get('router'), $c->get('request')->getUri()));
    $view->addExtension(new Twig_Extension_Debug());
    $view->addExtension(new Twig_Extension_StringLoader());
//  $view->addExtension(new \DPolac\TwigLambda\LambdaExtension());

    return $view;
};

$container['signer'] = function ($c) {
    $secret = '948thkd3sdfnoug2p4g2o...';
    $signer = new Kunststube\CSRFP\SignatureGenerator($secret);
    return $signer ;
};


