<?php
/* este es el middleware para autenticar el token de auth0
   Todas las llamadas a la api deben de ser autenticadas
*/
use Slim\App;
use Slim\Exception\NotFoundException;
use Slim\Http\Request;
use Slim\Http\Response;

// use Auth0\SDK\JWTVerifier;

$container = $app->getContainer();
// cors
// header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Content-Type, Authorization, X-Requested-With');

$mwAuth0 = function (Request $request, Response $response, callable $next) use ($container) {
    // todoevo provisional
    $settings = $container->get('settings');
    //$authorizationHeader =  $_SERVER['REDIRECT_REDIRECT_HTTP_AUTHORIZATION'] ; // Producción
    $authorizationHeader =  $_SERVER['REDIRECT_HTTP_AUTHORIZATION'] ; // desarrollo
    if (!isset($authorizationHeader)) {
        header('HTTP/1.0 401 Unauthorized');
        echo "No token provided";
        var_dump($_SERVER);
        exit();
    }
    if ($authorizationHeader == null) {
        header('HTTP/1.0 401 Unauthorized');
        echo "No authorization header sent";
        exit();
    }

    /*

    $requestHeaders = apache_request_headers();
    if (!isset($requestHeaders['Authorization'])) {
        header('HTTP/1.0 401 Unauthorized');
        echo "No token provided.";
        exit();
    }

    $authorizationHeader = $requestHeaders['Authorization'];

    if ($authorizationHeader == null) {
        header('HTTP/1.0 401 Unauthorized');
        echo "No authorization header sent";
        exit();
    }*/

   /* $token = str_replace('Bearer ', '', $authorizationHeader);

    // esto no tiene porque estar hecho con auth0. Lo podemos hacer como lo hicimos con laurogolfp. Hay que pensarlo antes.
    // todoevo esto hay que ponerlo con variables que se definan en el index del api ya que es lo que determina
    // el origen del token

    $client_id = $settings['auth0']['client_id'];
    $client_secret = $settings['auth0']['client_secret'];

    $authorized_iss =  ['https://evoravet0001.eu.auth0.com/'] ;
    $cache = null ;
    try {
        $verifier = new JWTVerifier([
            'supported_algs' => ['RS256','HS256'], // temporal hasta que no hagamos los cambiso y migremos.
            // para la nueva necesitamos RS256 o para react
            'valid_audiences' =>[$client_id],
            'client_secret' => $client_secret,
            'authorized_iss' => $authorized_iss,
            'cache' => $cache,
        ]);
        $verifier->verifyAndDecode($token);

    } catch (\Auth0\SDK\Exception\CoreException $e) {
        header('HTTP/1.0 401 Unauthorized');
        echo "Invalid token";
        echo $e ;
        exit();
    }*/
    return $next ($request, $response);
};


$loggedInMiddleware = function ($request, $response, $next) {
    $route = $request->getAttribute('route');
    $routeName = $route->getName();
    $groups = $route->getGroups();
    $methods = $route->getMethods();
    $arguments = $route->getArguments();

    $publicRoutesArray = array(
        'login'
    );

    if (!isset($_SESSION['user']) && !in_array($routeName, $publicRoutesArray))
    {
        // redirect the user to the login page and do not proceed.
        $response = $response->withRedirect(BASEURL.'/login');
    }
    else
    {
        // Proceed as normal...
        $response = $next($request, $response);
    }

    return $response;
};

// Apply the middleware to every request.
// $app->add($loggedInMiddleware);