<?php
use App\Controllers\HomeController ;
use App\Controllers\TarifasGolfController ;
use App\Controllers\ConfigController ;
use App\Controllers\SeriesController ;


// conexión pdo.
$pdo = new PDO('mysql:host=localhost;dbname='.DB_NAME.';charset=utf8', DB_USER, DB_PASSWORD);
$pdo->exec("set names utf8");

$container['Utiles'] = function ($container) use ($app) {
    return new \App\Controllers\UtilesController(
        $app,
        $container->get('view')
    );

};

$container['Pdo'] = function ($container) use ($app) {
    $pdo = new PDO('mysql:host=localhost;dbname='.DB_NAME.';charset=utf8', DB_USER, DB_PASSWORD);
    $pdo->exec("set names utf8");
    return $pdo ;
};
/*$container['logger'] = function ($c) {
    $settings = $c->get('settings');
    $logger = new Monolog\Logger($settings['logger']['name']);
    $logger->pushProcessor(new Monolog\Processor\UidProcessor());
    $logger->pushHandler(new Monolog\Handler\StreamHandler($settings['logger']['path'], Monolog\Logger::DEBUG));
    return $logger;
};*/

$app->get('/api/utiles','Utiles:index');
$app->get('/api/exportar-cplus','Utiles:exportarContaplus');
$app->post('/api/estadisticas-ventas','Utiles:estadisticaVentas');

$container['Clientes'] = function ($container) use ($app) {
    return new \App\Controllers\ClientesController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view'),
        $container->get('Utiles')
    );
};

$app->post('/api/clientes/lista','Clientes:lista');
$app->post('/api/clientes/grabar','Clientes:grabar');
$app->post('/api/clientes/ver','Clientes:ver');
$app->post('/api/clientes/extracto','Clientes:extracto');
$app->post('/api/clientes/borrar','Clientes:borrar');
$app->post('/api/clientes/graba-cuota','Clientes:grabaCuota');
$app->post('/api/clientes/lista-cuotas','Clientes:listaCuotas');
$container['Proveedores'] = function ($container) use ($app) {
    return new \App\Controllers\ProveedoresController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->post('/api/proveedores/lista','Proveedores:lista');
$app->post('/api/proveedores/grabar','Proveedores:grabar');
$app->post('/api/proveedores/ver','Proveedores:ver');
$app->post('/api/proveedores/borrar','Proveedores:borrar');


$container['Cobros'] = function ($container) use ($app) {
    return new \App\Controllers\CobrosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};

$app->post('/api/cobros/grabar','Cobros:grabar');
$app->post('/api/cobros/borrar','Cobros:borrar');




$container['Reservas'] = function ($container) use ($app) {
    return new \App\Controllers\ReservasController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view'),
        $container->get('Utiles')
    );
};
$app->post('/api/reservas/ocupacion-mensual','Reservas:ocupacionMensual');
$app->post('/api/reservas/reserva-nueva','Reservas:reservaNueva');
$app->post('/api/reservas/actualiza-greenfees-reserva','Reservas:actualizaGreenfeesReserva');
$app->post('/api/reservas/actualiza-greenfees-reserva-hora','Reservas:actualizaGreenfeesReservaHora');
$app->post('/api/reservas/leer-greenfees-reserva','Reservas:leerGreenfees');




$container['Albaranes'] = function ($container) use ($app) {
    return new \App\Controllers\AlbaranesController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};


$app->group('/api',  function () use ($app) {
    $app->post('/albaranes/lista', 'Albaranes:lista');
    $app->post('/albaranes/grabar',  'Albaranes:grabar');
    $app->post('/albaranes/nuevo', 'Albaranes:nuevo');

    $app->post('/albaranes/nuevo-no-reserva', 'Albaranes:nuevoNoReserva');

    $app->post('/albaranes/ver', 'Albaranes:leer');
    $app->post('/albaranes/cobros', 'Albaranes:cobros');
    $app->post('/albaranes/borrar', 'Albaranes:borrar');

    $app->post('/albaranes/imprimir', 'Albaranes:imprimir');
    $app->post('/albaranes/facturar', 'Albaranes:facturar');
    $app->post('/albaranes/lista-facturar', 'Albaranes:listaSinFac');

    $app->post('/albaranes/lista-albaranes-factura', 'Albaranes:listaFacturados');

    $app->post('/albaranes/lineas-venta','Albaranes:leerLineasVenta');


    $app->post('/albaranes/listado','Albaranes:imprimirListado');

    $app->post('/albaranes/generar-albaranes-reserva', 'Albaranes:generarAlbaranesReserva');
    $app->post('/albaranes/generar-albaran-greenfees', 'Albaranes:generarAlbaraneGreenfees');

    $app->post('/albaranes/grabar-linea', 'Albaranes:grabarLinea');
    $app->post('/albaranes/borrar-linea', 'Albaranes:borrarLinea');
});

// facturas
$container['Facturas'] = function ($container) use ($app) {
    return new \App\Controllers\FacturasController(
        $app,
        $container->get('view')
    );
};
$app->group('/api/facturas',  function () use ($app) {
    $app->post('/lista', 'Facturas:lista');
    $app->get('/lista', 'Facturas:listaPowerBi');
    $app->post('/grabar',  'Facturas:grabar');
    $app->post('/nuevo', 'Facturas:nuevo');
    $app->post('/ver', 'Facturas:leer');
    $app->post('/cobros', 'Facturas:cobros');
    $app->post('/depositos', 'Facturas:depositos');

    $app->post('/ana-albaranes', 'Facturas:anaAlbaranesFactura');
    $app->post('/quitar-albaranes', 'Facturas:quitarAlbaranesFactura');
    $app->post('/ver-ultima', 'Facturas:verUltima');

    $app->post('/imprimir', 'Facturas:imprimir');
    $app->post('/lineas-venta','Facturas:leerLineasVenta');
    $app->post('/listado','Facturas:imprimirListado');

    $app->post('/grabar-linea', 'Facturas:grabarLinea');
    $app->post('/borrar-linea', 'Facturas:borrarLinea');
});

$container['Tickets'] = function ($container) use ($app) {
    return new \App\Controllers\TicketsController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view'),
        $container->get('Utiles')
    );
};

$app->group('/api',  function () use ($app) {
    $app->post('/tickets/lista', 'Tickets:lista');
    $app->post('/tickets/grabar',  'Tickets:grabar');
    $app->post('/tickets/nuevo', 'Tickets:nuevo');
    $app->post('/tickets/ver', 'Tickets:leer');
    $app->post('/tickets/cobros', 'Tickets:cobros');
    $app->post('/tickets/imprimir', 'Tickets:imprimir');
    $app->post('/tickets/ver-producto', 'Tickets:verProducto');
    $app->post('/tickets/listado-diario', 'Tickets:listadoDiario');
    $app->post('/tickets/listado-caja', 'Tickets:listadoCaja');
    $app->post('/tickets/borra-temp', 'Tickets:borrarTemporal');
    $app->post('/tickets/nuevo-ticket-reserva-express','Tickets:nuevoTicketReservaExpress');
    $app->post('/tickets/facturar-greenfees-reserva','Tickets:facturarGreenfees');
});

$container['Productos'] = function ($container) use ($app) {
    return new \App\Controllers\ProductosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->group('/api',  function () use ($app) {
    $app->post('/productos/lista', 'Productos:lista');
    $app->post('/productos/lista-golf', 'Productos:listaGolf');
    $app->post('/productos/grabar',  'Productos:grabar');
    $app->post('/productos/borrar',  'Productos:borrar');
    $app->post('/productos/ver', 'Productos:ver');
    $app->post('/productos/actualiza-stock', 'Productos:actualizaStock');
    $app->post('/productos/actualiza-precio', 'Productos:actualizaPrecio');
    $app->post('/productos/etiquetas', 'Productos:etiquetas');
    $app->post('/productos/etiquetas-compras', 'Productos:etiquetasCompras');
    $app->post('/productos/recalculo-stock', 'Productos:recalculoStock');
    $app->post('/productos/extracto', 'Productos:extracto');
    $app->post('/productos/recalcular-stocks', 'Productos:recalculoStocks');
    $app->post('/productos/inventario-fecha', 'Productos:verIntenvarioFecha');
    $app->post('/productos/ver-datos', 'Productos:verDatosProducto');


});

$container['TarifasProductos'] = function ($container) use ($app) {
    return new \App\Controllers\TarifasProductosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->group('/api/tarifas-productos',  function () use ($app) {
    $app->post('/lista', 'TarifasProductos:lista');
    $app->post('/grabar',  'TarifasProductos:grabar');
    $app->post('/grabar-producto-tarifa',  'TarifasProductos:grabarProductoTarifa');
    $app->post('/ver', 'TarifasProductos:ver');
});

$container['Formaspago'] = function ($container) use ($app) {
    return new \App\Controllers\FormaspagoController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->group('/api',  function () use ($app) {
    $app->post('/formaspago/lista', 'Formaspago:lista');
    $app->post('/formaspago/grabar',  'Formaspago:grabar');
    $app->post('/formaspago/ver', 'Formaspago:ver');
});

$container['Familias'] = function ($container) use ($app) {
    return new \App\Controllers\FamiliasController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->group('/api',  function () use ($app) {
    $app->post('/familias/lista', 'Familias:lista');
    $app->post('/familias/grabar',  'Familias:grabar');
    $app->post('/familias/ver', 'Familias:ver');
    $app->post('/familias/ver-padres', 'Familias:familiasPadre');
    $app->post('/familias/ver-familia', 'Familias:lista');
});

$container['FacturasCompra'] = function ($container) use ($app) {
    return new \App\Controllers\FacturasCompraController(
        $app,
        $container->get('view')
    );
};
$app->group('/api/facturas-compra',  function () use ($app) {
    $app->post('/lista', 'FacturasCompra:lista');
    $app->post('/grabar',  'FacturasCompra:grabar');
    $app->post('/nuevo', 'FacturasCompra:nuevo');
    $app->post('/ver', 'FacturasCompra:leer');

    /*$app->post('/ana-albaranes', 'Facturas:anaAlbaranesFactura');
    $app->post('/quitar-albaranes', 'Facturas:quitarAlbaranesFactura');*/

    $app->post('/ver-ultima', 'FacturasCompra:verUltima');

    $app->post('/imprimir', 'FacturasCompra:imprimir');
    $app->post('/lineas-compra','FacturasCompra:leerLineasCompra');
    $app->post('/listado','FacturasCompra:imprimirListado');

    $app->post('/grabar-linea', 'FacturasCompra:grabarLinea');
    $app->post('/borrar-linea', 'FacturasCompra:borrarLinea');

    $app->post('/borrar', 'FacturasCompra:borrar');
});

$app->group('/api/compras',  function () use ($app) {
    $app->post('/grabar-linea', 'FacturasCompra:grabarLinea');
    $app->post('/borrar-linea', 'FacturasCompra:borrarLinea');
});

$container['Cobros'] = function ($container) use ($app) {
    return new \App\Controllers\CobrosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};

$app->group('/api/cobros',  function () use ($app) {
    $app->post('/lista', 'Cobros:lista');
});



$container['Pagostpv'] = function ($container) use ($app) {
    return new \App\Controllers\PagostpvController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};
$app->group('/api',  function () use ($app) {
    $app->post('/pagostpv/lista', 'Pagostpv:lista');
    $app->post('/pagostpv/grabar',  'Pagostpv:grabar');

});

$container['Abonos'] = function ($container) use ($app) {
    return new \App\Controllers\AbonosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};

$app->group('/api',  function () use ($app) {
    $app->post('/abonos/lista', 'Abonos:lista');
    $app->post('/abonos/grabar',  'Abonos:grabar');
    $app->post('/abonos/ver', 'Abonos:ver');
    $app->post('/abonos/actualizar', 'Abonos:actualizar');
    $app->post('/abonos/renovacion', 'Abonos:renovacion');
    $app->post('/abonos/generar', 'Abonos:generar');
    $app->post('/abonos/extracto', 'Abonos:extracto');
    $app->post('/abonos/ver-renovaciones', 'Abonos:verRenovaciones');
    $app->post('/abonos/generar-ticket', 'Abonos:generarTicket');
    $app->post('/abonos/generar-albaran', 'Abonos:generarAlbaran');
    $app->post('/abonos/buscar', 'Abonos:buscar');
    $app->post('/abonos/generar-salida', 'Abonos:generarSalida');
    $app->post('/abonos/generar-albaran-agrupado', 'Abonos:generarAlbaranAgrupado');
    $app->post('/abonos/abonos-sin-facturar','Abonos:abonosSinFacturar');
    $app->post('/abonos/buscar-abonos-socios','Abonos:buscarAbonosSocios');
});

$container['Depositos'] = function ($container) use ($app) {
    return new \App\Controllers\DepositosController(
        $app,
        // $container->get('auth0'),
        // $container->get('logger'),
        $container->get('view')
    );
};

$app->group('/api/depositos',  function () use ($app) {
    $app->post('/lista', 'Depositos:lista');
    $app->post('/grabar',  'Depositos:grabar');
    $app->post('/ver', 'Depositos:ver');
    $app->post('/lista-pendientes','Depositos:listaPendientes');
    $app->post('/asignar-a-factura','Depositos:asignarDepositoFactura');
    $app->post('/borrar-asignacion','Depositos:borrarAsignacion');
    $app->post('/ver-asignaciones','Depositos:verAsignaciones');

/*    $app->post('/borrar',  'Depositos:borrar');

    $app->post('/actualizar', 'Depositos:actualizar');
    $app->post('/asignar', 'Depositos:asignar');
    $app->post('/ver-asignaciones', 'Depositos:verAsignaciones');*/
});



$app->route(['GET','POST'], '/home', HomeController::class,'imprimir')->setName('home');

$app->route(['POST'], '/api/tarifas-golf/lista', TarifasGolfController::class,'lista');
$app->route(['POST'], '/api/tarifas-golf/ver', TarifasGolfController::class,'ver');
$app->route(['POST'], '/api/tarifas-golf/buscar', TarifasGolfController::class,'buscar');
$app->route(['POST'], '/api/tarifas-golf/grabar', TarifasGolfController::class,'grabar');

$app->route(['POST'], '/api/config/ver', ConfigController::class,'ver');
$app->route(['POST'], '/api/config/grabar', ConfigController::class,'grabar');

$app->route(['POST'], '/api/cuotas-socios/ver',CuotasSociosController::class,'ver');
$app->route(['POST'], '/api/cuotas-socios/grabar', CuotasSociosController::class,'grabar');


$app->route(['POST'], '/api/series/lista', SeriesController::class,'lista');
$app->route(['POST'], '/api/series/ver',SeriesController::class,'ver');
$app->route(['POST'], '/api/series/grabar', SeriesController::class,'grabar');
