<?php
/**
 * @api {post} /api/admin/ver-bloqueos Ver todos los bloqueos
 * @apiName VerBloqueos
 * @apiGroup Bloqueos
 *
 * @apiParam {Number} id Users unique ID.
 *
 * @apiSuccess {String} firstname Firstname of the User.
 * @apiSuccess {String} lastname  Lastname of the User.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 200 OK
 *     {
 *       "firstname": "John",
 *       "lastname": "Doe"
 *     }
 *
 */

/**
 * @api {post} /api/admin/graba-bloqueo Grabar registro bloqueo
 * @apiName GrabaBlqoueo
 * @apiGroup Bloqueos
 *
 * @apiDescription
 * It is multiline capable.
 *
 * @apiParamExample {json} Request-Example:
 *     {
 *       "id": 4711
 *     }
 *
 * @apiSuccess {String} firstname Firstname of the User.
 * @apiSuccess {String} lastname  Lastname of the User.
 *
 * @apiSuccessExample Success-Response:
 *     HTTP/1.1 200 OK
 *     {
 *       "firstname": "John",
 *       "lastname": "Doe"
 *     }
 *
 * @apiError UserNotFound The <code>id</code> of the User was not found.
 * @apiErrorExample {json} Error-Response:
 *     HTTP/1.1 404 Not Found
 *     {
 *       "error": "UserNotFound"
 *     }
 */


$app->group('/api', function () use ($app, $pdo) {
    $app->post("/admin/ver-bloqueos", function () use ($app, $pdo) {
        $consulta = "select * from bloqueos";
        $stmt = $pdo->prepare($consulta);
        $stmt->execute();
        $datos = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $array = array('resultado' => 'ok', 'datos' => $datos);
        echo json_encode($array,JSON_NUMERIC_CHECK);

    });

    $app->post("/admin/grabar-bloqueo", function ($request, $response) use ($app, $pdo) {
        $datos =$request->getParsedBody();

        $error = '' ;
        $id = 0 ;
        if (array_key_exists('id',$datos))  $id = $datos['id'];

        $utiles = $this->get('Utiles');

        if ($id > 0) {
            try{
                $resultado = 1;
                Bloqueos::where(['id' => $id])->update($datos);
            } catch (\Exception $e) {
                $resultado = 0 ;
                $error = $e->getMessage();
            }

        } else {

            try{
                $bloqueo = $utiles->grabaModelo('Bloqueos', $datos);
                $resultado = $resultado = $bloqueo['resultado'];
            } catch (\Exception $e) {
                $resultado = 0 ;
                $error = $e->getMessage();
            }
        }
        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','datos'=>$datos,'error'=>$error);
        }
        return $response->withJson($respuesta,200,JSON_NUMERIC_CHECK);

    });

    $app->post("/admin/borrar-bloqueo", function () use ($app) {
        $req = $app->request();
        $id = $app->request()->post('id');
        $resultado = 0;

        if ($id > 0) {
            $resultado = Bloqueos::where(['id' => $id])->delete();
        }
        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','id'=>$id);
        }
        echo json_encode($respuesta,JSON_NUMERIC_CHECK);
    });


});

