<?php

use App\Utiles\EvoValidate  ;

$app->group('/api', function () use ($app, $pdo) {
    // prototipo de ofertas
    $app->post("/comprobaroferta", function () use ($app, $pdo) {

        $hora      = $app->request()->post('hora');
        $fecha     = $app->request()->post('fecha');
        $jugadores = $app->request()->post('jugadores');
        $buggies   = $app->request()->post('buggies');
        $resultado = verPrecioOferta($fecha,$hora,$jugadores,$buggies);
        echo json_encode($resultado,JSON_NUMERIC_CHECK);

    });

    $app->post("/admin/ofertas/ver-ofertas", function () use ($app, $pdo) {
        $consulta = "select * from ofertas order by fechaini desc";
        $stmt = $pdo->prepare($consulta);
        $stmt->execute();
        $datos = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $array = array('resultado' => 'ok', 'datos' => $datos);
        echo json_encode($array,JSON_NUMERIC_CHECK);
    });


    $app->post("/admin/ofertas/graba-oferta", function () use ($app) {

        $errores = array();

        $req = $app->request();
        $datos = json_decode($req->getbody());
        // Pasamos los datos a un array
        $datos = toArray($datos);

        // validamos los datos
        // todoevo anotar y explicar


        // todoevo solucionar problema evovalidate en server.
        $v = new EvoValidate($datos);
        $v->rule('required', 'codigo');

        if($v->validate()) {
            $id = $datos['id'];
            // si el id del registro es mayor que 0, es que estamos editándolo.
            if ($id > 0) {
                try{
                    $resultado = 1;
                    Ofertas::where(['id' => $id])->update($datos);
                } catch (\Exception $e) {
                    $resultado = 0 ;
                }
            } else {
                try{
                    $registro = Ofertas::create($datos);
                    $resultado = $registro->id;
                } catch (\Exception $e) {
                    $resultado = 0 ;

                }
            }
        } else {
            $resultado = 0 ;
            $errores = $v->errors();
        }

        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','datosenviados'=>$datos,'errores'=>$errores);
        }
        echo json_encode($respuesta,JSON_NUMERIC_CHECK);
    });


});

