<?php
$app->group('/api', function () use ($app, $pdo) {
    $app->post('/verpresupuesto', function ($request, $response) use ($app, $pdo) {

        $datos = $request->getParams();
        // datos para hacer la reserva

        $fechaReserva = $datos['fecha'];
        $recorrido = $datos['recorrido'];
        $numeroJugadores = $datos['jugadores'];
        $numeroBuggies = $datos['buggies'];
        $fly = $datos['fly'];
        $flyInicial = $fly ;
        $idReserva = $datos['idreserva'];
        $modsalida = $datos['modsalida'];
        $idReservaHora = $datos['idreservahora'];

        $tarifa_id = $datos['tarifa_id'];

        $admin = $datos['admin'];


        $utiles = $this->get('Utiles');
        if (!$idReserva) {
            $idReserva = $utiles->generaIdReserva();
        }

        // contamos los greenfees que tenemos ya en esta reserva.
        $greenfeesReserva = Greenfeestemp::where('idreserva', '=', $idReserva)->count();

        // Si no es administrador no puede haber más de 8 greenfees.
        // Esto es para el módulo de reservas en 
        if (!$admin) {
            if (($greenfeesReserva + $numeroJugadores) > 8) {
                $resultado = array('estado' => 'ko', 'codigo_error' => 'EVOGOLF001', 'gre' => $greenfeesReserva);
                return $response->withJson($resultado);
            }
        }
        /*
         * Si tenemos un id de hora de reserva es que estamos modificando la reserva y por lo tanto no debemos de añadir más greenfees.
         */
        if ($idReservaHora) {
            Greenfeestemp::where('idreservahora', '=', $idReservaHora)->delete();
            Greenfees::where('idreservahora', '=', $idReservaHora)->update(array('modificando' => 1));
        }
        // todoevo cambio sql
        // ALTER TABLE  `greenfees` ADD  `modificando` INT NULL DEFAULT  '0' AFTER  `idreservahora` ;


        // marcamos el fly inicial en el que se empieza a reservar. Esto nos sirve para poder coger
        // bien el precio del greenfee y los buggies. le restamos 1

        $flyInicial = $fly;
        $flyInicialdb = $fly - 1;
        $data = array();
        $timer_start = microtime(TRUE);


        // genero la tabla temporal
        $mysqltemp = <<<SQL
        CREATE TEMPORARY TABLE horasgftemp (
        recorrido integer null default 0,
        `hora` time NOT NULL,
        `fly` integer NOT NULL,
        `bloqueada` integer DEFAULT NULL,
        `fecha` date NOT NULL
        ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1
SQL;
        $stmt = $pdo->prepare($mysqltemp);
        $stmt->execute();


        $intervalo = 8;

        $hora = strtotime('07:30');
        for ($i = 1; $i < 90; $i++) {
            $horas = date('H:i', $hora);
            $intervalo = 8;

            $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),1,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $i);
            $stmt->execute();

            $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),2,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $i);
            $stmt->execute();

          /*  $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),3,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $i);
            $stmt->execute();*/

            $hora = strtotime($intervalo . ' minutes', $hora);

        }

        // relleno la tabla temporal con las reservas que hay en el día


        // sacamos las reservas del día
        // ojo, todavía no tiene el recorrido

// genero bloqueos y veo los jugadores que tengo
        $sql = <<<SQL
  SELECT horasgftemp.fecha, horasgftemp.hora, horasgftemp.recorrido,horasgftemp.fly,
   (COUNT(DISTINCT greenfees.id) + COUNT(DISTINCT greenfeestemp.id)) as jugadores,
      bloqueos.id as bloqueo
  FROM horasgftemp
  LEFT JOIN greenfees
    ON horasgftemp.fecha = greenfees.fecha
        and  horasgftemp.hora = greenfees.hora
                and  horasgftemp.recorrido = greenfees.recorrido and greenfees.modificando <> 1
            LEFT JOIN greenfeestemp
            ON (horasgftemp.fecha = greenfeestemp.fecha
              and  horasgftemp.fly = greenfeestemp.fly
              and  horasgftemp.recorrido = greenfeestemp.recorrido
              and  greenfeestemp.idreserva = "$idReserva")
            LEFT JOIN bloqueos
            on (horasgftemp.fecha = bloqueos.fechaini ) AND
            (horasgftemp.hora between bloqueos.horaini and bloqueos.horafin) and
            (horasgftemp.recorrido = bloqueos.recorrido)
            where horasgftemp.fecha = "$fechaReserva" and horasgftemp.recorrido = $recorrido
            GROUP BY horasgftemp.fecha,horasgftemp.recorrido,horasgftemp.fly
SQL;

        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $reservas = $stmt->fetchAll(PDO::FETCH_ASSOC);
        // falta precio de los greenfees

        $greenFeesReservar = $numeroJugadores;
        $reservaNoValida = false;

        $time = 0;
        $salir = 0;


        $flydb = $fly - 1;
        if (!$idReservaHora) {
            $idReservaHora = $utiles->generaIdReserva();
        }

        $jugadoresLibres = 0;

        // si el fly es mayor que 80 entonces la reserva no es válida.
        if ($fly > 90) {
            $reservaNoValida = true;
            $greenFeesReservar = 0;
        }

        // comprorbar si hay tarifa de precios activa
        // Nos traemos el precio dela tarifa

        $horaTarifa = $reservas[$flydb]['hora'];
        // esto es superimportante. El flyinicial db es cuando empieza la reserva y es lo que mandamos con el presupuesto.
        $flyInicialdb = $flydb;

        while ($greenFeesReservar > 0) {
            // tenemos que comprobar si existe el fly
            $horaReserva = $reservas[$flydb]['hora'];

            // Hecho Comprobamos que si la fecha es la actual y la hora es menor que la actual, no hay reserva que se peuda hacer
            // esto si debe de estar habilitado para admin.
            // debemos de pasarle un flag admin para que esta limitación no se pueda tener en cuenta.
            if (!$admin) {
                if ($fechaReserva < date('Y-m-d')) {
                    $reservaNoValida = true;
                    $greenFeesReservar = 0;
                }

                if ($fechaReserva == date('Y-m-d') && $horaReserva < date('H:i')) {
                    $reservaNoValida = true;
                    $greenFeesReservar = 0;
                }
            }


            // hacemos una comprobación para que no puedan reservar con llamadas
            if ($horaReserva > '19:22') {
                $reservaNoValida = true;
                $greenFeesReservar = 0;
            }

            if ($reservaNoValida) {
                $bloqueo = 99999;
                $greenFeesLibresHora = 0;
            } else {
                $bloqueo = $reservas[$flydb]['bloqueo'];
                $greenFeesLibresHora = 4 - $reservas[$flydb]['jugadores'];
            }
            //
            // si en esa hora hay greenfees libres
            if ($greenFeesLibresHora > 0 && $bloqueo < 1) {
                // si lo que nos queda por resrervar es mayor o igual que lo libre
                if ($greenFeesLibresHora >= $greenFeesReservar) {
                    for ($i = 1; $i < $greenFeesReservar + 1; $i++) {
                        $data[] = array('fecha' => $fechaReserva,
                            'hora' => $horaReserva,
                            'fly' => $fly,
                            'recorrido' => $recorrido,
                            'jugador' => 1,
                            'idreserva' => $idReserva,
                            'idreservahora' => $idReservaHora,
                            'tarifa_id' => $tarifa_id,
                            'buggie' => 0);
                    }

                    // $totalFly = $precioGreenfee * $greenFeesReservar;
                    // $total = $total + $totalFly ;
                    $greenFeesReservar = 0;
                    $totalFly = 0;
                } // si no , reservamos loq ue queda libre y pasamos a la siguiente hora
                else {
                    for ($i = 1; $i < $greenFeesLibresHora + 1; $i++) {
                        $data[] = array(
                            'fecha' => $fechaReserva,
                            'hora' => $horaReserva,
                            'fly' => $fly,
                            'recorrido' => $recorrido,
                            'jugador' => 1,
                            'idreserva' => $idReserva,
                            'idreservahora' => $idReservaHora,
                            'tarifa_id' => $tarifa_id,
                            'buggie' => 0,
                        );
                    }

                    $greenFeesReservar = $greenFeesReservar - $greenFeesLibresHora;
                    //  quitar, todo lo traeremos de la funcion ver preciooferta
                    // $totalFly = $precioGreenfee * $greenFeesLibresHora;
                    // $total = $total + $totalFly ;

                    $fly++;
                    $flydb++;
                }
            } else {
                $totalFly = 0;
                $fly++;
                $flydb++;
            }
        }

        $numeroBuggiesGF = (int)$datos['buggies'];
        // asignamos los buggies
        foreach ($data as $key => $value) {
            if ($numeroBuggiesGF > 0) {
                $data[$key]['buggie'] = 1;
                $numeroBuggiesGF = $numeroBuggiesGF - 1;
            }
        }


        $estado = 'ok';
        $totalPresu = array();
        if ($reservaNoValida) {
            $estado = 'ko';
            $reserva = array();
            $data = array();
        } else {
            // Presupuesto
            $notas = '';
            $hoyos = 18 ;
            // todoevo aquí tenemos que buscar la oferta
            //$totalPresu = $utiles->verPrecioOferta($fechaReserva, $horaTarifa, $numeroJugadores, $numeroBuggies);
            $totalPresu = $utiles->verPrecioAdmin($tarifa_id,$hoyos,$numeroJugadores, $numeroBuggies);

            $reserva = array(
                'fecha' => $fechaReserva,
                'hora' => $reservas[$flyInicial-1]['hora'], // cuando mandamos la hora, el flyinicialdb es el index de la tabla de reservas
                'fly' => $flyInicial, // pero el fly es el flydbinicial + 1,
                'recorrido' => $recorrido,
                'jugadores' => $numeroJugadores,
                'precio' => $totalPresu['preciogreenfee'],
                'buggies' => $numeroBuggies,
                'preciobuggies' => $totalPresu['preciobuggie'],
                'total' => $totalPresu['totalreserva'],
                'notas' => $notas,
                'idreserva' => $idReserva,
                'idreservahora' => $idReservaHora
            );

            $utiles->grabaGFTemp($data, $pdo);
        }
        /*
        todoevo aquí tenemos que aplicar las reglas de negocio para cambiar el total de la reserva si es necesario
        */

        $resultado = array('estado' => $estado, 'presupuesto' => $reserva, 'buggies' => $numeroBuggiesGF, 'data' => $data, 'tiempo' => $time, 'gfl' => $reservas, 'oferta' => $totalPresu);

        return $response->withJson($resultado, 200, JSON_NUMERIC_CHECK);
    });
});



