<?php
use PayPal\Api\Amount;
use PayPal\Api\Details;
use PayPal\Api\Item;
use PayPal\Api\ItemList;
use PayPal\Api\Payer;
use PayPal\Api\Payment;
use PayPal\Api\RedirectUrls;
use PayPal\Api\Transaction;
use PayPal\Api\ExecutePayment;
use PayPal\Api\PaymentExecution;
use Illuminate\Database\Capsule\Manager as DB;


$app->group('/api', function () use ($app, $pdo) {
    $app->post("/admin/ver-reservas", function($request,$response) use ($app) {
        $datos = $request->getParams();
        $fechaIni = $datos['fechaIni'];
        $reservas = Reservas::where('fechareserva','>=',$fechaIni)->get();
        $respuesta = array('resultado' => 'ok','datos'=>$reservas);
        return $response->withJson($respuesta);
    });

    $app->post("/admin/leer-reserva", function($request,$response) use ($app)   {

        $datos = $request->getParams();
        $idReserva = $datos['idreserva'];

        $datoscli = Reservas::where('idreserva','=',$idReserva)->get();
        //$greenfees = Greenfees::where('idreserva','=',$idReserva)->get();

        $greenfees = DB::table('greenfees as gf')
            ->leftJoin('tickets as ti','gf.ticket_id','=','ti.id')
            ->leftJoin('albaranes as alb','gf.albaran_id','=','alb.id')
            ->leftJoin('clientes as c','c.id','=','gf.cliente_id')
            ->leftJoin('abonos as ab','ab.id','=','gf.abono_id')
            ->leftJoin('tarifas_golf as tg','tg.id','=','gf.tarifa_id')
            ->select('gf.*','ti.doc','ab.abono','tg.tarifa','alb.doc as albaran_doc')
            ->where('gf.idreserva','=',$idReserva)
            ->orderBy('gf.fecha','asc')
            ->get() ;

        $reservas = Dreservas::where('idreserva','=',$idReserva)->orderBy('fecha', 'ASC')->get();
        $datosAlb = Albaranes::where('reserva_id','=',$datoscli[0]['id'])->get();

        $tarifa = TarifasGolf::where('id',$datoscli[0]['tarifa_id'])->first();

        $respuesta = array('resultado' => 'ok',
            'datos'=>$reservas,
            'datoscli'=>$datoscli,
            'datosalb'=>$datosAlb,
            'greenfees'=>$greenfees,
            'tarifa'=>$tarifa);

        Greenfeestemp::where('idreserva','=',$idReserva)->delete();
        return $response->withJson($respuesta);
    });

    $app->get("/email", function() use ($app){
        $transport = Swift_SmtpTransport::newInstance('smtp.gmail.com', 465, 'ssl')
            ->setUsername('evoratec@gmail.com')
            ->setPassword('kakita_2010');

        $mailer = Swift_Mailer::newInstance($transport);

        $mensaje =  $app->view->fetch('email_es.html', array());

        $message = Swift_Message::newInstance('Lauro Golf Booking')
            ->setFrom(array('evoratec@gmail.com' => 'evora sistemas de información'))
            ->setTo(array('ozofeliz@gmail.com', 'ozofeliz@gmail.com' => 'ozofeliz@gmail.com'))
            ->setBody($mensaje, 'text/html');
        $result = $mailer->send($message);
        echo $result ;
    });


    $app->post("/grabar-reserva", function ($request, $response) use ($app,$pdo) {


        $datos = $request->getParsedBody();

        $datos = toArray($datos);
        $datos['fechareserva'] = date("Y-m-d H:i:s");
        $dreserva = $datos['presupuesto'];

        // todoevo. Aquí hay que comprobar que la dreserva está correcta y que las horas están bien.

        // todoevo. comprobar que la fecha es mayor que la de hoy.
        $totGreenfees = array();
/*
Con esto buscamos los greenfees temporales de esa reserva. Con este array hacemos busquedas para ver si los hay huecos para los greenfees
tal y como los hemos hecho en la reserva. Si no hay ningún error, grabamos.

*/
        $idreserva = $datos['idreserva'];

        if (!$idreserva) {
            $idreserva = generaIdReserva();
            $datos['idreserva'] = $idreserva ;
        }

$sql=<<<SQL
          SELECT fecha, fly, recorrido, idreservahora,hora,COUNT(*) AS greenfees
          FROM  greenfeestemp
          WHERE idreserva =  '$idreserva'
          GROUP BY fecha, fly, recorrido
SQL;
        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $horasGreenfees = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $errorReserva = 0 ;
        $error = array();
        foreach($horasGreenfees as $dre) {
            $condicion = ['fecha' => $dre['fecha'], 'recorrido' => $dre['recorrido'],'fly'=>$dre['fly']];
            $totalGreenfees = Greenfees::where($condicion)->count();
            $greenfeesDisponibles = 4 - $totalGreenfees ;
            if ($greenfeesDisponibles < $dre['greenfees']) {
                $error[]=$dre;
                $errorReserva = 1 ;
            }
        }

        // Calculamos el total de la reserva dependiendo de la forma de pago
        $totalReserva = 0 ;
        foreach($dreserva as $dre) {
            $totalReserva = $totalReserva + $dre['total'];
        }

        $datos['totalbruto'] = $totalReserva ;
        if ($datos['formapago'] == 'TC' || $datos['formapago'] == 'PA' ) {
            $datos['totaldto'] == $datos['totalbruto'] * 0.1;
            $datos['total'] == $datos['totalbruto'] - $datos['totaldto'];
        }

        if ($errorReserva == 0) {
            unset($datos['presupuesto']);
            try {
                $reserva = Reservas::create($datos);
                $resultado = $reserva->id;
            } catch (\Exception $e) {
                $mensaje = $e->getMessage();
                $resultado = 0;
            }

            //Hay que grabar dreserva
            //

            if ($resultado > 0) {
                $greenfeestemp = Greenfeestemp::where('idreserva','=',$reserva->idreserva)->get()->toArray();
                $datosgf = array();
                foreach($greenfeestemp as $gf) {
                    unset($gf['id']);
                    $datosgf[] = $gf ;
                }
                $resultadoGF = Greenfees::insert($datosgf);
                // grabamos dreserva
                $resultadoDR = Dreservas::insert($dreserva);

            }



            $respuesta = array();
            if ($resultado > 0) {
                $formularioPago = '' ;
                $urlPaypal = '' ;
                $formularioPaypal = '' ;
                // redirijo a pago
                // si es tarjeta de crédito
                if ($datos['formapago'] == 'TC') {
                    $formularioPago = formularioSermepa($idreserva,$datos);
                }
                if ($datos['formapago'] == 'PA') {
                    $formularioPago = pagoPaypal($apiContext,$idreserva);
                }

                $respuesta = array('resultado' => 'ok',

                    'formularioPago'=>$formularioPago,
                    'error'=>$error);
            } else {
                $respuesta = array('resultado' => 'ko','mensaje'=>$mensaje);
            }
        } else
        {
            $respuesta = array('resultado' => 'ko','error'=>$error);
        }


        return $response->withJson($respuesta);
    });
    /*
     * Grabar reserva administración.
     */
    $app->post("/admin/grabar-reserva", function ($request,$response) use ($app,$pdo) {

        $datos = $request->getParsedBody();
        $reserva = $datos['reserva'];

        unset($reserva['id']); // quito el id del array para que no me de problemas
        // cuando pasamos presupuesto es que hay nuevas horas de salida en la reserva
        $dreserva = $datos['presupuesto'];
        $idReserva = $reserva['idreserva'];

        // Si es un registro nuevo.
        if (!$idReserva) {
            $idReserva = generaIdReserva();
            $reserva['idreserva'] = $idReserva ;
        }

        $dreservadef = array() ;
        $totalReserva = 0 ;

        //todoevo verificar la reserva



        $sql=<<<SQL
          SELECT fecha, fly, recorrido, idreservahora,hora,COUNT(*) AS greenfees
          FROM  greenfeestemp
          WHERE idreserva =  '$idReserva'
          GROUP BY fecha, fly, recorrido
SQL;
        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $horasGreenfees = $stmt->fetchAll(PDO::FETCH_ASSOC);
        $errorReserva = 0 ;
        $error = array();

        $mensaje = '' ;

        foreach($horasGreenfees as $dre) {
            $condicion = ['fecha' => $dre['fecha'], 'recorrido' => $dre['recorrido'],'fly'=>$dre['fly']];
            $totalGreenfees = Greenfees::where($condicion)->count();
            $greenfeesDisponibles = 4 - $totalGreenfees ;
            if ($greenfeesDisponibles < $dre['greenfees']) {
                $error[]=$dre;
                $errorReserva = 1 ;
            }
        }


        if ($errorReserva == 1) {
            $mensaje = 'COLISION';
            $respuesta = array('resultado' => 'ko','mensaje'=>$mensaje);
            echo json_encode($respuesta,JSON_NUMERIC_CHECK);

        } else {

            $reserva['totaldto'] = 0 ;
            if ($reserva['formapago'] == 'TC' || $reserva['formapago'] == 'PA' ) {
                $reserva['totaldto'] = $reserva['totalbruto'] * 0.1;
                $reserva['total'] = $reserva['totalbruto'] - $reserva['totaldto'];
            }
            //print_r($reserva);
            //print_r($dreserva);

            // buscamos la reserva
            $reservabd = Reservas::where('idreserva','=',$reserva['idreserva'])->first();

            // si existe
            if (!is_null($reservabd)) {
                try {
                    $reserva = Reservas::where('idreserva','=',$reserva['idreserva'])->update($reserva);
                    $resultado = 1;
                } catch (\Exception $e) {
                    $mensaje = $e->getMessage();
                    $resultado = 0;
                }
            } else {
                $datos['fechareserva'] = date("Y-m-d H:i:s");
                try {
                    $reserva = Reservas::create($reserva);
                    $resultado = $reserva->id;
                } catch (\Exception $e) {
                    $mensaje = $e->getMessage();
                    $resultado = 0;
                }
            }

            //Hay que grabar dreserva
            // OJO
            // si ha habido suerte y tenemos un número de id de reserva
            // esto es por si hay nuevos greenfeestemp que añadir a la reserva

            if ($resultado > 0) {
                $greenfeestemp = Greenfeestemp::where('idreserva','=',$idReserva)->get()->toArray();
                if ($greenfeestemp) {
                    $datosgf = array();
                    foreach($greenfeestemp as $gf) {
                        unset($gf['id']);
                        $gf['abono_id'] = 0 ;
                        $gf['nombre_jugador'] = $datos['reserva']['nombre'];
                        $gf['tarifa_id'] = $datos['reserva']['tarifa_id'];
                        $datosgf[] = $gf ;
                    }
                    $resultadoGF = Greenfees::insert($datosgf);
                    // todoevo hay que dejar los greenfees modificando a 0
                    // Greenfees::where('idreservahora','=',$idReservaHora)->update(array('modificando'=>0));
                }
                if ($dreserva) {
                    // grabamos dreserva
                    $resultadoDR = Dreservas::insert($dreserva);
                }
            }

            $respuesta = array();

            if ($resultado > 0) {
                $respuesta = array('resultado' => 'ok','id' => $resultado);
                Greenfeestemp::where('idreserva','=',$idReserva)->delete();
            } else {
                $respuesta = array('resultado' => 'ko','mensaje'=>$mensaje);
            }

            return $response->withJson($respuesta);
        }
        // ojo cambio de frontend a backend


    });
    /*
    delete from reservas;
delete from dreservas ;
delete from greenfees ;
delete from greenfeestemp ;
    */

    /*
     * Actualizamos el detalle de la reserva.
     */
    $app->post('/admin/actualiza-detalle-reserva',function($request,$response) use ($app){

        $datosDReserva = $request->getParsedBody();
        $modificarSalida = $datosDReserva['modsalida'];

        unset($datosDReserva['modsalida']);
        unset($datosDReserva['id']);
        try {
            Dreservas::where('idreservahora','=',$datosDReserva['idreservahora'])->update($datosDReserva);
            $resultado = 1;
        } catch (\Exception $e) {
            $mensaje = $e->getMessage();
            $resultado = 0;
        }

        if ($modificarSalida =='true') {
            // si hemos cambiado los greenfees de sitio.
            $greenfeestemp = Greenfeestemp::where('idreservahora','=',$datosDReserva['idreservahora'])->get()->toArray();
            if ($greenfeestemp) {
                // para playaserena aquí deberiamos de copiar los datos antes de borrarlos.
                // tendrían datos como por ejemplo, tarifa, noshow, abonado,socio

                // selecciono los greenfees. Son la misma cantidad por loq ue hago es copiar los datos uno a uno.

                // el tema está en incrementar esta cantidad de greenfees sin borrar. Es decir.
                $greenfeesActuales = Greenfees::where('idreservahora','=',$datosDReserva['idreservahora'])->get()->toArray();
                $greenfeestemp = Greenfeestemp::where('idreservahora','=',$datosDReserva['idreservahora'])->get()->toArray();
                $datosgf = array();
                $i=0 ;
                // estos datos vienen de los gfs temproales. Son datos de colocación. Sin embargo
                // los datos importantes los conservamos.
                foreach( $greenfeesActuales as $gf) {
                    $gf['fecha'] = $greenfeestemp[$i]['fecha'];    
                    $gf['hora'] = $greenfeestemp[$i]['hora'];    
                    $gf['fly'] = $greenfeestemp[$i]['fly'];    
                    $gf['recorrido'] = $greenfeestemp[$i]['recorrido'];   
                    $gf['idreserva'] = $greenfeestemp[$i]['idreserva'];     
                    $gf['idreservahora'] = $greenfeestemp[$i]['idreservahora'];   
                    $gf['modificando'] = 0 ; 
                    $datosgf[] = $gf ;
                    $i++ ;
                }
                Greenfees::where('idreservahora','=',$datosDReserva['idreservahora'])->delete();
                $resultadoGF = Greenfees::insert($datosgf);

                Greenfeestemp::where('idreservahora','=',$datosDReserva['idreservahora'])->delete();
            }
            //todoevo comprobar errores
        }

        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');

        } else {
            $respuesta = array('resultado' => 'ko','mensaje'=>$mensaje);
        }

        return $response->withJson($respuesta,200,JSON_NUMERIC_CHECK);


    });

    $app->post('/admin/cancelar-salida',function($request,$response) use ($app){

        $idReservaHora = $app->request()->post('idreservahora');
      //  $datos = json_decode($req->getbody());

        try {
            Greenfees::where('idreservahora','=',$idReservaHora)->update(array('modificando'=>0));
            Greenfeestemp::where('idreservahora','=',$idReservaHora)->delete();
            $resultado = 1;
        } catch (\Exception $e) {
            $mensaje = $e->getMessage();
            $resultado = 0;
        }

        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');

        } else {
            $respuesta = array('resultado' => 'ko','mensaje'=>$mensaje);
        }

        return $response->withJson($respuesta,200);


    });

    $app->post('/admin/borrarhorareservadef', function ($request,$response) use ($app, $pdo) {
        $datos = $request->getParams();
        $idReservaHora = $datos['idreservahora'];

        // todoevo cambiar para hacerlo con eloquent
        $mysqltemp = <<<SQL
    delete from dreservas where idreservahora = "$idReservaHora";
SQL;
        $stmt = $pdo->prepare($mysqltemp);
        $stmt->execute();

        $mysqltemp = <<<SQL
    delete from greenfees where idreservahora = "$idReservaHora";
SQL;
        $stmt = $pdo->prepare($mysqltemp);
        $stmt->execute();

        $respuesta = array('idreservahora'=>$idReservaHora);
        return $response->withJson($respuesta,200,JSON_NUMERIC_CHECK);



    });




});



function formularioSermepa($idReserva,$datos) {

    // Se crea Objeto
    $miObj = new RedsysAPI;

// Valores de entrada
    $merchantCode = "001261056";
    $terminal = "001";
    $moneda = "978";
    $transType = "0";
    $merchantUrl = BASEURL . '/api/sermepaverify';
    $urlOK =  BASEURL . '/#/ok' . $idReserva;
    $urlKO =  BASEURL . '/#/ko' . $idReserva;

    $amount = $datos['total']*100;

    $amount = number_format($amount, 0,'','');

// Se Rellenan los campos
    $miObj->setParameter("DS_MERCHANT_AMOUNT", $amount);
    $miObj->setParameter("DS_MERCHANT_ORDER", $idReserva);
    $miObj->setParameter("DS_MERCHANT_MERCHANTCODE", $merchantCode);
    $miObj->setParameter("DS_MERCHANT_CURRENCY", $moneda);
    $miObj->setParameter("DS_MERCHANT_TRANSACTIONTYPE", $transType);
    $miObj->setParameter("DS_MERCHANT_TERMINAL", $terminal);
    $miObj->setParameter("DS_MERCHANT_MERCHANTURL", $merchantUrl);
    $miObj->setParameter("DS_MERCHANT_URLOK", $urlOK);
    $miObj->setParameter("DS_MERCHANT_URLKO", $urlKO);


//Datos de configuración
    $version = "HMAC_SHA256_V1";
    $kc = CLAVE_REDSYS;//Clave recuperada de CANALES
// Se generan los parámetros de la petición
    $request = "";
    $params = $miObj->createMerchantParameters();
    $signature = $miObj->createMerchantSignature($kc);


    /*<html lang="es">
    {"fecha":"2015-11-13","tramoHorario":0,"fly":1,"jugadores":0,"idreserva":"15116HIEHYPL","reserva":{"id":2072,"idreserva":"15116HIEHYPL","fechareserva":"2015-11-13 11:04:06","nombre":"Juanito El Mejor de todos","email":"evoratec@gmail.com","tfno":950492834,"pais":"España","aceptacondiciones":1,"recordardatos":1,"formapago":"OF","total":60,"idioma":"es_ES","created_at":"0000-00-00 00:00:00","updated_at":"0000-00-00 00:00:00","codigotransaccion":null,"estadopago":"","totalbruto":60,"totaldto":0,"admin":0},"presupuesto":[],"admin":1}:""
    <head>
    </head>
    <body>
    <form name="frm" action="http://sis-d.redsys.es/sis/realizarPago" method="POST" target="_blank">
        Ds_Merchant_SignatureVersion <input type="text" name="Ds_SignatureVersion" value="<?php echo $version; ?>"/></br>
        Ds_Merchant_MerchantParameters <input type="text" name="Ds_MerchantParameters" value="<?php echo $params; ?>"/></br>
        Ds_Merchant_Signature <input type="text" name="Ds_Signature" value="<?php echo $signature; ?>"/></br>
        <input type="submit" value="Enviar">
    </form>*/

# Imprimimos el pedido el formulario y redirigimos a la TPV
    $campos = '<input type="text" name="Ds_SignatureVersion" value="'.$version. '"/>';
    $campos .= '<input type="text" name="Ds_MerchantParameters" value="'.$params. '"/>';
    $campos .= '<input type="text" name="Ds_Signature" value="'.$signature. '"/>';
    return '<form id="formulario-pago" action="https://sis-t.redsys.es:25443/sis/realizarPago/utf-8" method="post">' . $campos . '</form>';

    /*$configSermepa = array(
        'Environment' => 'test', // Puedes indicar test o real
        'MerchantCode' => '001261056',
        'Key' => 'qwertyasdf0123456789',
        'Terminal' => '1',
        'TransactionType' => '0',
        'Currency' => '978',
        'MerchantName' => 'LAUROGOLF',
        'Titular' => 'Lauro Golf',
        'ConsumerLanguage' => '001'
    );
    $TPV = new Redsys\Tpv\Tpv($configSermepa);
# Indicamos los campos para el pedido
    $TPV->setFormHiddens(array(
        'TransactionType' => '0',
        'MerchantData' => 'Reserva golf',
        'Order' => $idReserva ,
        'Amount' => $datos['total'],
        'UrlOK' => 'http://'.$baseUrl.'/#/ok'.$idReserva,
        'UrlKO' => 'http://'.$baseUrl.'/#/ko'.$idReserva,
        'MerchantURL' => 'http://'.$baseUrl.'/api/sermepaverify'
    ));

# Imprimimos el pedido el formulario y redirigimos a la TPV
    return '<form id="formulario-pago" action="'.$TPV->getPath('/realizarPago').'" method="post">'.$TPV->getFormHiddens().'</form>';*/




# Imprimimos el pedido el formulario y redirigimos a la TPV
}

function pagoPaypal($apiContext,$idReserva) {

    try {
        $reserva = Reservas::where('idreserva','=',$idReserva)->get();
    } catch (\Exception $e) {
        $mensaje = $e->getMessage();
    }
   /* echo '<pre>';
    print_r($reserva);
    print_r($reserva2);
    echo '</pre>';*/

    $totalReserva = $reserva[0]->total ;
    $id = $reserva[0]->id ;



    $payer = new Payer();
    $payer->setPaymentMethod("paypal");

    $item1 = new Item();
    $item1->setName('Booking Id:'.$idReserva)
        ->setCurrency('EUR')
        ->setSku("GOLFBOOKING") // Similar to `item_number` in Classic API
        ->setQuantity(1)
        ->setPrice($totalReserva);

    $itemList = new ItemList();
    $itemList->setItems(array($item1));

    $details = new Details();
    $details->setShipping(0)
        ->setTax(0)
        ->setSubtotal(number_format($totalReserva, 2));

    $amount = new Amount();
    $amount->setCurrency("EUR")
        ->setTotal(number_format($totalReserva, 2))
        ->setDetails($details);

    // aquí tenemos que ver si la reserva está en un idioma o en otro.
    $descripcionTrans = 'Lauro Golf Booking';
    $transaction = new Transaction();
    $transaction->setAmount($amount)
        ->setItemList($itemList)
        ->setDescription($descripcionTrans)
        ->setInvoiceNumber($idReserva);

    $baseUrl = getBaseUrl();
    $redirectUrls = new RedirectUrls();
    $redirectUrls->setReturnUrl("$baseUrl/api/paypal/resultado?success=true")
        ->setCancelUrl("$baseUrl/api/paypal/resultado?success=false");

    $payment = new Payment();
    $payment->setIntent("sale")
        ->setPayer($payer)
        ->setRedirectUrls($redirectUrls)
        ->setTransactions(array($transaction));


    try {
        $payment->create($apiContext);
    } catch (Exception $ex) {
        echo '<pre>';
        print_r($ex);
        echo '</pre>';
        exit(1);
    }
    $approvalUrl = $payment->getApprovalLink();
    $paymentId = $payment->getId();

    $reserva = Reservas::find( $id );
    if ($reserva) {
        $reserva->codigotransaccion = $paymentId;
        $reserva->save();
    }


    // $boton = '<a class="btn boton-paypal" href="'.$approvalUrl.'"></a>';
    $formulario = '<form id="formulario-pago" action="'.$approvalUrl.'" method="post"></form>';

   return $formulario ;
}