<?php

use Illuminate\Database\Capsule\Manager as DB;


$app->group('/api', function () use ($app, $pdo) {
    $app->post('/versalidas', function ($request,$response) use ($app, $pdo) {

        // validamos los datos.
        $v = new App\Utiles\EvoValidate($_POST);
        $v->rule('required', 'fecha');
        $v->rule('date', 'fecha');
        if($v->validate() == false) {
            $datos = array('resultado'=>'ko','errores'=>$v->errors());
            echo json_encode($datos,JSON_NUMERIC_CHECK);
            $app->stop();
        }


        $datos = $request->getParams() ;

        $fechaReserva = $datos['fecha'];
        $idreserva =  $datos['idreserva'];
        // comprobamos que la llamada viene de admin
        $admin =  $datos['admin'];

        /* $inicio =  microtime_float();*/

        $mysqltemp = <<<SQL
CREATE TEMPORARY TABLE horasgftemp (
  recorrido integer null default 0,
  `hora` time NOT NULL,
  `fly` int(11) NOT NULL,
  `bloqueada` int(11) DEFAULT NULL,
  `fecha` date NOT NULL,
  idreserva varchar(20)  null default ''
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1
SQL;
        $stmt = $pdo->prepare($mysqltemp);
        $stmt->execute();

        $hora = strtotime('07:30');
        for ($i=1;$i<90;$i++) {
            $horas = date('H:i',$hora);
            $intervalo = 8 ;
            $fly = $i ;

            $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),1,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $fly);
            $stmt->execute();

            $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),2,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $fly);
            $stmt->execute();

          /*  $mysqltemp = "INSERT INTO horasgftemp (fecha,recorrido,hora,fly) values (STR_TO_DATE(:fechareserva,'%Y-%m-%d'),3,:hora,:fly)";
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->bindParam(":fechareserva", $fechaReserva);
            $stmt->bindParam(":hora", $horas);
            $stmt->bindParam(":fly", $fly);
            $stmt->execute(); */

            $hora = strtotime($intervalo.' minutes', $hora);

        }


        $sql = <<<SQL
  SELECT horasgftemp.fecha, horasgftemp.hora, horasgftemp.recorrido,horasgftemp.fly,
   COUNT(greenfeestemp.id) as jugadorestemp,dreservas.buggies,
   (select COUNT(greenfees.id) from greenfees where fecha = horasgftemp.fecha
      and fly = horasgftemp.fly and recorrido = horasgftemp.recorrido and modificando <> 1) as jugadoresdef,
      bloqueos.id as bloqueo
  FROM horasgftemp
  LEFT JOIN greenfeestemp
    ON (horasgftemp.fecha = greenfeestemp.fecha
        and  horasgftemp.hora = greenfeestemp.hora
        and  horasgftemp.recorrido = greenfeestemp.recorrido
        and greenfeestemp.idreserva = "$idreserva" )
  LEFT JOIN dreservas
    ON (horasgftemp.fecha = dreservas.fecha
        and horasgftemp.recorrido = dreservas.recorrido )   
        and horasgftemp.fly = dreservas.fly      
  LEFT JOIN bloqueos
    on (horasgftemp.fecha = bloqueos.fechaini) AND
            (horasgftemp.hora between bloqueos.horaini and bloqueos.horafin) and
            (horasgftemp.recorrido = bloqueos.recorrido)
            where horasgftemp.fecha = "$fechaReserva"
group by horasgftemp.fecha,horasgftemp.recorrido,horasgftemp.fly
SQL;

// error en el group de la configuración del mysql

        
        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $reservas = $stmt->fetchAll(PDO::FETCH_ASSOC);

        /*    echo microtime_float() - $inicio ;
            echo ' ';*/
        $recorrido1 = array();
        $recorrido2 = array();
        $recorrido3 = array();
        $id = 0 ;
// generamos los diferentes recorridos
        foreach ($reservas as $reserva) {
            $id++ ;
            $reserva['id'] = $id ;
            $reserva['hora'] = substr($reserva['hora'],0,5);
            $reserva['jugadoreslibres'] = 4 - ($reserva['jugadoresdef'] + $reserva['jugadorestemp']);
            $reserva['jugadores'] = $reserva['jugadoresdef'] + $reserva['jugadorestemp'];

            if (!$reserva['bloqueo']) $reserva['bloqueo'] = 0 ;

            if (!$admin) {
                if ( $fechaReserva == date('Y-m-d') && $reserva['hora'] < date('H:i') ) {
                    $reserva['bloqueo'] = 1 ;
                }
            }
            if ($reserva['recorrido'] == 1) {
                // buscamos los greenfees si verdaderamente hay
                if ($reserva['jugadores'] > 0) {

                    $greenfees = DB::table('greenfees as gf')
                        ->leftJoin('tickets as ti','gf.ticket_id','=','ti.id')
                        ->leftJoin('clientes as c','c.id','=','gf.cliente_id')
                        ->leftJoin('abonos as ab','ab.id','=','gf.abono_id')
                        ->leftJoin('tarifas_golf as tg','tg.id','=','gf.tarifa_id')
                        ->select('gf.*','ti.doc','ab.abono','tg.tarifa')
                        ->where('gf.fecha',$fechaReserva)
                        ->where('gf.fly',$reserva['fly'])
                        ->where('gf.recorrido',$reserva['recorrido'])
                        ->orderBy('gf.fecha','asc')
                        ->get() ;


                    $reserva['greenfees'] = $greenfees ;
                }


                $recorrido1[] = $reserva;


            }
            if ($reserva['recorrido'] == 2) {
                if ($reserva['jugadores'] > 0) {
                    $greenfees = DB::table('greenfees as gf')
                        ->leftJoin('tickets as ti','gf.ticket_id','=','ti.id')
                        ->leftJoin('clientes as c','c.id','=','gf.cliente_id')
                        ->leftJoin('abonos as ab','ab.id','=','gf.abono_id')
                        ->leftJoin('tarifas_golf as tg','tg.id','=','gf.tarifa_id')
                        ->select('gf.*','ti.doc','ab.abono','tg.tarifa')
                        ->where('gf.fecha',$fechaReserva)
                        ->where('gf.fly',$reserva['fly'])
                        ->where('gf.recorrido',$reserva['recorrido'])
                        ->orderBy('gf.fecha','asc')
                        ->get() ;

                    $reserva['greenfees'] = $greenfees ;
                }
                $recorrido2[] = $reserva;
            }
            if ($reserva['recorrido'] == 3) {
                $recorrido3[] = $reserva;
            }

        }
        $recorridos = array('recorrido1' => $recorrido1, 'recorrido2' => $recorrido2, 'recorrido3' => $recorrido3);
        return $response->withJson($recorridos,200, JSON_NUMERIC_CHECK);
    });

    $app->post('/borrarhorareserva', function ($request,$response) use ($app, $pdo) {

        $datos = $request->getParams();
        $idReservaHora = $datos['idreservahora'];

        $idReservaHora = filter_var($idReservaHora, FILTER_SANITIZE_STRING);

        $mysqltemp = <<<SQL
    delete from greenfeestemp where idreservahora = "$idReservaHora";
SQL;

        try {
            $stmt = $pdo->prepare($mysqltemp);
            $stmt->execute();
            $datos = array('resultado'=>'ok','idreservahora' => $idReservaHora);

        } catch (\PDOException $e) {
            $datos = array('resultado'=>'ko','idreservahora' => $idReservaHora);
        }
        return $response->withJson($datos,200, JSON_NUMERIC_CHECK);
    });
    $app->post('/admin/versalidas2', function ($request,$response) use ($app, $pdo) {

        $datos = $request->getParams();
        $fechaReserva = $datos['fecha'];
        $verLista = !empty($datos['verLista']) ? $datos['verLista'] : false ;

        $hora = !empty($datos['hora']) ? $datos['hora'] : '' ;
// comprobamos que la llamada viene de admin
        $hora = !empty($datos['admin']) ? $datos['admin'] : '' ;

        $sql = <<<SQL
    select gf.*,reservas.nombre, reservas.admin from dreservas as gf
  LEFT JOIN reservas
    ON (gf.idreserva = reservas.idreserva)
where gf.fecha = "$fechaReserva"
order by gf.recorrido, gf.fecha, gf.hora
SQL;

        if($verLista) {
            $fechaIni = $datos['fechaIni'];
            $fechaFin = $datos['fechaFin'];
            $sql = <<<SQL
select gf.*,reservas.nombre,reservas.admin from dreservas as gf
  LEFT JOIN reservas
    ON (gf.idreserva = reservas.idreserva)
  where gf.fecha between "$fechaIni" and "$fechaFin"
  order by  gf.fecha,gf.recorrido, gf.hora
SQL;
        }

        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $reservas = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($verLista) {
            $datos = array('datos' => $reservas);
            return $response->withJson($datos);
        } else {

            $recorrido1 = array();
            $recorrido2 = array();
            $recorrido3 = array();

            $id = 0;
            // generamos los diferentes recorridos
            foreach ($reservas as $reserva) {
                $id++;
                $reserva['id'] = $id;
                $reserva['hora'] = substr($reserva['hora'], 0, 5);
                //    if (!$reserva['bloqueo']) $reserva['bloqueo'] = 0;
                if ($reserva['recorrido'] == 1) {
                    $recorrido1[] = $reserva;
                }
                if ($reserva['recorrido'] == 2) {
                    $recorrido2[] = $reserva;
                }
                if ($reserva['recorrido'] == 3) {
                    $recorrido3[] = $reserva;
                }
            }
            $recorridos = array('recorrido1' => $recorrido1, 'recorrido2' => $recorrido2, 'recorrido3' => $recorrido3);
            return $response->withJson($recorridos,200, JSON_NUMERIC_CHECK);

        }


    });
    $app->post('/admin/versalidas', function ($request,$response) use ($app, $pdo) {

        $datos = $request->getParams() ;

        $fechaReserva = !empty($datos['fecha']) ? $datos['fecha'] : '' ;
        $verLista = !empty($datos['verLista']) ? $datos['verLista'] : false ;

        $admin = !empty($datos['admin']) ? $datos['admin'] : 0 ;


        $sql = <<<SQL
    select gf.*,reservas.nombre,reservas.admin from dreservas as gf
  LEFT JOIN reservas
    ON (gf.idreserva = reservas.idreserva)
where gf.fecha = "$fechaReserva"
order by gf.recorrido, gf.fecha, gf.hora
SQL;

        if($verLista) {
            $fechaIni = $datos['fechaIni'];
            $fechaFin = $datos['fechaFin'];
            $sql = <<<SQL
select gf.*,reservas.nombre,reservas.admin from dreservas as gf
  LEFT JOIN reservas 
    ON (gf.idreserva = reservas.idreserva)
  where gf.fecha between "$fechaIni" and "$fechaFin"
  order by  gf.fecha,gf.recorrido, gf.hora
SQL;
        }

        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $reservas = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($verLista) {
            $datos = array('datos' => $reservas);
            return $response->withJson($datos);
        } else {

            $recorrido1 = array();
            $recorrido2 = array();
            $recorrido3 = array();

            $id = 0;
            $greenfees =0 ;
            $buggies = 0 ;
            // generamos los diferentes recorridos
            foreach ($reservas as $reserva) {
                $id++;
                $reserva['id'] = $id;
                $reserva['hora'] = substr($reserva['hora'], 0, 5);
                $greenfees += $reserva['jugadores'];
                $buggies += $reserva['buggies'];
                //    if (!$reserva['bloqueo']) $reserva['bloqueo'] = 0;
                if ($reserva['recorrido'] == 1) {
                    $recorrido1[] = $reserva;
                }
                if ($reserva['recorrido'] == 2) {
                    $recorrido2[] = $reserva;
                }
                if ($reserva['recorrido'] == 3) {
                    $recorrido3[] = $reserva;
                }
            }
            $recorridos = array('recorrido1' => $recorrido1, 'recorrido2' => $recorrido2,
                'recorrido3' => $recorrido3,'greenfees'=>$greenfees,'buggies'=>$buggies);
            return $response->withJson($recorridos,200, JSON_NUMERIC_CHECK);

        }

    });


});

function toArray($obj)
{
    if (is_object($obj)) $obj = (array)$obj;
    if (is_array($obj)) {
        $new = array();
        foreach ($obj as $key => $val) {
            $new[$key] = toArray($val);
        }
    } else {
        $new = $obj;
    }
    return $new;
}
function evojson($array) {
    $datos = array('datos'=>$array);
    return json_encode($array, JSON_NUMERIC_CHECK);
}