<?php

namespace App\BusinessProcess;

use Illuminate\Database\Capsule\Manager as DB;

class ProductosBP
{
    // le pasamos lo que necesitamos aunque creo que no es necesario ya que al tener $app tenemos el container
    // esto sería util en caso de que utilizaramos otro contenedor de injection, en ese caso le pasariamos el pimple.

    private $view;

    public function __construct() {

    }

    public function actStock($lineaVenta,$cantidadAnt = 0,$operacion='A')
    {
        $cantidad = $lineaVenta->cantidad ;
        if ($operacion == 'B') {
            $cantidad = 0;
        }
        // vemos el stock del artículo.
        $stock = DB::table('productos')
            ->where('productos.id','=',$lineaVenta->producto_id)
            ->value('stock');

        $data = DB::table('productos')
            ->where('productos.id','=',$lineaVenta->producto_id)
            ->update(['stock'=> $stock + $cantidadAnt -$cantidad]);
    }
    public function actStockCompras($linea,$cantidadAnt = 0,$operacion='A')
    {
        $cantidad = $linea->cantidad ;
        if ($operacion == 'B') {
            $cantidad = 0;
        }
        // vemos el stock del artículo.
        $stock = DB::table('productos')
            ->where('productos.id','=',$linea->producto_id)
            ->value('stock');

        $data = DB::table('productos')
            ->where('productos.id','=',$linea->producto_id)
            ->update(['stock'=> $stock - $cantidadAnt + $cantidad]);
    }

    public function actStockProducto($producto_id)
    {

        // vemos el stock del artículo.
        $stock = DB::table('productos')
            ->where('productos.id','=',$producto_id)
            ->value('stock');

        $ultimoInventario = DB::table('inventario')
            ->where('producto_id','=',$producto_id)
            ->orderBy('fecha', 'desc')->first();

        $stockUltimoInventario = 0 ;

        if (isset($ultimoInventario)) {
            $fechaUltimoInventario =date("Y-m-d", strtotime($ultimoInventario->fecha));
            $stockUltimoInventario = $ultimoInventario->cantidad ;
        } else
        {
            $fechaUltimoInventario = date('Y-m-d',strtotime('2000-01-01'));
        }

        $totalVentasAlbaranes = 0 ;
        $totalCompras = 0 ;

        $totalCompras = DB::table('lineas_compra as l')
            ->leftJoin('facturas_compra as f','l.factura_id','=','f.id')
            ->select('l.*','f.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('f.fecha','>=',$fechaUltimoInventario)
            ->sum('l.cantidad') ;

        $totalVentasAlbaranes = DB::table('lineas_venta as l')
            ->leftJoin('albaranes as a','l.albaran_id','=','a.id')
            ->select('l.*','a.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('a.fecha','>=',$fechaUltimoInventario)
            ->sum('l.cantidad') ;

        $totalVentasTickets = DB::table('lineas_venta as l')
            ->leftJoin('tickets as t','l.ticket_id','=','t.id')
            ->select('l.*','t.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('t.fecha','>=',$fechaUltimoInventario)
            ->sum('l.cantidad') ;

        $data = DB::table('productos')
            ->where('productos.id','=',$producto_id)
            ->update(['stock'=>$stockUltimoInventario - $totalVentasTickets - $totalVentasAlbaranes + $totalCompras]);

        $data = DB::table('productos')
            ->where('productos.id','=',$producto_id)
            ->get();

        $datos = ['fecha_ultimo_inventario'=> $fechaUltimoInventario,'stock_ui'=>$stockUltimoInventario,
            'total_ventas'=> $totalVentasTickets + $totalVentasAlbaranes,
            'total_compras' => $totalCompras,
            'data'=>$data ];
        return $datos ;
    }

    public function verStockFecha($producto_id,$fecha)
    {
        $producto = DB::table('productos')
            ->where('productos.id','=',$producto_id)
            ->get();

        // cogemos el último inventario que tenemos por debajo de la fecha que le enviamos
        $ultimoInventario = DB::table('inventario')
            ->where('producto_id','=',$producto_id)
            ->where('fecha','<=',$fecha)
            ->orderBy('fecha', 'desc')->first();

        $stockUltimoInventario = 0 ;

        if (isset($ultimoInventario)) {
            $fechaUltimoInventario =date("Y-m-d", strtotime($ultimoInventario->fecha));
            $stockUltimoInventario = $ultimoInventario->cantidad ;
        } else
        {
            $fechaUltimoInventario = date('Y-m-d',strtotime('2000-01-01'));
        }

        $totalVentasAlbaranes = 0 ;
        $totalCompras = 0 ;

        $totalCompras = DB::table('lineas_compra as l')
            ->leftJoin('facturas_compra as f','l.factura_id','=','f.id')
            ->select('l.*','f.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('f.fecha','<=',$fecha)
            ->where('f.fecha','>=',$fechaUltimoInventario)
            ->sum('l.cantidad') ;

        $totalVentasAlbaranes = DB::table('lineas_venta as l')
            ->leftJoin('albaranes as a','l.albaran_id','=','a.id')
            ->select('l.*','a.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('a.fecha','<=',$fecha)
            ->where('a.fecha','>=',$fechaUltimoInventario)
            ->sum('l.cantidad') ;

        $totalVentasTickets = DB::table('lineas_venta as l')
            ->leftJoin('tickets as t','l.ticket_id','=','t.id')
            ->select('l.*','t.fecha')
            ->where('l.producto_id','=',$producto_id)
            ->where('t.fecha','>=',$fechaUltimoInventario)
            ->where('t.fecha','<=',$fecha)
            ->sum('l.cantidad') ;


        $datos = ['fecha_ultimo_inventario'=> $fechaUltimoInventario,'stock_ui'=>$stockUltimoInventario,
                'total_ventas'=> $totalVentasTickets + $totalVentasAlbaranes,
                'total_compras' => $totalCompras,
                'stock' => $stockUltimoInventario + $totalCompras - ($totalVentasTickets + $totalVentasAlbaranes)
                 ];
        return $datos ;
    }

    public function extracto($producto_id)
    {
        $producto = DB::table('productos')
            ->where('productos.id','=',$producto_id)
            ->get();

        $inventario = DB::table('inventario')
            ->where('producto_id','=',$producto_id)->get();

        $compras = DB::table('lineas_compra as l')
            ->leftJoin('facturas_compra as f','l.factura_id','=','f.id')
            ->leftJoin('proveedores as p','p.id','=','f.proveedor_id')
            ->select('l.*','f.fecha','f.doc','p.razon_social')
            ->where('l.producto_id','=',$producto_id)
            ->where('f.id','>',0)
            ->get() ;

        $ventasAlbaranes = DB::table('lineas_venta as l')
            ->leftJoin('albaranes as a','l.albaran_id','=','a.id')
            ->leftJoin('clientes as c','c.id','=','a.cliente_id')
            ->select('l.*','a.fecha','a.doc','c.razon_social')

            ->where('l.producto_id','=',$producto_id)
            ->where('a.id','>',0)
            ->get() ;

        $ventasTickets = DB::table('lineas_venta as l')
            ->leftJoin('tickets as t','l.ticket_id','=','t.id')
            ->leftJoin('clientes as c','c.id','=','t.cliente_id')
            ->select('l.*','t.fecha','t.doc','c.razon_social')
            ->where('l.producto_id','=',$producto_id)
            ->where('t.id','>',0)
            ->get();


        $ventas = [];
        $totalVentas = 0 ;
        $totalCanVentas = 0 ;
        $totalCompras = 0 ;
        $totalCanCompras = 0 ;
        foreach($inventario as $v) {
            $ventas[] = array('tipo'=>'AI','fecha'=>date('Y-m-d',strtotime($v->fecha)),'cantidad'=>$v->cantidad,'precio'=>0,'saldo'=>0,'documento'=>'');
        }

        foreach($compras as $v) {
            $totalCompras = $totalCompras + $v->total ;
            $totalCanCompras = $totalCanCompras + $v->cantidad ;
            $ventas[] = array('tipo'=>'CO','fecha'=>$v->fecha,'cantidad'=>$v->cantidad,'precio'=>$v->precio,'saldo'=>0,'documento'=>$v->doc,'razon_social'=>$v->razon_social);
        }

        foreach($ventasTickets as $v) {
            $totalVentas = $totalVentas + $v->total ;
            $totalCanVentas = $totalCanVentas + $v->cantidad ;
            $ventas[] = array('tipo'=>'VT','fecha'=>$v->fecha,'cantidad'=>$v->cantidad,'precio'=>$v->precio,'saldo'=>0,'documento'=>$v->doc,'razon_social'=>$v->razon_social);
        }

        foreach($ventasAlbaranes as $v) {
            $totalVentas = $totalVentas + $v->total ;
            $totalCanVentas = $totalCanVentas + $v->cantidad ;
            $ventas[] = array('tipo'=>'VA','fecha'=>$v->fecha,'cantidad'=>$v->cantidad,'precio'=>$v->precio,'saldo'=>0,'documento'=>$v->doc,'razon_social'=>$v->razon_social);
        }

        if (!empty($ventas)) {
            $sort = array();
            foreach($ventas as $k=>$v) {
                $sort['fecha'][$k] = $v['fecha'];
                $sort['tipo'][$k] = $v['tipo'];
            }
            array_multisort($sort['fecha'], SORT_ASC,$sort['tipo'], SORT_ASC, $ventas);
            $saldo = 0 ;
            foreach($ventas as $k=>$v) {

                if ($v['tipo']=='CO'){
                    $saldo = $saldo + $v['cantidad'];
                }
                if ($v['tipo']=='VT' || $v['tipo']=='VA'){
                    $saldo = $saldo - $v['cantidad'];
                }
                if ($v['tipo']=='AI' ){
                    $saldo =  $v['cantidad'];
                }
                $ventas[$k]['saldo'] = $saldo ;
            }
        }




        $datos = [
            'ventas'=> $ventas ,
            'compras'=>$compras,
            'producto'=>$producto,
            'total_ventas' => $totalVentas,
            'cantidad_ventas' => $totalCanVentas,
            'total_compras' => $totalCompras,
            'cantidad_compras' => $totalCanCompras

           ];
        return $datos ;
    }


    public function comprobarProducto($producto_id)
    {
        $totalRegistros = 0 ;
        $numREgistros = DB::table('inventario')->where('producto_id','=',$producto_id)->count();
        $totalRegistros += $numREgistros ;
        $numREgistros =  DB::table('lineas_compra')->where('producto_id','=',$producto_id)->count();
        $totalRegistros += $numREgistros ;
        $numREgistros =  DB::table('lineas_venta')->where('producto_id','=',$producto_id)->count();
        $totalRegistros += $numREgistros ;
        return $totalRegistros ;
    }

}