<?php

namespace App\Controllers;
use Illuminate\Database\Capsule\Manager as DB;
use Slim\Views\Twig;
use Slim\Http\Request;
use Slim\Http\Response ;

use Familias ;

class FamiliasController
{

    private $app;
    private $view;
    private $utiles;
    private $pdo;

    public function __construct($app, Twig $view)
    {
        $this->app = $app;
        $this->view = $view;
        $container = $this->app->getContainer();
        $this->utiles = $container->get('Utiles');
        $this->pdo = $container->get('Pdo');
    }

    public function index()
    {
        echo ':)';
    }

    public function lista(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $data = DB::table('vfamilias02 as f')->orderBy('descripcion_listado');

        $id = 0 ;
        if (isset($datos['id'])) {
            $id = $datos['id'];
        }
        if($id > 0) {
            $data->where('f.id','=',$id);
        }
        // si buscamos por razón social
        $registros = $data->get();
        $respuesta = array('resultado' => 'ok','datos' => $registros);


        return $response->withJson($respuesta);
    }


    public function familiasPadre(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        // cogemos las familias padre
        $data = DB::table('vfamilias01 as f')->orderBy('f.descripcion');
        $data->where('f.parent_id','=',0);

        // cogemos como padres todas menos ella misma.
        $id = 0 ;
        if (isset($datos['id'])) {
            $id = $datos['id'];
        }
        if($id > 0) {
            $data->where('f.id','<>',$id);
        }
        $registros = $data->get();

        $data = DB::table('familias')->orderBy('familias.descripcion');
        $data->where('familias.parent_id','=',$id);
        $hijos = $data->get();
        $respuesta = array('resultado' => 'ok','datos' => $registros,'hijos'=>$hijos);


        return $response->withJson($respuesta);
    }

    public function grabar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        unset($datos['familia_desc']);
        unset($datos['subfamilia_desc']);

        $registro = $this->utiles->grabaModelo('Familias',$datos);

        $resultado = $registro['resultado'];
        $mensajes =  $registro['mensajes'];

        $familia = DB::table('vfamilias02 as f')->where('id',$registro['id'])->first();

        $datosFamilia = [
          'familia_desc' => $familia->familia_desc,
          'subfamilia_desc' => $familia->subfamilia_desc
        ];

        DB::table('productos')->where('familia_id',$registro['id'])->update($datosFamilia);

        if ($resultado == 'ok') {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }

        return $response->withJson($respuesta);

    }
}