<?php

namespace App\Controllers;
use Illuminate\Database\Capsule\Manager as DB;
use Formaspago ;
use Slim\Views\Twig;
use Slim\Http\Request;
use Slim\Http\Response ;

class FormaspagoController extends AbstractController
{
    private $app;
    private $view;
    private $utiles;
    private $pdo;

    public function __construct($app, Twig $view)
    {
        $this->app = $app;
        $this->view = $view;
        $container = $this->app->getContainer();
        $this->utiles = $container->get('Utiles');
        $this->pdo = $container->get('Pdo');
    }


    public function index()
    {
        echo ':)';
    }

    public function lista(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $descripcion = $datos['descripcion'];
        $id = $datos['id'];
        $data = DB::table('formaspago');
        if ($descripcion) {
            $data->where('formaspago.descripcion', 'like', "" . strtoupper($descripcion) . "%");
        }
        if($id > 0) {
            $data->where('formaspago.id','=',$id);
        }
        $data->orderBy('formaspago.descripcion');
        $datosFormaspago = $data->get();
        $array = array('resultado' => 'ok','datos' => $datosFormaspago);

        return $response->withJson($array);
    }
    public function ver(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $id = $datos['id'];
        $data = DB::table('formaspago')->where('formaspago.id', '=', $id)->get();
        $array = array('resultado' => 'ok','datos' => $data);

        return $response->withJson($array);
    }

    public function grabar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $registro = $this->utiles->grabaModelo('Formaspago',$datos);

        $resultado = $registro['resultado'];
        $mensajes =  $registro['mensajes'];

        if ($resultado == 'ok') {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }

        return $response->withJson($respuesta);

    }
}