<?php

namespace App\Controllers;

use Illuminate\Database\Capsule\Manager as DB;
use Pagostpv ;
use Slim\Views\Twig;
use Slim\Http\Request;
use Slim\Http\Response ;

class PagostpvController
{

    private $app;
    private $view;
    private $utiles;
    private $pdo;

    public function __construct($app, Twig $view)
    {
        $this->app = $app;
        $this->view = $view;
        $container = $this->app->getContainer();
        $this->utiles = $container->get('Utiles');
        $this->pdo = $container->get('Pdo');
    }

    public function index()
    {
        echo ':)';
    }

    public function lista(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();


        $fechaIni =  $datos['fecha_ini'];
        $fechaFin =  $datos['fecha_fin'];

        $data = DB::table('pagostpv as c')
            ->select('c.*')
            ->whereBetween('c.fecha', array($fechaIni,$fechaFin)) ;
        $data->orderBy('c.fecha');
        $datos = $data->get();
        $respuesta = array('resultado' => 'ok','datos'=>$datos);


        return $response->withJson($respuesta);
    }


    public function grabar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();


        $registro =  $this->utiles->grabaModelo('Pagostpv',$datos);

        $resultado = $registro['id'];
        $mensajes =  $registro['mensajes'];
        if ($resultado > 0) {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }
        return $response->withJson($respuesta);
    }

    public function borrar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        // Sacamos las lineas del albarán
        Pagostpv::where('id',$datos['id'])->delete(); // todoevo control deerrores
        $respuesta = array('resultado' => 'ok');

        return $response->withJson($respuesta);
    }

}