<?php

namespace App\Controllers;
use Illuminate\Database\Capsule\Manager as DB;
use Proveedores ;
use Slim\Views\Twig;
use Slim\Http\Request;
use Slim\Http\Response ;

class ProveedoresController
{
    private $app;
    private $view;
    private $utiles;
    private $pdo;

    public function __construct($app, Twig $view)
    {
        $this->app = $app;
        $this->view = $view;
        $container = $this->app->getContainer();
        $this->utiles = $container->get('Utiles');
        $this->pdo = $container->get('Pdo');
    }

    public function index()
    {
        echo ':)';
    }

    public function lista(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        $id  = (isset($datos['id'])) ? $datos['id'] : 0;

        $razonsocial = (isset($datos['razon_social'])) ? $datos['razon_social'] : '';

        $opcion = $datos['opcion'];
        $data = DB::table('proveedores')->orderBy('proveedores.razon_social');
        // si buscamos por razón social
        if ($razonsocial > '') {
            $data->where('proveedores.razon_social', 'like', "%" . strtoupper($razonsocial) . "%");
        }
        if ($id) {
            $data->where('proveedores.id', '=', $id);
        }
        $datosproveedores = $data->get();
        $respuesta = array('resultado' => 'ok','datos' => $datosproveedores);

        return $response->withJson($respuesta);
    }
    public function ver(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $id = $datos['id'];
        $data = DB::table('proveedores')->where('proveedores.id', '=', $id)->get();
        $array = array('resultado' => 'ok','datos' => $data);
        echo json_encode($array,JSON_NUMERIC_CHECK);
    }

    public function grabar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
            $registro = $this->utiles->grabaModelo('Proveedores',$datos);

            $resultado = $registro['resultado'];
            $mensajes =  $registro['mensajes'];

            if ($resultado == 'ok') {
                $respuesta = array('resultado' => 'ok','id'=>$registro['id']);
            } else {
                $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
            }

            echo json_encode($respuesta,JSON_NUMERIC_CHECK);

    }
    public function borrar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        $id = $datos['id'];

        $tieneMovimientos = 1 ;

        $facturas = DB::table('facturas_compra as f')->where('f.proveedor_id','=',$id)->count() ;

        if ( $facturas > 0) {
            $tieneMovimientos = 1 ;
        } else {
            $tieneMovimientos = 0 ;
        }

        if ($tieneMovimientos == 0) {
            $data = DB::table('proveedores')->where('id', '=', $id)->delete();
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','tienemovimientos'=>$tieneMovimientos);
        }

        echo json_encode($respuesta,JSON_NUMERIC_CHECK);

    }
}