<?php

namespace App\Controllers;
use Illuminate\Database\Capsule\Manager as DB;
use TarifasGolf ;
use DateTime ;

class TarifasGolfController extends AbstractController
{
    public function postLista()
    {
        $datos = $this->datos();
        $data = DB::table('tarifas_golf as t')->orderBy('t.temporada')->get();

        $respuesta = array('resultado' => 'ok','datos' => $data);
        return $this->respuesta($respuesta);
    }

    public function postBuscar()
    {
        $datos = $this->datos();
        $descripcion = $datos['descripcion'];
        $id = $datos['id'];

        $sql = DB::table('tarifas_golf as t');

        if ($descripcion > '') {
            $sql->where('t.descripcion', 'like', "%" . strtoupper($descripcion) . "%");
        }
        if ($id > 0) {
            $sql->where('t.id', '=', $id);
        }
        $data = $sql->orderBy('t.temporada')->get();

        $respuesta = array('resultado' => 'ok','datos' => $data);
        return $this->respuesta($respuesta);
    }

    public function postVer()
    {
        $datos = $this->datos();
        $data = DB::table('tarifas_golf as t')->where('t.id',$datos['id'])->first();
        $respuesta = array('resultado' => 'ok','datos' => $data);
        return $this->respuesta($respuesta);
    }


    public function postGrabar() {
        $utiles = $this->utiles();
        $datos = $this->datos();
        $registro =  $utiles->grabaModelo('TarifasGolf',$datos);

        $resultado = $registro['resultado'];
        $mensajes =  $registro['mensajes'];

        if ($resultado == 'ok') {
            $respuesta = array('resultado' => 'ok','id'=>$registro['id']);
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }
        return $this->respuesta($respuesta);
    }



}