<?php

namespace App\Controllers;
use Illuminate\Database\Capsule\Manager as DB;
use TarifasProductos ;
use DTarifasProductos ;
use DateTime ;

use Slim\Views\Twig;
use Slim\Http\Request;
use Slim\Http\Response ;

class TarifasProductosController extends AbstractController
{
    private $app;
    private $view;
    private $utiles ;
    private $pdo ;

    public function __construct($app, Twig $view)
    {
        $this->app = $app;
        $this->view = $view;
        $container = $this->app->getContainer();
        $this->utiles = $container->get('Utiles') ;
        $this->pdo = $container->get('Pdo') ;
    }

    public function index()
    {
        echo ':)';
    }

    public function lista(Request $request, Response $response, $args)
    {
        $data = DB::table('tarifas_productos as t')->orderBy('t.fechaini')->get();
        $respuesta = array('resultado' => 'ok','datos' => $data);

        return $response->withJson($respuesta);
    }
    public function ver(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $id = $datos['id'];
        $data = DB::table('tarifas_productos as t')->where('t.id', '=', $id)->get();

        $productosGolf = DB::table('productos as p')->where('p.grupo_id', '=', 2)->get();
        $dTarifasProd = DB::table('d_tarifas_productos as t')
            ->leftJoin('productos', 'productos.id', '=', 't.producto_id')
            ->select('t.*','productos.descripcion')
            ->where('t.tarifaproducto_id', '=', $id)->get();

        $aProductosGolf = array();
        $adTarifasProd = [];
        $ndTarifasProd = [];
        foreach($dTarifasProd as $dTarifa) {
            $adTarifasProd[] = $dTarifa->producto_id ;
        }

        foreach($productosGolf as $producto) {
            $aProductosGolf[] = $producto->id ;
        }
        foreach($aProductosGolf as $aProd) {
            if (!in_array($aProd,$adTarifasProd)) {
                $ndTarifasProd[] = $aProd ;
            }
        }

        foreach($ndTarifasProd as $aProd) {
            $datosLinea = [
                'tarifaproducto_id'=>$id,
                'producto_id' =>  $aProd,
                'precio'=>0
            ];
            $lineaVenta = new DTarifasProductos();
            $lineaVenta->saveData($datosLinea);
        }

        $dTarifasProd = DB::table('d_tarifas_productos as t')
            ->leftJoin('productos', 'productos.id', '=', 't.producto_id')
            ->select('t.*','productos.descripcion')
            ->where('tarifaproducto_id', '=', $id)
            ->orderby('productos.descripcion')
            ->get();

        $respuesta = array('resultado' => 'ok','datos' => $data,'id'=>$id,'productos_golf'=>$ndTarifasProd,'productos_tarifa'=>$dTarifasProd);
        return $response->withJson($respuesta);
    }

    public function grabar(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();

        $date1 = new DateTime($datos['fechaini']);
        $date2 = new DateTime($datos['fechafin']);

        $intervalo = $date1->diff($date2);
        $datos['dias'] = $intervalo->days ;

        $registro = $this->utiles->grabaModelo('TarifasProductos',$datos);

        $resultado = $registro['resultado'];

        $mensajes =  $registro['mensajes'];

        if ($resultado == 'ok') {
            $respuesta = array('resultado' => 'ok','id'=>$registro['id']);
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }

        return $response->withJson($respuesta);
    }

    public function grabarProductoTarifa(Request $request, Response $response, $args)
    {
        $datos = $request->getParsedBody();
        $registro = $this->utiles->grabaModelo('DTarifasProductos',$datos);
        $resultado = $registro['resultado'];
        $mensajes =  $registro['mensajes'];
        if ($resultado == 'ok') {
            $respuesta = array('resultado' => 'ok');
        } else {
            $respuesta = array('resultado' => 'ko','mensajes'=>$mensajes);
        }

        return $response->withJson($respuesta);
    }

}