<?php

namespace App\Controllers;

use Illuminate\Database\Capsule\Manager as DB;
use XBase\WritableTable;
use Slim\Views\Twig;
use Psr\Http\Message\ServerRequestInterface as Request;
use Psr\Http\Message\ResponseInterface as Response;
use Facturas ;
use TarifasGolf ;
use PDO ;

final class UtilesController
{
    private $app;
    private $view;
    private $pdo ;

    public function __construct($app, Twig $view)
    {
        // parent::__construct();
        $this->app = $app;
        $this->view = $view;

    }

    public function index()
    {
        echo 'Hola';
    }
    public function exportarContaplus()
    {
        $datos = ['fecha_ini'=>'2017-01-01','fecha_fin'=>'2017-12-31'];

        $data = DB::table('clientes')->select('clientes.*');
        $clientes = $data->get();


        $data = DB::table('facturas')
            ->leftJoin('clientes', 'clientes.id', '=', 'facturas.cliente_id')
            ->select('facturas.*','clientes.*')
            ->whereBetween('facturas.fecha', array($datos['fecha_ini'],$datos['fecha_fin'])) ;
        $data->orderBy('facturas.fecha');
        $facturas = $data->get();

        foreach($facturas as $fac) {
            echo '<pre>';
            print_r($fac);
            echo '</pre>';
        }

        $table = new WritableTable('prueba.dbf');
        $table->openWrite();
        $columns = $table->getColumns();
        while ($record = $table->nextRecord()) {
            $record->productnam = 'string';
            $table->writeRecord();
        }
        $table->close();
    }
    function generaIdReserva()
    {
        $characters ='0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $randstring = '';
        for ($i = 0; $i < 8; $i++)
        {
            $randstring .= $characters[rand(0, strlen($characters)-1)];
        }
        // añadimos el año y el mes formato 1505
        return date('y').date('m').$randstring;
    }


    public function estadisticaVentas()
    {

        $ventasAlbaranes = DB::table('lineas_venta as l')
            ->leftJoin('albaranes as a','l.albaran_id','=','a.id')
            ->leftJoin('clientes as c','c.id','=','a.cliente_id')
            ->leftJoin('productos as p','p.id','=','l.producto_id')
            ->select('l.*','a.fecha','a.doc','c.razon_social','p.producto','p.familia_desc','p.subfamilia_desc','c.pais')
            ->where('a.id','>',0)
            ->get() ;

        // todoevo
        $ventas = [];

        foreach($ventasAlbaranes as $v) {
            $producto = $v->producto ;
            $familia = $v->familia_desc ;
            if ($v->producto == '') {
                $producto = 'RESERVAS';
                $familia = 'RESERVAS';
            }
            $ventas[] = array('tipo'=>'VA',
                'pais'=>$v->pais,
                'ano'=>substr($v->fecha,0,4),
                'mes'=>substr($v->fecha,5,2),
                'cantidad'=>$v->cantidad,
                'precio'=>$v->precio,
                'razon_social'=>$v->razon_social,
                'producto'=>$producto,
                'total'=>$v->total,
                'familia_desc'=>$familia);
        }

        /*if (!empty($ventas)) {
            $sort = array();
            foreach($ventas as $k=>$v) {
                $sort['fecha'][$k] = $v['fecha'];
                $sort['tipo'][$k] = $v['tipo'];
            }
            array_multisort($sort['fecha'], SORT_ASC,$sort['tipo'], SORT_ASC, $ventas);
            $saldo = 0 ;
            foreach($ventas as $k=>$v) {

                if ($v['tipo']=='CO'){
                    $saldo = $saldo + $v['cantidad'];
                }
                if ($v['tipo']=='VT' || $v['tipo']=='VA'){
                    $saldo = $saldo - $v['cantidad'];
                }
                if ($v['tipo']=='AI' ){
                    $saldo =  $v['cantidad'];
                }
                $ventas[$k]['saldo'] = $saldo ;
            }
        }*/

        $datos = [
            'ventas'=> $ventas
        ];
        echo json_encode($datos);
    }

    function verPrecioAdmin($tarifa_id = TARIFADEFECTO,$hoyos,$jugadores,$buggies) {

        // devolvemos un concepto con las ofertas aplicadas.
        // global $pdo ;


        $tarifa = TarifasGolf::where('id',$tarifa_id)->first();

        if ($hoyos == 18 ) {
            $precioGreenfee = $tarifa['pvpgf18'] ;
            $precioBuggie =$tarifa['pvpbuggies'] ;
        }

        if ($hoyos == 9 ) {
            $precioGreenfee =$tarifa['pvpgf9'] ;
            $precioBuggie = $tarifa['pvpbuggies9'] ;
        }

        $array = array(
            'preciogreenfee'=>$precioGreenfee,
            'buggies'=>$buggies,
            'preciobuggie'=>$precioBuggie,
            'totalbuggies'=>$buggies*$precioBuggie,
            'totalreserva'=> ($precioBuggie*$buggies)+($jugadores*$precioGreenfee),
            'concepto'=>''
        );
        return $array ;
    }



    function verPrecioOferta($fecha,$hora,$jugadores,$buggies) {

        // devolvemos un concepto con las ofertas aplicadas.
        global $pdo ;

        $precios = $this->verPrecioGF($fecha, $hora);

        $precioGreenfee = $precios[0]['preciogf'];
        $precioBuggie = $precios[0]['preciobuggie'];

        $totalOfertas = 0 ;

        $ofertasAplicadas = array();
        $ofertasPosibles = array();
        // las ofertas.

        // añadir las horas hecho
        $sql = "select codigo,precio,cantidadgf,cantidadbuggies, datediff(fechaini,fechafin) as dias from ofertas where (fechaini <= :mfechaini and fechafin >= :mfechafin) AND (horaini <= :mhoraini and horafin >= :mhorafin )  and activa = 1 order by dias desc,cantidadgf limit 1";
        $stmt = $pdo->prepare($sql);
        $stmt->bindParam(':mfechaini',$fecha);
        $stmt->bindParam(':mfechafin',$fecha);
        $stmt->bindParam(':mhoraini',$hora);
        $stmt->bindParam(':mhorafin',$hora);
        $stmt->execute();
        $datos = $stmt->fetchAll(PDO::FETCH_ASSOC);


        foreach ($datos as $oferta) {
            $jugadoresOferta = $oferta['cantidadgf'];
            $buggiesOferta = $oferta['cantidadbuggies'];
            $precioOferta = $oferta['precio'];
            $codigoOferta = $oferta['codigo'];
            $salir = 0;
            while($salir == 0) :
                if ($jugadores > 0) {
                    if ($jugadoresOferta > $jugadores && $buggiesOferta > $buggies) {
                        $ofertasPosibles[] = $codigoOferta;

                    }
                    if ($jugadoresOferta <= $jugadores && $buggiesOferta > $buggies) {
                        $ofertasPosibles[] = $codigoOferta;

                    }
                }

                if ($jugadoresOferta <= $jugadores && $buggiesOferta <= $buggies) {
                    $ofertasAplicadas[]['jugadores'] = $jugadoresOferta;
                    $ofertasAplicadas[]['buggies'] = $buggiesOferta;
                    $ofertasAplicadas[]['total'] = $precioOferta;
                    $ofertasAplicadas[]['codigo'] = $codigoOferta;
                    $jugadores = $jugadores - $jugadoresOferta ;
                    $buggies = $buggies - $buggiesOferta ;
                    $totalOfertas = $totalOfertas + $precioOferta ;
                } else
                {
                    $salir = 1 ;
                }
            endwhile;
        }

        $jugadoresPrecioNormal = $jugadores ;
        $buggiesPrecioNormal = $buggies ;


        $array = array(
            'ofertasAplicadas'=>$ofertasAplicadas,
            'jugadores'=>$jugadoresPrecioNormal,
            'totaljugadores'=>$jugadoresPrecioNormal*$precioGreenfee,
            'preciogreenfee'=>$precioGreenfee,
            'buggies'=>$buggiesPrecioNormal,
            'preciobuggie'=>$precioBuggie,
            'totalbuggies'=>$buggiesPrecioNormal*$precioBuggie,
            'totaloferta' => $totalOfertas,
            'ofertasposibles'=>$ofertasPosibles,
            'totalreserva'=>$totalOfertas + ($buggiesPrecioNormal*$precioBuggie)+($jugadoresPrecioNormal*$precioGreenfee),
            'concepto'=>''
        );
        return $array ;
    }

    function verPrecioGF($fecha,$hora,$jugadores=1) {
        // Lógica de las tarifas.
        global $pdo ;
        $sql = "select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from tarifas where (fechaini <= :mfechaini and fechafin >= :mfechafin) AND (horaini <= :mhoraini and horafin >= :mhorafin ) order by dias desc limit 1";
        $stmt = $pdo->prepare($sql);

        $stmt->bindParam(':mfechaini',$fecha);
        $stmt->bindParam(':mfechafin',$fecha);
        $stmt->bindParam(':mhoraini',$hora);
        $stmt->bindParam(':mhorafin',$hora);
        $stmt->execute();
        $datos = $stmt->fetchAll();
        return $datos ;
    }
// select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from tarifas where (fechaini <= '2007-01-05' and fechafin >= '2007-01-05') AND (horaini <= '10:00' and horafin >= '10:00' ) order by dias desc limit 1
    function verOferta($fecha,$hora,$jugadores=1,$buggies=1) {
        //todoevo ver tema de la injección

        // Lógica de las tarifas.
        global $pdo ;
        $sql = sprintf("select preciogf, preciobuggie, datediff(fechaini,fechafin) as dias from ofertas where fechaini <= '%s' and fechafin >= '%s' and activa = 1 order by dias desc limit 1",$fecha,$fecha);
        $stmt = $pdo->prepare($sql);
        $stmt->execute();
        $datos = $stmt->fetchAll();
        return $datos ;
    }
    function grabaGFTemp($data,$pdo)
    {
        // grabamos el array de datos
        $datafields = array('fecha' => '', 'hora' => '', 'fly' => 0, 'recorrido' => '', 'jugador' => '','idreserva'=>'','idreservahora'=>'','buggie'=>'','tarifa_id'=>0);
        // iniciamos la transacción.
        $pdo->beginTransaction(); // also helps speed up your inserts.
        $insert_values = array();
        foreach ($data as $d) {
            $question_marks[] = '(' . $this->placeholders('?', sizeof($d)) . ')';
            $insert_values = array_merge($insert_values, array_values($d));
        }
        $sql = "INSERT INTO greenfeestemp (" . implode(",", array_keys($datafields)) . ") VALUES " . implode(',', $question_marks);
        $stmt = $pdo->prepare($sql);
        try {
            $stmt->execute($insert_values);
        } catch (PDOException $e) {
            echo $e->getMessage();
        }
        $pdo->commit();
    }

    function placeholders($text, $count=0, $separator=","){
        $result = array();
        if($count > 0){
            for($x=0; $x<$count; $x++){
                $result[] = $text;
            }
        }
        return implode($separator, $result);
    }
    function grabaModelo($modelo,$datos) {
        $resultado = 0 ;
        $mensajes = '' ;
        $id = $datos['id'];
        if ($id > 0) {
            try{
                $registro = $modelo::find((int)$id);
                $registro->saveData($datos);
                $resultado = $id ;
            } catch (\Exception $e) {
                $resultado = 0 ;
                $mensajes = $e->getMessage() ;
            }
        } else {
            try{
                $registro = new $modelo;
                $registro->saveData($datos);
                $resultado = $registro->id;
            } catch (\Exception $e) {
                $resultado = 0 ;
                $mensajes = $e->getMessage() ;
            }
        }
        $estado = 'ko';
        if ($resultado > 0) $estado = 'ok';
        return ['resultado' => $estado,'id'=>$resultado,'mensajes'=>$mensajes] ;
    }
}