angular.module('ez-tablediv', ['ngSanitize', 'ngCsv'])

    .constant('EzTableConfig', {
        limit: 50,
        limits: [15, 25 , 50, 100],
        sortField: null,
        sortAscending: false,
        showFilters : true
    })
    .directive('ezTablediv', ['$filter', 'EzTableConfig','$compile','$window','Evoratec','$parse',
        function($filter, EzTableConfig,$compile,$window,Evoratec,$parse) {
        return {
            restrict: 'A',
            scope: true ,
            compile: function (element,attrs) {
                // link function

                return function(scope, element, attrs) {
                    var headerTpl = '<div class="titulos-columnas">',
                        filterTpl = '<div class="filtros" ><div class="check-box"></div>',
                        cols,
                        ColName,
                        columnName,
                        colName,
                        fieldName,
                        filedFilter ;

                    // cogemos la configuración de las columnas
                    cols = scope.$eval(attrs.columnas);


                    headerTpl = '<div class="top-eztable">'+
                        '<div class="pagina-actual">'+
                        '<span>Pág: {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        '</div>' +
                        '<div class="acciones-tabla">'+
                        '<select class="form-control input-sm registros-por-pagina" ng-model="limit" ng-options="v for v in limits" title=""></select><span class="label-limit-select">Registros/Página</span>' +
                        '</div>' +
                        '<div class="comandos-tabla">'+
                      //  '<button class="btn comandos-tabla__boton boton__accion-peque" ng-show="showFilters" ng-click="cleanFilters()" title="Limpia filtros">Limpia filtros</button>' +
                      //  '<button class="btn comandos-tabla__boton" ng-click="showFilters = !showFilters"><i class="fa fa-filter" aria-hidden="true"></i></button>'+
                        '</div>' +
                        '<div class="paginacion">'+
                        '<ul ng-show="pageCount > 1" class="pagination pagination-sm">' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</ul>' +
                        '</div>' +

                        '</div>' ;


                    headerTpl += '<div class="cabecera-titulos"><div class="titulos-columnas">',
                    headerTpl += '<div class="check-box"><input class="batch-checkbox" type="checkbox" ng-model="isToggled" ng-change="toggleAll()"/></div>';

                    for(var i=0; i<cols.length ; i++) {
                        ColName = cols[i].columna;
                        if (!ColName) {
                            throw new Error('data-title attribute must be specified for column "' + i + '"');
                        }
                        fieldName = ColName;
                        sortField =   cols[i].sort;
                        headerField = cols[i].header;
                        // lo hemos añadido nuevo para filtrar las fechas
                        fieldFilter = fieldName;
                        headerTpl += '<div class="columna '+fieldName+'"><a ng-click="sort(\'' + sortField + '\')">' + headerField + '<span ng-show="sortField == \'' + sortField + '\'" ng-class="{\'caret-up\': sortAscending,\'caret-down\': !sortAscending}" class="caret"></span></a></div>';
                        filterTpl += '<div class="columna '+fieldName+'"><input class="tabladiv__campo-filtro form-control" ng-model="filters.' + fieldFilter + '"  type="search" ng-change="filter(\'' + fieldFilter + '\')"/></div>';
                    }
                    headerTpl += '</div>';
                    headerTpl +=  '<div class="columna acciones-cabecera"></div></div>' ;


                    filterTpl += '</div>';


                    headerTpl += filterTpl + '</div>';

                    cheaderTpl = $compile(headerTpl)(scope);
                    element.prepend(cheaderTpl);

                    var footerTpl = '<div class="pie-tabla"><div>' +
                        '<div class="check-box">' +
                        '<input class="batch-checkbox" type="checkbox" ng-model="isToggled" ng-change="toggleAll()"/>' +
                        '</div>' +
                        '<div class="pie">' +

                        '<div class="pagina-actual">'+
                        '<span>Página {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        // '<input type="number" min="1" max="{{pageCount}}" class="form-control" ng-model="iraPagina" ng-change="verPagina(iraPagina)">' +
                        '</div>' +

                        '<div class="acciones-tabla">'+
                        '<select class="form-control input-sm registros-por-pagina" ng-model="limit" ng-options="v for v in limits" title=""></select><span class="label-limit-select">Registros/Página</span>' +
                        '</div>' +
                        '<div class="comandos-tabla">'+
                        '</div>' +
                        '<div class="paginacion">'+
                        '<ul ng-show="pageCount > 1" class="pagination pagination-sm">' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</div>' +



                        '</div>' +
                        '</div>';

                    //compilamos la plantilla  y le añadimos el scope. Entonces, la plantilla compilada
                    // la añadimos al elmento.
                    var cFooterTpl = $compile(footerTpl)(scope);

                    // element.append(cFooterTpl);


                    element.addClass('table ez-tablediv table-bordered');

                    scope.limit = parseInt(attrs.limit, 10) || EzTableConfig.limit;
                    scope.limits = scope.$eval(attrs.limits) || EzTableConfig.limits;
                    scope.sortField = scope.$eval(attrs.sortField) || EzTableConfig.sortField;

                    scope.sortAscending = scope.$eval(attrs.sortAscending) || EzTableConfig.sortAscending;

                    scope.showFilters = false ;

                    scope.currentPage = 0;
                    scope.iraPagina   = 1 ;
                    scope.batchAction = '';
                    scope.filters = {};
                    scope.cabeceraCsv = [];


                    scope.numeroRegistros = 0 ;

                    scope.itemsCsv = [];


                    scope.ficherocsv = attrs.ficheroCsv;

                    var maxSize = 10,
                        itemsPerPage = 10,
                        boundaryLinks = false,
                        directionLinks = true,
                        firstText = 'First',
                        previousText = 'Previous',
                        nextText = 'Next',
                        lastText = 'Last',
                        rotate = true;



                    scope.setPage = function(page)  {
                        scope.currentPage = page;
                        scope.cabeceraCsv = [];
                        scope.items = scope.pages[page];
                        attrs.paginaActual = page ;
                        console.log(page)
                        if ( typeof scope.items != "undefined" && scope.items.length > 0) {
                            angular.forEach(scope.items[0], function(value, key) {
                                scope.cabeceraCsv.push(key) ;
                            });
                        }
                    };
                    scope.verCabecera = function() {

                    }
                    scope.calcPages = function(page) {
                        var items = [];

                        for (var hasFilters in scope.filters) {
                            break;
                        }

                        if (scope.sortField) {
                            items = $filter('orderBy')(scope.$eval(attrs.ezTablediv), scope.sortField, !scope.sortAscending);
                        } else {
                            items = scope.$eval(attrs.ezTablediv);
                        }

                        if (hasFilters) {
                            items = $filter('filter')(items, scope.filters);
                        }
                        //scope.itemsCsv = items ;
                        // sacamos los items filtrados

                        Evoratec.itemscsv = items ;

                        // todoevo-ojo
                        
                        // scope.limit = items.length ;

                        scope.pageCount = Math.ceil(items.length / scope.limit);
                        scope.numeroPaginas = scope.pageCount ;
                        scope.pages = [];
                        for(var i=0; i<scope.numeroPaginas; i++) {
                            scope.pages[i] = items.slice(i * scope.limit, ((i * scope.limit) + scope.limit));
                        }
                        scope.setPage(page);
                        scope.iraPagina = page + 1;
                    };

                    scope.cleanFilters = function() {
                        scope.filters = {};
                        angular.forEach(scope.items, function(item, i) {
                            scope.items[i].selected = false;
                        });
                        scope.calcPages(0);
                        scope.$emit('limpio-filtros');
                    }

                    scope.toggleAll = function() {
                        angular.forEach(scope.items, function(item, i) {
                            scope.items[i]._selected = scope.isToggled;
                        });
                    };

                    scope.topScroll = function() {
                        /*elemento = angular.element(element[0].querySelector('.datos'));
                        elemento[0].scrollTop = 0;*/
                         $window.scrollTo(0,0);
                    }

                    scope.prev = function() {
                        if (scope.currentPage > 0) {
                            scope.items = scope.pages[scope.currentPage - 1];
                            scope.currentPage--;
                            scope.iraPagina = scope.currentPage + 1 ;
                            scope.isToggled = false;
                            scope.topScroll();
                        }
                    };

                    scope.next = function() {
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.currentPage + 1];
                            scope.currentPage++;
                            scope.iraPagina = scope.currentPage + 1 ;
                            scope.isToggled = false;
                            scope.topScroll();
                        }
                        attrs.paginaActual = scope.iraPagina ;


                    };
                    scope.last = function() {
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.pages.length -1];
                            scope.currentPage = scope.pages.length - 1 ;
                            scope.iraPagina = scope.currentPage + 1 ;
                            scope.isToggled = false;
                            scope.topScroll();

                        }
                    };
                    scope.first = function() {
                        if (scope.currentPage !== 0) {
                            scope.items = scope.pages[0];
                            scope.currentPage = 0 ;
                            scope.iraPagina = scope.currentPage + 1 ;
                            scope.isToggled = false;
                            scope.topScroll();
                        }
                    };

                    scope.sort = function(name) {
                        //if (name != scope.)
                        scope.sortAscending = !scope.sortAscending;
                        scope.sortField = name;
                        scope.calcPages(scope.currentPage);
                    };

                    scope.filter = function() {
                        scope.calcPages(0);
                    };

                    // Create page object used in template
                    function makePage(number, text, isActive) {
                        return {
                            number: number,
                            text: text,
                            active: isActive
                        };
                    }
                    // ahora mismo no se utiliza
                    /*function getPages(currentPage, totalPages) {
                        var pages = [];
                        var maxSize = 5 ;
                        var rotate = false ;
                        currentPage = currentPage + 1;

                        // Default page limits
                        var startPage = 1, endPage = totalPages;
                        var isMaxSized = ( angular.isDefined(maxSize) && maxSize < totalPages );

                        // recompute if maxSize
                        if ( isMaxSized ) {
                            if ( rotate ) {
                                // Current page is displayed in the middle of the visible ones
                                startPage = Math.max(currentPage - Math.floor(maxSize/2), 1);
                                endPage   = startPage + maxSize - 1;

                                // Adjust if limit is exceeded
                                if (endPage > totalPages) {
                                    endPage   = totalPages;
                                    startPage = endPage - maxSize + 1;
                                }
                            } else {
                                // Visible pages are paginated with maxSize
                                startPage = ((Math.ceil(currentPage / maxSize) - 1) * maxSize) + 1;

                                // Adjust last page if limit is exceeded
                                endPage = Math.min(startPage + maxSize - 1, totalPages);
                            }
                        }

                        // Add page number links
                        for (var number = startPage; number <= endPage; number++) {
                            var page = makePage(number, number, number === currentPage);
                            pages.push(page);
                        }

                        // Add links to move between page sets
                        if ( isMaxSized && ! rotate ) {
                            if ( startPage > 1 ) {
                                var previousPageSet = makePage(startPage - 1, '...', false);
                                pages.unshift(previousPageSet);
                            }

                            if ( endPage < totalPages ) {
                                var nextPageSet = makePage(endPage + 1, '...', false);
                                pages.push(nextPageSet);
                            }
                        }

                        return pages;
                    }*/

                    scope.exportarDatos = function() {

                    }

                    scope.$watch('limit', function(newVal, oldVal) {
                        if (newVal !== oldVal) {
                            scope.calcPages(0);
                        }
                    });

                    scope.$watch(attrs.ezTablediv, function(items) {

                        var pagina = $parse(attrs.paginaActual)

                        scope.showBatchActions = false;
                        if (!angular.isArray(items)) {
                            return;
                        }
                        var count = items.length;
                        if (count != scope.numeroRegistros) {
                            scope.iraPagina = 1 ;
                        }
                        scope.numeroRegistros = count ;
                        angular.forEach(items, function(item, i) {
                            if (item._selected) {
                                scope.showBatchActions = true;
                                return;
                            } else if ((i + 1) === count) {
                                scope.isToggled = false;
                            } 
                        });

                        scope.calcPages(scope.iraPagina-1);

                    }, true);

                    scope.verPagina = function(pagina) {
                        if (pagina <= scope.pageCount && pagina > 0) {
                            scope.setPage(pagina-1);
                        }

                    }

                };
            }
        };
    }]);
;angular.module('evo-tableflex', ['ngSanitize', 'ngCsv'])

    .constant('EzTableConfig', {
        limit: 25,
        limits: [15, 25 , 50, 100,9999],
        sortField: null,
        sortAscending: false,
        showFilters : false
    })
    .directive('evoTableflex', ['$filter', 'EzTableConfig','$compile','$window','$rootScope', function($filter, EzTableConfig,$compile,$window,$rootScope) {
        return {
            restrict: 'A',
            scope: true ,
            compile: function (element,attrs) {
                // link function

                return function(scope, element, attrs) {
                    var headerTpl = '<div class="titulos-columnas">',
                        filterTpl = '<div class="tabla__filtros" ng-show="showFilters">',
                        cols,
                        ColName,
                        columnName,
                        colName,
                        fieldName,
                        filedFilter ;

                    if (attrs.select == 'true') {
                        filterTpl += '<div class="tabla__selectbox"></div>';
                    }

                    var nombre_tabla = attrs.nombreTabla ;

                    if (typeof $rootScope[nombre_tabla] === 'undefined' || $rootScope[nombre_tabla] === null) {
                        $rootScope[nombre_tabla] = {
                            pagina: 1,
                            filters : {}
                        }
                    } else {
                        scope.filters = $rootScope[nombre_tabla].filters
                    }

                    // cogemos la configuración de las columnas
                    cols = scope.$eval(attrs.columnas);

                    headerTpl = '<div class="top-eztable">'+
                        '<div class="pagina-actual">'+
                        '<span>Página {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        '</div>' +
                        '<div class="acciones-tabla">'+
                        '<select class="form-control input-sm registros-por-pagina" ng-model="limit" ng-options="v for v in limits" title=""></select><span class="label-limit-select">Registros/Página</span>' +
                        '</div>' +
                        '<div class="paginacion">'+
                        '<ul ng-show="pageCount > 1" class="pagination pagination-sm">' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</ul>' +
                        '</div>' +
                        '</div>' ;


                    headerTpl += '<div class="tabla__cabecera"><div class="tabla__titulos">';

                    if (attrs.select == 'true') {
                        headerTpl += '<div class="tabla__selectbox tabla__columna">';
                        headerTpl += '<div class="evo-checkbox" >';
                        headerTpl += '<a ng-class="{seleccionado: isToggled}" class="tabla__cabecera-checkbox" ng-click="toggleAll()"></a>';
                        headerTpl += '</div>';
                        headerTpl += '</div>';
                    }

                  //  headerTpl += '<div class="evo-checkbox" >';
                  //   headerTpl += '<input type="checkbox"  ng-model="isToggled" ng-change="toggleAll()"/>';
                  //  headerTpl += '<label for="tabla__cabecera-checkbox"></label></div>';




                    for(var i=0; i<cols.length ; i++) {
                        ColName = cols[i].columna;
                        clase = cols[i].clase ;
                        if (clase == undefined) clase = '' ;
                        if (!ColName) {
                            throw new Error('data-title attribute must be specified for column "' + i + '"');
                        }
                        fieldName = ColName;
                        sortField =   cols[i].sort;
                        headerField = cols[i].header;

                        // lo hemos añadido nuevo para filtrar las fechas
                        fieldFilter = fieldName;
                        headerTpl += '<div class="tabla__columna-titulo '+fieldName+' '+clase+'"><a ng-click="sort(\'' + sortField + '\')">' + headerField + '<span ng-show="sortField == \'' + sortField + '\'" ng-class="{\'caret-up\': sortAscending,\'caret-down\': !sortAscending}" class="caret"></span></a></div>';
                        filterTpl += '<div class="tabla__columna '+fieldName+' '+clase+'"><input class="form-control" ng-model="filters.' + fieldFilter + '" placeholder="" type="search" ng-change="filter(\'' + fieldFilter + '\')"/></div>';
                    }
                    headerTpl += '<div class="tabla__columna-acciones"></div>';
                    headerTpl += '</div>';

                    filterTpl += '<div class="tabla__columna-acciones">';
                    filterTpl += '<button ng-show="tieneFiltros" ng-click="cleanFilters()" class="btn tabla__datos-boton-limpia-filtros"><i class="fa fa-times" aria-hidden="true"></i></button>';

                    if (attrs.filtros == 'true') {
                        headerTpl += filterTpl + '</div>';
                    } else {
                        headerTpl +=  '</div>';
                    }


                    cheaderTpl = $compile(headerTpl)(scope);
                    element.prepend(cheaderTpl);

                    var footerTpl = '<div class="tabla__pie">' +
                        '<div class="tabla__pagina-actual">'+
                        '<span>Página {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        // '<input type="number" min="1" max="{{pageCount}}" class="form-control" ng-model="iraPagina" ng-change="verPagina(iraPagina)">' +
                        '</div>' +
                        '<div class="tabla__paginacion">'+
                        '<ul ng-show="pageCount > 1" class="paginacion__botones">' +
                        '<li><a ng-class="{boton__disable: currentPage == 0}" class="paginacion__boton" ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == 0}" class="paginacion__boton"  ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == (pageCount - 1)}" class="paginacion__boton"  ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == (pageCount - 1)}" class="paginacion__boton"  ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</div>' +
                        '</div>';

                    //compilamos la plantilla  y le añadimos el scope. Entonces, la plantilla compilada
                    // la añadimos al elmento.
                    var cFooterTpl = $compile(footerTpl)(scope);

                    element.append(cFooterTpl);


                    element.addClass('evo-tableflex');

                    scope.limit = parseInt(attrs.limit, 10) || EzTableConfig.limit;
                    scope.limits = scope.$eval(attrs.limits) || EzTableConfig.limits;
                    scope.sortField = scope.$eval(attrs.sortField) || EzTableConfig.sortField;

                    scope.sortAscending = scope.$eval(attrs.sortAscending) || EzTableConfig.sortAscending;

                    scope.showFilters = true ;

                    scope.currentPage = 0;
                    scope.iraPagina   = 1 ;
                    scope.batchAction = '';

                    scope.cabeceraCsv = [];

                    scope.numeroRegistros = 0 ;

                    scope.itemsCsv = [];
                    scope.isToggled = false ;
                    scope.tieneFiltros = false ;

                    scope.ficherocsv = attrs.ficheroCsv;

                    var maxSize = 10,
                        itemsPerPage = 10,
                        boundaryLinks = false,
                        directionLinks = true,
                        firstText = 'First',
                        previousText = 'Previous',
                        nextText = 'Next',
                        lastText = 'Last',
                        rotate = true;

                    scope.setPage = function(page)  {
                        scope.currentPage = page;
                        scope.cabeceraCsv = [];
                        scope.items = scope.pages[page];
                        attrs.paginaActual = page ;


                        if ( typeof scope.items != "undefined" && scope.items.length > 0) {
                            angular.forEach(scope.items[0], function(value, key) {
                                scope.cabeceraCsv.push(key) ;
                            });
                        }

                    };
                    scope.verCabecera = function() {

                    }
                    scope.calcPages = function(page) {
                        var items = [];

                        for (var hasFilters in scope.filters) {
                            break;
                        }

                        if (scope.sortField) {
                            items = $filter('orderBy')(scope.$eval(attrs.evoTableflex), scope.sortField, !scope.sortAscending);
                        } else {
                            items = scope.$eval(attrs.evoTableflex);
                        }

                        angular.forEach(items, function(item, i) {
                            items[i]._filtrado = false;
                        });

                        scope.tieneFiltros = false ;
                        if (hasFilters) {
                            items = $filter('filter')(items, scope.filters);
                            $rootScope[nombre_tabla].filters = scope.filters ;
                            scope.tieneFiltros = true ;
                        }

                        scope.parametrosTabla = {
                            filtros : scope.filters,
                            campoOrden : scope.sortField,
                            orden : scope.sortAscending
                        }
                        if (scope.tieneFiltros) {
                            scope.$emit('tabla-filtros-orden-'+attrs.nombreTabla,scope.parametrosTabla)
                            scope.$emit('tabla-'+attrs.nombreTabla,items)  // evento que manda los datos filtrados.
                        }


                        scope.pageCount = Math.ceil(items.length / scope.limit);
                        scope.numeroPaginas = scope.pageCount ;
                        scope.pages = [];

                        for(var i=0; i<scope.numeroPaginas; i++) {
                            scope.pages[i] = items.slice(i * scope.limit, ((i * scope.limit) + scope.limit));
                        }
                        scope.setPage(page);
                        scope.iraPagina = page + 1;
                        scope.emitePagina();

                    };

                    scope.cleanFilters = function() {
                        scope.filters = {};
                        $rootScope[nombre_tabla].filters = scope.filters ;
                        scope.calcPages(0);
                        scope.$emit('limpio-filtros');
                    }

                    scope.toggleAll = function() {

                        scope.isToggled = !scope.isToggled ;
                        var items = scope.$eval(attrs.evoTableflex);
                        angular.forEach(items, function(item, i) {
                            items[i]._selected = scope.isToggled;
                        });

                    };

                    scope.topScroll = function() {
                        /*
                            elemento = angular.element(element[0].querySelector('.datos'));
                            elemento[0].scrollTop = 0;
                        */
                         $window.scrollTo(0,0);
                    }

                    scope.prev = function() {
                        if (scope.currentPage > 0) {
                            scope.items = scope.pages[scope.currentPage - 1];
                            scope.currentPage--;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();
                        }
                        scope.emitePagina();
                    };

                    scope.next = function() {
                        console.log('paso por el next ')
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.currentPage + 1];
                            scope.currentPage++;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();
                        }
                        scope.emitePagina();



                    };
                    scope.last = function() {
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.pages.length -1];
                            scope.currentPage = scope.pages.length - 1 ;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();

                        }
                        scope.emitePagina();
                    };
                    scope.first = function() {
                        if (scope.currentPage !== 0) {
                            scope.items = scope.pages[0];
                            scope.currentPage = 0 ;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();
                        }
                        scope.emitePagina();
                    };

                    scope.sort = function(name) {
                        //if (name != scope.)
                        scope.sortAscending = !scope.sortAscending;
                        scope.sortField = name;
                        scope.calcPages(scope.currentPage);

                    };

                    scope.filter = function() {
                        scope.calcPages(0);
                    };

                    // Create page object used in template
                    function makePage(number, text, isActive) {
                        return {
                            number: number,
                            text: text,
                            active: isActive
                        };
                    }
                    // ahora mismo no se utiliza
                    /*function getPages(currentPage, totalPages) {
                        var pages = [];
                        var maxSize = 5 ;
                        var rotate = false ;
                        currentPage = currentPage + 1;

                        // Default page limits
                        var startPage = 1, endPage = totalPages;
                        var isMaxSized = ( angular.isDefined(maxSize) && maxSize < totalPages );

                        // recompute if maxSize
                        if ( isMaxSized ) {
                            if ( rotate ) {
                                // Current page is displayed in the middle of the visible ones
                                startPage = Math.max(currentPage - Math.floor(maxSize/2), 1);
                                endPage   = startPage + maxSize - 1;

                                // Adjust if limit is exceeded
                                if (endPage > totalPages) {
                                    endPage   = totalPages;
                                    startPage = endPage - maxSize + 1;
                                }
                            } else {
                                // Visible pages are paginated with maxSize
                                startPage = ((Math.ceil(currentPage / maxSize) - 1) * maxSize) + 1;

                                // Adjust last page if limit is exceeded
                                endPage = Math.min(startPage + maxSize - 1, totalPages);
                            }
                        }

                        // Add page number links
                        for (var number = startPage; number <= endPage; number++) {
                            var page = makePage(number, number, number === currentPage);
                            pages.push(page);
                        }

                        // Add links to move between page sets
                        if ( isMaxSized && ! rotate ) {
                            if ( startPage > 1 ) {
                                var previousPageSet = makePage(startPage - 1, '...', false);
                                pages.unshift(previousPageSet);
                            }

                            if ( endPage < totalPages ) {
                                var nextPageSet = makePage(endPage + 1, '...', false);
                                pages.push(nextPageSet);
                            }
                        }

                        return pages;
                    }*/

                    scope.exportarDatos = function() {
                    }

                    scope.$watch('limit', function(newVal, oldVal) {
                        if (newVal !== oldVal) {
                            scope.calcPages(0);
                        }
                    });

                    scope.$watch(attrs.evoTableflex, function(items) {

                        scope.showBatchActions = false;
                        if (!angular.isArray(items)) {
                            return;
                        }

                        var count = items.length;
                        if (count != scope.numeroRegistros) {
                            scope.iraPagina = 1 ;
                        }
                        scope.numeroRegistros = count ;
                        scope.isToggled = false ;
                        angular.forEach(items, function(item, i) {
                            if (item._selected) {
                                scope.isToggled = true ;
                                return;
                            } else if ((i + 1) === count) {

                            }
                        });
                        if ($rootScope[nombre_tabla].pagina > 0) {
                            scope.iraPagina = $rootScope[nombre_tabla].pagina
                        }

                        scope.calcPages(scope.iraPagina-1);

                    }, true);
                    // enviamos con el nombre de la tabla un evento con el número de página
                    /*scope.$watch('iraPagina', function(pagina){
                        if (attrs.tabla > '') scope.$emit(attrs.tabla,pagina);
                    });
*/
                    scope.emitePagina = function() {
                        $rootScope[nombre_tabla].pagina = scope.iraPagina
                    }


                    scope.verPagina = function(pagina) {
                        if (pagina <= scope.pageCount && pagina > 0) {
                            scope.setPage(pagina-1);
                        }

                    }

                };
            }
        };
    }]);
;angular.module('evo-tableflex3', ['ngSanitize', 'ngCsv'])
    .constant('EzTableConfigMto', {
        limit: 10,
        limits: [15, 25 , 50, 100,9999],
        sortField: null,
        sortAscending: false,
        showFilters : false
    })
    .directive('evoTableflex3', ['$filter', 'EzTableConfigMto','$compile','$window', function($filter, EzTableConfigMto,$compile,$window) {
        return {
            restrict: 'A',
            scope: true ,
            compile: function (element,attrs) {
                return function(scope, element, attrs) {
                    var headerTpl = '<div class="titulos-columnas">',
                        filterTpl = '<div class="tabla__filtros" ng-show="showFilters">',
                        cols,
                        ColName,
                        columnName,
                        colName,
                        fieldName,
                        filedFilter ;

                    if (attrs.select == 'true') {
                        filterTpl += '<div class="tabla__selectbox"></div>';
                    }

                    var nombre_tabla = attrs.nombreTabla ;

                    scope.filtro = '' ;
                    // cogemos la configuración de las columnas
                    cols = scope.$eval(attrs.columnas);

                    headerTpl = '<div class="top-eztable">'+
                        '<div class="pagina-actual">'+
                    //    '<div class=""><input class="form-control" ng-model="filtro" placeholder="" type="search" ng-change="filter()"/></div>'+
                        '<span>Página {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        '</div>' +
                        '<div class="paginacion">'+
                        '<ul ng-show="pageCount > 1" class="pagination pagination-sm">' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == 0}"><a ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li ng-class="{disabled: currentPage == (pageCount - 1)}"><a ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</ul>' +
                        '</div>' +
                        '</div>' ;


                    headerTpl += '<div class="tabla__cabecera"><div class="tabla__titulos">';

                    if (attrs.select == 'true') {
                        headerTpl += '<div class="tabla__selectbox tabla__columna">';
                        headerTpl += '<div class="evo-checkbox" >';
                        headerTpl += '<a ng-class="{seleccionado: isToggled}" class="tabla__cabecera-checkbox" ng-click="toggleAll()"></a>';
                        headerTpl += '</div>';
                        headerTpl += '</div>';
                    }

                  //  headerTpl += '<div class="evo-checkbox" >';
                  //   headerTpl += '<input type="checkbox"  ng-model="isToggled" ng-change="toggleAll()"/>';
                  //  headerTpl += '<label for="tabla__cabecera-checkbox"></label></div>';


                    for(var i=0; i<cols.length ; i++) {
                        ColName = cols[i].columna;
                        clase = cols[i].clase ;
                        if (clase == undefined) clase = '' ;
                        if (!ColName) {
                            throw new Error('data-title attribute must be specified for column "' + i + '"');
                        }
                        fieldName = ColName;
                        sortField =   cols[i].sort;
                        headerField = cols[i].header;

                        // lo hemos añadido nuevo para filtrar las fechas
                        fieldFilter = fieldName;
                        headerTpl += '<div class="tabla__columna-titulo '+fieldName+' '+clase+'"><a ng-click="sort(\'' + sortField + '\')">' + headerField + '<span ng-show="sortField == \'' + sortField + '\'" ng-class="{\'caret-up\': sortAscending,\'caret-down\': !sortAscending}" class="caret"></span></a></div>';
                        filterTpl += '<div class="tabla__columna '+fieldName+' '+clase+'"><input class="form-control" ng-model="filters.' + fieldFilter + '" placeholder="" type="search" ng-change="filter(\'' + fieldFilter + '\')"/></div>';
                    }
                    headerTpl += '<div class="tabla__columna-acciones"></div>';
                    headerTpl += '</div>';

                    filterTpl += '<div class="tabla__columna-acciones">';
                    filterTpl += '<button ng-show="tieneFiltros" ng-click="cleanFilters()" class="btn tabla__datos-boton-limpia-filtros"><i class="fa fa-times" aria-hidden="true"></i></button>';

                    if (attrs.filtros == 'true') {
                        headerTpl += filterTpl + '</div>';
                    } else {
                        headerTpl +=  '</div>';
                    }


                    cheaderTpl = $compile(headerTpl)(scope);
                    element.prepend(cheaderTpl);

                    var footerTpl = '<div class="tabla__pie">' +
                        '<div class="tabla__pagina-actual">'+
                        '<span>Página {{currentPage+1}} de {{pageCount}} ' + '</span>'+
                        // '<input type="number" min="1" max="{{pageCount}}" class="form-control" ng-model="iraPagina" ng-change="verPagina(iraPagina)">' +
                        '</div>' +
                        '<div class="tabla__paginacion">'+
                        '<ul ng-show="pageCount > 1" class="paginacion__botones">' +
                        '<li><a ng-class="{boton__disable: currentPage == 0}" class="paginacion__boton" ng-click="first()"><i class="fa fa-angle-double-left" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == 0}" class="paginacion__boton"  ng-click="prev()"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == (pageCount - 1)}" class="paginacion__boton"  ng-click="next()"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>' +
                        '<li><a ng-class="{boton__disable: currentPage == (pageCount - 1)}" class="paginacion__boton"  ng-click="last()"><i class="fa fa-angle-double-right" aria-hidden="true"></i></i></a></li>' +
                        '</div>' +
                        '</div>';

                    //compilamos la plantilla  y le añadimos el scope. Entonces, la plantilla compilada
                    // la añadimos al elmento.
                    var cFooterTpl = $compile(footerTpl)(scope);

                    // element.append(cFooterTpl);


                    element.addClass('evo-tableflex');

                    scope.limit = parseInt(attrs.limit, 10) || EzTableConfigMto.limit;
                    scope.sortField = scope.$eval(attrs.sortField) || EzTableConfigMto.sortField;

                    scope.sortAscending = scope.$eval(attrs.sortAscending) || EzTableConfigMto.sortAscending;

                    scope.showFilters = true ;

                    scope.currentPage = 0;
                    scope.iraPagina   = 1 ;
                    scope.batchAction = '';

                    scope.cabeceraCsv = [];

                    scope.numeroRegistros = 0 ;

                    scope.itemsCsv = [];
                    scope.isToggled = false ;
                    scope.tieneFiltros = false ;

                    scope.ficherocsv = attrs.ficheroCsv;

                    var maxSize = 10,
                        itemsPerPage = 10,
                        boundaryLinks = false,
                        directionLinks = true,
                        firstText = 'First',
                        previousText = 'Previous',
                        nextText = 'Next',
                        lastText = 'Last',
                        rotate = true;

                    scope.setPage = function(page)  {
                        scope.currentPage = page;
                        scope.cabeceraCsv = [];
                        scope.items = scope.pages[page];
                        attrs.paginaActual = page ;



                    };
                    scope.verCabecera = function() {

                    }
                    scope.calcPages = function(page) {
                        var items = [];

                        for (var hasFilters in scope.filters) {
                            break;
                        }
                       

                        if (scope.sortField) {
                            items = $filter('orderBy')(scope.$eval(attrs.evoTableflex3), scope.sortField, !scope.sortAscending);
                        } else {
                            items = scope.$eval(attrs.evoTableflex3);
                        }

                        angular.forEach(items, function(item, i) {
                            items[i]._filtrado = false;
                        });

                        scope.tieneFiltros = false ;
                        console.log(scope.filtro)
                        if (hasFilters) {
                             items = $filter('filter')(items, scope.filters);
                           
                            scope.tieneFiltros = true ;
                        }

                        scope.parametrosTabla = {
                            filtros : scope.filters,
                            campoOrden : scope.sortField,
                            orden : scope.sortAscending
                        }

                        scope.pageCount = Math.ceil(items.length / scope.limit);
                        scope.numeroPaginas = scope.pageCount ;
                        scope.pages = [];

                        for(var i=0; i<scope.numeroPaginas; i++) {
                            scope.pages[i] = items.slice(i * scope.limit, ((i * scope.limit) + scope.limit));
                        }
                        scope.setPage(page);
                        scope.iraPagina = page + 1;
                    };

                    scope.cleanFilters = function() {
                        scope.filters = {};
                        scope.calcPages(0);
                        scope.$emit('limpio-filtros');
                    }

                    scope.toggleAll = function() {

                        scope.isToggled = !scope.isToggled ;
                        var items = scope.$eval(attrs.evoTableflex3);
                        angular.forEach(items, function(item, i) {
                            items[i]._selected = scope.isToggled;
                        });

                    };

                    scope.topScroll = function() {
                        /*
                            elemento = angular.element(element[0].querySelector('.datos'));
                            elemento[0].scrollTop = 0;
                        */
                         $window.scrollTo(0,0);
                    }

                    scope.prev = function() {
                        if (scope.currentPage > 0) {
                            scope.items = scope.pages[scope.currentPage - 1];
                            scope.currentPage--;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();
                        }
                       
                    };

                    scope.next = function() {
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.currentPage + 1];
                            scope.currentPage++;
                            scope.iraPagina = scope.currentPage + 1 ;
                            scope.topScroll();
                        }
                    };
                    scope.last = function() {
                        if (scope.currentPage !== scope.pages.length -1) {
                            scope.items = scope.pages[scope.pages.length -1];
                            scope.currentPage = scope.pages.length - 1 ;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();

                        }
                    };
                    scope.first = function() {
                        if (scope.currentPage !== 0) {
                            scope.items = scope.pages[0];
                            scope.currentPage = 0 ;
                            scope.iraPagina = scope.currentPage + 1 ;

                            scope.topScroll();
                        }
                      
                    };

                    scope.sort = function(name) {
                        //if (name != scope.)
                        scope.sortAscending = !scope.sortAscending;
                        scope.sortField = name;
                        scope.calcPages(scope.currentPage);

                    };

                    scope.filter = function() {
                        scope.calcPages(0);
                    };

                    // Create page object used in template
                    function makePage(number, text, isActive) {
                        return {
                            number: number,
                            text: text,
                            active: isActive
                        };
                    }

                    scope.$watch('limit', function(newVal, oldVal) {
                        if (newVal !== oldVal) {
                            scope.calcPages(0);
                        }
                    });

                    scope.$watch(attrs.evoTableflex3, function(items) {
                        console.log(items);
                        scope.showBatchActions = false;
                        if (!angular.isArray(items)) {
                            return;
                        }

                        var count = items.length;
                        if (count != scope.numeroRegistros) {
                            scope.iraPagina = 1 ;
                        }
                        scope.numeroRegistros = count ;
                        scope.isToggled = false ;
                        angular.forEach(items, function(item, i) {
                            if (item._selected) {
                                scope.isToggled = true ;
                                return;
                            } else if ((i + 1) === count) {

                            }
                        });

                        scope.calcPages(scope.iraPagina-1);

                    }, true);
                    // enviamos con el nombre de la tabla un evento con el número de página
                    /*scope.$watch('iraPagina', function(pagina){
                        if (attrs.tabla > '') scope.$emit(attrs.tabla,pagina);
                    });
*/

                    scope.verPagina = function(pagina) {
                        if (pagina <= scope.pageCount && pagina > 0) {
                            scope.setPage(pagina-1);
                        }

                    }

                };
            }
        };
    }]);
;angular
    .module('app', [
        'ngRoute',
        'angular-loading-bar',
        'ngSanitize',
        'ngDialog',
        'angular-lodash',
        'ngMessages',
        'ez-table',
        'ez-tablediv',
        'evo-tableflex',
        'evo-tableflex3',
        'ui.select',
        'ng-currency',
        'ui.checkbox',
        'ui.bootstrap',
        'mgcrea.ngStrap',
        'twygmbh.auto-height',
        'angularMoment',
        'blockUI',
        'ngMdIcons',
        'fiestah.money',
        'cleave.js',
        'ngCsv',
    //    'dx'
    ])
    .config([
        '$routeProvider',
        '$httpProvider',
        '$windowProvider',
        function ($routeProvider, $httpProvider, $windowProvider) {
            // Inyectamos window provider para coger las variables que traemos desde php.
            var window = $windowProvider.$get();

            $httpProvider
                .interceptors
                .push('APIInterceptor');

            $routeProvider
                .when('/', {templateUrl: 'views/admin/inicio-admin.html'})
                .when('/bloqueos', {templateUrl: 'views/admin/bloqueos.html'})
                .when('/clientes', {template: '<lista-clientes></lista-clientes>'})
                .when('/proveedores', {template: '<lista-proveedores></lista-proveedores>'})
                .when('/tickets', {template: '<lista-tickets></lista-tickets>'})
                .when('/familias', {template: '<lista-familias></lista-familias>'})
                .when('/cobros', {template: '<lista-cobros></lista-cobros>'})

                .when('/tickets-diario', {template: '<lista-tickets-diaria></lista-tickets-diaria>'})
                .when('/ticket/:id', {template: '<registro-ticket></registro-ticket>',
                    data: {
                        cssClassnames: 'tickets registro-ticket'
                    }
                })
                .when('/albaranes', {template: '<lista-albaranes></lista-albaranes>'})
                .when('/facturas', {template: '<lista-facturas></lista-facturas>'})
                .when('/abonos', {template: '<abonos-lista></abonos-lista>'})
                .when('/facturas-compra', {template: '<lista-facturas-compra></lista-facturas-compra>'})
                .when('/factura/:id', {
                    template: '<registro-factura></registro-factura>',
                    data: {
                        cssClassnames: 'tickets' // todoevo cambiar a documentos para hacerlo todo igual con lso presu, pedidos,etc
                    }
                })
                .when('/factura-compra/:id', {
                    template: '<registro-factura-compra></registro-factura-compra>',
                    data: {
                        cssClassnames: 'tickets' // todoevo cambiar a documentos para hacerlo todo igual con lso presu, pedidos,etc
                    }
                })
                .when('/facturar-albaranes', {template: '<facturar-albaranes></facturar-albaranes>'})
                .when('/inventario-productos', {template: '<lista-productos-inventario></lista-productos-inventario>'})
                .when('/productos-etiquetas', {template: '<productos-etiquetas></productos-etiquetas>'})
                .when('/productos-informes', {template: '<productos-informes></productos-informes>'})
                .when('/colores', {template: '<lista-mto-colores></lista-mto-colores>'})
                .when('/productos-act-precios', {template: '<productos-cambio-precios></productos-cambio-precios>'})
                .when('/tarifas-productos', {template: '<lista-tarifas-productos></lista-tarifas-productos>'})
                .when('/tarifas-golf', {template: '<lista-tarifas-golf></lista-tarifas-golf>'})
                .when('/albaran/:id', {
                    template: '<registro-albaran></registro-albaran>',
                    data: {
                        cssClassnames: 'tickets'
                    }
                })
                .when('/abonos-edicion', {template: '<abonos-edicion></abonos-edicion>'})
                .when('/abonos-generacion', {template: '<abonos-generacion></abonos-generacion>'})
                .when('/abonos-facturar',{template: '<abonos-facturar></abonos-facturar>'})
                .when('/tarifas', {templateUrl: 'views/admin/tarifas.html'})
                .when('/formas-pago', {template: '<lista-formaspago></lista-formaspago>'})
                .when('/depositos', {template: '<depositos-lista></depositos-lista>'})
                .when('/series', {template: '<lista-series></lista-series>'})
                .when('/productos', {template: '<lista-productos></lista-productos>'})
                .when('/ofertas', {templateUrl: 'views/admin/ofertas.html'})
                .when('/utilidades', {templateUrl: 'views/admin/utilidades.html'})
                .when('/reservas', {templateUrl: 'views/admin/reservas.html'})
                .when('/ver-reserva/:id', {template: '<registro-reserva></registro-reserva>'})
                .when('/informe-ventas', {template: '<informe-ventas></informe-ventas>'})
                .when('/inventario-fecha', {template: '<inventario-fecha></inventario-fecha>'})
                .when('/generacion-cuotas', {template: '<clientes-generacion-cuotas></clientes-generacion-cuotas>'})
                .when('/dreservas', {templateUrl: 'views/admin/dreservas.html'})
        }
    ])
    .config(['$datepickerProvider',function ($datepickerProvider) {
        angular.extend($datepickerProvider.defaults, {
            dateFormat: 'dd-MM-yyyy',
            startWeek: 1
        });
    }])
    .config(function($locationProvider) {
        //$locationProvider.html5Mode(true);
        $locationProvider.hashPrefix('');
    })
    .controller('adminController', adminController);

    adminController.$inject = ['$scope','$window','$browser'];
    function adminController($scope,$window,$browser) {
        var vm = this;
        vm.navbarCollapsed = true;
        vm.clickMenuMovil = function () {
            vm.navbarCollapsed = !vm.navbarCollapsed;
        }
        vm.abreNuevaVentana = function(){
    
            $window.open(
                $browser.baseHref(),
                '_blank' // <- This is what makes it open in a new window.
              ); 
        }
    }

angular.module('app').service('APIInterceptor',['$rootScope', function ($rootScope) {
        var service = this;
        service.request = function (config) {
            return config;
        };
        service.responseError = function (response) {
            $rootScope.$broadcast('errorpeticion', response);
            return response;
        };
    }])

angular.module('app').directive('bodyClass',['$timeout', '$rootScope', '$route', function ($timeout, $rootScope, $route) {
        return {
            restrict: 'A',
            link: function (scope, element) {
                $rootScope.$on('$routeChangeSuccess', function (event, data) {
                    element.attr('class', '');
                    if (angular.isDefined($route.current.$$route.data)) {
                        element.addClass($route.current.$$route.data.cssClassnames);
                    }
                });
            }
        };
    }]);

angular
    .module('app')
    .directive('onEnter',function () {
        return function (scope, element, attrs) {
            element.bind("keydown keypress", function (event) {
                if (event.which === 13) {
                    scope.$apply(function () {
                        scope.$eval(attrs.onEnter);
                    });
                    var clases = element[0].className;
                    if (clases.indexOf('ng-invalid') > -1) {} else {
                        console.log(attrs.campoSiguiente)
                        if (attrs.campoSiguiente > '') {
                            var elemento = angular.element(
                                document.getElementsByClassName(attrs.campoSiguiente)
                            );
                            elemento[0].focus();
                        }
                    }
                    event.preventDefault();
                }
            });
        };

    })

angular.module('app').config(['blockUIConfig',function (blockUIConfig) {
        // Change the default overlay message
        blockUIConfig.message = 'Leyendo datos!';
        // Change the default delay to 100ms before the blocking is visible
        blockUIConfig.delay = 100;
        blockUIConfig.autoBlock = false;

    }]);

angular.module('app').directive('ngRightClick', function($parse) {
        return function(scope, element, attrs) {
            var fn = $parse(attrs.ngRightClick);
            element.bind('contextmenu', function(event) {
                scope.$apply(function() {
                    event.preventDefault();
                    fn(scope, {$event:event});
                });
            });
        };
    });





    angular.module('app').directive('autoaltura', [
        '$window', '$timeout', function($window, $timeout) {
            return {
                link: function($scope, $element, $attrs) {
                    resizeVentana = function() {
                        var additionalHeight, parentHeight;
                        additionalHeight = $attrs.additionalHeight || 0;
                        alturaPopup = $window.innerHeight * .95; //angular.element('.contenido-lightbox').height();

                        //  parentHeight = $window.innerHeight - $element.parent()[0].getBoundingClientRect().top;
                        //    alturaPopup = $window.innerHeight * .95 ;
                        console.log('paso por aquí')
                        console.log($element)
                        alturaPopup = $window.innerHeight
                        console.log(alturaPopup)
                        parentHeight =$element.offset().top;
                        console.log(parentHeight)
                        return $element.css('height', (alturaPopup - parentHeight -5) +'px' );
                    }
                    $scope.$on('resize-ventana', resizeVentana);
                    angular.element($window).bind('resize', resizeVentana);
                    return $timeout(function() {
                        return angular.element($window).triggerHandler('resize');
                    }, 1000);
                }
            };
        }
    ]);

angular.module('app').directive('distanciapie', [
    '$window', '$timeout', function($window, $timeout) {
        return {
            link: function($scope, $element, $attrs) {
                resizeVentana = function() {
                    var additionalHeight, parentHeight;
                    console.log('Clase')
                    console.log($attrs.clase);
                    var alturaContenedor = angular.element($attrs.clase).height();
                    console.log(contenedor);
                    console.log(angular.element($attrs.clase));
                    console.log(jQuery($attrs.clase).height());

                    //    alturaPopup = $window.innerHeight * .95 ;
                   return $element.css('height', (altura) +'px' );
                }
                $scope.$on('resize-ventana', resizeVentana);
                angular.element($window).bind('resize', resizeVentana);
                return $timeout(function() {
                    return angular.element($window).triggerHandler('resize');
                }, 1500);
            }
        };
    }
]);


;angular.module('app').directive('evoIcon', function() {
    function link(scope, element, attrs) {
        function path(icon) {
            var icons = {
                twitter: "M2 4 C6 8 10 12 15 11 A6 6 0 0 1 22 4 A6 6 0 0 1 26 6 A8 8 0 0 0 31 4 A8 8 0 0 1 28 8 A8 8 0 0 0 32 7 A8 8 0 0 1 28 11 A18 18 0 0 1 10 30 A18 18 0 0 1 0 27 A12 12 0 0 0 8 24 A8 8 0 0 1 3 20 A8 8 0 0 0 6 19.5 A8 8 0 0 1 0 12 A8 8 0 0 0 3 13 A8 8 0 0 1 2 4",
                user: "M1,31 L31,31 L31,1 L1,1 L1,31 Z M0,0 L32,0 L32,32 L0,32 L0,0 Z"
            }
            return '<svg viewBox="0 0 32 32">' + '<path d="' + icons[icon] + '"/>' + '</svg>';
        }

        function renderSVG() {
            element.html( path(attrs.p) );
        }

        renderSVG();
    }

    return {
        link: link,
        restrict: 'E'
    };
});;angular.module('app').run(['$templateCache', function($templateCache) {
  'use strict';

  $templateCache.put('views/admin/bloqueos-lista.html',
    "<div class=\"lista-bloqueos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Bloqueos</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form class=\"form-inline\">\n" +
    "                <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Bloqueos</a>\n" +
    "                <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Bloqueo</a>\n" +
    "\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <hr>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-bloqueo></registro-bloqueo>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-vales\">\n" +
    "                <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                    <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha\" data-field=\"fecha_d\" data-filter=\"fecha_d\" data-sort=\"fechaini\">\n" +
    "                        <span>{{item.fecha_d}}</span>\n" +
    "                    </td>\n" +
    "\n" +
    "                    <td class=\"recorrido\" data-title=\"Recorrido\" data-field=\"recorrido\" data-filter=\"recorrido\">\n" +
    "                        <span>{{item.recorrido }}</span>\n" +
    "                    </td>\n" +
    "\n" +
    "\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Inicio\" data-field=\"horaini\">\n" +
    "                        <span>{{item.horaini}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Fin\" data-field=\"horafin\" data-filter=\"horafin\">\n" +
    "                        <span>{{item.horafin}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"motivo\" data-title=\"Motivo\" data-field=\"motivo\" data-filter=\"motivo\">\n" +
    "                        <span>{{item.motivo}}</span>\n" +
    "                    </td>\n" +
    "                    <!--Lo ponemos como estandard los nombres-->\n" +
    "                    <td data-title=\"Acciones\"  class=\"ver-registro\">\n" +
    "                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                        <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-trash-o\"></i></button>\n" +
    "                    </td>\n" +
    "                </tr>\n" +
    "            </table>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/bloqueos-registro.html',
    "<div class=\"lightbox\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Bloqueo</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row datos-registro\">\n" +
    "            <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12\">\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\">\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Bloqueo</label>\n" +
    "\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Inicial</label>\n" +
    "                        <input type=\"time\" class=\"form-control\" size=\"8\" name=\"horaini\" ng-model=\"vm.horainitemp\"\n" +
    "                               min=\"08:00:00\" max=\"20:00:00\"\n" +
    "                               lower-than=\"{{vm.horafintemp}}\">\n" +
    "\n" +
    "                        <span class=\"error-formulario\" ng-show=\"vm.formDatos.horaini.$error.lowerThan\">La hora inicial tiene que ser menor que la hora final</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Final</label>\n" +
    "                        <input type=\"time\" class=\"form-control\" size=\"8\" ng-model=\"vm.horafintemp\"\n" +
    "                               min=\"08:00:00\" max=\"20:00:00\">\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Recorrido</label>\n" +
    "                        <div style=\"float:left;\">\n" +
    "                            <div class=\"radio\">\n" +
    "                                <label>\n" +
    "                                    <input type=\"radio\" name=\"recorrido\" ng-value = \"1\" ng-model=\"vm.fd.recorrido\">\n" +
    "                                    A\n" +
    "                                </label>\n" +
    "                            </div>\n" +
    "                            <div class=\"radio\">\n" +
    "                                <label>\n" +
    "                                    <input type=\"radio\" name=\"recorrido\" ng-value = \"2\" ng-model=\"vm.fd.recorrido\">\n" +
    "                                    B\n" +
    "                                </label>\n" +
    "                            </div>\n" +
    "                            <div class=\"radio\">\n" +
    "                                <label>\n" +
    "                                    <input type=\"radio\" name=\"recorrido\" ng-value = \"3\" ng-model=\"vm.fd.recorrido\">\n" +
    "                                    C\n" +
    "                                </label>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Motivo bloqueo</label>\n" +
    "                        <input type=\"text\"  class=\"form-control\"  ng-model=\"vm.fd.motivo\">\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "                        <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                    </div>\n" +
    "                </form>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/bloqueos.html',
    "<lista-bloqueos></lista-bloqueos>"
  );


  $templateCache.put('views/admin/dashboard-admin-antiguo.html',
    "\n" +
    "<div class=\"reservas\">\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-reserva></registro-reserva>\n" +
    "        </div>\n" +
    "        <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "            <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "                <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\"\n" +
    "                           ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.hoy()\"><i class=\"fa fa-calendar icono-boton\"></i>Hoy</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search icono-boton\"></i>Ver salidas</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-cancelar\" ng-click=\"vm.verSalidasPdf()\"><i class=\"fa fa-print icono-boton\"></i>Imprimir salidas</a>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\"><i class=\"fa fa-file-o icono-boton\"></i>Nueva Reserva</a>\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"row fecha-teetime\">\n" +
    "\n" +
    "        <!-- <div class=\"estados-teetime col-lg-12\">\n" +
    "             <div>\n" +
    "                 <span class=\"estado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Libre' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado bloqueado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Bloqueado' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado reservado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Reservado' | translate }}</span>\n" +
    "             </div>\n" +
    "\n" +
    "             <div>\n" +
    "                 <span class=\"estado reserva-actual\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Reserva Actual' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado error\"></span>\n" +
    "                 <span class=\"texto-estado\">Error</span>\n" +
    "             </div>\n" +
    "\n" +
    "         </div>-->\n" +
    "    </div>\n" +
    "    <style>\n" +
    "        .icono-boton {\n" +
    "            margin-right: 10px;\n" +
    "        }\n" +
    "        .ocupacion {\n" +
    "            display: flex;\n" +
    "            flex-direction: row ;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 5px;\n" +
    "        }\n" +
    "        .ocupacion-mes {\n" +
    "            display: flex;\n" +
    "            flex-direction: row ;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 2px;\n" +
    "        }\n" +
    "        .ver-dia {\n" +
    "            flex: 1;\n" +
    "            display: flex;\n" +
    "            flex-direction: column;\n" +
    "            text-align: center;\n" +
    "            background: #f7f7f7;\n" +
    "            margin: 1px;\n" +
    "\n" +
    "            cursor: pointer ;\n" +
    "\n" +
    "\n" +
    "        }\n" +
    "        .ver-dia span {\n" +
    "            flex: 1;\n" +
    "        }\n" +
    "        .ver-dia .dia {\n" +
    "            background: #a0c757;\n" +
    "            color: white ;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .dia:hover {\n" +
    "            background: #2a5571;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .mes {\n" +
    "            background: #9e9e9e;\n" +
    "            color: white ;\n" +
    "            font-size: 1.2rem;\n" +
    "            padding: 4px;\n" +
    "\n" +
    "        }\n" +
    "        .ver-dia .mes:hover {\n" +
    "            background: #4b4b4b;\n" +
    "        }\n" +
    "        .ver-dia .greenfees {\n" +
    "            padding: 4px 4px 0 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #2a5571;\n" +
    "        }\n" +
    "        .ver-dia .buggies {\n" +
    "            padding: 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #d6620f;\n" +
    "        }\n" +
    "        .ver-dia-ocupacion {\n" +
    "            max-width: 50px;\n" +
    "        }\n" +
    "\n" +
    "\n" +
    "    </style>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion-mes \">\n" +
    "            <div class=\"ver-dia\" ng-repeat=\"mes in vm.meses\" ng-click=\"vm.verMesOcupacion(mes)\">\n" +
    "                <span class=\"mes\">{{ ::mes.mes}}-{{ ::mes.ano }}</span>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion \">\n" +
    "            <div class=\"ver-dia ver-dia-ocupacion\" ng-repeat=\"dia in vm.ocupacion\" ng-click=\"vm.verDiaOcupacion(dia)\">\n" +
    "                    <span class=\"dia\" ng-bind=\"::dia.dia\"></span>\n" +
    "                    <span class=\"greenfees\">{{ ::dia.total_greenfees }}</span>\n" +
    "                    <span class=\"buggies\"><span ng-show=\"dia.total_buggies > 0\">{{ ::dia.total_buggies }}</span></span>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"tee-time\">\n" +
    "        <style>\n" +
    "            .lista-salidas {\n" +
    "                overflow-y : auto ;\n" +
    "                overflow-x : hidden ;\n" +
    "            }\n" +
    "        </style>\n" +
    "        <div class=\"row\">\n" +
    "\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 nombre-recorrido \">\n" +
    "                    <h3>Tee 1</h3>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 nombre-recorrido \">\n" +
    "                    <h3>Tee 10</h3>\n" +
    "                </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"lista-salidas\" auto-height additional-height=\"205\">\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 recorrido\">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\"\n" +
    "                         ng-click=\"vm.verReservaDia(fly)\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 recorrido\">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"reservas-recorrido\">\n" +
    "        <div class=\"col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "            <div class=\"nombre-recorrido cabecera\">\n" +
    "                <h3>Tee 1</h3>\n" +
    "            </div>\n" +
    "\n" +
    "            <div ng-repeat=\"reserva in vm.fd.reservas.recorrido1\" class=\"linea-reserva\" ng-click=\"vm.modificarReserva(reserva)\">\n" +
    "                <div class=\"datos-linea-reserva\" ng-class=\"{'frontend': reserva.admin == 0}\">\n" +
    "                    <div class=\"datos-reserva\">\n" +
    "                        <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                        <span ng-bind=\"reserva.nombre\" class=\"nombre\"></span>\n" +
    "                        <span ng-bind=\"reserva.notas\" class=\"notas\" ></span>\n" +
    "                    </div>\n" +
    "                    <div class=\"concepto\">\n" +
    "                        <div class=\"greenfees\">\n" +
    "                            <span>GF/s: </span>\n" +
    "                            <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                            <span> Buggies: </span>\n" +
    "                            <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"total\">\n" +
    "                            <span> Total: </span>\n" +
    "                            <span ng-bind=\"reserva.total | currency : '€' : 2\"></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"acciones\">\n" +
    "                    <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                        ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                    <!-- <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                        ng-click=\"vm.borrarHoraReserva(reserva)\"><span aria-hidden=\"true\" class=\"icon-close\"></span></a>-->\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "            <div class=\"nombre-recorrido cabecera\">\n" +
    "                <h3>Tee 10</h3>\n" +
    "            </div>\n" +
    "\n" +
    "            <div ng-repeat=\"reserva in vm.fd.reservas.recorrido2\" class=\"linea-reserva\" ng-click=\"vm.modificarReserva(reserva)\">\n" +
    "                <div class=\"datos-linea-reserva\" ng-class=\"{'frontend': reserva.admin == 0}\">\n" +
    "                    <div class=\"datos-reserva\">\n" +
    "                        <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                        <span ng-bind=\"reserva.nombre\" class=\"nombre\"></span>\n" +
    "                        <span ng-bind=\"reserva.notas\" class=\"notas\" ></span>\n" +
    "                    </div>\n" +
    "                    <div class=\"concepto\">\n" +
    "                        <div class=\"greenfees\">\n" +
    "                            <span>GF/s: </span>\n" +
    "                            <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                            <span> Buggies: </span>\n" +
    "                            <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"total\">\n" +
    "                            <span> Total: </span>\n" +
    "                            <span ng-bind=\"reserva.total | currency : '€' : 2\"></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"acciones\">\n" +
    "                    <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                        ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                    <!-- <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                        ng-click=\"vm.borrarHoraReserva(reserva)\"><span aria-hidden=\"true\" class=\"icon-close\"></span></a>-->\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "<!--<div class=\"lightbox\" ng-show=\"vm.abrirErrorReserva\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content error-reserva-gf ventana-popup\">\n" +
    "        <div class=\"cabecera cabecera-popup\">\n" +
    "            <h2>{{ 'Error Reserva' | translate }}</h2>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"texto-error col-lg-12\">\n" +
    "                {{ 'Revise las siguientes fechas y horas de su reserva. Parece que las horas que ha elegido están ocupadas' | translate }}\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\" col-lg-12\">\n" +
    "                <div ng-repeat=\"error in vm.erroresReservaGF\" class=\"linea-error\" >\n" +
    "                    <div class=\"datos-error\">\n" +
    "                        <div class=\"fecha-hora\">\n" +
    "                            <span ng-bind=\"error.fecha\" class=\"fecha\"></span>\n" +
    "                            <span ng-bind=\"error.hora\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"pie-popup col-lg-12\">\n" +
    "                <a class=\"btn  boton-ok\" ng-click=\"vm.cerrarErrorReserva()\">{{ 'OK' | translate }}</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>-->\n" +
    "\n"
  );


  $templateCache.put('views/admin/dashboard-admin-v2.html',
    "<div class=\"reservas\">\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-reserva></registro-reserva>\n" +
    "        </div>\n" +
    "        <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "            <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "                <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\"\n" +
    "                           ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.hoy()\"><i class=\"fa fa-calendar icono-boton\"></i>Hoy</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search icono-boton\"></i>Ver salidas</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-cancelar\" ng-click=\"vm.verSalidasPdf()\"><i class=\"fa fa-print icono-boton\"></i>Imprimir\n" +
    "                        salidas</a>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\"><i class=\"fa fa-file-o icono-boton\"></i>Nueva\n" +
    "                        Reserva</a>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <span class=\"btn btn-danger\" ng-show=\"vm.flySel.fly > 0\">{{ vm.flySel.hora }}</span>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaExpress()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Express</a>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaNueva()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Nueva</a>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaAbonado()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Abonado</a>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "            </form>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "\n" +
    "    <style>\n" +
    "        .icono-boton {\n" +
    "            margin-right: 10px;\n" +
    "        }\n" +
    "\n" +
    "        .ocupacion {\n" +
    "            display: flex;\n" +
    "            flex-direction: row;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 5px;\n" +
    "        }\n" +
    "\n" +
    "        .ocupacion-mes {\n" +
    "            display: flex;\n" +
    "            flex-direction: row;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 2px;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia {\n" +
    "            flex: 1;\n" +
    "            display: flex;\n" +
    "            flex-direction: column;\n" +
    "            text-align: center;\n" +
    "            background: #f7f7f7;\n" +
    "            margin: 1px;\n" +
    "            cursor: pointer;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia span {\n" +
    "            flex: 1;\n" +
    "        }\n" +
    "        .ver-dia .dia {\n" +
    "            background: #a0c757;\n" +
    "            color: white;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .dia:hover {\n" +
    "            background: #2a5571;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .mes {\n" +
    "            background: #9e9e9e;\n" +
    "            color: white;\n" +
    "            font-size: 1.2rem;\n" +
    "            padding: 4px;\n" +
    "        }\n" +
    "        .ver-dia .mes:hover {\n" +
    "            background: #4b4b4b;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .greenfees {\n" +
    "            padding: 4px 4px 0 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #2a5571;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .buggies {\n" +
    "            padding: 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #d6620f;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia-ocupacion {\n" +
    "            max-width: 50px;\n" +
    "        }\n" +
    "\n" +
    "\n" +
    "    </style>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion-mes \">\n" +
    "            <div class=\"ver-dia\" ng-repeat=\"mes in vm.meses\" ng-click=\"vm.verMesOcupacion(mes)\">\n" +
    "                <span class=\"mes\">{{ ::mes.mes}}-{{ ::mes.ano }}</span>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion \">\n" +
    "            <div class=\"ver-dia ver-dia-ocupacion\" ng-repeat=\"dia in vm.ocupacion\" ng-click=\"vm.verDiaOcupacion(dia)\">\n" +
    "                <span class=\"dia\" ng-bind=\"::dia.dia\"></span>\n" +
    "                <span class=\"greenfees\">{{ ::dia.total_greenfees }}</span>\n" +
    "                <span class=\"buggies\"><span ng-show=\"dia.total_buggies > 0\">{{ ::dia.total_buggies }}</span></span>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"tee-time\" style=\"     width: 100%;\">\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 nombre-recorrido \">\n" +
    "                <h3>Tee 1</h3>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <style>\n" +
    "            .tee-time {\n" +
    "                width: 100%;\n" +
    "            }\n" +
    "            .lista-salidas {\n" +
    "                overflow-y: auto;\n" +
    "                overflow-x: hidden;\n" +
    "            }\n" +
    "            .recorrido-flex {\n" +
    "                display: flex;\n" +
    "                flex-direction: column;\n" +
    "                flex-wrap: wrap;\n" +
    "                height: 460px;\n" +
    "                justify-content: flex-start;\n" +
    "                padding: 0;\n" +
    "            }\n" +
    "\n" +
    "            .gf__nombre-jugador {\n" +
    "                  font-size: 14px;\n" +
    "                  font-weight: normal;\n" +
    "                  color: #29a6cb;\n" +
    "              }\n" +
    "            .gf__tarifa {\n" +
    "                font-size: 11px;\n" +
    "                font-weight: bold;\n" +
    "                color: #1e3e62;\n" +
    "            }\n" +
    "            .gf__reserva {\n" +
    "                font-size: 11px;\n" +
    "                font-weight: bold;\n" +
    "                color:#1e3e62;\n" +
    "            }\n" +
    "            .parrilla-salidas__fly {\n" +
    "                border-bottom: 1px solid #eee ;\n" +
    "            }\n" +
    "            .parrilla-salidas__fly:hover {\n" +
    "                background: #f7f7f7 ;\n" +
    "            }\n" +
    "            .parrilla-salidas__gf {\n" +
    "                border-right: 1px solid #eee ;\n" +
    "                padding: 0 4px;\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__data {\n" +
    "                position: relative;\n" +
    "\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__data-golf {\n" +
    "                position: absolute;\n" +
    "                right: 0;\n" +
    "                top: -7px;\n" +
    "                display: flex;\n" +
    "\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__data-gfs {\n" +
    "                padding: 5px;\n" +
    "                background: #9fd44c;\n" +
    "                color: white;\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__data-buggies {\n" +
    "                padding: 5px;\n" +
    "                background: #ffcd00;\n" +
    "                color: #ffcd00;\n" +
    "                margin-left: 3px;\n" +
    "                font-size: 5px;\n" +
    "                border-radius: 50px;\n" +
    "                height: 10px;\n" +
    "                width: 10px;\n" +
    "                margin-top: 9px;\n" +
    "\n" +
    "            }\n" +
    "            .reserva-card__data-abonado {\n" +
    "                padding: 5px;\n" +
    "                background:#4e9ed6;\n" +
    "                color: #4e9ed6;\n" +
    "                margin-left: 3px;\n" +
    "                font-size: 5px;\n" +
    "                border-radius: 50px;\n" +
    "                height: 10px;\n" +
    "                width: 10px;\n" +
    "                margin-top: 9px;\n" +
    "            }\n" +
    "            .reserva-card__data-ticket {\n" +
    "                padding: 5px;\n" +
    "                background: red;\n" +
    "                color: red;\n" +
    "                margin-left: 3px;\n" +
    "                font-size: 5px;\n" +
    "                border-radius: 50px;\n" +
    "                height: 10px;\n" +
    "                width: 10px;\n" +
    "                margin-top: 9px;\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__data-hora {\n" +
    "                color: #4e9ed6;\n" +
    "                font-size: 1.6rem;\n" +
    "                font-weight: bold;\n" +
    "                padding-bottom: 5px;\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__boton-modificar {\n" +
    "                color: #9E9E9E;\n" +
    "                padding: 5px 12px;\n" +
    "                border: 1px solid #eee;\n" +
    "                border-radius: 3px;\n" +
    "                background: white;\n" +
    "            }\n" +
    "\n" +
    "            .reserva-card__menu {\n" +
    "                display: flex;\n" +
    "                width: 50px;\n" +
    "                min-height: 30px;\n" +
    "                top: -7px;\n" +
    "                position: absolute;\n" +
    "                right: 70px;\n" +
    "            }\n" +
    "            .reserva-card__menu:hover a {\n" +
    "                color: #4c9ed6;\n" +
    "            }\n" +
    "            .reserva-card__menu a {\n" +
    "                color: #b7b6b6 ;\n" +
    "                font-size: 1.6rem;\n" +
    "                padding: 4px 8px;\n" +
    "                cursor: pointer;\n" +
    "                transition: all 0.5s ease;\n" +
    "            }\n" +
    "\n" +
    "            .admin-dashboard .reservas .tee-time .recorrido .col-hora .buggies-fly {\n" +
    "                background: #FFC107 ;\n" +
    "            }\n" +
    "\n" +
    "            .buggies-fly__cantidad {\n" +
    "                color : gray ;\n" +
    "                font-weight: bold ;\n" +
    "            }\n" +
    "\n" +
    "\n" +
    "        </style>\n" +
    "        <div class=\"parrilla-salidas\"  auto-height additional-height=\"205\" style=\"overflow:auto;\">\n" +
    "            <div class=\"flex__row flex__dir-col\">\n" +
    "                <div class=\"flex__col-12 recorrido \">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\"\n" +
    "                         class=\"flex__row  parrilla-salidas__fly\" style=\"padding:4px 0;min-height:48px;\">\n" +
    "                        <div  class=\"col-hora flex__col-2\" ng-click=\"vm.verReservaDia(fly)\" style=\"margin-bottom:0;margin-top:10px;max-width:100%;\">\n" +
    "                            <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                                  ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                                  ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                                  ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                                  ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                            <span class=\"hora-jugador jugador-temp\"\n" +
    "                                  ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-temp\"\n" +
    "                                  ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-temp\"\n" +
    "                                  ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-temp\"\n" +
    "                                  ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                            <span class=\"hora-jugador jugador\"\n" +
    "                                  ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador\"\n" +
    "                                  ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador\"\n" +
    "                                  ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador\"\n" +
    "                                  ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                            <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                            <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                            <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                            <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                            <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                            <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "                            <span class=\"hora-jugador buggies-fly\" ng-show=\"fly.buggies > 0 \"></span>\n" +
    "                            <span class=\"buggies-fly__cantidad\" ng-show=\"fly.buggies > 0\"><span ng-bind=\"fly.buggies\"></span></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"flex__col-10\">\n" +
    "                            <div class=\"flex__row\">\n" +
    "                                <div ng-repeat=\"gf in fly.greenfees track by gf.id\" class=\"flex__col-3 parrilla-salidas__gf\"\n" +
    "                                    >\n" +
    "                                    <div class=\"flex__row\">\n" +
    "                                        <div class=\"flex__col-12\" style=\"position:relative\">\n" +
    "                                            <span class=\"gf__nombre-jugador\" ng-bind=\"::gf.nombre_jugador\"></span>\n" +
    "                                            <div class=\"reserva-card__data-golf\">\n" +
    "                                                <span class=\"reserva-card__data-abonado\" ng-bind=\"gf.abono_id\"  ng-show=\"gf.abono_id > 0\"></span>\n" +
    "                                                <span class=\"reserva-card__data-buggies\" ng-bind=\"gf.buggie\" ng-show=\"gf.buggie > 0\"></span>\n" +
    "                                                <span class=\"reserva-card__data-ticket\" ng-bind=\"gf.abono_id\"  ng-show=\"gf.ticket_id == 0 && gf.preciogf > 0\"></span>\n" +
    "                                                <a class=\"boton__icono\" ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReservaSuegosGreenfee(gf)\">\n" +
    "                                                    <i class=\"nf-edit-settings fa fa-cog\" aria-hidden=\"true\"></i>\n" +
    "                                                </a>\n" +
    "                                                <a class=\"boton__icono\"  ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReservaGreenfees(gf)\">\n" +
    "                                                    <i class=\"nf-edit-settings fa fa-pencil\" aria-hidden=\"true\"></i>\n" +
    "                                                </a>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"flex__row\">\n" +
    "                                        <div class=\"flex__col-3\">\n" +
    "                                            <span class=\"gf__tarifa\"  ng-bind=\"::gf.tarifa\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"flex__col-5\">\n" +
    "                                            <span class=\"gf__reserva\"  ng-bind=\"::gf.idreserva\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"flex__col-4\">\n" +
    "                                            <span class=\"gf__reserva\"  ng-bind=\"::gf.doc\"></span>\n" +
    "                                        </div>\n" +
    "\n" +
    "\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <!--\n" +
    "                                                <a ng-click=\"vm.verReservaDia(fly)\" class=\"btn boton__accion-peque boton__reserva-express\"><i class=\"fa fa-rocket\" aria-hidden=\"true\"></i></a>\n" +
    "                        -->\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "<reservas-abonados></reservas-abonados>\n" +
    "<reserva-express></reserva-express>\n" +
    "<reservas-suecos></reservas-suecos>\n" +
    "<!--<div class=\"lightbox\" ng-show=\"vm.abrirErrorReserva\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content error-reserva-gf ventana-popup\">\n" +
    "        <div class=\"cabecera cabecera-popup\">\n" +
    "            <h2>{{ 'Error Reserva' | translate }}</h2>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"texto-error col-lg-12\">\n" +
    "                {{ 'Revise las siguientes fechas y horas de su reserva. Parece que las horas que ha elegido están ocupadas' | translate }}\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\" col-lg-12\">\n" +
    "                <div ng-repeat=\"error in vm.erroresReservaGF\" class=\"linea-error\" >\n" +
    "                    <div class=\"datos-error\">\n" +
    "                        <div class=\"fecha-hora\">\n" +
    "                            <span ng-bind=\"error.fecha\" class=\"fecha\"></span>\n" +
    "                            <span ng-bind=\"error.hora\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"pie-popup col-lg-12\">\n" +
    "                <a class=\"btn  boton-ok\" ng-click=\"vm.cerrarErrorReserva()\">{{ 'OK' | translate }}</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>-->\n" +
    "\n"
  );


  $templateCache.put('views/admin/dashboard-admin-v3.html',
    "\n" +
    "<style>\n" +
    "  .icono-boton {\n" +
    "      margin-right: 10px;\n" +
    "  }\n" +
    "  .ocupacion {\n" +
    "      display: flex;\n" +
    "      flex-direction: row;\n" +
    "      flex-flow: nowrap;\n" +
    "      margin-bottom: 5px;\n" +
    "  }\n" +
    "  .ocupacion-mes {\n" +
    "      display: flex;\n" +
    "      flex-direction: row;\n" +
    "      flex-flow: nowrap;\n" +
    "      margin-bottom: 2px;\n" +
    "  }\n" +
    "  .ver-dia {\n" +
    "      flex: 1;\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "      text-align: center;\n" +
    "      background: #fff;\n" +
    "      margin: 1px;\n" +
    "      cursor: pointer;\n" +
    "      border: 1px solid #eee ;\n" +
    "  }\n" +
    "  .ver-dia span {\n" +
    "      flex: 1;\n" +
    "  }\n" +
    "  .ver-dia .dia {\n" +
    "      background: #a0c757;\n" +
    "      color: white;\n" +
    "  }\n" +
    "  .ver-dia .dia:hover {\n" +
    "      background: #2a5571;\n" +
    "  }\n" +
    "  .ver-dia .mes {\n" +
    "      background: #9e9e9e;\n" +
    "      color: white;\n" +
    "      font-size: 1.2rem;\n" +
    "      padding: 4px;\n" +
    "  }\n" +
    "  .ver-dia .mes:hover {\n" +
    "      background: #4b4b4b;\n" +
    "  }\n" +
    "  .ver-dia .greenfees {\n" +
    "      padding: 4px 4px 0 4px;\n" +
    "      min-height: 20px;\n" +
    "      font-size: 12px;\n" +
    "      color: #2a5571;\n" +
    "  }\n" +
    "  .ver-dia .buggies {\n" +
    "      padding: 4px;\n" +
    "      min-height: 20px;\n" +
    "      font-size: 12px;\n" +
    "      color: #d6620f;\n" +
    "  }\n" +
    "  .ver-dia-ocupacion {\n" +
    "      max-width: 50px;\n" +
    "  }\n" +
    "  .lista-salidas {\n" +
    "      overflow-y: auto;\n" +
    "      overflow-x: hidden;\n" +
    "  }\n" +
    "  .recorrido-flex {\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "      flex-wrap: wrap;\n" +
    "      height: 460px;\n" +
    "      justify-content: flex-start;\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .admin-dashboard .reservas .tee-time .recorrido .col-hora .buggies-fly {\n" +
    "      background: #FFC107;\n" +
    "  }\n" +
    "  .buggies-fly__cantidad {\n" +
    "      color: gray;\n" +
    "      font-weight: bold;\n" +
    "  }\n" +
    "  .recorrido {\n" +
    "      height: 440px;\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "      flex-wrap: wrap;\n" +
    "  }\n" +
    "  .recorrido .col-hora {\n" +
    "      width: 135px;\n" +
    "      height: auto;\n" +
    "      padding: 2px;\n" +
    "  }\n" +
    "  .boton__reserva-express {\n" +
    "      color: white;\n" +
    "      background: transparent;\n" +
    "      border: none;\n" +
    "      min-height: 10px;\n" +
    "      padding: 0;\n" +
    "      font-size: 1.6rem;\n" +
    "      color: #f7f7f7;\n" +
    "  }\n" +
    "  .col-hora:hover .boton__reserva-express {\n" +
    "      color: black;\n" +
    "      background: transparent;\n" +
    "      border: none;\n" +
    "  }\n" +
    "  .reserva-card__data {\n" +
    "      position: relative;\n" +
    "  }\n" +
    "  .reserva-card__data-golf {\n" +
    "      position: absolute;\n" +
    "      right: 0;\n" +
    "      top: 0;\n" +
    "      display: flex;\n" +
    "  }\n" +
    "  .reserva-card__data-gfs {\n" +
    "      padding: 5px;\n" +
    "      background: #9fd44c;\n" +
    "      color: white;\n" +
    "  }\n" +
    "  .reserva-card__data-buggies {\n" +
    "      padding: 5px;\n" +
    "      background: #ffcd00;\n" +
    "      color: white;\n" +
    "      margin-left: 3px;\n" +
    "  }\n" +
    "  .reserva-card__data-hora {\n" +
    "      color: #4e9ed6;\n" +
    "      font-size: 1.4rem;\n" +
    "      font-weight: bold;\n" +
    "      padding-bottom: 5px;\n" +
    "      margin-right: 5px;\n" +
    "  }\n" +
    "  .reserva-card__data-nombre {\n" +
    "      color: #1e3e62;\n" +
    "      font-size: 1.5rem;\n" +
    "      font-weight: bold;\n" +
    "      padding-bottom: 5px;\n" +
    "  }\n" +
    "  .reserva-card__boton-modificar {\n" +
    "      color: #9E9E9E;\n" +
    "      padding: 5px 12px;\n" +
    "      border: 1px solid #eee;\n" +
    "      border-radius: 3px;\n" +
    "      background: white;\n" +
    "  }\n" +
    "  .reserva-card__menu {\n" +
    "      display: flex;\n" +
    "      min-height: 30px;\n" +
    "      top: 0;\n" +
    "      position: absolute;\n" +
    "      right: 65px;\n" +
    "  }\n" +
    "  .reserva-card__menu a {\n" +
    "      font-size: 1.8rem;\n" +
    "      padding: 0 8px;\n" +
    "      cursor: pointer;\n" +
    "      color: #c7c7c7;\n" +
    "  }\n" +
    "  .reserva-card__data:hover .reserva-card__menu a {\n" +
    "      font-size: 1.8rem;\n" +
    "      padding: 0 8px;\n" +
    "      cursor: pointer;\n" +
    "      color: #0c84e4;\n" +
    "  }\n" +
    "  .zona-reservas {\n" +
    "      background: white;\n" +
    "      padding: 10px 0 10px 10px;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"reservas\">\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"input-datos-reserva flex__col-12\">\n" +
    "      <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "        <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "          <input class=\"form-control\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker=\"\"/>\n" +
    "        </div>\n" +
    "        <div class=\"form-group boton\"><a class=\"btn\" ng-click=\"vm.hoy()\"><i class=\"fa fa-calendar icono-boton\"></i>Hoy</a></div>\n" +
    "        <div class=\"form-group boton\"><a class=\"btn\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search icono-boton\"></i>Ver salidas</a></div>\n" +
    "        <div class=\"form-group boton\"><a class=\"btn boton__accion\" ng-click=\"vm.verSalidasPdf()\"><i class=\"fa fa-print icono-boton\"></i>Imprimir salidas</a></div>\n" +
    "        <div class=\"form-group boton\"><a class=\"btn boton__accion\" ng-click=\"vm.nuevoRegistro()\"><i class=\"fa fa-file-o icono-boton\"></i>Nueva Reserva</a></div>\n" +
    "        <div class=\"form-group boton\"><span class=\"btn btn-danger\" ng-show=\"vm.flySel.fly &gt; 0\">{{ vm.flySel.hora }}</span><a class=\"btn boton__accion\" ng-click=\"vm.reservaExpress()\" ng-show=\"vm.flySel.fly &gt; 0\"><i class=\"fa fa-file-o icono-boton\"></i>Reserva Express</a><a class=\"btn boton__accion\" ng-click=\"vm.reservaAbonado()\" ng-show=\"vm.flySel.fly &gt; 0\"><i class=\"fa fa-file-o icono-boton\"></i>Reserva Abonado</a></div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion-mes\">\n" +
    "      <div class=\"ver-dia\" ng-repeat=\"mes in vm.meses\" ng-click=\"vm.verMesOcupacion(mes)\"><span class=\"mes\">{{ ::mes.mes}}-{{ ::mes.ano }}</span></div>\n" +
    "    </div>\n" +
    "    <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion\">\n" +
    "      <div class=\"ver-dia ver-dia-ocupacion\" ng-repeat=\"dia in vm.ocupacion\" ng-click=\"vm.verDiaOcupacion(dia)\"><span class=\"dia\" ng-bind=\"::dia.dia\"></span><span class=\"greenfees\">{{ ::dia.total_greenfees }}</span><span class=\"buggies\"><span ng-show=\"dia.total_buggies &gt; 0\">{{ ::dia.total_buggies }}</span></span></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <uib-tabset>\n" +
    "    <uib-tab heading=\"Tee 1\">\n" +
    "      <div class=\"zona-reservas\" style=\"overflow:auto;padding-top: 10px;\">\n" +
    "        <div class=\"tee-time\" style=\"width:70%;\">\n" +
    "          <div class=\"lista-salidas\">\n" +
    "            <div class=\"flex__row\">\n" +
    "              <div class=\"flex__col-12 recorrido\">\n" +
    "                <div class=\"col-hora\" ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\" ng-click=\"vm.verReservaDia(fly)\"><span class=\"Hora\" ng-bind=\"::fly.hora\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 4 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador buggies-fly\" ng-show=\"fly.buggies &gt; 0 \"></span><span class=\"buggies-fly__cantidad\" ng-show=\"fly.buggies &gt; 0\"><span ng-bind=\"fly.buggies\"></span></span></div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"reservas-recorrido flex__row flex__dir-row\" style=\"width:30%; overflow: auto;\" auto-height=\"\" additional-height=\"220\">\n" +
    "          <div class=\"flex__col-12\">\n" +
    "            <div class=\"linea-reserva\" ng-repeat=\"reserva in vm.fd.reservas.recorrido1\" style=\"padding:5px;\">\n" +
    "              <div class=\"datos-linea-reserva\" ng-class=\"{'frontend': reserva.admin == 0}\" style=\"position:relative;\">\n" +
    "                <div class=\"reserva-card__data flex__row flex__dir-col\">\n" +
    "                  <div class=\"flex__col-12\" style=\"margin-bottom:5px;\"><span class=\"reserva-card__data-hora\" ng-bind=\"reserva.hora\"></span><span class=\"nombre\" ng-bind=\"reserva.idreserva\"></span></div>\n" +
    "                  <div class=\"flex__col-12\"><span class=\"reserva-card__data-nombre\" ng-bind=\"reserva.nombre\"></span><span class=\"notas\" ng-bind=\"reserva.notas\"></span></div>\n" +
    "                  <div class=\"reserva-card__data-golf\"><span class=\"reserva-card__data-gfs\" ng-bind=\"reserva.jugadores\"></span><span class=\"reserva-card__data-buggies\" ng-bind=\"reserva.buggies\" boton=\"\" ng-show=\"reserva.buggies &gt; 0\"></span></div>\n" +
    "                </div>\n" +
    "                <div class=\"reserva-card__menu-drereserva\"><a ref=\"#\" title=\"Editar\" ng-click=\"vm.reservaSuecos(reserva)\"><i class=\"nf-edit-settings fa fa-cog\" aria-hidden=\"true\"></i></a><a ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReserva(reserva)\"><i class=\"nf-edit-settings fa fa-pencil\" aria-hidden=\"true\"></i></a></div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </uib-tab>\n" +
    "    <uib-tab heading=\"Tee 1 Parilla\">\n" +
    "      <div class=\"parrilla-salidas flex__row flex__dir-col\" auto-height=\"\" additional-height=\"205\" style=\"overflow:auto;\">\n" +
    "        <div class=\"flex__col-12 parrilla-salidas__recorrido\">\n" +
    "          <div class=\"flex__row parrilla-salidas__fly\" ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\" style=\"padding:4px 0;min-height:48px;\">\n" +
    "            <div class=\"parrilla-salidas__col-hora flex__col-2\" ng-click=\"vm.verReservaDia(fly)\" style=\"margin-bottom:0;margin-top:10px;max-width:100%;\"><span class=\"Hora\" ng-bind=\"::fly.hora\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 4 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador buggies-fly\" ng-show=\"fly.buggies &gt; 0 \"></span><span class=\"buggies-fly__cantidad\" ng-show=\"fly.buggies &gt; 0\"><span ng-bind=\"fly.buggies\"></span></span></div>\n" +
    "            <div class=\"flex__col-10\">\n" +
    "              <div class=\"flex__row\">\n" +
    "                <div class=\"flex__col-3 parrilla-salidas__gf\" ng-repeat=\"gf in fly.greenfees track by gf.id\">\n" +
    "                  <div class=\"reserva-card__menu\"><a class=\"boton__icono\" ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReservaSuecosGreenfee(gf)\"><i class=\"nf-edit-settings fa fa-cog\" aria-hidden=\"true\"></i></a><a class=\"boton__icono\" ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReservaGreenfees(gf)\"><i class=\"nf-edit-settings fa fa-pencil\" aria-hidden=\"true\"></i></a></div>\n" +
    "                  <div class=\"flex__row\">\n" +
    "                    <div class=\"flex__col-12\" style=\"position:relative;\"><span class=\"gf__nombre-jugador\" ng-bind=\"::gf.nombre_jugador\"></span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"flex__row\">\n" +
    "                    <div class=\"flex__col-3\"><span class=\"gf__tarifa\" ng-bind=\"::gf.tarifa\"></span></div>\n" +
    "                    <div class=\"flex__col-5\"><span class=\"gf__reserva\" ng-bind=\"::gf.idreserva\"></span></div>\n" +
    "                    <div class=\"flex__col-4\"><span class=\"gf__reserva\" ng-bind=\"::gf.doc\"></span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"flex__row\">\n" +
    "                    <div class=\"reserva-card__data-golf-parrilla\"><span class=\"reserva-card__data-abonado\" ng-bind=\"gf.abono_id\" ng-show=\"gf.abono_id &gt; 0\"></span><span class=\"reserva-card__data-socio\" ng-bind=\"gf.essocio\" ng-show=\"gf.essocio == 1\"></span><span class=\"reserva-card__data-buggies-parrilla\" ng-bind=\"gf.buggie\" ng-show=\"gf.buggie &gt; 0\"></span><span class=\"reserva-card__data-ticket\" ng-bind=\"gf.abono_id\" ng-show=\"gf.ticket_id == 0 &amp;&amp; gf.albaran_id == 0 &amp;&amp; gf.preciogf &gt; 0\"></span></div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </uib-tab>\n" +
    "  </uib-tabset>\n" +
    "</div>\n" +
    "<reservas-abonados></reservas-abonados>\n" +
    "<reserva-express></reserva-express>\n" +
    "<reservas-suecos></reservas-suecos>\n" +
    "<registro-reserva></registro-reserva>\n" +
    "<style>\n" +
    "  .recorrido-flex {\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "      flex-wrap: wrap;\n" +
    "      height: 460px;\n" +
    "      justify-content: flex-start;\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .gf__nombre-jugador {\n" +
    "      font-size: 14px;\n" +
    "      font-weight: normal;\n" +
    "      color: #29a6cb;\n" +
    "  }\n" +
    "  \n" +
    "  .gf__tarifa {\n" +
    "      font-size: 11px;\n" +
    "      font-weight: bold;\n" +
    "      color: #1e3e62;\n" +
    "  }\n" +
    "  \n" +
    "  .gf__reserva {\n" +
    "      font-size: 11px;\n" +
    "      font-weight: bold;\n" +
    "      color: #1e3e62;\n" +
    "  }\n" +
    "  \n" +
    "  .parrilla-salidas {\n" +
    "  \n" +
    "  }\n" +
    "  .reserva-card__data-golf-parrilla {\n" +
    "      display: flex;\n" +
    "      flex-direction: row-reverse ;\n" +
    "      flex: 1;\n" +
    "      position: absolute;\n" +
    "      right: 5px;\n" +
    "      top: -5px;\n" +
    "  }\n" +
    "  .parrilla-salidas__fly {\n" +
    "      border-bottom: 1px solid #eee;\n" +
    "  }\n" +
    "  \n" +
    "  .parrilla-salidas__fly:hover {\n" +
    "      background: #f7f7f7;\n" +
    "  }\n" +
    "  \n" +
    "  .parrilla-salidas__gf {\n" +
    "      border-right: 1px solid #eee;\n" +
    "      padding: 0 4px;\n" +
    "      position: relative ;\n" +
    "      min-height: 42px;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .parrilla-salidas__gf:hover {\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .parrilla-salidas__gf:hover .reserva-card__menu {\n" +
    "      display: flex ;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__data {\n" +
    "      position: relative;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__data-golf {\n" +
    "      position: absolute;\n" +
    "      right: 0;\n" +
    "      top: -7px;\n" +
    "      display: flex;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__data-gfs {\n" +
    "      padding: 5px;\n" +
    "      background: #9fd44c;\n" +
    "      color: white;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  .reserva-card__data-buggies-parrilla {\n" +
    "      padding: 5px;\n" +
    "      background: #ffcd00;\n" +
    "      color: #ffcd00;\n" +
    "      margin-left: 3px;\n" +
    "      font-size: 5px;\n" +
    "      border-radius: 50px;\n" +
    "      height: 10px;\n" +
    "      width: 10px;\n" +
    "      margin-top: 8px;\n" +
    "      float:left;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__data-abonado {\n" +
    "      padding: 5px;\n" +
    "      background: #4e9ed6;\n" +
    "      color: #4e9ed6;\n" +
    "      margin-left: 3px;\n" +
    "      font-size: 5px;\n" +
    "      border-radius: 50px;\n" +
    "      height: 10px;\n" +
    "      width: 10px;\n" +
    "      margin-top: 8px;\n" +
    "      float:left;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__data-ticket {\n" +
    "      padding: 5px;\n" +
    "      background: red;\n" +
    "      color: red;\n" +
    "      margin-left: 3px;\n" +
    "      font-size: 5px;\n" +
    "      border-radius: 50px;\n" +
    "      height: 10px;\n" +
    "      width: 10px;\n" +
    "      margin-top: 8px;\n" +
    "      float:left;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "  .reserva-card__boton-modificar {\n" +
    "      color: #9E9E9E;\n" +
    "      padding: 5px 12px;\n" +
    "      border: 1px solid #eee;\n" +
    "      border-radius: 3px;\n" +
    "      background: white;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__menu-drereserva {\n" +
    "      display: flex;\n" +
    "      width: auto;\n" +
    "      min-height: 30px;\n" +
    "      top: -7px;\n" +
    "      position: absolute;\n" +
    "      right: 70px;\n" +
    "  \n" +
    "      z-index: 999999;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__menu-drereserva a {\n" +
    "      color: #9e9e9e;\n" +
    "      font-size: 1.6rem;\n" +
    "      padding: 4px 8px;\n" +
    "      cursor: pointer;\n" +
    "      transition: all 0.5s ease;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__menu-drereserva a:hover {\n" +
    "      color: #007ab1;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  .reserva-card__menu {\n" +
    "      border: 1px solid #eee;\n" +
    "      border-radius: 5px;\n" +
    "      background: white;\n" +
    "      display: flex;\n" +
    "      width: auto;\n" +
    "      min-height: 30px;\n" +
    "      top: 0;\n" +
    "      position: absolute;\n" +
    "      right: 0px;\n" +
    "      display: none ;\n" +
    "      -webkit-transition: all 1s ease-out;\n" +
    "      -moz-transition: all 1s ease-out;\n" +
    "      -o-transition: all 1s ease-out;\n" +
    "      transition: all 1s ease-out;\n" +
    "      z-index:999999;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__menu:hover a {\n" +
    "      color: #4c9ed6;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-card__menu a {\n" +
    "      color: black;\n" +
    "      font-size: 1.8rem;\n" +
    "      padding: 4px 8px;\n" +
    "      cursor: pointer;\n" +
    "      transition: all 0.5s ease;\n" +
    "  \n" +
    "  }\n" +
    "  \n" +
    "  .admin-dashboard .reservas .tee-time .recorrido .col-hora .buggies-fly {\n" +
    "      background: #FFC107;\n" +
    "  }\n" +
    "  \n" +
    "  .buggies-fly__cantidad {\n" +
    "      color: gray;\n" +
    "      font-weight: bold;\n" +
    "  }\n" +
    "</style>"
  );


  $templateCache.put('views/admin/dashboard-admin.html',
    "<div class=\"reservas\">\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-reserva></registro-reserva>\n" +
    "        </div>\n" +
    "        <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "            <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "                <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\"\n" +
    "                           ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.hoy()\"><i class=\"fa fa-calendar icono-boton\"></i>Hoy</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search icono-boton\"></i>Ver salidas</a>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-cancelar\" ng-click=\"vm.verSalidasPdf()\"><i class=\"fa fa-print icono-boton\"></i>Imprimir\n" +
    "                        salidas</a>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\"><i class=\"fa fa-file-o icono-boton\"></i>Nueva\n" +
    "                        Reserva</a>\n" +
    "                </div>\n" +
    "                <div class=\"form-group boton\">\n" +
    "                    <span class=\"btn btn-danger\" ng-show=\"vm.flySel.fly > 0\">{{ vm.flySel.hora }}</span>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaExpress()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Express</a>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaNueva()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Nueva</a>\n" +
    "                    <a class=\"btn btn-nuevo\" ng-click=\"vm.reservaAbonado()\" ng-show=\"vm.flySel.fly > 0\"><i\n" +
    "                            class=\"fa fa-file-o icono-boton\"></i>Reserva Abonado</a>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "            </form>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"row fecha-teetime\">\n" +
    "\n" +
    "        <!-- <div class=\"estados-teetime col-lg-12\">\n" +
    "             <div>\n" +
    "                 <span class=\"estado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Libre' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado bloqueado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Bloqueado' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado reservado\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Reservado' | translate }}</span>\n" +
    "             </div>\n" +
    "\n" +
    "             <div>\n" +
    "                 <span class=\"estado reserva-actual\"></span>\n" +
    "                 <span class=\"texto-estado\">{{ 'Reserva Actual' | translate }}</span>\n" +
    "             </div>\n" +
    "             <div>\n" +
    "                 <span class=\"estado error\"></span>\n" +
    "                 <span class=\"texto-estado\">Error</span>\n" +
    "             </div>\n" +
    "\n" +
    "         </div>-->\n" +
    "    </div>\n" +
    "    <style>\n" +
    "        .icono-boton {\n" +
    "            margin-right: 10px;\n" +
    "        }\n" +
    "\n" +
    "        .ocupacion {\n" +
    "            display: flex;\n" +
    "            flex-direction: row;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 5px;\n" +
    "        }\n" +
    "\n" +
    "        .ocupacion-mes {\n" +
    "            display: flex;\n" +
    "            flex-direction: row;\n" +
    "            flex-flow: nowrap;\n" +
    "            margin-bottom: 2px;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia {\n" +
    "            flex: 1;\n" +
    "            display: flex;\n" +
    "            flex-direction: column;\n" +
    "            text-align: center;\n" +
    "            background: #f7f7f7;\n" +
    "            margin: 1px;\n" +
    "\n" +
    "            cursor: pointer;\n" +
    "\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia span {\n" +
    "            flex: 1;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .dia {\n" +
    "            background: #a0c757;\n" +
    "            color: white;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .dia:hover {\n" +
    "            background: #2a5571;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .mes {\n" +
    "            background: #9e9e9e;\n" +
    "            color: white;\n" +
    "            font-size: 1.2rem;\n" +
    "            padding: 4px;\n" +
    "\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .mes:hover {\n" +
    "            background: #4b4b4b;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .greenfees {\n" +
    "            padding: 4px 4px 0 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #2a5571;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia .buggies {\n" +
    "            padding: 4px;\n" +
    "            min-height: 24px;\n" +
    "            font-size: 12px;\n" +
    "            color: #d6620f;\n" +
    "        }\n" +
    "\n" +
    "        .ver-dia-ocupacion {\n" +
    "            max-width: 50px;\n" +
    "        }\n" +
    "\n" +
    "\n" +
    "    </style>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion-mes \">\n" +
    "            <div class=\"ver-dia\" ng-repeat=\"mes in vm.meses\" ng-click=\"vm.verMesOcupacion(mes)\">\n" +
    "                <span class=\"mes\">{{ ::mes.mes}}-{{ ::mes.ano }}</span>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12 ocupacion \">\n" +
    "            <div class=\"ver-dia ver-dia-ocupacion\" ng-repeat=\"dia in vm.ocupacion\" ng-click=\"vm.verDiaOcupacion(dia)\">\n" +
    "                <span class=\"dia\" ng-bind=\"::dia.dia\"></span>\n" +
    "                <span class=\"greenfees\">{{ ::dia.total_greenfees }}</span>\n" +
    "                <span class=\"buggies\"><span ng-show=\"dia.total_buggies > 0\">{{ ::dia.total_buggies }}</span></span>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"tee-time\">\n" +
    "        <style>\n" +
    "            .lista-salidas {\n" +
    "                overflow-y: auto;\n" +
    "                overflow-x: hidden;\n" +
    "            }\n" +
    "        </style>\n" +
    "        <div class=\"row\">\n" +
    "\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 nombre-recorrido \">\n" +
    "                <h3>Tee 1</h3>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 nombre-recorrido \">\n" +
    "                <h3>Tee 10</h3>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <style>\n" +
    "            .recorrido-flex {\n" +
    "                display: flex;\n" +
    "                flex-direction: column;\n" +
    "                flex-wrap: wrap;\n" +
    "                height: 460px;\n" +
    "                justify-content: flex-start;\n" +
    "                padding: 0;\n" +
    "            }\n" +
    "\n" +
    "        </style>\n" +
    "        <div class=\"lista-salidas\" auto-height additional-height=\"205\">\n" +
    "\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 recorrido \">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\"\n" +
    "                         ng-click=\"vm.verReservaDia(fly)\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "                        <!--\n" +
    "                                                <a ng-click=\"vm.verReservaDia(fly)\" class=\"btn boton__accion-peque boton__reserva-express\"><i class=\"fa fa-rocket\" aria-hidden=\"true\"></i></a>\n" +
    "                        -->\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <style>\n" +
    "                    .recorrido {\n" +
    "                        height: 1260px;\n" +
    "                        display: flex;\n" +
    "                        flex-direction: column;\n" +
    "                        flex-wrap: wrap;\n" +
    "                    }\n" +
    "\n" +
    "                    .recorrido .col-hora {\n" +
    "                        width: 135px;\n" +
    "                        height: auto;\n" +
    "                        padding: 2px;\n" +
    "                    }\n" +
    "\n" +
    "                    .boton__reserva-express {\n" +
    "                        color: white;\n" +
    "                        background: transparent;\n" +
    "                        border: none;\n" +
    "                        min-height: 10px;\n" +
    "                        padding: 0;\n" +
    "                        font-size: 1.6rem;\n" +
    "                        color: #f7f7f7;\n" +
    "                    }\n" +
    "\n" +
    "                    .col-hora:hover .boton__reserva-express {\n" +
    "                        color: black;\n" +
    "                        background: transparent;\n" +
    "                        border: none;\n" +
    "                    }\n" +
    "                </style>\n" +
    "                <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-6 recorrido\">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"reservas-recorrido flex__row flex__dir-row\">\n" +
    "        <div class=\"flex__col-6\">\n" +
    "            <div class=\"nombre-recorrido\">\n" +
    "                <h3>Tee 1</h3>\n" +
    "            </div>\n" +
    "            <style>\n" +
    "                .reserva-card__data {\n" +
    "                    position: relative;\n" +
    "\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__data-golf {\n" +
    "                    position: absolute;\n" +
    "                    right: 0;\n" +
    "                    top: 0;\n" +
    "                    display: flex;\n" +
    "\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__data-gfs {\n" +
    "                    padding: 5px;\n" +
    "                    background: #9fd44c;\n" +
    "                    color: white;\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__data-buggies {\n" +
    "                    padding: 5px;\n" +
    "                    background: #ffcd00;\n" +
    "                    color: white;\n" +
    "                    margin-left: 3px;\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__data-hora {\n" +
    "                    color: #4e9ed6;\n" +
    "                    font-size: 1.6rem;\n" +
    "                    font-weight: bold;\n" +
    "                    padding-bottom: 5px;\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__boton-modificar {\n" +
    "                    color: #9E9E9E;\n" +
    "                    padding: 5px 12px;\n" +
    "                    border: 1px solid #eee;\n" +
    "                    border-radius: 3px;\n" +
    "                    background: white;\n" +
    "                }\n" +
    "\n" +
    "                .reserva-card__menu {\n" +
    "                    display: flex;\n" +
    "                    width: 50px;\n" +
    "                    min-height: 30px;\n" +
    "                    top: 0;\n" +
    "                    position: absolute;\n" +
    "                    right: 70px;\n" +
    "                }\n" +
    "                .reserva-card__menu:hover a {\n" +
    "                    color: #4c9ed6;\n" +
    "                }\n" +
    "                .reserva-card__menu a {\n" +
    "                    color: #b7b6b6 ;\n" +
    "                    font-size: 1.6rem;\n" +
    "                    padding: 4px 8px;\n" +
    "                    cursor: pointer;\n" +
    "                    transition: all 0.5s ease;\n" +
    "                }\n" +
    "\n" +
    "\n" +
    "            </style>\n" +
    "\n" +
    "            <div ng-repeat=\"reserva in vm.fd.reservas.recorrido1\" class=\"linea-reserva\" style=\"padding:5px;\" >\n" +
    "                <div class=\"datos-linea-reserva\" ng-class=\"{'frontend': reserva.admin == 0}\" style=\"position:relative;\">\n" +
    "                    <div class=\"reserva-card__data flex__row flex__dir-col\">\n" +
    "                        <span ng-bind=\"reserva.hora\" class=\"reserva-card__data-hora\"></span>\n" +
    "                        <span ng-bind=\"reserva.idreserva\" class=\"nombre\"></span>\n" +
    "                        <span ng-bind=\"reserva.nombre\" class=\"nombre\"></span>\n" +
    "                        <span ng-bind=\"reserva.notas\" class=\"notas\"></span>\n" +
    "                        <div class=\"reserva-card__data-golf\">\n" +
    "                            <span class=\"reserva-card__data-gfs\" ng-bind=\"reserva.jugadores\"></span>\n" +
    "                            <span class=\"reserva-card__data-buggies\" ng-bind=\"reserva.buggies\"boton\n" +
    "                                  ng-show=\"reserva.buggies > 0\"></span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"reserva-card__menu\">\n" +
    "                        <a ref=\"#\" title=\"Editar\" ng-click=\"vm.reservaSuecos(reserva)\">\n" +
    "                            <i class=\"nf-edit-settings fa fa-cog\" aria-hidden=\"true\"></i>\n" +
    "                        </a>\n" +
    "                        <a ref=\"#\" title=\"Editar\" ng-click=\"vm.modificarReserva(reserva)\">\n" +
    "                            <i class=\"nf-edit-settings fa fa-pencil\" aria-hidden=\"true\"></i>\n" +
    "                        </a>\n" +
    "                   <!--     <button class=\"btn reserva-card__boton-modificar\" ng-click=\"vm.modificarReserva(reserva)\">M\n" +
    "                        </button>\n" +
    "                        <button class=\"btn reserva-card__boton-modificar\" ng-click=\"vm.modificarReserva(reserva)\">G\n" +
    "                        </button>-->\n" +
    "                       <!-- <div class=\"nf-item-controls\">\n" +
    "                            <div>\n" +
    "                                <div class=\"nf-item-edit nf-item-control\">\n" +
    "                                    <a ref=\"#\" title=\"Editar\">\n" +
    "                                        <i class=\"nf-edit-settings fa fa-cog\" aria-hidden=\"true\" ng-click=\"vm.modificarReserva(reserva)\"></i>\n" +
    "                                    </a>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                                    &lt;!&ndash; <span class=\"nf-item-editing\">Editing Field</span> &ndash;&gt;\n" +
    "                               &lt;!&ndash; <div class=\"nf-item-duplicate nf-item-control\"><a href=\"#\"\n" +
    "                                                                                  title=\"Duplicar (^ + C + clic)\"><i\n" +
    "                                        class=\"nf-duplicate fa fa-pencil\" aria-hidden=\"true\"></i></a></div>\n" +
    "                                <div class=\"nf-item-delete nf-item-control\">\n" +
    "                                    <button class=\"btn\" ng-click=\"vm.modificarReserva(reserva)\" title=\"Eliminar (^ + D + clic)\">\n" +
    "                                        <span>M</span></i>\n" +
    "                                    </button>\n" +
    "                                </div>&ndash;&gt;\n" +
    "                            </div>\n" +
    "                        </div>-->\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"acciones\">\n" +
    "                    <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                        ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                    <!-- <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                        ng-click=\"vm.borrarHoraReserva(reserva)\"><span aria-hidden=\"true\" class=\"icon-close\"></span></a>-->\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__col-6\">\n" +
    "            <div class=\"nombre-recorrido\">\n" +
    "                <h3>Tee 10</h3>\n" +
    "            </div>\n" +
    "\n" +
    "            <div ng-repeat=\"reserva in vm.fd.reservas.recorrido2\" class=\"linea-reserva\"\n" +
    "                 ng-click=\"vm.modificarReserva(reserva)\">\n" +
    "                <div class=\"datos-linea-reserva\" ng-class=\"{'frontend': reserva.admin == 0}\">\n" +
    "                    <div class=\"datos-reserva\">\n" +
    "                        <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                        <span ng-bind=\"reserva.nombre\" class=\"nombre\"></span>\n" +
    "                        <span ng-bind=\"reserva.notas\" class=\"notas\"></span>\n" +
    "                    </div>\n" +
    "                    <div class=\"concepto\">\n" +
    "                        <div class=\"greenfees\">\n" +
    "                            <span>GF/s: </span>\n" +
    "                            <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                            <span> Buggies: </span>\n" +
    "                            <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"total\">\n" +
    "                            <span> Total: </span>\n" +
    "                            <span ng-bind=\"reserva.total | currency : '€' : 2\"></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"acciones\">\n" +
    "                    <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                        ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                    <!-- <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                        ng-click=\"vm.borrarHoraReserva(reserva)\"><span aria-hidden=\"true\" class=\"icon-close\"></span></a>-->\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>\n" +
    "<reservas-abonados></reservas-abonados>\n" +
    "<reserva-express></reserva-express>\n" +
    "<reservas-suecos></reservas-suecos>\n" +
    "\n" +
    "<!--<div class=\"lightbox\" ng-show=\"vm.abrirErrorReserva\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content error-reserva-gf ventana-popup\">\n" +
    "        <div class=\"cabecera cabecera-popup\">\n" +
    "            <h2>{{ 'Error Reserva' | translate }}</h2>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"texto-error col-lg-12\">\n" +
    "                {{ 'Revise las siguientes fechas y horas de su reserva. Parece que las horas que ha elegido están ocupadas' | translate }}\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\" col-lg-12\">\n" +
    "                <div ng-repeat=\"error in vm.erroresReservaGF\" class=\"linea-error\" >\n" +
    "                    <div class=\"datos-error\">\n" +
    "                        <div class=\"fecha-hora\">\n" +
    "                            <span ng-bind=\"error.fecha\" class=\"fecha\"></span>\n" +
    "                            <span ng-bind=\"error.hora\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"pie-popup col-lg-12\">\n" +
    "                <a class=\"btn  boton-ok\" ng-click=\"vm.cerrarErrorReserva()\">{{ 'OK' | translate }}</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>-->\n" +
    "\n"
  );


  $templateCache.put('views/admin/detalle-reserva-registro.html',
    "<div class=\"lightbox detalle-reserva-admin\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Detalle reserva</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row datos-registro\">\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\">\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Reserva</label><br>\n" +
    "                        <div class=\"form-group\">\n" +
    "                            <input type=\"date\" size=\"10\" readonly class=\"form-control\"  ng-model=\"vm.fecha\"  placeholder=\"Fecha Inicio\">\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora</label>\n" +
    "                        <input type=\"text\" class=\"form-control\" readonly ng-model=\"vm.fd.hora\">\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Total</label>\n" +
    "                        <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.total\" name=\"length\" smart-float\n" +
    "                               ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <a class=\"btn btn-default boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Grabar</a>\n" +
    "                        <a class=\"btn btn-default boton-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                    </div>\n" +
    "\n" +
    "                </form>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/dreservas-lista-popup.html',
    "<div class=\"lista\" ng-cloak>\n" +
    "    <div class=\"lightbox\" ng-show=\"vm.abreVentanaLista\">\n" +
    "        <div class=\"mask\"></div>\n" +
    "        <div class=\"content ventana-popup\">\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-12\">\n" +
    "                    <h1>Reservas</h1>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-12 \">\n" +
    "                    <form name=\"formDatos\" class=\"form-inline\">\n" +
    "                        <div class=\"form-group\" ng-class=\"{'has-error': formDatos.vm.fd.fechaIni.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicial</label>\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\"\n" +
    "                                   ng-model=\"vm.fd.fechaIni\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\"\n" +
    "                                   bs-datepicker>\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>Fecha Final\n" +
    "                                <small>(as date)</small>\n" +
    "                            </label>\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\"\n" +
    "                                   ng-model=\"vm.fd.fechaFin\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                        </div>\n" +
    "                        <a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Reservas</a>\n" +
    "                        <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Reserva</a>\n" +
    "                    </form>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <hr>\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-12\">\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-12\">\n" +
    "                    <registro-reserva></registro-reserva>\n" +
    "                </div>\n" +
    "                <div class=\"col-lg-12\">\n" +
    "\n" +
    "                </div>\n" +
    "                <div class=\"col-lg-12\">\n" +
    "                    <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\" class=\"tabla-datos tabla-reservas\">\n" +
    "                        <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                            <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                            <td class=\"fecha\" data-title=\"Fecha\" data-field=\"fecha_d\" data-filter=\"fecha_d\"\n" +
    "                                data-sort=\"fecha\">\n" +
    "                                <span>{{item.fecha_d}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"recorrido\" data-title=\"recorrido\" data-field=\"recorrido\" data-filter=\"recorrido\">\n" +
    "                                <span>{{item.recorrido}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"hora\" data-title=\"Hora\" data-field=\"hora\" data-filter=\"hora\">\n" +
    "                                <span>{{item.hora}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"idreserva\" data-title=\"Id.Reserva\" data-field=\"idreserva\"\n" +
    "                                data-filter=\"idreserva\">\n" +
    "                                <span>{{item.idreserva}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"nombre\" data-title=\"nombre\" data-field=\"nombre\" data-filter=\"nombre\">\n" +
    "                                <span>{{item.nombre}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"jugadores\" data-title=\"jugadores\" data-field=\"jugadores\" data-filter=\"jugadores\">\n" +
    "                                <span>{{item.jugadores}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"buggies\" data-title=\"buggies\" data-field=\"buggies\" data-filter=\"buggies\">\n" +
    "                                <span>{{item.buggies}}</span>\n" +
    "                            </td>\n" +
    "                            <td class=\"total\" data-title=\"Total\" data-field=\"total\" data-filter=\"total\">\n" +
    "                                <span>{{item.total}}</span>\n" +
    "                            </td>\n" +
    "                            <!--Lo ponemos como estandard los nombres-->\n" +
    "                            <td data-title=\"Acciones\" class=\"ver-registro\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\">Ver</button>\n" +
    "                            </td>\n" +
    "                        </tr>\n" +
    "                    </table>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/dreservas-lista.html',
    "<div class=\"lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Reservas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form name=\"formDatos\" class=\"form-inline\">\n" +
    "                <div class=\"form-group form-group--fecha\" ng-class=\"{'has-error': formDatos.vm.fd.fechaIni.$invalid}\">\n" +
    "                    <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>  Fecha Inicial</label>\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaIni\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <div class=\"form-group form-group--fecha\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                    <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>  Fecha Final</label>\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaFin\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                </div>\n" +
    "\n" +
    "                <a class=\"btn btn-form\" ng-click=\"vm.verHoy()\"><i class=\"fa fa-calendar\"></i> Hoy</a>\n" +
    "                <a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Reservas</a>\n" +
    "                <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Reserva</a>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <hr>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-reserva></registro-reserva>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-reservas\">\n" +
    "                <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                    <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha\" data-field=\"fecha_d\" data-filter=\"fecha_d\" data-sort=\"fecha\">\n" +
    "                        <span>{{item.fecha_d}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"recorrido\" data-title=\"recorrido\" data-field=\"recorrido\" data-filter=\"recorrido\">\n" +
    "                        <span>{{item.recorrido}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"hora\" data-title=\"Hora\" data-field=\"hora\" data-filter=\"hora\">\n" +
    "                        <span>{{item.hora}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"idreserva\" data-title=\"Id.Reserva\" data-field=\"idreserva\" data-filter=\"idreserva\">\n" +
    "                        <span>{{item.idreserva}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"nombre\" data-title=\"nombre\" data-field=\"nombre\" data-filter=\"nombre\">\n" +
    "                        <span>{{item.nombre}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"jugadores\" data-title=\"jugadores\" data-field=\"jugadores\" data-filter=\"jugadores\">\n" +
    "                        <span>{{item.jugadores}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"buggies\" data-title=\"buggies\" data-field=\"buggies\" data-filter=\"buggies\">\n" +
    "                        <span>{{item.buggies}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"total\" data-title=\"Total\" data-field=\"total\" data-filter=\"total\">\n" +
    "                        <span>{{item.total | currency : '€' : 2}}</span>\n" +
    "                    </td>\n" +
    "                    <!--Lo ponemos como estandard los nombres-->\n" +
    "                    <td data-title=\"Acciones\"  class=\"ver-registro\">\n" +
    "                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                    </td>\n" +
    "                </tr>\n" +
    "            </table>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/dreservas.html',
    "<evoadmin-dreservas  template-url=\"\"></evoadmin-dreservas>"
  );


  $templateCache.put('views/admin/exporta-pedidos.html',
    "<div ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Exportar Pedidos</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form class=\"form-inline\">\n" +
    "                <cr-datepicker type=\"text\" date-Value=\"vm.fechaIni\" etiqueta=\"Fecha Inicial:\"/></cr-datepicker>\n" +
    "                <cr-datepicker type=\"text\" date-Value=\"vm.fechaFin\" etiqueta=\"Fecha Final:\"/></cr-datepicker>\n" +
    "                <a class=\"btn btn-default btn-form\" ng-click=\"vm.exportaPedidos()\">Exportar</a>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/inicio-admin.html',
    "<div class=\"admin-dashboard\">\n" +
    "    <dashboard-admin></dashboard-admin>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/mensaje-error-evo.html',
    "\n" +
    "<!-- plantilla para el mensaje de error, lo hemos añadido en evoratec.factory-->\n" +
    "<div class=\"slds-modal__header\">\n" +
    "  <h2>{{ ::ngDialogData.cabecera }}</h2>\n" +
    "</div>\n" +
    "<div class=\"slds-modal__content\">\n" +
    "  <div class=\"sectionContainer\">\n" +
    "    <div class=\"forcePageBlockSectionRow\">\n" +
    "      <div class=\"forcePageBlockItem\">\n" +
    "        <div ng-repeat=\"mensaje in ngDialogData.mensajes\">\n" +
    "          <p>{{mensaje}}</p>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal__footer\">\n" +
    "  <button class=\"btn  documento__boton-grabar ngdialog__boton\" type=\"button\" ng-click=\"confirm(0)\"><span ng-bind=\"::ngDialogData.botonConfirmacion\"></span></button>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/mensaje-nosi.html',
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>{{ ::ngDialogData.cabecera }}</h2>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow \">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <div ng-repeat=\"mensaje in ngDialogData.mensajes\">\n" +
    "                                <p>{{mensaje}}</p>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <button type=\"button\" class=\"btn  documento__boton-grabar ngdialog__boton ngdialog_boton-cancelar\" ng-click=\"closeThisDialog(0)\">Cancelar</button>\n" +
    "            <button type=\"button\" class=\"btn  documento__boton-grabar ngdialog__boton\" ng-click=\"confirm(0)\">{{ ::ngDialogData.botonConfirmacion }}</button>\n" +
    "        </div>\n"
  );


  $templateCache.put('views/admin/mensajes-error.html',
    "<style>\n" +
    "    .ngdialog.ngdialog-theme-default .ngdialog-content {\n" +
    "        padding: 15px;\n" +
    "    }\n" +
    "</style>\n" +
    "<h2>Errores en el formulario</h2>\n" +
    "<div>\n" +
    "   <p ng-bind-html=\"ngDialogData.mensajes\"></p>\n" +
    "</div>\n" +
    "<div class=\"ngdialog-buttons\">\n" +
    "    <button type=\"button\" class=\"ngdialog-button\" ng-click=\"confirm(0)\">Aceptar</button>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/mensajes-multiples-error.html',
    "<style>\n" +
    "    .errores {\n" +
    "        display: flex;\n" +
    "        flex-direction:column;\n" +
    "        background: white ;\n" +
    "\n" +
    "    }\n" +
    "    .errores__cabecera{\n" +
    "        flex: 1;\n" +
    "        padding: 10px;\n" +
    "    }\n" +
    "    .errores__cabecera h2 {\n" +
    "\n" +
    "    }\n" +
    "    .errores__lista {\n" +
    "        flex: 1;\n" +
    "        padding: 10px;\n" +
    "    }\n" +
    "    .errores__pie {\n" +
    "        flex: 1;\n" +
    "        padding: 10px;\n" +
    "        text-align: right ;\n" +
    "    }\n" +
    "    .errores__lista--error {\n" +
    "\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"errores\">\n" +
    "    <div class=\"errores__cabecera\">\n" +
    "        <h2>{{ ::ngDialogData.cabecera }}</h2>\n" +
    "    </div>\n" +
    "    <div class=\"errores__lista\">\n" +
    "        <div class=\"errores__lista--error\" ng-repeat=\"mensaje in ngDialogData.mensajes\">\n" +
    "            <p>{{mensaje}}</p>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"errores__pie\">\n" +
    "        <button type=\"button\" class=\"btn boton__accion boton__accion--azul\" ng-click=\"closeThisDialog(0)\">Aceptar</button>\n" +
    "    </div>\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/ofertas-lista.html',
    "<div class=\"lista-tarifas lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Ofertas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form class=\"form-inline\">\n" +
    "                <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Ofertas</a>\n" +
    "                <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Oferta</a>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <hr>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-oferta></registro-oferta>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-vales\">\n" +
    "                <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                    <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                    <td class=\"codigo\" data-title=\"Tarifa\" data-field=\"codigo\" data-filter=\"codigo\">\n" +
    "                        <span>{{item.codigo}}</span>\n" +
    "                    </td>\n" +
    "\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha Inicio\" data-field=\"fecha_i\" data-filter=\"fecha_i\" data-sort=\"fechaini\">\n" +
    "                        <span>{{item.fecha_i}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha Fin\" data-field=\"fecha_f\" data-filter=\"fecha_f\" data-sort=\"fechafin\">\n" +
    "                        <span>{{item.fecha_f}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Inicio\" data-field=\"horaini\">\n" +
    "                        <span>{{item.horaini}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Fin\" data-field=\"horafin\" data-filter=\"horafin\">\n" +
    "                        <span>{{item.horafin}}</span>\n" +
    "                    </td>\n" +
    "\n" +
    "                    <!--Lo ponemos como estandard los nombres-->\n" +
    "                    <td data-title=\"Acciones\"  class=\"ver-registro\">\n" +
    "                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "\n" +
    "                    </td>\n" +
    "                </tr>\n" +
    "            </table>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/ofertas-registro.html',
    "<div class=\"lightbox\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Oferta</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"datos-registro\">\n" +
    "\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\">\n" +
    "                    <div class=\"row\">\n" +
    "                        <div class=\"form-group col-lg-12\">\n" +
    "                            <label class=\"control-label\">Código Oferta</label>\n" +
    "                            <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.codigo\" name=\"codigo\"\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "                        <div ng-messages=\"vm.formDatos.oferta.$error\" style=\"color:maroon\" role=\"alert\">\n" +
    "                            <div ng-message=\"required\">Introduce el código de la oferta</div>\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group  col-lg-12\">\n" +
    "                            <label class=\"control-label\">Descripción</label>\n" +
    "                            <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.descripcion\" name=\"descripcion\"\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"form-group  col-lg-12\">\n" +
    "                            <label class=\"control-label\">Descripción Inglés</label>\n" +
    "                            <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.descripcion_en\" name=\"descripcion_en\"\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <!--<pre>vm.formDatos.oferta.$error = {{ vm.formDatos.oferta.$error | json }}</pre>-->\n" +
    "\n" +
    "                    <div class=\"row\">\n" +
    "                        <div class=\"form-group col-lg-6\">\n" +
    "                            <label class=\"control-label\">Fecha Inicio Oferta</label>\n" +
    "\n" +
    "                                <input type=\"text\" size=\"10\" class=\"form-control fecha\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-6\">\n" +
    "                            <label class=\"control-label\">Fecha Fin Oferta</label>\n" +
    "\n" +
    "                                <input type=\"text\" size=\"10\" class=\"form-control fecha\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Fin\" bs-datepicker>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"row\">\n" +
    "                        <div class=\"form-group col-lg-6\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Inicial</label>\n" +
    "                            <input type=\"time\" class=\"form-control hora\" size=\"8\" name=\"horaini\" ng-model=\"vm.horainitemp\"\n" +
    "                                   min=\"08:00:00\" max=\"20:00:00\"\n" +
    "                                   lower-than=\"{{vm.horafintemp}}\">\n" +
    "\n" +
    "                            <span class=\"error-formulario\" ng-show=\"vm.formDatos.horaini.$error.lowerThan\">La hora inicial tiene que ser menor que la hora final</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-6\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Final</label>\n" +
    "                            <input type=\"time\" class=\"form-control hora\" size=\"8\" ng-model=\"vm.horafintemp\"\n" +
    "                                   min=\"08:00:00\" max=\"20:00:00\">\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"row\">\n" +
    "                        <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                            <label class=\"control-label\">Cantidad GF.</label>\n" +
    "                            <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.cantidadgf\" name=\"length\" smart-float\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                            <label class=\"control-label\">Cantidad Buggies</label>\n" +
    "                            <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.cantidadbuggies\" name=\"length\" smart-float\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                            <label class=\"control-label\">Precio</label>\n" +
    "                            <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.precio\" name=\"length\" smart-float\n" +
    "                                   ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"row\">\n" +
    "                        <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                            <label class=\"control-label\">Activa</label>\n" +
    "                            <checkbox\n" +
    "                                    ng-model=\"vm.fd.activa\"\n" +
    "                                    ng-true-value=\"1\"\n" +
    "                                    ng-false-value=\"0\">\n" +
    "                            </checkbox>\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                            <label class=\"control-label\">Especial</label>\n" +
    "                            <checkbox\n" +
    "                                      ng-model=\"vm.fd.especial\"\n" +
    "                                      ng-true-value=\"1\"\n" +
    "                                      ng-false-value=\"0\">\n" +
    "                            </checkbox>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                  <!--  <div class=\"row\">\n" +
    "\n" +
    "                        <div class=\"form-group col-lg-6\">\n" +
    "                            <label class=\"control-label\">Descripción Larga</label>\n" +
    "                            <textarea rows=\"3\" cols=\"50\" ng-model=\"vm.fd.descripcion_larga\"\n" +
    "                                      ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" /></textarea>\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group col-lg-6\">\n" +
    "                            <label class=\"control-label\">Descripción Larga Inglés</label>\n" +
    "                        <textarea rows=\"3\" cols=\"50\" ng-model=\"vm.fd.descripcion_larga_en\"\n" +
    "                                  ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" /></textarea>\n" +
    "                        </div>\n" +
    "                    </div>-->\n" +
    "\n" +
    "                    <div class=\"form-group botones-formulario\">\n" +
    "                        <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                        <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid || vm.formDatos.$pristine\" ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "\n" +
    "                    </div>\n" +
    "                </form>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/ofertas.html',
    "<lista-ofertas></lista-ofertas>"
  );


  $templateCache.put('views/admin/otro.html',
    "\n" +
    "<style>\n" +
    "  .registro-tarifas-productos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"registro-tarifas-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Tarifa Productos</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <p class=\"observaciones-formulario\">Debe de introducir todos los campos</p>\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Tarifa</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.codigo\" name=\"codigo\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Descripción</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.descripcion\" name=\"descripcion\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" required=\"\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Fecha Inicio Tarifa</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Fecha Fin Tarifa</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <div class=\"data-list\">\n" +
    "                <div class=\"data-list__header\">\n" +
    "                  <div class=\"data-list__header-column\"><span>Descripción</span></div>\n" +
    "                  <div class=\"data-list__header-column\"><span>Precio</span></div>\n" +
    "                  <div class=\"data-list__header-button\"></div>\n" +
    "                </div>\n" +
    "                <div class=\"data-list__content\">\n" +
    "                  <div class=\"data-list__detail\" ng-repeat=\"item in vm.productos_tarifa\" ng-if=\"vm.productos_tarifa.length &gt; 0\">\n" +
    "                    <div class=\"data-list__detail-column busca-colores__descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "                    <div class=\"data-list__detail-column busca-colores__descripcion\"><span ng-bind=\"::item.precio\"></span></div>\n" +
    "                    <div class=\"data-list__detail-button\">\n" +
    "                      <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.editarPrecio(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Precio Producto</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatosProducto\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <input-evo name=\"precio\" etiqueta=\"Precio\" money=\"money\" required=\"\" ng-model=\"vm.producto_tarifa.precio\"></input-evo>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer slds-crud__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabarPrecioTarifa()\">Confirmar</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar Edicion</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/prueba.html',
    "\n" +
    "<div class=\"prueba\">\n" +
    "  <p>esto es una prueba</p>\n" +
    "</div>\n" +
    "<div class=\"form-control\">\n" +
    "  <label class=\"control-label\">Campo de prueba</label>\n" +
    "  <input auto-complete=\"\" ui-items=\"merchants.name\" ng-model=\"vm.prueba\"/>\n" +
    "</div>\n" +
    "<div ng-controller=\"next-update-stats-controller\">\n" +
    "  <p>See global upgrade statistics for a package\n" +
    "    <input type=\"text\" placeholder=\"package name\" ng-model=\"packageName\" title=\"Enter package module to see update statistics\"/>\n" +
    "    <button class=\"btn\" ng-click=\"loadStats()\" title=\"click to search\">Load</button>\n" +
    "    <ul>\n" +
    "      <li ng-repeat=\"update in updates\">\n" +
    "        {{update.name}} {{update.from}} -> {{update.to}}\n" +
    "        {{update.probability}}%\n" +
    "        {{update.success}} successful\n" +
    "        {{update.failure}} failed\n" +
    "      </li>\n" +
    "    </ul>\n" +
    "  </p>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/reservas-detalle.html',
    "<div class=\"cabecera-reservas-admin\">\n" +
    "    <div class=\"container\">\n" +
    "        <div class=\"datos-reserva\">\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"heading-section\">\n" +
    "                    <h2>Indique sus datos de reserva</h2>\n" +
    "                    <div class=\"separator\"></div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "                    <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "\n" +
    "                        <div class=\"form-group fecha\">\n" +
    "                            <cr-datepicker type=\"text\" date-Value=\"vm.fd.fecha\" etiqueta=\"Fecha Reserva:\"/>\n" +
    "                            </cr-datepicker>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"form-group jugadores\">\n" +
    "                            <label>Jugadores</label>\n" +
    "\n" +
    "                            <select class=\"form-control\" ng-model=\"vm.fd.numJugadores\"\n" +
    "                                    ng-options=\"option as option for option in [1,2,3,4,5,6,7,8,9,10,11,12]\">\n" +
    "                            </select>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"form-group buggies\">\n" +
    "                            <label>Buggies</label>\n" +
    "                            <select class=\"form-control\" ng-model=\"vm.fd.buggies\">\n" +
    "                                <option>0</option>\n" +
    "                                <option>1</option>\n" +
    "                                <option>2</option>\n" +
    "                                <option>3</option>\n" +
    "                                <option>4</option>\n" +
    "                                <option>5</option>\n" +
    "                                <option>6</option>\n" +
    "                            </select>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"form-group boton-disponibilidad\">\n" +
    "                            <a class=\"btn  boton-ver-disponiblidad\" ng-click=\"vm.verSalidas()\">Ver\n" +
    "                                Disponibilidad</a>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </form>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "\n" +
    "<div class=\"reservas\">\n" +
    "    <div class=\"container\">\n" +
    "        <div class=\"row fecha-teetime\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2><span class=\"fecha\" ng-bind=\"vm.fd.fecha | date:'dd-MM-yyyy'\"></span></h2>\n" +
    "            </div>\n" +
    "            <div class=\"estados-teetime col-lg-12\">\n" +
    "                <div>\n" +
    "                    <span class=\"estado\"></span>\n" +
    "                    <span class=\"texto-estado\">Libre</span>\n" +
    "                </div>\n" +
    "                <div>\n" +
    "                    <span class=\"estado bloqueado\"></span>\n" +
    "                    <span class=\"texto-estado\">Bloqueado</span>\n" +
    "                </div>\n" +
    "                <div>\n" +
    "                    <span class=\"estado reservado\"></span>\n" +
    "                    <span class=\"texto-estado\">Reservado</span>\n" +
    "                </div>\n" +
    "\n" +
    "                <div>\n" +
    "                    <span class=\"estado reserva-actual\"></span>\n" +
    "                    <span class=\"texto-estado\">Reserva actual</span>\n" +
    "                </div>\n" +
    "                <div>\n" +
    "                    <span class=\"estado error\"></span>\n" +
    "                    <span class=\"texto-estado\">Error</span>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"tee-time\">\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                    <h3>Recorrido A</h3>\n" +
    "                </div>\n" +
    "                <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                    <h3>Recorrido B</h3>\n" +
    "                </div>\n" +
    "                <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                    <h3>Recorrido C</h3>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"row\">\n" +
    "                <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\" ng-click=\"vm.hazReserva(fly)\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\" ng-click=\"vm.hazReserva(fly)\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                    <div ng-repeat=\"fly in vm.fd.recorridos.recorrido3  track by fly.id\" ng-click=\"vm.hazReserva(fly)\"\n" +
    "                         class=\"col-hora\">\n" +
    "                        <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                        <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "                        <!--<span class=\"hora-jugador\" ver-fly\n" +
    "                              greenfee=\"1\"\n" +
    "                              bloqueo=\"fly.bloqueo\"\n" +
    "                              jugadores=\"fly.jugadores\"\n" +
    "                              jugadorestemp=\"fly.jugadorestemp\"\n" +
    "                              jugadoresdef=\"fly.jugadoresdef\"\n" +
    "                              jugadoreslibres=\"fly.jugadoreslibres\"></span>-->\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"checkout-reserva\">\n" +
    "            <div class=\"detalle-reserva\" >\n" +
    "                <div class=\"cabecera\">\n" +
    "                    <h2>{{ 'DETALLE_RESERVA' | translate }}</h2>\n" +
    "                </div>\n" +
    "                <div ng-repeat=\"reserva in vm.fd.reserva.presupuesto\" class=\"linea-reserva\" >\n" +
    "                    <div class=\"datos-linea-reserva\" ng-click=\"vm.verSalidasFecha(reserva)\">\n" +
    "                        <div class=\"fecha-hora\">\n" +
    "                            <span ng-bind=\"reserva.fecha\" class=\"fecha\"></span>\n" +
    "                            <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"concepto\">\n" +
    "                            <div class=\"greenfees\">\n" +
    "                                <span>GF/s: </span>\n" +
    "                                <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                                <span> Buggies: </span>\n" +
    "                                <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                            </div>\n" +
    "                            <div class=\"total\">\n" +
    "                                <span> Total: </span>\n" +
    "                                <span ng-bind=\"reserva.total | currency : '€' : 2\"></span>\n" +
    "\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"acciones\">\n" +
    "                        <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                            ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                        <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                           ng-click=\"vm.borrarHoraReserva(reserva)\"><span aria-hidden=\"true\" class=\"icon-close\"></span></a>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"resumen-totales\" ng-show=\"vm.fd.reserva.total > 0\">\n" +
    "                <div class=\"total-reserva\">\n" +
    "                    <span ng-bind=\"vm.fd.reserva.total | currency : '€' : 2\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"\">\n" +
    "                    <a ng-click=\"vm.confirmaReserva()\" class=\"btn btn-block boton-ir-a-checkout\">Reservar</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "</div>\n" +
    "<checkout-reserva></checkout-reserva>\n" +
    "\n"
  );


  $templateCache.put('views/admin/reservas-lista.html',
    "<div class=\"lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Reservas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form name=\"formDatos\" class=\"form-inline\">\n" +
    "                <div class=\"form-group form-group--fecha\" ng-class=\"{'has-error': formDatos.vm.fd.fechaIni.$invalid}\">\n" +
    "                    <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicial</label>\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaIni\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <div class=\"form-group form-group--fecha\" ng-class=\"{'has-error': datepickerForm.date.$invalid}\">\n" +
    "                    <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>  Fecha Final</label>\n" +
    "                    <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaFin\" data-autoclose=\"1\" placeholder=\"Fecha Final\" bs-datepicker>\n" +
    "                </div>\n" +
    "                <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Reservas</a>\n" +
    "                <a class=\"btn btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Reserva</a>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <hr>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-reserva></registro-reserva>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-reservas\">\n" +
    "                <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                    <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                    <td class=\"idreserva\" data-title=\"Id.Reserva\" data-field=\"idreserva\" data-filter=\"idreserva\">\n" +
    "                        <span>{{item.idreserva}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha\" data-field=\"fecha_d\" data-filter=\"fecha_d\" data-sort=\"fechareserva\">\n" +
    "                        <span>{{item.fecha_d}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"email\" data-title=\"email\" data-field=\"email\" data-filter=\"email\">\n" +
    "                        <span>{{item.email}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"nombre\" data-title=\"nombre\" data-field=\"nombre\" data-filter=\"nombre\">\n" +
    "                        <span>{{item.nombre}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"estadopago\" data-title=\"Estado pago\" data-field=\"estadopago\" data-filter=\"estadopago\">\n" +
    "                        <span>{{item.estadopago}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"codigotransaccion\" data-title=\"Código Transacción\" data-field=\"codigotransaccion\" data-filter=\"codigotransaccion\">\n" +
    "                        <span>{{item.codigotransaccion}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"total\" data-title=\"Total\" data-field=\"total\" data-filter=\"total\">\n" +
    "                        <span>{{item.total  | currency : '€' : 2 }}</span>\n" +
    "                    </td>\n" +
    "                    <!--Lo ponemos como estandard los nombres-->\n" +
    "                    <td data-title=\"Acciones\"  class=\"ver-registro\">\n" +
    "                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                    </td>\n" +
    "                </tr>\n" +
    "            </table>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/reservas-registro-popup.html',
    "<div class=\"lightbox reserva-popup-admin\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content admin-reserva-popup contenido-lightbox\">\n" +
    "\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-4 col-sm-4\">\n" +
    "                <h2>Reserva</h2>\n" +
    "            </div>\n" +
    "            <div class=\"col-lg-8 col-sm-8\">\n" +
    "                <div class=\"botones-cabecera\">\n" +
    "                    <a class=\"btn btn-default\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReservaSinPrecios()\">\n" +
    "                        <i class=\"fa fa-print\"></i> Imprimir Sin Precios\n" +
    "                    </a>\n" +
    "\n" +
    "                    <a class=\"btn btn-default\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReserva()\"><i class=\"fa fa-print\"></i> Imprimir</a>\n" +
    "\n" +
    "                    <a class=\"btn btn-default boton-grabar-reserva \" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.grabarReserva()\"><i class=\"fa fa-check\"></i> Aceptar</a>\n" +
    "                    <a class=\"btn btn-default boton-cancelar-reserva\"\n" +
    "                       ng-click=\"vm.cancelar()\" ng-disabled=\"vm.fd.modsalida\"><i class=\"fa fa-times\"></i> Cancelar</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"col-lg-12 col-sm-12\">\n" +
    "                <h4>Reserva: <span ng-bind=\"vm.fd.reserva.idreserva\"></span> <span ng-bind=\"vm.fd.reserva.nombre\"></span></h4>\n" +
    "\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <registro-detalle-reserva></registro-detalle-reserva>\n" +
    "        <uib-tabset>\n" +
    "            <uib-tab>\n" +
    "                <tab-heading>\n" +
    "                    Datos cliente\n" +
    "                </tab-heading>\n" +
    "                <div class=\"row detalle-reserva\">\n" +
    "                    <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "                        <div class=\"datos-cliente\">\n" +
    "                            <form class=\"\" name=\"formDatos\" role=\"form\">\n" +
    "                                <div class=\"cabecera\">\n" +
    "                                    <h2>Datos Reserva</h2>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Nombre\"\n" +
    "                                           data-validation=\"required\" required\n" +
    "                                           id=\"userName\" name=\"name\" ng-model=\"vm.fd.reserva.nombre\"/>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"email\" class=\"form-control\" data-validation=\"email\" placeholder=\"EMAIL\"\n" +
    "                                           id=\"userEmail\" name=\"email\" ng-model=\"vm.fd.reserva.email\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Tfno.\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"tfno\" name=\"tfno\" ng-model=\"vm.fd.reserva.tfno\">\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"País\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"pais\" name=\"pais\" ng-model=\"vm.fd.reserva.pais\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group forma-de-pago\">\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"TC\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">Tarjeta\n" +
    "                                        Crédito\n" +
    "                                    </label>\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"OF\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">En\n" +
    "                                        oficinas\n" +
    "                                        del club\n" +
    "                                    </label>\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"PA\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">Paypal\n" +
    "                                    </label>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Estado Pago\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"estadopago\" name=\"estadopago\" ng-model=\"vm.fd.reserva.estadopago\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Código transacción\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"codigotransaccion\" name=\"codigotransaccion\" ng-model=\"vm.fd.reserva.codigotransaccion\">\n" +
    "                                </div>\n" +
    "                                <div class=\"checkbox\">\n" +
    "                                    <label>\n" +
    "                                        <input type=\"checkbox\" ng-true-value=\"1\"\n" +
    "                                               ng-model=\"vm.fd.reserva.aceptacondiciones\"\n" +
    "                                               ng-checked=\"vm.fd.reserva.aceptacondiciones == 1 \">\n" +
    "                                        Acepta condiciones legales\n" +
    "                                    </label>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "                        <div class=\"seccion\">\n" +
    "                            <div class=\"seccion__cabecera\">\n" +
    "                                <div class=\"seccion__cabecera-titulo\">\n" +
    "                                    <h4>Cliente Facturación</h4>\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__cabecera-botones\">\n" +
    "                                    <button class=\"btn btn-sucess documento__boton-linea-varios\"\n" +
    "                                            ng-show=\"vm.fd.reserva.albaran_id == 0\" ng-click=\"vm.buscarClientes()\">\n" +
    "                                        <i class=\"icon-file\"></i>Buscar Cliente</button>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                            <div class=\"seccion_contenido\">\n" +
    "                                <div class=\"contenedor__campos\">\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Razón Social</label>\n" +
    "                                        <span>{{ vm.cliente.razon_social }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Dirección</label>\n" +
    "                                        <span>{{ vm.cliente.direccion }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Población</label>\n" +
    "                                        <span>{{ vm.cliente.poblacion }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Teléfono</label>\n" +
    "                                        <span>{{ vm.cliente.telefono }}</span>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Referencia cliente\"\n" +
    "                                           ng-model=\"vm.fd.reserva.referencia_cliente\">\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <div class=\"botones-facturacion\" >\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"seccion\">\n" +
    "                            <div class=\"seccion__cabecera\">\n" +
    "                                <div class=\"seccion__cabecera-titulo\">\n" +
    "                                    <h4>Albarán reserva</h4>\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__cabecera-botones\" ng-show=\"vm.fd.reserva.albaran_id == 0\">\n" +
    "                                    <button ng-show=\"vm.cliente.id >0 && vm.fd.reserva.id > 0 && vm.fd.reserva.total > 0\" ng-click=\"vm.generaAlbaran()\" class=\"btn documento__boton-linea-varios\">Generar Albaran</button>\n" +
    "                                    <button ng-show=\"vm.cliente.id >0 && vm.fd.reserva.id > 0 && vm.fd.reserva.total > 0\" ng-click=\"vm.generaAlbaranesReserva()\" class=\"btn documento__boton-linea-varios\">Generar Albaran x Día</button>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"seccion_contenido\" ng-show=\"vm.fd.reserva.albaran_id > 0\">\n" +
    "                                <div class=\"tabla__datos\" >\n" +
    "                                    <div class=\"tabla__titulos\">\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Doc</span>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Fecha</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Total</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Pendiente</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"doc in vm.albaranes\" class=\"tabla__registro\">\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{doc.doc}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{doc.fecha}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{doc.total}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{doc.pendiente}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna acciones\">\n" +
    "                                                <button ng-click=\"vm.verCobro(cobro)\" class=\"btn tabla__datos-boton-fila\"><i\n" +
    "                                                        class=\"fa fa-pencil\"></i></button>\n" +
    "                                            </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </uib-tab>\n" +
    "            <uib-tab>\n" +
    "                <tab-heading>\n" +
    "                    Datos reserva\n" +
    "                </tab-heading>\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-6 col-md-6 col-sd-6\">\n" +
    "                        <div class=\"cabecera-reservas-admin\">\n" +
    "                                <div class=\"datos-reserva\">\n" +
    "                                    <div class=\"row\">\n" +
    "                                        <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "                                            <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "\n" +
    "                                                <div class=\"form-group\" >\n" +
    "                                                    <label>Fecha</label>\n" +
    "                                                        <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"form-group boton-disponibilidad\">\n" +
    "                                                    <a class=\"btn  boton-ver-disponiblidad\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search\"></i></a>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"form-group jugadores\" style=\"width:100px\">\n" +
    "                                                    <label>Jugadores</label>\n" +
    "                                                    <input type=\"number\" size=\"5\" min=\"1\" class=\"form-control\"  ng-model=\"vm.fd.numJugadores\">\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"form-group buggies\" style=\"width:100px\">\n" +
    "                                                    <label>Buggies</label>\n" +
    "                                                    <input type=\"number\" size=\"5\" min=\"0\" class=\"form-control\"  ng-model=\"vm.fd.buggies\">\n" +
    "                                                </div>\n" +
    "\n" +
    "\n" +
    "                                            </form>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"reservas-admin\" >\n" +
    "                            <div class=\"container\">\n" +
    "\n" +
    "                                <div class=\"tee-time\" auto-height additional-height=\"275\">\n" +
    "                                    <div class=\"row\">\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido A</h3>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido B</h3>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido C</h3>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"row\" >\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido3  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"col-lg-6 col-md-6 col-sd-6 detalle-reserva-admin \" >\n" +
    "\n" +
    "                        <div class=\"modificar-salida\" ng-show=\"vm.fd.modsalida\">\n" +
    "                            <h4>Modificar Salida</h4>\n" +
    "                            <p>Seleccione fecha y hora en el cuadro horario.</p>\n" +
    "\n" +
    "                            <form class=\"form-horizontal formulario-modificar-salida\" name=\"vm.form-modsalida\" role=\"form\">\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <input type=\"text\" size=\"10\" class=\"form-control\" readonly ng-model=\"vm.sd.fecha\" placeholder=\"Fecha Inicio\">\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                                    <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora</label>\n" +
    "                                    <input type=\"text\" class=\"form-control\" readonly ng-model=\"vm.sd.hora\">\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group jugadores\">\n" +
    "                                    <label>Jugadores</label>\n" +
    "                                    <input type=\"number\" size=\"5\" min=\"1\" readonly class=\"form-control\"  ng-model=\"vm.sd.jugadores\">\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group buggies\">\n" +
    "                                    <label>Buggies</label>\n" +
    "                                    <input type=\"number\" size=\"5\" min=\"0\" readonly class=\"form-control\"  ng-model=\"vm.sd.buggies\">\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Total</label>\n" +
    "                                    <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.sd.total\" name=\"length\" smart-float\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label>Notas</label>\n" +
    "                                    <input type=\"text\"  class=\"form-control\"  ng-model=\"vm.sd.notas\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <button class=\"btn\" ng-click=\"vm.grabarSalida()\">Grabar Salida</button>\n" +
    "                                    <button class=\"btn btn-cancelar\" ng-click=\"vm.cancelarModSalida()\">Cancelar</button>\n" +
    "                                </div>\n" +
    "\n" +
    "                             </form>\n" +
    "                        </div>\n" +
    "\n" +
    "                            <div class=\"detalle-reserva\" ng-show=\"!vm.fd.modsalida\">\n" +
    "\n" +
    "                                <div style=\"overflow:auto\" auto-height additional-height=\"250\">\n" +
    "                                    <div class=\"cabecera\">\n" +
    "                                        <h2>Horas ya reservadas</h2>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"reserva in vm.fd.dreservas\" class=\"linea-reserva\">\n" +
    "                                        <div class=\"datos-linea-reserva\">\n" +
    "                                            <div class=\"fecha-hora\">\n" +
    "                                                <span ng-bind=\"(reserva.fecha | evofecha)\" class=\"fecha\"></span>\n" +
    "                                                <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"concepto\">\n" +
    "                                                <div class=\"greenfees\">\n" +
    "                                                    <span>GF/s: </span>\n" +
    "                                                    <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                                                    <span> Buggies: </span>\n" +
    "                                                    <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"total\">\n" +
    "                                                    <span> Total: </span>\n" +
    "                                                    <span ng-bind=\"reserva.total\"></span>\n" +
    "                                                    <span> €</span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"acciones\">\n" +
    "                                            <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                                                ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                                            <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                                               ng-click=\"vm.borrarHoraReservaDef(reserva)\"><i class=\"fa fa-trash-o\"></i></a>\n" +
    "                                            <a class=\"btn boton-accion-min\" ng-click=\"vm.verSalidasFecha(reserva)\"><i class=\"fa fa-location-arrow\"></i></a>\n" +
    "                                            <a class=\"btn boton-accion-min\" ng-click=\"vm.modificarSalida(reserva)\"><i class=\"fa fa-pencil\"></i></a>\n" +
    "\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                    <div class=\"cabecera\">\n" +
    "                                        <h2>Reservas nuevas</h2>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"reserva in vm.fd.presupuesto\" class=\"linea-reserva\">\n" +
    "                                        <div class=\"datos-linea-reserva\" ng-click=\"vm.verSalidasFecha(reserva)\">\n" +
    "                                            <div class=\"fecha-hora\">\n" +
    "                                                <span ng-bind=\"reserva.fecha\" class=\"fecha\"></span>\n" +
    "                                                <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"concepto\">\n" +
    "                                                <div class=\"greenfees\">\n" +
    "                                                    <span>GF/s: </span>\n" +
    "                                                    <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                                                    <span> Buggies: </span>\n" +
    "                                                    <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"total\">\n" +
    "                                                    <span> Total: </span>\n" +
    "                                                    <span ng-bind=\"reserva.total\"></span>\n" +
    "                                                    <span> €</span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"acciones\" ng-show=\"!vm.fd.modsalida\">\n" +
    "                                            <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                                                ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                                            <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                                               ng-click=\"vm.borrarHoraReserva(reserva)\"><i class=\"fa fa-trash-o\"></i></a>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                        <div class=\"pie-reservas-admin\">\n" +
    "                            <a class=\"btn btn-default boton-grabar-reserva \" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.actualizarReserva()\"><i class=\"fa fa-refresh\"></i> Actualizar Reserva</a>\n" +
    "                            <div class=\"resumen-totales\" ng-show=\"vm.fd.reserva.total > 0\">\n" +
    "\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total:</span><span class=\"total\" ng-bind=\"vm.fd.reserva.totalbruto\"></span><span> €</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total Dto:</span><span class=\"total\"  ng-bind=\"vm.fd.reserva.totaldto\"></span><span> €</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total a pagar:</span><span class=\"total\"  ng-bind=\"vm.fd.reserva.total\"></span><span> €</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"form-group\">\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "            </uib-tab>\n" +
    "        </uib-tabset>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<style>\n" +
    "\n" +
    "\n" +
    "</style>\n" +
    "<busca-clientes></busca-clientes>"
  );


  $templateCache.put('views/admin/reservas-registro.html',
    "<div class=\" reserva-popup-admin\" ng-class=\"{lightbox : vm.esPopUp}\" ng-show=\"vm.abreVentana\">\n" +
    "    <div ng-class=\"{mask : vm.esPopUp}\"></div>\n" +
    "    <div class=\"content admin-reserva-popup contenido-lightbox\">\n" +
    "\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-4 col-sm-4\">\n" +
    "                <h2>Reserva</h2>\n" +
    "            </div>\n" +
    "            <div class=\"col-lg-8 col-sm-8\">\n" +
    "                <div class=\"botones-cabecera\">\n" +
    "                    <a class=\"btn btn-default\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReservaSinPrecios()\">\n" +
    "                        <i class=\"fa fa-print\"></i> Imprimir Sin Precios\n" +
    "                    </a>\n" +
    "                    <a class=\"btn btn-default\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReserva()\"><i class=\"fa fa-print\"></i> Imprimir</a>\n" +
    "                    <a class=\"btn btn-default boton-grabar-reserva \" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.grabarReserva()\"><i class=\"fa fa-check\"></i> Aceptar</a>\n" +
    "                    <a class=\"btn btn-default boton-cancelar-reserva\"\n" +
    "                       ng-click=\"vm.cancelar()\" ng-disabled=\"vm.fd.modsalida\"><i class=\"fa fa-times\"></i> Cancelar</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"row\">\n" +
    "            <div class=\"col-lg-12 col-sm-12\">\n" +
    "                <h4>Reserva: <span ng-bind=\"vm.fd.reserva.idreserva\"></span> <span ng-bind=\"vm.fd.reserva.nombre\"></span></h4>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <registro-detalle-reserva></registro-detalle-reserva>\n" +
    "        <uib-tabset>\n" +
    "            <uib-tab heading=\"Datos Cliente\">\n" +
    "                <div class=\"row detalle-reserva\">\n" +
    "                    <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "                        <div class=\"datos-cliente\">\n" +
    "                            <form class=\"\" name=\"formDatos\" role=\"form\">\n" +
    "                                <div class=\"cabecera\">\n" +
    "                                    <h2>Datos Reserva</h2>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Nombre\"\n" +
    "                                           data-validation=\"required\" required\n" +
    "                                           id=\"userName\" name=\"name\" ng-model=\"vm.fd.reserva.nombre\"/>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"email\" class=\"form-control\" data-validation=\"email\" placeholder=\"EMAIL\"\n" +
    "                                           id=\"userEmail\" name=\"email\" ng-model=\"vm.fd.reserva.email\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Tfno.\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"tfno\" name=\"tfno\" ng-model=\"vm.fd.reserva.tfno\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"País\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"pais\" name=\"pais\" ng-model=\"vm.fd.reserva.pais\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group forma-de-pago\">\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"TC\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">Tarjeta\n" +
    "                                        Crédito\n" +
    "                                    </label>\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"OF\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">En\n" +
    "                                        oficinas\n" +
    "                                        del club\n" +
    "                                    </label>\n" +
    "                                    <label class=\"radio\">\n" +
    "                                        <input type=\"radio\" name=\"formapago\" value=\"PA\"\n" +
    "                                               ng-model=\"vm.fd.reserva.formapago\">Paypal\n" +
    "                                    </label>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Estado Pago\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"estadopago\" name=\"estadopago\" ng-model=\"vm.fd.reserva.estadopago\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Código transacción\"\n" +
    "                                           data-validation=\"required\"\n" +
    "                                           id=\"codigotransaccion\" name=\"codigotransaccion\" ng-model=\"vm.fd.reserva.codigotransaccion\">\n" +
    "                                </div>\n" +
    "                                <div class=\"checkbox\">\n" +
    "                                    <label>\n" +
    "                                        <input type=\"checkbox\" ng-true-value=\"1\"\n" +
    "                                               ng-model=\"vm.fd.reserva.aceptacondiciones\"\n" +
    "                                               ng-checked=\"vm.fd.reserva.aceptacondiciones == 1 \">\n" +
    "                                        Acepta condiciones legales\n" +
    "                                    </label>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "                        <div class=\"seccion\">\n" +
    "                            <div class=\"seccion__cabecera\">\n" +
    "                                <div class=\"seccion__cabecera-titulo\">\n" +
    "                                    <h4>Cliente Facturación</h4>\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__cabecera-botones\">\n" +
    "                                    <button class=\"btn btn-sucess documento__boton-linea-varios\"\n" +
    "                                            ng-show=\"vm.fd.reserva.albaran_id == 0\" ng-click=\"vm.buscarClientes()\">\n" +
    "                                        <i class=\"icon-file\"></i>Buscar Cliente</button>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                            <div class=\"seccion_contenido\">\n" +
    "                                <div class=\"contenedor__campos\">\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Razón Social</label>\n" +
    "                                        <span>{{ vm.cliente.razon_social }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Dirección</label>\n" +
    "                                        <span>{{ vm.cliente.direccion }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Población</label>\n" +
    "                                        <span>{{ vm.cliente.poblacion }}</span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Teléfono</label>\n" +
    "                                        <span>{{ vm.cliente.telefono }}</span>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input type=\"text\" class=\"form-control\" placeholder=\"Referencia cliente\"\n" +
    "                                           ng-model=\"vm.fd.reserva.referencia_cliente\">\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <div class=\"botones-facturacion\" >\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"seccion\">\n" +
    "                            <div class=\"seccion__cabecera\">\n" +
    "                                <div class=\"seccion__cabecera-titulo\">\n" +
    "                                    <h4>Albarán reserva</h4>\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__cabecera-botones\" ng-show=\"vm.fd.reserva.albaran_id == 0\">\n" +
    "                                    <button ng-show=\"vm.cliente.id >0 && vm.fd.reserva.id > 0 && vm.fd.reserva.total > 0\" ng-click=\"vm.confirmaGeneraAlbaran()\" class=\"btn documento__boton-linea-varios\">Generar Albaran</button>\n" +
    "                                    <button ng-show=\"vm.cliente.id >0 && vm.fd.reserva.id > 0 && vm.fd.reserva.total > 0\" ng-click=\"vm.confirmaGeneraAlbaranes()\" class=\"btn documento__boton-linea-varios\">Generar Albaran x Día</button>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"seccion_contenido\" ng-show=\"vm.albaranes.length > 0\">\n" +
    "                                <div class=\"tabla__datos\" >\n" +
    "                                    <div class=\"tabla__titulos\">\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Doc</span>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Fecha</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Total</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "                                            <span>Pendiente</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna\">\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"alb in vm.albaranes\" class=\"tabla__registro\">\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{alb.doc}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{alb.fecha}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{alb.total | currency}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna \">\n" +
    "                                                <span>{{alb.pendiente | currency}}</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna acciones\">\n" +
    "                                                <button ng-click=\"vm.verAlbaran(alb)\" class=\"btn tabla__datos-boton-fila\"><i\n" +
    "                                                        class=\"fa fa-pencil\"></i></button>\n" +
    "                                            </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </uib-tab>\n" +
    "            <uib-tab heading=\"Datos reserva\">\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-6 col-md-6 col-sd-6\">\n" +
    "                        <div class=\"cabecera-reservas-admin\">\n" +
    "                                <div class=\"datos-reserva\">\n" +
    "                                    <div class=\"row\">\n" +
    "                                        <div class=\"input-datos-reserva col-sm-12 col-lg-12 col-md-12\">\n" +
    "                                            <form class=\"form-horizontal formulario-fecha-reserva\" role=\"form\">\n" +
    "\n" +
    "                                                <div class=\"form-group\" >\n" +
    "                                                    <label>Fecha</label>\n" +
    "                                                        <input type=\"text\" size=\"10\" class=\"form-control\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"form-group boton-disponibilidad\">\n" +
    "                                                    <a class=\"btn  boton-ver-disponiblidad\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search\"></i></a>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"form-group jugadores\" style=\"width:100px\">\n" +
    "                                                    <label>Jugadores</label>\n" +
    "                                                    <input type=\"number\" size=\"5\" min=\"1\" class=\"form-control\"  ng-model=\"vm.fd.numJugadores\">\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"form-group buggies\" style=\"width:100px\">\n" +
    "                                                    <label>Buggies</label>\n" +
    "                                                    <input type=\"number\" size=\"5\" min=\"0\" class=\"form-control\"  ng-model=\"vm.fd.buggies\">\n" +
    "                                                </div>\n" +
    "\n" +
    "\n" +
    "                                            </form>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"reservas-admin\" >\n" +
    "                            <div class=\"container\">\n" +
    "\n" +
    "                                <div class=\"tee-time\" auto-height additional-height=\"275\">\n" +
    "                                    <div class=\"row\">\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido A</h3>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido B</h3>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"nombre-recorrido col-lg-4 col-md-4 col-sm-4 col-xs-4\">\n" +
    "                                            <h3>Recorrido C</h3>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"row\" >\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"col-lg-4 col-sm-4 col-md-4 col-xs-4 recorrido\">\n" +
    "                                            <div ng-repeat=\"fly in vm.fd.recorridos.recorrido3  track by fly.id\"\n" +
    "                                                 ng-click=\"vm.hazReserva(fly)\"\n" +
    "                                                 class=\"col-hora\">\n" +
    "                                                <span ng-bind=\"::fly.hora\" class=\"Hora\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-ocupado\"\n" +
    "                              ng-show=\"fly.jugadoresdef > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador-temp\"\n" +
    "                              ng-show=\"fly.jugadorestemp > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '0' && fly.jugadores < 5 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '1' && fly.jugadores < 6 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '2' && fly.jugadores < 7 && fly.bloqueo < 1\"></span>\n" +
    "                        <span class=\"hora-jugador jugador\"\n" +
    "                              ng-show=\"fly.jugadoreslibres > '3' && fly.jugadores < 8 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 4 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 5 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 6 && fly.bloqueo < 1\"></span>\n" +
    "                                        <span class=\"hora-jugador jugador-error\"\n" +
    "                                              ng-show=\"fly.jugadores > 7 && fly.bloqueo < 1\"></span>\n" +
    "\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "                                                <span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo > 0\"></span>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"col-lg-6 col-md-6 col-sd-6 detalle-reserva-admin \" >\n" +
    "\n" +
    "                        <div class=\"modificar-salida\" ng-show=\"vm.fd.modsalida\">\n" +
    "                            <h4>Modificar Salida</h4>\n" +
    "                            <p>Seleccione fecha y hora en el cuadro horario.</p>\n" +
    "\n" +
    "                            <form class=\"form-horizontal formulario-modificar-salida\" name=\"vm.form-modsalida\" role=\"form\">\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <input type=\"text\" size=\"10\" class=\"form-control\" readonly ng-model=\"vm.sd.fecha\" placeholder=\"Fecha Inicio\">\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                                    <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora</label>\n" +
    "                                    <input type=\"text\" class=\"form-control\" readonly ng-model=\"vm.sd.hora\">\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group jugadores\">\n" +
    "                                    <label>Jugadores</label>\n" +
    "                                    <input type=\"number\" size=\"5\" min=\"1\" readonly class=\"form-control\"  ng-model=\"vm.sd.jugadores\">\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group buggies\">\n" +
    "                                    <label>Buggies</label>\n" +
    "                                    <input type=\"number\" size=\"5\" min=\"0\" readonly class=\"form-control\"  ng-model=\"vm.sd.buggies\">\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Total</label>\n" +
    "                                    <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.sd.total\" name=\"length\" smart-float\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\" />\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label>Notas</label>\n" +
    "                                    <input type=\"text\"  class=\"form-control\"  ng-model=\"vm.sd.notas\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <button class=\"btn\" ng-click=\"vm.grabarSalida()\">Grabar Salida</button>\n" +
    "                                    <button class=\"btn btn-cancelar\" ng-click=\"vm.cancelarModSalida()\">Cancelar</button>\n" +
    "                                </div>\n" +
    "\n" +
    "                             </form>\n" +
    "                        </div>\n" +
    "\n" +
    "                            <div class=\"detalle-reserva\" ng-show=\"!vm.fd.modsalida\">\n" +
    "\n" +
    "                                <div style=\"overflow:auto\" auto-height additional-height=\"250\">\n" +
    "                                    <div class=\"cabecera\">\n" +
    "                                        <h2>Horas ya reservadas</h2>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"reserva in vm.fd.dreservas\" class=\"linea-reserva\">\n" +
    "                                        <div class=\"datos-linea-reserva\">\n" +
    "                                            <div class=\"fecha-hora\">\n" +
    "                                                <span ng-bind=\"(reserva.fecha | evofecha)\" class=\"fecha\"></span>\n" +
    "                                                <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"concepto\">\n" +
    "                                                <div class=\"greenfees\">\n" +
    "                                                    <span>GF/s: </span>\n" +
    "                                                    <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                                                    <span> Buggies: </span>\n" +
    "                                                    <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"total\">\n" +
    "                                                    <span> Total: </span>\n" +
    "                                                    <span ng-bind=\"reserva.total  | currency : '€' : 2\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"acciones\">\n" +
    "                                            <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                                                ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                                            <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                                               ng-click=\"vm.borrarHoraReservaDef(reserva)\"><i class=\"fa fa-trash-o\"></i></a>\n" +
    "                                            <a class=\"btn boton-accion-min\" ng-click=\"vm.verSalidasFecha(reserva)\"><i class=\"fa fa-location-arrow\"></i></a>\n" +
    "                                            <a class=\"btn boton-accion-min\" ng-click=\"vm.modificarSalida(reserva)\"><i class=\"fa fa-pencil\"></i></a>\n" +
    "\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                    <div class=\"cabecera\">\n" +
    "                                        <h2>Reservas nuevas</h2>\n" +
    "                                    </div>\n" +
    "                                    <div ng-repeat=\"reserva in vm.fd.presupuesto\" class=\"linea-reserva\">\n" +
    "                                        <div class=\"datos-linea-reserva\" ng-click=\"vm.verSalidasFecha(reserva)\">\n" +
    "                                            <div class=\"fecha-hora\">\n" +
    "                                                <span ng-bind=\"reserva.fecha\" class=\"fecha\"></span>\n" +
    "                                                <span ng-bind=\"reserva.hora\" class=\"hora\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"concepto\">\n" +
    "                                                <div class=\"greenfees\">\n" +
    "                                                    <span>GF/s: </span>\n" +
    "                                                    <span ng-bind=\"reserva.jugadores\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"buggies\" ng-show=\"reserva.buggies > 0\">\n" +
    "                                                    <span> Buggies: </span>\n" +
    "                                                    <span ng-bind=\"reserva.buggies\" class=\"hora\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"total\">\n" +
    "                                                    <span> Total: </span>\n" +
    "                                                    <span ng-bind=\"reserva.total  | currency : '€' : 2 \"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"acciones\" ng-show=\"!vm.fd.modsalida\">\n" +
    "                                            <!-- <a class=\"btn btn-default boton-detalle boton-ir-a-horareserva\"\n" +
    "                                                ng-click=\"vm.verSalidasFecha(reserva)\"><span aria-hidden=\"true\" class=\"icon-eye\"></span></a>-->\n" +
    "                                            <a class=\"btn  boton-detalle boton-borrar-hora\"\n" +
    "                                               ng-click=\"vm.borrarHoraReserva(reserva)\"><i class=\"fa fa-trash-o\"></i></a>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                        <div class=\"pie-reservas-admin\">\n" +
    "                            <a class=\"btn btn-default boton-grabar-reserva \" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.actualizarReserva()\"><i class=\"fa fa-refresh\"></i> Actualizar Reserva</a>\n" +
    "                            <div class=\"resumen-totales\" ng-show=\"vm.fd.reserva.total > 0\">\n" +
    "\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total:</span><span class=\"total\" ng-bind=\"vm.fd.reserva.totalbruto  | currency : '€' : 2\"></span>\n" +
    "                                </div>\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total Dto:</span><span class=\"total\"  ng-bind=\"vm.fd.reserva.totaldto | currency : '€' : 2\"></span>\n" +
    "                                </div>\n" +
    "                                <div class=\"total-reserva\">\n" +
    "                                    <span class=\"titulo-total\">Total a pagar:</span><span class=\"total\"  ng-bind=\"vm.fd.reserva.total  | currency : '€' : 2\"></span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"form-group\">\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "            </uib-tab>\n" +
    "        </uib-tabset>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<style>\n" +
    "\n" +
    "\n" +
    "</style>\n" +
    "<busca-clientes></busca-clientes>"
  );


  $templateCache.put('views/admin/reservas.html',
    "<evoadmin-reservas></evoadmin-reservas>\n"
  );


  $templateCache.put('views/admin/searchandselect.html',
    "<div class=\"searchandselect\" ng-class=\"{ active: showList }\">\n" +
    "    <div class=\"header\" >\n" +
    "        <div class=\"header-result\" ng-click=\"show()\" style=\"float: left;\">\n" +
    "            <span class=\"resultado\">{{selecteditem[key]}}</span>\n" +
    "        </div>\n" +
    "        <div class=\"header-clear\" style=\"float: right;\">\n" +
    "            <span class=\"pull-right glyphicon\" ng-class=\"{true:'glyphicon-chevron-up', false:'glyphicon-chevron-down'}[showList]\" ng-click=\"show()\"></span>\n" +
    "            <span class=\"glyphicon glyphicon-remove pull-right\" ng-click=\"borraItemLista()\"></span>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"contenedor\">\n" +
    "        <div class=\"search\">\n" +
    "            <div class=\"input-group\">\n" +
    "                <input type=\"text\" ng-model=\"searchKey\" class=\"form-control\" placeholder=\"Buscar...\"   ng-change=\"textChanged(searchKey)\">\n" +
    "                <button class=\"btn btn-default\" type=\"button\"><i class=\"glyphicon glyphicon-search\"></i></button>\n" +
    "            </div><!-- /input-group -->\n" +
    "\n" +
    "        </div>\n" +
    "        <ul class=\"dropdown\">\n" +
    "            <li ng-repeat=\"item in values track by item.id\" ng-click=\"selectItem(item)\" ng-if=\"values.length > 0\">\n" +
    "                <span>{{::item[key]}}</span>\n" +
    "                <i class=\"glyphicon glyphicon-ok\" ng-show=\"isActive(item)\"></i>\n" +
    "            </li>\n" +
    "            <li ng-if=\"values.length == 0\">\n" +
    "                No hay datos\n" +
    "            </li>\n" +
    "        </ul>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas-lista.html',
    "<div class=\"lista-tarifas lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Tarifas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <form class=\"form-inline\">\n" +
    "                <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Tarifas</a>\n" +
    "                <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Tarifa</a>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <hr>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <registro-tarifa></registro-tarifa>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <table ez-table=\"vm.fd.datos\" pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-vales\">\n" +
    "                <tr ng-repeat=\"item in items\" class=\"registros\">\n" +
    "                    <td class=\"check-box\"><input type=\"checkbox\" ng-model=\"user.selected\"/></td>\n" +
    "                    <td class=\"tarifa\" data-title=\"Tarifa\" data-field=\"tarifa\" data-filter=\"tarifa\">\n" +
    "                        <span>{{item.tarifa}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha Inicio\" data-field=\"fecha_i\" data-filter=\"fecha_i\" data-sort=\"fechaini\">\n" +
    "                        <span>{{item.fecha_i}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Fecha Fin\" data-field=\"fecha_f\" data-filter=\"fecha_f\" data-sort=\"fechafin\">\n" +
    "                        <span>{{item.fecha_f}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Inicio\" data-field=\"horaini\">\n" +
    "                        <span>{{item.horaini}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"fecha\" data-title=\"Hora Fin\" data-field=\"horafin\" data-filter=\"horafin\">\n" +
    "                        <span>{{item.horafin}}</span>\n" +
    "                    </td>\n" +
    "                    <td class=\"preciogf\" data-title=\"Precio GF.\" data-field=\"preciogf\" data-filter=\"preciogf\">\n" +
    "                        <span>{{item.preciogf  | currency}}</span>\n" +
    "                    </td>\n" +
    "\n" +
    "                    <!--Lo ponemos como estandard los nombres-->\n" +
    "                    <td data-title=\"Acciones\"  class=\"ver-registro\">\n" +
    "                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                    </td>\n" +
    "                </tr>\n" +
    "            </table>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas-productos-lista.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .tabla__datos-registro {\n" +
    "      padding: 8px 16px;\n" +
    "      height: auto ;\n" +
    "  }\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  \n" +
    "  .seccion__cabecera {\n" +
    "      padding: 5px 0;\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f9fb ;\n" +
    "  }\n" +
    "  \n" +
    "  .seccion__subcabecera  {\n" +
    "      padding: 0 ;\n" +
    "      margin-bottom: 10px;\n" +
    "  }\n" +
    "  .seccion__subcabecera h2 {\n" +
    "      font-family: Lato;\n" +
    "      font-weight: 300;\n" +
    "      color: #E91E63;\n" +
    "      font-size:1.5em;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"lista-productos lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Tarifas Productos</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Tarifas Productos</a><a class=\"btn btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Tarifa Producto</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-tarifas-productos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-productos\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                <div class=\"tabla__columna producto\">\n" +
    "                  <label>Tarifa</label><span>{{item.codigo}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna descripcion\">\n" +
    "                  <label>Descripción</label><span>{{item.descripcion}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna subfamilia_desc\">\n" +
    "                  <label>Fecha Inicio</label><span>{{item.fecha_i}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna numero\">\n" +
    "                  <label>Fecha Fin</label><span>{{item.fecha_f}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\">\n" +
    "                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__ficha\" ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2><span ng-bind=\"item.descripcion\"></span></h2>\n" +
    "                  </div>\n" +
    "                  <div class=\"seccion__cabecera-botones\">\n" +
    "                    <button class=\"btn boton__accion-peque\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"campo__ro-horizonal\">\n" +
    "                    <label>Código Tarifa</label><span class=\"campo\" ng-bind=\"item.codigo\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__subcabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2>Productos tarifa</h2>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"tabla__datos\">\n" +
    "                    <div class=\"tabla__titulos\">\n" +
    "                      <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Descripción</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-numero\"><span class=\"titulo__columna\">Precio</span></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"tabla__datos-registros\">\n" +
    "                      <div ng-repeat=\"item in vm.productos_tarifa\" ng-if=\"vm.productos_tarifa.length &gt; 0\">\n" +
    "                        <div class=\"tabla__registro\">\n" +
    "                          <div class=\"tabla__columna tabla__columna-descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-numero\"><span class=\"numero\" ng-bind=\"::item.precio | currency\"></span></div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-tarifas-productos></registro-tarifas-productos>"
  );


  $templateCache.put('views/admin/tarifas-productos-registro.html',
    "\n" +
    "<style>\n" +
    "  .registro-tarifas-productos .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .registro-tarifas-productos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-tarifas-productos .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .producto-tarifa__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .producto-tarifa__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  .producto-tarifa__precio-input{\n" +
    "      flex: 1 ;\n" +
    "      padding: 4px 8px ;\n" +
    "  }\n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .registro-tarifas-productos .data-list__header {\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-tarifas-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Tarifa Productos</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Tarifa</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.codigo\" name=\"codigo\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Inicio Tarifa</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Fin Tarifa</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <div class=\"data-list\">\n" +
    "                <div class=\"data-list__header\">\n" +
    "                  <div class=\"data-list__header-column producto-tarifa__descripcion\"><span>Descripción</span></div>\n" +
    "                  <div class=\"data-list__header-column producto-tarifa__precio numero\"><span>Precio</span></div>\n" +
    "                  <div class=\"data-list__header-column producto-tarifa__precio numero\"><span>Precio Nuevo</span></div>\n" +
    "                  <div class=\"data-list__header-button\"></div>\n" +
    "                </div>\n" +
    "                <div class=\"data-list__content\">\n" +
    "                  <div class=\"data-list__detail\" ng-repeat=\"item in vm.productos_tarifa\" ng-if=\"vm.productos_tarifa.length &gt; 0\" ng-click=\"vm.ver(item)\">\n" +
    "                    <div class=\"data-list__detail-column producto-tarifa__descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "                    <div class=\"data-list__detail-column producto-tarifa__precio numero\"><span ng-bind=\"::item.precio | currency\"></span></div>\n" +
    "                    <div class=\"data-list__detail-column producto-tarifa__precio-input numero\">\n" +
    "                      <div class=\"form-group\">\n" +
    "                        <input class=\"form-control\" type=\"text\" money=\"\" ng-model=\"item.precio_act\" name=\"precio_act\" ng-enter=\"vm.grabarPrecioTarifa(item)\"/>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"data-list__detail-button\">\n" +
    "                      <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.grabarPrecioTarifa(item)\" ng-show=\"(item.precio_act &gt; 0) &amp;&amp; (vm.registroSel.id == item.id)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar Tarifa</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "  <div class=\"slds-modal__container\" style=\"width:600px;\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Precio Tarifa Producto</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatosProducto\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <h4 ng-bind=\"vm.producto_tarifa.descripcion\"></h4>\n" +
    "              <input-evo name=\"precio\" etiqueta=\"Precio\" money=\"\" required=\"\" ng-model=\"vm.producto_tarifa.precio\"></input-evo>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer slds-crud__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabarPrecioTarifa()\">Confirmar</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar Edicion</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas-registro.html',
    "<div class=\"lightbox\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup ventana-tarifas\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Tarifas</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"row datos-registro\">\n" +
    "            <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12\">\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\">\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Tarifa</label>\n" +
    "                        <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.tarifa\" name=\"tarifa\"\n" +
    "                               ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\">\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Inicio Tarifa</label>\n" +
    "\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control fecha\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Fin Tarifa</label>\n" +
    "\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control fecha\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker>\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Inicial</label>\n" +
    "                        <input type=\"time\" class=\"form-control hora\" size=\"8\" name=\"horaini\" ng-model=\"vm.horainitemp\"\n" +
    "                               min=\"07:30:00\" max=\"20:00:00\"\n" +
    "                               lower-than=\"{{vm.horafintemp}}\">\n" +
    "\n" +
    "                        <span class=\"error-formulario\" ng-show=\"vm.formDatos.horaini.$error.lowerThan\">La hora inicial tiene que ser menor que la hora final</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora Final</label>\n" +
    "                        <input type=\"time\" class=\"form-control hora\" size=\"8\" ng-model=\"vm.horafintemp\"\n" +
    "                               min=\"08:00:00\" max=\"20:00:00\">\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Precio GF.</label>\n" +
    "                        <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.preciogf\" name=\"length\" smart-float\n" +
    "                               ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\">\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Precio Buggie</label>\n" +
    "                        <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.fd.preciobuggie\" name=\"length\" smart-float\n" +
    "                               ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\">\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Descripcion</label>\n" +
    "                        <textarea rows=\"5\" cols=\"100\" ng-model=\"vm.fd.descripcion\"\n" +
    "                               ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"></textarea>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                        <a class=\"btn  boton-grabar \" ng-disabled=\"vm.formDatos.$invalid || vm.formDatos.$pristine\" ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "\n" +
    "                    </div>\n" +
    "                </form>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas.html',
    "<lista-tarifas></lista-tarifas>"
  );


  $templateCache.put('views/admin/utilidades.html',
    "<div class=\"lista\">\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Utilidades</h1>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <uib-tabset>\n" +
    "                <uib-tab>\n" +
    "                    <tab-heading>\n" +
    "                        Exportar Datos\n" +
    "                    </tab-heading>\n" +
    "                    <evo-generavales></evo-generavales>\n" +
    "                </uib-tab>\n" +
    "                <uib-tab>\n" +
    "                    <tab-heading>\n" +
    "                        Exportar Reservas\n" +
    "                    </tab-heading>\n" +
    "                    <evo-exportapedidos></evo-exportapedidos>\n" +
    "                </uib-tab>\n" +
    "            </uib-tabset>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/abonos/abonos-buscar.html',
    "\n" +
    "<div class=\"abonos-buscar\">\n" +
    "  <div class=\"abonos-buscar__campo\">\n" +
    "    <div class=\"abonos-buscar__campo-valor\" ng-click=\"show()\"><span class=\"resultado\">{{selecteditem[key]}}</span></div>\n" +
    "    <div class=\"abonos-buscar__campo-borrar\" style=\"float: right;\"><span class=\"pull-right glyphicon glyphicon-search\" ng-click=\"show()\"></span></div>\n" +
    "    <div class=\"abonos-buscar__campo-borrar\" style=\"float: right;\"><span class=\"glyphicon glyphicon-remove pull-right\" ng-click=\"borraItemLista()\"></span></div>\n" +
    "  </div>\n" +
    "  <div class=\"slds-modal\" ng-show=\"showList\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "      <div class=\"slds-modal__header slds-modal__header-azul\">\n" +
    "        <h3>Busqueda Abonados</h3>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__content\" style=\"height:50vh;\">\n" +
    "        <div class=\"search\">\n" +
    "          <div class=\"input-group flex__row\">\n" +
    "            <input class=\"form-control\" type=\"text\" ng-model=\"searchKey\" placeholder=\"Buscar Abonado...\" ng-change=\"textChanged(searchKey)\"/>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"data-list\">\n" +
    "          <div class=\"data-list__header\">\n" +
    "            <div class=\"data-list__header-column flex1\"><span>Abono</span></div>\n" +
    "            <div class=\"data-list__header-column flex4\"><span>Nombre Jugador</span></div>\n" +
    "            <div class=\"data-list__header-column flex2\"><span>Fecha Inicio</span></div>\n" +
    "            <div class=\"data-list__detail-column flex2\"><span>Fecha Inicio</span></div>\n" +
    "            <div class=\"data-list__header-button\"></div>\n" +
    "          </div>\n" +
    "          <div class=\"data-list__content\">\n" +
    "            <div class=\"data-list__detail\" ng-repeat=\"item in values track by item.id\" ng-click=\"selectItem(item)\" ng-if=\"values.length &gt; 0\">\n" +
    "              <div class=\"data-list__detail-column flex1\"><span ng-bind=\"::item.abono\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex4\"><span ng-bind=\"::item.nombre_jugador\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex2\"><span ng-bind=\"::item.fechaini\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex2\"><span ng-bind=\"::item.fechafin\"></span></div>\n" +
    "              <div class=\"data-list__detail-button\" style=\"padding: 10px 0;\"><i class=\"glyphicon glyphicon-ok\" ng-show=\"isActive(item)\"></i></div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar\" ng-click=\"showList=false\">Cancelar</a></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-consumo.html',
    "\n" +
    "<style>\n" +
    "  .registro-abonos .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-abonos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .consumo-abonos .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-dabonos__nombre-jugador {\n" +
    "      flex: 3;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-dabonos__cliente {\n" +
    "      flex: 1;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  \n" +
    "  .lista__abonos {\n" +
    "      flex-direction: column;\n" +
    "      display: flex;\n" +
    "      max-height: 400px;\n" +
    "      overflow-y: auto;\n" +
    "  }\n" +
    "  \n" +
    "  .linea-consulta-abono .nombre_jugador {\n" +
    "      flex: 4;\n" +
    "  }\n" +
    "  \n" +
    "  .linea-consulta-abono .fecha_inicio {\n" +
    "      flex: 4;\n" +
    "  }\n" +
    "  \n" +
    "  .detalle__abono {\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "  }\n" +
    "  \n" +
    "  .campo-lista {\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "  }\n" +
    "  \n" +
    "  .campo-lista label {\n" +
    "      font-size: 1.2rem;\n" +
    "      color: gray;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-abonos .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-consumo slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Abonos</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"flex__row lista__abonos\">\n" +
    "            <div class=\"busqueda__abonos\">\n" +
    "              <busqueda-abonos foco=\"vm.focoAbono\" selecteditem=\"vm.abono\" values=\"vm.abonos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerAbonos(searchKey)\"></busqueda-abonos>\n" +
    "              <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\" ng-click=\"vm.abonos=[]\" ng-show=\"vm.abonos.length&gt;1\">Cerrar</button>\n" +
    "            </div>\n" +
    "            <div class=\"lista-abonos\" ng-show=\"vm.abonos.length &gt; 1\">\n" +
    "              <div class=\"detalle-abono\" ng-repeat=\"abono in vm.abonos\" ng-click=\"vm.seleccionarAbono(abono)\">\n" +
    "                <div class=\"linea-consulta-abono\">\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Abono</label><span ng-bind=\"abono.abono\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex4\">\n" +
    "                    <label>Jugador</label><span class=\"flex4\" ng-bind=\"abono.nombre_jugador\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Fecha Inicio</label><span class=\"flex1\" ng-bind=\"abono.fechaini | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Fecha Fin</label><span class=\"flex1\" ng-bind=\"abono.fechafin | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row detalle__abono\" ng-show=\"vm.abono.id &gt; 0\">\n" +
    "            <div class=\"campo__ro\">\n" +
    "              <label>Abono</label><span class=\"flex1\" ng-bind=\"vm.abono.abono\"></span>\n" +
    "            </div>\n" +
    "            <div class=\"campo__ro\">\n" +
    "              <label>Fecha Inicio</label><span class=\"flex1\" ng-bind=\"vm.abono.fechaini | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "            </div>\n" +
    "            <div class=\"campo__ro\">\n" +
    "              <label>Fecha Fin</label><span class=\"flex1\" ng-bind=\"vm.abono.fechafin | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "            </div>\n" +
    "            <div class=\"campo__ro\">\n" +
    "              <label>Cliente</label><span class=\"flex1\" ng-bind=\"vm.abono.razon_social\"></span>\n" +
    "            </div>\n" +
    "            <div class=\"campo__ro\">\n" +
    "              <label>Jugador</label><span class=\"flex1\" ng-bin=\"vm.abono.nombre_jugador\"></span>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Seleccionar abono</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-edicion.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .tabla__datos-registro {\n" +
    "      padding: 8px 16px;\n" +
    "      height: auto ;\n" +
    "  }\n" +
    "  .tabla__datos-registros {\n" +
    "      height: auto;\n" +
    "      min-height : auto ;\n" +
    "  }\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  .seccion__cabecera {\n" +
    "      padding: 5px 0;\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f9fb ;\n" +
    "  }\n" +
    "  .seccion__subcabecera  {\n" +
    "      padding: 0 ;\n" +
    "      margin-bottom: 10px;\n" +
    "  }\n" +
    "  \n" +
    "  .no-activo {\n" +
    "      border-left: 3px solid red ;\n" +
    "  }\n" +
    "  \n" +
    "  .activo {\n" +
    "      border-left: 3px solid yellowgreen;\n" +
    "  }\n" +
    "  .acciones {\n" +
    "      min-width: 100px;\n" +
    "  }\n" +
    "  .abonos-edicion .tabla__columna-acciones {\n" +
    "      min-width: 100px ;\n" +
    "  }\n" +
    "  .seccion__subcabecera h2 {\n" +
    "      font-family: Lato;\n" +
    "      font-weight: 300;\n" +
    "      color: #E91E63;\n" +
    "      font-size:1.5em;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-edicion lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Abonados - Edición rápida</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn mr-5\" ng-click=\"vm.verDatos()\">Ver Abonados</a><a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\">Nuevo Abonados</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-abonos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-abonos\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas flex__row flex1\" ng-click=\"vm.ver(item)\" ng-class=\"[{'activo': item.activo === 1 },{'no-activo': item.activo === 0 }] \">\n" +
    "                <div class=\"tabla__columna flex__col-1\">\n" +
    "                  <label>Abonado</label><span>{{item.abono}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-2\">\n" +
    "                  <label>Nombre Cliente</label><span>{{item.razon_social}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-2\">\n" +
    "                  <label>Referencia</label><span>{{item.referencia}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-4\">\n" +
    "                  <label>Nombre Jugador</label><span ng-show=\"item.id != vm.registroSel.id\">{{item.nombre_jugador}}</span>\n" +
    "                  <div class=\"form-group\" ng-show=\"item.id == vm.registroSel.id\">\n" +
    "                    <input class=\"form-control\" type=\"text\" ng-model=\"item.nombre_jugador\" name=\"nombre_jugador\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha flex__col-1\">\n" +
    "                  <label>Fecha Inicio</label><span ng-show=\"item.id != vm.registroSel.id\">{{item.fecha_i}}</span>\n" +
    "                  <div class=\"form-group\" ng-show=\"item.id == vm.registroSel.id\">\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"item.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha flex__col-1\">\n" +
    "                  <label>Fecha Fin</label><span ng-show=\"item.id != vm.registroSel.id\">{{item.fecha_f}}</span>\n" +
    "                  <div class=\"form-group\" ng-show=\"item.id == vm.registroSel.id\">\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"item.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-1\">\n" +
    "                  <label>Precio</label><span ng-show=\"item.id != vm.registroSel.id\">{{item.precio}}</span>\n" +
    "                  <div class=\"form-group\" ng-show=\"item.id == vm.registroSel.id\">\n" +
    "                    <input class=\"form-control\" type=\"text\" money=\"\" ng-model=\"item.precio\" name=\"precio\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna-acciones\">\n" +
    "                  <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                  <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.grabar(item)\" ng-show=\"item.id == vm.registroSel.id\"><i class=\"fa fa-floppy-o\" aria-hidden=\"true\"></i></button>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<abonos-registro></abonos-registro>"
  );


  $templateCache.put('views/admin/abonos/abonos-extracto.html',
    "\n" +
    "<style>\n" +
    "  .slds-modal {\n" +
    "      overscroll-behavior-y: contain;\n" +
    "  }\n" +
    "  .slds-modal__container {\n" +
    "      max-width:1440px;\n" +
    "      width: 95%;\n" +
    "  }\n" +
    "  .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "  }\n" +
    "  .documento__cabecera {\n" +
    "  }\n" +
    "  .evo-tableflex .top-eztable {\n" +
    "      height: auto;\n" +
    "  }\n" +
    "  .tabla__datos {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  .evo-tableflex .tabla__pie {\n" +
    "      display: none ;\n" +
    "  }\n" +
    "  .documento__cabecera-referencia {\n" +
    "      flex: 2 ;\n" +
    "  }\n" +
    "  .evo-tableflex .top-eztable .acciones-tabla .registros-por-pagina {\n" +
    "      height: 28px;\n" +
    "      padding: 2px ;\n" +
    "  }\n" +
    "  .evo-tableflex .top-eztable {\n" +
    "      padding :0;\n" +
    "  }\n" +
    "  .panel__container {\n" +
    "      padding: 4px;\n" +
    "  }\n" +
    "  .panel__info {\n" +
    "      padding: 4px;\n" +
    "      max-width: 200px;\n" +
    "  }\n" +
    "  .panel__info-value {\n" +
    "      font-size: 2em;\n" +
    "  }\n" +
    "  .evo-tableflex .razon_social {\n" +
    "      flex: 2;\n" +
    "  }\n" +
    "  .evo-tableflex__datos {\n" +
    "      min-height: 450px;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"extracto-abonos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Extracto Abono</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"flex__row\">\n" +
    "        <div class=\"flex__col-12\"><span class=\"documento__referencia\">Jugador:</span><span class=\"documento__referencia\">{{ vm.abono.nombre_jugador  }}</span></div>\n" +
    "      </div>\n" +
    "      <div class=\"flex__row\">\n" +
    "        <div class=\"flex__row flex__dir-col flex__col-6\">\n" +
    "          <div class=\"campo__ro\">\n" +
    "            <label>Abono</label><span class=\"flex1\" ng-bind=\"vm.abono.abono\"></span>\n" +
    "          </div>\n" +
    "          <div class=\"campo__ro\">\n" +
    "            <label>Fecha Inicio</label><span class=\"flex1\" ng-bind=\"vm.abono.fechaini | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "          </div>\n" +
    "          <div class=\"campo__ro\">\n" +
    "            <label>Fecha Fin</label><span class=\"flex1\" ng-bind=\"vm.abono.fechafin | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "          </div>\n" +
    "          <div class=\"campo__ro\">\n" +
    "            <label>Cliente</label><span class=\"flex1\" ng-bind=\"vm.abono.razon_social\"></span>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__row flex__dir-col flex__col-6\">\n" +
    "          <div class=\"campo__ro\">\n" +
    "            <label>Tarifa</label><span class=\"flex1\" ng-bind=\"vm.abono.tarifa\"></span>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <div class=\"tabla__datos tabla__datos-extracto-productos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-productos-extracto\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"evo-tableflex__datos\" style=\"flex: 1;overflow-y: scroll;\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <!--\n" +
    "              <div class=\"tabla__columna tabla__selectbox\">\n" +
    "              <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "              <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "              <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "              </div>\n" +
    "              </div>\n" +
    "              -->\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                <div class=\"tabla__columna fecha\">\n" +
    "                  <label>Fecha Salida</label><span>{{::item.fecha_s}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna documento\">\n" +
    "                  <label>Documento</label><span>{{::item.doc}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex4\">\n" +
    "                  <label>Documento</label><span>{{::item.nombre_jugador}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna numero\">\n" +
    "                  <label>Saldo</label><span>{{::item.cantidad }}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\"></div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer-info\">\n" +
    "      <div class=\"panel__container\">\n" +
    "        <div class=\"panel__info\">\n" +
    "          <div class=\"panel__info-title\"><span>Salidas</span></div>\n" +
    "          <div class=\"panel__info-value\"><span>{{ vm.total_salidas }}</span></div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-facturar.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .tabla__datos-registro {\n" +
    "      padding: 8px 16px;\n" +
    "      height: auto ;\n" +
    "  }\n" +
    "  .tabla__datos-registros {\n" +
    "      height: auto;\n" +
    "      min-height : auto ;\n" +
    "  }\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  .seccion__cabecera {\n" +
    "      padding: 5px 0;\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f9fb ;\n" +
    "  }\n" +
    "  .seccion__subcabecera  {\n" +
    "      padding: 0 ;\n" +
    "      margin-bottom: 10px;\n" +
    "  }\n" +
    "  \n" +
    "  .no-activo {\n" +
    "      border-left: 3px solid red ;\n" +
    "  }\n" +
    "  \n" +
    "  .activo {\n" +
    "      border-left: 3px solid yellowgreen;\n" +
    "  }\n" +
    "  .acciones {\n" +
    "      min-width: 100px;\n" +
    "  }\n" +
    "  .abonos-edicion .tabla__columna-acciones {\n" +
    "      min-width: 100px ;\n" +
    "  }\n" +
    "  .seccion__subcabecera h2 {\n" +
    "      font-family: Lato;\n" +
    "      font-weight: 300;\n" +
    "      color: #E91E63;\n" +
    "      font-size:1.5em;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-edicion lista\" ng-cloak=\"\">\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"flex__col-12\">\n" +
    "      <h1>Abonados - Generación albarán de abonos agrupado.</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"flex__col-3\">\n" +
    "      <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "        <label class=\"control-label\">Seleccione cliente</label>\n" +
    "        <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"flex__col-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn mr-5\" ng-click=\"vm.verDatos()\">Ver Abonados</a><a class=\"btn btn-nuevo\" ng-click=\"vm.generarAlbaran()\">Generar Albarán Abonos</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"flex__col-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-abonos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"true\" nombre-tabla=\"lista-abonos\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas flex__row flex1\" ng-click=\"vm.ver(item)\" ng-class=\"[{'activo': item.activo === 1 },{'no-activo': item.activo === 0 }] \">\n" +
    "                <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                  <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                    <input type=\"checkbox\" id=\"fila-facturar__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                    <label for=\"fila-facturar__checkbox-{{item.id}}\"></label>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-1\">\n" +
    "                  <label>Abonado</label><span>{{item.abono}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-2\">\n" +
    "                  <label>Nombre Cliente</label><span>{{item.razon_social}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-2\">\n" +
    "                  <label>Referencia</label><span>{{item.referencia}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-4\">\n" +
    "                  <label>Nombre Jugador</label><span>{{item.nombre_jugador}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha flex__col-1\">\n" +
    "                  <label>Fecha Inicio</label><span>{{item.fecha_i}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha flex__col-1\">\n" +
    "                  <label>Fecha Fin</label><span>{{item.fecha_f}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-1\">\n" +
    "                  <label>Precio</label><span>{{item.precio}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna-acciones\">\n" +
    "                  <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<abonos-registro></abonos-registro>"
  );


  $templateCache.put('views/admin/abonos/abonos-generacion.html',
    "\n" +
    "<style>\n" +
    "  .abonos-generacion .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .abonos-generacion .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .abonos-generacion .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .abonos-generacion .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-generacion\">\n" +
    "  <div class=\"flex__row flex__dir-col\">\n" +
    "    <div class=\"flex__col-6\">\n" +
    "      <div class=\"slds-modal__header\">\n" +
    "        <h2>Generacion Abonos</h2>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__content\">\n" +
    "        <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "          <div class=\"sectionContainer\">\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Seleccione cliente</label>\n" +
    "              <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Nombre del jugador</label>\n" +
    "              <input class=\"form-control\" type=\"text\" required=\"\" ng-model=\"vm.fd.nombre_jugador\" placeholder=\"Nombre del jugador\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Referencia Grupo</label>\n" +
    "              <input class=\"form-control\" type=\"text\" required=\"\" ng-model=\"vm.fd.referencia_grupo\" placeholder=\"Referencia grupo\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Seleccione Producto facturación abono</label>\n" +
    "              <searchandselect selecteditem=\"vm.producto\" values=\"vm.productos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerProductos(searchKey,0)\"></searchandselect>\n" +
    "            </div>\n" +
    "            <div class=\"flex__col-6\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Seleccione tarifa</label>\n" +
    "                <searchandselect selecteditem=\"vm.tarifa\" values=\"vm.tarifas\" key=\"descripcion\" onscroll=\"vm.leerTarifas(searchKey,0)\"></searchandselect>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <div class=\"w50 fl\">\n" +
    "                <label class=\"control-label\">Fecha Inicio Abono</label>\n" +
    "                <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "              </div>\n" +
    "              <div class=\"w50 fl\">\n" +
    "                <label class=\"control-label\">Fecha Fin Abono</label>\n" +
    "                <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Greenfees 18 Hoyos.</label>\n" +
    "              <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.gf18\" number=\"\" placeholder=\"Greenfees 18\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Anual</label>\n" +
    "              <checkbox ng-model=\"vm.anual\" ng-true-value=\"1\" ng-false-value=\"0\"></checkbox>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Precio Abono</label>\n" +
    "              <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.precio\" money=\"\" placeholder=\"Precio Abono\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group\">\n" +
    "              <label class=\"control-label\">Cantidad de abonados</label>\n" +
    "              <input class=\"form-control form-control__numero\" type=\"number\" size=\"10\" required=\"\" ng-model=\"vm.numero_abonados\" number=\"\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </form>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.generarAbonos(vm.formDatos)\">Generar Abonos</a></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-lista.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .tabla__datos-registro {\n" +
    "      padding: 8px 16px;\n" +
    "      height: auto ;\n" +
    "  }\n" +
    "  .tabla__datos-registros {\n" +
    "      height: auto;\n" +
    "      min-height : auto ;\n" +
    "  }\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  .seccion__cabecera {\n" +
    "      padding: 5px 0;\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f9fb ;\n" +
    "  }\n" +
    "  .seccion__subcabecera  {\n" +
    "      padding: 0 ;\n" +
    "      margin-bottom: 10px;\n" +
    "  }\n" +
    "  \n" +
    "  .no-activo {\n" +
    "      border-left: 3px solid red ;\n" +
    "  }\n" +
    "  \n" +
    "  .activo {\n" +
    "      border-left: 3px solid yellowgreen;\n" +
    "  }\n" +
    "  .acciones {\n" +
    "      min-width: 100px;\n" +
    "  }\n" +
    "  .seccion__subcabecera h2 {\n" +
    "      font-family: Lato;\n" +
    "      font-weight: 300;\n" +
    "      color: #E91E63;\n" +
    "      font-size:1.5em;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-lista lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Abonados</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn mr-5\" ng-click=\"vm.verDatos()\">Ver Abonados Activos</a><a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\">Nuevo Abonados</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-abonos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-abonos\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\" ng-class=\"[{'activo': item.activo === 1 },{'no-activo': item.activo === 0 }] \">\n" +
    "                <div class=\"tabla__columna\">\n" +
    "                  <label>Abonado</label><span>{{item.abono}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex4\">\n" +
    "                  <label>Nombre Cliente</label><span>{{item.razon_social}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex4\">\n" +
    "                  <label>Nombre Jugador</label><span>{{item.nombre_jugador}}    </span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha\">\n" +
    "                  <label>Fecha Inicio</label><span>{{item.fecha_i}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna campo__fecha\">\n" +
    "                  <label>Fecha Fin</label><span>{{item.fecha_f}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex1\">\n" +
    "                  <label>Documento</label><span>{{item.doc}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\">\n" +
    "                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__ficha\" ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2><span ng-bind=\"item.abono\"></span></h2>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__subcabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2>Renovaciones Abono</h2>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"tabla__datos\">\n" +
    "                    <div class=\"tabla__titulos\">\n" +
    "                      <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Fecha Inicio</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-documento\"><span class=\"titulo__columna\">Fecha Fin</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-documento\"><span class=\"titulo__columna\">Greenfees</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-documento\"><span class=\"titulo__columna\">GFs. Consumidos</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-documento\"><span class=\"titulo__columna\">Anual</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-documento\"><span class=\"titulo__columna\">Documento</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-notas\"><span class=\"titulo__columna\">Notas</span></div>\n" +
    "                      <div class=\"tabla__columna flex3\"><span class=\"titulo__columna\">Acciones</span></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"tabla__datos-registros\">\n" +
    "                      <div ng-repeat=\"dabono in vm.dabonos\" ng-if=\"vm.dabonos.length &gt; 0\">\n" +
    "                        <div class=\"tabla__registro\">\n" +
    "                          <div class=\"tabla__columna tabla__columna-fecha\"><span ng-bind=\"::dabono.fecha_i\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-hora\"><span ng-bind=\"::dabono.fecha_f\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-hora\"><span ng-bind=\"::dabono.gf18\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-hora\"><span ng-bind=\"::dabono.gf18c\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-hora\"><span ng-show=\"dabono.anual == 1\"><i class=\"fa fa-check-circle-o\"></i></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-hora\"><span ng-bind=\"::dabono.doc\"></span></div>\n" +
    "                          <div class=\"tabla__columna tabla__columna-notas\"><span ng-bind=\"::dabono.notas\"></span></div>\n" +
    "                          <div class=\"tabla__columna flex3\">\n" +
    "                            <button class=\"btn boton__accion-peque\" ng-click=\"vm.extractoAbono(dabono)\"><i class=\"fa fa-pencil\"></i> Extracto</button>\n" +
    "                            <button class=\"btn boton__accion-peque\" ng-click=\"vm.verRegistro(dabono)\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                            <button class=\"btn boton__accion-peque\" ng-show=\"dabono.ticket_id == 0 &amp;&amp; dabono.albaran_id == 0\" ng-click=\"vm.facturarAbono(dabono)\"> Ticket</button>\n" +
    "                            <button class=\"btn boton__accion-peque\" ng-show=\"dabono.ticket_id == 0 &amp;&amp; dabono.albaran_id == 0\" ng-click=\"vm.albaranAbono(dabono)\"> Albarán</button>\n" +
    "                            <button class=\"btn boton__accion-peque\" ng-show=\"dabono.activo == 0 &amp;&amp; dabono.ultimo == 1\" ng-click=\"vm.renovarAbono(dabono)\"> Renovar</button>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<abonos-registro></abonos-registro>\n" +
    "<abonos-renovacion></abonos-renovacion>\n" +
    "<abonos-venta></abonos-venta>\n" +
    "<abonos-extracto></abonos-extracto>"
  );


  $templateCache.put('views/admin/abonos/abonos-registro.html',
    "\n" +
    "<style>\n" +
    "  .registro-abonos .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "      padding: 1rem 0 ;\n" +
    "  }\n" +
    "  .registro-abonos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-abonos .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .registro-abonos .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-abonos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Abonos</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group form-group--fecha\">\n" +
    "                  <label class=\"control-label\">Abono</label>\n" +
    "                  <input class=\"form-control\" ng-readonly=\"vm.fd.id &gt; 0\" type=\"text\" ng-model=\"vm.fd.abono\" name=\"abono\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                  <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Nombre del jugador</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" required=\"\" ng-model=\"vm.fd.nombre_jugador\" placeholder=\"Nombre del jugador\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Seleccione Producto facturación abono</label>\n" +
    "                  <searchandselect selecteditem=\"vm.producto\" values=\"vm.productos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerProductos(searchKey,0)\"></searchandselect>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Seleccione tarifa</label>\n" +
    "                  <searchandselect selecteditem=\"vm.tarifa\" values=\"vm.tarifas\" key=\"descripcion\" onscroll=\"vm.leerTarifas(searchKey,0)\"></searchandselect>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Inicio Abono</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Fin Abono</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Abonos 18 GF.</label>\n" +
    "                  <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.gf18\" number=\"\" placeholder=\"Greenfees 18\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Anual</label>\n" +
    "                  <checkbox ng-model=\"vm.anual\" ng-true-value=\"1\" ng-false-value=\"0\"></checkbox>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">No facturar GFS</label>\n" +
    "                  <checkbox ng-model=\"vm.nofacturargf\" ng-true-value=\"1\" ng-false-value=\"0\"></checkbox>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio Abono</label>\n" +
    "                  <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.precio\" money=\"\" placeholder=\"Precio Abono\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Notas</label>\n" +
    "                  <textarea class=\"linea__notas-input\" ng-model=\"vm.fd.nota\"></textarea>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar mr-5\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar Abono</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "  <div class=\"slds-modal__container\" style=\"width:600px;\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Renovación abono</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatosProducto\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <div class=\"w50 fl\">\n" +
    "                  <label class=\"control-label\">Fecha Inicio Abono</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "                <div class=\"w50 fl\">\n" +
    "                  <label class=\"control-label\">Fecha Fin Abono</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer slds-crud__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatosProducto.$valid\" ng-click=\"vm.grabarPrecioTarifa()\">Grabar Renovación abono</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar Edicion</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-renovacion.html',
    "\n" +
    "<style>\n" +
    "  .registro-abonos .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .registro-abonos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-abonos .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .registro-abonos .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-abonos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Renovación abono</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group form-group--fecha\">\n" +
    "                  <label class=\"control-label\">Abono</label>\n" +
    "                  <input class=\"form-control\" ng-readonly=\"ng-readonly\" type=\"text\" ng-model=\"vm.fd.abono\" name=\"abono\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "                  <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                  <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Nombre del jugador</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" required=\"\" ng-model=\"vm.fd.nombre_jugador\" placeholder=\"Nombre del jugador\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Inicio Abono</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha Fin Abono</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Abonos 18 GF.</label>\n" +
    "                  <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.gf18\" number=\"\" placeholder=\"Greenfees 18\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Anual</label>\n" +
    "                  <checkbox ng-model=\"vm.fd.anual\" ng-true-value=\"1\" ng-false-value=\"0\"></checkbox>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio GF.</label>\n" +
    "                  <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.preciogf18\" money=\"\" placeholder=\"Greenfees 18\"/>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar Abono</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "  <div class=\"slds-modal__container\" style=\"width:600px;\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Renovación abono</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatosProducto\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <div class=\"w50 fl\">\n" +
    "                  <label class=\"control-label\">Fecha Inicio Abono</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechaini\" data-autoclose=\"1\" placeholder=\"Fecha Inicio Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "                <div class=\"w50 fl\">\n" +
    "                  <label class=\"control-label\">Fecha Fin Abono</label>\n" +
    "                  <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fechafin\" data-autoclose=\"1\" placeholder=\"Fecha Final Tarifa\" bs-datepicker=\"\"/>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer slds-crud__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatosProducto.$valid\" ng-click=\"vm.grabarPrecioTarifa()\">Grabar Renovación abono</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar Edicion</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/abonos/abonos-venta.html',
    "\n" +
    "<div class=\"linea-venta\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Generar Ticket Abono</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\" form-cycle=\"\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"busqueda__productos\">\n" +
    "                    <busqueda-producto foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerProductos(searchKey)\"></busqueda-producto>\n" +
    "                    <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\" ng-click=\"vm.productos=[]\" ng-show=\"vm.productos.length&gt;0\">Cerrar</button>\n" +
    "                  </div>\n" +
    "                  <div class=\"lista-productos\" ng-show=\"vm.productos.length &gt; 1\">\n" +
    "                    <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\" ng-click=\"vm.seleccionaProducto(producto)\">\n" +
    "                      <div class=\"linea-consulta-producto\"><span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span><span class=\"precio\" ng-bind=\"producto.precio\"></span></div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"linea__producto\">\n" +
    "                    <label class=\"control-label\">Producto</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" autocomplete=\"off\" ng-model=\"vm.fd.producto\" ng-readonly=\"true\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__descripcion\">\n" +
    "                    <label class=\"control-label\">Descripci&oacute;n</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" autocomplete=\"off\" ng-model=\"vm.fd.descripcion\" campo-siguiente=\"input-cantidad\" on-enter=\"\" ng-readonly=\"vm.fd.producto_id != 0\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__cantidad\">\n" +
    "                    <label class=\"control-label\">Cantidad</label>\n" +
    "                    <input class=\"form-control input-cantidad\" type=\"text\" size=\"10\" money=\"\" required=\"\" min=\"-99999999\" max=\"99999999\" precision=\"2\" ng-model=\"vm.fd.cantidad\" on-enter=\"\" ng-change=\"vm.recalcular()\" simple-focus=\"vm.focoCantidad\" campo-siguiente=\"input-precio\" placeholder=\"Cantidad\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__precio\">\n" +
    "                    <label class=\"control-label\">Precio</label>\n" +
    "                    <input class=\"form-control input-precio\" on-enter=\"\" ng-change=\"vm.recalcular()\" campo-siguiente=\"linea__notas-input\" type=\"text\" size=\"10\" required=\"\" money=\"\" ng-model=\"vm.fd.precio\" placeholder=\"Precio\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"linea__notas\">\n" +
    "                    <label class=\"control-label\">Notas</label>\n" +
    "                    <textarea class=\"linea__notas-input\" ng-model=\"vm.fd.nota\"></textarea>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar fl\" ng-click=\"vm.nuevoProducto()\">Nuevo producto</a><a class=\"btn btn-cancelar fl\" ng-show=\"vm.fd.producto_id &gt; 0\" ng-click=\"vm.verProducto()\">Ver ficha producto</a><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Generar Ticket</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>"
  );


  $templateCache.put('views/admin/abonos/busqueda-abonos.html',
    "\n" +
    "<div class=\"busqueda-registro\">\n" +
    "  <div class=\"search\">\n" +
    "    <label class=\"control-label\">Seleccione Abono</label><br/>\n" +
    "    <div class=\"input-group\">\n" +
    "      <input class=\"form-control\" simple-focus=\"foco\" type=\"text\" ng-model=\"searchKey\" placeholder=\"Buscar...\" ng-model-options=\"{updateOn: 'default', debounce: {  'blur': 0 }}\"/>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/albaranes/albaranes-popover.html',
    "<div>\n" +
    "    <div>\n" +
    "        <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "    </div>\n" +
    "\n" +
    "    <div>\n" +
    "        <button ng-click=\"vm.imprimir(item)\" title=\"Imprimir Aval Provisional\" class=\"btn btn-default btn-xs\">\n" +
    "            <i class=\"fa fa-print\" aria-hidden=\"true\"></i> Imprimir</button>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/albaranes/albaranes-registro.html',
    "<style>\n" +
    "    .w100 {\n" +
    "        width: 100%;\n" +
    "        float: left;\n" +
    "    }\n" +
    "\n" +
    "    .linea-pedido {\n" +
    "        transition-property: all;\n" +
    "        transition-duration: .1s;\n" +
    "        transition-timing-function: ease-in-out;\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .expandable {\n" +
    "        padding-left: 0;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal {\n" +
    "        overscroll-behavior-y: contain;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__container {\n" +
    "        max-width: 1440px;\n" +
    "        width: 95%;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__content {\n" +
    "        flex-grow: 0;\n" +
    "        display: flex;\n" +
    "        flex-direction: column;\n" +
    "\n" +
    "    }\n" +
    "    .documento__cabecera {\n" +
    "        display: flex;\n" +
    "        padding: 0;\n" +
    "        border-bottom: none ;\n" +
    "        min-height: auto;\n" +
    "    }\n" +
    "\n" +
    "</style>\n" +
    "\n" +
    "<div class=\"mantenimiento-albaranes slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <div class=\"documento__cabecera\">\n" +
    "                <div class=\"documento__cabecera-referencia\">\n" +
    "                    <span class=\"documento__referencia\" ng-bind=\"vm.documento.doc\"></span>\n" +
    "                    <div class=\"documento__cabecera-seccion\" ng-show=\"vm.documento.referencia_reserva > ''\"\n" +
    "                         style=\"padding-left:15px;\">\n" +
    "                        <span class=\"documento__referencia\">Reserva: </span>\n" +
    "                        <span class=\"documento__referencia\" ng-bind=\"vm.documento.referencia_reserva\"></span>\n" +
    "                    </div>\n" +
    "                    <div class=\"documento__cabecera-seccion\" ng-show=\"vm.documento.factura_doc > ''\"\n" +
    "                         style=\"padding-left:15px;\">\n" +
    "                        <span class=\"documento__referencia\">Factura: </span>\n" +
    "                        <span class=\"documento__referencia\" ng-bind=\"vm.documento.factura_doc\"></span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"documento__cabecera-botones\">\n" +
    "                    <button class=\"btn boton__accion\" ng-click=\"vm.imprimirDocumento()\">\n" +
    "                        <i class=\"icon-file\"></i> Imprimir\n" +
    "                    </button>\n" +
    "                    <button class=\"btn  boton__accion boton__accion--azul\" ng-click=\"vm.grabaDocumento()\">\n" +
    "                        <i class=\"icon-file\"></i> Grabar\n" +
    "                    </button>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cerrar()\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "        <div class=\"contenido-principal\">\n" +
    "\n" +
    "            <div class=\"cabecera__ticket\">\n" +
    "\n" +
    "                <div class=\"datos-ticket\">\n" +
    "\n" +
    "\n" +
    "                    <div class=\"fila-campo\">\n" +
    "                        <div class=\"form-group fecha-ticket\" ng-class=\"{'has-error': datepickerForm.fecha.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha</label>\n" +
    "                            <input type=\"text\" class=\"form-control fecha\"\n" +
    "                                   ng-model=\"vm.fecha\"\n" +
    "                                   data-date-format=\"dd/MM/yyyy\"\n" +
    "                                   data-min-date=\"02/10/86\"\n" +
    "                                   data-autoclose=\"1\" bs-datepicker>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"datos-cliente\">\n" +
    "                    <div class=\"contenedor__campos\">\n" +
    "                        <div class=\"cabecera__campo--iconos\">\n" +
    "                            <span class=\"campo__etiqueta\">Cliente</span>\n" +
    "\n" +
    "                            <span class=\"icono\" ng-click=\"vm.buscarClientes()\"><i class=\"fa fa-search\"\n" +
    "                                                                                  aria-hidden=\"true\"></i></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Razón Social</label>\n" +
    "                            <span>{{ vm.cliente.razon_social }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Dirección</label>\n" +
    "                            <span>{{ vm.cliente.direccion }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Población</label>\n" +
    "                            <span>{{ vm.cliente.poblacion }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Teléfono</label>\n" +
    "                            <span>{{ vm.cliente.telefono }}</span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"row contenedor-lineas-pedido\">\n" +
    "\n" +
    "                <div class=\"columna-lineas-documento\">\n" +
    "                    <div class=\"seccion\">\n" +
    "                        <div class=\"seccion__cabecera\">\n" +
    "                            <div class=\"seccion__cabecera-titulo\">\n" +
    "                                <h4>Lineas Albarán</h4>\n" +
    "                            </div>\n" +
    "                            <div class=\"seccion__cabecera-botones\">\n" +
    "                                <button class=\"btn boton__accion\" ng-click=\"vm.anadeLineaVarios()\">\n" +
    "                                    <i class=\"icon-file\"></i>Añadir linea\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"lineas-productos\">\n" +
    "                        <div class=\"cabecera-lineas\">\n" +
    "\n" +
    "                            <div class=\"campos-linea\">\n" +
    "                                <div class=\"columna cantidad\">\n" +
    "                                    <span>Cant.</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna descripcion\">\n" +
    "                                    <span>Descripción</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna precio\">\n" +
    "                                    <span>Precio</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"acciones-linea\">\n" +
    "                                <div class=\"columna borra-linea\">\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"zona-lineas-pedido\" wr-sale-list-scroll>\n" +
    "                            <div class=\"lineas-pedido w100\">\n" +
    "                                <!-- <div class=\"form-group has-feedback transition\" ng-repeat-reorder='name in names' ng-repeat-reorder-handle=\"i.fa.fa-bars\"> -->\n" +
    "                                <div class=\"linea-pedido w100\" ng-class=\"{ 'linea-edit' : vm.linea.id === item.id}\"\n" +
    "                                     ng-repeat=\"item in vm.documento.lineas\">\n" +
    "\n" +
    "                                    <div style=\"float:left;width:100%;\">\n" +
    "                                        <div class=\"campos-linea\">\n" +
    "                                            <div class=\"columna cantidad\">\n" +
    "                                                <!--<label>Cantidad</label>-->\n" +
    "                                                <span class=\"campo\" ng-bind=\"item.cantidad\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna descripcion\">\n" +
    "                                                <!--<label>Descripcion</label>-->\n" +
    "                                                <span class=\"campo\" ng-bind=\"item.descripcion\"></span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                            <div class=\"columna precio\">\n" +
    "                                                <!-- <label>Precio</label>-->\n" +
    "                                                <span class=\"campo\" ng-bind=\"item.precio\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna total\">\n" +
    "                                                <!--<label>Total</label>-->\n" +
    "                                                <span class=\"campo\" ng-bind=\"item.total\"></span>\n" +
    "                                            </div>\n" +
    "\n" +
    "\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"acciones-linea\">\n" +
    "                                            <div class=\"columna\">\n" +
    "                                                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.ver(item)\">\n" +
    "                                                    <i class=\"fa fa-pencil\"></i>\n" +
    "                                                </button>\n" +
    "                                                <button class=\"btn tabla__datos-boton-fila\"\n" +
    "                                                        ng-click=\"vm.borraLineaVenta(item)\">\n" +
    "                                                    <i class=\"fa fa-trash\"></i>\n" +
    "                                                </button>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div style=\"float:left;width:100%;\">\n" +
    "\n" +
    "                                        <div class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                             ng-show=\"item.nota.length > 0 \">\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Notas</label>\n" +
    "                                                <span ng-bind=\"item.nota\"></span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.es_reserva\">\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Nombre Jugador</label>\n" +
    "                                                <span ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                                            </div>\n" +
    "\n" +
    "\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Concepto</label>\n" +
    "                                                <span ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Fecha</label>\n" +
    "                                                <span ng-bind=\"item.fecha_reserva\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Hora</label>\n" +
    "                                                <span ng-bind=\"item.hora_reserva\"></span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"campo__ro\">\n" +
    "                                                <label>Recorrido</label>\n" +
    "                                                <span ng-bind=\"item.recorrido\"></span>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <style>\n" +
    "                            .totales__doc {\n" +
    "                                float: right;\n" +
    "                                width: 60%;\n" +
    "                            }\n" +
    "\n" +
    "                        </style>\n" +
    "                        <div class=\"pie-pedido p15\">\n" +
    "                            <div class=\"totales__doc\">\n" +
    "                                <div class=\"resumen-impuestos\">\n" +
    "                                    <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                                        <div class=\"seccion__cabecera\">\n" +
    "                                            <div class=\"seccion__cabecera-titulo\">\n" +
    "                                                <h4>Totales</h4>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                    <div class=\"cabecera-lineas-datos w100\">\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <span>Base</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <span>% IVA</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <span>Total IVA</span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea-datos w100\" ng-repeat=\"dato in vm.documento.impuestos\">\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <div class=\"numero\">\n" +
    "                                                <span class=\"campo\"\n" +
    "                                                      ng-bind=\"(dato.base | number:2)\"></span><span> €</span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <div class=\"numero\">\n" +
    "                                            <span class=\"campo\"\n" +
    "                                                  ng-bind=\"(dato.tipo_iva | number:2)\"></span><span> %</span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <div class=\"numero\">\n" +
    "                                            <span class=\"campo\"\n" +
    "                                                  ng-bind=\"(dato.total_iva | number:2)\"></span><span> €</span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"zona-totales-albaran\">\n" +
    "\n" +
    "                                    <div class=\"total-albaran\">\n" +
    "                                        <div class=\"titulo-total\">\n" +
    "                                            <span>Total:</span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"cantidad\">\n" +
    "                                            <span ng-bind=\"(vm.documento.total | number:2)\"></span> €\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"total-albaran\">\n" +
    "                                        <div class=\"titulo-total\">\n" +
    "                                            <span>Total Pendiente:</span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"cantidad\">\n" +
    "                                            <span ng-bind=\"(vm.documento.pendiente | number:2)\"></span> €\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"zona-cobros\">\n" +
    "\n" +
    "                                    <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                                        <div class=\"seccion__cabecera\">\n" +
    "                                            <div class=\"seccion__cabecera-titulo\">\n" +
    "                                                <h4>Cobros Albarán</h4>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"seccion__cabecera-botones\">\n" +
    "\n" +
    "                                                <button class=\"btn boton__accion\" ng-show=\"vm.documento.factura_id == 0\"\n" +
    "                                                        ng-click=\"vm.nuevoCobro()\">\n" +
    "                                                    <i class=\"icon-file\"></i>Añadir Cobro\n" +
    "                                                </button>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                    <div class=\"datos-cobros\" ng-show=\"vm.documento.cobros.length > 0\">\n" +
    "                                        <div class=\"tabla-cobros-doc\">\n" +
    "                                            <div class=\"cabecera-tabla\">\n" +
    "                                                <div class=\"columna fecha\">\n" +
    "                                                    <label>Fecha</label>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"columna concepto\">\n" +
    "                                                    <label>Concepto</label>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"columna total\">\n" +
    "                                                    <label>Total</label>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"columna acciones\">\n" +
    "\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div ng-repeat=\"cobro in vm.documento.cobros\" class=\"registros\">\n" +
    "                                                <div class=\"ficha\">\n" +
    "                                                    <div class=\"columna fecha\">\n" +
    "                                                        <span>{{cobro.fecha}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"columna concepto\">\n" +
    "                                                        <span>{{cobro.concepto}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"columna total\">\n" +
    "                                                        <span>{{cobro.total}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"columna acciones\"\n" +
    "                                                         ng-show=\"vm.documento.factura_id == 0\">\n" +
    "                                                        <button ng-click=\"vm.verCobro(cobro)\" class=\"btn  btn-xs\"><i\n" +
    "                                                                class=\"fa fa-pencil\"></i></button>\n" +
    "                                                        <button ng-click=\"vm.borrarCobro(cobro)\" class=\"btn  btn-xs\"><i\n" +
    "                                                                class=\"fa fa-trash\"></i></button>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <cobros-documento></cobros-documento>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "</div>\n" +
    "<busca-clientes></busca-clientes>\n" +
    "<linea-venta></linea-venta>\n" +
    "\n" +
    "\n"
  );


  $templateCache.put('views/admin/albaranes/linea-venta.html',
    "\n" +
    "<div class=\"linea-venta\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Linea Venta</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate form-cycle>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"busqueda__productos\" ng-show=\"vm.fd.producto != 'RESERVAGOLF'\">\n" +
    "                                        <busqueda-producto foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\"\n" +
    "                                                          key=\"descripcion\"\n" +
    "                                                          totalrecords=\"totalRecords\"\n" +
    "                                                          onscroll=\"vm.leerProductos(searchKey)\"></busqueda-producto>\n" +
    "\n" +
    "                                        <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\"\n" +
    "                                                ng-click=\"vm.productos=[]\"\n" +
    "                                                ng-show=\"vm.productos.length>0\">Cerrar</button>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                    <div class=\"lista-productos\" ng-show=\"vm.productos.length > 1\">\n" +
    "                                        <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\"\n" +
    "                                             ng-click=\"vm.seleccionaProducto(producto)\">\n" +
    "                                            <div class=\"linea-consulta-producto\">\n" +
    "                                                <span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span>\n" +
    "                                                <span class=\"precio\" ng-bind=\"producto.precio\"></span>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"linea__producto\">\n" +
    "                                        <label class=\"control-label\">Producto</label>\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\" autocomplete=\"off\"\n" +
    "                                               ng-model=\"vm.fd.producto\" ng-readonly=\"true\" />\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__descripcion\">\n" +
    "                                        <label class=\"control-label\">Descripción</label>\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\" autocomplete=\"off\"\n" +
    "                                               ng-model=\"vm.fd.descripcion\"\n" +
    "                                               campo-siguiente='input-cantidad'\n" +
    "                                               on-enter\n" +
    "                                               ng-readonly=\"vm.fd.producto_id != 0\"/>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__cantidad\">\n" +
    "                                        <label class=\"control-label\">Cantidad</label>\n" +
    "                                        <input type=\"text\" size=\"10\" class=\"form-control input-cantidad\" money required\n" +
    "                                               min=\"-99999999\" max=\"99999999\" precision=\"2\"\n" +
    "                                               ng-model=\"vm.fd.cantidad\"\n" +
    "                                               on-enter\n" +
    "                                               ng-change=\"vm.recalcular()\"\n" +
    "                                               simple-focus=\"vm.focoCantidad\"\n" +
    "                                               campo-siguiente=\"input-precio\"\n" +
    "                                               placeholder=\"Cantidad\">\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__precio\">\n" +
    "                                        <label class=\"control-label\">Precio</label>\n" +
    "                                        <input class=\"form-control input-precio\"\n" +
    "                                               on-enter\n" +
    "                                               ng-change=\"vm.recalcular()\"\n" +
    "                                               campo-siguiente=\"linea__notas-input\"\n" +
    "                                               type=\"text\" size=\"10\" class=\"form-control\" required money\n" +
    "\n" +
    "                                               ng-model=\"vm.fd.precio\"  placeholder=\"Precio\">\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"linea__notas\">\n" +
    "                                        <label class=\"control-label\">Notas</label>\n" +
    "                                        <textarea class=\"linea__notas-input\" ng-model=\"vm.fd.nota\"></textarea>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"vm.fd.es_reserva\">\n" +
    "                                    <div class=\"seccion__subcabecera\">\n" +
    "                                        <h4>Datos reserva</h4>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                  <!--  <div class=\"campo__ro\">\n" +
    "                                        <label>Nombre Jugador</label>\n" +
    "                                        <span ng-bind=\"vm.fd.nombre_jugador\"></span>\n" +
    "                                    </div>-->\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                         <label>Nombre Jugador</label>\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\"\n" +
    "                                               ng-model=\"vm.fd.nombre_jugador\"/>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Concepto</label>\n" +
    "\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\" autocomplete=\"off\"\n" +
    "                                               ng-model=\"vm.fd.concepto_reserva\"/>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Fecha</label>\n" +
    "                                        <span ng-bind=\"vm.fd.fecha_reserva\"></span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Hora</label>\n" +
    "                                        <span ng-bind=\"vm.fd.hora_reserva\"></span>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campo__ro\">\n" +
    "                                        <label>Recorrido</label>\n" +
    "                                        <span ng-bind=\"vm.fd.recorrido\"></span>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  btn-cancelar fl\"  ng-click=\"vm.nuevoProducto()\">Nuevo producto</a>\n" +
    "            <a class=\"btn  btn-cancelar fl\" ng-show=\"vm.fd.producto_id > 0\" ng-click=\"vm.verProducto()\">Ver ficha producto</a>\n" +
    "            <a class=\"btn  btn-cancelar fl\" ng-show=\"vm.fd.producto_id > 0\" ng-click=\"vm.extractoProducto()\">Extracto producto</a>\n" +
    "\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar Linea Venta</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>"
  );


  $templateCache.put('views/admin/albaranes/lista-albaranes.html',
    "<div class=\"lista lista-albaranes\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"cabecera\">\n" +
    "                <h1>Albaranes</h1>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"flex__row\">\n" +
    "\n" +
    "                    <div class=\"form-group fl\" style=\"margin-right:15px\">\n" +
    "                        <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                        <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                    </div>\n" +
    "     \n" +
    "\n" +
    "                    <div class=\"form-group fl mr10 form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group fl form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaFin\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario flw1\">\n" +
    "                    <a class=\"btn  btn-form boton__svg\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Albarán</a>\n" +
    "                   <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listado()\">Listar albaranes</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\" show-filters=\"false\" pagina-actual=\"2\"  class=\"tabla-datos tabla-albaranes\">\n" +
    "                <div class=\"datos\">  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat-start=\"item in items\" class=\"registros\" ng-class=\"{ 'doc-pendiente': item.pendiente !=0 && item.factura_id == 0 }\">\n" +
    "                        <div>\n" +
    "                            <div class=\"check-box\"><input type=\"checkbox\" ng-model=\"item.selected\"/></div>\n" +
    "                            <div class=\"ficha\" ng-class=\"\"  ng-click=\"vm.ver(item)\">\n" +
    "                                <div class=\"columna doc\">\n" +
    "                                    <label>Albarán</label>\n" +
    "                                    <span>{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna reservaalb\">\n" +
    "                                    <label>Reserva</label>\n" +
    "                                    <span>{{::item.idreserva}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna nombre\">\n" +
    "                                    <label>Nombre Jugador</label>\n" +
    "                                    <span>{{::item.nombre}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna factura_doc\">\n" +
    "                                    <label>Factura</label>\n" +
    "                                    <span>{{::item.factura_doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna pendiente tabla__columna-numero\" >\n" +
    "                                    <label>Pendiente</label>\n" +
    "                                    <span>{{::item.pendiente | currency }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total tabla__columna-numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total | currency }}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <!--Lo ponemos como estandard los nombres-->\n" +
    "                            <div data-title=\"Acciones\"  class=\"columna-acciones ver-registro\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                                    <i class=\"fa fa-pencil\"></i>\n" +
    "                                </button>\n" +
    "                                <button  ng-click=\"vm.ver(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                                    <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\" aria-hidden=\"true\"></i>\n" +
    "                                    <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\" aria-hidden=\"true\"></i>\n" +
    "                                </button>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <!-- ver la info extendida y luego detalle -->\n" +
    "\n" +
    "                        <!--<div class=\"ficha\" ng-class=\"\" style=\"width:100%;height: auto;display:flex;background:white;padding:10px;\">\n" +
    "                            <div style=\"flex:1\">\n" +
    "                                <label>Albarán</label>\n" +
    "                                <span>{{::item.doc}}</span><br>\n" +
    "                                <label>Albarán</label>\n" +
    "                                <span>{{::item.doc}}</span>\n" +
    "                            </div>\n" +
    "                            <div style=\"flex:1; background:white;\">\n" +
    "                                <label>Albarán</label>\n" +
    "                                <span>{{::item.doc}}</span><br>\n" +
    "                                <label>Albarán</label>\n" +
    "                                <span>{{::item.doc}}</span><br>\n" +
    "                                <label>Albarán</label>\n" +
    "                                <span>{{::item.doc}}</span><br>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>-->\n" +
    "                    </div>\n" +
    "                    <div ng-repeat-end=\"\" >\n" +
    "                        <div ng-if=\"vm.registroSel.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                                <div class=\"seccion tabla-albaranes__seccion\">\n" +
    "                                    <div class=\"seccion__cabecera\">\n" +
    "                                        <div class=\"seccion__cabecera-titulo\">\n" +
    "                                            <h2> <span ng-bind=\"item.doc\"></span></h2>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"seccion__cabecera-botones\">\n" +
    "                                            <button ng-click=\"vm.verRegistro(item)\" class=\"btn boton__accion-peque\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                                            <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn boton__accion-peque\"><i class=\"fa fa-trash-o\"></i> Borrar</button>\n" +
    "                                            <button ng-click=\"vm.imprimir(item)\" title=\"Imprimir\" class=\"btn boton__accion-peque\">\n" +
    "                                                <i class=\"fa fa-print\" aria-hidden=\"true\"></i> Imprimir</button>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                    <div class=\"seccion__contenido\">\n" +
    "                                        <div class=\"tabla__datos\" >\n" +
    "                                            <div class=\"tabla__titulos\">\n" +
    "                                                <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                    <span class=\"titulo__columna\">Descripcion</span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Cantidad</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Precio</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Total</span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div ng-repeat=\"item in vm.datosDoc.lineas\" >\n" +
    "\n" +
    "                                                <div class=\"tabla__registro\">\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                        <span>{{item.descripcion}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.cantidad}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.precio |  currency: \"€\" : 2}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.total | currency}}</span>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.nota.length > 0 \">\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Notas</label>\n" +
    "                                                        <span ng-bind=\"item.nota\"></span>\n" +
    "                                                    </div>\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.es_reserva\">\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Nombre Jugador</label>\n" +
    "                                                        <span ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                                                    </div>\n" +
    "\n" +
    "\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Concepto</label>\n" +
    "                                                        <span ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Fecha</label>\n" +
    "                                                        <span ng-bind=\"item.fecha_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Hora</label>\n" +
    "                                                        <span ng-bind=\"item.hora_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Recorrido</label>\n" +
    "                                                        <span ng-bind=\"item.recorrido\"></span>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "      <!--  <div class=\"col-lg-4 col-md-4 col-sm-12 no-mobile\">\n" +
    "            <div class=\"datos-registro-tabla\">\n" +
    "                <h2>Datos Licitación</h2>\n" +
    "                <div class=\"ficha\">\n" +
    "                    <div class=\"form-group entidad\">\n" +
    "                        <label>Entidad</label>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 0\">Entidad 0</span>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 1\">Entidad 1</span>\n" +
    "                       &lt;!&ndash; <button type=\"button\" class=\"btn\" read-only\n" +
    "                                ng-model=\"vm.itemDetalle.entidad\" data-html=\"1\"\n" +
    "                                bs-options=\"entidad.value as entidad.label for entidad in vm.entidades\"\n" +
    "                                bs-select>\n" +
    "                        </button>&ndash;&gt;\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group clave\">\n" +
    "                        <label>Clave</label>\n" +
    "                        <span>{{vm.itemDetalle.clave}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group objeto\">\n" +
    "                        <label>Objeto</label>\n" +
    "                        <span>{{vm.itemDetalle.objeto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group presupuesto\">\n" +
    "                        <label>Presupuesto base</label>\n" +
    "                        <span>{{vm.itemDetalle.presupuesto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group fecha_anuncio\">\n" +
    "                        <label>Fecha Anuncio</label>\n" +
    "                        <span>{{vm.itemDetalle.fecha_a}}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "               &lt;!&ndash; <div class=\"form-group\">\n" +
    "                    <button type=\"button\" class=\"btn acciones-asociado\" bs-dropdown=\"vm.menuAsociado\">Acciones<span\n" +
    "                            class=\"caret\"></span></button>\n" +
    "                </div>&ndash;&gt;\n" +
    "            </div>\n" +
    "        </div>-->\n" +
    "\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "<registro-albaran></registro-albaran>\n"
  );


  $templateCache.put('views/admin/clientes/clientes-baja.html',
    "\n" +
    "<div class=\"lightbox baja-asociado\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Baja Asociado</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"row datos-registro\">\n" +
    "            <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12\">\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate form-cycle>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Baja</label><br>\n" +
    "                        <div class=\"form-group\">\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control fecha\" required data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha_baja\" data-autoclose=\"1\" placeholder=\"Fecha Baja\" bs-datepicker>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "                        <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                    </div>\n" +
    "                </form>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/clientes/clientes-buscar.html',
    "\n" +
    "<div class=\"clientes-buscar\">\n" +
    "  <div class=\"clientes-buscar__campo\">\n" +
    "    <div class=\"clientes-buscar__campo-valor\" ng-click=\"show()\"><span class=\"resultado\">{{selecteditem[key]}}</span></div>\n" +
    "    <div class=\"clientes-buscar__campo-borrar\" style=\"float: right;\"><span class=\"pull-right glyphicon glyphicon-search\" ng-click=\"show()\"></span></div>\n" +
    "    <div class=\"clientes-buscar__campo-borrar\" style=\"float: right;\"><span class=\"glyphicon glyphicon-remove pull-right\" ng-click=\"borraItemLista()\"></span></div>\n" +
    "  </div>\n" +
    "  <div class=\"slds-modal\" ng-show=\"showList\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "      <div class=\"slds-modal__header slds-modal__header-azul\">\n" +
    "        <h3>Busqueda Abonados</h3>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__content\" style=\"height:50vh;\">\n" +
    "        <div class=\"search\">\n" +
    "          <div class=\"input-group flex__row\">\n" +
    "            <input class=\"form-control\" type=\"text\" ng-model=\"searchKey\" placeholder=\"Buscar Abonado...\" ng-change=\"textChanged(searchKey)\"/>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"data-list\">\n" +
    "          <div class=\"data-list__header\">\n" +
    "            <div class=\"data-list__header-column flex1\"><span>Abono</span></div>\n" +
    "            <div class=\"data-list__header-column flex4\"><span>Nombre Jugador</span></div>\n" +
    "            <div class=\"data-list__header-column flex2\"><span>Fecha Inicio</span></div>\n" +
    "            <div class=\"data-list__detail-column flex2\"><span>Fecha Inicio</span></div>\n" +
    "            <div class=\"data-list__header-button\"></div>\n" +
    "          </div>\n" +
    "          <div class=\"data-list__content\">\n" +
    "            <div class=\"data-list__detail\" ng-repeat=\"item in values track by item.id\" ng-click=\"selectItem(item)\" ng-if=\"values.length &gt; 0\">\n" +
    "              <div class=\"data-list__detail-column flex1\"><span ng-bind=\"::item.abono\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex4\"><span ng-bind=\"::item.nombre_jugador\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex2\"><span ng-bind=\"::item.fechaini\"></span></div>\n" +
    "              <div class=\"data-list__detail-column flex2\"><span ng-bind=\"::item.fechafin\"></span></div>\n" +
    "              <div class=\"data-list__detail-button\" style=\"padding: 10px 0;\"><i class=\"glyphicon glyphicon-ok\" ng-show=\"isActive(item)\"></i></div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar\" ng-click=\"showList=false\">Cancelar</a></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/clientes/clientes-cuota.html',
    "\n" +
    "<div class=\"clientes-cuota slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Cuota Cliente</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\" form-cycle=\"\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"busqueda__productos\">\n" +
    "                    <busqueda-producto foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerProductos(searchKey)\"></busqueda-producto>\n" +
    "                    <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\" ng-click=\"vm.productos=[]\" ng-show=\"vm.productos.length&gt;0\">Cerrar</button>\n" +
    "                  </div>\n" +
    "                  <div class=\"lista-productos\" ng-show=\"vm.productos.length &gt; 1\">\n" +
    "                    <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\" ng-click=\"vm.seleccionaProducto(producto)\">\n" +
    "                      <div class=\"linea-consulta-producto\"><span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span><span class=\"precio\" ng-bind=\"producto.precio\"></span></div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"linea__producto\">\n" +
    "                    <label class=\"control-label\">Producto</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" autocomplete=\"off\" ng-model=\"vm.fd.producto\" ng-readonly=\"true\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__descripcion\">\n" +
    "                    <label class=\"control-label\">Descripci&oacute;n</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" autocomplete=\"off\" ng-model=\"vm.fd.descripcion\" campo-siguiente=\"input-cantidad\" on-enter=\"\" ng-readonly=\"vm.fd.producto_id != 0\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__cantidad\">\n" +
    "                    <label class=\"control-label\">Cantidad</label>\n" +
    "                    <input class=\"form-control input-cantidad\" type=\"text\" size=\"10\" money=\"\" required=\"\" min=\"-99999999\" max=\"99999999\" precision=\"2\" ng-model=\"vm.fd.cantidad\" on-enter=\"\" ng-change=\"vm.recalcular()\" simple-focus=\"vm.focoCantidad\" campo-siguiente=\"input-precio\" placeholder=\"Cantidad\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea__precio\">\n" +
    "                    <label class=\"control-label\">Precio</label>\n" +
    "                    <input class=\"form-control input-precio\" on-enter=\"\" ng-change=\"vm.recalcular()\" campo-siguiente=\"linea__notas-input\" type=\"text\" size=\"10\" required=\"\" money=\"\" ng-model=\"vm.fd.precio\" placeholder=\"Precio\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__row\">\n" +
    "                  <div class=\"linea__notas\">\n" +
    "                    <label class=\"control-label\">Notas</label>\n" +
    "                    <textarea class=\"linea__notas-input\" ng-model=\"vm.fd.nota\"></textarea>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar fl\" ng-click=\"vm.nuevoProducto()\">Nuevo producto</a><a class=\"btn btn-cancelar fl\" ng-show=\"vm.fd.producto_id &gt; 0\" ng-click=\"vm.verProducto()\">Ver ficha producto</a><a class=\"btn btn-cancelar fl\" ng-show=\"vm.fd.producto_id &gt; 0\" ng-click=\"vm.extractoProducto()\">Extracto producto</a><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Grabar Producto Cuota</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>"
  );


  $templateCache.put('views/admin/clientes/clientes-extracto.html',
    "<style>\n" +
    "    .slds-modal {\n" +
    "        overscroll-behavior-y: contain;\n" +
    "    }\n" +
    "    .slds-modal__container {\n" +
    "        max-width:1440px;\n" +
    "        width: 95%;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__content {\n" +
    "        flex-grow: 0;\n" +
    "        display: flex;\n" +
    "        flex-direction: column;\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .documento__cabecera {\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable {\n" +
    "        height: auto;\n" +
    "    }\n" +
    "    .tabla__datos {\n" +
    "        flex: 1 ;\n" +
    "    }\n" +
    "    .evo-tableflex .tabla__pie {\n" +
    "        display: none ;\n" +
    "    }\n" +
    "    .documento__cabecera-referencia {\n" +
    "        flex: 2 ;\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable .acciones-tabla .registros-por-pagina {\n" +
    "        height: 28px;\n" +
    "        padding: 2px ;\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable {\n" +
    "        padding :0;\n" +
    "    }\n" +
    "\n" +
    "    .panel__container {\n" +
    "        padding: 4px;\n" +
    "    }\n" +
    "    .panel__info {\n" +
    "        padding: 4px;\n" +
    "    }\n" +
    "    .panel__info-value {\n" +
    "        font-size: 2em;\n" +
    "    }\n" +
    "    .evo-tableflex .razon_social {\n" +
    "        flex: 2;\n" +
    "    }\n" +
    "    .evo-tableflex__datos {\n" +
    "        min-height: 450px;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"extracto-clientes slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Extracto Cliente</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "\n" +
    "            <div class=\"documento__cabecera\">\n" +
    "                <div class=\"documento__cabecera-referencia\">\n" +
    "                    <span class=\"documento__referencia\">{{ vm.fd.cliente.razon_social  }}</span>\n" +
    "                </div>\n" +
    "                <!--   <div class=\"documento__cabecera-botones\">\n" +
    "                       <button class=\"btn btn-sucess documento__boton-grabar\" ng-click=\"vm.verFichaProducto()\">\n" +
    "                           <i class=\"icon-file\"></i> Ver Ficha Producto\n" +
    "                       </button>\n" +
    "\n" +
    "                   </div>-->\n" +
    "            </div>\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\"\n" +
    "                 nombre-tabla=\"lista-productos-extracto\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos tabla__datos-extracto-productos\">\n" +
    "                <div class=\"evo-tableflex__datos \" style=\"flex: 1;overflow-y: scroll;\">\n" +
    "                    <div ng-repeat=\"item in items\" class=\"tabla__registro\"\n" +
    "                         ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "                        <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                            <!--<div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                    <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                    <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                                </div>\n" +
    "                            </div>-->\n" +
    "\n" +
    "                            <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                                <div class=\"tabla__columna tipo\">\n" +
    "                                    <label>Tipo</label>\n" +
    "                                    <span>{{item.tipo}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{item.fecha_e}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna documento\">\n" +
    "                                    <label>Documento</label>\n" +
    "                                    <span>{{item.documento}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                                <div class=\"tabla__columna numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{item.total | currency}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"tabla__columna numero\">\n" +
    "                                    <label>Saldo</label>\n" +
    "                                    <span>{{item.saldo  | currency}}</span>\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <div class=\"tabla__columna-acciones\">\n" +
    "                                <button ng-click=\"vm.actInventario(item)\"\n" +
    "                                        ng-show=\"(item.stock_act > 0) && (vm.registroSel.id == item.id)\"\n" +
    "                                        class=\"btn \"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer-info\">\n" +
    "            <div class=\"panel__container\">\n" +
    "\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Ventas</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.total_ventas  | currency }}</span>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Cobros</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.total_cobros  | currency }}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Saldo</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.saldo  | currency }}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/clientes/clientes-generacion-cuotas-form.html',
    "\n" +
    "<style>\n" +
    "  .clientes-generacion-cuotas .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .clientes-generacion-cuotas .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .clientes-generacion-cuotas .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .clientes-generacion-cuotas .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"clientes-generacion-cuotas\">\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Generacion Cuotas Clientes</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"flex__row flex__dir-col\">\n" +
    "            <div class=\"form-group\">\n" +
    "              <div class=\"w50 fl\">\n" +
    "                <label class=\"control-label\">Fecha Factura</label>\n" +
    "                <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Factura\" bs-datepicker=\"\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"form-group flex__col-12\">\n" +
    "              <label class=\"control-label\">Concepto</label>\n" +
    "              <input class=\"form-control\" type=\"text\" placeholder=\"Concepto\" data-validation=\"required\" required=\"\" name=\"concepto\" ng-model=\"vm.fd.concepto\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.generarAbonos(vm.formDatos)\">Generar Cuotas</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/clientes/clientes-generacion-cuotas.html',
    "\n" +
    "<div class=\"clientes-generacion-cuotas lista\" ng-cloak=\"\"></div>\n" +
    "<div class=\"row\">\n" +
    "  <div class=\"col-lg-12\">\n" +
    "    <h1>Listado de Socios</h1>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"row\">\n" +
    "  <div class=\"col-lg-12\">\n" +
    "    <div class=\"formulario-busqueda\">\n" +
    "      <div class=\"form-group botones-formulario\"><a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Socios</a>\n" +
    "        <!--\n" +
    "        <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.imprimir()\">Imprimir Lista</a>\n" +
    "        <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>\n" +
    "        -->\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"row\">\n" +
    "  <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "    <div class=\"tabla-datos tabla-clientes-div\" ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "      <div class=\"datos\">\n" +
    "        <div class=\"registros\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "          <div class=\"ficha\" ng-click=\"vm.ver(item)\">\n" +
    "            <div class=\"columna razon_social\">\n" +
    "              <label class=\"no-phone\">Raz&oacute;n social</label><span>{{item.razon_social}}</span>\n" +
    "            </div>\n" +
    "            <div class=\"columna email no-phone\">\n" +
    "              <label>e-mail</label><span>{{item.email}}</span>\n" +
    "            </div>\n" +
    "            <div class=\"columna telefono no-phone\">\n" +
    "              <label>Telefono</label><span>{{item.telefono}}</span>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <!-- Lo ponemos como estandard los nombres-->\n" +
    "          <div class=\"columna-acciones ver-registro\" data-title=\"Acciones\">\n" +
    "            <button class=\"btn btn-default btn-xs\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "            <button class=\"btn btn-default btn-xs\" ng-click=\"vm.ver(item)\"><i class=\"fa fa-chevron-up\" ng-show=\"item.id === vm.registroSel.id \" aria-hidden=\"true\"></i><i class=\"fa fa-chevron-down\" ng-show=\"vm.registroSel.id != item.id \" aria-hidden=\"true\"></i></button>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div ng-repeat-end=\"\">\n" +
    "          <div class=\"datos-registro-tabla w100\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "            <div class=\"expandable w100\">\n" +
    "              <div class=\"w100\">\n" +
    "                <h2><span class=\"razon-social\" ng-bind=\"item.razon_social\"></span></h2>\n" +
    "              </div>\n" +
    "              <div class=\"w50 mw100 fl pr10\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Direcci&oacute;n</label><span class=\"campo\" ng-bind=\"item.direccion\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Poblaci&oacute;n</label><span class=\"campo\" ng-bind=\"item.poblacion\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Provincia</label><span class=\"campo\" ng-bind=\"item.provincia\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Pa&iacute;s</label><span class=\"campo\" ng-bind=\"item.pais\"></span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"w50 mw100 fl\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Email</label><span class=\"campo\" ng-bind=\"item.email\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>web</label><span class=\"campo\" ng-bind=\"item.web\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Tel&eacute;fono</label><span class=\"campo\" ng-bind=\"item.telefono\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label>Persona Contacto</label><span class=\"campo\" ng-bind=\"item.persona_contacto\"></span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"w100 fl\">\n" +
    "                <button class=\"btn boton__accion\" ng-click=\"vm.verExtracto(item)\"><i class=\"fa fa-pencil\"></i> Extracto</button>\n" +
    "                <button class=\"btn boton__accion\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                <button class=\"btn boton__accion\" ng-click=\"vm.borrarRegistro(item)\"><i class=\"fa fa-trash-o\"></i> Borrar</button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-cliente></registro-cliente>\n" +
    "<sclientes-extracto></sclientes-extracto>\n" +
    "<div class=\"clientes-generacion-cuotas-formulario slds-modal\" ng-show=\"vm.formGenera\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Generacion Cuotas Clientes</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatosGenera\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"flex__row flex__dir-col\">\n" +
    "            <div class=\"form-group\">\n" +
    "              <div class=\"w50 fl\">\n" +
    "                <label class=\"control-label\">Fecha Factura</label>\n" +
    "                <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Factura\" bs-datepicker=\"\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"form-group flex__col-12\">\n" +
    "              <label class=\"control-label\">Concepto</label>\n" +
    "              <input class=\"form-control\" type=\"text\" placeholder=\"Concepto\" data-validation=\"required\" required=\"\" name=\"concepto\" ng-model=\"vm.fd.concepto\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar mr-5\" ng-disabled=\"!vm.formDatosGenera.$valid\" ng-click=\"vm.generarCuotas()\">Generar Cuotas</a><a class=\"btn\" ng-click=\"vm.cierrraFormGenera()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/clientes/clientes-lista.html',
    "<div class=\"lista-clientes lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Clientes</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "              <!--  <contador-prueba count=\"vm.contador\"></contador-prueba>\n" +
    "                <span ng-bind=\"vm.contador\"></span>-->\n" +
    "                <!--<div class=\"form-group\" style=\"width: 150px\">\n" +
    "                    <label class=\"control-label\" style=\"margin-right:10px\">Estado:  </label>\n" +
    "                    <button type=\"button\" class=\"btn btn-default\"\n" +
    "                            ng-model=\"vm.opcion\"\n" +
    "                            ng-change=\"vm.verOpcion()\"\n" +
    "                            data-html=\"1\"\n" +
    "                            bs-options=\"opcion.value as opcion.label for opcion in vm.opciones\"\n" +
    "                            bs-select>\n" +
    "                    </button>\n" +
    "\n" +
    "                </div>-->\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Clientes</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Cliente</a>\n" +
    "                  <!--  <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.imprimir()\">Imprimir Lista</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-clientes-div\">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat-start=\"item in items\" class=\"registros\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "\n" +
    "                      <div class=\"ficha\" ng-click=\"vm.ver(item)\" >\n" +
    "                          <div class=\"columna razon_social\">\n" +
    "                              <label class=\"no-phone\">Razón social</label>\n" +
    "                              <span>{{item.razon_social}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"columna email no-phone\">\n" +
    "                              <label>e-mail</label>\n" +
    "                              <span>{{item.email}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"columna telefono no-phone\">\n" +
    "                              <label>Telefono</label>\n" +
    "                              <span>{{item.telefono}}</span>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                      <!--Lo ponemos como estandard los nombres-->\n" +
    "                      <div data-title=\"Acciones\"  class=\"columna-acciones ver-registro\">\n" +
    "                          <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          <button  ng-click=\"vm.ver(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                              <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\" aria-hidden=\"true\"></i>\n" +
    "                              <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\" aria-hidden=\"true\"></i>\n" +
    "                          </button>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "                  <div ng-repeat-end=\"\" >\n" +
    "\n" +
    "                      <div ng-if=\"vm.registroSel.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                          <div class=\"expandable w100\">\n" +
    "                              <div class=\"w100\">\n" +
    "                                  <h2> <span class=\"razon-social\" ng-bind=\"item.razon_social\"></span></h2>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"w50 mw100 fl pr10\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Dirección</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.direccion\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Población</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.poblacion\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Provincia</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.provincia\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>País</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.pais\"></span>\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"w50 mw100 fl\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Email</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.email\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>web</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.web\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Teléfono</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.telefono\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Persona Contacto</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.persona_contacto\"></span>\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "                              <div class=\"w100 fl\">\n" +
    "                                  <button ng-click=\"vm.verExtracto(item)\" class=\"btn boton__accion\"><i class=\"fa fa-pencil\"></i> Extracto</button>\n" +
    "                                  <button ng-click=\"vm.verRegistro(item)\" class=\"btn boton__accion\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                                  <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn boton__accion\"><i class=\"fa fa-trash-o\"></i> Borrar</button>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-cliente></registro-cliente>\n" +
    "<baja-asociado></baja-asociado>\n" +
    "<clientes-extracto></clientes-extracto>"
  );


  $templateCache.put('views/admin/clientes/clientes-registro.html',
    "\n" +
    "<style>\n" +
    "  .evora-checkbox {\n" +
    "      background: white ;\n" +
    "      border-radius: 2px;\n" +
    "  }\n" +
    "  \n" +
    "  .evora-checkbox:hover,\n" +
    "  .evora-checkbox:active,\n" +
    "  .evora-checkbox:focus\n" +
    "  {\n" +
    "      background: #f7f7f7;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-clientes .slds-modal__content {\n" +
    "      min-height: 500px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-clientes\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Cliente</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <uib-tabset>\n" +
    "            <uib-tab heading=\"Datos Cliente\">\n" +
    "              <div class=\"flex__row\">\n" +
    "                <div class=\"flex__col-6 flex__row flex__dir-col\">\n" +
    "                  <input-evo name=\"razon_social\" etiqueta=\"Razón social\" required=\"\" ng-model=\"vm.fd.razon_social\"></input-evo>\n" +
    "                  <input-evo name=\"direccion\" etiqueta=\"Dirección\" ng-model=\"vm.fd.direccion\"></input-evo>\n" +
    "                  <input-evo name=\"poblacion\" etiqueta=\"Población\" ng-model=\"vm.fd.poblacion\"></input-evo>\n" +
    "                  <input-evo name=\"codigo_postal\" etiqueta=\"Código Postal\" ng-model=\"vm.fd.codigopostal\"></input-evo>\n" +
    "                  <input-evo name=\"provincia\" etiqueta=\"Provincia\" ng-model=\"vm.fd.provincia\"></input-evo>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Pa&iacute;s</label>\n" +
    "                    <!--\n" +
    "                    <input type=\"text\" class=\"form-control\" ng-model=\"vm.fd.reserva.pais\" placeholder=\"{{ 'País' | translate }}\" data-validation=\"required\"\n" +
    "                    id=\"userCountrie\" name=\"pais\" required>\n" +
    "                    -->\n" +
    "                    <!-- <label for=\"pais\">{{ 'País' | translate }}</label><br>-->\n" +
    "                    <select class=\"form-control select-pais\" id=\"pais\" name=\"pais\" ng-model=\"vm.fd.pais\">\n" +
    "                      <option value=\"\" disabled=\"\" selected=\"\">{{ &apos;Pa&iacute;s&apos; }}</option>\n" +
    "                      <option ng-repeat=\"pais in vm.paises\" value=\"{{ pais.Code }}\">{{ pais.Name }}</option>\n" +
    "                    </select>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__col-6 flex__row flex__dir-col\">\n" +
    "                  <input-evo name=\"persona_contacto\" etiqueta=\"Persona Contacto\" ng-model=\"vm.fd.persona_contacto\"></input-evo>\n" +
    "                  <input-evo name=\"telefono\" etiqueta=\"Teléfono\" ng-model=\"vm.fd.telefono\"></input-evo>\n" +
    "                  <input-evo etiqueta=\"Móvil\" ng-model=\"vm.fd.movil\"></input-evo>\n" +
    "                  <input-evo name=\"email\" etiqueta=\"e-mail\" ng-model=\"vm.fd.email\"></input-evo>\n" +
    "                  <input-evo name=\"web\" etiqueta=\"Página web\" ng-model=\"vm.fd.web\"></input-evo>\n" +
    "                  <div class=\"form-group col-lg-4 col-md-4\">\n" +
    "                    <label class=\"control-label\">Es Socio</label>\n" +
    "                    <checkbox class=\"evora-checkbox\" ng-model=\"vm.fd.essocio\" ng-true-value=\"1\" ng-false-value=\"0\"></checkbox>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </uib-tab>\n" +
    "            <uib-tab heading=\"Datos fiscales y contables\">\n" +
    "              <div class=\"flex__row\">\n" +
    "                <div class=\"flex__col-6 flex__row flex__dir-col\">\n" +
    "                  <input-evo name=\"cif\" etiqueta=\"C.I.F.\" ng-model=\"vm.fd.cif\"></input-evo>\n" +
    "                  <input-evo etiqueta=\"Cuenta Contable\" ng-model=\"vm.fd.cta_contable\"></input-evo>\n" +
    "                  <input-evo etiqueta=\"IBAN\" ng-model=\"vm.fd.iban\"></input-evo>\n" +
    "                  <input-evo etiqueta=\"Bic\" ng-model=\"vm.fd.bic\"></input-evo>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </uib-tab>\n" +
    "            <uib-tab heading=\"Cuotas Socios\" ng-show=\"vm.fd.essocio==1\">\n" +
    "              <div class=\"slds-modal__subheader\"><a class=\"btn boton-grabar\" ng-click=\"vm.nuevaCuota()\">Nueva Cuota</a></div>\n" +
    "              <div class=\"flex__row\">\n" +
    "                <div class=\"flex__row flex__dir-col flex1\">\n" +
    "                  <div class=\"data-list flex__col-12\">\n" +
    "                    <div class=\"data-list__header\" style=\"flex:0;min-height:40px;\">\n" +
    "                      <div class=\"data-list__header-column producto-tarifa__descripcion\"><span>Descripción</span></div>\n" +
    "                      <div class=\"data-list__header-column producto-tarifa__precio numero\"><span>Precio</span></div>\n" +
    "                      <div class=\"data-list__header-button\"></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"data-list__content\">\n" +
    "                      <div class=\"data-list__detail\" ng-repeat=\"item in vm.cuotas\" ng-if=\"vm.cuotas.length &gt; 0\">\n" +
    "                        <div class=\"data-list__detail-column producto-tarifa__descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "                        <div class=\"data-list__detail-column producto-tarifa__precio numero\"><span ng-bind=\"::item.precio | currency\"></span></div>\n" +
    "                        <div class=\"data-list__detail-button\">\n" +
    "                          <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.modificaCuota(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </uib-tab>\n" +
    "            <uib-tab heading=\"Relacionados Socios\" ng-show=\"vm.fd.essocio==1\">\n" +
    "              <div class=\"flex__row\">\n" +
    "                <div class=\"flex__col-6 flex__row flex__dir-col\"></div>\n" +
    "              </div>\n" +
    "            </uib-tab>\n" +
    "          </uib-tabset>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Confirmar</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<clientes-cuota></clientes-cuota>"
  );


  $templateCache.put('views/admin/clientes/clientes.html',
    "<sidebar></sidebar>\n" +
    "<div class=\"row-content main-content\">\n" +
    "    <div class=\"container\">\n" +
    "        <lista-clientes></lista-clientes>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/clientes/ver-cliente.html',
    "<sidebar></sidebar>\n" +
    "<div class=\"row-content main-content\">\n" +
    "    <div class=\"container\">\n" +
    "        <registro-asociado></registro-asociado>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/cobros/cobros-documento.html',
    "\n" +
    "<div class=\"registro-cobros\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Cobro</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionHeader\">\n" +
    "                    <h4>Cobro</h4>\n" +
    "                </div>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate form-cycle>\n" +
    "                                <div class=\"referencia-reserva\">\n" +
    "                                    <span>Referencia: {{ vm.documento.doc }}</span>\n" +
    "                                </div>\n" +
    "                                <input-evo name=\"concepto\" etiqueta=\"Concepto\" ng-model=\"vm.fd.concepto\"></input-evo>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Fecha Cobro</label>\n" +
    "                                    <input type=\"text\" size=\"10\" class=\"form-control fecha\" required data-date-format=\"dd-MM-yyyy\"\n" +
    "                                           ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Cobro\" bs-datepicker>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Total Cobro</label>\n" +
    "                                    <input type=\"text\" size=\"10\" class=\"form-control\" required cleave=\"{numeral:true}\"\n" +
    "                                           ng-model=\"vm.fd.total\"  placeholder=\"Total\">\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Forma de pago</label>\n" +
    "                                    <select class=\"form-control\" ng-model=\"vm.formapago.id\" required ng-options=\"formapago.id as formapago.descripcion for formapago in vm.formasPago\"></select>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Notas</label>\n" +
    "                                    <textarea ng-model=\"vm.fd.notas\"></textarea>\n" +
    "                                </div>\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar Cobro</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "\n"
  );


  $templateCache.put('views/admin/cobros/lista-cobros.html',
    "<div class=\"lista lista-albaranes\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"cabecera\">\n" +
    "                <h1>Cobros</h1>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                    <div class=\"form-group fl\" style=\"margin-right:15px\">\n" +
    "                        <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                        <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"flex__row\">\n" +
    "\n" +
    "                    <div class=\"form-group fl mr10 form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group fl form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaFin\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario flw1\">\n" +
    "                    <a class=\"btn  btn-form boton__svg\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "                   <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listado()\">Listar cobros</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\" show-filters=\"true\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-cobros\">\n" +
    "                <div class=\"datos\">  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat=\"item in items\" class=\"registros\" ng-class=\"{ 'doc-pendiente': item.pendiente !=0 && item.factura_id == 0 }\">\n" +
    "                        <div>\n" +
    "                            <div class=\"check-box\"><input type=\"checkbox\" ng-model=\"item.selected\"/></div>\n" +
    "                            <div class=\"ficha\" ng-class=\"\">\n" +
    "\n" +
    "                                <div class=\"columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna tipo\">\n" +
    "                                    <label>Tipo</label>\n" +
    "                                    <span>{{::item.tipo}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna concepto\">\n" +
    "                                    <label>Concepto</label>\n" +
    "                                    <span>{{::item.concepto}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total tabla__columna-numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total | currency }}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <!--Lo ponemos como estandard los nombres-->\n" +
    "                            <div data-title=\"Acciones\"  class=\"columna-acciones ver-registro\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                                    <i class=\"fa fa-pencil\"></i>\n" +
    "                                </button>\n" +
    "                                <button  ng-click=\"vm.ver(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                                    <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\" aria-hidden=\"true\"></i>\n" +
    "                                    <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\" aria-hidden=\"true\"></i>\n" +
    "                                </button>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "      <!--  <div class=\"col-lg-4 col-md-4 col-sm-12 no-mobile\">\n" +
    "            <div class=\"datos-registro-tabla\">\n" +
    "                <h2>Datos Licitación</h2>\n" +
    "                <div class=\"ficha\">\n" +
    "                    <div class=\"form-group entidad\">\n" +
    "                        <label>Entidad</label>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 0\">Entidad 0</span>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 1\">Entidad 1</span>\n" +
    "                       &lt;!&ndash; <button type=\"button\" class=\"btn\" read-only\n" +
    "                                ng-model=\"vm.itemDetalle.entidad\" data-html=\"1\"\n" +
    "                                bs-options=\"entidad.value as entidad.label for entidad in vm.entidades\"\n" +
    "                                bs-select>\n" +
    "                        </button>&ndash;&gt;\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group clave\">\n" +
    "                        <label>Clave</label>\n" +
    "                        <span>{{vm.itemDetalle.clave}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group objeto\">\n" +
    "                        <label>Objeto</label>\n" +
    "                        <span>{{vm.itemDetalle.objeto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group presupuesto\">\n" +
    "                        <label>Presupuesto base</label>\n" +
    "                        <span>{{vm.itemDetalle.presupuesto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group fecha_anuncio\">\n" +
    "                        <label>Fecha Anuncio</label>\n" +
    "                        <span>{{vm.itemDetalle.fecha_a}}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "               &lt;!&ndash; <div class=\"form-group\">\n" +
    "                    <button type=\"button\" class=\"btn acciones-asociado\" bs-dropdown=\"vm.menuAsociado\">Acciones<span\n" +
    "                            class=\"caret\"></span></button>\n" +
    "                </div>&ndash;&gt;\n" +
    "            </div>\n" +
    "        </div>-->\n" +
    "\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/colores/colores-lista.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Tallas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver tallas</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva talla</a>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" select=\"false\" filtros=\"false\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos formas-pago__tabla \">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "                          <div class=\"tabla__columna codigo\">\n" +
    "                              <label>Talla</label>\n" +
    "                              <span>{{item.codigo}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"tabla__columna-acciones formas-pago__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-color></registro-color>\n"
  );


  $templateCache.put('views/admin/colores/colores-registro-lista-2.html',
    "<style>\n" +
    "    .fondo-pantalla-edicion {\n" +
    "        position: absolute;\n" +
    "        top: 0;\n" +
    "        bottom: 0;\n" +
    "        right: 0;\n" +
    "        left: 0;\n" +
    "        background: rgba(0, 0, 0, 0.25);\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__content {\n" +
    "        height: auto;\n" +
    "        position: relative;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__crud {\n" +
    "        position: absolute;\n" +
    "        top: 0;\n" +
    "        bottom: 0;\n" +
    "        right: 0;\n" +
    "        left: 50%;\n" +
    "        background: white;\n" +
    "        display: flex;\n" +
    "        flex-direction: column;\n" +
    "    }\n" +
    "    .campos-busqueda {\n" +
    "        margin-bottom: 15px;\n" +
    "    }\n" +
    "\n" +
    "</style>\n" +
    "<div class=\"slds-modal lista-colores\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Buscar Colores</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <div class=\"sectionContainer\">\n" +
    "                <div class=\"campos-busqueda\">\n" +
    "                    <div class=\"form-group w50\">\n" +
    "                        <label>Color</label>\n" +
    "                        <input type=\"text\"\n" +
    "                               class=\"form-control\"\n" +
    "                               foco=\"vm.focoRazonSocial\"\n" +
    "                               ng-model=\"vm.descripcion\"/>\n" +
    "                    </div>\n" +
    "                    <button class=\"btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.verDatos(vm.descripcion)\">\n" +
    "                        Buscar\n" +
    "                    </button>\n" +
    "                    <button class=\"btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.nuevoRegistro()\">Nuevo\n" +
    "                        Color\n" +
    "                    </button>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"data-list\">\n" +
    "                    <div class=\"data-list__header\">\n" +
    "                        <div class=\"data-list__header-column busca-colores__descripcion\">\n" +
    "                            <span>Descripcion</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"data-list__header-column busca-colores__descripcion\">\n" +
    "                            <span>Descripcion</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"data-list__header-button \">\n" +
    "                        </div>\n" +
    "                        <div class=\"data-list__header-button \">\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"data-list__content\">\n" +
    "\n" +
    "                        <div class=\"data-list__detail\"\n" +
    "                             ng-repeat=\"item in vm.datos\"\n" +
    "                             ng-if=\"vm.datos.length > 0\">\n" +
    "                            <div class=\"data-list__detail-column busca-colores__descripcion\">\n" +
    "                                <span ng-bind=\"::item.descripcion\"></span>\n" +
    "                            </div>\n" +
    "                            <div class=\"data-list__detail-column busca-colores__descripcion\">\n" +
    "                                <span ng-bind=\"::item.descripcion\"></span>\n" +
    "                            </div>\n" +
    "                           <div class=\"data-list__detail-button \">\n" +
    "                                        <button ng-click=\"vm.ver(item)\" class=\"btn tabla__datos-boton-fila\"><i\n" +
    "                                                class=\"fa fa-pencil\"></i></button>\n" +
    "                            </div>\n" +
    "                            <div class=\"data-list__detail-button \">\n" +
    "                                <button ng-click=\"vm.ver(item)\" class=\"btn tabla__datos-boton-fila\"><i\n" +
    "                                        class=\"fa fa-pencil\"></i></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Color</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow \">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <input-evo name=\"descripcion\" etiqueta=\"Descripción\" required\n" +
    "                                       ng-model=\"vm.fd.descripcion\">\n" +
    "                            </input-evo>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer slds-crud__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar Edicion</a>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/colores/colores-registro.html',
    "<div class=\"registro-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Colores</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "\n" +
    "                            <input-evo  etiqueta=\"Descripción\" required ng-model=\"vm.fd.descripcion\">\n" +
    "                            </input-evo>\n" +
    "\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar Color</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/depositos/depositos-asignacion.html',
    "\n" +
    "<style>\n" +
    "  .asigna-cantidad .slds-modal__container {\n" +
    "      width: 200px;\n" +
    "  }\n" +
    "  .tabla__depositos {\n" +
    "      min-height: 400px;\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "      flex-basis: 100%;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"slds-modal asigna-depositos-factura\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cerrar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Asignar depósito a factura</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cerrar()\" title=\"Cerrar\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <div class=\"tabla__depositos\">\n" +
    "          <div class=\"tabla__cabecera\">\n" +
    "            <div class=\"tabla__columna fecha_a flex1\"><span>Fecha</span></div>\n" +
    "            <div class=\"tabla__columna saldo flex1\"><span>Saldo</span></div>\n" +
    "            <div class=\"tabla__columna total flex1\"><span>Total</span></div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__datos\">\n" +
    "            <div class=\"tabla__registro\" ng-repeat=\"item in vm.fd.datos\">\n" +
    "              <div class=\"tabla__ficha\" ng-click=\"vm.asignar(item)\">\n" +
    "                <div class=\"tabla__columna fecha_a flex1\">\n" +
    "                  <label>Fecha</label><span>{{::item.fecha_a}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna saldo flex1\">\n" +
    "                  <label>saldo</label><span>{{::item.saldo}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna total flex1\">\n" +
    "                  <label>Total</label><span>{{::item.total}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar\" ng-click=\"vm.cerrar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal asigna-cantidad\" ng-show=\"vm.verCantidad\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cerrar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Introduce Cantidad a Asignar</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.verCantidad = false\" title=\"Cerrar\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "          <div class=\"form-group\">\n" +
    "            <label class=\"control-label\">Cantidad a Asignar</label>\n" +
    "            <input class=\"form-control\" type=\"text\" ng-model=\"vm.total_asignado\" name=\"total_asignado\" money=\"\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "          </div>\n" +
    "        </form>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn btn-cancelar\" ng-click=\"vm.verCantidad = false\">Cancelar</a><a class=\"btn btn-cancelar\" ng-click=\"vm.grabarAsignacion()\">Grabar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/depositos/depositos-lista.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .tabla__datos-registro {\n" +
    "      padding: 8px 16px;\n" +
    "      height: auto ;\n" +
    "  }\n" +
    "  .tabla__datos-registros {\n" +
    "      height: auto;\n" +
    "      min-height : auto ;\n" +
    "  }\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  .seccion__cabecera {\n" +
    "      padding: 5px 0;\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f9fb ;\n" +
    "  }\n" +
    "  .seccion__subcabecera  {\n" +
    "      padding: 0 ;\n" +
    "      margin-bottom: 10px;\n" +
    "  }\n" +
    "  \n" +
    "  .no-activo {\n" +
    "      border-left: 3px solid red ;\n" +
    "  }\n" +
    "  \n" +
    "  .activo {\n" +
    "      border-left: 3px solid yellowgreen;\n" +
    "  }\n" +
    "  .acciones {\n" +
    "      min-width: 100px;\n" +
    "  }\n" +
    "  .seccion__subcabecera h2 {\n" +
    "      font-family: Lato;\n" +
    "      font-weight: 300;\n" +
    "      color: #E91E63;\n" +
    "      font-size:1.5em;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"abonos-lista lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Depósitos / Prepagos</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"flex__row\">\n" +
    "          <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "            <label class=\"control-label\">Seleccione cliente</label>\n" +
    "            <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__row\">\n" +
    "          <div class=\"form-group fl mr10 form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "            <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fechaInicio\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker=\"\"/>\n" +
    "          </div>\n" +
    "          <div class=\"form-group fl form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "            <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fechaFin\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker=\"\"/>\n" +
    "          </div>\n" +
    "          <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "        </div>\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Depósitos</a><a class=\"btn btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Depósito</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-abonos\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-abonos\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\" ng-class=\"[{'activo': item.activo === 1 },{'no-activo': item.activo === 0 }] \">\n" +
    "                <div class=\"tabla__columna campo__fecha\">\n" +
    "                  <label>Fecha</label><span>{{::item.fecha_a}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex4\">\n" +
    "                  <label>Cliente</label><span>{{::item.razon_social}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex1\">\n" +
    "                  <label>Total</label><span>{{::item.total | currency:\"€\":2}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex1\">\n" +
    "                  <label>Saldo</label><span>{{::item.saldo | currency:\"€\":2}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\">\n" +
    "                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__ficha\" ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__subcabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2>Asignaciones depósito</h2>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"tabla__datos\">\n" +
    "                    <div class=\"tabla__titulos\">\n" +
    "                      <div class=\"tabla__columna flex1\"><span class=\"titulo__columna\">Fecha</span></div>\n" +
    "                      <div class=\"tabla__columna flex1\"><span class=\"titulo__columna\">Documento</span></div>\n" +
    "                      <div class=\"tabla__columna flex1\"><span class=\"titulo__columna\">Total</span></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"tabla__datos-registros\">\n" +
    "                      <div ng-repeat=\"item in vm.asignaciones\" ng-if=\"vm.asignaciones.length &gt; 0\">\n" +
    "                        <div class=\"tabla__registro\">\n" +
    "                          <div class=\"tabla__columna\"><span ng-bind=\"::item.fecha_a\"></span></div>\n" +
    "                          <div class=\"tabla__columna\"><span ng-bind=\"::item.doc\"></span></div>\n" +
    "                          <div class=\"tabla__columna\"><span ng-bind=\"::item.total | currency:&quot;€&quot;:2\"></span></div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<depositos-registro></depositos-registro>"
  );


  $templateCache.put('views/admin/depositos/depositos-registro.html',
    "\n" +
    "<style>\n" +
    "  .registro-abonos .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .registro-abonos .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-abonos .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .registro-abonos .lista-dabonos__precio-input {\n" +
    "      flex: 1;\n" +
    "      padding: 4px 8px;\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-abonos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Abonos</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "                  <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                  <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <div class=\"w50 fl\">\n" +
    "                    <label class=\"control-label\">Fecha</label>\n" +
    "                    <input class=\"form-control fecha\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" required=\"\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha\" bs-datepicker=\"\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Forma de pago</label>\n" +
    "                  <select class=\"form-control\" ng-model=\"vm.formapago.id\" required=\"\" ng-options=\"formapago.id as formapago.descripcion for formapago in vm.formasPago\"></select>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Notas</label>\n" +
    "                  <textarea ng-model=\"vm.fd.notas\"></textarea>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Total</label>\n" +
    "                  <input class=\"form-control form-control__numero\" type=\"text\" size=\"10\" required=\"\" ng-model=\"vm.fd.total\" money=\"\" placeholder=\"Total\"/>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar depósito</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/directivas/busca-proveedores.html',
    "<div class=\"slds-modal popup-buscar-clientes\" ng-show=\"vm.abreVentana\">\n" +
    "\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Proveedores</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <div class=\"sectionHeader\">\n" +
    "                <h4>Busqueda Proveedores</h4>\n" +
    "            </div>\n" +
    "            <div class=\"sectionContainer\">\n" +
    "                <div class=\"forcePageBlockSectionRow\">\n" +
    "                    <div class=\"forcePageBlockItem\">\n" +
    "                        <div class=\"campos-busqueda\">\n" +
    "                            <div class=\"form-group w50\">\n" +
    "                                <label>Razón social cliente a buscar</label>\n" +
    "                                <input type=\"text\"\n" +
    "                                       class=\"form-control\"\n" +
    "                                       foco=\"vm.focoRazonSocial\"\n" +
    "                                       ng-model=\"vm.razonSocial\"/>\n" +
    "                            </div>\n" +
    "                            <button class=\"btn boton-azul boton-campo-etiqueta-arriba\"\n" +
    "                                    ng-click=\"vm.buscar(vm.razonSocial)\">Buscar\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "                        <div class=\"cabecera-lista\">\n" +
    "                            <div class=\"columna razon-social\">\n" +
    "                                <span>Razón Social</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"lista lista-clientes\">\n" +
    "\n" +
    "                            <div class=\"detalle\" ng-repeat=\"cliente in vm.clientes\" ng-click=\"vm.seleccionar(cliente)\"\n" +
    "                                 ng-if=\"vm.clientes.length > 0\">\n" +
    "                                <div class=\"columna razon-social\">\n" +
    "                                    <span class=\"razon-social\" ng-bind=\"::cliente.razon_social\"></span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/directivas/buscaClientes.html',
    "<div class=\"slds-modal popup-buscar-clientes\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Buscar Clientes</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <div class=\"sectionContainer\">\n" +
    "                <div class=\"forcePageBlockSectionRow\">\n" +
    "                    <div class=\"forcePageBlockItem\">\n" +
    "                        <div class=\"campos-busqueda\">\n" +
    "                            <div class=\"form-group w50\">\n" +
    "                                <label>Razón social cliente a buscar</label>\n" +
    "                                <input type=\"text\"\n" +
    "                                       class=\"form-control\"\n" +
    "                                       foco=\"vm.focoRazonSocial\"\n" +
    "                                       ng-model=\"vm.razonSocial\"/>\n" +
    "                            </div>\n" +
    "                            <button class=\"btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.buscar(vm.razonSocial)\">Buscar</button>\n" +
    "                        </div>\n" +
    "                        <div class=\"cabecera-lista\">\n" +
    "                            <div class=\"columna razon-social\">\n" +
    "                                <span>Razón Social</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"lista lista-clientes\">\n" +
    "                            <div class=\"detalle\"\n" +
    "                                 ng-repeat=\"cliente in vm.clientes\"\n" +
    "                                 ng-click=\"vm.seleccionar(cliente)\"\n" +
    "                                 ng-if=\"vm.clientes.length > 0\">\n" +
    "                                <div class=\"columna razon-social\">\n" +
    "                                    <span class=\"razon-social\" ng-bind=\"::cliente.razon_social\"></span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/directivas/busqueda-registro.html',
    "<div class=\"busqueda-registro\" >\n" +
    "    <div class=\"search\">\n" +
    "        <label class=\"control-label\">Seleccione producto</label><br>\n" +
    "        <div class=\"input-group\">\n" +
    "            <input simple-focus=\"foco\" type=\"text\" ng-model=\"searchKey\" class=\"form-control\" placeholder=\"Buscar...\"\n" +
    "                   ng-model-options=\"{updateOn: 'default', debounce: {  'blur': 0 }}\">\n" +
    "        </div><!-- /input-group -->\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/facturas-compra/facturas-compra-lista.html',
    "<div class=\"lista lista-facturas\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"cabecera\">\n" +
    "                <h1>Facturas Compra</h1>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                    <div class=\"form-group fl\" style=\"margin-right:15px\">\n" +
    "                        <label class=\"control-label\">Seleccione proveedor</label>\n" +
    "                        <searchandselect selecteditem=\"vm.proveedor\" values=\"vm.proveedores\" key=\"razon_social\"\n" +
    "                                         totalrecords=\"totalRecords\"\n" +
    "                                         onscroll=\"vm.leerProveedores(searchKey,0)\"></searchandselect>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"flex__row\">\n" +
    "\n" +
    "                    <div class=\"form-group fl mr10\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group fl \" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaFin\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario flw1\">\n" +
    "                    <a class=\"btn  btn-form boton__svg\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Factura</a>\n" +
    "                    <!--<a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listado()\">Listar albaranes</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\"\n" +
    "                 nombre-tabla=\"lista-facturas\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos facturas__tabla\">\n" +
    "                <div class=\"tabla__datos-registros\">  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat-start=\"item in items\" class=\"tabla__registro\"\n" +
    "                         ng-class=\"{ 'tabla__datos-seleccionado': vm.registroSel.id === item.id}\">\n" +
    "                        <div class=\"tabla__ficha\">\n" +
    "                            <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                                <div class=\"tabla__columna doc\">\n" +
    "                                    <label>Factura</label>\n" +
    "                                    <span>{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna  sufactura\">\n" +
    "                                    <label>Nº Factura Proveedor</label>\n" +
    "                                    <span>{{::item.sufactura }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna total tabla__columna-numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total | currency }}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"tabla__columna-acciones tabla__columna-acciones-facturas\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-acciones\">\n" +
    "                                    <i class=\"fa fa-pencil\"></i>\n" +
    "                                </button>\n" +
    "                                <button ng-click=\"vm.ver(item)\" class=\"btn tabla__datos-boton-acciones\">\n" +
    "                                    <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\"\n" +
    "                                       aria-hidden=\"true\"></i>\n" +
    "                                    <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\"\n" +
    "                                       aria-hidden=\"true\"></i>\n" +
    "                                </button>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                    <div ng-repeat-end=\"\">\n" +
    "                        <div ng-if=\"vm.registroSel.id === item.id\" class=\"tabla__datos-registro\">\n" +
    "                            <div class=\"seccion\">\n" +
    "                                <div class=\"seccion__cabecera\">\n" +
    "                                    <div class=\"seccion__cabecera-titulo\">\n" +
    "                                        <h2><span ng-bind=\"item.doc\"></span></h2>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"evo-g-row\">\n" +
    "                                    <div class=\"evo-g-col evo-g-s-10\">\n" +
    "                                        <div class=\"tabla__datos\">\n" +
    "                                            <div class=\"tabla__titulos\">\n" +
    "                                                <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                    <span class=\"titulo__columna\">Descripcion</span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Cantidad</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Precio</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Total</span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div ng-repeat=\"item in vm.datosDoc.lineas\">\n" +
    "\n" +
    "                                                <div class=\"tabla__registro\">\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                        <span>{{item.descripcion}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.cantidad}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.precio |  currency: \"€\" : 2}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.total | currency}}</span>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                                     ng-show=\"item.nota.length > 0 \">\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Notas</label>\n" +
    "                                                        <span ng-bind=\"item.nota\"></span>\n" +
    "                                                    </div>\n" +
    "\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"evo-g-col evo-g-s-2\">\n" +
    "                                        <div class=\"seccion__pie-botones \" style=\"padding: 5px 10px;\">\n" +
    "                                            <button ng-click=\"vm.verRegistro(item)\" class=\"btn boton__accion-peque\"><i\n" +
    "                                                    class=\"fa fa-pencil\"></i> Modificar\n" +
    "                                            </button>\n" +
    "                                            <button ng-click=\"vm.verOpcionesEtiquetas()\" class=\"btn boton__accion-peque\"><i\n" +
    "                                                    class=\"fa fa-print\"></i> Imprimir Etiquetas\n" +
    "                                            </button>\n" +
    "                                            <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn boton__accion-peque\"><i\n" +
    "                                                    class=\"fa fa-trash-o\"></i> Borrar\n" +
    "                                            </button>\n" +
    "\n" +
    "                                            <!--<button ng-click=\"vm.imprimir(item)\" title=\"Imprimir\" class=\"btn boton__accion-peque\">\n" +
    "                                                <i class=\"fa fa-print\" aria-hidden=\"true\"></i> Imprimir</button>-->\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <style>\n" +
    "                                    .resumen-doc {\n" +
    "                                        display: flex;\n" +
    "                                        padding: 15px 0;\n" +
    "                                    }\n" +
    "                                    .resumen-doc__total {\n" +
    "                                        display: flex;\n" +
    "                                        flex: 1 ;\n" +
    "                                        flex-direction: row ;\n" +
    "                                        max-width: 200px;\n" +
    "                                        font-size: 2em;\n" +
    "\n" +
    "                                    }\n" +
    "                                    .resumen-doc__valor {\n" +
    "                                        flex: 1 ;\n" +
    "                                        text-align: right ;\n" +
    "                                    }\n" +
    "                                    .resumen-doc__etiqueta {\n" +
    "                                        flex: 1 ;\n" +
    "                                        font-weight: 400;\n" +
    "                                    }\n" +
    "                                </style>\n" +
    "                                <div class=\"seccion__contenido\">\n" +
    "                                    <div class=\"resumen-doc\">\n" +
    "                                        <div style=\"flex:1;\">\n" +
    "                                        </div>\n" +
    "                                        <div class=\"resumen-doc__total\">\n" +
    "                                            <div class=\"resumen-doc__etiqueta\">Total:  </div>\n" +
    "                                            <div class=\"resumen-doc__valor\"><span ng-bind=\"::item.total | currency\"></span></div>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.opcionesEtiquetas\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "    <div class=\"slds-modal__container\" style=\"width:300px\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Etiquetas factura de compra</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.opcionesEtiquetas = false\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formOpcionesEtiquetas\" novalidate>\n" +
    "                <span>Indica en que fila y columna quieres comenzar a imprimir las etiquetas</span><br>\n" +
    "                <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Fila: </label>\n" +
    "                    <input class=\"form-control\" max=\"13\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.fila\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Columna: </label>\n" +
    "                    <input class=\"form-control\" max=\"5\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.columna\"/>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer slds-crud__footer\">\n" +
    "            <a class=\"btn  boton__accion boton__accion--azul\"  ng-click=\"vm.imprimirEtiquetas()\">Imprimir Etiquetas</a>\n" +
    "            <a class=\"btn  boton__accion\" ng-click=\"vm.opcionesEtiquetas = false\">Cancelar</a>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-proveedor></registro-proveedor>"
  );


  $templateCache.put('views/admin/facturas-compra/facturas-compra-registro.html',
    "<style>\n" +
    "    .w100 {\n" +
    "        width: 100%;\n" +
    "        float: left;\n" +
    "    }\n" +
    "\n" +
    "    .linea-pedido {\n" +
    "        transition-property: all;\n" +
    "        transition-duration: 0.1s;\n" +
    "        transition-timing-function: ease-in-out;\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .expandable {\n" +
    "        padding-left: 0;\n" +
    "    }\n" +
    "</style>\n" +
    "\n" +
    "<div class=\"contenido-principal\">\n" +
    "    <div class=\"documento__cabecera\">\n" +
    "        <div class=\"documento__cabecera-referencia\">\n" +
    "            <span class=\"documento__referencia\">Factura de proveedor:   </span>\n" +
    "            <span class=\"documento__referencia\" ng-bind=\"vm.documento.doc\"></span>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"documento__cabecera-botones\">\n" +
    "            <button\n" +
    "                    class=\"btn btn  boton__accion-peque \"\n" +
    "                    ng-click=\"vm.verOpcionesEtiquetas()\">\n" +
    "                <i class=\"fa fa-print\" aria-hidden=\"true\"></i>\n" +
    "                Imprimir Etiquetas</button>\n" +
    "            <button\n" +
    "                class=\"btn btn  boton__accion boton__accion--azul\"\n" +
    "                ng-click=\"vm.grabaDocumento()\">\n" +
    "                <i class=\"icon-file\"></i>\n" +
    "                Grabar</button>\n" +
    "            \n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"cabecera__ticket\">\n" +
    "\n" +
    "        <div class=\"datos-ticket\">\n" +
    "\n" +
    "            <div class=\"fila-campo\">\n" +
    "                <div class=\"form-group fecha-ticket\"\n" +
    "                    ng-class=\"{'has-error': datepickerForm.fecha.$invalid}\">\n" +
    "                    <label class=\"control-label\">\n" +
    "                        <i class=\"fa fa-calendar\"></i>\n" +
    "                        Fecha</label>\n" +
    "                    <input\n" +
    "                        type=\"text\"\n" +
    "                        class=\"form-control fecha\"\n" +
    "                        ng-model=\"vm.fecha\"\n" +
    "                        data-date-format=\"dd/MM/yyyy\"\n" +
    "                        data-min-date=\"02/10/86\"\n" +
    "                        data-autoclose=\"1\"\n" +
    "                        required\n" +
    "                        bs-datepicker=\"bs-datepicker\"></div>\n" +
    "                </div>\n" +
    "            <div class=\"fila-campo\">\n" +
    "                <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Nº Factura Proveedor:</label>\n" +
    "                    <input type=\"text\" class=\"form-control \"\n" +
    "                           ng-model=\"vm.documento.sufactura\"></div>\n" +
    "            </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "    </div>\n" +
    "        <style>\n" +
    "            .mini-boton {\n" +
    "                font-weight: bold;\n" +
    "                margin-right: 10px;\n" +
    "            }\n" +
    "            .fr {\n" +
    "                float: right ;\n" +
    "            }\n" +
    "        </style>\n" +
    "            <div class=\"datos-proveedor\">\n" +
    "                <div class=\"contenedor__campos\">\n" +
    "                    <div class=\"cabecera__campo--iconos\">\n" +
    "                        <span class=\"campo__etiqueta\">Proveedor</span>\n" +
    "\n" +
    "                        <a class=\"boton__ficha fr\" ng-click=\"vm.buscarProveedores()\"><i class=\"fa fa-search mini-boton\" aria-hidden=\"true\"></i>Buscar</a>\n" +
    "                        <a class=\"boton__ficha fr\" ng-show=\"vm.documento.proveedor_id > 0\" ng-click=\"vm.verProveedor()\"><i class=\"fa fa-address-card-o mini-boton\" aria-hidden=\"true\"></i>Ficha</a>\n" +
    "                        <a class=\"boton__ficha fr\" ng-click=\"vm.nuevoProveedor()\"><i class=\"fa fa-file-o mini-boton\" aria-hidden=\"true\"></i>Nuevo</a>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                        <label>Razón Social</label>\n" +
    "                        <span>{{ vm.proveedor.razon_social }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                        <label>Dirección</label>\n" +
    "                        <span>{{ vm.proveedor.direccion }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                        <label>Población</label>\n" +
    "                        <span>{{ vm.proveedor.poblacion }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                        <label>Teléfono</label>\n" +
    "                        <span>{{ vm.proveedor.telefono }}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"row contenedor-lineas-pedido w100\">\n" +
    "\n" +
    "            <div class=\"columna-lineas-documento\">\n" +
    "\n" +
    "                <div class=\"seccion\" style=\"padding: 0;\">\n" +
    "                    <div class=\"seccion__cabecera\">\n" +
    "                        <div class=\"seccion__cabecera-titulo\">\n" +
    "                            <h4>Lineas Factura</h4>\n" +
    "                        </div>\n" +
    "                        <div class=\"seccion__cabecera-botones\">\n" +
    "                            <button\n" +
    "                                class=\"btn boton__accion\"\n" +
    "                                ng-click=\"vm.anadeLineaVarios()\">\n" +
    "                                <i class=\"icon-file\"></i>Añadir linea</button>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"lineas-productos\">\n" +
    "                    <div class=\"cabecera-lineas\">\n" +
    "\n" +
    "                        <div class=\"campos-linea\">\n" +
    "                            <div class=\"columna cantidad\">\n" +
    "                                <span>Cant.</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna descripcion\">\n" +
    "                                <span>Descripción</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna precio\">\n" +
    "                                <span>Precio</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Total</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"acciones-linea\">\n" +
    "                            <div class=\"columna borra-linea\"></div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"zona-lineas-pedido\" wr-sale-list-scroll=\"wr-sale-list-scroll\">\n" +
    "                        <div class=\"lineas-pedido w100\">\n" +
    "                            <!-- <div class=\"form-group has-feedback transition\" ng-repeat-reorder='name in\n" +
    "                            names' ng-repeat-reorder-handle=\"i.fa.fa-bars\"> -->\n" +
    "                            <div\n" +
    "                                class=\"linea-pedido w100\"\n" +
    "                                ng-class=\"{ 'linea-edit' : vm.linea.id === item.id}\"\n" +
    "                                ng-repeat=\"item in vm.documento.lineas\">\n" +
    "\n" +
    "                                <div class=\"campos-linea\">\n" +
    "                                    <div >\n" +
    "                                        <div class=\"columna cantidad\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.cantidad\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna descripcion\">\n" +
    "                                            <!--<label>Descripcion</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.descripcion\"></span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"columna precio\">\n" +
    "                                            <!-- <label>Precio</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.precio | currency\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Total</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.total | currency\"></span>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div\n" +
    "                                        class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                        ng-show=\"item.albaran_doc > '' \">\n" +
    "                                        <div class=\"campo__ro\" style=\"max-width: 50%\">\n" +
    "                                            <label style=\"margin-bottom:0;\">Albarán</label>\n" +
    "                                            <span style=\"flex:2\" ng-bind=\"item.albaran_doc\"></span>\n" +
    "\n" +
    "                                            <label style=\"margin-bottom:0;\">Fecha Albarán</label>\n" +
    "                                            <span style=\"flex:2\" ng-bind=\"item.albaran_fecha\"></span>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div\n" +
    "                                        class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                        ng-show=\"item.nota.length > 0 \">\n" +
    "                                        <div class=\"campo__ro\">\n" +
    "                                            <label>Notas</label>\n" +
    "                                            <span ng-bind=\"item.nota\"></span>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                   \n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"acciones-linea\">\n" +
    "                                    <div class=\"columna\">\n" +
    "                                        <div ng-show=\"item.albaran_id == 0\">\n" +
    "                                            <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.ver(item)\">\n" +
    "                                                <i class=\"fa fa-pencil\"></i>\n" +
    "                                            </button>\n" +
    "                                            <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.borralineaCompra(item)\">\n" +
    "                                                <i class=\"fa fa-trash\"></i>\n" +
    "                                            </button>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <style>\n" +
    "                    .totales__doc {\n" +
    "                        float: right;\n" +
    "                        width: 60%;\n" +
    "                    }\n" +
    "                </style>\n" +
    "                <div class=\"pie-pedido p15\">\n" +
    "                    <div class=\"totales__doc\">\n" +
    "                        <div class=\"resumen-impuestos\">\n" +
    "                            <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                                <div class=\"seccion__cabecera\">\n" +
    "                                    <div class=\"seccion__cabecera-titulo\">\n" +
    "                                        <h4>Totales</h4>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"cabecera-lineas-datos w100\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Base</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>% IVA</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total IVA</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                            <div class=\"linea-datos w100\" ng-repeat=\"dato in vm.documento.impuestos\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.base | number:2)\"></span>\n" +
    "                                        <span>\n" +
    "                                            €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.tipo_iva | number:2)\"></span>\n" +
    "                                        <span>\n" +
    "                                            %</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.total_iva | number:2)\"></span>\n" +
    "                                        <span>\n" +
    "                                            €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"zona-totales-albaran\">\n" +
    "                            <div class=\"total-albaran\">\n" +
    "                                <div class=\"titulo-total\">\n" +
    "                                    <span>Total:</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"cantidad\">\n" +
    "                                    <span ng-bind=\"(vm.documento.total | number:2)\"></span>\n" +
    "                                    €\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "           \n" +
    "                    </div>\n" +
    "\n" +
    "                \n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.opcionesEtiquetas\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "    <div class=\"slds-modal__container\" style=\"width:300px\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Etiquetas factura de compra</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.opcionesEtiquetas = false\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formOpcionesEtiquetas\" novalidate>\n" +
    "                    <span>Indica en que fila y columna quieres comenzar a imprimir las etiquetas</span><br>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fila: </label>\n" +
    "                        <input class=\"form-control\" max=\"13\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.fila\"/>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Columna: </label>\n" +
    "                        <input class=\"form-control\" max=\"5\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.columna\"/>\n" +
    "\n" +
    "                    </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer slds-crud__footer\">\n" +
    "            <a class=\"btn  boton__accion boton__accion--azul\"  ng-click=\"vm.imprimirEtiquetas()\">Imprimir Etiquetas</a>\n" +
    "            <a class=\"btn  boton__accion\" ng-click=\"vm.opcionesEtiquetas = false\">Cancelar</a>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-proveedor></registro-proveedor>\n" +
    "<busca-proveedores></busca-proveedores>\n" +
    "<linea-compra></linea-compra>\n"
  );


  $templateCache.put('views/admin/facturas-compra/linea-compra.html',
    "<style>\n" +
    "    textarea {\n" +
    "        height: 65px;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"linea-venta\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Linea compra</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow\" style=\"flex-direction: column\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate form-cycle>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"busqueda__productos\">\n" +
    "                                        <busqueda-producto foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\"\n" +
    "                                                          key=\"descripcion\"\n" +
    "                                                          totalrecords=\"totalRecords\"\n" +
    "                                                          onscroll=\"vm.leerProductos(searchKey)\"></busqueda-producto>\n" +
    "                                        <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\"\n" +
    "                                                ng-click=\"vm.productos=[]\"\n" +
    "                                                ng-show=\"vm.productos.length>0\">Cerrar</button>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                    <div class=\"lista-productos\" ng-show=\"vm.productos.length > 1\">\n" +
    "                                        <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\"\n" +
    "                                             ng-click=\"vm.seleccionaProducto(producto)\">\n" +
    "                                            <div class=\"linea-consulta-producto\">\n" +
    "                                                <span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span>\n" +
    "                                                <span class=\"precio\" ng-bind=\"producto.precio\"></span>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"linea__producto\">\n" +
    "                                        <label class=\"control-label\">Producto</label>\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\" autocomplete=\"off\"\n" +
    "                                               ng-model=\"vm.fd.producto\" ng-readonly=\"true\" />\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__descripcion\">\n" +
    "                                        <label class=\"control-label\">Descripción</label>\n" +
    "                                        <input type=\"text\"\n" +
    "                                               class=\"form-control\" autocomplete=\"off\"\n" +
    "                                               ng-model=\"vm.fd.descripcion\"\n" +
    "                                               campo-siguiente='input-cantidad' ;\n" +
    "                                               on-enter\n" +
    "                                               ng-readonly=\"vm.fd.producto_id != 0\"/>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__cantidad\">\n" +
    "                                        <label class=\"control-label\">Cantidad</label>\n" +
    "                                        <input type=\"text\" size=\"10\" class=\"form-control input-cantidad\" money required\n" +
    "                                               min=\"-99999999\" max=\"99999999\" precision=\"2\"\n" +
    "                                               ng-model=\"vm.fd.cantidad\"\n" +
    "                                               on-enter\n" +
    "                                               ng-change=\"vm.recalcular()\"\n" +
    "                                               simple-focus=\"vm.focoCantidad\"\n" +
    "                                               campo-siguiente=\"input-precio\"\n" +
    "                                               placeholder=\"Cantidad\">\n" +
    "                                    </div>\n" +
    "                                    <div class=\"linea__precio\">\n" +
    "                                        <label class=\"control-label\">Precio</label>\n" +
    "                                        <input class=\"form-control input-precio\"\n" +
    "                                               on-enter\n" +
    "                                               ng-change=\"vm.recalcular()\"\n" +
    "                                               campo-siguiente=\"linea__notas-input\"\n" +
    "                                               type=\"text\" size=\"10\" class=\"form-control\" required money\n" +
    "\n" +
    "                                               ng-model=\"vm.fd.precio\"  placeholder=\"Precio\">\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"flex__row\">\n" +
    "                                    <div class=\"linea__notas\">\n" +
    "                                        <label class=\"control-label\">Notas</label>\n" +
    "                                        <textarea class=\"linea__notas-input\" ng-model=\"vm.fd.nota\"></textarea>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\" ng-show=\"vm.infoProducto.id > 0\">\n" +
    "                            <div class=\"contenedor__campos\">\n" +
    "                                <div class=\"cabecera__campo--iconos\">\n" +
    "                                    <span class=\"campo__etiqueta\">Datos Producto</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"campo__ro\">\n" +
    "                                    <label>Precio Venta Actual.</label>\n" +
    "                                    <span>{{ ::vm.infoProducto.precio_venta }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"campo__ro\">\n" +
    "                                    <label>Precio Compra en ficha</label>\n" +
    "                                    <span>{{ ::vm.infoProducto.precio_compra }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"campo__ro\">\n" +
    "                                    <label>Ultima Fecha Compra</label>\n" +
    "                                    <span>{{ ::vm.ultimaCompra.fecha | date : 'dd-MM-yyyy' }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"campo__ro\">\n" +
    "                                    <label>Ultimo Precio Compra</label>\n" +
    "                                    <span>{{ ::vm.ultimaCompra.precio | currency }}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "\n" +
    "\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  btn-cancelar fl\"  ng-click=\"vm.nuevoProducto()\"><i class=\"fa fa-file-o mini-boton\" aria-hidden=\"true\"></i>Nuevo producto</a>\n" +
    "            <a class=\"btn  btn-cancelar fl\" ng-show=\"vm.fd.producto_id > 0\" ng-click=\"vm.verProducto()\"><i class=\"fa fa-pencil mini-boton\" aria-hidden=\"true\"></i>Ver ficha producto</a>\n" +
    "            <a class=\"btn  btn-cancelar fl\" ng-show=\"vm.fd.producto_id > 0\" ng-click=\"vm.extractoProducto()\"><i class=\"fa fa-bar-chart mini-boton\" aria-hidden=\"true\"></i>Extracto producto</a>\n" +
    "\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar Linea Compra</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "\n" +
    "\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>\n" +
    "\n" +
    "\n"
  );


  $templateCache.put('views/admin/facturas/facturas-lista.html',
    "<div class=\"lista lista-facturas\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"cabecera\">\n" +
    "                <h1>Facturas</h1>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                    <div class=\"form-group fl\" style=\"margin-right:15px\">\n" +
    "                        <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                        <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"flex__row\">\n" +
    "                    <div class=\"form-group fl mr10\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group fl \" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaFin\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario flw1\">\n" +
    "                    <a class=\"btn  btn-form boton__svg\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "                   <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Albarán</a>-->\n" +
    "                   <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listado()\">Listado Facturas</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-facturas\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla__datos facturas__tabla\">\n" +
    "                <div class=\"datos\">  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat-start=\"item in items\" class=\"tabla__registro\" ng-class=\"{ 'doc-pendiente': item.pendiente !=0 }\">\n" +
    "                        <div class=\"tabla__ficha\">\n" +
    "                            <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                                <div class=\"tabla__columna doc\">\n" +
    "                                    <label>Factura</label>\n" +
    "                                    <span>{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna pendiente tabla__columna-numero\" >\n" +
    "                                    <label>Pendiente</label>\n" +
    "                                    <span>{{::item.pendiente | currency }}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna total tabla__columna-numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total | currency }}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"tabla__columna-acciones tabla__columna-acciones-facturas\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-acciones\">\n" +
    "                                    <i class=\"fa fa-pencil\"></i>\n" +
    "                                </button>\n" +
    "                                <button  ng-click=\"vm.ver(item)\" class=\"btn tabla__datos-boton-acciones\">\n" +
    "                                    <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\" aria-hidden=\"true\"></i>\n" +
    "                                    <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\" aria-hidden=\"true\"></i>\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                    <div ng-repeat-end=\"\" >\n" +
    "                        <div ng-if=\"vm.registroSel.id === item.id\" class=\"tabla__datos-registro\">\n" +
    "                                <div class=\"seccion\">\n" +
    "                                    <div class=\"seccion__cabecera\">\n" +
    "                                        <div class=\"seccion__cabecera-titulo\">\n" +
    "                                            <h2> <span ng-bind=\"item.doc\"></span></h2>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                        <div class=\"seccion__cabecera-botones\">\n" +
    "                                            <button ng-click=\"vm.verRegistro(item)\" class=\"btn boton__accion-peque\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                                            <button ng-click=\"vm.imprimir(item)\" title=\"Imprimir\" class=\"btn boton__accion-peque\">\n" +
    "                                                <i class=\"fa fa-print\" aria-hidden=\"true\"></i> Imprimir</button>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"seccion__contenido\">\n" +
    "                                        <div class=\"tabla__datos\" >\n" +
    "                                            <div class=\"tabla__titulos\">\n" +
    "                                                <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                    <span class=\"titulo__columna\">Descripcion</span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Cantidad</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Precio</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span class=\"titulo__columna\">Total</span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div ng-repeat=\"item in vm.datosDoc.lineas\" >\n" +
    "\n" +
    "                                                <div class=\"tabla__registro\">\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                        <span>{{item.descripcion}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.cantidad}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.precio |  currency: \"€\" : 2}}</span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                        <span>{{item.total | currency}}</span>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.nota.length > 0 \">\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Notas</label>\n" +
    "                                                        <span ng-bind=\"item.nota\"></span>\n" +
    "                                                    </div>\n" +
    "\n" +
    "                                                </div>\n" +
    "                                                <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.es_reserva\">\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Nombre Jugador</label>\n" +
    "                                                        <span ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                                                    </div>\n" +
    "\n" +
    "\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Concepto</label>\n" +
    "                                                        <span ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Fecha</label>\n" +
    "                                                        <span ng-bind=\"item.fecha_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Hora</label>\n" +
    "                                                        <span ng-bind=\"item.hora_reserva\"></span>\n" +
    "                                                    </div>\n" +
    "                                                    <div class=\"campo__ro\">\n" +
    "                                                        <label>Recorrido</label>\n" +
    "                                                        <span ng-bind=\"item.recorrido\"></span>\n" +
    "                                                    </div>\n" +
    "                                                </div>\n" +
    "\n" +
    "\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__pie\">\n" +
    "                                    <div class=\"seccion__pie-botones \">\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "<registro-factura></registro-factura>\n"
  );


  $templateCache.put('views/admin/facturas/facturas-registro.html',
    "\n" +
    "<style>\n" +
    "  .w100 {\n" +
    "      width: 100%;\n" +
    "      float: left;\n" +
    "  }\n" +
    "  .linea-pedido {\n" +
    "      transition-property: all;\n" +
    "      transition-duration: 0.1s;\n" +
    "      transition-timing-function: ease-in-out;\n" +
    "  }\n" +
    "  .expandable {\n" +
    "      padding-left: 0;\n" +
    "  }\n" +
    "  .slds-modal {\n" +
    "      overscroll-behavior-y: contain;\n" +
    "  }\n" +
    "  .slds-modal__container {\n" +
    "      max-width: 1440px;\n" +
    "      width: 95%;\n" +
    "  }\n" +
    "  .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "  }\n" +
    "  .documento__cabecera {\n" +
    "      display: flex;\n" +
    "      padding: 0;\n" +
    "      border-bottom: none ;\n" +
    "      min-height: auto;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"mantenimiento-albaranes slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <div class=\"documento__cabecera\">\n" +
    "        <div class=\"documento__cabecera-referencia\"><span class=\"documento__referencia\" ng-bind=\"vm.documento.doc\"></span>\n" +
    "          <div class=\"documento__cabecera-seccion\" ng-show=\"vm.documento.referencia_reserva &gt; ''\" style=\"padding-left:15px;\"><span class=\"documento__referencia\">Reserva:</span><span class=\"documento__referencia\" ng-bind=\"vm.documento.referencia_reserva\"></span></div>\n" +
    "        </div>\n" +
    "        <div class=\"documento__cabecera-botones\">\n" +
    "          <button class=\"btn boton__accion\" ng-click=\"vm.anaAlbaranes()\"><i class=\"icon-file\"></i>                        A&ntilde;adir Albaranes Factura</button>\n" +
    "          <button class=\"btn boton__accion\" ng-click=\"vm.quitarAlbaranes()\"><i class=\"icon-file\"></i>                        Quitar Albaranes Factura</button>\n" +
    "          <button class=\"btn boton__accion\" ng-click=\"vm.imprimirDocumento()\"><i class=\"icon-file\"></i>                        Imprimir</button>\n" +
    "          <button class=\"btn boton__accion boton__accion--azul\" ng-click=\"vm.grabaDocumento() \"><i class=\"icon-file\"></i>                        Grabar</button>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cerrar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"contenido-principal\">\n" +
    "        <!--\n" +
    "        <div class=\"documento__subcabecera\"> <div class=\"documento_datos w30 mr10\">\n" +
    "        <div class=\"campo__ro\"> <label>Reserva</label> <span>{{\n" +
    "        vm.documento.referencia_reserva }}</span> </div> <div class=\"campo__ro\">\n" +
    "        <label>Reserva</label> <span>{{ vm.documento.referencia_reserva }}</span> </div>\n" +
    "        </div> </div>\n" +
    "        -->\n" +
    "        <div class=\"cabecera__ticket\">\n" +
    "          <div class=\"datos-ticket\">\n" +
    "            <div class=\"fila-campo\">\n" +
    "              <div class=\"form-group fecha-ticket\" ng-class=\"{'has-error': datepickerForm.fecha.$invalid}\">\n" +
    "                <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>                                    Fecha</label>\n" +
    "                <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fecha\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" data-autoclose=\"1\" bs-datepicker=\"bs-datepicker\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"datos-cliente\">\n" +
    "            <div class=\"contenedor__campos\">\n" +
    "              <div class=\"cabecera__campo--iconos\"><span class=\"campo__etiqueta\">Cliente</span><span class=\"icono\" ng-click=\"vm.buscarClientes()\"><i class=\"fa fa-search\" aria-hidden=\"true\"></i></span></div>\n" +
    "              <div class=\"campo__ro\">\n" +
    "                <label>Raz&oacute;n Social</label><span>{{ vm.cliente.razon_social }}</span>\n" +
    "              </div>\n" +
    "              <div class=\"campo__ro\">\n" +
    "                <label>Direcci&oacute;n</label><span>{{ vm.cliente.direccion }}</span>\n" +
    "              </div>\n" +
    "              <div class=\"campo__ro\">\n" +
    "                <label>Poblaci&oacute;n</label><span>{{ vm.cliente.poblacion }}</span>\n" +
    "              </div>\n" +
    "              <div class=\"campo__ro\">\n" +
    "                <label>Tel&eacute;fono</label><span>{{ vm.cliente.telefono }}</span>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"row contenedor-lineas-pedido\">\n" +
    "          <div class=\"columna-lineas-documento\">\n" +
    "            <div class=\"seccion\" style=\"padding: 0;\">\n" +
    "              <div class=\"seccion__cabecera\">\n" +
    "                <div class=\"seccion__cabecera-titulo\">\n" +
    "                  <h4>Lineas Factura</h4>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__cabecera-botones\">\n" +
    "                  <button class=\"btn boton__accion\" ng-click=\"vm.anadeLineaVarios()\"><i class=\"icon-file\"></i>A&ntilde;adir linea</button>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"lineas-productos\">\n" +
    "              <div class=\"cabecera-lineas\">\n" +
    "                <div class=\"campos-linea\">\n" +
    "                  <div class=\"columna cantidad\"><span>Cant.</span></div>\n" +
    "                  <div class=\"columna descripcion\"><span>Descripci&oacute;n</span></div>\n" +
    "                  <div class=\"columna precio\"><span>Precio</span></div>\n" +
    "                  <div class=\"columna total\"><span>Total</span></div>\n" +
    "                </div>\n" +
    "                <div class=\"acciones-linea\">\n" +
    "                  <div class=\"columna borra-linea\"></div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"zona-lineas-pedido\" wr-sale-list-scroll=\"wr-sale-list-scroll\">\n" +
    "                <div class=\"lineas-pedido w100\">\n" +
    "                  <!--\n" +
    "                  <div class=\"form-group has-feedback transition\" ng-repeat-reorder='name in\n" +
    "                  names' ng-repeat-reorder-handle=\"i.fa.fa-bars\">\n" +
    "                  -->\n" +
    "                  <div class=\"linea-pedido w100\" ng-class=\"{ 'linea-edit' : vm.linea.id === item.id}\" ng-repeat=\"item in vm.documento.lineas\">\n" +
    "                    <div class=\"campos-linea\">\n" +
    "                      <div style=\"float:left;width:100%;\">\n" +
    "                        <div class=\"columna cantidad\">\n" +
    "                          <!-- <label>Cantidad</label>--><span class=\"campo\" ng-bind=\"item.cantidad\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna descripcion\">\n" +
    "                          <!-- <label>Descripcion</label>--><span class=\"campo\" ng-bind=\"item.descripcion\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna precio\">\n" +
    "                          <!-- <label>Precio</label>--><span class=\"campo\" ng-bind=\"item.precio\"></span>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna total\">\n" +
    "                          <!-- <label>Total</label>--><span class=\"campo\" ng-bind=\"item.total\"></span>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                      <div style=\"float:left;width:100%;\">\n" +
    "                        <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.albaran_doc &gt; '' \">\n" +
    "                          <div class=\"campo__ro\" style=\"max-width: 75%;\">\n" +
    "                            <label style=\"margin-bottom:0;\">Albar&aacute;n</label><span style=\"flex:2;\" ng-bind=\"item.albaran_doc\"></span>\n" +
    "                            <label style=\"margin-bottom:0;\">Fecha Albar&aacute;n</label><span style=\"flex:2;\" ng-bind=\"item.albaran_fecha\"></span>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.nota.length &gt; 0 \">\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Notas</label><span ng-bind=\"item.nota\"></span>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"datos-linea-reserva contenedor__campos\" ng-show=\"item.es_reserva\">\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Nombre Jugador</label><span ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                          </div>\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Concepto</label><span ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                          </div>\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Fecha</label><span ng-bind=\"item.fecha_reserva\"></span>\n" +
    "                          </div>\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Hora</label><span ng-bind=\"item.hora_reserva\"></span>\n" +
    "                          </div>\n" +
    "                          <div class=\"campo__ro\">\n" +
    "                            <label>Recorrido</label><span ng-bind=\"item.recorrido\"></span>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"acciones-linea\">\n" +
    "                      <div class=\"columna\">\n" +
    "                        <div ng-show=\"item.albaran_id == 0\">\n" +
    "                          <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.ver(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.borraLineaVenta(item)\"><i class=\"fa fa-trash\"></i></button>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <style>\n" +
    "              .totales__doc {\n" +
    "                  float: right;\n" +
    "                  width: 60%;\n" +
    "              }\n" +
    "            </style>\n" +
    "            <div class=\"pie-pedido p15\">\n" +
    "              <div class=\"totales__doc\">\n" +
    "                <div class=\"resumen-impuestos\">\n" +
    "                  <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                    <div class=\"seccion__cabecera\">\n" +
    "                      <div class=\"seccion__cabecera-titulo\">\n" +
    "                        <h4>Totales</h4>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                  <div class=\"cabecera-lineas-datos w100\">\n" +
    "                    <div class=\"columna total\"><span>Base</span></div>\n" +
    "                    <div class=\"columna total\"><span>% IVA</span></div>\n" +
    "                    <div class=\"columna total\"><span>Total IVA</span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea-datos w100\" ng-repeat=\"dato in vm.documento.impuestos\">\n" +
    "                    <div class=\"columna total\">\n" +
    "                      <!-- <label>Cantidad</label>-->\n" +
    "                      <div class=\"numero\"><span class=\"campo\" ng-bind=\"(dato.base | currency:&quot;€&quot;:2)\"></span></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"columna total\">\n" +
    "                      <!-- <label>Cantidad</label>-->\n" +
    "                      <div class=\"numero\"><span class=\"campo\" ng-bind=\"(dato.tipo_iva | number:2)\"></span><span>%</span></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"columna total\">\n" +
    "                      <!-- <label>Cantidad</label>-->\n" +
    "                      <div class=\"numero\"><span class=\"campo\" ng-bind=\"(dato.total_iva | currency:&quot;€&quot;:2)\"></span></div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"zona-totales-albaran\">\n" +
    "                  <div class=\"total-albaran\">\n" +
    "                    <div class=\"titulo-total\"><span>Total:</span></div>\n" +
    "                    <div class=\"cantidad\"><span ng-bind=\"(vm.documento.total | currency:&quot;€&quot;:2)\"></span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"total-albaran\">\n" +
    "                    <div class=\"titulo-total\"><span>Total Pendiente:</span></div>\n" +
    "                    <div class=\"cantidad\"><span ng-bind=\"(vm.documento.pendiente | currency:&quot;€&quot;:2)\"></span></div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"zona-cobros\">\n" +
    "                  <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                    <div class=\"seccion__cabecera\">\n" +
    "                      <div class=\"seccion__cabecera-titulo\">\n" +
    "                        <h4>Cobros</h4>\n" +
    "                      </div>\n" +
    "                      <div class=\"seccion__cabecera-botones\">\n" +
    "                        <button class=\"btn boton__accion\" ng-click=\"vm.nuevoCobro()\"><i class=\"icon-file\"></i>A&ntilde;adir Cobro</button>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                  <div class=\"datos-cobros\" ng-show=\"vm.documento.cobros.length &gt; 0\">\n" +
    "                    <div class=\"tabla-cobros-doc\">\n" +
    "                      <div class=\"cabecera-tabla\">\n" +
    "                        <div class=\"columna fecha\">\n" +
    "                          <label>Fecha</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna concepto\">\n" +
    "                          <label>Concepto</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna total\">\n" +
    "                          <label>Total</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna acciones\"></div>\n" +
    "                      </div>\n" +
    "                      <div class=\"registros\" ng-repeat=\"cobro in vm.documento.cobros\">\n" +
    "                        <div class=\"ficha\">\n" +
    "                          <div class=\"columna fecha\"><span>{{cobro.fecha}}</span></div>\n" +
    "                          <div class=\"columna concepto\"><span>{{cobro.concepto}}</span></div>\n" +
    "                          <div class=\"columna total\"><span>{{cobro.total}}</span></div>\n" +
    "                          <div class=\"columna acciones\">\n" +
    "                            <button class=\"btn btn-xs\" ng-click=\"vm.verCobro(cobro)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                            <button class=\"btn btn-xs\" ng-click=\"vm.borrarCobro(cobro)\"><i class=\"fa fa-trash\"></i></button>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"zona-cobros\">\n" +
    "                  <div class=\"seccion\" style=\"padding:0;\">\n" +
    "                    <div class=\"seccion__cabecera\">\n" +
    "                      <div class=\"seccion__cabecera-titulo\">\n" +
    "                        <h4>Depositos</h4>\n" +
    "                      </div>\n" +
    "                      <div class=\"seccion__cabecera-botones\">\n" +
    "                        <button class=\"btn boton__accion\" ng-click=\"vm.nuevoDeposito()\"><i class=\"icon-file\"></i>Asignar depósito</button>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                  <div class=\"datos-cobros\" ng-show=\"vm.documento.depositos.length &gt; 0\">\n" +
    "                    <div class=\"tabla-cobros-doc\">\n" +
    "                      <div class=\"cabecera-tabla\">\n" +
    "                        <div class=\"columna fecha\">\n" +
    "                          <label>Fecha</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna concepto\">\n" +
    "                          <label>Concepto</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna total\">\n" +
    "                          <label>Total</label>\n" +
    "                        </div>\n" +
    "                        <div class=\"columna acciones\"></div>\n" +
    "                      </div>\n" +
    "                      <div class=\"registros\" ng-repeat=\"item in vm.documento.depositos\">\n" +
    "                        <div class=\"ficha\">\n" +
    "                          <div class=\"columna fecha\"><span>{{::item.fecha}}</span></div>\n" +
    "                          <div class=\"columna concepto\"><span>{{::item.concepto}}</span></div>\n" +
    "                          <div class=\"columna total\"><span>{{::item.total}}</span></div>\n" +
    "                          <div class=\"columna acciones\">\n" +
    "                            <button class=\"btn btn-xs\" ng-click=\"vm.borrarDeposito(item)\"><i class=\"fa fa-trash\"></i></button>\n" +
    "                          </div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<cobros-documento></cobros-documento>\n" +
    "<busca-clientes></busca-clientes>\n" +
    "<linea-venta></linea-venta>\n" +
    "<facturas-ana-albaran></facturas-ana-albaran>\n" +
    "<facturas-quitar-albaranes></facturas-quitar-albaranes>\n" +
    "<depositos-asignacion></depositos-asignacion>"
  );


  $templateCache.put('views/admin/familias/familias-lista.html',
    "<style>\n" +
    "    .tabla__ficha.subfamilia {\n" +
    "        padding-left: 15px;\n" +
    "    }\n" +
    "\n" +
    "    .tabla__ficha.familia span {\n" +
    "        font-weight: bold ;\n" +
    "        font-size: 1.6rem ;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Familias de productos</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Familias</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva familia</a>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" select=\"false\" filtros=\"false\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos familias__tabla \">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\"  ng-class=\"{subfamilia: item.parent_id >0, familia: item.parent_id == 0 }\">\n" +
    "                          <div class=\"tabla__columna descripcion\">\n" +
    "                              <label>Familia</label>\n" +
    "                              <span>{{item.descripcion_listado}}</span>\n" +
    "                          </div>\n" +
    "\n" +
    "                          <div class=\"tabla__columna-acciones familias__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-familia></registro-familia>\n"
  );


  $templateCache.put('views/admin/familias/familias-registro.html',
    "<style>\n" +
    "    .registro-familias .slds-modal__container {\n" +
    "        width: 600px;\n" +
    "    }\n" +
    "</style>\n" +
    "\n" +
    "<div class=\"registro-familias\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Familia de productos</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\" style=\"min-height: 200px\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <!--<div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>-->\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow \" style=\"flex-direction: column;\">\n" +
    "                        <div class=\"forcePageBlockItem\" style=\"width:100%;\">\n" +
    "                            <input-evo  etiqueta=\"Descripción\" required ng-model=\"vm.fd.descripcion\">\n" +
    "                            </input-evo>\n" +
    "\n" +
    "                            <!--<div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Tipo</label>\n" +
    "                                <select  ng-model=\"vm.fd.tipo\"  class=\"form-control\">\n" +
    "                                    <option value=\"\" disabled selected>{{ 'Tipo' }}</option>\n" +
    "                                    <option ng-repeat=\"tipo in vm.tipos\" value=\"{{ tipo.tipo }}\">{{ tipo.descripcion }}\n" +
    "                                    </option>\n" +
    "                                </select>\n" +
    "                            </div>-->\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Familia padre</label><br>\n" +
    "                                <ui-select ng-model=\"vm.padre\"\n" +
    "                                           theme=\"bootstrap\"\n" +
    "                                           reset-search-input=\"true\"\n" +
    "                                           style=\"width: 400px;\"\n" +
    "                                           title=\"Selecciona una familia\"\n" +
    "                                           ng-disabled=\"vm.fd.hijos > 0\">\n" +
    "                                    <ui-select-match placeholder=\"Selecciona una familia...\">{{$select.selected.descripcion}}</ui-select-match>\n" +
    "                                    <ui-select-choices repeat=\"padre in vm.padres track by $index\"\n" +
    "                                                       refresh-delay=\"200\"\n" +
    "                                                       minimum-input-length=\"3\">\n" +
    "                                        <div ng-bind-html=\"padre.descripcion | highlight: $select.search\"></div>\n" +
    "                                    </ui-select-choices>\n" +
    "\n" +
    "                                </ui-select>\n" +
    "                                <button class=\"btn btn-borrar-opcion\" ng-click=\"vm.padre={id:0}\"><span class=\"glyphicon glyphicon-remove pull-right\"></span></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Grabar Familia</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/formaspago/formaspago-lista.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Formas de pago</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver formas de pago</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva forma de pago</a>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" select=\"false\" filtros=\"false\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos formas-pago__tabla \">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "                          <div class=\"tabla__columna descripcion\">\n" +
    "                              <label>Forma de pago</label>\n" +
    "                              <span>{{item.descripcion}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"tabla__columna \">\n" +
    "                              <label>Tipo</label>\n" +
    "                              <span>{{item.tipo}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"tabla__columna-acciones formas-pago__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-formapago></registro-formapago>\n"
  );


  $templateCache.put('views/admin/formaspago/formaspago-registro.html',
    "<div class=\"registro-popup\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Forma de pago</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "\n" +
    "                            <input-evo  etiqueta=\"Descripción\" required ng-model=\"vm.fd.descripcion\">\n" +
    "                            </input-evo>\n" +
    "\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Tipo</label>\n" +
    "                                <select  ng-model=\"vm.fd.tipo\"  class=\"form-control\">\n" +
    "                                    <option value=\"\" disabled selected>{{ 'Tipo' }}</option>\n" +
    "                                    <option ng-repeat=\"tipo in vm.tipos\" value=\"{{ tipo.tipo }}\">{{ tipo.descripcion }}\n" +
    "                                    </option>\n" +
    "                                </select>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar forma de pago</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/inventario/lista-productos-inventario.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Lista productos para inventario</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "\n" +
    "                <!--<div class=\"form-group\" style=\"width: 150px\">\n" +
    "                    <label class=\"control-label\" style=\"margin-right:10px\">Estado:  </label>\n" +
    "                    <button type=\"button\" class=\"btn btn-default\"\n" +
    "                            ng-model=\"vm.opcion\"\n" +
    "                            ng-change=\"vm.verOpcion()\"\n" +
    "                            data-html=\"1\"\n" +
    "                            bs-options=\"opcion.value as opcion.label for opcion in vm.opciones\"\n" +
    "                            bs-select>\n" +
    "                    </button>\n" +
    "\n" +
    "                </div>-->\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver productos</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.recalcularInventario()\">Recalcular Stocks</a>\n" +
    "                   <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Producto</a>-->\n" +
    "                  <!--  <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.imprimir()\">Imprimir Lista</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"true\" nombre-tabla=\"lista-productos-inventario\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla__datos tabla__datos-productos\">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                          <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                            <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                  <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                  <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "                          <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                              <div class=\"tabla__columna producto\" >\n" +
    "                                  <label>Producto</label>\n" +
    "                                  <span>{{::item.producto}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna descripcion\">\n" +
    "                                  <label>Descripción</label>\n" +
    "                                  <span>{{::item.descripcion}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna numero\" >\n" +
    "                                  <label>Stock</label>\n" +
    "                                  <span>{{::item.stock}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <input class=\"form-control\"\n" +
    "                                             type=\"number\"\n" +
    "                                             ng-model=\"item.stock_act\"\n" +
    "                                             name=\"stock_act\"/>\n" +
    "\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "\n" +
    "                          <div class=\"tabla__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verExtracto(item)\"  class=\"btn \"><i class=\"fa fa-bar-chart\" aria-hidden=\"true\"></i></button>\n" +
    "\n" +
    "                              <button ng-click=\"vm.actInventario(item)\" ng-show=\"(item.stock_act > 0) && (vm.registroSel.id == item.id)\" class=\"btn \"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>"
  );


  $templateCache.put('views/admin/procesos/facturar-albaranes.html',
    "\n" +
    "<div class=\"lista lista-albaranes\" ng-cloak=\"\">\n" +
    "  <div class=\"flex__row\">\n" +
    "    <flex__row>\n" +
    "      <div class=\"cabecera\">\n" +
    "        <h1>Facturaci&oacute;n Albaranes</h1>\n" +
    "      </div>\n" +
    "    </flex__row>\n" +
    "  </div>\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"formulario-busqueda\">\n" +
    "      <form novalidate=\"\" name=\"vm.formDatos\">\n" +
    "        <div class=\"flex__row\">\n" +
    "          <div class=\"flex__col-12\">\n" +
    "            <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "              <label class=\"control-label\">Seleccione cliente</label>\n" +
    "              <searchandselect required=\"\" selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey)\"></searchandselect>\n" +
    "            </div>\n" +
    "            <div class=\"form-group fl mr10\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "              <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "              <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fechaInicio\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" required=\"\" data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker=\"\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group fl\" ng-class=\"{'has-error': datepickerForm.fechaFin.$invalid}\">\n" +
    "              <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "              <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fechaFin\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" required=\"\" data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker=\"\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__row\">\n" +
    "          <div class=\"flex__col-12\">\n" +
    "            <h4>Datos Factura</h4>\n" +
    "            <div class=\"form-group fl\" ng-class=\"{'has-error': datepickerForm.fecha.$invalid}\">\n" +
    "              <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Factura</label>\n" +
    "              <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fecha\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" required=\"\" data-autoclose=\"1\" name=\"fecha\" bs-datepicker=\"\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__row\">\n" +
    "          <div class=\"flex__col-12\">\n" +
    "            <div class=\"form-group botones-formulario flw1\"><a class=\"btn mr-5\" ng-disabled=\"vm.cliente.id &lt; 1\" ng-click=\"vm.verDatos()\">Buscar</a><a class=\"btn\" ng-disabled=\"vm.registrosSeleccionados.length == 0\" ng-click=\"vm.facturar()\">Facturar Albaranes</a></div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"flex__row\">\n" +
    "    <div class=\"flex__col-12\">\n" +
    "      <div class=\"tabla__datos tabla__albaranes\" evo-tableflex=\"vm.fd.datos\" filtros=\"false\" select=\"true\" nombre-tabla=\"facturar-albaranes\" columnas=\"vm.columnas\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"datos\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                  <input type=\"checkbox\" id=\"fila-facturar__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                  <label for=\"fila-facturar__checkbox-{{item.id}}\"></label>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna doc\">\n" +
    "                <label>Albar&aacute;n</label><span>{{::item.doc}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna reservaalb\">\n" +
    "                <label>Reserva</label><span>{{::item.idreserva}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna fecha_a\">\n" +
    "                <label>Fecha</label><span>{{::item.fecha_a}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna razon_social\">\n" +
    "                <label>Raz&oacute;n Social</label><span>{{::item.razon_social}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna pendiente\">\n" +
    "                <label>Pendiente</label><span>{{::item.pendiente}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna total\">\n" +
    "                <label>Total</label><span>{{::item.total}}</span>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\"></div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__subcabecera\">\n" +
    "                  <h4><span ng-bind=\"item.descripcion\"></span></h4>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido twoCol\">\n" +
    "                  <div class=\"campo__ro-horizonal\">\n" +
    "                    <label>Producto</label><span class=\"campo\" ng-bind=\"item.producto\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo__ro-horizonal\">\n" +
    "                    <label>Precio</label><span class=\"campo\" ng-bind=\"item.precio\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/procesos/facturas-ana-albaran.html',
    "<div class=\"slds-modal ana-albaranes-factura\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cerrar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Añadir albaranes a factura</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cerrar()\" title=\"Cerrar\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow tabla_albaranes-sin-facturar\">\n" +
    "                        <div ng-repeat=\"item in vm.fd.datos\" class=\"tabla__registro \">\n" +
    "                            <div class=\"tabla__ficha\">\n" +
    "                                <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                    <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                        <input type=\"checkbox\" id=\"fila-facturar__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                                        <label for=\"fila-facturar__checkbox-{{item.id}}\"></label>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna doc\">\n" +
    "                                    <label>Albarán</label>\n" +
    "                                    <span>{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna reservaalb\">\n" +
    "                                    <label>Reserva</label>\n" +
    "                                    <span>{{::item.idreserva}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Jugador</label>\n" +
    "                                    <span>{{::item.nombre}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna pendiente\">\n" +
    "                                    <label>Pendiente</label>\n" +
    "                                    <span>{{::item.pendiente}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna total\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-click=\"vm.facturar()\">Añadir a Factura</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cerrar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/procesos/facturas-quitar-albaranes.html',
    "<div class=\"slds-modal ana-albaranes-factura\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\" ng-click=\"vm.cerrar()\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Quitar albaranes de factura</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cerrar()\" title=\"Cerrar\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow tabla_albaranes-sin-facturar\">\n" +
    "                        <div ng-repeat=\"item in vm.fd.datos\" class=\"tabla__registro \">\n" +
    "                            <div class=\"tabla__ficha\">\n" +
    "                                <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                    <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                        <input type=\"checkbox\" id=\"fila-facturar__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                                        <label for=\"fila-facturar__checkbox-{{item.id}}\"></label>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna doc\">\n" +
    "                                    <label>Albarán</label>\n" +
    "                                    <span>{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna reservaalb\">\n" +
    "                                    <label>Reserva</label>\n" +
    "                                    <span>{{::item.idreserva}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha_a\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_a}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Jugador</label>\n" +
    "                                    <span>{{::item.nombre}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna pendiente\">\n" +
    "                                    <label>Pendiente</label>\n" +
    "                                    <span>{{::item.pendiente}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna total\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-click=\"vm.facturar()\">Quitar albaranes de Factura</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cerrar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/procesos/informe-ventas.html',
    "<div class=\"productos-informe lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Informes Ventas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"dx-viewport demo-container\">\n" +
    "                <div id=\"sales\" dx-pivot-grid=\"vm.pivotGridOptions\"></div>\n" +
    "                <div class=\"options\">\n" +
    "                    <div class=\"caption\">Opciones</div>\n" +
    "                   <!-- <div class=\"option\">\n" +
    "                        <div dx-check-box=\"vm.showDataFieldsOptions\"></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"option\">\n" +
    "                        <div dx-check-box=\"vm.showRowFieldsOptions\"></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"option\">\n" +
    "                        <div dx-check-box=\"vm.showColumnFieldsOptions\"></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"option\">\n" +
    "                        <div dx-check-box=\"vm.showFilterFieldsOptions\"></div>\n" +
    "                    </div>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/procesos/prueba.html',
    "<div class=\"tabla__columna doc\">\n" +
    "    <label>Albarán</label>\n" +
    "    <span>{{::item.doc}}</span>\n" +
    "</div>\n" +
    "<div class=\"tabla__columna reservaalb\">\n" +
    "    <label>Reserva</label>\n" +
    "    <span>{{::item.idreserva}}</span>\n" +
    "</div>\n" +
    "<div class=\"tabla__columna fecha_a\">\n" +
    "    <label>Fecha</label>\n" +
    "    <span>{{::item.fecha_a}}</span>\n" +
    "</div>\n" +
    "<div class=\"tabla__columna razon_social\">\n" +
    "    <label>Razón Social</label>\n" +
    "    <span>{{::item.razon_social}}</span>\n" +
    "</div>\n" +
    "<div class=\"tabla__columna pendiente\">\n" +
    "    <label>Pendiente</label>\n" +
    "    <span>{{::item.pendiente}}</span>\n" +
    "</div>\n" +
    "<div class=\"tabla__columna total\">\n" +
    "    <label>Total</label>\n" +
    "    <span>{{::item.total}}</span>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/productos/inventario-fecha.html',
    "<div class=\"productos-informe lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Inventario a fecha</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"flex__row\">\n" +
    "                    <div class=\"form-group fl mr10 form-group--fecha\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"form-group botones-formulario flw1\">\n" +
    "                <a class=\"btn  btn-form boton__svg\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"dx-viewport demo-container\">\n" +
    "             <div id=\"gridContainer\" dx-data-grid=\"vm.dataGridOptions\"></div>\n" +
    "        </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "<productos-extracto></productos-extracto>\n"
  );


  $templateCache.put('views/admin/productos/productos-cambio-precios.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Productos. Cambio de precios</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver productos</a>\n" +
    "                   <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Producto</a>-->\n" +
    "                  <!--  <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.imprimir()\">Imprimir Lista</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"true\" nombre-tabla=\"lista-productos-inventario\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla__datos tabla__datos-productos\">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                          <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                            <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                  <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                  <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "                          <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                              <div class=\"tabla__columna producto\" >\n" +
    "                                  <label>Producto</label>\n" +
    "                                  <span>{{item.producto}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna descripcion\">\n" +
    "                                  <label>Descripción</label>\n" +
    "                                  <span>{{item.descripcion}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna numero\" >\n" +
    "                                  <label>P.V.P</label>\n" +
    "                                  <span>{{item.precio_venta}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <input class=\"form-control\"\n" +
    "                                             type=\"text\"\n" +
    "                                             money\n" +
    "                                             ng-model=\"item.precio_act\"\n" +
    "                                             name=\"precio_act\"/>\n" +
    "\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "                          <div class=\"tabla__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verExtracto(item)\"  class=\"btn \"><i class=\"fa fa-bar-chart\" aria-hidden=\"true\"></i></button>\n" +
    "\n" +
    "                              <button ng-click=\"vm.actDatos(item)\" ng-show=\"(item.precio_act > 0) && (vm.registroSel.id == item.id)\" class=\"btn \"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>"
  );


  $templateCache.put('views/admin/productos/productos-etiquetas.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Etiquetas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario\" >\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver productos</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"col-lg-12\">\n" +
    "\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <br>\n" +
    "                <span>Indica en que fila y columna quieres comenzar a imprimir las etiquetas</span><br>\n" +
    "                <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Fila: </label>\n" +
    "                    <input class=\"form-control\" max=\"13\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.fd.fila\"/>\n" +
    "\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Columna: </label>\n" +
    "                    <input class=\"form-control\" max=\"5\"  style=\"width: 50px;\" type=\"number\" ng-model=\"vm.fd.columna\"/>\n" +
    "\n" +
    "                </div>\n" +
    "                <div class=\"form-group botones-formulario\" style=\"padding-top: 11px;\">\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\"  ng-click=\"vm.imprimirEtiquetas()\">Imprimir Etiquetas</a>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "\n" +
    "<div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "        <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"true\"\n" +
    "             nombre-tabla=\"lista-productos-inventario\"\n" +
    "             pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos tabla__datos-productos\">\n" +
    "            <div class=\"datos\">\n" +
    "                <div ng-repeat=\"item in items\" class=\"tabla__registro\"\n" +
    "                     ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "                    <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                        <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                            <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                                <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                            <div class=\"tabla__columna producto\">\n" +
    "                                <label>Producto</label>\n" +
    "                                <span>{{item.producto}}</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"tabla__columna descripcion\">\n" +
    "                                <label>Descripción</label>\n" +
    "                                <span>{{item.descripcion}}</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"tabla__columna numero\">\n" +
    "                                <label>Código de barras</label>\n" +
    "                                <span>{{item.codigo_barras}}</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"tabla__columna numero\">\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"number\"\n" +
    "                                           ng-model=\"item.etiquetas\"\n" +
    "                                           name=\"etiquetas\"/>\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"tabla__columna-acciones\">\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/productos/productos-extracto-popup.html',
    "<style>\n" +
    "    .slds-modal {\n" +
    "        overscroll-behavior-y: contain;\n" +
    "    }\n" +
    "    .slds-modal__container {\n" +
    "        max-width:1440px;\n" +
    "        width: 95%;\n" +
    "    }\n" +
    "\n" +
    "    .slds-modal__content {\n" +
    "        flex-grow: 0;\n" +
    "        display: flex;\n" +
    "        flex-direction: column;\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .documento__cabecera {\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable {\n" +
    "        height: auto;\n" +
    "    }\n" +
    "    .tabla__datos {\n" +
    "        flex: 1 ;\n" +
    "    }\n" +
    "    .evo-tableflex .tabla__pie {\n" +
    "        display: none ;\n" +
    "    }\n" +
    "    .documento__cabecera-referencia {\n" +
    "        flex: 2 ;\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable .acciones-tabla .registros-por-pagina {\n" +
    "        height: 28px;\n" +
    "        padding: 2px ;\n" +
    "    }\n" +
    "    .evo-tableflex .top-eztable {\n" +
    "        padding :0;\n" +
    "    }\n" +
    "\n" +
    "    .panel__container {\n" +
    "        padding: 4px;\n" +
    "    }\n" +
    "    .panel__info {\n" +
    "        padding: 4px;\n" +
    "    }\n" +
    "    .panel__info-value {\n" +
    "        font-size: 2em;\n" +
    "    }\n" +
    "    .evo-tableflex .razon_social {\n" +
    "        flex: 2;\n" +
    "    }\n" +
    "    .evo-tableflex__datos {\n" +
    "        min-height: 450px;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"extracto-productos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Extracto producto</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\"\n" +
    "                    title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "\n" +
    "            <div class=\"documento__cabecera\">\n" +
    "                <div class=\"documento__cabecera-referencia\">\n" +
    "                    <span class=\"documento__referencia\">{{ vm.fd.producto.producto + ' '+ vm.fd.producto.descripcion}}</span>\n" +
    "                </div>\n" +
    "             <!--   <div class=\"documento__cabecera-botones\">\n" +
    "                    <button class=\"btn btn-sucess documento__boton-grabar\" ng-click=\"vm.verFichaProducto()\">\n" +
    "                        <i class=\"icon-file\"></i> Ver Ficha Producto\n" +
    "                    </button>\n" +
    "\n" +
    "                </div>-->\n" +
    "            </div>\n" +
    "                    <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\"\n" +
    "                         nombre-tabla=\"lista-productos-extracto\"\n" +
    "                         pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos tabla__datos-extracto-productos\">\n" +
    "                        <div class=\"evo-tableflex__datos \" style=\"flex: 1;overflow-y: scroll;\">\n" +
    "                            <div ng-repeat=\"item in items\" class=\"tabla__registro\"\n" +
    "                                 ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "                                <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                                    <!--<div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                        <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                            <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                            <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                                        </div>\n" +
    "                                    </div>-->\n" +
    "\n" +
    "                                    <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                                        <div class=\"tabla__columna tipo\">\n" +
    "                                            <label>Tipo</label>\n" +
    "                                            <span>{{item.tipo}}</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna fecha\">\n" +
    "                                            <label>Fecha</label>\n" +
    "                                            <span>{{item.fecha_e}}</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna documento\">\n" +
    "                                            <label>Documento</label>\n" +
    "                                            <span>{{item.documento}}</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna razon_social\">\n" +
    "                                            <label>Tipo</label>\n" +
    "                                            <span>{{item.razon_social}}</span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"tabla__columna numero\">\n" +
    "                                            <label>Cantidad</label>\n" +
    "                                            <span>{{item.cantidad}}</span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"tabla__columna numero\">\n" +
    "                                            <label>Precio</label>\n" +
    "                                            <span>{{item.precio}}</span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"tabla__columna numero\">\n" +
    "                                            <label>Saldo</label>\n" +
    "                                            <span>{{item.saldo  | number : 0}}</span>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                    <div class=\"tabla__columna-acciones\">\n" +
    "                                        <button ng-click=\"vm.actInventario(item)\"\n" +
    "                                                ng-show=\"(item.stock_act > 0) && (vm.registroSel.id == item.id)\"\n" +
    "                                                class=\"btn \"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer-info\">\n" +
    "                <div class=\"panel__container\">\n" +
    "                    <div class=\"panel__info\">\n" +
    "                        <div class=\"panel__info-title\">\n" +
    "                            <span>Ventas</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"panel__info-value\">\n" +
    "                            <span>{{ vm.fd.cantidad_ventas  | number : 0}}</span>\n" +
    "                            <span class=\"panel__info-simbolo\">Uds.</span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info\">\n" +
    "                        <div class=\"panel__info-title\">\n" +
    "                            <span>Ventas</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"panel__info-value\">\n" +
    "                            <span>{{ vm.fd.total_ventas  | number : 2}}</span>\n" +
    "                            <span class=\"panel__info-simbolo\">€</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"panel__info-add\">\n" +
    "                            <span>En los últimos 12 meses</span>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                    <div class=\"panel__info\">\n" +
    "                        <div class=\"panel__info-title\">\n" +
    "                            <span>Compras</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"panel__info-value\">\n" +
    "                            <span>{{ vm.fd.cantidad_compras  | number : 0}}</span>\n" +
    "                            <span class=\"panel__info-simbolo\">Uds.</span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"panel__info\">\n" +
    "                        <div class=\"panel__info-title\">\n" +
    "                            <span>Compras</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"panel__info-value\">\n" +
    "                            <span>{{ vm.fd.total_compras  | number : 2}}</span>\n" +
    "                            <span class=\"panel__info-simbolo\">€</span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/productos/productos-extracto.html',
    "\n" +
    "\n" +
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Información producto</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"documento__cabecera\">\n" +
    "        <div class=\"documento__cabecera-referencia\">\n" +
    "            <span class=\"documento__referencia\" >{{ vm.fd.producto.producto + ' '+ vm.fd.producto.descripcion}}</span>\n" +
    "        </div>\n" +
    "        <div class=\"documento__cabecera-botones\">\n" +
    "            <button class=\"btn btn-sucess documento__boton-grabar\" ng-click=\"vm.verFichaProducto()\">\n" +
    "                <i class=\"icon-file\"></i> Ver Ficha Producto</button>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-productos-extracto\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla__datos tabla__datos-extracto-productos\">\n" +
    "                <div class=\"datos\">\n" +
    "                    <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                        <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                            <!--<div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                    <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                    <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                                </div>\n" +
    "                            </div>-->\n" +
    "\n" +
    "                            <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "\n" +
    "                                <div class=\"tabla__columna tipo\" >\n" +
    "                                    <label>Tipo</label>\n" +
    "                                    <span>{{item.tipo}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna fecha\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{item.fecha_e}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna documento\">\n" +
    "                                    <label>Documento</label>\n" +
    "                                    <span>{{item.documento}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon-social\" >\n" +
    "                                    <label>Tipo</label>\n" +
    "                                    <span>{{item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"tabla__columna numero\" >\n" +
    "                                    <label>Stock</label>\n" +
    "                                    <span>{{item.cantidad}}</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"tabla__columna numero\" >\n" +
    "                                    <label>Saldo</label>\n" +
    "                                    <span>{{item.saldo  | number : 0}}</span>\n" +
    "\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <div class=\"tabla__columna-acciones\">\n" +
    "                                <button ng-click=\"vm.actInventario(item)\" ng-show=\"(item.stock_act > 0) && (vm.registroSel.id == item.id)\" class=\"btn \"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div class=\"panel__container\">\n" +
    "\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Ventas</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.cantidad_ventas  | number : 0}}</span>\n" +
    "                        <span class=\"panel__info-simbolo\">Uds.</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Ventas</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.total_ventas  | number : 2}}</span>\n" +
    "                        <span class=\"panel__info-simbolo\">€</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-add\">\n" +
    "                        <span>En los últimos 12 meses</span>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Compras</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.cantidad_compras  | number : 0}}</span>\n" +
    "                        <span class=\"panel__info-simbolo\">Uds.</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"panel__info\">\n" +
    "                    <div class=\"panel__info-title\">\n" +
    "                        <span>Compras</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"panel__info-value\">\n" +
    "                        <span>{{ vm.fd.total_compras  | number : 2}}</span>\n" +
    "                        <span class=\"panel__info-simbolo\">€</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n"
  );


  $templateCache.put('views/admin/productos/productos-informes.html',
    "<div class=\"productos-informe lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Informes productos</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"dx-viewport demo-container\">\n" +
    "             <div id=\"gridContainer\" dx-data-grid=\"vm.dataGridOptions\"></div>\n" +
    "        </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n" +
    "<productos-extracto></productos-extracto>\n"
  );


  $templateCache.put('views/admin/productos/productos-lista.html',
    "<style>\n" +
    "\n" +
    "    .tabla__columna {\n" +
    "        font-size: 12px;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Productos</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "\n" +
    "                <!--<div class=\"form-group\" style=\"width: 150px\">\n" +
    "                    <label class=\"control-label\" style=\"margin-right:10px\">Estado:  </label>\n" +
    "                    <button type=\"button\" class=\"btn btn-default\"\n" +
    "                            ng-model=\"vm.opcion\"\n" +
    "                            ng-change=\"vm.verOpcion()\"\n" +
    "                            data-html=\"1\"\n" +
    "                            bs-options=\"opcion.value as opcion.label for opcion in vm.opciones\"\n" +
    "                            bs-select>\n" +
    "                    </button>\n" +
    "\n" +
    "                </div>-->\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver productos</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Producto</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.etiquetas()\">Etiquetas</a>\n" +
    "                  <!--  <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.imprimir()\">Imprimir Lista</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"true\" nombre-tabla=\"listaProductos\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla__datos tabla__datos-productos\">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat-start=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "\n" +
    "                          <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                            <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                  <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\" />\n" +
    "                                  <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "                          <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                              <div class=\"tabla__columna producto lista-productos__producto\" >\n" +
    "                                  <label>Producto</label>\n" +
    "                                  <span>{{::item.producto}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna descripcion\">\n" +
    "                                  <label>Descripción</label>\n" +
    "                                  <span>{{::item.descripcion}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna subfamilia_desc\">\n" +
    "                                  <label>Grupo</label>\n" +
    "                                  <span>{{::item.grupo}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna subfamilia_desc\">\n" +
    "                                  <label>Familia</label>\n" +
    "                                  <span>{{::item.familia_desc}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna subfamilia_desc\">\n" +
    "                                  <label>Sub Familia</label>\n" +
    "                                  <span>{{::item.subfamilia_desc}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <label>Stock</label>\n" +
    "                                  <span>{{::item.stock}}</span>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <label>Precio Compra</label>\n" +
    "                                  <span>{{::item.precio_compra | currency}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <label>Precio Compra Sin iva</label>\n" +
    "                                  <span>{{::item.precio_compra_iva | currency}}</span>\n" +
    "                              </div>\n" +
    "                              <div class=\"tabla__columna numero\">\n" +
    "                                  <label>PVP</label>\n" +
    "                                  <span>{{::item.precio_venta | currency}}</span>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "\n" +
    "\n" +
    "                          <div class=\"tabla__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verExtracto(item)\"  class=\"btn \"><i class=\"fa fa-bar-chart\" aria-hidden=\"true\"></i></button>\n" +
    "                              <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "                  <div ng-repeat-end=\"\" >\n" +
    "                      <div ng-if=\"vm.registroSel.id === item.id\" class=\"tabla__datos-registro\">\n" +
    "                          <div class=\"seccion\">\n" +
    "                              <div class=\"seccion__cabecera\">\n" +
    "                                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                                      <h4> <span ng-bind=\"::item.descripcion\"></span></h4>\n" +
    "                                  </div>\n" +
    "\n" +
    "                              </div>\n" +
    "                              <div class=\"seccion__contenido\">\n" +
    "                                  <div class=\"campo__ro\">\n" +
    "                                      <label>Código Producto</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"::item.producto\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"campo__ro\">\n" +
    "                                      <label>Precio Venta</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"::item.precio_venta | currency \"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"campo__ro\">\n" +
    "                                      <label>P. Compra ( Sin IVA)</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"::item.precio_compra | currency \"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"campo__ro\">\n" +
    "                                      <label>P. Compra ( con IVA)</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"::item.precio_compra_iva | currency\"></span>\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "                              <div class=\"seccion__pie\">\n" +
    "                                  <button ng-click=\"vm.borrarRegistro(item)\"  class=\"btn boton__accion-peque \"><i class=\"fa fa-trash-o\" aria-hidden=\"true\"></i>Borrar Producto</button>\n" +
    "                              </div>\n" +
    "\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-producto></registro-producto>\n" +
    "<productos-extracto></productos-extracto>\n"
  );


  $templateCache.put('views/admin/productos/productos-rapidos.html',
    "\n" +
    "<style>\n" +
    "  .fondo-pantalla-edicion {\n" +
    "      position: absolute;\n" +
    "      top: 0;\n" +
    "      bottom: 0;\n" +
    "      right: 0;\n" +
    "      left: 0;\n" +
    "      background: rgba(0, 0, 0, 0.25);\n" +
    "  }\n" +
    "  .slds-modal__content {\n" +
    "      height:  auto;\n" +
    "      position: relative;\n" +
    "  }\n" +
    "  .lista-productos .slds-modal__container {\n" +
    "      max-width: 100%;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-productos .data-list__detail {\n" +
    "      display: flex;\n" +
    "      max-height: 130px;\n" +
    "      flex-direction: column;\n" +
    "      border: 1px solid #eee;\n" +
    "      margin: 4px;\n" +
    "      flex-grow: 0;\n" +
    "      flex-basis: 130px;\n" +
    "      height: 100px;\n" +
    "      background: #f9f9f9 ;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-productos .data-list__detail:hover {\n" +
    "      background: #eee;\n" +
    "  }\n" +
    "  .lista-productos .data-list__detail .producto__descripcion{\n" +
    "      flex:3;\n" +
    "      font-size: 1.4rem;\n" +
    "      max-height: 65px;\n" +
    "      text-align: center ;\n" +
    "      color: #0098dc;\n" +
    "      overflow: hidden ;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-productos .data-list__detail .producto__precio {\n" +
    "      text-align: center ;\n" +
    "      font-size: 1.6rem;\n" +
    "      font-weight: bold;\n" +
    "      color: #a7a7a7;\n" +
    "      padding: 4px;\n" +
    "  }\n" +
    "  .lista-productos .zona-botones {\n" +
    "      margin-bottom: 10px;\n" +
    "      background: #f7f7f7;\n" +
    "  }\n" +
    "  \n" +
    "  .boton-verde {\n" +
    "      background: #a0c757;\n" +
    "  }\n" +
    "  .lista-productos .data-list__content {\n" +
    "      display: flex ;\n" +
    "      height : 600px;\n" +
    "      flex-direction: row ;\n" +
    "      flex-wrap: wrap;\n" +
    "      align-content: flex-start;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"slds-modal lista-productos\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Productos Golf</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <div class=\"seccion\">\n" +
    "          <div class=\"zona-botones\">\n" +
    "            <button class=\"btn boton-verde\" ng-click=\"vm.buscar(&quot;GF&quot;)\">GREENFEES</button>\n" +
    "            <button class=\"btn boton-verde\" ng-click=\"vm.buscar(&quot;ABONO&quot;)\">ABONOS</button>\n" +
    "            <button class=\"btn boton-verde\" ng-click=\"vm.buscar(&quot;&quot;)\">TODOS</button>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <div class=\"data-list__content\">\n" +
    "          <div class=\"data-list__detail\" ng-repeat=\"item in vm.datos\" ng-if=\"vm.datos.length &gt; 0\" ng-click=\"vm.seleccionar(item)\">\n" +
    "            <div class=\"data-list__detail-column producto__descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "            <div class=\"data-list__detail-column producto__precio\"><span ng-bind=\"::item.precio_venta | currency\"></span></div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/productos/productos-registro.html',
    "<style>\n" +
    "    .registro-productos .slds-modal__content {\n" +
    "        flex-grow: 0;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"registro-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Producto</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\" >\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "              <!--  <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>-->\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Producto</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.producto\"\n" +
    "                                           name=\"producto\"\n" +
    "                                           readonly\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                    <div ng-messages=\"vm.formDatos.producto.$error\" role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "                                        <div style=\"color:red\" ng-message=\"duplicado\">Este código está duplicado</div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Descripción</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.descripcion\"\n" +
    "                                           name=\"descripcion\"\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                           required />\n" +
    "                                    <div ng-messages=\"vm.formDatos.descripcion.$error\"  role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Código de barras</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.codigo_barras\"\n" +
    "                                           name=\"codigo_barras\"\n" +
    "\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                    <div ng-messages=\"vm.formDatos.codigo_barras.$error\" role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Precio venta</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           required\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.precio_venta\"\n" +
    "                                           name=\"precio_venta\"\n" +
    "                                           money\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Precio compra</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.precio_compra\"\n" +
    "                                           name=\"precio_compra\"\n" +
    "                                           money\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Grupo de productos</label>\n" +
    "                                    <select class=\"form-control\" ng-model=\"vm.grupo.id\" required ng-options=\"grupo.id as grupo.descripcion for grupo in vm.grupos\"></select>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Boton TPV</label>\n" +
    "                                    <select class=\"form-control\" ng-model=\"vm.boton_tpv.id\"  ng-options=\"boton_tpv.id as boton_tpv.descripcion for boton_tpv in vm.botones_tpv\"></select>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Favorito</label>\n" +
    "                                    <checkbox class=\"check-box\"\n" +
    "                                            ng-model=\"vm.fd.favorito\"\n" +
    "                                            ng-true-value=\"1\"\n" +
    "                                            ng-false-value=\"0\">\n" +
    "                                    </checkbox>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Orden botón tpv:</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"number\"\n" +
    "                                           ng-model=\"vm.fd.ordenbotontpv\"\n" +
    "                                           name=\"ordenbotontpv\"\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "\n" +
    "                              <!--  <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Familia</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.familia_desc\"\n" +
    "                                           name=\"familia_desc\"\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">SubFamilia</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.subfamilia_desc\"\n" +
    "                                           name=\"subfamilia_desc\"\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>-->\n" +
    "\n" +
    "                               <!-- <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Tipo I.V.A.</label>\n" +
    "                                    <div class=\"wrap-select\">\n" +
    "                                        <ui-select ng-model=\"vm.impuesto\"\n" +
    "                                                   theme=\"bootstrap\"\n" +
    "                                                   reset-search-input=\"false\"\n" +
    "                                                   style=\"width: 300px;\"\n" +
    "                                                   title=\"Elige un tipo de iva\">\n" +
    "                                            <ui-select-match placeholder=\"Elige un tipo de iva...\">{{$select.selected.descripcion}}</ui-select-match>\n" +
    "                                            <ui-select-choices repeat=\"impuesto in vm.impuestos track by $index\" refresh-delay=\"0\">\n" +
    "                                                <div ng-bind-html=\"impuesto.descripcion | highlight: $select.search\"></div>\n" +
    "                                            </ui-select-choices>\n" +
    "                                        </ui-select>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>-->\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Familia</label><br>\n" +
    "                                <ui-select ng-model=\"vm.familia\"\n" +
    "                                           theme=\"bootstrap\"\n" +
    "                                           reset-search-input=\"true\"\n" +
    "                                           style=\"width: 400px;\"\n" +
    "                                           title=\"Selecciona una familia\">\n" +
    "                                    <ui-select-match placeholder=\"Selecciona una familia...\">{{$select.selected.descripcion_listado}}</ui-select-match>\n" +
    "                                    <ui-select-choices repeat=\"familia in vm.familias track by $index\"\n" +
    "                                                       refresh-delay=\"200\"\n" +
    "                                                       minimum-input-length=\"3\">\n" +
    "                                        <div ng-bind-html=\"familia.descripcion_listado | highlight: $select.search\"></div>\n" +
    "                                    </ui-select-choices>\n" +
    "\n" +
    "                                </ui-select>\n" +
    "                                <button class=\"btn btn-borrar-opcion\" ng-click=\"vm.familia={id:0}\"><span class=\"glyphicon glyphicon-remove pull-right\"></span></button>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar(vm.formDatos)\" >Grabar Producto</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/proveedores/proveedores-baja.html',
    "\n" +
    "<div class=\"lightbox baja-asociado\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"mask\"></div>\n" +
    "    <div class=\"content ventana-popup\">\n" +
    "        <div class=\"row  cabecera\">\n" +
    "            <div class=\"col-lg-12\">\n" +
    "                <h2>Baja Proveedor</h2>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"row datos-registro\">\n" +
    "            <div class=\"col-lg-12 col-sm-12 col-md-12 col-xs-12\">\n" +
    "                <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate form-cycle>\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Fecha Baja</label><br>\n" +
    "                        <div class=\"form-group\">\n" +
    "                            <input type=\"text\" size=\"10\" class=\"form-control fecha\" required data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha_baja\" data-autoclose=\"1\" placeholder=\"Fecha Baja\" bs-datepicker>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "                        <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "                    </div>\n" +
    "                </form>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/proveedores/proveedores-lista.html',
    "<div class=\"lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Proveedores</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver Proveedores</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo Proveedor</a>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-clientes-div\">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat-start=\"item in items\" class=\"registros\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"ficha\" >\n" +
    "                          <div class=\"columna razon_social\">\n" +
    "                              <label class=\"no-phone\">Razón social</label>\n" +
    "                              <span>{{item.razon_social}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"columna email no-phone\">\n" +
    "                              <label>e-mail</label>\n" +
    "                              <span>{{item.email}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"columna telefono no-phone\">\n" +
    "                              <label>Telefono</label>\n" +
    "                              <span>{{item.telefono}}</span>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                      <!--Lo ponemos como estandard los nombres-->\n" +
    "                      <div data-title=\"Acciones\"  class=\"columna-acciones ver-registro\">\n" +
    "                          <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          <button  ng-click=\"vm.ver(item)\" class=\"btn btn-default btn-xs\">\n" +
    "                              <i ng-show=\"item.id === vm.registroSel.id \" class=\"fa fa-chevron-up\" aria-hidden=\"true\"></i>\n" +
    "                              <i ng-show=\"vm.registroSel.id != item.id \" class=\"fa fa-chevron-down\" aria-hidden=\"true\"></i>\n" +
    "                          </button>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "                  <div ng-repeat-end=\"\" >\n" +
    "\n" +
    "                      <div ng-if=\"vm.registroSel.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                          <div class=\"expandable w100\">\n" +
    "                              <div class=\"w100\">\n" +
    "                                  <h2> <span class=\"razon-social\" ng-bind=\"item.razon_social\"></span></h2>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"w50 mw100 fl pr10\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Dirección</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.direccion\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Población</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.poblacion\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Provincia</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.provincia\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>País</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.pais\"></span>\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "\n" +
    "                              <div class=\"w50 mw100 fl\">\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Email</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.email\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>web</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.web\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Teléfono</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.telefono\"></span>\n" +
    "                                  </div>\n" +
    "                                  <div class=\"form-group\">\n" +
    "                                      <label>Persona Contacto</label>\n" +
    "                                      <span class=\"campo\" ng-bind=\"item.persona_contacto\"></span>\n" +
    "                                  </div>\n" +
    "                              </div>\n" +
    "                              <div class=\"w100 fl\">\n" +
    "                                  <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-form\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                                  <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn btn-form\"><i class=\"fa fa-trash-o\"></i> Borrar</button>\n" +
    "                              </div>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-proveedor></registro-proveedor>\n" +
    "<baja-asociado></baja-asociado>"
  );


  $templateCache.put('views/admin/proveedores/proveedores-registro.html',
    "<div class=\"registro-clientes\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Proveedor</h2>\n" +
    "            <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\">\n" +
    "                <i class=\"fa fa-times\"></i>\n" +
    "            </button>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <input-evo name=\"razon_social\" etiqueta=\"Razón social\" required\n" +
    "                                       ng-model=\"vm.fd.razon_social\">\n" +
    "                            </input-evo>\n" +
    "\n" +
    "                            <input-evo name=\"direccion\" etiqueta=\"Dirección\" ng-model=\"vm.fd.direccion\"></input-evo>\n" +
    "                            <input-evo name=\"poblacion\" etiqueta=\"Población\" ng-model=\"vm.fd.poblacion\"></input-evo>\n" +
    "                            <input-evo name=\"codigo_postal\" etiqueta=\"Código Postal\"\n" +
    "                                       ng-model=\"vm.fd.codigopostal\"></input-evo>\n" +
    "                            <input-evo name=\"provincia\" etiqueta=\"Provincia\" ng-model=\"vm.fd.provincia\"></input-evo>\n" +
    "\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">País</label>\n" +
    "                                <!-- <input type=\"text\" class=\"form-control\" ng-model=\"vm.fd.reserva.pais\" placeholder=\"{{ 'País' | translate }}\" data-validation=\"required\"\n" +
    "                                        id=\"userCountrie\" name=\"pais\" required>-->\n" +
    "                                <!-- <label for=\"pais\">{{ 'País' | translate }}</label><br>-->\n" +
    "                                <select name=\"pais\" id=\"pais\" ng-model=\"vm.fd.pais\"\n" +
    "                                        class=\"form-control select-pais\">\n" +
    "                                    <option value=\"\" disabled selected>{{ 'País' }}</option>\n" +
    "                                    <option ng-repeat=\"pais in vm.paises\" value=\"{{ pais.Code }}\">{{ pais.Name }}\n" +
    "                                    </option>\n" +
    "                                </select>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <input-evo name=\"persona_contacto\" etiqueta=\"Persona Contacto\"\n" +
    "                                       ng-model=\"vm.fd.persona_contacto\"></input-evo>\n" +
    "                            <input-evo name=\"telefono\" etiqueta=\"Teléfono\" ng-model=\"vm.fd.telefono\"></input-evo>\n" +
    "                            <input-evo  etiqueta=\"Móvil\" ng-model=\"vm.fd.movil\"></input-evo>\n" +
    "                            <input-evo name=\"email\" etiqueta=\"e-mail\" ng-model=\"vm.fd.email\"></input-evo>\n" +
    "                            <input-evo name=\"web\" etiqueta=\"Página web\" ng-model=\"vm.fd.web\"></input-evo>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"sectionHeader\">\n" +
    "                        <h4>Datos fiscales y contables</h4>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <input-evo name=\"cif\" etiqueta=\"C.I.F.\" ng-model=\"vm.fd.cif\"></input-evo>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <input-evo etiqueta=\"Cuenta Contable\"\n" +
    "                                       ng-model=\"vm.fd.cta_contable\"></input-evo>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Confirmar</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/proveedores/proveedores.html',
    "<sidebar></sidebar>\n" +
    "<div class=\"row-content main-content\">\n" +
    "    <div class=\"container\">\n" +
    "        <lista-clientes></lista-clientes>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/reservas/reserva-express.html',
    "\n" +
    "<style>\n" +
    "  .boton-reserva {\n" +
    "      width: 150px;\n" +
    "      padding: 6px;\n" +
    "      margin: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .boton-reserva.active {\n" +
    "      box-shadow: none ;\n" +
    "  }\n" +
    "  .reserva-express .slds-modal__container {\n" +
    "      max-width: 700px;\n" +
    "  }\n" +
    "  .reserva-express .slds-modal__header h3 {\n" +
    "      font-size: 2rem ;\n" +
    "      margin: 0 ;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-express .botones-cabecera {\n" +
    "      text-align: right;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-express .control-label {\n" +
    "      font-size: 1.4rem;\n" +
    "      color: black;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-express .slds-modal__content {\n" +
    "      min-height: auto;\n" +
    "      padding: 15px 10px;\n" +
    "      padding-bottom: 150px;\n" +
    "      background: #f9f9f9;\n" +
    "  }\n" +
    "  \n" +
    "  .nombre-recorrido h3 {\n" +
    "      line-height: 1;\n" +
    "      font-size: 1.8rem;\n" +
    "  }\n" +
    "  \n" +
    "  .reserva-express .campo__ro span {\n" +
    "      font-size: 1.8rem;\n" +
    "      color: red;\n" +
    "      font-weight: bold;\n" +
    "  }\n" +
    "  .reserva-express .campo__ro {\n" +
    "      padding: 4px 0 ;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"reserva-express slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header slds-modal__header-azul\">\n" +
    "      <h3><span>Reserva Express {{ vm.datosReserva.fecha | date:'dd-MM-yyyy' }} Tee: {{ vm.datosReserva.recorrido }} {{ vm.datosReserva.hora }}</span></h3>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"flex__row flex__dir-col\">\n" +
    "        <form role=\"form\">\n" +
    "          <div class=\"flex__row flex__dir-col\">\n" +
    "            <div class=\"flex__col-12\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Seleccione Abonado</label>\n" +
    "                <abonosbuscar selecteditem=\"vm.abono\" values=\"vm.abonados\" key=\"nombre_jugador\" onscroll=\"vm.leerAbonos(searchKey,0)\"></abonosbuscar>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"flex__col-12\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" onscroll=\"vm.leerClientes(searchKey,0)\"></searchandselect>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row flex__dir-col\">\n" +
    "            <div class=\"form-group flex__col-12\">\n" +
    "              <label class=\"control-label\">Datos Jugador</label>\n" +
    "              <input class=\"form-control\" type=\"text\" placeholder=\"Nombre\" data-validation=\"required\" required=\"\" name=\"nombre_jugador\" ng-model=\"vm.fd.nombre_jugador\"/>\n" +
    "            </div>\n" +
    "            <div class=\"form-group flex__col-12\">\n" +
    "              <label class=\"control-label\">País</label>\n" +
    "              <select class=\"form-control select-pais\" id=\"pais\" name=\"pais\" ng-model=\"vm.fd.pais\">\n" +
    "                <option value=\"\" disabled=\"\" selected=\"\">{{ &apos;Pa&iacute;s&apos; }}</option>\n" +
    "                <option ng-repeat=\"pais in vm.paises\" value=\"{{ pais.Code }}\">{{ pais.Name }}</option>\n" +
    "              </select>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row\">\n" +
    "            <div class=\"flex__col-3\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Jugadores</label>\n" +
    "                <input class=\"form-control\" type=\"number\" size=\"5\" min=\"1\" ng-model=\"vm.fd.numJugadores\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"flex__col-3\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Buggies</label>\n" +
    "                <input class=\"form-control\" type=\"number\" size=\"5\" min=\"0\" ng-model=\"vm.fd.buggies\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"flex__col-6\">\n" +
    "              <div class=\"form-group fl\" style=\"margin-right:15px;\">\n" +
    "                <label class=\"control-label\">Seleccione tarifa</label>\n" +
    "                <searchandselect selecteditem=\"vm.tarifa\" values=\"vm.tarifas\" key=\"descripcion\" onscroll=\"vm.leerTarifas(searchKey,0)\"></searchandselect>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row\">\n" +
    "            <div class=\"flex__col-12\">\n" +
    "              <div class=\"form-group\">\n" +
    "                <label class=\"control-label\">Voucher</label>\n" +
    "                <input class=\"form-control\" type=\"text\" placeholder=\"Voucher\" data-validation=\"required\" name=\"tfno\" ng-model=\"vm.fd.reserva.referencia_cliente\"/>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row\">\n" +
    "            <div class=\"flex__col-12\">\n" +
    "              <label class=\"control-label\">Crear...</label>\n" +
    "              <div class=\"btn-group\" style=\"width:100%;\">\n" +
    "                <label class=\"btn boton-reserva\" ng-model=\"vm.tipodoc\" uib-btn-radio=\"'TI'\">Ticket</label>\n" +
    "                <label class=\"btn boton-reserva\" ng-model=\"vm.tipodoc\" uib-btn-radio=\"'AL'\">Albarán</label>\n" +
    "                <label class=\"btn boton-reserva\" ng-model=\"vm.tipodoc\" uib-btn-radio=\"'NO'\">Nada</label>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </form>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\">\n" +
    "      <div class=\"flex__row\"><a class=\"btn btn-default boton__accion\" ng-click=\"vm.grabarReserva()\"><i class=\"fa fa-check\"></i> Generar Reserva</a><a class=\"btn btn-default boton__accion\" ng-click=\"vm.cancelar()\"><i class=\"fa fa-times\"></i> Cancelar</a></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<busca-clientes></busca-clientes>"
  );


  $templateCache.put('views/admin/reservas/reserva-suecos.html',
    "\n" +
    "<style>\n" +
    "  .reserva-suecos .botones-cabecera {\n" +
    "      text-align: right;\n" +
    "  }\n" +
    "  .reserva-suecos .slds-modal__container {\n" +
    "      width: 99%;\n" +
    "      padding :10px;\n" +
    "  }\n" +
    "  .reserva-suecos .slds-modal__content {\n" +
    "      min-height: 500px;\n" +
    "      padding: 0 15px;\n" +
    "      padding-bottom: 10px;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"reserva-suecos slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <div class=\"flex__row\">\n" +
    "        <div class=\"flex__col-5\">\n" +
    "          <div class=\"slds-modal__header-titulo\"><span>Reserva:</span><span class=\"pr-5\" ng-bind=\"vm.fd.reserva.idreserva\"></span><span ng-bind=\"vm.fd.reserva.nombre\"></span></div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__col-7\">\n" +
    "          <div class=\"botones-cabecera\"><a class=\"btn boton__accion\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirGreenfees()\"><i class=\"fa fa-print\"></i> Imprimir GFs</a><a class=\"btn boton__accion\" ng-click=\"vm.facturarGreenfees()\"><i class=\"fa fa-file-text-o\" aria-hidden=\"true\"></i> Ticket Greenfees</a><a class=\"btn boton__accion\" ng-click=\"vm.albaranGreenfees()\"><i class=\"fa fa-file-text-o\" aria-hidden=\"true\"></i> Albarán Greenfees</a><a class=\"btn boton__accion\" ng-click=\"vm.asignarTarifa()\"><i class=\"fa fa-eur\" aria-hidden=\"true\"></i> Asignar Tarifa</a><a class=\"btn boton__accion boton__accion--azul\" ng-click=\"vm.cancelar()\" ng-disabled=\"vm.fd.modsalida\"><i class=\"fa fa-check\"></i> Salir</a></div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content reserva-suecos__content\">\n" +
    "      <div class=\"flex__row pb-8\">\n" +
    "        <div class=\"flex__col-6\"><a class=\"btn boton__accion\" ng-click=\"vm.marcarTodos(true)\"><i class=\"fa fa-check-square\" aria-hidden=\"true\"></i> Marcar Todos</a><a class=\"btn boton__accion\" ng-click=\"vm.marcarTodosNoFacturados(true)\"><i class=\"fa fa-check-square\" aria-hidden=\"true\"></i> Marcar No Facturados</a><a class=\"btn boton__accion\" ng-click=\"vm.marcarTodos(false)\"><i class=\"fa fa-check-square-o\" aria-hidden=\"true\"></i> Desmarcar</a></div>\n" +
    "      </div>\n" +
    "      <div class=\"flex__row\">\n" +
    "        <div class=\"tabla__datos flex__col-12\">\n" +
    "          <div class=\"tabla__titulos\">\n" +
    "            <div class=\"tabla__columna tabla__selectbox\"></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Fecha</span></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Hora</span></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Abono</span></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Ticket/Albarán</span></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Tarifa</span></div>\n" +
    "            <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Nombre Jugador</span></div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__datos-registros\" style=\"overflow:auto;\" auto-height=\"\" additional-height=\"180\">\n" +
    "            <div class=\"reserva__greenfee\" ng-repeat=\"item in vm.greenfees\">\n" +
    "              <div class=\"tabla__registro\" ng-focus=\"vm.entraGF()\" ng-class=\"[{'es-cliente': item.essocio == 1},{'es-abonado': item.abono_id &gt; 0}]\">\n" +
    "                <div class=\"tabla__columna tabla__selectbox pl-8\">\n" +
    "                  <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                    <input type=\"checkbox\" id=\"fila__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                    <label for=\"fila__checkbox-{{item.id}}\"></label>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.fecha | date:'dd-MM-yyyy' }}</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.hora}}</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\">\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"item.abono\" name=\"abono\" ng-blur=\"vm.actualizaAbonoGF(item)\"/>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span ng-show=\"item.ticket_id &gt; 0\">{{item.doc}}</span><span ng-show=\"item.albaran_id &gt; 0\">{{item.albaran_doc}}</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.tarifa}}</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-descripcion\"><span>{{item.nombre_jugador}}</span></div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<tarifas-golf-buscar></tarifas-golf-buscar>"
  );


  $templateCache.put('views/admin/reservas/reservas-abonados.html',
    "\n" +
    "<style>\n" +
    "  .reservas-abonados .slds-modal__container {\n" +
    "     max-width: 800px; \n" +
    "  }\n" +
    "  .reservas-abonados .greenfees-reserva-abonados {\n" +
    "      min-height: 300px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .lista-dabonos__nombre-jugador {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .lista-dabonos__cliente {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  \n" +
    "  .reservas-abonados .slds-modal__content {\n" +
    "      height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .lista__abonos {\n" +
    "      flex-direction: column;\n" +
    "      display: flex ;\n" +
    "      height: 400px;\n" +
    "      overflow-y: auto;\n" +
    "      position:relative;\n" +
    "  }\n" +
    "  \n" +
    "  .linea-consulta-abono .nombre_jugador {\n" +
    "      flex: 4;\n" +
    "  }\n" +
    "  \n" +
    "  .linea-consulta-abono .fecha_inicio {\n" +
    "      flex: 4;\n" +
    "  }\n" +
    "  .detalle__abono {\n" +
    "      display: flex ;\n" +
    "      flex-direction: column ;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  .campo-lista {\n" +
    "      display: flex;\n" +
    "      flex-direction: column;\n" +
    "  }\n" +
    "  \n" +
    "  .reservas-abonados .lista-abonos {\n" +
    "      position: absolute;\n" +
    "      width: 100%;\n" +
    "      top: 60px;\n" +
    "      background: white;\n" +
    "      height: 330px;\n" +
    "      overflow: auto  ;\n" +
    "  }\n" +
    "  .campo-lista label {\n" +
    "      font-size: 1.2rem ;\n" +
    "      color: #1a8ac0 ;\n" +
    "      font-weight: bold ;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"reservas-abonados slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Reserva Abonados / Socios</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"flex__row lista__abonos\">\n" +
    "            <div class=\"busqueda__abonos\">\n" +
    "              <busqueda-abonos foco=\"vm.focoAbono\" selecteditem=\"vm.abono\" values=\"vm.abonos\" key=\"descripcion\" totalrecords=\"totalRecords\" onscroll=\"vm.leerAbonos(searchKey)\"></busqueda-abonos>\n" +
    "              <button class=\"btn boton__accion-peque boton__cierra-consulta-articulos\" ng-click=\"vm.abonos=[]\" ng-show=\"vm.abonos.length&gt;1\">Cerrar</button>\n" +
    "            </div>\n" +
    "            <div class=\"lista-abonos\" ng-show=\"vm.abonos.length &gt; 1\">\n" +
    "              <div class=\"detalle-abono\" ng-repeat=\"item in vm.abonos\" ng-click=\"vm.seleccionarAbono(item)\">\n" +
    "                <div class=\"linea-consulta-abono\" ng-show=\"item.tipo =='A'\" ng-class=\"{'es-abonado': item.tipo == 'A'}\">\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Abono</label><span ng-bind=\"item.datos.abono\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex4\">\n" +
    "                    <label>Jugador</label><span class=\"flex4\" ng-bind=\"item.datos.nombre_jugador\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Fecha Inicio</label><span class=\"flex1\" ng-bind=\"item.datos.fechaini | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "                  </div>\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Fecha Fin</label><span class=\"flex1\" ng-bind=\"item.datos.fechafin | date:&quot;dd-MM-yyyy&quot;\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"linea-consulta-abono\" ng-show=\"item.tipo =='C'\" ng-class=\"{'es-cliente': item.tipo == 'C'}\">\n" +
    "                  <div class=\"campo-lista flex1\">\n" +
    "                    <label>Socio</label><span ng-bind=\"item.datos.razon_social\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"seccion\">\n" +
    "              <div class=\"seccion__contenido greenfees-reserva-abonados\">\n" +
    "                <div class=\"tabla__datos\">\n" +
    "                  <div class=\"tabla__titulos\">\n" +
    "                    <div class=\"tabla__columna tabla__columna-numero\"><span class=\"titulo__columna\">Abono</span></div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Nombre</span></div>\n" +
    "                  </div>\n" +
    "                  <div ng-repeat=\"item in vm.datos_greenfees\">\n" +
    "                    <div class=\"tabla__registro\">\n" +
    "                      <div class=\"tabla__columna tabla__columna-numero\"><span>{{item.abono}}</span></div>\n" +
    "                      <div class=\"tabla__columna tabla__columna-descripcion\"><span>{{item.nombre_jugador}}</span></div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-show=\"vm.datos_greenfees.length &gt; 0\" ng-click=\"vm.grabar()\">Crear Reserva</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/reservas/reservas-registro-nuevo.html',
    "\n" +
    "<style>\n" +
    "  .reserva-registro .botones-cabecera {\n" +
    "      text-align: right;\n" +
    "  }\n" +
    "  .reserva-registro .slds-modal__container {\n" +
    "      width: 99%;\n" +
    "      padding :10px;\n" +
    "  }\n" +
    "  .reserva-registro .slds-modal__header-titulo span {\n" +
    "      font-size: 1.6rem ;\n" +
    "      color: gray ;\n" +
    "  }\n" +
    "  .reserva-registro .form-group-hor {\n" +
    "      margin-bottom: 0 ;\n" +
    "  }\n" +
    "  .reserva-registro .slds-modal__content {\n" +
    "      height: 100vh;\n" +
    "      padding: 0 15px 15px 15px;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"reserva-registro slds-modal\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <div class=\"flex__row\">\n" +
    "        <div class=\"flex__col-4\">\n" +
    "          <div class=\"slds-modal__header-titulo\"><span>Reserva:</span><span class=\"pr-5\" ng-bind=\"vm.fd.reserva.idreserva\"></span><span ng-bind=\"vm.fd.reserva.nombre\"></span></div>\n" +
    "        </div>\n" +
    "        <div class=\"flex__col-8\">\n" +
    "          <div class=\"botones-cabecera\"><a class=\"btn btn-default boton__accion\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.actualizarReserva()\"><i class=\"fa fa-refresh\"></i> Actualizar Reserva</a><a class=\"btn boton__accion\" ng-click=\"vm.cancelar()\" ng-disabled=\"vm.fd.modsalida\"><i class=\"fa fa-times\"></i> Cancelar</a><a class=\"btn boton__accion\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReservaSinPrecios()\"><i class=\"fa fa-print\"></i> Imprimir Sin Precios</a><a class=\"btn boton__accion\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.imprimirConReserva()\"><i class=\"fa fa-print\"></i> Imprimir</a><a class=\"btn boton__accion boton__accion--azul\" ng-disabled=\"vm.fd.modsalida\" ng-click=\"vm.grabarReserva()\"><i class=\"fa fa-check\"></i> Aceptar</a></div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <registro-detalle-reserva></registro-detalle-reserva>\n" +
    "      <uib-tabset>\n" +
    "        <uib-tab heading=\"Datos reserva\">\n" +
    "          <div class=\"cabecera-reservas-admin\">\n" +
    "            <div class=\"flex__row\">\n" +
    "              <div class=\"form-group form-group-hor flex__col-3\">\n" +
    "                <label class=\"control-label\">Tarifa</label>\n" +
    "                <searchandselect selecteditem=\"vm.tarifa\" values=\"vm.tarifas\" key=\"descripcion\" onscroll=\"vm.leerTarifas(searchKey,0)\"></searchandselect>\n" +
    "              </div>\n" +
    "              <div class=\"form-group form-group-hor flex__col-1\">\n" +
    "                <label class=\"control-label\">Fecha</label>\n" +
    "                <input class=\"form-control\" type=\"text\" size=\"10\" data-date-format=\"dd-MM-yyyy\" ng-model=\"vm.fd.fecha\" data-autoclose=\"1\" placeholder=\"Fecha Inicio\" bs-datepicker=\"\"/>\n" +
    "              </div>\n" +
    "              <div class=\"form-group form-group-hor flex__col-1\">\n" +
    "                <label class=\"control-label\">Jugadores</label>\n" +
    "                <input class=\"form-control\" type=\"number\" size=\"5\" min=\"1\" ng-model=\"vm.fd.numJugadores\"/>\n" +
    "              </div>\n" +
    "              <div class=\"form-group form-group-hor flex__col-1\">\n" +
    "                <label class=\"control-label\">Buggies</label>\n" +
    "                <input class=\"form-control\" type=\"number\" size=\"5\" min=\"0\" ng-model=\"vm.fd.buggies\"/>\n" +
    "              </div>\n" +
    "              <div class=\"form-group form-group-hor flex__col-1\"><a class=\"btn boton__ver-disponibilidad\" ng-click=\"vm.verSalidas()\"><i class=\"fa fa-search\"></i></a></div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row\">\n" +
    "            <div class=\"flex__col-8\">\n" +
    "              <div class=\"reserva__admin\">\n" +
    "                <div class=\"reserva__tee-time\">\n" +
    "                  <uib-tabset>\n" +
    "                    <uib-tab heading=\"Tee 1\">\n" +
    "                      <div class=\"flex__row\">\n" +
    "                        <div class=\"flex__col-6 recorrido\">\n" +
    "                          <div class=\"col-hora\" ng-repeat=\"fly in vm.fd.recorridos.recorrido1  track by fly.id\" ng-click=\"vm.hazReserva(fly)\"><span class=\"Hora\" ng-bind=\"::fly.hora\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 4 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span></div>\n" +
    "                        </div>\n" +
    "                      </div>\n" +
    "                    </uib-tab>\n" +
    "                    <uib-tab heading=\"Tee 10\">\n" +
    "                      <div class=\"flex__col-6 recorrido\">\n" +
    "                        <div class=\"col-hora\" ng-repeat=\"fly in vm.fd.recorridos.recorrido2  track by fly.id\" ng-click=\"vm.hazReserva(fly)\"><span class=\"Hora\" ng-bind=\"::fly.hora\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-ocupado\" ng-show=\"fly.jugadoresdef &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-temp\" ng-show=\"fly.jugadorestemp &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '0' &amp;&amp; fly.jugadores &lt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '1' &amp;&amp; fly.jugadores &lt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '2' &amp;&amp; fly.jugadores &lt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador\" ng-show=\"fly.jugadoreslibres &gt; '3' &amp;&amp; fly.jugadores &lt; 8 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 4 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 5 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 6 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador jugador-error\" ng-show=\"fly.jugadores &gt; 7 &amp;&amp; fly.bloqueo &lt; 1\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span><span class=\"hora-jugador bloqueo\" ng-show=\"fly.bloqueo &gt; 0\"></span></div>\n" +
    "                      </div>\n" +
    "                    </uib-tab>\n" +
    "                  </uib-tabset>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"flex__col-4 detalle-reserva-admin\">\n" +
    "              <div class=\"modificar-salida\" ng-show=\"vm.fd.modsalida\">\n" +
    "                <h4>Modificar Salida</h4>\n" +
    "                <p>Seleccione fecha y hora en el cuadro horario.</p>\n" +
    "                <form class=\"flex__row flex__dir-col formulario-modificar-salida\" name=\"vm.form-modsalida\" role=\"form\">\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <label>Fecha</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" size=\"10\" readonly=\"\" ng-model=\"vm.sd.fecha\" placeholder=\"Fecha Inicio\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\" ng-class=\"{'has-error': timepickerForm.time.$invalid}\">\n" +
    "                    <label class=\"control-label\"><i class=\"fa fa-clock-o\"></i> Hora</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" readonly=\"\" ng-model=\"vm.sd.hora\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group jugadores\">\n" +
    "                    <label>Jugadores</label>\n" +
    "                    <input class=\"form-control\" type=\"number\" size=\"5\" min=\"1\" readonly=\"\" ng-model=\"vm.sd.jugadores\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group buggies\">\n" +
    "                    <label>Buggies</label>\n" +
    "                    <input class=\"form-control\" type=\"number\" size=\"5\" min=\"0\" readonly=\"\" ng-model=\"vm.sd.buggies\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <label class=\"control-label\">Total</label>\n" +
    "                    <input class=\"form-control numero\" type=\"text\" ng-model=\"vm.sd.total\" name=\"length\" smart-float=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <label>Notas</label>\n" +
    "                    <input class=\"form-control\" type=\"text\" ng-model=\"vm.sd.notas\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <button class=\"btn\" ng-click=\"vm.grabarSalida()\">Grabar Salida</button>\n" +
    "                    <button class=\"btn btn-cancelar\" ng-click=\"vm.cancelarModSalida()\">Cancelar</button>\n" +
    "                  </div>\n" +
    "                </form>\n" +
    "              </div>\n" +
    "              <div class=\"detalle-reserva\" ng-show=\"!vm.fd.modsalida\">\n" +
    "                <div class=\"cabecera nombre-recorrido\">\n" +
    "                  <h3>Horas ya reservadas</h3>\n" +
    "                </div>\n" +
    "                <div class=\"horas-reservadas\">\n" +
    "                  <div class=\"linea-reserva\" ng-repeat=\"reserva in vm.fd.dreservas\">\n" +
    "                    <div class=\"datos-linea-reserva\" ng-click=\"vm.verDreserva(reserva)\">\n" +
    "                      <div class=\"fecha-hora\"><span class=\"fecha\" ng-bind=\"(reserva.fecha | evofecha)\"></span><span class=\"hora\" ng-bind=\"reserva.hora\"></span></div>\n" +
    "                      <div class=\"concepto\">\n" +
    "                        <div class=\"greenfees\"><span>GF/s:</span><span class=\"hora\" ng-bind=\"reserva.jugadores\"></span></div>\n" +
    "                        <div class=\"buggies\" ng-show=\"reserva.buggies &gt; 0\"><span> Buggies:</span><span class=\"hora\" ng-bind=\"reserva.buggies\"></span></div>\n" +
    "                        <div class=\"total\"><span> Total:</span><span ng-bind=\"reserva.total  | currency : '€' : 2\"></span></div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"acciones\"><a class=\"btn boton-detalle boton-borrar-hora\" ng-click=\"vm.borrarHoraReservaDef(reserva)\"><i class=\"fa fa-trash-o\"></i></a><a class=\"btn boton-accion-min\" ng-click=\"vm.verSalidasFecha(reserva)\"><i class=\"fa fa-location-arrow\"></i></a><a class=\"btn boton-accion-min\" ng-click=\"vm.modificarSalida(reserva)\"><i class=\"fa fa-pencil\"></i></a></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"cabecera\">\n" +
    "                    <h2>Reservas nuevas</h2>\n" +
    "                  </div>\n" +
    "                  <div class=\"linea-reserva\" ng-repeat=\"reserva in vm.fd.presupuesto\">\n" +
    "                    <div class=\"datos-linea-reserva\" ng-click=\"vm.verSalidasFecha(reserva)\">\n" +
    "                      <div class=\"fecha-hora\"><span class=\"fecha\" ng-bind=\"reserva.fecha\"></span><span class=\"hora\" ng-bind=\"reserva.hora\"></span></div>\n" +
    "                      <div class=\"concepto\">\n" +
    "                        <div class=\"greenfees\"><span>GF/s:</span><span class=\"hora\" ng-bind=\"reserva.jugadores\"></span></div>\n" +
    "                        <div class=\"buggies\" ng-show=\"reserva.buggies &gt; 0\"><span> Buggies:</span><span class=\"hora\" ng-bind=\"reserva.buggies\"></span></div>\n" +
    "                        <div class=\"total\"><span> Total:</span><span ng-bind=\"reserva.total  | currency : '€' : 2 \"></span></div>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"acciones\" ng-show=\"!vm.fd.modsalida\"><a class=\"btn boton-detalle boton-borrar-hora\" ng-click=\"vm.borrarHoraReserva(reserva)\"><i class=\"fa fa-trash-o\"></i></a></div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"pie-reservas-admin\">\n" +
    "                <div class=\"flex__row flex__dir-col\" ng-show=\"vm.fd.reserva.total &gt; 0\">\n" +
    "                  <div class=\"total-reserva flex__row\">\n" +
    "                    <div class=\"flex__col-6\"><span>Total:</span></div>\n" +
    "                    <div class=\"flex__col-6 tar\"><span ng-bind=\"vm.fd.reserva.totalbruto  | currency : '€' : 2\"></span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"total-reserva flex__row\">\n" +
    "                    <div class=\"flex__col-6\"><span>Total Dto:</span></div>\n" +
    "                    <div class=\"flex__col-6 tar\"><span ng-bind=\"vm.fd.reserva.totaldto | currency : '€' : 2\"></span></div>\n" +
    "                  </div>\n" +
    "                  <div class=\"total-reserva flex__row\">\n" +
    "                    <div class=\"flex__col-6\"><span>Total a pagar:</span></div>\n" +
    "                    <div class=\"flex__col-6 tar\"><span class=\"total\" ng-bind=\"vm.fd.reserva.total  | currency : '€' : 2\"></span></div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\"></div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </uib-tab>\n" +
    "        <uib-tab heading=\"Greenfees Reserva\">\n" +
    "          <div class=\"flex__row pb-8\">\n" +
    "            <div class=\"flex__col-6\"><a class=\"btn boton__accion\" ng-click=\"vm.facturarGreenfees()\"><i class=\"fa fa-file-text-o\" aria-hidden=\"true\"></i> Generar Ticket</a><a class=\"btn boton__accion\" ng-click=\"vm.albaranGreenfees()\"><i class=\"fa fa-file-text-o\" aria-hidden=\"true\"></i> Generar Albarán</a><a class=\"btn boton__accion\" ng-click=\"vm.asignarTarifa()\"><i class=\"fa fa-eur\" aria-hidden=\"true\"></i> Asignar Tarifa</a></div>\n" +
    "            <div class=\"flex__col-6\"><a class=\"btn boton__accion\" ng-click=\"vm.marcarTodos(true)\"><i class=\"fa fa-check-square\" aria-hidden=\"true\"></i> Marcar Todos</a><a class=\"btn boton__accion\" ng-click=\"vm.marcarTodos(false)\"><i class=\"fa fa-square-o\" aria-hidden=\"true\"></i> Desmarcar</a></div>\n" +
    "          </div>\n" +
    "          <div class=\"flex__row\">\n" +
    "            <div class=\"tabla__datos flex__col-12\">\n" +
    "              <div class=\"tabla__titulos\">\n" +
    "                <div class=\"tabla__columna tabla__selectbox\"></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Fecha</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Hora</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Ticket/Albarán</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-fecha\"><span class=\"titulo__columna\">Tarifa          </span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Nombre Jugador</span></div>\n" +
    "                <div class=\"tabla__columna tabla__columna-descripcion\"><span class=\"titulo__columna\">Abono</span></div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__datos-greenfees-reserva\" style=\"overflow:auto;\" auto-height=\"\" additional-height=\"170\">\n" +
    "                <div class=\"reserva__greenfee\" ng-repeat=\"item in vm.greenfees\">\n" +
    "                  <div class=\"tabla__registro\" ng-focus=\"vm.entraGF()\">\n" +
    "                    <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                      <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                        <input type=\"checkbox\" id=\"fila__checkbox-{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                        <label for=\"fila__checkbox-{{item.id}}\"></label>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.fecha}}</span></div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.hora}}</span></div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-fecha\"><span ng-show=\"item.ticket_id &gt; 0\">{{item.doc}}</span><span ng-show=\"item.albaran_id &gt; 0\">{{item.albaran_doc}}</span></div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-fecha\"><span>{{item.tarifa}}</span></div>\n" +
    "                    <div class=\"tabla__columna tabla__columna-descripcion\"><span>{{item.nombre_jugador}}</span></div>\n" +
    "                    <div class=\"tabla__columna numero\"><span>{{item.abono }}</span></div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </uib-tab>\n" +
    "        <uib-tab heading=\"Datos Cliente\">\n" +
    "          <div class=\"row detalle-reserva\">\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "              <div class=\"datos-cliente\">\n" +
    "                <form name=\"formDatos\" role=\"form\">\n" +
    "                  <div class=\"cabecera\">\n" +
    "                    <h2>Datos Reserva</h2>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"userName\" type=\"text\" placeholder=\"Nombre\" data-validation=\"required\" required=\"\" name=\"name\" ng-model=\"vm.fd.reserva.nombre\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"userEmail\" type=\"email\" data-validation=\"email\" placeholder=\"e-mail\" name=\"email\" ng-model=\"vm.fd.reserva.email\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"tfno\" type=\"text\" placeholder=\"Tfno.\" data-validation=\"required\" name=\"tfno\" ng-model=\"vm.fd.reserva.tfno\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"pais\" type=\"text\" placeholder=\"País\" data-validation=\"required\" name=\"pais\" ng-model=\"vm.fd.reserva.pais\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group forma__pago\">\n" +
    "                    <label class=\"radio\">\n" +
    "                      <input type=\"radio\" name=\"formapago\" value=\"TC\" ng-model=\"vm.fd.reserva.formapago\"/>Tarjeta de cré\n" +
    "                    </label>\n" +
    "                    <label class=\"radio\">\n" +
    "                      <input type=\"radio\" name=\"formapago\" value=\"OF\" ng-model=\"vm.fd.reserva.formapago\"/>En oficinas del club\n" +
    "                    </label>\n" +
    "                    <label class=\"radio\">\n" +
    "                      <input type=\"radio\" name=\"formapago\" value=\"PA\" ng-model=\"vm.fd.reserva.formapago\"/>Paypal\n" +
    "                    </label>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"estadopago\" type=\"text\" placeholder=\"Estado Pago\" data-validation=\"required\" name=\"estadopago\" ng-model=\"vm.fd.reserva.estadopago\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" id=\"codigotransaccion\" type=\"text\" placeholder=\"Código transacción\" data-validation=\"required\" name=\"codigotransaccion\" ng-model=\"vm.fd.reserva.codigotransaccion\"/>\n" +
    "                  </div>\n" +
    "                  <div class=\"checkbox\">\n" +
    "                    <label>\n" +
    "                      <input type=\"checkbox\" ng-true-value=\"1\" ng-model=\"vm.fd.reserva.aceptacondiciones\" ng-checked=\"vm.fd.reserva.aceptacondiciones == 1 \"/>                                        Acepta condiciones legales\n" +
    "                    </label>\n" +
    "                  </div>\n" +
    "                </form>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "            <div class=\"col-lg-6 col-sm-6 col-md-6 col-xs-12\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h4>Cliente Facturaci&oacute;n</h4>\n" +
    "                  </div>\n" +
    "                  <div class=\"seccion__cabecera-botones\">\n" +
    "                    <button class=\"btn btn-sucess documento__boton-linea-varios\" ng-show=\"vm.fd.reserva.albaran_id == 0\" ng-click=\"vm.buscarClientes()\"><i class=\"icon-file\"></i>Buscar Cliente</button>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion_contenido\">\n" +
    "                  <div class=\"contenedor__campos\">\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                      <label>Raz&oacute;n Social</label><span>{{ vm.cliente.razon_social }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                      <label>Direcci&oacute;n</label><span>{{ vm.cliente.direccion }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                      <label>Poblaci&oacute;n</label><span>{{ vm.cliente.poblacion }}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"campo__ro\">\n" +
    "                      <label>Tel&eacute;fono</label><span>{{ vm.cliente.telefono }}</span>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                  <div class=\"form-group\">\n" +
    "                    <input class=\"form-control\" type=\"text\" placeholder=\"Referencia cliente\" ng-model=\"vm.fd.reserva.referencia_cliente\"/>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"botones-facturacion\"></div>\n" +
    "              </div>\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h4>Albar&aacute;n reserva</h4>\n" +
    "                  </div>\n" +
    "                  <div class=\"seccion__cabecera-botones\" ng-show=\"vm.fd.reserva.albaran_id == 0\">\n" +
    "                    <button class=\"btn documento__boton-linea-varios\" ng-show=\"vm.cliente.id &gt;0 &amp;&amp; vm.fd.reserva.id &gt; 0 &amp;&amp; vm.fd.reserva.total &gt; 0\" ng-click=\"vm.confirmaGeneraAlbaran()\">Generar Albaran</button>\n" +
    "                    <button class=\"btn documento__boton-linea-varios\" ng-show=\"vm.cliente.id &gt;0 &amp;&amp; vm.fd.reserva.id &gt; 0 &amp;&amp; vm.fd.reserva.total &gt; 0\" ng-click=\"vm.confirmaGeneraAlbaranes()\">Generar Albaran x D&iacute;a</button>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion_contenido\" ng-show=\"vm.albaranes.length &gt; 0\">\n" +
    "                  <div class=\"tabla__datos\">\n" +
    "                    <div class=\"tabla__titulos\">\n" +
    "                      <div class=\"tabla__columna\"><span>Doc</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>Fecha</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>Total</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>Pendiente</span></div>\n" +
    "                      <div class=\"tabla__columna\"></div>\n" +
    "                    </div>\n" +
    "                    <div class=\"tabla__registro\" ng-repeat=\"alb in vm.albaranes\">\n" +
    "                      <div class=\"tabla__columna\"><span>{{alb.doc}}</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>{{alb.fecha}}</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>{{alb.total | currency}}</span></div>\n" +
    "                      <div class=\"tabla__columna\"><span>{{alb.pendiente | currency}}</span></div>\n" +
    "                      <div class=\"tabla__columna acciones\">\n" +
    "                        <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verAlbaran(alb)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                      </div>\n" +
    "                    </div>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </uib-tab>\n" +
    "      </uib-tabset>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<busca-clientes></busca-clientes>\n" +
    "<tarifas-golf-buscar></tarifas-golf-buscar>\n" +
    "<!--   .form-group//       input.form-control(type='text' ng-model='item.abono' name='abono' ng-blur=\"vm.actualizaAbonoGF(item)\" )-->"
  );


  $templateCache.put('views/admin/series/series-lista.html',
    "\n" +
    "<style>\n" +
    "  .tabla__columna {\n" +
    "      font-size: 12px;\n" +
    "  }\n" +
    "</style>\n" +
    "<div class=\"series-lista lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Series</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda mb-10\"><a class=\"btn mr-5\" ng-click=\"vm.verDatos()\">Ver Series</a><a class=\"btn btn-nuevo\" ng-click=\"vm.nuevoRegistro()\">Nueva Serie</a></div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-series\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"listaTarifas\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"datos\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat=\"item in items\">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                <div class=\"tabla__columna flex__col-3\">\n" +
    "                  <label>Serie</label><span>{{::item.serie }}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna flex__col-9\">\n" +
    "                  <label>Descripci&oacute;n</label><span>{{::item.descripcion }}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna-acciones\">\n" +
    "                  <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<series-registro></series-registro>"
  );


  $templateCache.put('views/admin/series/series-registro.html',
    "\n" +
    "<style>\n" +
    "  .series-registro .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .series-registro .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .series-registro .data-list__header {\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"series-registro\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Series Facturación</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"flex__row flex__dir-col\">\n" +
    "            <div class=\"flex__col-12\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Serie</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.serie\" name=\"tarifa\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Descripcion</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.descripcion\" name=\"descripcion\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar mr-5\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar Serie</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tallas/tallas-lista.html',
    "<div class=\"lista-productos lista\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <h1>Tallas</h1>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Ver tallas</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva talla</a>\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" select=\"false\" filtros=\"false\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos formas-pago__tabla \">\n" +
    "              <div class=\"datos\">\n" +
    "                  <div ng-repeat=\"item in items\" class=\"tabla__registro\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \" >\n" +
    "                      <div class=\"tabla__ficha\">\n" +
    "                          <div class=\"tabla__columna codigo\">\n" +
    "                              <label>Talla</label>\n" +
    "                              <span>{{item.codigo}}</span>\n" +
    "                          </div>\n" +
    "                          <div class=\"tabla__columna-acciones formas-pago__columna-acciones\">\n" +
    "                              <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                          </div>\n" +
    "                      </div>\n" +
    "\n" +
    "                  </div>\n" +
    "\n" +
    "              </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<registro-talla></registro-talla>\n"
  );


  $templateCache.put('views/admin/tallas/tallas-registro.html',
    "<div class=\"registro-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Forma de pago</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\">\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "\n" +
    "                            <input-evo  etiqueta=\"Descripción\" required ng-model=\"vm.fd.descripcion\">\n" +
    "                            </input-evo>\n" +
    "\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Tipo</label>\n" +
    "                                <select  ng-model=\"vm.fd.tipo\"  class=\"form-control\">\n" +
    "                                    <option value=\"\" disabled selected>{{ 'Tipo' }}</option>\n" +
    "                                    <option ng-repeat=\"tipo in vm.tipos\" value=\"{{ tipo.tipo }}\">{{ tipo.descripcion }}\n" +
    "                                    </option>\n" +
    "                                </select>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar()\">Grabar forma de pago</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/tarifas-productos/tarifas-productos-registro.html',
    "<style>\n" +
    "    .registro-productos .slds-modal__content {\n" +
    "        flex-grow: 0;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"registro-productos\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "    <div class=\"slds-backdrop\"></div>\n" +
    "    <div class=\"slds-modal__container\">\n" +
    "        <div class=\"slds-modal__header\">\n" +
    "            <h2>Producto</h2>\n" +
    "        </div>\n" +
    "\n" +
    "        <div class=\"slds-modal__content\" >\n" +
    "            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "              <!--  <div class=\"sectionHeader\">\n" +
    "                    <h4>Datos generales</h4>\n" +
    "                </div>-->\n" +
    "                <div class=\"sectionContainer\">\n" +
    "                    <div class=\"forcePageBlockSectionRow twoCol\">\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <form class=\"\" role=\"form\" name=\"vm.formDatos\" novalidate>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Producto</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.producto\"\n" +
    "                                           name=\"producto\"\n" +
    "                                           readonly\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                    <div ng-messages=\"vm.formDatos.producto.$error\" role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "                                        <div style=\"color:red\" ng-message=\"duplicado\">Este código está duplicado</div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Descripción</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.descripcion\"\n" +
    "                                           name=\"descripcion\"\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                           required />\n" +
    "                                    <div ng-messages=\"vm.formDatos.descripcion.$error\"  role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "                                        <div style=\"color:red\" ng-message=\"duplicado\">Este código está duplicado</div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Código de barras</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.codigo_barras\"\n" +
    "                                           name=\"codigo_barras\"\n" +
    "\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                    <div ng-messages=\"vm.formDatos.codigo_barras.$error\" role=\"alert\">\n" +
    "                                        <div style=\"color:red\" ng-message=\"required\">Campo requerido</div>\n" +
    "\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Precio venta</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           required\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.precio_venta\"\n" +
    "                                           name=\"precio_venta\"\n" +
    "                                           money\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Precio compra</label>\n" +
    "                                    <input class=\"form-control\"\n" +
    "                                           type=\"text\"\n" +
    "                                           ng-model=\"vm.fd.precio_compra\"\n" +
    "                                           name=\"precio_compra\"\n" +
    "                                           money\n" +
    "                                           ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"\n" +
    "                                    />\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Grupo de productos</label>\n" +
    "                                    <select class=\"form-control\" ng-model=\"vm.grupo.id\" required ng-options=\"grupo.id as grupo.descripcion for grupo in vm.grupos\"></select>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "                               <!-- <div class=\"form-group\">\n" +
    "                                    <label class=\"control-label\">Tipo I.V.A.</label>\n" +
    "                                    <div class=\"wrap-select\">\n" +
    "                                        <ui-select ng-model=\"vm.impuesto\"\n" +
    "                                                   theme=\"bootstrap\"\n" +
    "                                                   reset-search-input=\"false\"\n" +
    "                                                   style=\"width: 300px;\"\n" +
    "                                                   title=\"Elige un tipo de iva\">\n" +
    "                                            <ui-select-match placeholder=\"Elige un tipo de iva...\">{{$select.selected.descripcion}}</ui-select-match>\n" +
    "                                            <ui-select-choices repeat=\"impuesto in vm.impuestos track by $index\" refresh-delay=\"0\">\n" +
    "                                                <div ng-bind-html=\"impuesto.descripcion | highlight: $select.search\"></div>\n" +
    "                                            </ui-select-choices>\n" +
    "                                        </ui-select>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>-->\n" +
    "\n" +
    "                            </form>\n" +
    "                        </div>\n" +
    "                        <div class=\"forcePageBlockItem\">\n" +
    "                            <div class=\"form-group\">\n" +
    "                                <label class=\"control-label\">Familia</label><br>\n" +
    "                                <ui-select ng-model=\"vm.familia\"\n" +
    "                                           theme=\"bootstrap\"\n" +
    "                                           reset-search-input=\"true\"\n" +
    "                                           style=\"width: 400px;\"\n" +
    "                                           title=\"Selecciona una familia\">\n" +
    "                                    <ui-select-match placeholder=\"Selecciona una familia...\">{{$select.selected.descripcion_listado}}</ui-select-match>\n" +
    "                                    <ui-select-choices repeat=\"familia in vm.familias track by $index\"\n" +
    "                                                       refresh-delay=\"200\"\n" +
    "                                                       minimum-input-length=\"3\">\n" +
    "                                        <div ng-bind-html=\"familia.descripcion_listado | highlight: $select.search\"></div>\n" +
    "                                    </ui-select-choices>\n" +
    "\n" +
    "                                </ui-select>\n" +
    "                                <button class=\"btn btn-borrar-opcion\" ng-click=\"vm.familia={id:0}\"><span class=\"glyphicon glyphicon-remove pull-right\"></span></button>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "            </form>\n" +
    "        </div>\n" +
    "        <div class=\"slds-modal__footer\">\n" +
    "            <a class=\"btn  boton-grabar \" ng-disabled=\"!vm.formDatos.$valid\"\n" +
    "               ng-click=\"vm.grabar(vm.formDatos)\" >Grabar Producto</a>\n" +
    "            <a class=\"btn  btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "\n"
  );


  $templateCache.put('views/admin/tarifas/tarifas-golf-buscar.html',
    "\n" +
    "<style>\n" +
    "  .tarifas-golf-buscar .lista {\n" +
    "      height: 300px;\n" +
    "      overflow-y: scroll;\n" +
    "  }\n" +
    "  .tarifas-golf-buscar .campos-busqueda {\n" +
    "      padding: 8px 0 ;\n" +
    "  }\n" +
    "  \n" +
    "  .tarifas-golf-buscar .cabecera-lista {\n" +
    "  \n" +
    "      background: #eee ;\n" +
    "      padding: 8px 0 ;\n" +
    "  }\n" +
    "  .tarifas-golf-buscar .detalle {\n" +
    "      padding: 4px 0;\n" +
    "      cursor: pointer ;\n" +
    "  }\n" +
    "  \n" +
    "  .tarifas-golf-buscar .detalle:hover {\n" +
    "      background: #e3eaf3; ;\n" +
    "  }\n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"slds-modal tarifas-golf-buscar\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Buscar Tarifas Golf</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"sectionContainer flex__row flex__dir-col\">\n" +
    "        <div class=\"campos-busqueda\">\n" +
    "          <div class=\"form-group flex__row\">\n" +
    "            <label class=\"flex__col-2\">Descripción tarifa</label>\n" +
    "            <input class=\"flex__col_9 form-control\" type=\"text\" foco=\"vm.foco\" ng-model=\"vm.descripcion\" ng-change=\"vm.buscar(vm.descripcion)\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "            <button class=\"flex__col1 btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.buscar(vm.descripcion)\">Buscar</button>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"cabecera-lista flex__row\">\n" +
    "          <div class=\"columna flex__col-12\"><span>Descripción</span></div>\n" +
    "        </div>\n" +
    "        <div class=\"lista\">\n" +
    "          <div class=\"detalle\" ng-repeat=\"dato in vm.datos\" ng-click=\"vm.seleccionar(dato)\" ng-if=\"vm.datos.length &gt; 0\">\n" +
    "            <div class=\"columna flex-1\"><span class=\"razon-social\" ng-bind=\"::dato.descripcion\"></span></div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas/tarifas-golf-lista.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"tarifas-golf lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Tarifas Golf</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Tarifas Golf</a><a class=\"btn btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Tarifa Golf</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-tarifas-golf\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-tarifas-golf\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                <div class=\"tabla__columna producto\">\n" +
    "                  <label>Tarifa</label><span>{{item.tarifa}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna descripcion\">\n" +
    "                  <label>Descripción</label><span>{{item.descripcion}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio GF9</label><span>{{item.pvpgf9}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio GF18</label><span>{{item.pvpgf18}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio Buggie 9H</label><span>{{item.pvpbuggie9}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio Buggie 18H</label><span>{{item.pvpbuggie}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\">\n" +
    "                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__ficha\" ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2><span ng-bind=\"item.descripcion\"></span></h2>\n" +
    "                  </div>\n" +
    "                  <div class=\"seccion__cabecera-botones\">\n" +
    "                    <button class=\"btn boton__accion-peque\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"campo__ro-horizonal\">\n" +
    "                    <label>Código Tarifa</label><span class=\"campo\" ng-bind=\"item.codigo\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-tarifas-golf></registro-tarifas-golf>"
  );


  $templateCache.put('views/admin/tarifas/tarifas-golf-registro.html',
    "\n" +
    "<style>\n" +
    "  .registro-tarifas-golf .slds-modal__container {\n" +
    "      width: 700px;\n" +
    "  }\n" +
    "  .registro-tarifas-golf .slds-modal__content {\n" +
    "      flex-grow: 0;\n" +
    "  }\n" +
    "  \n" +
    "  .registro-tarifas-golf .data-list {\n" +
    "      max-height: 400px;\n" +
    "  }\n" +
    "  \n" +
    "  .forcePageBlockSectionRow .forcePageBlockItem {\n" +
    "      padding: 0;\n" +
    "  }\n" +
    "  .producto-tarifa__descripcion {\n" +
    "      flex: 3 ;\n" +
    "  }\n" +
    "  .producto-tarifa__precio {\n" +
    "      flex: 1 ;\n" +
    "  }\n" +
    "  .producto-tarifa__precio-input{\n" +
    "      flex: 1 ;\n" +
    "      padding: 4px 8px ;\n" +
    "  }\n" +
    "  .numero span {\n" +
    "      text-align: right ;\n" +
    "      width: 100%;\n" +
    "  }\n" +
    "  .registro-tarifas-golf .data-list__header {\n" +
    "      max-height: 40px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"registro-tarifas-golf\" ng-class=\"{ 'slds-modal' : vm.esPopUp }\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Tarifa Golf</h2>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"sectionContainer\">\n" +
    "          <div class=\"forcePageBlockSectionRow\">\n" +
    "            <div class=\"forcePageBlockItem\">\n" +
    "              <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Tarifa</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.tarifa\" name=\"tarifa\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Descripcion</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.descripcion\" name=\"descripcion\" required=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio GF 9H</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.pvpgf9\" name=\"pvpgf9\" required=\"\" money=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio GF 18H</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.pvpgf18\" name=\"pvpgf18\" required=\"\" money=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio Buggie 18H</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.pvpbuggies\" name=\"pvpbuggies\" required=\"\" money=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "                <div class=\"form-group\">\n" +
    "                  <label class=\"control-label\">Precio Buggie 9H</label>\n" +
    "                  <input class=\"form-control\" type=\"text\" ng-model=\"vm.fd.pvpbuggies9\" name=\"pvpbuggies9\" required=\"\" money=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "                </div>\n" +
    "              </form>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer\"><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar(vm.formDatos)\">Grabar Tarifa</a><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelar()\">Cancelar</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tarifas/tarifas-golf.html',
    "\n" +
    "<style type=\"text/css\">\n" +
    "  .seccion__contenido {\n" +
    "      margin-bottom: 15px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"tarifas-golf lista\" ng-cloak=\"\">\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <h1>Tarifas Golf</h1>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12\">\n" +
    "      <div class=\"formulario-busqueda\">\n" +
    "        <div class=\"form-group botones-formulario\"><a class=\"btn btn-form\" ng-click=\"vm.verDatos()\">Ver Tarifas Golf</a><a class=\"btn btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nueva Tarifa Golf</a></div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "  <div class=\"row\">\n" +
    "    <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "      <div class=\"tabla__datos tabla__datos-tarifas-golf\" evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"lista-tarifas-golf\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "        <div class=\"tabla__datos-registros\">\n" +
    "          <div class=\"tabla__registro\" ng-repeat-start=\"item in items\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "            <div class=\"tabla__ficha\">\n" +
    "              <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                <div class=\"tabla__columna producto\">\n" +
    "                  <label>Tarifa</label><span>{{item.codigo}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna descripcion\">\n" +
    "                  <label>Descripción</label><span>{{item.descripcion}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio GF9</label><span>{{item.pvpgf9}}</span>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                  <label>Precio GF18</label><span>{{item.pvpgf18}}</span>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "              <div class=\"tabla__columna-acciones\">\n" +
    "                <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "          <div class=\"tabla__ficha\" ng-repeat-end=\"\">\n" +
    "            <div class=\"tabla__datos-registro\" ng-if=\"vm.registroSel.id === item.id\">\n" +
    "              <div class=\"seccion\">\n" +
    "                <div class=\"seccion__cabecera\">\n" +
    "                  <div class=\"seccion__cabecera-titulo\">\n" +
    "                    <h2><span ng-bind=\"item.descripcion\"></span></h2>\n" +
    "                  </div>\n" +
    "                  <div class=\"seccion__cabecera-botones\">\n" +
    "                    <button class=\"btn boton__accion-peque\" ng-click=\"vm.verRegistro(item)\"><i class=\"fa fa-pencil\"></i> Modificar</button>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"seccion__contenido\">\n" +
    "                  <div class=\"campo__ro-horizonal\">\n" +
    "                    <label>Código Tarifa</label><span class=\"campo\" ng-bind=\"item.codigo\"></span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<registro-tarifas-golf></registro-tarifas-golf>"
  );


  $templateCache.put('views/admin/tickets/pagos-tpv.html',
    "\n" +
    "<style>\n" +
    "  .tabla__columna-acciones {\n" +
    "      min-width: 65px;\n" +
    "  }\n" +
    "  .fondo-pantalla-edicion {\n" +
    "      position: absolute;\n" +
    "      top: 0;\n" +
    "      bottom: 0;\n" +
    "      right: 0;\n" +
    "      left: 0;\n" +
    "      background: rgba(0, 0, 0, 0.25);\n" +
    "  }\n" +
    "  .slds-modal__content {\n" +
    "      height: 600px;\n" +
    "  \n" +
    "      position: relative;\n" +
    "  }\n" +
    "  .slds-modal__container {\n" +
    "      max-width: 800px;\n" +
    "  \n" +
    "  }\n" +
    "  .raza__codigo {\n" +
    "      max-width: 100px;\n" +
    "  }\n" +
    "  \n" +
    "  .lista-razas .data-list__content {\n" +
    "      height : 500px;\n" +
    "  }\n" +
    "  \n" +
    "  \n" +
    "</style>\n" +
    "<div class=\"slds-modal lista-pagostpv\" ng-show=\"vm.abreVentana\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelar()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Pagos Tpv</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelar()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\">\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <div class=\"seccion\">\n" +
    "          <div class=\"form-group w50\">\n" +
    "            <div class=\"form-field-evo\">\n" +
    "              <label class=\"control-label\">Fecha</label>\n" +
    "              <input class=\"form-control fecha\" type=\"text\" ng-model=\"vm.fecha\" focus=\"vm.focoInicial\" data-date-format=\"dd/MM/yyyy\" data-min-date=\"02/10/86\" data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker=\"\"/>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"seccion\">\n" +
    "          <div class=\"zona-botones\">\n" +
    "            <button class=\"btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.verDatos()\">Buscar</button>\n" +
    "            <button class=\"btn boton-azul boton-campo-etiqueta-arriba\" ng-click=\"vm.nuevoRegistro()\">Nuevo Pago</button>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "      <div class=\"sectionContainer\">\n" +
    "        <div class=\"tabla__datos tabla__datos-pagostpv\" evo-tableflex3=\"vm.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\" nombre-tabla=\"pagostpv-lista\" pagina-actual=\"vm.fd.pageNumber\">\n" +
    "          <div class=\"tabla__datos-registros\">\n" +
    "            <div class=\"tabla__registro\" ng-repeat=\"item in items track by item.id\" ng-class=\"[{'seleccionado': item.id === vm.registroSel.id }] \">\n" +
    "              <div class=\"tabla__ficha\">\n" +
    "                <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                  <div class=\"tabla__columna concepto flex3\">\n" +
    "                    <label>Concepto</label><span>{{::item.concepto}}</span>\n" +
    "                  </div>\n" +
    "                  <div class=\"tabla__columna total flex1\">\n" +
    "                    <label>Total</label><span>{{::item.total | currency:\"€\":2}}</span>\n" +
    "                  </div>\n" +
    "                </div>\n" +
    "                <div class=\"tabla__columna-acciones\">\n" +
    "                  <button class=\"btn tabla__datos-boton-fila\" ng-click=\"vm.ver(item)\"><i class=\"fa fa-pencil-alt\"></i></button>\n" +
    "                </div>\n" +
    "              </div>\n" +
    "            </div>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </div>\n" +
    "    </div>\n" +
    "  </div>\n" +
    "</div>\n" +
    "<div class=\"slds-modal fondo-pantalla-edicion\" ng-show=\"vm.abreEdicion\">\n" +
    "  <div class=\"slds-backdrop\" ng-click=\"vm.cancelarEdicion()\"></div>\n" +
    "  <div class=\"slds-modal__container\">\n" +
    "    <div class=\"slds-modal__header\">\n" +
    "      <h2>Pago Tpv</h2>\n" +
    "      <button class=\"slds-button slds-modal__close slds-button--icon-inverse\" ng-click=\"vm.cancelarEdicion()\" title=\"Close\"><i class=\"fa fa-times\"></i></button>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__content\" style=\"height:200px;\">\n" +
    "      <form role=\"form\" name=\"vm.formDatos\" novalidate=\"\">\n" +
    "        <div class=\"form-group\">\n" +
    "          <div class=\"form-field-evo\">\n" +
    "            <label class=\"control-label\">Concepto</label>\n" +
    "            <input class=\"form-control concepto\" type=\"text\" ng-model=\"vm.fd.concepto\" name=\"concepto\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "        <div class=\"form-group\">\n" +
    "          <div class=\"form-field-evo\">\n" +
    "            <label class=\"control-label\">Total</label>\n" +
    "            <input class=\"form-control total\" type=\"text\" ng-model=\"vm.fd.total\" name=\"total\" money=\"\" ng-model-options=\"{ updateOn: 'blur', debounce: {'default': 500, 'blur': 0} }\"/>\n" +
    "          </div>\n" +
    "        </div>\n" +
    "      </form>\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal__footer slds-crud__footer\"><a class=\"btn btn-cancelar\" ng-click=\"vm.cancelarEdicion()\">Cancelar</a><a class=\"btn boton-grabar\" ng-disabled=\"!vm.formDatos.$valid\" ng-click=\"vm.grabar()\">Grabar Pago</a></div>\n" +
    "  </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tickets/tickets-lista-diaria.html',
    "<style>\n" +
    "    .ticket-pendiente {\n" +
    "        border-left: 3px solid red ;\n" +
    "        padding-left: 5px ;\n" +
    "    }\n" +
    "    .numero {\n" +
    "        text-align : right ;\n" +
    "    }\n" +
    "</style>\n" +
    "<div class=\"lista lista-tickets\" ng-cloak>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12\">\n" +
    "            <div class=\"cabecera\">\n" +
    "                <h1>Facturas Simplificadas (Tickets) Diario</h1>\n" +
    "            </div>\n" +
    "\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"campos-busqueda\">\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i>  Fecha</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"form-group botones-formulario\">\n" +
    "                    <a class=\"btn  btn-form\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoDocumento()\">Nuevo</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listado()\">Listar tickets diario</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.listadoCaja()\">Listado Caja</a>\n" +
    "                    <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.pagosTpv()\">Pagos TPV</a>\n" +
    "                    <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div evo-tableflex=\"vm.fd.datos\" columnas=\"vm.columnas\" filtros=\"true\" select=\"false\"\n" +
    "                 nombre-tabla=\"tickets-diario\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\" class=\"tabla__datos tabla__tickets-diario\">\n" +
    "                <div class=\"datos\">  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat-start=\"item in items\" class=\"tabla__registro\">\n" +
    "                        <div class=\"tabla__ficha\">\n" +
    "                            <div class=\"tabla__columna tabla__selectbox\">\n" +
    "                                <div class=\"evo-checkbox\" ng-click=\"item._selected = !item._selected\">\n" +
    "                                    <input type=\"checkbox\" id=\"fila__checkbox{{item.id}}\" ng-model=\"item._selected\"/>\n" +
    "                                    <label for=\"fila__checkbox{{item.id}}\"></label>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"tabla_datos-columnas\" ng-click=\"vm.ver(item)\">\n" +
    "                                <div class=\"tabla__columna doc\">\n" +
    "                                    <label>Ticket/Factura S.</label>\n" +
    "                                    <span ng-class=\"[{'ticket-pendiente': item.pendiente != 0 }] \">{{::item.doc}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna\">\n" +
    "                                    <label>Fecha</label>\n" +
    "                                    <span>{{::item.fecha_t}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna\">\n" +
    "                                    <label>Hora</label>\n" +
    "                                    <span>{{::item.hora}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna razon_social\">\n" +
    "                                    <label>Razón Social</label>\n" +
    "                                    <span>{{::item.razon_social}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna total numero\">\n" +
    "                                    <label>Total</label>\n" +
    "                                    <span>{{::item.total | currency:\"€\":2}}</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"tabla__columna pendiente numero\">\n" +
    "                                    <label>Pendiente</label>\n" +
    "                                    <span>{{::item.pendiente | currency:\"€\":2}}</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                            <div class=\"tabla__columna-acciones\">\n" +
    "                                <button ng-click=\"vm.verRegistro(item)\" class=\"btn tabla__datos-boton-fila\"><i\n" +
    "                                        class=\"fa fa-pencil\"></i></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                    <div ng-repeat-end=\"\" class=\"tabla__registro_detalle\">\n" +
    "                        <div ng-if=\"vm.registroSel.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                            <div class=\"seccion tabla-albaranes__seccion\">\n" +
    "                                <div class=\"seccion__cabecera\">\n" +
    "                                    <div class=\"seccion__cabecera-titulo\">\n" +
    "                                        <h2><span ng-bind=\"item.doc\"></span></h2>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"seccion__cabecera-botones\">\n" +
    "                                        <button ng-click=\"vm.verRegistro(item)\" class=\"btn boton__accion-peque\"><i\n" +
    "                                                class=\"fa fa-pencil\"></i> Modificar\n" +
    "                                        </button>\n" +
    "                                        <button ng-click=\"vm.borrarRegistro(item)\" class=\"btn boton__accion-peque\"><i\n" +
    "                                                class=\"fa fa-trash-o\"></i> Borrar\n" +
    "                                        </button>\n" +
    "                                        <button ng-click=\"vm.imprimir(item)\" title=\"Imprimir\"\n" +
    "                                                class=\"btn boton__accion-peque\">\n" +
    "                                            <i class=\"fa fa-print\" aria-hidden=\"true\"></i> Imprimir\n" +
    "                                        </button>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"seccion__contenido\">\n" +
    "                                    <div class=\"tabla__datos\">\n" +
    "                                        <div class=\"tabla__titulos\">\n" +
    "                                            <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                <span class=\"titulo__columna\">Descripcion</span>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                            <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                <span class=\"titulo__columna\">Cantidad</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                <span class=\"titulo__columna\">Precio</span>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                <span class=\"titulo__columna\">Total</span>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                        <div ng-repeat=\"item in vm.datosDoc.lineas\">\n" +
    "\n" +
    "                                            <div class=\"tabla__registro\">\n" +
    "                                                <div class=\"tabla__columna tabla__columna-descripcion\">\n" +
    "                                                    <span>{{item.descripcion}}</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span>{{item.cantidad}}</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span>{{item.precio |  currency: \"€\" : 2}}</span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"tabla__columna tabla__columna-numero\">\n" +
    "                                                    <span>{{item.total | currency}}</span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                                 ng-show=\"item.nota.length > 0 \">\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Notas</label>\n" +
    "                                                    <span ng-bind=\"item.nota\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "                                            </div>\n" +
    "                                            <div class=\"datos-linea-reserva contenedor__campos\"\n" +
    "                                                 ng-show=\"item.es_reserva\">\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Nombre Jugador</label>\n" +
    "                                                    <span ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                                                </div>\n" +
    "\n" +
    "\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Concepto</label>\n" +
    "                                                    <span ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Fecha</label>\n" +
    "                                                    <span ng-bind=\"item.fecha_reserva\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Hora</label>\n" +
    "                                                    <span ng-bind=\"item.hora_reserva\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"campo__ro\">\n" +
    "                                                    <label>Recorrido</label>\n" +
    "                                                    <span ng-bind=\"item.recorrido\"></span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"seccion__pie-botones \">\n" +
    "\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "        <!--  <div class=\"col-lg-4 col-md-4 col-sm-12 no-mobile\">\n" +
    "              <div class=\"datos-registro-tabla\">\n" +
    "                  <h2>Datos Licitación</h2>\n" +
    "                  <div class=\"ficha\">\n" +
    "                      <div class=\"form-group entidad\">\n" +
    "                          <label>Entidad</label>\n" +
    "                          <span ng-show=\"vm.itemDetalle.entidad == 0\">Entidad 0</span>\n" +
    "                          <span ng-show=\"vm.itemDetalle.entidad == 1\">Entidad 1</span>\n" +
    "                         &lt;!&ndash; <button type=\"button\" class=\"btn\" read-only\n" +
    "                                  ng-model=\"vm.itemDetalle.entidad\" data-html=\"1\"\n" +
    "                                  bs-options=\"entidad.value as entidad.label for entidad in vm.entidades\"\n" +
    "                                  bs-select>\n" +
    "                          </button>&ndash;&gt;\n" +
    "                      </div>\n" +
    "                      <div class=\"form-group clave\">\n" +
    "                          <label>Clave</label>\n" +
    "                          <span>{{vm.itemDetalle.clave}}</span>\n" +
    "                      </div>\n" +
    "                      <div class=\"form-group objeto\">\n" +
    "                          <label>Objeto</label>\n" +
    "                          <span>{{vm.itemDetalle.objeto}}</span>\n" +
    "                      </div>\n" +
    "                      <div class=\"form-group presupuesto\">\n" +
    "                          <label>Presupuesto base</label>\n" +
    "                          <span>{{vm.itemDetalle.presupuesto}}</span>\n" +
    "                      </div>\n" +
    "                      <div class=\"form-group fecha_anuncio\">\n" +
    "                          <label>Fecha Anuncio</label>\n" +
    "                          <span>{{vm.itemDetalle.fecha_a}}</span>\n" +
    "                      </div>\n" +
    "                  </div>\n" +
    "                 &lt;!&ndash; <div class=\"form-group\">\n" +
    "                      <button type=\"button\" class=\"btn acciones-asociado\" bs-dropdown=\"vm.menuAsociado\">Acciones<span\n" +
    "                              class=\"caret\"></span></button>\n" +
    "                  </div>&ndash;&gt;\n" +
    "              </div>\n" +
    "          </div>-->\n" +
    "\n" +
    "    </div>\n" +
    "\n" +
    "</div>\n" +
    "<pagos-tpv></pagos-tpv>"
  );


  $templateCache.put('views/admin/tickets/tickets-lista.html',
    "<div class=\"lista lista-tickets\" ng-cloak>\n" +
    "    <div class=\"flex__row\">\n" +
    "        <div class=\"flex__col-6\">\n" +
    "                <h1>Facturas Simplificadas (Tickets)</h1>\n" +
    "        </div>\n" +
    "        <div class=\"flex__col-6 flex__end\">\n" +
    "            <a class=\"btn boton__accion-peque\" ng-click=\"vm.verDatos()\">Buscar</a>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 \">\n" +
    "            <div class=\"formulario-busqueda\">\n" +
    "                <div class=\"campos-busqueda\">\n" +
    "                    <div class=\"form-group\">\n" +
    "                        <label class=\"control-label\">Seleccione cliente</label>\n" +
    "                        <searchandselect selecteditem=\"vm.cliente\" values=\"vm.clientes\" key=\"razon_social\" totalrecords=\"totalRecords\" onscroll=\"vm.leerClientes(searchKey)\"></searchandselect>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Inicio</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaInicio\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "\n" +
    "                               data-autoclose=\"1\" name=\"fechaInicio\" bs-datepicker>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group\" ng-class=\"{'has-error': datepickerForm.fechaInicio.$invalid}\">\n" +
    "                        <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha Fin</label>\n" +
    "                        <input type=\"text\" class=\"form-control fecha\"\n" +
    "                               ng-model=\"vm.fechaFin\"\n" +
    "                               data-date-format=\"dd/MM/yyyy\"\n" +
    "                               data-min-date=\"02/10/86\"\n" +
    "\n" +
    "                               data-autoclose=\"1\" name=\"fechaFin\" bs-datepicker>\n" +
    "                    </div>\n" +
    "                    <atajo-fechas funcion=\"vm.verDatos()\" fecha-i=\"vm.fechaInicio\" fecha-f=\"vm.fechaFin\"></atajo-fechas>\n" +
    "                </div>\n" +
    "\n" +
    "                   <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.nuevoRegistro()\">Nuevo</a>-->\n" +
    "                   <!-- <a class=\"btn  btn-nuevo btn-form\" ng-click=\"vm.exportar()\">Exportar Excel</a>-->\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <div class=\"row\">\n" +
    "        <div class=\"col-lg-12 col-md-12 col-sm-12\">\n" +
    "            <div ez-tablediv=\"vm.fd.datos\" columnas=\"vm.columnas\"\n" +
    "                 pagina-actual=\"vm.fd.pageNumber\"  class=\"tabla-datos tabla-tickets\">\n" +
    "                <div class=\"datos\" autoaltura style=\"overflow: auto\" >  <!--auto-height additional-height=\"50\"-->\n" +
    "                    <div ng-repeat=\"item in items\" class=\"registros\"  ng-click=\"vm.ver(item)\">\n" +
    "                        <div class=\"check-box\"><input type=\"checkbox\" ng-model=\"item.selected\"/></div>\n" +
    "                        <div class=\"ficha\">\n" +
    "                            <div class=\"columna doc\">\n" +
    "                                <label>Ticket/Factura S.</label>\n" +
    "                                <span>{{::item.doc}}</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna fecha_t\">\n" +
    "                                <label>Fecha</label>\n" +
    "                                <span>{{::item.fecha_t}}</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna razon_social\">\n" +
    "                                <label>Razón Social</label>\n" +
    "                                <span>{{::item.razon_social}}</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <label>Total</label>\n" +
    "                                <span>{{::item.total}}</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna pendiente\">\n" +
    "                                <label>Total</label>\n" +
    "                                <span>{{::item.pendiente}}</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "\n" +
    "                        <!--Lo ponemos como estandard los nombres-->\n" +
    "                        <div data-title=\"Acciones\"  class=\"columna-acciones\">\n" +
    "                            <button ng-click=\"vm.verRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-pencil\"></i></button>\n" +
    "                            <!--<button ng-click=\"vm.borrarRegistro(item)\" class=\"btn btn-default btn-xs\"><i class=\"fa fa-trash-o\"></i></button>-->\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "      <!--  <div class=\"col-lg-4 col-md-4 col-sm-12 no-mobile\">\n" +
    "            <div class=\"datos-registro-tabla\">\n" +
    "                <h2>Datos Licitación</h2>\n" +
    "                <div class=\"ficha\">\n" +
    "                    <div class=\"form-group entidad\">\n" +
    "                        <label>Entidad</label>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 0\">Entidad 0</span>\n" +
    "                        <span ng-show=\"vm.itemDetalle.entidad == 1\">Entidad 1</span>\n" +
    "                       &lt;!&ndash; <button type=\"button\" class=\"btn\" read-only\n" +
    "                                ng-model=\"vm.itemDetalle.entidad\" data-html=\"1\"\n" +
    "                                bs-options=\"entidad.value as entidad.label for entidad in vm.entidades\"\n" +
    "                                bs-select>\n" +
    "                        </button>&ndash;&gt;\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group clave\">\n" +
    "                        <label>Clave</label>\n" +
    "                        <span>{{vm.itemDetalle.clave}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group objeto\">\n" +
    "                        <label>Objeto</label>\n" +
    "                        <span>{{vm.itemDetalle.objeto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group presupuesto\">\n" +
    "                        <label>Presupuesto base</label>\n" +
    "                        <span>{{vm.itemDetalle.presupuesto}}</span>\n" +
    "                    </div>\n" +
    "                    <div class=\"form-group fecha_anuncio\">\n" +
    "                        <label>Fecha Anuncio</label>\n" +
    "                        <span>{{vm.itemDetalle.fecha_a}}</span>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "               &lt;!&ndash; <div class=\"form-group\">\n" +
    "                    <button type=\"button\" class=\"btn acciones-asociado\" bs-dropdown=\"vm.menuAsociado\">Acciones<span\n" +
    "                            class=\"caret\"></span></button>\n" +
    "                </div>&ndash;&gt;\n" +
    "            </div>\n" +
    "        </div>-->\n" +
    "\n" +
    "    </div>\n" +
    "\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tickets/tickets-registro-copia-2018-02-08.html',
    "<style>\n" +
    "    .ticket-contenido {\n" +
    "        position: absolute;\n" +
    "        top: 0;\n" +
    "        right: 0;\n" +
    "        bottom: 0;\n" +
    "        left: 0;\n" +
    "        overflow: hidden\n" +
    "    }\n" +
    "\n" +
    "    .lista-productos {\n" +
    "\n" +
    "        overflow-y: auto;\n" +
    "    }\n" +
    "\n" +
    "    .zona-lineas-pedido {\n" +
    "        display: flex;\n" +
    "    }\n" +
    "\n" +
    "    .lineas-pedido {\n" +
    "\n" +
    "        overflow-y: auto;\n" +
    "    }\n" +
    "\n" +
    "    .resumen-impuestos {\n" +
    "        min-height: 80px;\n" +
    "    }\n" +
    "\n" +
    "    @media screen and (max-height: 700px) {\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .seccion-ticket {\n" +
    "        display: -webkit-flex;\n" +
    "        display: flex;\n" +
    "        -webkit-flex: 1;\n" +
    "        flex: 1;\n" +
    "        position: relative;\n" +
    "        height: 100%;\n" +
    "        flex-direction: column;\n" +
    "    }\n" +
    "\n" +
    "    .contenido-principal {\n" +
    "        position: relative;\n" +
    "        height: 100% !important;\n" +
    "    }\n" +
    "\n" +
    "    .admin .row-content .container {\n" +
    "        height: 100% !important;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .cantidad-linea {\n" +
    "        width: 10%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .cantidad-linea .form-control {\n" +
    "        width: 100%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .precio {\n" +
    "        width: 15%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .nota {\n" +
    "        width: 65%;\n" +
    "    }\n" +
    "</style>\n" +
    "\n" +
    "\n" +
    "<div class=\"contenido-principal\">\n" +
    "    <div class=\"ticket-contenido\">\n" +
    "        <div class=\"seccion-ticket\">\n" +
    "\n" +
    "            <div class=\"documento__cabecera\">\n" +
    "                <div class=\"documento__cabecera-referencia\">\n" +
    "                    <span class=\"documento__referencia\" ng-bind=\"vm.documento.doc\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"documento__cabecera-botones\">\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket__imprimir\" ng-click=\"vm.salir()\">\n" +
    "                        <i class=\"icon-file\"></i> Salir\n" +
    "                    </button>\n" +
    "\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket__imprimir\" ng-click=\"vm.imprimirDocumento()\">\n" +
    "                        <i class=\"icon-file\"></i> Imprimir\n" +
    "                    </button>\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket\" ng-click=\"vm.aparcarDoc()\"\n" +
    "                            ng-disabled=\"vm.documento.lineas.length == 0 || vm.documento.total == 0\">\n" +
    "                        <i class=\"icon-file\"></i> Aparcar Ticket\n" +
    "                    </button>\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket\" ng-click=\"vm.grabaDocumento()\"\n" +
    "                            ng-disabled=\"vm.documento.lineas.length == 0 || vm.documento.total == 0\">\n" +
    "                        <i class=\"icon-file\"></i> Guardar\n" +
    "                    </button>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"cabecera__ticket\">\n" +
    "                <div class=\"datos-ticket\">\n" +
    "                    <!--<div class=\"fila-campo\">\n" +
    "                        <div class=\"form-group serie horizontal\" >\n" +
    "                            <label class=\"control-label\">Serie facturación</label>\n" +
    "                            <ui-select ng-model=\"vm.serie\"\n" +
    "                                       reset-search-input=\"true\"\n" +
    "                                       theme=\"select2\"\n" +
    "                                       title=\"Selecciona una\" required on-select=\"vm.seleccionaSerie($item,$model)\">\n" +
    "                                <ui-select-match placeholder=\"Selecciona una serie...\">{{$select.selected.descripcion}}\n" +
    "                                </ui-select-match>\n" +
    "\n" +
    "                                <ui-select-choices repeat=\"serie in vm.series | propsFilter: {descripcion: $select.search}\">\n" +
    "                                    <div ng-bind-html=\"serie.descripcion | highlight: $select.search\"></div>\n" +
    "                                </ui-select-choices>\n" +
    "\n" +
    "                            </ui-select>\n" +
    "\n" +
    "                        </div>\n" +
    "                    </div>-->\n" +
    "                    <div class=\"fila-campo\">\n" +
    "                        <div class=\"form-group horizontal fecha-ticket\"\n" +
    "                             ng-class=\"{'has-error': datepickerForm.fecha.$invalid}\">\n" +
    "                            <label class=\"control-label\"><i class=\"fa fa-calendar\"></i> Fecha</label>\n" +
    "                            <input type=\"text\" class=\"form-control fecha\"\n" +
    "                                   ng-model=\"vm.fecha\"\n" +
    "                                   data-date-format=\"dd/MM/yyyy\"\n" +
    "                                   data-min-date=\"02/10/86\"\n" +
    "                                   data-autoclose=\"1\" bs-datepicker>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"datos-cliente\">\n" +
    "                    <div class=\"contenedor__campos\">\n" +
    "                        <div class=\"cabecera__campo--iconos\">\n" +
    "                            <span class=\"campo__etiqueta\">Cliente</span>\n" +
    "\n" +
    "                            <span class=\"icono\" ng-click=\"vm.buscarClientes()\"><i class=\"fa fa-search\"\n" +
    "                                                                                  aria-hidden=\"true\"></i></span>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Razón Social</label>\n" +
    "                            <span>{{ vm.cliente.razon_social }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Dirección</label>\n" +
    "                            <span>{{ vm.cliente.direccion }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Población</label>\n" +
    "                            <span>{{ vm.cliente.poblacion }}</span>\n" +
    "                        </div>\n" +
    "                        <div class=\"campo__ro\">\n" +
    "                            <label>Teléfono</label>\n" +
    "                            <span>{{ vm.cliente.telefono }}</span>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"row contenedor__columnas\">\n" +
    "                <div class=\"contenedor__columna columna__busqueda-productos\">\n" +
    "                    <div class=\"busqueda-productos\">\n" +
    "                        <busquedaregistro foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\"\n" +
    "                                          key=\"descripcion\"\n" +
    "                                          totalrecords=\"totalRecords\"\n" +
    "                                          onscroll=\"vm.leerProductos(searchKey)\"></busquedaregistro>\n" +
    "                        <!-- <div class=\"input-group cantidad-producto\">\n" +
    "                             <label class=\"control-label\">Cantidad</label><br>\n" +
    "                             <input type=\"text\" ng-model=\"vm.cantidad\" readonly class=\"form-control\"\n" +
    "                                    ng-model-options=\"{updateOn: 'default', debounce: {  'blur': 0 }}\">\n" +
    "                             <button class=\"btn btn-default \" ng-click=\"vm.anadeUno()\"><i class=\"fa fa-plus\"\n" +
    "                                                                                          aria-hidden=\"true\"></i>\n" +
    "                             </button>\n" +
    "                             <button class=\"btn btn-default\" ng-click=\"vm.quitaUno()\"><i class=\"fa fa-minus\"\n" +
    "                                                                                         aria-hidden=\"true\"></i>\n" +
    "                             </button>\n" +
    "                         </div>-->\n" +
    "\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"lista-productos\" ng-show=\"vm.productos.length > 1\">\n" +
    "                        <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\"\n" +
    "                             ng-click=\"vm.addlineaVenta(producto)\">\n" +
    "                            <div class=\"linea-consulta-producto\">\n" +
    "                                <span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span>\n" +
    "                                <span class=\"precio\" ng-bind=\"producto.precio_venta\"></span>\n" +
    "                                <span> €</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"contenedor__columna col-flex-70\">\n" +
    "                    <div class=\"lineas-productos\">\n" +
    "                        <div class=\"cabecera-lineas\">\n" +
    "                            <div class=\"acciones-linea\">\n" +
    "                                <div class=\"columna borra-linea\">\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"campos-linea\">\n" +
    "                                <div class=\"columna cantidad\">\n" +
    "                                    <span>Cant.</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna descripcion\">\n" +
    "                                    <span>Descripción</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna precio\">\n" +
    "                                    <span>Precio</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"zona-lineas-pedido\" wr-sale-list-scroll>\n" +
    "                            <div class=\"lineas-pedido w100\">\n" +
    "                                <!-- <div class=\"form-group has-feedback transition\" ng-repeat-reorder='name in names' ng-repeat-reorder-handle=\"i.fa.fa-bars\"> -->\n" +
    "                                <div class=\"linea-pedido w100\" ng-class=\"{ 'linea-edit' : vm.linea.id === item.id}\"\n" +
    "                                     ng-repeat=\"item in vm.documento.lineas\">\n" +
    "                                    <div class=\"acciones-linea\">\n" +
    "                                        <div class=\"columna borra-linea\">\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                    <div class=\"campos-linea\">\n" +
    "                                        <div class=\"columna cantidad\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.cantidad\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna descripcion\" ng-click=\"vm.ver(item)\">\n" +
    "                                            <!--<label>Descripcion</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.descripcion\"></span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"columna precio\">\n" +
    "                                            <!-- <label>Precio</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.precio\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Total</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.total\"></span>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                    <div ng-if=\"vm.linea.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                                        <div class=\"expandable w100\">\n" +
    "                                            <!-- todoevo poner form aquí y form cycle -->\n" +
    "                                            <div class=\"columna cantidad-linea\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Cantidad</label>\n" +
    "                                                    <input type=\"text\" money\n" +
    "                                                           class=\"form-control\" autocomplete=\"off\"\n" +
    "                                                           ng-model=\"item.cantidad\"\n" +
    "                                                           simple-focus=\"vm.focoCantidad\"\n" +
    "                                                           campo-siguiente='input-precio' ;\n" +
    "                                                           on-enter\n" +
    "                                                           required\n" +
    "                                                           ng-change=\"vm.recalculoTotales()\"/>\n" +
    "                                                    <!-- <button class=\"btn btn-default boton-flat\"\n" +
    "                                                             ng-click=\"vm.anadeUnoLinea(item)\"><i\n" +
    "                                                             class=\"fa fa-plus\" aria-hidden=\"true\"></i></button>\n" +
    "                                                     <button class=\"btn btn-default boton-flat\"\n" +
    "                                                             ng-click=\"vm.quitaUnoLinea(item)\"><i\n" +
    "                                                             class=\"fa fa-minus\" aria-hidden=\"true\"></i></button>-->\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna precio\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Precio</label>\n" +
    "                                                    <input class=\"form-control input-precio\" money type=\"text\"\n" +
    "                                                           autocomplete=\"off\"\n" +
    "                                                           ng-model=\"item.precio\"\n" +
    "                                                           on-enter\n" +
    "                                                           campo-siguiente=\"input-notas\"\n" +
    "                                                           ng-change=\"vm.recalculoTotales()\"/>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna nota\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Nota</label>\n" +
    "                                                    <input class=\"form-control input-notas\"\n" +
    "                                                           type=\"text\" autocomplete=\"off\"\n" +
    "                                                           on-enter\n" +
    "                                                           campo-siguiente=\"boton-borra-linea\"\n" +
    "                                                           ng-model=\"item.nota\"/>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                            <div class=\"columna borra-linea\">\n" +
    "                                                <button class=\"btn  boton-borra-linea\"\n" +
    "                                                        ng-click=\"vm.borraLineaVenta(item)\">\n" +
    "                                                    <i class=\"fa fa-trash-o\" aria-hidden=\"true\"></i>\n" +
    "                                                </button>\n" +
    "                                            </div>\n" +
    "\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <!-- <div class=\"col-lg-12\">\n" +
    "                                     <button class=\"btn \" ng-click=\"vm.addItem()\">Añadir Linea</button>\n" +
    "                                 </div>\n" +
    "                                 <textarea id=\"notes\" placeholder=\"Additional Notes\" ng-model=\"invoice.notes\" expanding-textarea></textarea>\n" +
    "                         -->\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"pie-pedido\">\n" +
    "                        <div class=\"resumen-impuestos\">\n" +
    "                            <div class=\"cabecera-lineas-datos w100\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Base</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>% IVA</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total IVA</span>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                            <div class=\"linea-datos w100\" ng-repeat=\"dato in vm.documento.impuestos\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.base | number:2)\"></span><span> €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.tipo_iva | number:2)\"></span><span> %</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <!--<label>Cantidad</label>-->\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.total_iva | number:2)\"></span><span> €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                        <div class=\"zona-totales-albaran\">\n" +
    "                            <div class=\"total-albaran\">\n" +
    "                                <div class=\"titulo-total\">\n" +
    "                                    <span>Total:</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"cantidad\">\n" +
    "                                    <span ng-bind=\"(vm.documento.total | number:2)\"></span> €\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"total-albaran\">\n" +
    "                                <div class=\"titulo-total\">\n" +
    "                                    <span>Total Pendiente:</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"cantidad\">\n" +
    "                                    <span ng-bind=\"(vm.documento.pendiente | number:2)\"></span> €\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"zona-boton-cobro\"  ng-show=\"vm.documento.lineas.length > 0 || vm.documento.total != 0\">\n" +
    "                            <button class=\"btn boton-cobrar\" ng-show=\"vm.documento.pendiente != 0\"\n" +
    "                                    ng-click=\"vm.cobrarTicket()\">\n" +
    "                                    <i class=\"icon-file\"></i>Cobrar <span class=\"total-a-cobrar\" ng-bind=\"(vm.documento.pendiente | currency)\"></span>\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-cobrar\" ng-show=\"vm.documento.pendiente == 0\"\n" +
    "                                    ng-click=\"vm.cobrarTicket()\">\n" +
    "                                    <i class=\"icon-file\"></i>Ver cobros</span>\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <busca-clientes></busca-clientes>\n" +
    "\n" +
    "    <div class=\"cobros-ticket slds-modal\" ng-show=\"vm.abreCobros\">\n" +
    "        <div class=\"slds-backdrop\" ng-click=\"vm.cancelarCobros()\"></div>\n" +
    "        <div class=\"slds-modal__container\">\n" +
    "            <div class=\"slds-modal__header\">\n" +
    "                <h2>Cliente</h2>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"slds-modal__content\">\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-6 col-md-6 cobros-albaran\">\n" +
    "                        <div class=\"cabecera-seccion\">\n" +
    "                            <h3>Cobros realizados</h3>\n" +
    "                        </div>\n" +
    "                        <div class=\"cabecera-lineas-cobros w100\">\n" +
    "\n" +
    "                            <div class=\"columna borra-linea\">\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"columna total\">\n" +
    "\n" +
    "                                <span>Forma pago</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Entregado</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Devolución</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Total</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"linea-cobro w100\" ng-repeat=\"cobro in vm.documento.cobros\">\n" +
    "                            <div class=\"columna borra-linea\">\n" +
    "                                <button class=\"btn delete-row\" ng-click=\"vm.borrarCobro(cobro)\">\n" +
    "                                    <i class=\"fa fa-trash-o\" aria-hidden=\"true\"></i>\n" +
    "\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Cantidad</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"cobro.formapago\"></span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Cantidad</label>-->\n" +
    "                                <div>\n" +
    "                                    <span class=\"campo\" ng-bind=\"(cobro.entrega | number:2)\"></span><span>€</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!-- <label>Precio</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"(cobro.devolucion | number:2)\"></span><span>€</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Total</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"(cobro.total | number:2)\"></span><span>€</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"col-lg-6 col-md-6\">\n" +
    "                        <div class=\"cantidad-cobro\">\n" +
    "                            <div class=\"texto\">\n" +
    "                                <span>Cobrar</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"cantidad\">\n" +
    "                                <input cleave=\"{numeral:true}\" ng-model=\"vm.cantidadACobrar\" money type=\"text\"\n" +
    "                                       class=\"form-control\">\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"formas-de-pago\">\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-disabled=\"vm.documento.pendiente == 0\"\n" +
    "                                    ng-click=\"vm.cobroEfectivo()\">\n" +
    "                                <i class=\"icon-file\"></i>Efectivo\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-disabled=\"vm.documento.pendiente == 0\"\n" +
    "                                    ng-click=\"vm.cobroTarjeta()\">\n" +
    "                                <i class=\"icon-file\"></i>Cobro Tarjeta\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "\n" +
    "                            <div class=\" opciones-grabar-documento\">\n" +
    "                                <button class=\"btn boton-forma-pago\"\n" +
    "                                        ng-disabled=\"vm.documento.lineasVenta.length == 0 || vm.documento.pendiente != 0 || vm.documento.cobrado != vm.documento.total\"\n" +
    "                                        ng-click=\"vm.grabaDocumento()\">\n" +
    "                                    <i class=\"icon-file\"></i>Grabar Ticket\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                            <div class=\" opciones-grabar-documento\">\n" +
    "                                <button class=\"btn boton-forma-pago\"\n" +
    "                                        ng-disabled=\"vm.documento.lineasVenta.length == 0 || vm.documento.pendiente != 0 || vm.documento.cobrado != vm.documento.total\"\n" +
    "                                        ng-click=\"vm.grabaDocumentoImprime()\">\n" +
    "                                    <i class=\"icon-file\"></i>Grabar e Imprimir Ticket\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"slds-modal__footer\">\n" +
    "                <a class=\"btn  btn-cancelar\" ng-click=\"vm.abreCobros=false\">Volver al ticket</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal\" ng-show=\"vm.opcionesGrabar\">\n" +
    "        <div class=\"slds-backdrop\" ng-click=\"vm.opcionesGrabar = false\"></div>\n" +
    "        <div class=\"slds-modal__container\" style=\"max-width: 300px;\">\n" +
    "            <div class=\"slds-modal__header\">\n" +
    "                <h2>¿ Que quieres hacer ?</h2>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"slds-modal__content\">\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-12\">\n" +
    "                        <div class=\" opciones-grabar-documento\">\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-click=\"vm.salir()\"><i class=\"icon-file\"></i>Salir\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-click=\"vm.nuevoTicket()\"><i class=\"icon-file\"></i>Nuevo\n" +
    "                                Ticket\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"slds-modal__footer\">\n" +
    "                <a class=\"btn  btn-cancelar\" ng-click=\"vm.opcionesGrabar=false\">Cancelar</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>"
  );


  $templateCache.put('views/admin/tickets/tickets-registro.html',
    "<style>\n" +
    "    .registro-ticket .row-content {\n" +
    "        height: calc(100vh - 40px);\n" +
    "    }\n" +
    "    .ticket-contenido {\n" +
    "        position: absolute;\n" +
    "        top: 0;\n" +
    "        right: 0;\n" +
    "        bottom: 0;\n" +
    "        left: 0;\n" +
    "        overflow: hidden\n" +
    "    }\n" +
    "\n" +
    "    .lista-productos {\n" +
    "        border: 1px solid #eee;\n" +
    "        border-radius: 4px;\n" +
    "        overflow-y: auto;\n" +
    "        box-shadow: 0 6px 10px rgba(0,0,0,.35);\n" +
    "    }\n" +
    "\n" +
    "    .zona-lineas-pedido {\n" +
    "        display: flex;\n" +
    "    }\n" +
    "\n" +
    "    .lineas-pedido {\n" +
    "\n" +
    "        overflow-y: auto;\n" +
    "    }\n" +
    "\n" +
    "    .resumen-impuestos {\n" +
    "        min-height: 80px;\n" +
    "    }\n" +
    "\n" +
    "    @media screen and (max-height: 700px) {\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .seccion-ticket {\n" +
    "        display: -webkit-flex;\n" +
    "        display: flex;\n" +
    "        -webkit-flex: 1;\n" +
    "        flex: 1;\n" +
    "        position: relative;\n" +
    "        height: 100%;\n" +
    "        flex-direction: column;\n" +
    "    }\n" +
    "\n" +
    "    .contenido-principal {\n" +
    "        position: relative;\n" +
    "        height: 100% !important;\n" +
    "    }\n" +
    "\n" +
    "    .admin .row-content .container {\n" +
    "        height: 100% !important;\n" +
    "        padding: 10px;\n" +
    "\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .cantidad-linea {\n" +
    "        width: 10%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .cantidad-linea .form-control {\n" +
    "        width: 100%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .precio {\n" +
    "        width: 15%;\n" +
    "    }\n" +
    "\n" +
    "    .datos-registro-tabla .nota {\n" +
    "        width: 65%;\n" +
    "    }\n" +
    "\n" +
    "    .zona-totales-albaran .total-albaran .titulo-total span {\n" +
    "        font-size: 1.6rem;\n" +
    "    }\n" +
    "    .zona-totales-albaran .total-albaran .cantidad span {\n" +
    "        font-size: 1.6rem;\n" +
    "    }\n" +
    "    .zona-boton-cobro .boton-cobrar {\n" +
    "        padding: 10px;\n" +
    "        border-radius: 4px;\n" +
    "    }\n" +
    "\n" +
    "\n" +
    "\n" +
    "\n" +
    "    .lista-productos-rapidos {\n" +
    "        border: 1px solid #eee;\n" +
    "        border-radius: 4px;\n" +
    "        overflow-y: auto;\n" +
    "        box-shadow: 0 6px 10px rgba(0,0,0,.35);\n" +
    "        background: #fff;\n" +
    "        flex-grow: 1;\n" +
    "        margin-bottom: 10px;\n" +
    "    }\n" +
    "\n" +
    "\n" +
    "    .lista-productos-rapidos .data-list__detail {\n" +
    "        display: flex;\n" +
    "        max-height: 130px;\n" +
    "        flex-direction: column;\n" +
    "        border: 1px solid #eee;\n" +
    "        margin: 4px;\n" +
    "        flex-grow: 0;\n" +
    "        flex-basis: 130px;\n" +
    "        height: 80px;\n" +
    "        background: #f9f9f9 ;\n" +
    "    }\n" +
    "\n" +
    "    .lista-productos-rapidos .data-list__detail:hover {\n" +
    "        background: #eee;\n" +
    "    }\n" +
    "    .lista-productos-rapidos .data-list__detail .producto__descripcion{\n" +
    "        flex:3;\n" +
    "        font-size: 1.3rem;\n" +
    "        max-height: 65px;\n" +
    "        text-align: center ;\n" +
    "        overflow: hidden ;\n" +
    "\n" +
    "        color: #646464;\n" +
    "        overflow: hidden;\n" +
    "        border-top: 4px solid #0f84b8;\n" +
    "        border-radius: 3px;\n" +
    "    }\n" +
    "\n" +
    "    .lista-productos-rapidos .data-list__detail .producto__precio {\n" +
    "        text-align: center ;\n" +
    "        font-size: 1.6rem;\n" +
    "        font-weight: bold;\n" +
    "        color: #a7a7a7;\n" +
    "        padding: 4px;\n" +
    "    }\n" +
    "    .sectionContainer .zona-botones {\n" +
    "        padding: 5px;\n" +
    "        background: #f7f7f7;\n" +
    "        margin-bottom: 5px;\n" +
    "        border: 5px;\n" +
    "        border: 1px solid #eee;\n" +
    "        display: flex;\n" +
    "        flex-wrap: wrap;\n" +
    "    }\n" +
    "\n" +
    "    .boton__tpv {\n" +
    "        flex: 1;\n" +
    "        justify-content: space-around;\n" +
    "        /* width: 150px; */\n" +
    "        margin: 4px;\n" +
    "        line-height: 2;\n" +
    "        border-radius: 0;\n" +
    "        color: #637283;\n" +
    "        background: white;\n" +
    "        font-size: 16px;\n" +
    "        border-top: 4px solid #8BC34A;\n" +
    "        max-width: 100px;\n" +
    "        min-width: 100px;\n" +
    "    }\n" +
    "\n" +
    "\n" +
    "    .lista-productos-rapidos .data-list__content {\n" +
    "        display: flex ;\n" +
    "        height : auto;\n" +
    "        flex-direction: row ;\n" +
    "        flex-wrap: wrap;\n" +
    "        align-content: flex-start;\n" +
    "    }\n" +
    "\n" +
    "    .columna__busqueda-productos {\n" +
    "        flex-basis: 50%;\n" +
    "    }\n" +
    "    .col-flex-70 {\n" +
    "        flex-basis: 50%;\n" +
    "    }\n" +
    "\n" +
    "\n" +
    "</style>\n" +
    "\n" +
    "\n" +
    "<div class=\"contenido-principal\">\n" +
    "    <div class=\"ticket-contenido\">\n" +
    "        <div class=\"seccion-ticket\">\n" +
    "\n" +
    "            <div class=\"documento__cabecera\">\n" +
    "                <div class=\"documento__cabecera-referencia\">\n" +
    "                    <span class=\"documento__referencia\" ng-bind=\"vm.documento.doc\"></span>\n" +
    "                    <span style=\"width:20px;\"></span>\n" +
    "                    <span class=\"documento__referencia\" ng-bind=\"vm.fecha\"></span>\n" +
    "                </div>\n" +
    "                <div class=\"documento__cabecera-botones\">\n" +
    "\n" +
    "                    <!--<button class=\"btn btn-sucess boton-ticket__imprimir\" ng-click=\"vm.verProductosRapidos()\">\n" +
    "                        <i class=\"icon-file\"></i> Productos Golf\n" +
    "                    </button>-->\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket__imprimir\"\n" +
    "                            ng-disabled=\"vm.documento.pendiente != 0\"\n" +
    "                            ng-click=\"vm.salir()\">\n" +
    "\n" +
    "                        <i class=\"icon-file\"></i> Salir\n" +
    "                    </button>\n" +
    "\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket__imprimir\" ng-click=\"vm.imprimirDocumento()\">\n" +
    "                        <i class=\"icon-file\"></i> Imprimir\n" +
    "                    </button>\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket\" ng-click=\"vm.aparcarDoc()\"\n" +
    "                            ng-disabled=\"vm.documento.lineas.length == 0\">\n" +
    "                        <i class=\"icon-file\"></i> Aparcar Ticket\n" +
    "                    </button>\n" +
    "\n" +
    "                    <button class=\"btn btn-sucess boton-ticket\" ng-click=\"vm.grabaDocumento()\"\n" +
    "                            ng-disabled=\"vm.documento.lineas.length == 0\">\n" +
    "                        <i class=\"icon-file\"></i> Guardar\n" +
    "                    </button>\n" +
    "\n" +
    "\n" +
    "                </div>\n" +
    "            </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "            <div class=\"row contenedor__columnas\">\n" +
    "                <div class=\"contenedor__columna columna__busqueda-productos\">\n" +
    "                    <div class=\"busqueda-productos\">\n" +
    "                        <busquedaregistro foco=\"vm.focoProducto\" selecteditem=\"vm.producto\" values=\"vm.productos\"\n" +
    "                                          key=\"descripcion\"\n" +
    "                                          totalrecords=\"totalRecords\"\n" +
    "                                          onscroll=\"vm.leerProductos(searchKey)\"></busquedaregistro>\n" +
    "                        <!-- <div class=\"input-group cantidad-producto\">\n" +
    "                             <label class=\"control-label\">Cantidad</label><br>\n" +
    "                             <input type=\"text\" ng-model=\"vm.cantidad\" readonly class=\"form-control\"\n" +
    "                                    ng-model-options=\"{updateOn: 'default', debounce: {  'blur': 0 }}\">\n" +
    "                             <button class=\"btn btn-default \" ng-click=\"vm.anadeUno()\"><i class=\"fa fa-plus\"\n" +
    "                                                                                          aria-hidden=\"true\"></i>\n" +
    "                             </button>\n" +
    "                             <button class=\"btn btn-default\" ng-click=\"vm.quitaUno()\"><i class=\"fa fa-minus\"\n" +
    "                                                                                         aria-hidden=\"true\"></i>\n" +
    "                             </button>\n" +
    "                         </div>-->\n" +
    "\n" +
    "                    </div>\n" +
    "                    <style>\n" +
    "\n" +
    "                    </style>\n" +
    "                    <div class=\"sectionContainer\">\n" +
    "                        <div class=\"seccion\">\n" +
    "                            <div class=\"zona-botones\">\n" +
    "                                <button class=\"btn  boton__tpv\" ng-click=\"vm.leerProductos2(0)\"><span>Inicio</span></button>\n" +
    "\n" +
    "                                <button ng-repeat=\"boton in vm.botones_tpv\" class=\"btn  boton__tpv\" ng-click=\"vm.leerProductos2(boton.id)\"><span ng-bind=\"::boton.descripcion\"></span></button>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"lista-productos-rapidos\" ng-hide=\"vm.productos.length > 1\">\n" +
    "\n" +
    "                        <div class=\"sectionContainer \">\n" +
    "                            <div class=\"data-list__content\" style=\"height : auto;\">\n" +
    "                                <div class=\"data-list__detail\" ng-repeat=\"item in vm.productosRapidos\" ng-if=\"vm.productosRapidos.length &gt; 0\" ng-click=\"vm.addlineaVenta(item)\">\n" +
    "                                    <div class=\"data-list__detail-column producto__descripcion\"><span ng-bind=\"::item.descripcion\"></span></div>\n" +
    "                                   <!-- <div class=\"data-list__detail-column producto__precio\"><span ng-bind=\"::item.precio_venta | currency\"></span></div>-->\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"lista-productos\" ng-show=\"vm.productos.length > 1\">\n" +
    "                        <div class=\"detalle-producto\" ng-repeat=\"producto in vm.productos\"\n" +
    "                             ng-click=\"vm.addlineaVenta(producto)\">\n" +
    "                            <div class=\"linea-consulta-producto\">\n" +
    "                                <span class=\"descripcion\" ng-bind=\"producto.descripcion\"></span>\n" +
    "                                <span class=\"precio\" ng-bind=\"producto.precio_venta\"></span>\n" +
    "                                <span> €</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "\n" +
    "\n" +
    "                </div>\n" +
    "\n" +
    "                <div class=\"contenedor__columna col-flex-70\">\n" +
    "                    <div class=\"datos-cliente\">\n" +
    "                        <div class=\"contenedor__campos\">\n" +
    "                            <div class=\"cabecera__campo--iconos\">\n" +
    "                                <span class=\"campo__etiqueta\">Cliente: {{ vm.cliente.razon_social }}</span>\n" +
    "\n" +
    "                                <span class=\"icono\" ng-click=\"vm.buscarClientes()\"><i class=\"fa fa-search\"\n" +
    "                                                                                      aria-hidden=\"true\"></i></span>\n" +
    "                            </div>\n" +
    "                            <!-- <div class=\"campo__ro\">\n" +
    "                                 <label>Dirección</label>\n" +
    "                                 <span>{{ vm.cliente.direccion }}</span>\n" +
    "                             </div>\n" +
    "                             <div class=\"campo__ro\">\n" +
    "                                 <label>Población</label>\n" +
    "                                 <span>{{ vm.cliente.poblacion }}</span>\n" +
    "                             </div>\n" +
    "                             <div class=\"campo__ro\">\n" +
    "                                 <label>Teléfono</label>\n" +
    "                                 <span>{{ vm.cliente.telefono }}</span>\n" +
    "                             </div>-->\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                    <div class=\"lineas-productos\">\n" +
    "                        <div class=\"cabecera-lineas\">\n" +
    "\n" +
    "                            <div class=\"campos-linea\">\n" +
    "                                <div class=\"columna cantidad\">\n" +
    "                                    <span>Cant.</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna descripcion\">\n" +
    "                                    <span>Descripción</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna precio\">\n" +
    "                                    <span>Precio</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "\n" +
    "\n" +
    "                        </div>\n" +
    "                        <style>\n" +
    "                            .linea-pedido {\n" +
    "                                border-left: 3px white solid;\n" +
    "                            }\n" +
    "                            .linea-edit {\n" +
    "                                border-left: 3px orange solid;\n" +
    "                            }\n" +
    "                            .zona-lineas-pedido .datos-registro-tabla {\n" +
    "                                border-left: none ;\n" +
    "                            }\n" +
    "                        </style>\n" +
    "                        <div class=\"zona-lineas-pedido\" wr-sale-list-scroll>\n" +
    "                            <div class=\"lineas-pedido w100\">\n" +
    "                                <!-- <div class=\"form-group has-feedback transition\" ng-repeat-reorder='name in names' ng-repeat-reorder-handle=\"i.fa.fa-bars\"> -->\n" +
    "                                <div class=\"linea-pedido w100\" ng-class=\"{ 'linea-edit' : vm.linea.id === item.id}\"\n" +
    "                                     ng-repeat=\"item in vm.documento.lineas\">\n" +
    "                                    <div class=\"campos-linea\" ng-click=\"vm.ver(item)\">\n" +
    "                                        <div class=\"columna cantidad\">\n" +
    "                                            <!--<label>Cantidad</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.cantidad\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna descripcion\" >\n" +
    "                                            <!--<label>Descripcion</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.descripcion\"></span>\n" +
    "                                        </div>\n" +
    "\n" +
    "                                        <div class=\"columna precio\">\n" +
    "                                            <!-- <label>Precio</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.precio | currency\"></span>\n" +
    "                                        </div>\n" +
    "                                        <div class=\"columna total\">\n" +
    "                                            <!--<label>Total</label>-->\n" +
    "                                            <span class=\"campo\" ng-bind=\"item.total | currency\"></span>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "\n" +
    "\n" +
    "                                    <div ng-if=\"vm.linea.id === item.id\" class=\"datos-registro-tabla w100 \">\n" +
    "                                        <div class=\"expandable w100\">\n" +
    "\n" +
    "                                            <!-- todoevo poner form aquí y form cycle -->\n" +
    "                                            <div class=\"columna cantidad-linea\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Cantidad</label>\n" +
    "                                                    <input type=\"text\" money\n" +
    "                                                           class=\"form-control\" autocomplete=\"off\"\n" +
    "                                                           ng-model=\"item.cantidad\"\n" +
    "                                                           simple-focus=\"vm.focoCantidad\"\n" +
    "                                                           campo-siguiente='input-precio' ;\n" +
    "                                                           on-enter\n" +
    "                                                           required\n" +
    "                                                           ng-change=\"vm.recalculoTotales()\"/>\n" +
    "                                                    <!-- <button class=\"btn btn-default boton-flat\"\n" +
    "                                                             ng-click=\"vm.anadeUnoLinea(item)\"><i\n" +
    "                                                             class=\"fa fa-plus\" aria-hidden=\"true\"></i></button>\n" +
    "                                                     <button class=\"btn btn-default boton-flat\"\n" +
    "                                                             ng-click=\"vm.quitaUnoLinea(item)\"><i\n" +
    "                                                             class=\"fa fa-minus\" aria-hidden=\"true\"></i></button>-->\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna precio\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Precio</label>\n" +
    "                                                    <input class=\"form-control input-precio\" money type=\"text\"\n" +
    "                                                           autocomplete=\"off\"\n" +
    "                                                           ng-model=\"item.precio\"\n" +
    "                                                           on-enter\n" +
    "                                                           campo-siguiente=\"input-notas\"\n" +
    "                                                           ng-change=\"vm.recalculoTotales()\"/>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna nota\">\n" +
    "                                                <div class=\"input-group\">\n" +
    "                                                    <label>Nota</label>\n" +
    "                                                    <input class=\"form-control input-notas\"\n" +
    "                                                           type=\"text\" autocomplete=\"off\"\n" +
    "                                                           on-enter\n" +
    "                                                           campo-siguiente=\"boton-borra-linea\"\n" +
    "                                                           ng-model=\"item.nota\"/>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                            <div class=\"columna borra-linea\">\n" +
    "                                                <button class=\"btn  boton-borra-linea\"\n" +
    "                                                        ng-click=\"vm.borraLineaVenta(item)\">\n" +
    "                                                    <i class=\"fa fa-trash-o\" aria-hidden=\"true\"></i>\n" +
    "                                                </button>\n" +
    "                                            </div>\n" +
    "                                            <div style=\"flex:1;width:100%;\" ng-show=\"item.abono_id > 0\">\n" +
    "                                                <div class=\"campo-ro\">\n" +
    "                                                    <label>Nombre Jugador</label>\n" +
    "                                                    <span class=\"campo\" ng-bind=\"item.nombre_jugador\"></span>\n" +
    "                                                </div>\n" +
    "                                                <div class=\"campo-ro\">\n" +
    "                                                    <label>Abono</label>\n" +
    "                                                    <span class=\"campo\" ng-bind=\"item.concepto_reserva\"></span>\n" +
    "                                                </div>\n" +
    "                                            </div>\n" +
    "                                        </div>\n" +
    "                                    </div>\n" +
    "                                </div>\n" +
    "                                <!-- <div class=\"col-lg-12\">\n" +
    "                                     <button class=\"btn \" ng-click=\"vm.addItem()\">Añadir Linea</button>\n" +
    "                                 </div>\n" +
    "                                 <textarea id=\"notes\" placeholder=\"Additional Notes\" ng-model=\"invoice.notes\" expanding-textarea></textarea>\n" +
    "                         -->\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"pie-pedido\">\n" +
    "                        <!--<div class=\"resumen-impuestos\">\n" +
    "                            <div class=\"cabecera-lineas-datos w100\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Base</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>% IVA</span>\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    <span>Total IVA</span>\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                            <div class=\"linea-datos w100\" ng-repeat=\"dato in vm.documento.impuestos\">\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    &lt;!&ndash;<label>Cantidad</label>&ndash;&gt;\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.base | number:2)\"></span><span> €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    &lt;!&ndash;<label>Cantidad</label>&ndash;&gt;\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.tipo_iva | number:2)\"></span><span> %</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "                                <div class=\"columna total\">\n" +
    "                                    &lt;!&ndash;<label>Cantidad</label>&ndash;&gt;\n" +
    "                                    <div class=\"numero\">\n" +
    "                                        <span class=\"campo\" ng-bind=\"(dato.total_iva | number:2)\"></span><span> €</span>\n" +
    "                                    </div>\n" +
    "\n" +
    "                                </div>\n" +
    "\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>-->\n" +
    "\n" +
    "\n" +
    "                        <div class=\"zona-totales-albaran\">\n" +
    "                            <div class=\"total-albaran\">\n" +
    "                                <div class=\"titulo-total\">\n" +
    "                                    <span>Total:</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"cantidad\">\n" +
    "                                    <span ng-bind=\"(vm.documento.total | number:2)\"></span> €\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"total-albaran\">\n" +
    "                                <div class=\"titulo-total\">\n" +
    "                                    <span>Total Pendiente:</span>\n" +
    "                                </div>\n" +
    "\n" +
    "                                <div class=\"cantidad\">\n" +
    "                                    <span ng-bind=\"(vm.documento.pendiente | number:2)\"></span> €\n" +
    "                                </div>\n" +
    "\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "\n" +
    "                        <div class=\"zona-boton-cobro\"  ng-show=\"vm.documento.lineas.length > 0 || vm.documento.total != 0\">\n" +
    "                            <button class=\"btn boton-cobrar\" ng-show=\"vm.documento.pendiente != 0\"\n" +
    "                                    ng-click=\"vm.cobrarTicket()\">\n" +
    "                                    <i class=\"icon-file\"></i>Cobrar <span class=\"total-a-cobrar\" ng-bind=\"(vm.documento.pendiente | currency)\"></span>\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-cobrar\" ng-show=\"vm.documento.pendiente == 0 && vm.documento.total != 0\"\n" +
    "                                    ng-click=\"vm.cobrarTicket()\">\n" +
    "                                    <i class=\"icon-file\"></i>Ver cobros</span>\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-cobrar\" ng-show=\"vm.documento.total == 0\"\n" +
    "                                    ng-click=\"vm.grabarTicketCero()\">\n" +
    "                                <i class=\"icon-file\"></i>Grabar Ticket a 0</span>\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "    <busca-clientes></busca-clientes>\n" +
    "\n" +
    "    <div class=\"cobros-ticket slds-modal\" ng-show=\"vm.abreCobros\">\n" +
    "        <div class=\"slds-backdrop\" ng-click=\"vm.cancelarCobros()\"></div>\n" +
    "        <div class=\"slds-modal__container\">\n" +
    "            <div class=\"slds-modal__header\">\n" +
    "                <h2>Cliente</h2>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"slds-modal__content\">\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-6 col-md-6 cobros-albaran\">\n" +
    "                        <div class=\"cabecera-seccion\">\n" +
    "                            <h3>Cobros realizados</h3>\n" +
    "                        </div>\n" +
    "                        <div class=\"cabecera-lineas-cobros w100\">\n" +
    "\n" +
    "                            <div class=\"columna borra-linea\">\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"columna total\">\n" +
    "\n" +
    "                                <span>Forma pago</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Entregado</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Devolución</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <span>Total</span>\n" +
    "                            </div>\n" +
    "\n" +
    "                        </div>\n" +
    "                        <div class=\"linea-cobro w100\" ng-repeat=\"cobro in vm.documento.cobros\">\n" +
    "                            <div class=\"columna borra-linea\">\n" +
    "                                <button class=\"btn delete-row\" ng-click=\"vm.borrarCobro(cobro)\">\n" +
    "                                    <i class=\"fa fa-trash-o\" aria-hidden=\"true\"></i>\n" +
    "\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Cantidad</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"cobro.formapago\"></span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Cantidad</label>-->\n" +
    "                                <div>\n" +
    "                                    <span class=\"campo\" ng-bind=\"(cobro.entrega | number:2)\"></span><span>€</span>\n" +
    "                                </div>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!-- <label>Precio</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"(cobro.devolucion | number:2)\"></span><span>€</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"columna total\">\n" +
    "                                <!--<label>Total</label>-->\n" +
    "                                <span class=\"campo\" ng-bind=\"(cobro.total | number:2)\"></span><span>€</span>\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "\n" +
    "                    <div class=\"col-lg-6 col-md-6\">\n" +
    "                        <div class=\"cantidad-cobro\">\n" +
    "                            <div class=\"texto\">\n" +
    "                                <span>Cobrar</span>\n" +
    "                            </div>\n" +
    "                            <div class=\"cantidad\">\n" +
    "                                <input cleave=\"{numeral:true}\" ng-model=\"vm.cantidadACobrar\" money type=\"text\"\n" +
    "                                       class=\"form-control\">\n" +
    "                            </div>\n" +
    "                        </div>\n" +
    "                        <div class=\"formas-de-pago\">\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-disabled=\"vm.documento.pendiente == 0\"\n" +
    "                                    ng-click=\"vm.cobroEfectivo()\">\n" +
    "                                <i class=\"icon-file\"></i>Efectivo\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-disabled=\"vm.documento.pendiente == 0\"\n" +
    "                                    ng-click=\"vm.cobroTarjeta()\">\n" +
    "                                <i class=\"icon-file\"></i>Cobro Tarjeta\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "\n" +
    "                            <div class=\"opciones-grabar-documento\">\n" +
    "                                <button class=\"btn boton-forma-pago\"\n" +
    "                                        ng-disabled=\"vm.documento.lineasVenta.length == 0 || vm.documento.pendiente != 0 || vm.documento.cobrado != vm.documento.total\"\n" +
    "                                        ng-click=\"vm.grabaDocumento()\">\n" +
    "                                    <i class=\"icon-file\"></i>Grabar Ticket\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "                            <div class=\"opciones-grabar-documento\">\n" +
    "                                <button class=\"btn boton-forma-pago\"\n" +
    "                                        ng-disabled=\"vm.documento.lineasVenta.length == 0 || vm.documento.pendiente != 0 || vm.documento.cobrado != vm.documento.total\"\n" +
    "                                        ng-click=\"vm.grabaDocumentoImprime()\">\n" +
    "                                    <i class=\"icon-file\"></i>Grabar e Imprimir Ticket\n" +
    "                                </button>\n" +
    "                            </div>\n" +
    "\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"slds-modal__footer\">\n" +
    "                <a class=\"btn  btn-cancelar\" ng-click=\"vm.abreCobros=false\">Volver al ticket</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "\n" +
    "    </div>\n" +
    "    <div class=\"slds-modal\" ng-show=\"vm.opcionesGrabar\">\n" +
    "        <div class=\"slds-backdrop\" ng-click=\"vm.opcionesGrabar = false\"></div>\n" +
    "        <div class=\"slds-modal__container\" style=\"max-width: 300px;\">\n" +
    "            <div class=\"slds-modal__header\">\n" +
    "                <h2>¿ Que quieres hacer ?</h2>\n" +
    "            </div>\n" +
    "\n" +
    "            <div class=\"slds-modal__content\">\n" +
    "                <div class=\"row\">\n" +
    "                    <div class=\"col-lg-12\">\n" +
    "                        <div class=\" opciones-grabar-documento\">\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-click=\"vm.salir()\"><i class=\"icon-file\"></i>Salir\n" +
    "                            </button>\n" +
    "                            <button class=\"btn boton-forma-pago\" ng-click=\"vm.nuevoTicket()\"><i class=\"icon-file\"></i>Nuevo\n" +
    "                                Ticket\n" +
    "                            </button>\n" +
    "                        </div>\n" +
    "                    </div>\n" +
    "                </div>\n" +
    "            </div>\n" +
    "            <div class=\"slds-modal__footer\">\n" +
    "                <a class=\"btn  btn-cancelar\" ng-click=\"vm.opcionesGrabar=false\">Cancelar</a>\n" +
    "            </div>\n" +
    "        </div>\n" +
    "    </div>\n" +
    "</div>\n" +
    "<productos-rapidos></productos-rapidos>\n" +
    "<abonos-consumo></abonos-consumo>\n" +
    "<pagos-tpv></pagos-tpv>"
  );


  $templateCache.put('views/evo.atajo-fechas.html',
    "<div class=\"evo-atajo-fechas\">\n" +
    "    <div class=\"form-group\">\n" +
    "        <span>Actual</span>\n" +
    "        <a ng-click=\"vm.calculaFecha('Hoy')\">Hoy</a>\n" +
    "        <a ng-click=\"vm.calculaFecha('MesAct')\">Mes</a>\n" +
    "        <a ng-click=\"vm.calculaFecha('AnoAct')\">Año</a>\n" +
    "        <span>Anterior</span>\n" +
    "        <a ng-click=\"vm.calculaFecha('MesAnt')\">Mes</a>\n" +
    "        <a ng-click=\"vm.calculaFecha('AnoAnt')\">Año</a>\n" +
    "    </div>\n" +
    "</div>"
  );

}]);
;(function() {
    angular.module('app').directive('lowerThan', ['$filter',
        function($filter) {
            var link = function($scope, $element, $attrs, ctrl) {
                var validate = function(viewValue) {
                    var comparisonModel = $attrs.lowerThan.substr(1,24);
                    var hora = $filter('date')(new Date(comparisonModel),'HH:mm');
                    var hora2 = $filter('date')(new Date(viewValue),'HH:mm');
                    if (hora2 === 'NaN:NaN') {
                        hora2 = viewValue ;
                    }
                    if(!viewValue || !comparisonModel){
                        // It's valid because we have nothing to compare against
                        ctrl.$setValidity('lowerThan', true);
                    }
                    // It's valid if model is lower than the model we're comparing against
                    ctrl.$setValidity('lowerThan', hora2 < hora );

                    return viewValue;
                };

                ctrl.$parsers.unshift(validate);
                ctrl.$formatters.push(validate);

                $attrs.$observe('lowerThan', function(comparisonModel){
                    // Whenever the comparison model changes we'll re-validate
                    return validate(ctrl.$modelValue);
                });

            };

            return {
                require: 'ngModel',
                link: link
            };

        }
    ]);

}).call(this);

;evoCampo.$inject=['$window'];


function evoCampo($window){
    return {
        restrict: 'E', //could be E, A, C (class), M (comment)
        // Cuando hacemos esto no podemos acceder al scope parent a menos que
        scope: {
            prop: '@',
            tipo: '@',
            ayuda :'@',
            data: '=ngModel',
            validators:'@',
            titulo: '@'
        },
        require: 'ngModel',
        replace: false,
        templateUrl: '/views/evocampo.html',
        compile: function(element, attrs) {
            var attr;
            angular.forEach(element.find('input'), function(elem) {
                elem = angular.element(elem);
                if (attrs.validators > '') {
                    var valida = attrs.validators.split(" ");
                    for(attr in valida) {
                        console.log(attr);
                        elem.attr(valida[attr], "");
                    }
                }

            });
            element.removeAttr('atributos');
        }
    }
}
angular.module('app').directive('evoCampo', evoCampo);

angular.module('app').directive("comaPunto",function(){
    return {
        require: 'ngModel',
        link: function (scope, element, attrs, modelCtrl) {
            modelCtrl.$parsers.push(function(inputValue) {
                if (typeof (inputValue) == "undefined") return '';
                var transformedInput = inputValue.replace(/,/g,'.');
                if (transformedInput != inputValue) {
                    modelCtrl.$setViewValue(transformedInput);
                    modelCtrl.$render();
                }

                return transformedInput;
            });
        }
    };

});

var FLOAT_REGEXP = /^\-?\d+((\.|\,)\d+)?$/;
angular.module('app').directive('smartFloat', function() {
    return {
        require: 'ngModel',
        link: function(scope, elm, attrs, ctrl) {
            ctrl.$parsers.push(function(inputValue) {
                if (typeof (inputValue) == "undefined") return '';
                var transformedInput = inputValue.replace(/,/g,'.');
                transformedInput = parseFloat(Math.round(transformedInput * 100) / 100).toFixed(2);
                if (transformedInput != inputValue) {
                    ctrl.$setViewValue(transformedInput);
                    ctrl.$render();
                }
                return transformedInput;
            });
            ctrl.$parsers.unshift(function(viewValue) {
                if (FLOAT_REGEXP.test(viewValue)) {
                    ctrl.$setValidity('float', true);
                    return viewValue;
                } else {
                    ctrl.$setValidity('float', false);
                    return undefined;
                }
            });
        }
    };
});;function AutoFocus(){
    return {
        restrict: 'A',
        link: function($scope, element) {
            element[0].focus();
        }
    };
}
angular.module('app').directive('autoFocus', AutoFocus);;angular.module('app').directive('navItem', ['$location', function($location){
    return {
        restrict: 'A',
        link: function(scope, elem, attrs){
            scope.$watch(function() {
                return $location.path();
            }, function(route){
                elem.removeClass(attrs['navItemClass']);
                var rootRoute = route.match(/\/[a-z0-9A-Z]+\//);
                if(rootRoute)
                    route = rootRoute[0].substring(0, rootRoute[0].length - 1);
                if(route === attrs['navItemRoute'])
                    elem.addClass(attrs['navItemClass']);
            });
        }
    }
}]);

angular.module('app').directive('verFly', ['$location', function($location){
    return {
        scope: {
            greenfee: '@',
            jugadores: '@',
            bloqueo :'@',
            jugadoresdef:'@',
            jugadoreslibres:'@',
            jugadorestemp:'@'
        },
        restrict: 'A',
        link: function(scope, elem, attrs){
            console.log(scope.jugadores);

            if (scope.bloqueo > 0) {
                elem['0'].addClass('bloqueo');
            }

        }
    }
}]);
;var INTEGER_REGEXP = /^\-?dc+$/;
var FLOAT_REGEXP = /^\-?\d+((\.|\,)\d+)?$/;
var NUMBER_REGEXP = /^\s*(\-|\+)?(\d+|(\d*(\.\d*)))\s*$/;

angular.module('app').directive('esNumero', function() {
    return {
        require: 'ngModel',
        link: function (scope, elm, attrs, ctrl) {
            if (!ctrl) return;
            var validator = function(value) {
                if (ctrl.$isEmpty(value)) {
                    ctrl.$setValidity('esNumero', false);
                } else {
                    ctrl.$setValidity('esNumero', NUMBER_REGEXP.test(value));
                }
                return value;
            };
            ctrl.$parsers.unshift(validator);
        }
    };
});
;angular.module('app').filter('evofechahora',['$filter', function($filter)
{
    return function(input)
    {
        if(input == null){ return ""; }
        input = input.replace(/-/g,"/");
        var fecha = Date.parse(input);
        if (isNaN(fecha)==true) return '' ;

        if (!fecha) return '' ;
        var _date = $filter('date')(new Date(input), 'dd-MM-yyyy HH:mm:ss');
        return _date.toUpperCase();
    };
}]);

angular.module('app').filter('evofecha',['$filter', function($filter)
{
    return function(input)
    {
        if(input == null){ return ""; }
        input = input.replace(/-/g,"/");
        var fecha = Date.parse(input);
        if (isNaN(fecha)==true) return '' ;

        if (!fecha) return '' ;
        var _date = $filter('date')(new Date(input), 'dd-MM-yyyy');
        return _date.toUpperCase();
    };
}]);


angular.module('app').filter('evofechainput',['$filter', function($filter)
{
    return function(input)
    {
        if(input == null){ return ""; }
        input = input.replace(/-/g,"/");
        var fecha = new Date(input);
        // si la fecha da error devolvemos espacios
        return (isNaN(fecha)==true) ? '' : fecha ;

    };
}]);;angular.module('app').directive('searchandselect',['$rootScope','$document','$window', '$timeout',
    function ($rootScope,$document,$window,$timeout) {
        return {
            replace: true,
            restrict: 'E',
            scope: {
                values: "=",
                selecteditem: "=",
                key: "@",
                onscroll: "&"
            },
            templateUrl: 'views/admin/searchandselect.html',
            link: function (scope, elm, attr) {

                var isNative = /(ip(a|o)d|iphone|android)/ig.test($window.navigator.userAgent);
                var isTouch = ('createTouch' in $window.document) && isNative;

                scope.showList = false;

                scope.selectItem = function (item) {
                    scope.selecteditem = item;
                    scope.showList = false;
                };

                scope.$watch(scope.selecteditem, function(item) {
                    console.log('paso por watch')
                  console.log(scope.selecteditem)
                });

                scope.isActive = function (item) {
                    return item[scope.key] === scope.selecteditem[scope.key];
                };

                scope.textChanged = function (searchKey) {
                    if ( searchKey.length > 3) {
                        scope.onscroll({
                            searchKey: searchKey,
                            pagenumber: 1
                        });
                    }

                };
                scope.borraItemLista = function() {
                    scope.selecteditem = { id : 0};
                    setTimeout(function () {
                        scope.$apply(function () {
                            scope.showList = false ;
                            scope.searchKey = '' ;
                            scope.selecteditem = { id : 0};
                            scope.values = [];
                            scope.showList = false ;
                        });
                    }, 200);

                };

                scope.show = function () {
                    console.log('paso por show')
                    scope.showList = !scope.showList;
                    if (scope.showList) {
                        $timeout(function() {
                            angular.element(elm[0]).find('input').val('');
                            angular.element(elm[0]).find('input').focus();
                        }, 100);

                    }

                };

                /*elm.find(".dropdown").bind('scroll', function () {
                 var currentItem = $(this);
                 if (currentItem.scrollTop() + currentItem.innerHeight() >= currentItem[0].scrollHeight) {

                 if (!scope.pagenumber) scope.pagenumber = 2;
                 else
                 scope.pagenumber = scope.pagenumber + 1;

                 scope.onscroll({
                 searchKey: scope.searchKey,
                 pagenumber: scope.pagenumber
                 });
                 }
                 });*/

                // todoevo mousedown and touch
                $document.on('click', function (e) {
                    // console.log($(e.target).is(".searchandselect"))
                    e.preventDefault();
                    e.stopPropagation();
                    var isSearchBox = ($(e.target).parents(".searchandselect").length > 0);
                    if (!isSearchBox)
                        scope.$apply(function () {
                            scope.showList = false;
                        });
                });
            }
        };
    }]);;ReservasFactory.$inject=['$http','$q','$window'];
function ReservasFactory($http,$q,$window) {

    var busquedaReserva = {

    };
    var baseUrl = "api";
    var Servicio = {
        verTarifas : verTarifas,
        grabarReserva : grabarReserva,
        grabarReservaAdmin : grabarReservaAdmin,
        verPresupuesto : verPresupuesto,
        verSalidas : verSalidas,
        verSalidasAdmin : verSalidasAdmin,
        borrarHoraReserva : borrarHoraReserva,
        borrarHoraReservaDef : borrarHoraReservaDef,
        verListaReservas : verListaReservas,
        grabaDetalleReserva   : grabaDetalleReserva,
        verSalidasPdf : verSalidasPdf,
        cancelarSalida : cancelarSalida,
        impConReserva : impConReserva,
        impConReservaSinPre :impConReservaSinPre,
        tee1 : [], // salidas en cada uno de los tees
        tee10 : [],
        tee19 : [],
        tee28 : [],
        busquedaReserva : busquedaReserva,
        generarCodigo : generarCodigo,
        leerReserva : leerReserva
    } ;
    // iniciamos la caché
    return Servicio ;

    // vemos las salidas del día y el tramo horario
    function verSalidas(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/versalidas',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function cancelarSalida(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/cancelar-salida',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function verSalidasAdmin(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/versalidas',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };
    function verSalidasPdf(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            responseType:'arraybuffer',
            cache: false,
            url: baseUrl + '/admin/ver-salidas-pdf-v2',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'}, // ojo estoy hay que comentarlo para el pdf
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };
    function impConReserva(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            responseType:'arraybuffer',
            cache: false,
            url: baseUrl + '/admin/imprimir-confirmacion-reserva',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'}, // ojo estoy hay que comentarlo para el pdf
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function impConReservaSinPre(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            responseType:'arraybuffer',
            cache: false,
            url: baseUrl + '/admin/imprimir-confirmacion-reserva-sin-pre',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'}, // ojo estoy hay que comentarlo para el pdf
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function verSalidasHtml(data) {
        var defer = $q.defer();
        $http({
            method: "get",
            //   responseType:'arraybuffer', ojo si es para un pdf
            cache: false,
            url: baseUrl + '/admin/versalidaspdf',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'}, // ojo estoy hay que comentarlo para el pdf
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };


    // vemos las salidas del día y el tramo horario
    function verListaReservas(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ver-reservas',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function leerReserva(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/leer-reserva',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    }

    function verPresupuesto(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/verpresupuesto',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function borrarHoraReserva(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/borrarhorareserva',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function borrarHoraReservaDef(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/borrarhorareservadef',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    function verTarifas() {
        var defer = $q.defer();
        $http({
            method: "get",
            url: baseUrl + '/vertarifas'
        }).then(function (response) {
            Servicio.gruposPrecios = response.data.datos ;

            console.log(Servicio);
            defer.resolve(response.data);
        }).error(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    // Genera código de 10 dígitos para identificador de reserva
    function generarCodigo()
    {
        var text = "";
        var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        for( var i=0; i < 10; i++ )
            text += possible.charAt(Math.floor(Math.random() * possible.length));
        return text.toUpperCase() ;
    }

    // Ojo cambiar grabar pedido como verVentas.
    function grabaDetalleReserva(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/actualiza-detalle-reserva',
            headers: {'Content-Type': 'application/json','Cache-Control' : 'no-cache'},
            data: datos
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    }

    // Ojo cambiar grabar pedido como verVentas.
    function grabarReserva(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/grabar-reserva',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: datos
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    }
    // Ojo cambiar grabar pedido como verVentas.
    function grabarReservaAdmin(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/grabar-reserva',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'},
            data: datos
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    }
}
angular.module('app').factory('Reservas', ReservasFactory);
;/*
 Directiva para el frontend de reservas
 */
angular.module('app').directive('dashboardAdmin', dashboardAdmin);
dashboardAdmin.$inject=['$window','Reservas'];
function dashboardAdmin($window,Reservas){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/dashboard-admin-v3.html', // OJO
        scope: {
        },
        link: linkFunc,
        controller: dashboardAdminController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {

    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
dashboardAdminController.$inject = ['Reservas','$filter','$scope','$routeParams','ngDialog','EvoratecApi','$rootScope','$location'];
function dashboardAdminController(Reservas,$filter,$scope,$routeParams,ngDialog,EvoratecApi,$rootScope,$location) {
    // definimos variables
    var vm = this;
    var fechaActual = new Date().toISOString().substr(0, 10);

    // hay que sacar un popup con la confirmación

    vm.meses = [

        {
            mes: 'Mar',
            ano: 2018,
            fecha: '2018-03-01'
        },
        {
            mes: 'Abr',
            ano: 2018,
            fecha: '2018-04-01'
        },
        {
            mes: 'May',
            ano: 2018,
            fecha: '2018-05-01'
        },
        {
            mes: 'Jun',
            ano: 2018,
            fecha: '2018-06-01'
        },
        {
            mes: 'Jul',
            ano: 2018,
            fecha: '2018-07-01'
        },
        {
            mes: 'Ago',
            ano: 2018,
            fecha: '2018-08-01'
        },
        {
            mes: 'Sep',
            ano: 2018,
            fecha: '2018-09-01'
        },
        {
            mes: 'Oct',
            ano: 2018,
            fecha: '2018-10-01'
        },
        {
            mes: 'Nov',
            ano: 2018,
            fecha: '2018-11-01'
        },
        {
            mes: 'Dic',
            ano: 2018,
            fecha: '2018-12-01'
        },
        {
            mes: 'Ene',
            ano: 2019,
            fecha: '2019-01-01'
        },
        {
            mes: 'Feb',
            ano: 2019,
            fecha: '2019-02-01'
        },
        {
            mes: 'Mar',
            ano: 2019,
            fecha: '2019-03-01'
        }



        ]

    vm.fechaAbierta = false ;
    vm.formatoFecha = 'dd-MM-yyyy';
    vm.dateOptions = {
        formatYear: 'yy',
        startingDay: 1
    };

    vm.flySel = { fly : 0 }
    // form data

    // request data

    // request data reserva definitiva
    vm.rdReserva = [];

   /* $scope.$watch('vm.fd.fecha', function(newVal, oldVal) {
        if (newVal !== oldVal) {
            vm.verSalidas();
        }
    });*/

    vm.abrirErrorReserva = false ;

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verSalidas : verSalidas,
        hoy : hoy,
        abreFecha   : abreFecha,

        verSalidasPdf : verSalidasPdf,
        modificarReserva : modificarReserva,
        cerrarErrorReserva : cerrarErrorReserva,
        verOcupacionMensual : verOcupacionMensual,
        verDiaOcupacion : verDiaOcupacion,
        verMesOcupacion:verMesOcupacion,
        nuevoRegistro : nuevoRegistro,
        modificarReservaGreenfees :modificarReservaGreenfees,
        modificarReservaSuecosGreenfee : modificarReservaSuecosGreenfee,
        reservaSuecos : reservaSuecos
    })
    vm.registro_reserva = {
        aceptacondiciones : 1,
        codigotransaccion : "",
        email:"",
        estadopago:"",
        fechareserva: fechaActual,
        formapago:"",
        id: 0,
        idioma :"es_ES",
        idreserva :"",
        nombre:"",
        pais:"España",
        recordardatos:0,
        tfno:"",
        total:0,
        totalbruto: 0,
        totaldto: 0,
        admin: 1
    };

    vm.init();
    function init(){
        vm.rd = {
            fecha : fechaActual,
            tramoHorario : 0,
            fly : 1,
            jugadores : 0,
            idreserva : ''
        };

        vm.fd = {
            fecha : fechaActual,
            tramoHorario : 0,
            recorridos : [],
            reservas:[],
            numJugadores: 1,
            buggies: 0,
            reserva : {
                presupuesto:[],
                idreserva : '',
                idioma: 'es_ES',
                total:0
            }
        };

        vm.verSalidas();
    }

    function verMesOcupacion(mes) {
        vm.fd.fecha = mes.fecha ;
        vm.verSalidas()
    }
    function verOcupacionMensual() {
        vm.rd = {
            fecha : $filter('date')( vm.fd.fecha, 'y-MM-dd')
        }
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/ocupacion-mensual',vm.rd).then(function(data){
            vm.ocupacion = data.datos ;
        },function(error){
            console.log(error);
        });
    }

    function verDiaOcupacion(dia) {
        vm.fd.fecha = dia.fecha ;
        vm.verSalidas();
    }

    function hoy() {
        vm.fd.fecha = fechaActual ;

        vm.verSalidas();
    }
    // Ver las salidas
    function verSalidas() {

        vm.fechaActual = vm.fd.fecha ;
        vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        vm.rd.admin = true ;

        Reservas.verSalidas(vm.rd).then(function(data){
            vm.fd.recorridos = data ;
            console.log(data);
        },function(error){
            console.log(error);
        });

        Reservas.verSalidasAdmin(vm.rd).then(function(data){
            vm.fd.reservas = data ;

        },function(error){
            console.log(error);
        });
        vm.verOcupacionMensual();

    }

    vm.reservaAbonado = function() {
        $scope.$broadcast('reservas-abonados:abrir',vm.flySel);
    }

    $scope.$on('reservas-express:generada',function(event,data){
        if (data.reservaNueva == false) {
            vm.flySel = { fly : 0 }
            vm.rd = {
                reserva    : data.reserva,
                fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd')
            }
            var evo = new EvoratecApi.api();
            if (data.tipodoc == 'AL') {
                evo.llama('/albaranes/generar-albaran-greenfees',vm.rd).then(function(data){
                    vm.albaran_id = data.datos.id ;
                    console.log(data)
                });
            }

            if (data.tipodoc == 'TI') {
                evo.llama('/tickets/nuevo-ticket-reserva-express',vm.rd).then(function(data){
                    vm.ticket_id = data.datos.id ;
                    // TODOEVO PASAR TICKET A POPUP
                    $rootScope.origen = 'reservas';
                    $location.path('/ticket/'+vm.ticket_id);
                });
            }

        } else {
            vm.verSalidas();
        }

    })

    vm.verReservaDia = function(fly) {
        //$scope.$broadcast('reserva-express',fly);
        vm.flySel = fly ;
        console.log(fly)
    }

    vm.reservaExpress = function() {
        $scope.$broadcast('reserva-express',vm.flySel);
    }

    vm.reservaNueva = function() {
        $scope.$broadcast('reserva-nueva',vm.flySel);
    }

    $scope.$on('reservas-abonados:grabar',function(event,data){
        vm.verSalidas();
    });

    // Ver las salidas
    function verSalidasPdf() {
        vm.fechaActual = vm.fd.fecha ;
        vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        console.log(vm.rd);
        Reservas.verSalidasPdf(vm.rd).then(function(data){
            // superimportante proyectohermes
            blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',window.URL.createObjectURL(blob));
            downloadLink.attr('download', 'listado-salidas-'+vm.rd.fecha+'.pdf');
            downloadLink[0].click();
            // ojo esto es para imprimir el html
           /* var printSection = angular.element('#printSection');
            printSection.html(data);
            window.print();*/

        },function(error){
            console.log(error);
        });

    }


    function calculaTotal(){
        vm.fd.reserva.total = 0 ;
        _.each(vm.fd.reserva.presupuesto,function(presupuesto) {
            vm.fd.reserva.total += presupuesto.total ;
        });
    }

    function abreFecha()  {
        vm.fechaAbierta = true;
    };

    function cerrarErrorReserva() {
        vm.abrirErrorReserva = false ;
    }

    $scope.$on('reserva-grabada',function(event,data){

        vm.init();
        vm.verSalidas();
    });

    function modificarReservaGreenfees(gf) {
        var data = {
            idreserva : gf.idreserva,
            fecha :gf.fecha
        }
        $scope.$broadcast('admin-ver-reserva-dia',data);
    }
    function modificarReservaSuecosGreenfee(gf) {
        var data = {
            idreservahora : gf.idreservahora,
            idreserva : gf.idreserva,
            fecha :gf.fecha
        }
        $scope.$broadcast('admin-ver-greenfees-reserva',data);
    }

    function reservaSuecos(dreserva) {
        $scope.$broadcast('admin-ver-greenfees-reserva',dreserva);
    }
    function modificarReserva(dreserva) {
        $scope.$broadcast('admin-ver-reserva-dia',dreserva);
    }
    function nuevoRegistro() {
        vm.registro_reserva.fechareserva = vm.fd.fecha
        $scope.$broadcast('admin-nueva-reserva',vm.registro_reserva);
    }

    vm.dateOptions = {
        formatYear: 'yy',
        startingDay: 1
    };

}
;BloqueosFactory.$inject=['$http','$q','$window'];
function BloqueosFactory($http,$q,$window) {
    var baseUrl = "api";
    var Servicio = {
        grabarBloqueo : grabarBloqueo,
        verBloqueos : verBloqueos,
        borrarBloqueo : borrarBloqueo
    } ;
    // iniciamos la caché
    return Servicio ;

    // vemos las salidas del día y el tramo horario
    function verBloqueos(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ver-bloqueos',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };


    function borrarBloqueo(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/borrar-bloqueo',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    };

    // Ojo cambiar grabar pedido como verVentas.
    function grabarBloqueo(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/graba-bloqueo',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: datos
        }).then(function (response) {
            defer.resolve(response.data);
        }).catch(function (response) {
            defer.reject(response);
        })
        return defer.promise;
    }
}
angular.module('app').factory('Bloqueos', BloqueosFactory);

;angular
    .module('app')
    .directive('listaBloqueos', listaBloqueos);
listaBloqueos.$inject=['$window','Bloqueos','$templateCache'];
function listaBloqueos($window,Bloqueos){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/bloqueos-lista.html', // OJO
        scope: {
        },
        link: linkFunc,
        controller: listaBloqueosController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
listaBloqueosController.$inject = ['Bloqueos','$filter','$scope','ngDialog'];
function listaBloqueosController(Bloqueos,$filter,$scope,ngDialog) {
    // definimos variables
    var vm = this;
    var fechaActual = new Date().toISOString().substr(0, 10);

    vm.fd = {
        registro : {
            "id":'0',
            "fecha": fechaActual,
            "recorrido":"1",
            "fechaini":fechaActual,
            "fechafin":fechaActual,
            "horaini":"08:00:00",
            "horafin":"20:00:00"
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        pruebaLoki : pruebaLoki
    })
    vm.init();
    function init(){


        // Hay que poner la fecha del día
        vm.verDatos();
    }

    function pruebaLoki() {

    }
    // Ver los bloqueos que tenemos
    function verDatos() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        //vm.rd.id = vm.fd.rec.id ;
        Bloqueos.verBloqueos(vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_d: $filter('evofecha')(dato.fechaini)});
            });

        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {

        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p>¿ Quiere borrar este bloqueo ?</p>\
                <div class="ngdialog-buttons" style="text-align:right;">\
                    <button type="button" class="btn btn-cancelar" ng-click="closeThisDialog(0)">Cancelar</button>\
                                   <button type="button" class="btn" ng-click="confirm()">Borrar Bloqueo</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            console.log('Podemos borrar');
            vm.rd.id     = registro.id ;
            Bloqueos.borrarBloqueo(vm.rd).then(function(data){
                verDatos();
            },function(error){
                console.log(error);
            });
        });

       /* */
    }

    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-bloqueo',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-bloqueo',vm.fd.registro);
    }

    $scope.$on('grabando-registro-bloqueo', function (event,data) {
        // OJO
        vm.verDatos();
    });
}


;
angular.module('app').directive('registroBloqueo', registroBloqueo);
function registroBloqueo() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/bloqueos-registro.html',
        controller: bloqueoController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;
    function link(scope, element, attrs, vm) {
    }
};
bloqueoController.$inject=['$scope','$filter','$log','Bloqueos','EvoratecApi'];
function bloqueoController($scope,$filter,$log,Bloqueos,EvoratecApi){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.date = "2014-01-01";
    $scope.$on('abre-registro-bloqueo', function (event,data) {
        vm.fd = {};
        vm.fd = angular.copy(data);
        vm.abrir();
    });

    init();
    function init() {
        // Aquí recibimos la orden de abrir el checkout
    }
    function abrir(){
        // Incializamos los datos antes de abrir
        vm.horainitemp = new Date(1970, 0, 1, vm.fd.horaini.substr(0, 2), vm.fd.horaini.substr(3, 2), 0);
        vm.horafintemp = new Date(1970, 0, 1, vm.fd.horafin.substr(0, 2), vm.fd.horafin.substr(3, 2), 0);
        // abrimos la ventana
        vm.abreVentana = true ;
    }
    function grabar(){
        vm.rd = angular.copy(vm.fd);
        // convertimos las horas temporales en cadenas para poder grabarlas.
        vm.rd.horaini  = $filter('date')(vm.horainitemp,'HH:mm:ss');
        vm.rd.horafin  = $filter('date')(vm.horafintemp,'HH:mm:ss');

        vm.rd.fechaini = $filter('date')(vm.rd.fechaini, 'yyyy-MM-dd');

        delete(vm.rd.fecha);


        var evo = new EvoratecApi.api();
        evo.llama('/admin/grabar-bloqueo',vm.rd).then(function(data){
            if (data.resultado == 'ko') {
                //todoevo poner el control de errores como en ofertas
               /* _.each(data.errores, function(errores,key) {
                    _.each(errores, function(e) {
                        vm.formDatos[key].$dirty = true;
                        vm.formDatos[key].$setValidity(e.error, false);
                    });
                });*/
                return ;
            }
            vm.abreVentana = false ;
            $scope.$emit('grabando-registro-bloqueo');

        },function (error) {
            console.log('error');
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-bloqueo', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        vm.fd.recorrido = 1 ;

        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });
}
;TarifasFactory.$inject=['$http','$q','$window'];
function TarifasFactory($http,$q,$window) {
    var baseUrl = "api";
    // añadimos las funciones al servicio que es lo que devolvemos
    var Servicio = {
        grabarTarifa : grabarTarifa,
        verTarifas : verTarifas,
        borrarTarifa : borrarTarifa
    } ;

    return Servicio ;
    // vemos las salidas del día y el tramo horario
    function verTarifas(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ver-tarifas',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data) // deberíamos de eliminar el jquery
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    };

    function borrarTarifa(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/borrar-tarifa',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    };

    // Ojo cambiar grabar pedido como verVentas.
    function grabarTarifa(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/graba-tarifa',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: datos
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    }
}
angular.module('app').factory('Tarifas', TarifasFactory);
/**
 * Created by evoratec on 25/02/15.
 */
;angular
    .module('app')
    .directive('listaTarifas', listaTarifas);
listaTarifas.$inject=['$window','Tarifas','$templateCache'];
function listaTarifas($window,Tarifas){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tarifas-lista.html', // OJO
        scope: {
        },
        link: linkFunc,
        controller: listaTarifasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
listaTarifasController.$inject = ['Tarifas','$filter','$scope'];
function listaTarifasController(Tarifas,$filter,$scope) {
    // definimos variables
    var vm = this;
    var fechaActual = new Date().toISOString().substr(0, 10);

    vm.fd = {
        // registro de tarifa limpio
        registro : {
            "id":0,
            "tarifa":"",
            "fechaini":fechaActual,
            "fechafin":fechaActual,
            "horaini":"08:00:00",
            "horafin":"20:00:00",
            "preciogf": 0,
            "preciobuggie":0,
            "descripcion":""
        },
        datos: {}, // datos de las tarifas.
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro
    })
    vm.init();
    function init(){
        // Hay que poner la fecha del día
        vm.verDatos();
    }
    // Ver los Tarifas que tenemos
    function verDatos() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        //vm.rd.id = vm.fd.rec.id ;
        Tarifas.verTarifas(vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });

        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {
        vm.rd.id     = registro.id ;
        Tarifas.borrarTarifa(vm.rd).then(function(data){
            verDatos();
        },function(error){
            console.log(error);
        });
    }
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-tarifa',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-tarifa',vm.fd.registro);
    }
    $scope.$on('grabando-registro-tarifa', function (event,data) {
        // OJO
        vm.verDatos();
    });
}



;
angular.module('app').directive('registroTarifa', registroTarifa);
function registroTarifa() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/tarifas-registro.html',
        controller: TarifaController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;
    function link(scope, element, attrs, vm) {
    }
};
TarifaController.$inject=['$scope','$filter','$log','Tarifas','EvoratecApi'];
function TarifaController($scope,$filter,$log,Tarifas,EvoratecApi){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};

    vm.date = "2014-01-01";

    $scope.$on('abre-registro-tarifa', function (event,data) {
        vm.fd = angular.copy(data);
        // creamos variable temporal
        vm.abrir();
    });

    init();
    function init() {
        // Aquí recibimos la orden de abrir el checkout
    }
    function abrir(){
        // Incializamos los datos antes de abrir
        vm.horainitemp = new Date(1970, 0, 1, vm.fd.horaini.substr(0, 2), vm.fd.horaini.substr(3, 2), 0);
        vm.horafintemp = new Date(1970, 0, 1, vm.fd.horafin.substr(0, 2), vm.fd.horafin.substr(3, 2), 0);
        // abrimos la ventana
        vm.abreVentana = true ;
    }
    function grabar(){

        // quitamos los campos temporales
        delete vm.fd.fecha_f ;
        delete vm.fd.fecha_i ;

        // convertimos las horas temporales en cadenas para poder grabarlas.
        vm.fd.horaini  = $filter('date')(vm.horainitemp,'HH:mm:ss');
        vm.fd.horafin  = $filter('date')(vm.horafintemp,'HH:mm:ss');

        vm.fd.fechaini = $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd');
        vm.fd.fechafin = $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd');

        vm.rd = angular.copy(vm.fd);
        // enviamos los datos al controller para que actualice el
        var evo = new EvoratecApi.api();
        evo.llama('/admin/graba-tarifa',vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                vm.formDatos.$invalid = true ;
                return ;
            }
            vm.abreVentana = false ;
            $scope.$emit('grabando-registro-tarifa');

        },function (error) {
            console.log('error');
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        vm.abreVentana = false ;
    }

    // Registro nuevo
    $scope.$on('nuevo-registro-tarifa', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.

        vm.fd = {} ;
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });
}

;OfertasFactory.$inject=['$http','$q','$window'];
function OfertasFactory($http,$q,$window) {
    var baseUrl = "api";
    // añadimos las funciones al servicio que es lo que devolvemos
    var Servicio = {
        grabarOferta : grabarOferta,
        verOfertas : verOfertas,
        borrarOferta : borrarOferta
    } ;

    return Servicio ;
    // vemos las salidas del día y el tramo horario
    function verOfertas(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ofertas/ver-ofertas',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data) // deberíamos de eliminar el jquery
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    };


    function borrarOferta(data) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ofertas/borrar-oferta',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: jQuery.param(data)
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    };

    // Ojo cambiar grabar pedido como verVentas.
    function grabarOferta(datos) {
        var defer = $q.defer();
        $http({
            method: "post",
            url: baseUrl + '/admin/ofertas/graba-oferta',
            headers: {'Content-Type': 'application/x-www-form-urlencoded'},
            data: datos
        }).success(function (data) {
            defer.resolve(data);
        }).error(function (data) {
            defer.reject(data);
        })
        return defer.promise;
    }
}
angular.module('app').factory('Ofertas', OfertasFactory);
/**
 * Created by evoratec on 25/02/15.
 */
;angular.module('app').directive('listaOfertas', listaOfertas);
function listaOfertas(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/ofertas-lista.html', // OJO
        scope: {
        },
        link: linkFunc,
        controller: listaOfertasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
listaOfertasController.$inject = ['Ofertas','$filter','$scope'];
function listaOfertasController(Ofertas,$filter,$scope) {
    // definimos variables
    var vm = this;
    var fechaActual = new Date().toISOString().substr(0, 10);

    vm.fd = {
        // registro de Oferta limpio
        registro : {
            "id":0,
            "codigo":"",
            "fechaini":fechaActual,
            "fechafin":fechaActual,
            "horaini":"08:00:00",
            "horafin":"20:00:00",
            "precio": 0,
            "cantidadgf":0,
            "cantidadbuggies":0,
            "descripcion":""
        },
        datos: {}, // datos de las Ofertas.
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro
    })
    vm.init();
    function init(){
        // Hay que poner la fecha del día
        vm.verDatos();
    }
    // Ver los Ofertas que tenemos
    function verDatos() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        //vm.rd.id = vm.fd.rec.id ;
        Ofertas.verOfertas(vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
            console.log(vm.fd.datos);
        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {
        vm.rd.id     = registro.id ;

        Ofertas.borrarOferta(vm.rd).then(function(data){
            verDatos();
        },function(error){
            console.log(error);
        });
    }
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-oferta',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-oferta',vm.fd.registro);
    }
    $scope.$on('grabando-registro-oferta', function (event,data) {
        // OJO
        vm.verDatos();
    });
}



;

angular.module('app').directive('registroOferta', registroOferta);
function registroOferta() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/ofertas-registro.html',
        controller: OfertaController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;
    function link(scope, element, attrs, vm) {
    }
};
OfertaController.$inject=['$scope', '$filter','$log','Ofertas'];
function OfertaController($scope,$filter,$log,Ofertas){
    // valores seleccionados con los select
    var vm = this ;
    
    vm.horainitemp = new Date();
    
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};

    vm.date = "2014-01-01";

    $scope.$on('abre-registro-oferta', function (event,data) {

        vm.fd = {};
        vm.fd = angular.copy(data);
        // creamos variable temporal
        vm.abrir();
    });

    init();
    function init() {
        // Aquí recibimos la orden de abrir el checkout
    }
    function abrir(){
        // Incializamos los datos antes de abrir
        vm.horainitemp = new Date(1970, 0, 1, vm.fd.horaini.substr(0, 2), vm.fd.horaini.substr(3, 2), 0);
        vm.horafintemp = new Date(1970, 0, 1, vm.fd.horafin.substr(0, 2), vm.fd.horafin.substr(3, 2), 0);
        // abrimos la ventana
        vm.abreVentana = true ;
    }
    function grabar(){

        // convertimos las horas temporales en cadenas para poder grabarlas.
        vm.fd.horaini  = $filter('date')(vm.horainitemp,'HH:mm:ss');
        vm.fd.horafin  = $filter('date')(vm.horafintemp,'HH:mm:ss');

        delete vm.fd.fecha_i;
        delete vm.fd.fecha_f ;

        vm.fd.fechaini = $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd');
        vm.fd.fechafin = $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd');

        // enviamos los datos al controller para que actualice el
        Ofertas.grabarOferta(vm.fd).then(function (data) {
            if (data.resultado == 'ko') {
                // todoevo implementar control errores
                /*_.each(data.errores, function(errores,key) {
                    _.each(errores, function(e) {
                        vm.formDatos[key].$dirty = true;
                        vm.formDatos[key].$setValidity(e.error, false);
                    });
                });*/
                // vm.formDatos.$invalid = true ;

                // visualizo los errores
                return ;
            }
            vm.abreVentana = false ;
            $scope.$emit('grabando-registro-oferta');

        },function (error) {
            console.log('error');
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        vm.abreVentana = false ;
    }

    // Registro nuevo
    $scope.$on('nuevo-registro-oferta', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });
}

;angular.module('app').directive('evoadminReservas', evoadminReservas);
evoadminReservas.$inject=['Reservas'];
function evoadminReservas(Reservas){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/reservas-lista.html', // OJO
        scope: {
        },
        link: linkFunc,
        controller: evoadminReservasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
evoadminReservasController.$inject = ['Reservas','$filter','$scope'];
function evoadminReservasController(Reservas,$filter,$scope) {
    // definimos variables
    var vm = this;
    var fechaActual = new Date().toISOString().substr(0, 10);

    // registro vacío. A lo mejor es conveniente hacelro con un servicio
    vm.registro_reserva = {
            aceptacondiciones : 1,
            codigotransaccion : "",
            email:"",
            estadopago:"",
            fechareserva: fechaActual,
            formapago:"",
            id: 0,
            idioma :"es_ES",
            idreserva :"",
            nombre:"",
            pais:"España",
            recordardatos:0,
            tfno:"",
            total:0,
            totalbruto: 0,
            totaldto: 0,
            admin: 1
    };
    var anoActual = new Date().toISOString().substr(0, 4);
    vm.fd = {
        registro : {
            "id":'0',
            "fechareserva": fechaActual,
            "recorrido":"1"
        },
        datos: {},
        pageNumber : 1,
        fechaIni : anoActual+'-01-01',
        fechaFin : anoActual+'-12-31',
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro

    })

    vm.init();
    function init(){
        // Hay que poner la fecha del día
        vm.verDatos();
    }


    // Ver la lista de reservas efectuadas
    function verDatos() {
        vm.rd.fechaIni = $filter('date')( vm.fd.fechaIni, 'y-MM-dd');
        vm.rd.fechaFin = $filter('date')( vm.fd.fechaFin, 'y-MM-dd');
        //vm.rd.id = vm.fd.rec.id ;
        Reservas.verListaReservas(vm.rd).then(function(data){
            if (data.datos.length > 0 ) {
                vm.fd.datos = data.datos ;


                vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                    return _.extend({}, dato, {fecha_d: $filter('evofecha')(dato.fechareserva)});
                });


            } else
            {
                vm.fd.datos = [{}] ;
            }

        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {
        vm.rd.id     = registro.id ;
        Reservas.borrarReserva(vm.rd).then(function(data){
            verDatos();
        },function(error){
            console.log(error);
        });
    }

    function verRegistro(registro) {

        $scope.$broadcast('admin-ver-reserva',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('admin-nueva-reserva',vm.registro_reserva);
    }

    $scope.$on('admin-grabando-reserva', function (event,data) {

        vm.verDatos();
    });

}

;
angular.module('app').directive('registroReserva', registroReserva);
function registroReserva() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/reservas/reservas-registro-nuevo.html',
        controller: registroReservaController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;

    function link(scope, element, attrs, vm) {}
};

registroReservaController.$inject=[ '$scope','$filter','$log','Reservas','blockUI','EvoratecApi','Evoratec',
    '$routeParams','$location','ngDialog','$timeout','$rootScope'];
function registroReservaController($scope,$filter,$log,Reservas,blockUI,EvoratecApi,Evoratec,$routeParams,$location,ngDialog,$timeout,$rootScope){
    // valores seleccionados con los select
    var vm = this ;

    var fechaActual = new Date().toISOString().substr(0, 10);

    _.extend(vm,{
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        leeDatosReserva : leeDatosReserva,
        verSalidas : verSalidas,
        hazReserva : hazReserva,
        verSalidasFecha : verSalidasFecha,
        calculaTotal : calculaTotal,
        borrarHoraReserva : borrarHoraReserva,
        borrarHoraReservaDef : borrarHoraReservaDef,
        grabarReserva : grabarReserva,
        actualizarReserva : actualizarReserva,
       // verDetalleReserva : verDetalleReserva,
        modificarSalida : modificarSalida,
        grabarSalida : grabarSalida,
        cancelarModSalida : cancelarModSalida,
        imprimirConReserva : imprimirConReserva,
        imprimirConReservaSinPrecios : imprimirConReservaSinPrecios,
        buscarClientes : buscarClientes,
        generaAlbaran : generaAlbaran,
        leeCliente : leeCliente,
        leerTarifas: leerTarifas,

        asignarTarifa : asignarTarifa,

        generaAlbaranesReserva : generaAlbaranesReserva,
        confirmaGeneraAlbaran :confirmaGeneraAlbaran,
        confirmaGeneraAlbaranes : confirmaGeneraAlbaranes,
        facturarGreenfees : facturarGreenfees,
        facturarGreenfeesConfirmado : facturarGreenfeesConfirmado,

        marcarTodos : marcarTodos,
        albaranGreenfees : albaranGreenfees
    });
    vm.actualizando = false ;

    vm.abreVentana = false ;
    vm.rd = {
        fecha : fechaActual,
        tramoHorario : 0,
        fly : 1,
        jugadores : 0,
        idreserva : '',
        reserva : {},
        presupuesto: []
    };

    vm.dreservaSel = {
        id : 0 
    }
    vm.tarifas = []
    vm.tarifa = { id : 0}

    vm.verDreserva = function(item) {
        if (vm.dreservaSel.id === item.id) {
            vm.dreservaSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.dreservaSel.id = item.id ;
            // todo Aqui leemos los datos de la dreserva. Ahora mismo tenemos los greenfees de toda la reserva.
            //vm.leeDocumento(item.id);
        }

    }


    vm.sd = {
        fecha : fechaActual
    }

    vm.clientes = [];
    vm.cliente = {
        id: 0
    };


    vm.fd = {
        id: 0,
        fecha : fechaActual,
        fly:1,
        modsalida : false ,
        idreserva:"",
        jugadores:0,
        dreservas: {}, // detalle de las salidas de la reserva
        reserva : {

        },
        presupuesto: [],
        numJugadores : 1,
        buggies: 0
    };

    function buscarClientes() {
        console.log('busca cliente')
        $scope.$broadcast('ventas:buscar-clientes')
    }
    $scope.$on('clientes:selecciona-cliente',function(evento,cliente){
        //vm.ticket.cliente_id = cliente.id ; todoevo aquí selecciono el cliente de la reserva
        vm.cliente = cliente ;
        vm.fd.reserva.cliente_id = vm.cliente.id ;
    });

    function calculaTotal(){
        vm.fd.reserva.total = 0 ;
        vm.fd.reserva.totalbruto = 0 ;
        vm.fd.reserva.totaldto = 0 ;
        _.each(vm.fd.presupuesto,function(presupuesto) {
            vm.fd.reserva.totalbruto += parseFloat(presupuesto.total) ;
        });
        _.each(vm.fd.dreservas,function(dreserva) {
            vm.fd.reserva.totalbruto += parseFloat(dreserva.total) ;
        });

        if (vm.fd.reserva.formapago == 'PA' || vm.fd.reserva.formapago == 'TC' ) {
            vm.fd.reserva.totaldto = vm.fd.reserva.totalbruto * 0.1;
        }
        console.log(vm.fd.reserva);
        vm.fd.reserva.total = vm.fd.reserva.totalbruto - vm.fd.reserva.totaldto ;

    }

    $scope.$on('admin-ver-reserva', function (event,data) {
        vm.cliente = { id : 0};
        vm.fd.reserva = {};
        vm.fd.reserva = angular.copy(data);
        vm.leeDatosReserva();
        vm.tarifas = []
        vm.tarifa = { id : 0}
        $timeout(function() {
            vm.abrir();
          },300);
        
    });

    $scope.$on('admin-ver-reserva-dia', function (event,data) {
        vm.tarifas = []
        vm.tarifa = { id: 0}

        vm.fd.reserva.idreserva = data.idreserva;
        vm.fd.fecha = data.fecha ;
        vm.leeDatosReserva();
        $timeout(function() {
            vm.abrir();
          },300);
    });

    $scope.$on('admin-nueva-reserva', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.fd.reserva = angular.copy(data);
        vm.fd.fecha = data.fechareserva ;
        vm.fd.presupuesto = [];
        vm.fd.dreservas = [];
        vm.albaranes = [];
        vm.cliente = {id:0} ;

        vm.verSalidas();

        // El registro lo inicializamos en la lista que siempre está vacío
        // copiamos los datos iniciales.
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    vm.init();

    function init() {
        if ($routeParams.id > '') {
            vm.fd.fecha = '' ; // todoevo poner la fecha de la reserva
            vm.esPopUp = false ;
            vm.fd.reserva.idreserva = $routeParams.id;
            vm.leeDatosReserva();
        } else {
            vm.esPopUp = true ;
        }
    }

    function abrir(){
        // abrimos la ventana
        vm.abreVentana = true ;
        $scope.$broadcast('resize-ventana');
    }

    function leeDatosReserva() {

        vm.rd = {};
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        vm.albaranes = [];
        Reservas.leerReserva(vm.rd).then(function(data){
            vm.fd.dreservas = data.datos ; // datos de los detalles de la reserva
            vm.fd.reserva   = data.datoscli[0] ; // datos del cliente
            vm.fd.presupuesto = []; // Vacío, lo utilizamos para
            vm.albaranes = data.datosalb;
            vm.greenfees = data.greenfees ;
            vm.leeCliente();
            vm.verSalidas();
            vm.leerTarifas('',vm.fd.reserva.tarifa_id);
        },function(error){
            console.log(error);
        });
        // todoevo error en cáculo hay que esperar un poquito
        vm.calculaTotal();
    }

    // Ver las salidas
    function verSalidas() {
        vm.rd = {};
        vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        vm.rd.admin = 1 ;

        Reservas.verSalidas(vm.rd).then(function(data){
            vm.fd.recorridos = data ;
        },function(error){
            console.log(error);
        });

        vm.calculaTotal();
    }
    function verSalidasFecha(reserva) {
        vm.fd.fecha = reserva.fecha ;
        verSalidas();
    }


    function imprimirConReserva() {
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        var evo = new EvoratecApi.api();
        evo.llama('/admin/imprimir-confirmacion-reserva',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            //downloadLink.attr('href',data.link);
            // downloadLink.attr('download', vm.fd.reserva.idreserva+'.pdf');
            downloadLink.attr('href',data.link);
            // downloadLink.attr('target','_blank'); // para verlo en pantalla
            downloadLink.attr('download', vm.fd.reserva.idreserva+'.pdf');
            downloadLink[0].click();
            console.log(downloadLink)
            downloadLink = null ;
        },function(error){
            console.log(error);
        });

    }

    function imprimirConReservaSinPrecios() {
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        var evo = new EvoratecApi.api();
        evo.llama('/admin/imprimir-confirmacion-reserva-sin-pre',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);

            downloadLink.attr('target','_blank'); // para verlo en pantalla
            console.log(downloadLink)
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });


    }

    vm.entraGF = function(item) {
        
    }
    vm.leerAbonos = function (clave,gf) {
        if (!clave) return ;
        vm.abono = {};
        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/buscar',vm.rd).then(function(data){
            vm.abonos = data.datos;
            if (vm.abonos.length == 1) {
                gf.nombre_jugador = vm.abonos[0].nombre_jugador
                vm.abono = vm.abonos[0];
            }
        },function(error){
            // todoevo visualizar errores
            console.log(error);
        });
    }


    // todoevo aqui nos tenemos que traer el número de id si no tenemos uno

    function hazReserva(fly) {

        var mensajes = [];
        vm.hayErrores= false ;
        if (vm.fd.nombre_jugador === '') {
            mensajes.push('El nombre no puede quedarse vacío');
            vm.hayErrores = true ;
        }

        if (vm.tarifa.id < 1) {
            mensajes.push('Introduce una tarifa');
            vm.hayErrores = true ;
        }

        if (vm.hayErrores) {
            vm.datos = {
                mensajes: mensajes,
                cabecera: 'Errores en los datos'
            };
            var confirmacion = ngDialog.openConfirm({
                template: 'views/admin/mensajes-multiples-error.html',
                data: vm.datos
            });
            confirmacion.then(function() {});

        }
        if (vm.hayErrores) {
            vm.hayErrores = false ;
            return ;
        }



        vm.rd.fecha     = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.fly       = fly.fly  ;
        vm.rd.jugadores = vm.fd.numJugadores ;
        vm.rd.buggies   = vm.fd.buggies ;
        vm.rd.recorrido = fly.recorrido ;
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        vm.rd.modsalida = vm.fd.modsalida ;
        vm.rd.idreservahora = '' ;
        vm.rd.tarifa_id = vm.tarifa.id ;

        if (vm.fd.modsalida){
            vm.rd.idreservahora = vm.fd.idreservahora ;
        }

        vm.rd.admin     = 1 ;

        Reservas.verPresupuesto(vm.rd).then(function(data){
            if (data.estado == 'ok') {

                if(!vm.fd.modsalida) {
                    vm.fd.presupuesto.push(data.presupuesto) ;
                    vm.fd.reserva.idreserva = data.presupuesto.idreserva ;
                } else {
                    vm.sd.jugadores = data.presupuesto.jugadores ;
                    vm.sd.buggies   = data.presupuesto.buggies ;
                    vm.sd.total = data.presupuesto.total ;
                    vm.sd.recorrido = data.presupuesto.recorrido ;
                    vm.sd.fecha = $filter('date')( data.presupuesto.fecha, 'dd-MM-y');
                    vm.sd.hora = data.presupuesto.hora ;
                    vm.sd.fly = data.presupuesto.fly ;
                }
            }
            vm.verSalidas();
        },function(error){
            console.log(error);
        });
    }



    vm.actualizaAbonoGF = function(gf) {
        console.log(gf)
       vm.leerAbonos(gf.abono,gf)     
      
    }

    function borrarHoraReserva(reserva) {
        vm.rd.idreservahora = reserva.idreservahora ;

        var index = vm.fd.presupuesto.indexOf(reserva)
        console.log(index);
        Reservas.borrarHoraReserva(vm.rd).then(function(data){
            if (data.resultado = 'ok') {
                vm.fd.presupuesto.splice(index, 1);
                console.log(data.resultado);
                verSalidas();
            }
        },function(error){
            console.log(error);
        });
    }

    function borrarHoraReservaDef(reserva) {
        vm.rd.idreservahora = reserva.idreservahora ;
        var index = vm.fd.presupuesto.indexOf(reserva)


        Reservas.borrarHoraReservaDef(vm.rd).then(function(data){
            vm.fd.presupuesto.splice(index, 1);
            vm.leeDatosReserva();
        },function(error){
            console.log(error);
        });
    }
    function grabarReserva(){
        blockUI.start('Procesando');
        vm.rd = {};
        delete(vm.fd.reserva.greenfees)
        vm.rd.reserva = angular.copy(vm.fd.reserva);
        vm.rd.reserva.tarifa_id = vm.tarifa.id ;
        vm.rd.presupuesto = angular.copy(vm.fd.presupuesto);

        console.log(vm.rd);
        var evo = new EvoratecApi.api();
        evo.llama('/admin/grabar-reserva',vm.rd).then(function(data){    
            if (data.resultado == 'ko') {
                /*_.each(data.errores, function(errores,key) {
                    _.each(errores, function(e) {
                        vm.formData[key].$dirty = true;
                        vm.formData[key].$setValidity(e.error, false);
                    });
                });*/

                blockUI.stop();
                // visualizo los errores
                return ;
            }
            blockUI.stop();

            if (vm.actualizando) {
                vm.actualizando = false ;
                vm.leeDatosReserva();
                return ;
            }
            $scope.$emit('admin-grabando-reserva');
            vm.cancelar();
        },function (error) {
            blockUI.stop();
            console.log('error');
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }

    function actualizarReserva() {
        vm.actualizando = true ;
        vm.grabarReserva();
    }
    function cancelar(){
        vm.abreVentana = false ;
        if ($routeParams.id > '') {
            $location.path('/reservas');
        }
    }

    function modificarSalida(salida) {
        vm.sd = angular.copy(salida);

        vm.fd.modsalida = true ;

        // fecha del formulario
        vm.fd.fecha = salida.fecha ;


        // cambiamos el formato de la fecha de la salida para que se vea en cristiano
        vm.sd.fecha = $filter('date')(vm.sd.fecha,'dd-MM-yyyy');

        vm.fd.idreservahora = salida.idreservahora ;
        vm.fd.numJugadores = salida.jugadores ;
        vm.fd.buggies = salida.buggies ;

        vm.verSalidas();
    }
    function cancelarModSalida() {


        vm.fd.idreservahora = '' ;
        vm.rd.idreservahora = vm.sd.idreservahora ;
        vm.sd = {};

        Reservas.cancelarSalida(vm.rd).then(function (data) {
            if (data.resultado == 'ko') {
                blockUI.stop();
                //todoevo visualiza errores
                return ;
            }
            blockUI.stop();
            vm.fd.modsalida = false ;
            vm.actualizarReserva();
        },function (error) {
            blockUI.stop();
            console.log('error');
        });
    }

    function grabarSalida(){

        //vm.sd es del detalle de la salida.

        // cambio la fecha de la salida para que se grabe bien pasandola a formato mysql.
        vm.sd.fecha =  $filter('evofechamysql')(vm.sd.fecha);

        vm.sd.modsalida = vm.fd.modsalida;


        Reservas.grabaDetalleReserva(vm.sd).then(function (data) {
            if (data.resultado == 'ko') {
                _.each(data.errores, function(errores,key) {
                    _.each(errores, function(e) {
                        vm.formData[key].$dirty = true;
                        vm.formData[key].$setValidity(e.error, false);
                    });
                });
                vm.formData.$invalid = true ;
                vm.fd.idreservahora = '' ;
                // visualizo los errores
                return ;
            }
            vm.fd.modsalida = false ;
            vm.actualizarReserva();
         //   $scope.$emit('grabando-detalle-reserva');

        },function (error) {
            console.log('error');
        });
    }

    function confirmaGeneraAlbaran() {
        Evoratec.mensaje('¿ Quiere generar el albarán de esta reserva ?', 'Generar Albarán').then(function () {
            vm.generaAlbaran();
        });
    }

    function generaAlbaran(){
        vm.albaranes = [];
        vm.rd = {
            cliente_id : vm.cliente.id,
            reserva_id : vm.fd.reserva.id,
            referencia_reserva : vm.fd.reserva.idreserva ,
            fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd'),
            dreserva   :  vm.fd.dreservas,
            total       : vm.fd.reserva.total,
            nombre_reserva : vm.fd.reserva.nombre
        }
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/nuevo',vm.rd).then(function(data){
            vm.albaranes = data.datos ;
            vm.fd.reserva.albaran_id = data.datos.id ;
            vm.actualizarReserva();
        });
    }
    function confirmaGeneraAlbaranes() {
        Evoratec.mensaje('¿ Quiere generar los albaranes de esta reserva ?','Generar Albaranes').then(function () {
            vm.generaAlbaranesReserva();
        });
    }

    function generaAlbaranesReserva(){
        vm.rd = {
            cliente_id : vm.cliente.id,
            reserva_id : vm.fd.reserva.id,
            referencia_reserva : vm.fd.reserva.idreserva ,
            fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd'),
            dreserva   :  vm.fd.dreservas,
            total       : vm.fd.reserva.total,
            nombre_reserva : vm.fd.reserva.nombre
        }
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/generar-albaranes-reserva',vm.rd).then(function(data){

            // todoevo comprobar errores
            vm.albaranes = data.datos ;
            vm.fd.reserva.albaran_id = 9999999 ;
            vm.actualizarReserva();
        });
    }

    function leeCliente(){
        vm.rd = {
            id : vm.fd.reserva.cliente_id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/ver',vm.rd).then(function(data){
            if (!_.isEmpty(data.datos) ) vm.cliente = data.datos ;
            console.log(data)
        });
    }

    function asignarTarifa() {
        $scope.$broadcast('tarifas-golf-buscar');

    }
    $scope.$on('tarifas-golf:seleccionar',function(event,data){
        vm.flySel = { fly : 0 }
        vm.rd = {};
        // todoevo poner los mensajes bien.
        // cogemos los greenfees que no están facturas o no tienen abono.
        // los abonos cogen su propia tarifa.

        vm.rd.greenfees = _.filter(vm.greenfees, function(o) {
            if (o._selected && o.ticket_id == 0 && o.albaran_id == 0 && o.abono_id == 0) return true ;
        });
        vm.rd.tarifa = data ; // datos de la tarifa que hemos elegido.
        vm.rd.idreserva = vm.fd.reserva.idreserva ;
        vm.rd.cliente = vm.cliente ;

        if (vm.rd.greenfees.length > 0) {
            console.log(vm.rd);
            var evo = new EvoratecApi.api();
            evo.llama('/reservas/actualiza-greenfees-reserva',vm.rd).then(function(data){
                vm.greenfees = data.greenfees ;
            });
        } else {
            vm.rd = {};
            alert('No tienes greenfees para cambiar de tarifa.')
        }
    });


    function marcarTodos(valor) {
        vm.greenfees = _.map(vm.greenfees, function(o) {
            o._selected = valor ;
            return o ;
        });
    }

    function facturarGreenfees() {
        Evoratec.mensaje('¿ Está seguro de generar un ticket de estos greenfees ?','Generar Ticket').then(function () {
            vm.facturarGreenfeesConfirmado();
        }).catch(function(error){});
    }

    function facturarGreenfeesConfirmado() {
        vm.flySel = { fly : 0 }
        vm.rd = {};
        vm.rd = {
            reserva    : vm.fd.reserva,
            fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd')
        }
        // todoevo. Comprobamos datos primero
        vm.rd.reserva.greenfees = _.filter(vm.greenfees, function(o) {
            if (o._selected && o.ticket_id == 0 && o.tarifa_id != 0) return true ;
        });

        if (vm.rd.reserva.greenfees.length > 0) {
            vm.rd.reserva.dreservas = angular.copy(vm.dreservas);
            vm.rd.reserva.nombre_reserva = vm.rd.reserva.nombre ;
            var evo = new EvoratecApi.api();
            evo.llama('/tickets/facturar-greenfees-reserva',vm.rd).then(function(data){
                vm.ticket_id = data.datos.id ;
                $rootScope.origen = 'reservas';
                $location.path('/ticket/'+vm.ticket_id);
            });
        } else {
            Evoratec.mensajeError('No hay greenfees para facturar','Aceptar').then(function () {
                vm.rd = {};
            }).catch(function(error){
                console.log(error)
            });
        }

    }



    function albaranGreenfees() {

        var mensajes = [];
        vm.hayErrores= false ;

        if (vm.cliente.id < 1) {
            mensajes.push('Introduce un cliente');
            vm.hayErrores = true ;
        }

        if (vm.hayErrores) {
            vm.datos = {
                mensajes: mensajes,
                cabecera: 'Errores en los datos'
            };
            var confirmacion = ngDialog.openConfirm({
                template: 'views/admin/mensajes-multiples-error.html',
                data: vm.datos
            });
            confirmacion.then(function(error) {
                console.log(error)
            });

        }
        if (vm.hayErrores) {
            vm.hayErrores = false ;
            return ;
        }

        Evoratec.mensaje('¿ Está seguro de generar un albarán de estos greenfees ?','Generar Albarán').then(function () {
            vm.flySel = { fly : 0 }
            vm.rd = {};
            vm.rd = {
                reserva    : vm.fd.reserva,
                fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd')
            }

            vm.rd.reserva.greenfees = _.filter(vm.greenfees, function(o) {
                if (o._selected && o.ticket_id == 0 && o.albaran_id == 0 && o.essocio == 0 && o.tarifa_id != 0 && o.cliente_id > 0) return true ;
            });

            if (vm.rd.reserva.greenfees.length > 0) {
                vm.rd.reserva.dreservas = angular.copy(vm.dreservas);
                vm.rd.reserva.nombre_reserva = vm.rd.reserva.nombre ;
                var evo = new EvoratecApi.api();
                evo.llama('/albaranes/generar-albaran-greenfees',vm.rd).then(function(data){
                    vm.albaran_id = data.datos.id ;
                    vm.leeDatosReserva();
                });
            } else {
                Evoratec.mensajeError('No hay greenfees para facturar','Aceptar').then(function () {
                    vm.rd = {};
                });
            }
        }).catch(function(error){
            console.log(error)
        });
    }

    function leerTarifas(clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave ;
        vm.rd.id = id ;

        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.tarifas = data.datos;
            if (id > 0) {
                angular.copy(vm.tarifas[0], vm.tarifa);
            }
        });
    };

}

;angular.module('app').directive('evoadminDreservas', evoadminDreservas);
evoadminDreservas.$inject=['Reservas'];
function evoadminDreservas(Reservas){
    var directive = {
        restrict: 'EA',

        scope: {
        },
        link: linkFunc,
        controller: evoadminDreservasController,
        controllerAs: 'vm',
        bindToController: true, // because the scope is isolated,
        templateUrl: 'views/admin/dreservas-lista.html'

    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio Pedidos.
evoadminDreservasController.$inject = ['Reservas','$filter','$scope'];
function evoadminDreservasController(Reservas,$filter,$scope) {
    // definimos variables
    var vm = this;

    var fechaActual = new Date().toISOString().substr(0, 10);

    console.log(fechaActual);

    // registro vacío. A lo mejor es conveniente hacelro con un servicio
    vm.registro_reserva = {
        aceptacondiciones : 1,
        codigotransaccion : "",
        email:"",
        estadopago:"",
        fechareserva: fechaActual,
        formapago:"",
        id: 0,
        idioma :"es_ES",
        idreserva :"",
        nombre:"",
        pais:"España",
        recordardatos:0,
        tfno:"",
        total:0,
        totalbruto: 0,
        totaldto: 0,
        admin: 1
    };

    vm.fd = {
        registro : {
            "id":'0',
            "fechareserva": fechaActual,
            "recorrido":"1"
        },
        datos: {},
        pageNumber : 1,
        fechaIni : fechaActual,
        fechaFin : fechaActual
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        verHoy : verHoy

    })
    vm.init();
    function init(){
        // Hay que poner la fecha del día
        vm.verDatos();
    }

    function verHoy(){
        vm.fd.fechaIni = fechaActual ;
        vm.fd.fechaFin = fechaActual ;
        vm.verDatos();
    }

    // Ver la lista de reservas efectuadas
    function verDatos() {
        vm.rd.fechaIni = $filter('date')( vm.fd.fechaIni, 'y-MM-dd');
        vm.rd.fechaFin = $filter('date')( vm.fd.fechaFin, 'y-MM-dd');
        vm.rd.verLista = 1 ;
        //vm.rd.id = vm.fd.rec.id ;
        Reservas.verSalidasAdmin(vm.rd).then(function(data){
            if (data.datos.length > 0 ) {
                vm.fd.datos = _.map(data.datos, function(dato) {
                    return _.extend({}, dato, {fecha_d: $filter('evofecha')(dato.fecha)});
                });

            } else
            {
                // mandamos un array vacío de datos.
                vm.fd.datos = [{}] ;
            }
        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {
        vm.rd.id     = registro.id ;
        Reservas.borrarReserva(vm.rd).then(function(data){
            verDatos();
        },function(error){
            console.log(error);
        });
    }

    function verRegistro(dreserva) {
        $scope.$broadcast('admin-ver-reserva-dia',dreserva);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('admin-nueva-reserva',vm.registro_reserva);
    }

    $scope.$on('admin-grabando-reserva', function (event,data) {
        vm.verDatos();
    });

}

;registroDetalleReserva.$inject=['$compile', '$window','$filter','$log','Reservas','$templateCache'];
angular.module('app').directive('registroDetalleReserva', registroDetalleReserva);
function registroDetalleReserva() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/detalle-reserva-registro.html',
        controller: detalleReservaController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;
    function link(scope, element, attrs, vm) {
    }
};
function detalleReservaController($scope,$filter,$log,Reservas){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};

    $scope.$on('abre-detalle-reserva', function (event,data) {
        vm.fd = angular.copy(data);

        vm.fecha = new Date(vm.fd.fecha);
        console.log(vm.fd);
        // creamos variable temporal
        vm.abrir();
    });

    init();
    function init() {
        // Aquí recibimos la orden de abrir el checkout
    }
    function abrir(){
        // abrimos la ventana
        vm.abreVentana = true ;
    }
    function grabar(){

        // enviamos los datos al controller para que actualice el
        // convertimos la fecha
        vm.fd.fecha = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        console.log(vm.fd);

        Reservas.grabaDetalleReserva(vm.fd).then(function (data) {
            if (data.resultado == 'ko') {
                _.each(data.errores, function(errores,key) {
                    _.each(errores, function(e) {
                        vm.formData[key].$dirty = true;
                        vm.formData[key].$setValidity(e.error, false);
                    });
                });
                vm.formData.$invalid = true ;
                // visualizo los errores
                return ;
            }
            vm.abreVentana = false ;
            $scope.$emit('grabando-detalle-reserva');

        },function (error) {
            console.log('error');
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        vm.abreVentana = false ;
    }
}
;angular.module('app').directive('reservasAbonados', reservasAbonados);
function reservasAbonados() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/reservas/reservas-abonados.html',
        controller: reservasAbonadosController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

reservasAbonadosController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function reservasAbonadosController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){

    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.abonos = [];
    vm.abono = {};
    vm.producto = {
        precio : 0
    };

    vm.focoAbono = false ;
    vm.datos_greenfees = [];
    vm.seleccionarAbono = function(data) {
        // ojo.

        var estaAbono = _.findWhere(vm.datos_greenfees,{abono_id:data.datos.id});

        if (!_.isUndefined(estaAbono)) {
            return ;
        }

        var estaSocio = _.findWhere(vm.datos_greenfees,{cliente_id:data.datos.id});
        if (!_.isUndefined(estaSocio)) {
            return ;
        }

        // todoevo ojo
        if(data.tipo == 'A') {
            var greenfee = {
                cliente_id : data.datos.cliente_id,
                abono_id : data.datos.id,
                nombre_jugador : data.datos.nombre_jugador,
                abono : data.datos.abono,
                tarifa_id : data.datos.tarifa_id ,
                tarifa : data.datos.tarifa,
                preciogf : 0,
                preciobuggie : 0,
                hoyos : 18,
                essocio : 0,
                clienterel_id : 0
            }
            vm.abonos = [];
        }

        if(data.tipo == 'C') {
            var greenfee = {
                cliente_id : data.datos.id,
                abono_id : 0,
                nombre_jugador : data.datos.razon_social,
                abono : '',
                tarifa_id : 0 ,
                tarifa : '',
                preciogf : 0,
                preciobuggie : 0,
                hoyos : 18,
                essocio : 1,
                clienterel_id : 0
            }
            vm.abonos = [];
        }

        vm.datos_greenfees.push(greenfee);
    }

    // todoevo antes de seleccionar socio hay que comprobar si el socio ya está e la lista.
    // ojo. no comprobamos el cliente_id solamente, también tenemos que cmprobar el id del familiar del socio en todo caso.


    vm.leerAbonos = function (clave) {
        vm.abono = {};
        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/buscar-abonos-socios',vm.rd).then(function(data){
            vm.abonos = data.datos;
            if (vm.abonos.length == 1) {
                vm.seleccionarAbono(vm.abonos[0]);
            }
        },function(error){
            console.log(error);
        });
    }

    vm.leerSocios = function (clave) {
        vm.socio = {};
        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/leer-socios',vm.rd).then(function(data){
            vm.socios = data.datos;
            if (vm.socios.length == 1) {
                vm.seleccionarSocio(vm.socios[0]);
            }
        },function(error){
            console.log(error);
        });
    }


    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        vm.greenfees = [];
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
        $timeout(function(){
            vm.focoAbono = true ;
        },300);
    }
    vm.recalcular = function() {
    }
    function grabar(){

        /*vm.rd = {
            recorrido : vm.datosReserva.recorrido,
            fecha    : vm.datosReserva.fecha,
            abono_id : vm.abono.id ,
            cliente_id : vm.cliente.id ,
            fly : vm.datosReserva.fly,
            jugadores : vm.fd.numJugadores,
            tarifa : vm.tarifa,
            buggies : vm.fd.buggies, // TODO A ver como hacemos lo de los greenfees.
            nombre_jugador : vm.fd.nombre_jugador,
            tarifa_id   : vm.tarifa.id ,
            datos_greenfees : vm.datos_greenfees
        };*/

        // pasamos los datos para facturar y el abono
        vm.rd ={
            fecha : vm.datosReserva.fecha,
            recorrido : vm.datosReserva.recorrido,
            jugadores : vm.datos_greenfees.length,
            buggies : 0,
            fly : vm.datosReserva.fly,
            nombre_jugador : vm.datos_greenfees[0].nombre_jugador,
            datos_greenfees : vm.datos_greenfees 
        };
        var evo = new EvoratecApi.api();
        //vm.rd.fecha = $filter('date')(vm.documento.fecha, 'yyyy-MM-dd');
        evo.llama('/reservas/reserva-nueva', vm.rd).then(function (data) {
            $scope.$emit('reservas-abonados:grabar',vm.rd);
            vm.cancelar();
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('reservas-abonados:abrir', function (event,data) {
        console.log(data)
        vm.datos_greenfees = [];
        vm.datosReserva = angular.copy(data) ;
        vm.greenfees = [];
    
        vm.abrir();
    });
    $scope.$on('cierra-lista-abonos', function (event,data) {
        vm.abonos = [];
    });
    $scope.$on('cierra-lista-socios', function (event,data) {
        vm.socios = [];
    });



};
angular.module('app').directive('reservaExpress', reservaExpress);
function reservaExpress() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/reservas/reserva-express.html',
        controller: reservaExpressController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;

    function link(scope, element, attrs, vm) {
    }
};

reservaExpressController.$inject=[ '$scope','$filter','$log','blockUI','Reservas','EvoratecApi','Evoratec',
    '$routeParams','$location','ngDialog','$timeout','$http'];
function reservaExpressController($scope,$filter,$log,blockUI,Reservas,EvoratecApi,Evoratec,$routeParams,$location,ngDialog,$timeout,$http){
   
    var vm = this ;

    var fechaActual = new Date().toISOString().substr(0, 10);

    _.extend(vm,{
        cancelar : cancelar,
        abrir : abrir,
        grabarReserva : grabarReserva,
        buscarClientes : buscarClientes,
        leeCliente : leeCliente,

        leerTarifas : leerTarifas,
        leerClientes : leerClientes,
        leerPaises : leerPaises
    });

    vm.actualizando = false ;
    vm.abreVentana = false ;
    vm.reservaNueva = false ;
    vm.rd = {};

    vm.paises = [];


    vm.clientes = [];
    vm.cliente = {
        id: 0
    };

    vm.abono = { id : 0};
    vm.tarifa = { id : 0};

    vm.tarifas = [];


    vm.abonados = [];

    vm.fd = {
        fecha : fechaActual,
        fly:1,
        jugadores: 0,
        numJugadores : 1,
        buggies: 0,
        nombre : ''
    };

    // todoevo revisar
    function buscarClientes() {
        $scope.$broadcast('ventas:buscar-clientes')
    }
    $scope.$on('clientes:selecciona-cliente',function(evento,cliente){
        vm.cliente = cliente ;
        vm.fd.reserva.cliente_id = vm.cliente.id ;
        evento.stopPropagation();
    });

    $scope.$on('abonos-buscar:abono-seleccionado',function(evento,abono){
        vm.abono = angular.copy(abono) ;
        vm.fd.nombre_jugador = vm.abono.nombre_jugador ;
        vm.leerClientes('',vm.abono.cliente_id);
        vm.leerTarifas('',vm.abono.tarifa_id);
        console.log(vm.abono);
        evento.stopPropagation();
    });

    $scope.$on('abonos-buscar:borrar-abono',function(evento,abono){
        vm.abono = {id : 0} ;
        vm.fd.nombre_jugador = '' ;
        vm.tarifa = {id:0}
        vm.cliente = {id:0}
        console.log(evento)
        evento.stopPropagation();
    });

    function leerPaises() {
        $http({
            method: "get",
            url:  'paises.json',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'}
        }).then(function (response) {
            vm.paises = response.data ;
        });

    };

    vm.hazReserva = function(fly) {
        console.log(fly)
        vm.datosReserva.fly = fly.fly ;
        vm.datosReserva.hora = fly.hora ;
        vm.datosReserva.recorrido = fly.recorrido ;
    }

    $scope.$on('reserva-express', function (event,data) {
        vm.leerPaises();
        vm.nuevoRegistro = true ;
        vm.reservaNueva = false ;


        
        vm.cliente = { id : 0} ;
        vm.abono = { id : 0, nombre_jugador : ''};
        vm.tarifa = { id : 0};

        vm.abonados = [];
        vm.tarifas = [] ;

        vm.fd.fecha = data.fecha ;
        vm.fd.nombre_jugador = '' ;
        vm.fd.pais = 'ES';



        vm.datos_greenfees = [];
        vm.datosReserva = angular.copy(data) ;

        vm.abrir();
    });

    $scope.$on('reserva-nueva', function (event,data) {



        vm.nuevoRegistro = true ;
        vm.reservaNueva = true ;

        vm.clientes = [];
        vm.cliente = {} ;
        vm.abono = { id : 0,nombre_jugador : ''};
        vm.tarifa = { id : 0};

        vm.abonados = [];
        vm.tarifas = [] ;
        vm.fd.fecha = data.fecha ;
        vm.fd.nombre_jugador = '' ;

        vm.datos_greenfees = [];
        vm.datosReserva = angular.copy(data) ;

        vm.abrir();
    });

    function abrir(){
        vm.tipodoc = 'NO';
        vm.nombre_jugador = '' ;
        vm.abreVentana    = true ;
        vm.cliente = {id: 0};
        $scope.$broadcast('resize-ventana');
    }


    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
                console.log(vm.cliente)
            }
            leyendoClientes = false;
        });
    };

    // todoevo aqui nos tenemos que traer el número de id si no tenemos uno

    function grabarReserva(){

        console.log(vm.abono);

        var mensajes = [];
        vm.hayErrores= false ;

        if (vm.tipodoc == 'AL' && vm.cliente.id < 2 ) {
            mensajes.push('Para generar un albarán tiene que introducir un cliente');
            vm.hayErrores = true ;
        }

        if (vm.fd.nombre_jugador === '') {
            mensajes.push('El nombre no puede quedarse vacío');
            vm.hayErrores = true ;
        }

        if (vm.tarifa.id < 1) {
            mensajes.push('Introduce una tarifa');
            vm.hayErrores = true ;
        }

        if (vm.hayErrores) {
            vm.datos = {
                mensajes: mensajes,
                cabecera: 'Errores en la reserva'
            };
            var confirmacion = ngDialog.openConfirm({
                template: 'views/admin/mensajes-multiples-error.html',
                data: vm.datos
            });
            confirmacion.then(function() {});

        }
        if (vm.hayErrores) {
            vm.hayErrores = false ;
            return ;
        }

        // solamente es un greenfee

        var greenfee = {
            abono_id : vm.abono.id,
            nombre_jugador : vm.fd.nombre_jugador,
            cliente_id : vm.cliente.id,
            abono : vm.abono.abono,
            tarifa_id : vm.tarifa.id ,
            tarifa : vm.tarifa.tarifa,
            preciogf : vm.tarifa.pvpgf18,
            preciobuggie : vm.tarifa.pvpbuggies,
            hoyos : 18,
            essocio : 0
        }

        var i = 0 ;
        for (i=0;i<vm.fd.numJugadores;i++) {
            vm.datos_greenfees.push(greenfee);
        }


        blockUI.start('Procesando');
        vm.rd = {
            recorrido : vm.datosReserva.recorrido,
            fecha    : vm.datosReserva.fecha,
            abono_id : vm.abono.id ,
            cliente_id : vm.cliente.id ,
            fly : vm.datosReserva.fly,
            jugadores : vm.fd.numJugadores,
            tarifa : vm.tarifa,
            buggies : vm.fd.buggies, // TODO A ver como hacemos lo de los greenfees.
            nombre_jugador : vm.fd.nombre_jugador,
            tarifa_id   : vm.tarifa.id ,
            datos_greenfees : vm.datos_greenfees 
        };
            var evo = new EvoratecApi.api();
            evo.llama('/reservas/reserva-nueva', vm.rd).then(function (data) {
                blockUI.stop();
                var datos = {
                    reserva : data.reserva,
                    reservaNueva : vm.reservaNueva,
                    tipodoc : vm.tipodoc
                }
                // terminamos la reserva ( tenemos que comprobar si la reserva ha sido correcta )
                $scope.$emit('reservas-express:generada',datos);
                vm.cancelar();
            });
            blockUI.stop();
    }

    function actualizarReserva() {
        vm.actualizando = true ;
        vm.grabarReserva();
    }
    function cancelar(){
        vm.abreVentana = false ;
      
    }



    function leeCliente(){
        vm.rd = {
            id : vm.fd.reserva.cliente_id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/ver',vm.rd).then(function(data){
            vm.cliente = data.datos ;
        });
    }

    function leerTarifas(clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave ;
        vm.rd.id = id ;

        var evo = new EvoratecApi.api();

        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.tarifas = data.datos;
            if (id > 0) {
                angular.copy(vm.tarifas[0], vm.tarifa);
            }
        });
    };

    vm.leerAbonos = function (clave,id) {
        if (!clave) return ;

        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/buscar',vm.rd).then(function(data){
            vm.abonados = angular.copy(data.datos);
        },function(error){
            // todoevo visualizar errores
            console.log(error);
        });
    }
};angular.module('app').filter('evofecha', function($filter)
{
    return function(input)
    {
        if(input == null){ return ""; }
        input = input.replace(/-/g,"/");
        var fecha = Date.parse(input);
        if (isNaN(fecha)==true) return '' ;

        if (!fecha) return '' ;
        var _date = $filter('date')(new Date(input), 'dd-MM-yyyy');
        return _date.toUpperCase();
    };
});

angular.module('app').filter('evofechamysql', function($filter)
{
    return function(input)
    {
        if(input == null){ return ""; }
        return(input.substr(6,4)+'-'+input.substr(3,2)+'-'+input.substr(0,2));
    };
});


angular.module('app').filter('propsFilter', function() {
    return function(items, props) {
        var out = [];

        if (angular.isArray(items)) {
            var keys = Object.keys(props);

            items.forEach(function(item) {
                var itemMatches = false;

                for (var i = 0; i < keys.length; i++) {
                    var prop = keys[i];
                    var text = props[prop].toLowerCase();
                    if (item[prop].toString().toLowerCase().indexOf(text) !== -1) {
                        itemMatches = true;
                        break;
                    }
                }

                if (itemMatches) {
                    out.push(item);
                }
            });
        } else {
            // Let the output be the input untouched
            out = items;
        }

        return out;
    };
});
;EvoratecFactory.$inject=['$http','$q','ngDialog'];
function EvoratecFactory($http,$q,ngDialog) {
    var self = this ;
    var baseUrl = "api";

    var Servicio = {
        llamaApi : llamaApi,
        itemscsv : [],
        ultimaRuta : '',

        mensaje : mensaje,
        mensajeError : mensajeError,
        mensajesError : mensajesError,
        skeleton : skeleton
    } ;

    // iniciamos la caché
    return Servicio ;

    function mensaje(mensaje,boton) {
        var mensajes = [];
        mensajes.push(mensaje)
        if (boton ==='') boton = 'Aceptar';
        var datos = {
            cabecera : 'Aviso',
            mensajes: mensajes,
            botonConfirmacion : boton
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensaje-nosi.html',
            data: datos
        });
        return confirmacion ;
    }
    function mensajeError(mensaje,boton) {
        var mensajes = [];
        mensajes.push(mensaje)
        if (boton ==='') boton = 'Aceptar';
        var datos = {
            cabecera : 'Aviso',
            mensajes: mensajes,
            botonConfirmacion : boton
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensaje-error-evo.html',
            data: datos
        });
        return confirmacion ;
    }
    function mensajesError(mensajes,boton) {
        if (boton ==='') boton = 'Aceptar';
        var datos = {
            cabecera : 'Aviso',
            mensajes: mensajes,
            botonConfirmacion : boton
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensaje-error-evo.html',
            data: datos
        });
        return confirmacion ;
    }

    function llamaApi(url,datos) {
        return $http({
            method: "post",
            url: baseUrl + url,
            headers: {'Content-Type': 'application/json','Accept-Enconding':'utf8'},
            data: datos
        }).then(function (response) {
            return response ;
        }).catch(function (response) {
            return response ;
        });

    }

    function skeleton(source, isArray) {
        var o = Array.isArray(source) ? [] : {};
        for (var key in source) {
            if (source.hasOwnProperty(key)) {
                var t = typeof source[key];
                o[key] = t == 'object' ? skeleton(source[key]) : { string: '', number: 0, boolean: false }[t];
            }
        }
        return o;
    }
}
angular.module('app').factory('Evoratec', EvoratecFactory);


EvoratecApi.$inject=['$http','$q'];
function EvoratecApi($http,$q) {
    var baseUrl = "api";
    function api(name, type){
        this.name = name;
        this.type = type;
    }

    api.prototype.llama = function (url,datos){
        return $http({
            method: "post",
            url: baseUrl + url,
            headers: {'Content-Type': 'application/json','Accept-Enconding':'utf8'},
            data: datos
        }).then(function (response) {
            return response.data ;
        });

    };
    return {
        api : api
    }
}
angular.module('app').factory('EvoratecApi', EvoratecApi);;angular.module('app').directive('listaClientes', listaClientes);
function listaClientes(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/clientes/clientes-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaClientesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaClientesController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi','$http','ngDialog'];
function listaClientesController($filter,$scope,$log,Evoratec,EvoratecApi,$http,ngDialog) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.menuSel = {
        id : 0
    }  ;

    vm.columnas  = [{
        columna: 'razon_social',
        field:'razon_social',
        sort : 'razon_social',
        header: 'Razón social'
    },
        {
            columna: 'email',
            field:'email',
            sort : 'email',
            header: 'email'
        },
        {
            columna: 'telefono',
            field:'telefono',
            sort : 'telefono',
            header: 'Teléfono'
        }];

    var fechaActual = new Date().toISOString().substr(0, 10);
    vm.fechaInicio = fechaActual;

    vm.contador = 69;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":'0',
            'razon_social':'',
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0,
        razonsocial : ''
    };

    

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        verOpcion   : verOpcion,
        verFecha    : verFecha,
        ver :ver,
        verMensaje : verMensaje,
        imprimir : imprimir,
        exportar : exportar,
        verExtracto : verExtracto

    })
    vm.init();

    function verOpcion() {
        console.log(vm.opcion);
    }
    function verFecha() {
        console.log( $filter('date')( vm.fechaInicio, 'y-MM-dd'))
        console.log(vm.fechaInicio);
        console.log(vm.check);
    }
    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // configuración menu de cada linea
    vm.menuAcciones = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro()"
        }
    ];

    // Ver los Clientes que tenemos
    function verDatos() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd = {
            id : 0,
            razonsocial : '',
            opcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
                vm.fd.datos = data.datos ;
                vm.registroSel.id = 0;
        });
    }

    function imprimir() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/exportar',Evoratec.itemscsv).then(function(data){
           // blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                // todoevo-ojo cambiar en los demás
                link.setAttribute("href", data.url);
                link.setAttribute("download", 'clientes.pdf');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/exportar',vm.rd).then(function(data){
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                link.setAttribute("href", data.url);
                link.setAttribute("download",  'clientes.xlsx');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }

    function altaAsociado(asociado_id){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.id = asociado_id;

        var evo = new EvoratecApi.api();
        evo.llama('/clientes/alta',vm.rd).then(function(data){
            if (data.resultado == 'ko') {
                //vm.verMensaje(data.mensajes);
                return ;
            }
            vm.verDatos();
        },function (error) {
            console.log('error');
        });
    }


    function borrarRegistro(registro) {
        var mensajes = [];
        var cabecera = 'Confirmar !!';
        mensajes.push('¿ Está seguro de querer borrar este cliente ?');
        vm.datos = { cabecera: cabecera, mensajes: mensajes, botonConfirmacion : 'Borrar cliente' };
        var confirmacion = ngDialog.openConfirm({
            templateUrl : 'views/admin/mensaje-nosi.html',
            data: vm.datos
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/clientes/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Este cliente tiene documentos asociados, no se puede borrar.','Error','Aceptar');
                } else {
                    vm.verMensaje('Cliente borrado','Atención...','Aceptar');
                    vm.verDatos();
                }
            });
        });

        /* */
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-cliente',registro);

    }
    function verExtracto(registro) {
        $scope.$broadcast('ver-extracto-cliente',registro);
    }


    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-cliente',vm.fd.registro);
    }

    $scope.$on('grabando-registro-cliente', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('grabando-baja-cliente', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        console.log(vm.registroSel.id)
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera,boton) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes,botonConfirmacion : boton };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje-error-evo.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


}


controladorCounter.$inject = ['$filter'];
function controladorCounter ($filter) {
    var vm = this ;

    console.log(vm)
    this.$onInit = function () {

    };
    this.$postLink = function () {
        // component post-link

    };
    this.$onDestroy = function () {
        // component $destroy function
    };
    vm.incrementar = function() {
        vm.count++;
    }
        function increment() {
            this.count++;
            console.log(vm.count)

        }
        function decrement() {
            this.count--;
        }
        this.increment = increment;
        this.decrement = decrement;
}

angular.module('app').component('contadorPrueba', {
    bindings: {
        count: '='
    },
    controller: "controladorCounter as vm",
    template: [
        '<div class="todo">',
        '<input type="text" ng-model="vm.count">',
        '<button type="button" ng-click="vm.decrement();">-</button>',
        '<button type="button" ng-click="vm.increment();">+</button>',
        '<button type="button" ng-click="vm.incrementar();">+</button>',
        '</div>'
    ].join('')
}).controller("controladorCounter",controladorCounter);


;angular.module('app').directive('registroCliente', registroCliente);
function registroCliente() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/clientes/clientes-registro.html',
        controller: ClienteController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

ClienteController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http'];
function ClienteController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        verMensaje : verMensaje,
        leerPaises : leerPaises,
        nuevaCuota : nuevaCuota,
        listaCuotas : listaCuotas,
        modificaCuota : modificaCuota
    });

    vm.paises = [];
    vm.abreVentana = false ;
    vm.fd = {};
    vm.rd = {};

    vm.esPopUp = true ;
    vm.tabActive = 0 ;

    vm.date = "2014-01-01";

    // esto en caso del popup
    $scope.$on('abre-registro-cliente', function (event,data) {
        vm.tabActive = 0 ;
        vm.fd = {} ;
        vm.rd = {
            id : data.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos);
            vm.fd.essocio = vm.fd.essocio.toString();
            vm.listaCuotas();
            vm.abrir();
        });
    });

    function abrir(){
        vm.leerPaises();
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        delete(vm.fd.selected);
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/grabar',vm.fd).then(function(data){
                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    vm.formDatos.$invalid = true ;
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-cliente',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-cliente', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    function leerPaises() {
        $http({
            method: "get",
            url:  'paises.json',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'}
        }).then(function (response) {
            vm.paises = response.data ;
        });

    };




    // Código para las cuotas
    function listaCuotas() {
        vm.rd = { id : vm.fd.id};
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista-cuotas',vm.rd).then(function(data){
            if (data.resultado == 'ko') {
                vm.verMensaje(data.mensajes);
                vm.formDatos.$invalid = true ;
                return ;
            }
            vm.cuotas = data.datos ;
        });
    }

    function nuevaCuota() {
        var data = { cliente_id : vm.fd.id };
        $scope.$broadcast('cliente-cuota:nueva',data);
    }

    function modificaCuota(item) {
        var data = angular.copy(item);
        $scope.$broadcast('cliente-cuota:modificar',data);
    }
    $scope.$on('cliente-cuota:grabar',function(event,data){
        vm.listaCuotas();
    });

}

;angular.module('app').directive('clientesExtracto', clientesExtracto);
function clientesExtracto(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/clientes/clientes-extracto.html',
        scope: {
        },
        link: linkFunc,
        controller: clientesExtractoController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
clientesExtractoController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI','$routeParams'];
function clientesExtractoController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI,$routeParams) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
            columna: 'tipo',
            field: 'tipo',
            sort : 'tipo',
            header : 'Tipo'
        },

        {
            columna: 'documento',
            field: 'documento',
            sort : 'documento',
            header : 'Documento'
        },
        {
            columna: 'fecha',
            field: 'fecha',
            sort : 'fecha_e',
            header : 'Fecha'
        },
        {
            columna: 'total',
            field: 'total',
            sort : 'total',
            header : 'Total'
        },
        {
            columna: 'saldo',
            field: 'saldo',
            sort : 'saldo',
            header : 'Saldo'
        }

    ];

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        datos: {},
        pageNumber : 1
    };
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        ver : ver
    })

    vm.init();
    function init(){
        /*if ($routeParams.id > 0) {
            vm.verDatos($routeParams.id);
        }*/
    }

    function ver(item) {
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    function verRegistro(){

    }

    vm.abrir = function(){
        vm.abreVentana = true ;
    }
    vm.cancelar = function(){
        vm.abreVentana = false ;
    }



    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/exportar',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'reservas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }

    function verDatos(cliente_id) {
        vm.rd = {};
        vm.rd.cliente_id = cliente_id ;
        /*  vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
          vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');*/
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/clientes/extracto',vm.rd).then(function(data){
            vm.fd.datos = data.datos.movimientos;
            vm.fd.cliente = data.datos.cliente[0] ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_e: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            vm.fd.total_ventas = data.datos.total_ventas ;
            vm.fd.total_cobros = data.datos.total_cobros ;
            vm.fd.saldo     = data.datos.saldo
            blockUI.stop();
        });
    }
    $scope.$on('ver-extracto-cliente', function (event,data) {
        vm.verDatos(data.id);
        vm.abrir();
    });
}

;angular.module('app').directive('clientesCuota', clientesCuota);
function clientesCuota() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/clientes/clientes-cuota.html',
        controller: clientesCuotaController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

clientesCuotaController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function clientesCuotaController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verProducto : verProducto,
        extractoProducto : extractoProducto,
        nuevoProducto : nuevoProducto
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.productos = [];

    vm.focoCantidad = false ;

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };

    function nuevoProducto(){
        var producto_nuevo = {}
        $scope.$broadcast('nuevo-registro-producto',producto_nuevo);
    }

    vm.seleccionaProducto = function(producto) {
        vm.fd.precio = producto.precio ;
        vm.fd.producto = producto.producto ;
        vm.fd.producto_id = producto.id ;
        vm.fd.descripcion = producto.descripcion ;
        vm.focoProducto = false ;
        vm.focoCantidad = true ;
        vm.productos = [];
    }
    vm.productos = [];
    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });
    }
    // esto en caso del popup
    $scope.$on('cliente-cuota:modificar', function (event,data) {
        vm.nuevoRegistro = false ;
        vm.fd = angular.copy(data);
        vm.abrir();

        $timeout(function(){
            vm.focoProducto = false ;
            vm.focoCantidad = true ;
        },300);

    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;

        $timeout(function(){
            vm.focoCantidad = false ;
            vm.focoProducto = true ;
        },300);
    }

    function verProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('abre-registro-producto',registro);
    }
    function extractoProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('ver-extracto-producto',registro);
    }

    vm.recalcular = function() {
        vm.fd.total = vm.fd.cantidad * vm.fd.precio ;
    }
    function grabar(){
        // todoevo ver si la linea es de albaranes o de facturas.
        vm.rd = angular.copy(vm.fd) ;
        //  vm.rd.fecha = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/graba-cuota',vm.rd).then(function(data){
            vm.cancelar();
        },function(error){
            console.log(error);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        $scope.$emit('cliente-cuota:grabar');
        vm.abreVentana = false ;
    }

    $scope.$on('cliente-cuota:nueva', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.fd = {
            id: 0,
            producto_id : 0,
            producto : '',
            cliente : '',
            cliente_id : data.cliente_id,
            descripcion : '',
            precio : 0,
            cantidad: 1
        }
        vm.abrir();
    });

    $scope.$on('selecciona-producto', function (event, data) {
        vm.seleccionaProducto(data);
    });

};angular.module('app').directive('clientesGeneracionCuotas', clientesGeneracionCuotas);
function clientesGeneracionCuotas(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/clientes/clientes-generacion-cuotas.html', // OJO
        scope: {},
        link: linkFunc,
        controller: clientesGeneracionCuotasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
clientesGeneracionCuotasController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi','$http','ngDialog'];
function clientesGeneracionCuotasController($filter,$scope,$log,Evoratec,EvoratecApi,$http,ngDialog) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;

    vm.formGenera = false ;

    vm.columnas  = [{
        columna: 'razon_social',
        field:'razon_social',
        sort : 'razon_social',
        header: 'Razón social'
    },
        {
            columna: 'email',
            field:'email',
            sort : 'email',
            header: 'email'
        },
        {
            columna: 'telefono',
            field:'telefono',
            sort : 'telefono',
            header: 'Teléfono'
        }];

    var fechaActual = new Date().toISOString().substr(0, 10);
    vm.fechaInicio = fechaActual;

    vm.contador = 69;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":'0',
            'razon_social':'',
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0,
        razonsocial : ''
    };



    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,

        verOpcion   : verOpcion,
        verFecha    : verFecha,
        ver :ver,
        imprimir : imprimir,
        exportar : exportar,
        verExtracto : verExtracto,
        verFormGenera : verFormGenera,
        cierraFormGenera : cierraFormGenera

    })
    vm.init();

    function verOpcion() {
        console.log(vm.opcion);
    }
    function verFecha() {
        console.log( $filter('date')( vm.fechaInicio, 'y-MM-dd'))
        console.log(vm.fechaInicio);
        console.log(vm.check);
    }
    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }



    // Ver los Clientes que tenemos
    function verDatos() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd = {
            id : 0,
            razonsocial : '',
            opcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/ver-socios',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }

    function imprimir() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/exportar',Evoratec.itemscsv).then(function(data){
            // blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                // todoevo-ojo cambiar en los demás
                link.setAttribute("href", data.url);
                link.setAttribute("download", 'clientes.pdf');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/exportar',vm.rd).then(function(data){
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                link.setAttribute("href", data.url);
                link.setAttribute("download",  'clientes.xlsx');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }


    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-cliente',registro);

    }
    function verExtracto(registro) {
        $scope.$broadcast('ver-extracto-cliente',registro);
    }


    function verFormGenera(){
        vm.formGenera = true ;
    }
    function cierraFormGenera(){
        vm.formGenera = false ;
    }
    // Eventos.

    $scope.$on('grabando-registro-cliente', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        console.log(vm.registroSel.id)
        vm.registroSel.id = 0 ;
    });

}


/*controladorCounter.$inject = ['$filter'];
function controladorCounter ($filter) {
    var vm = this ;

    console.log(vm)
    this.$onInit = function () {

    };
    this.$postLink = function () {
        // component post-link

    };
    this.$onDestroy = function () {
        // component $destroy function
    };
    vm.incrementar = function() {
        vm.count++;
    }
    function increment() {
        this.count++;
        console.log(vm.count)

    }
    function decrement() {
        this.count--;
    }
    this.increment = increment;
    this.decrement = decrement;
}

angular.module('app').component('contadorPrueba', {
    bindings: {
        count: '='
    },
    controller: "controladorCounter as vm",
    template: [
        '<div class="todo">',
        '<input type="text" ng-model="vm.count">',
        '<button type="button" ng-click="vm.decrement();">-</button>',
        '<button type="button" ng-click="vm.increment();">+</button>',
        '<button type="button" ng-click="vm.incrementar();">+</button>',
        '</div>'
    ].join('')
}).controller("controladorCounter",controladorCounter);*/


;angular.module('app').directive('listaProveedores', listaProveedores);
function listaProveedores(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/proveedores/proveedores-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaProveedoresController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Proveedores
listaProveedoresController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi','$http','ngDialog'];
function listaProveedoresController($filter,$scope,$log,Evoratec,EvoratecApi,$http,ngDialog) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.menuSel = {
        id : 0
    }  ;

    vm.columnas  = [{
        columna: 'razon_social',
        field:'razon_social',
        sort : 'razon_social',
        header: 'Razón social'
    },
        {
            columna: 'email',
            field:'email',
            sort : 'email',
            header: 'email'
        },
        {
            columna: 'telefono',
            field:'telefono',
            sort : 'telefono',
            header: 'Teléfono'
        }];

    vm.fd = {
        registro : {
            "id":'0',
            'razon_social':'',
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0,
        razonsocial : ''
    };

    

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
       
        ver :ver,
        verMensaje : verMensaje,
        imprimir : imprimir,
        exportar : exportar

    })
    vm.init();


    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // configuración menu de cada linea
    vm.menuAcciones = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro()"
        }
    ];

    // Ver los Proveedores que tenemos
    function verDatos() {
       
        vm.rd = {
            id : 0,
            razonsocial : '',
            opcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/lista',vm.rd).then(function(data){
                vm.fd.datos = data.datos ;
                vm.registroSel.id = 0;
        });
    }

    function imprimir() {
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/exportar',Evoratec.itemscsv).then(function(data){
           // blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                // todoevo-ojo cambiar en los demás
                link.setAttribute("href", data.url);
                link.setAttribute("download", 'proveedores.pdf');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/exportar',vm.rd).then(function(data){
            var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                link.setAttribute("href", data.url);
                link.setAttribute("download",  'proveedores.xlsx');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }
        },function(error){
            console.log(error);
        });
    }

    function borrarRegistro(registro) {

        var mensajes = [];
        var cabecera = 'Confirmar !!';
        mensajes.push('¿ Está seguro de querer borrar este proveedor ?');
        vm.datos = { cabecera: cabecera, mensajes: mensajes, botonConfirmacion : 'Borrar proveedor' };
        var confirmacion = ngDialog.openConfirm({
            templateUrl : 'views/admin/mensaje-nosi.html',
            data: vm.datos
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/proveedores/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Este proveedor tiene documentos asociados, no se puede borrar.','Error','Aceptar');
                } else {
                    vm.verMensaje('Proveedor borrado','Atención...','Aceptar');
                    vm.verDatos();
                }
            });
        });

       /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-proveedor',registro);

    }

    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-proveedor',vm.fd.registro);
    }

    $scope.$on('grabando-registro-proveedor', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera,boton) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes,botonConfirmacion : boton };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje-error-evo.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


};angular.module('app').directive('registroProveedor', registroProveedor);
function registroProveedor() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/proveedores/proveedores-registro.html',
        controller: RegistroProveedorController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

RegistroProveedorController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http','ngDialog'];
function RegistroProveedorController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http,ngDialog ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        leerPaises : leerPaises
    });

    vm.paises = [];
    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.tabActive = 0 ;

    vm.date = "2014-01-01";

    // esto en caso del popup
    $scope.$on('abre-registro-proveedor', function (event,data) {
        vm.tabActive = 0 ;
        vm.fd = {} ;
        vm.rd = {
            id : data.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos[0]);
            vm.abrir();
        });
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        vm.leerPaises();
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        delete(vm.fd.selected);
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/grabar',vm.fd).then(function(data){

                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    vm.formDatos.$invalid = true ;
                    return ;
                }
                vm.cancelar();
                vm.fd.id = data.id ;
                $scope.$emit('grabando-registro-proveedor',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-proveedor', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    function leerPaises() {
        $http({
            method: "get",
            url:  'paises.json',
            headers: {'Content-Type': 'application/x-www-form-urlencoded','Cache-Control' : 'no-cache'}
        }).then(function (response) {
            vm.paises = response.data ;
        });

    };
}

;angular.module('app').directive('cobrosDocumento', cobrosDocumento);
function cobrosDocumento() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/cobros/cobros-documento.html',
        controller: cobrosDocumentoController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

cobrosDocumentoController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi'];
function cobrosDocumentoController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();
    var fechaActual = new Date().toISOString().substr(0, 10);

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        leerFormasPago : leerFormasPago
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.tabActive = 0 ;
    vm.date = "2014-01-01";

    vm.formapago = {
            id : 0,
            descripcion : ''
        };

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };



    // esto en caso del popup
    $scope.$on('abre-cobro-documento', function (event,data) {
        vm.formapago = {
            id :1,
            descripcion : ''
        };
        vm.nuevoRegistro = false ;
        vm.fd = angular.copy(data.cobro);
        vm.formapago.id = vm.fd.formapago_id ;
        vm.documento = angular.copy(data.documento);
        vm.tipocobro = data.tipo ;
        vm.abrir();
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        vm.leerFormasPago() ;
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
    }

    function grabar(){
        vm.rd = {};

        if (vm.nuevoRegistro) {
            vm.rd.id = 0 ;
        } else {
            vm.rd.id = vm.fd.id ;
        }
        // todoevo condicional al tipo de documento

        if (vm.tipocobro == 'FA') {
            vm.rd.factura_id = vm.documento.id ;
        } else {
            vm.rd.factura_id  = vm.documento.factura_id ;
            vm.rd.albaran_id = vm.documento.id ;
        }
        vm.rd.cliente_id = vm.documento.cliente_id ;


        vm.rd.fecha      = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        vm.rd.total      = vm.fd.total ;
        vm.rd.concepto   = vm.fd.concepto ;
        vm.rd.notas      = vm.fd.notas ;
        vm.rd.formapago_id = vm.formapago.id ;


        var evo = new EvoratecApi.api();
        evo.llama('/cobros/grabar',vm.rd).then(function(data){
            vm.cancelar();
            $scope.$emit('grabando-cobro-documento');
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-cobro-documento', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.documento = angular.copy(data.documento) ;
        vm.tipocobro = data.tipo ;
        vm.fd = {};
        vm.fd.fecha = fechaActual ;
        vm.fd.total = vm.documento.pendiente ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    function leerFormasPago(){
        vm.rd = {
            descripcion :'',
            id: 0
        };
        var evo = new EvoratecApi.api();
        evo.llama('/formaspago/lista',vm.rd).then(function(data){
            vm.formasPago = data.datos ;
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
};angular.module('app').directive('listaCobros', listaCobros);
function listaCobros(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/cobros/lista-cobros.html',
        scope: {
        },
        link: linkFunc,
        controller: listaCobrosController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
listaCobrosController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function listaCobrosController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [

        {
            columna: 'fecha_a',
            field: 'fecha_a',
            sort : 'fecha',
            header : 'Fecha'
        },
        {
            columna: 'tipo',
            field:'tipo',
            sort : 'tipo',
            header : 'Tipo'
        },
        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'concepto',
            field:'concepto',
            sort : 'concepto',
            header : 'Concepto'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        }

    ];
    
    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    vm.cliente = {
        id : 0
    }

    // request data
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };
    // Busqueda asociado
    vm.asociados = [];
    vm.asociado = {
        Key: "",
        Value: 0
    };

    vm.menuRegistro = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro(vm.itemPopup)"
        }
    ];

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        leerClientes : leerClientes,
        exportar    : exportar,
        imprimir : imprimir,
        ver : ver,
        listado : listado
    })
    vm.init();


    function init(){
        vm.verDatos();
    }

    function ver(item) {

        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // http://stackoverflow.com/questions/25745378/transmit-xlsx-data-from-php-to-javascript-through-json-data-structure
    function exportar(){
        vm.rd = {};
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/exportar',vm.rd).then(function(data){
           downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'reservas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }
    function imprimir(registro) {
        vm.rd = {};
        vm.rd.id = registro.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/imprimir',vm.rd).then(function(data){
            /*  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" }); */
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', registro.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
    }

    function listado() {
        vm.rd = {};

        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.cliente.id ;
        //  vm.rd.idcliente = vm.clientes.id ;
        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');
        blockUI.start('Procesando petición');
        var evo = new EvoratecApi.api();
        evo.llama('/cobros/listado',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
          //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
        blockUI.stop();
    }


    function verDatos() {

        vm.rd = {};
        vm.rd.cliente_id = vm.cliente.id ;

        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');

        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/cobros/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_a: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            blockUI.stop();
        });
    }

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ está seguro de querer borrar este Albarán ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Albarán</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/albaranes/borrar',vm.rd).then(function(data){
               vm.verDatos();
            });
        });

       /* */
    }

    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };
}

;angular.module('app').directive('listaAlbaranes', listaAlbaranes);
function listaAlbaranes(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/albaranes/lista-albaranes.html',
        scope: {
        },
        link: linkFunc,
        controller: listaAlbaranesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
listaAlbaranesController.$inject = ['Reservas','$filter','$scope','$rootScope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function listaAlbaranesController(Reservas,$filter,$scope,$rootScope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Albarán'
        },
        {
            columna: 'reservaalb',
            field:'idreserva',
            sort : 'idreserva',
            header : 'Reserva'
        },
        {
            columna: 'fecha_a',
            field: 'fecha_a',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'nombre',
            field:'nombre',
            sort : 'nombre',
            header : 'Nombre Jugador'
        },
        {
            columna: 'factura_doc',
            field:'factura_doc',
            sort : 'factura_doc',
            header : 'Factura'
        },
        {
            columna: 'pendiente',
            field:'pendiente',
            sort : 'pendiente',
            header : 'Pendiente'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        }

    ];
    
    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    vm.cliente = {
        id : 0
    }

    // request data
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };
    // Busqueda asociado
    vm.asociados = [];
    vm.asociado = {
        Key: "",
        Value: 0
    };



    vm.menuRegistro = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro(vm.itemPopup)"
        }
    ];

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        leerClientes : leerClientes,
        exportar    : exportar,
        imprimir : imprimir,
        leeDocumento : leeDocumento,
        ver : ver,
        listado : listado
    })

    vm.init();
    function init(){
        vm.verDatos();
    }
    function ver(item) {

        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
            vm.leeDocumento(item.id);
        }

    }

    // dry todoevo  pasarlo todo a un servicio

    function leeDocumento(id) {
        vm.rd = {
            id : id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/ver',vm.rd).then(function(data){
            vm.datosDoc = data.datos ;

        },function(error){
            console.log(error);
        });
    }

    // http://stackoverflow.com/questions/25745378/transmit-xlsx-data-from-php-to-javascript-through-json-data-structure

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/exportar',vm.rd).then(function(data){
           downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'reservas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }

    function imprimir(registro) {
        vm.rd = {};
        vm.rd.id = registro.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/imprimir',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', registro.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
    }

    function listado() {
        vm.rd = {};

        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.cliente.id ;
//  vm.rd.idcliente = vm.clientes.id ;
        if (vm.fechaInicio._isAMomentObject) {
            vm.rd.fecha_ini =vm.fechaInicio.format('YYYY-MM-DD').toString()
            vm.rd.fecha_fin =vm.fechaFin.format('YYYY-MM-DD').toString()
            //    vm.rd.fecha_fin =vm.fechaFin.format(),'YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
            vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');
        }

        console.log(vm.rd)
        blockUI.start('Procesando petición');
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/listado',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
          //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
        blockUI.stop();
    }


    // Ver los Avales que tenemos
    function verDatos() {
        vm.rd = {};
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.cliente.id ;
      //  vm.rd.idcliente = vm.clientes.id ;
        console.log('fecha')

        //  vm.rd.idcliente = vm.clientes.id ;
        if (vm.fechaInicio._isAMomentObject) {
            console.log(vm.fechaInicio.format())
            vm.rd.fecha_ini =vm.fechaInicio.format('YYYY-MM-DD').toString()
            vm.rd.fecha_fin =vm.fechaFin.format('YYYY-MM-DD').toString()
            //    vm.rd.fecha_fin =vm.fechaFin.format(),'YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
            vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');
        }

        console.log(vm.rd);
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/albaranes/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    // facturado : dato.factura_id>0?'Si':'No',
                    fecha_a: $filter('evofecha')(dato.fecha),
                });
            })

            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            blockUI.stop();
        });
    }

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ está seguro de querer borrar este Albarán ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Albarán</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/albaranes/borrar',vm.rd).then(function(data){
               vm.verDatos();
            });
        });

       /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('modificar-albaran',registro);
        //$location.path('/albaran/'+registro.id);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('crear-albaran');
        // $location.path('/albaran/new');
    }

    $scope.$on('grabando-albaran', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };
}

;angular.module('app').directive('registroAlbaran', registroAlbaran);

function registroAlbaran() {
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/albaranes/albaranes-registro.html',
        scope: {},
        link: linkFunc,
        controller: registroAlbaranController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;

    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

registroAlbaranController.$inject = ['$scope', '$location', '$timeout', 'EvoratecApi', 'Evoratec',
    '$rootScope', '$routeParams', '$filter', 'ngDialog'];

function registroAlbaranController($scope, $location, $timeout, EvoratecApi, Evoratec,
                                   $rootScope, $routeParams, $filter, ngDialog) {

    var vm = this;

    $rootScope.bodyClass = 'documento';

    vm.facturaPdf = '';
    vm.address = {};
    vm.focoProducto = true;
    vm.factura = {
        factura: ''
    }
    vm.linea = {
        id: 0
    }
    vm.cantidad = 1;
    vm.productos = [];
    vm.producto = {
        Key: "",
        Value: 0
    };
    vm.clientes = [];
    vm.cliente = {};
    vm.verLista = false;
    vm.abreCobros = false;
    vm.cantidadACobrar = 0;

    vm.estamosEnLineas = false;

    angular.extend(vm, {
        init: init,
        abrir : abrir,
        cerrar : cerrar,
        leeDocumento: leeDocumento,
        nuevoDocumento: nuevoDocumento,
        leerCobros: leerCobros,

        verCobro: verCobro,
        nuevoCobro: nuevoCobro,
        borrarCobro: borrarCobro,
        leeLineasVenta: leeLineasVenta,
        imprimirDocumento: imprimirDocumento
    });

    vm.series = [
        {
            id: 1,
            descripcion: 'Serie de facturación normal'
        },
        {
            id: 2,
            descripcion: 'Serie de facturación simplificada'
        },
    ];

    function abrir(){
        $rootScope.$emit('quita-scroll');
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }
    function cerrar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }
    vm.init();

    function init() {
        /*// indicamos que no es nuevo
        vm.esNuevo = false;

        if ($routeParams.id > 0) {
            vm.esPopUp = false;
            vm.rd = {};
            vm.rd.id = $routeParams.id;
            vm.leeDocumento();
            vm.textoBotonGrabar = 'Grabar';
        }
        if ($routeParams.id === 'new') {
            vm.esPopUp = false;
            vm.esNuevo = true;
            vm.nuevoDocumento();
            vm.textoBotonGrabar = 'Grabar';
        }*/
    }

    $scope.$on('modificar-albaran', function (event,registro) {
        vm.esNuevo = false;
        vm.rd = {};
        vm.rd.id = registro.id;
        vm.leeDocumento();
        vm.textoBotonGrabar = 'Grabar';
    });

    $scope.$on('crear-albaran', function () {
            vm.esNuevo = true;
            vm.nuevoDocumento();
            vm.textoBotonGrabar = 'Grabar';
    })


    function leeDocumento() {
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/ver', vm.rd).then(function (data) {
            vm.documento = data.datos;
            vm.fecha = vm.documento.fecha;
            // leemos el dato del asociado
            vm.cliente.razon_social = '';
            vm.cliente.id = vm.documento.cliente_id;
            vm.leerClientes('', vm.cliente.id);
            vm.leerCobros();
            if (vm.documento.factura_id > 0) {
                Evoratec.mensaje('Este albarán está facturado. Si lo modifica debe de ir a la factura y actualizarla', 'Aceptar').then(function () {});
            }
            vm.abrir();

        }, function (error) {
            console.log(error);
        });
    }

    function imprimirDocumento() {
        vm.rd = {};
        vm.rd.id = vm.documento.id;
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/imprimir', vm.rd).then(function (data) {
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href', data.link);
            downloadLink.attr('download', vm.documento.doc + '.pdf');
            downloadLink[0].click();
            downloadLink = null;

        }, function (error) {
            console.log(error);
        });
    }

    function leeLineasVenta() {
        vm.rd = {};
        vm.rd.id = vm.documento.id;
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/lineas-venta', vm.rd).then(function (data) {
            vm.documento.lineas = data.datos;
            vm.recalculoTotales();
        }, function (error) {
            console.log(error);
        });
    }

    function nuevoDocumento() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/nuevo-no-reserva', vm.rd).then(function (data) {
            vm.documento = data.datos;
            vm.abrir();
        }, function (error) {
            console.log(error);
        });
    }

    var leyendoClientes = false;

    vm.cobrarDocumento = function () {
        vm.abreCobros = true;
    }

    vm.grabaDocumento = function () {

        var hayErrores = 0;
        if (vm.documento.cliente_id == 0) {
            hayErrores = 1;
            Evoratec.mensaje('El cliente no puede estar vacio', 'Aceptar').then(function () {
            });
        }

        if (hayErrores == 0) {
            delete(vm.documento.factura_doc)  // quitamos la factura
            vm.documentograbar = angular.copy(vm.documento)
            vm.documentograbar.fecha = $filter('date')(vm.fecha, 'yyyy-MM-dd');
            var evo = new EvoratecApi.api();
            evo.llama('/albaranes/grabar', vm.documentograbar).then(function (data) {
                vm.cerrar();
                $scope.$emit('grabando-albaran',vm.fd);
            });
        }
    }


    // lectura de clientes para un desplegable si lo utilizamos
    vm.leerClientes = function (clave, id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave;
        vm.rd.id = id;
        vm.rd.opcion = '';
        var evo = new EvoratecApi.api();

        evo.llama('/clientes/lista', vm.rd).then(function (data) {
            vm.clientes = data.datos;
            if (id > 0) { // hemos mandado leer un solo asociado y copiamos el resultado a vm.asociado
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };

    vm.seleccionaCliente = function (lineaVenta, modelo) {
        vm.documento.cliente_id = lineaVenta.id;
    }
    vm.seleccionaSerie = function (lineaVenta, modelo) {
        vm.documento.serie_id = lineaVenta.id;
    }

    var leyendoProductos = false;

    vm.buscarClientes = function () {
        $scope.$broadcast('ventas:buscar-clientes')
    }

    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista', vm.rd).then(function (data) {
            vm.productos = data.datos;
        }, function (error) {
            console.log(error);
        });

    }


    vm.enviarForm = function () {
        vm.facturaPdf = angular.toJson(vm.documento);
    }


    vm.irProducto = function () {
        vm.focoProducto = true;
        vm.linea.id = 0;
    }

    vm.ver = function (lineaVenta) {
        $scope.$broadcast('linea-venta:modificar', lineaVenta);
    }


    vm.borraLineaVenta = function (lineaVenta) {

        if (vm.documento.lineas.length == 0)
            return;

        Evoratec.mensaje('¿ Estás seguro de querer borrar esta linea ?', 'Borrar Linea').then(function () {
            vm.rd = {};
            vm.rd.id = lineaVenta.id;
            var evo = new EvoratecApi.api();
            evo.llama('/albaranes/borrar-linea', vm.rd).then(function (data) {
                vm.leeLineasVenta();
            }, function (error) {
                console.log(error);
            });


        })
    };

    vm.recalculoTotales = function () {
        var total = 0;
        vm.documento.impuestos = [];
        for (var i in vm.documento.lineas) {
            var baseLinea = 0;
            var totalIvaLinea = 0;

            var lineaVenta = vm.documento.lineas[i];

            var cantidad = lineaVenta.cantidad;
            var row_total = cantidad * lineaVenta.precio;

            if (isNaN(row_total)) row_total = 0;
            total += row_total;

            lineaVenta.total = row_total;
            // Buscamos registro de iva
            // si el cliente es intracomunitario, la base será solamente una con el tipo de iva a 0.
            // las retenciones se
            /*
             base
             tipo_iva
             iva_total
             total
             */
            baseLinea = 0;

            baseLinea = (row_total / (1 + (lineaVenta.tipo_iva / 100)));
            totalIvaLinea = row_total - baseLinea;

            var registroIva = _.find(vm.documento.impuestos, {tipo_iva: lineaVenta.tipo_iva})
            if (angular.isUndefined(registroIva)) {

                vm.documento.impuestos.push({
                    tipo_iva: lineaVenta.tipo_iva,
                    base: baseLinea,
                    total_iva: totalIvaLinea
                });

            } else {
                registroIva.base = registroIva.base + baseLinea;
                registroIva.total_iva = registroIva.total_iva + totalIvaLinea;
            }
            // lo mismo haremos con los descuentos
        }

        vm.documento.total = total;

        vm.documento.cobrado = 0;
        vm.documento.pendiente = vm.documento.total;

        for (var i in vm.documento.cobros) {
            var cobro = vm.documento.cobros[i];
            var total = cobro.total;
            vm.documento.cobrado += total;
        }

        vm.documento.pendiente = vm.documento.total - vm.documento.cobrado;
        vm.cantidadACobrar = vm.documento.pendiente;
    };

    vm.anadeLineaVarios = function (lineaVenta) {
        vm.focoProducto = false;
        /* vm.linea.id = guid();
             vm.documento.lineas.push({
                 albaran_id: vm.documento.id,
                 cantidad : 1,
                 concepto_reserva : '',
                 descripcion : '',
                 descuento : 0,
                 doc : vm.documento.doc,
                 doctemp : '',
                 empresa_id : 0,
                 es_reserva : 0,
                 factura_id : vm.documento.factura_id,
                 fecha_reserva : '1999-01-01',
                 id: vm.linea.id ,
                 impuesto_id: 1,
                 nombre_jugador : '',
                 nota : '',
                 notas : '',
                 precio : 0,
                 producto : 'NOTA',
                 producto_id : 0,
                 ticket_id : 0,
                 tipo_iva: 21,
                 total: 0,
                 totaldto : 0

             });*/

        vm.lineaNueva = {
            id: 0,
            albaran_id: vm.documento.id,
            cantidad: 1,
            concepto_reserva: '',
            descripcion: '',
            descuento: 0,
            doc: vm.documento.doc,
            doctemp: '',
            empresa_id: 0,
            es_reserva: 0,
            factura_id: vm.documento.factura_id,
            fecha_reserva: '1999-01-01',
            impuesto_id: 1,
            nombre_jugador: '',
            nota: '',
            notas: '',
            precio: 0,
            producto: 'NOTA',
            producto_id: 0,
            ticket_id: 0,
            tipo_iva: 21,
            total: 0,
            totaldto: 0

        };


        // $scope.$broadcast('venta:add-linea-venta');

        $scope.$broadcast('linea-venta:add', vm.lineaNueva)

        /*vm.recalculoTotales();
        vm.productos = [];
        vm.cantidad = 1 ;
        vm.focoProducto = true ;*/
    };

    vm.modificaLineaVenta = function (linea) {
        $scope.$broadcast('linea-venta:modificar', linea);
    }


    // Generamos un nuevo Documento
    vm.nuevoAlbaran = function () {
        vm.cliente = {
            id: 0,
            razon_social: ""
        };
    };


    function leerCobros() {
        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = vm.documento.id;
        evo.llama('/albaranes/cobros', vm.rd).then(function (data) {
            vm.documento.cobros = data.datos;
            vm.recalculoTotales();
        }, function (error) {
            console.log(error);
        });
    }

    function verCobro(registro) {
        vm.datoscobro = {
            cobro: registro,
            documento: vm.documento,
            tipo: 'AL'
        }
        $scope.$broadcast('abre-cobro-documento', vm.datoscobro);
    }

    function borrar() {

    }

    function borrarCobro(registro) {
        Evoratec.mensaje('¿Realmente desea borrar este cobro?', 'Borrar Cobro').then(function () {
            var evo = new EvoratecApi.api();
            vm.rd = {};
            vm.rd.id = registro.id;
            evo.llama('/cobros/borrar', vm.rd).then(function (data) {
                vm.leerCobros();
            }, function (error) {
                console.log(error);
            });
        });
    }

    // enviamos un evento y un registro vacio.
    function nuevoCobro() {
        vm.datoscobro = {
            documento: vm.documento,
            tipo: 'AL'
        }
        $scope.$broadcast('nuevo-cobro-documento', vm.datoscobro);
    }

    $scope.$on('grabando-cobro-documento', function (event, data) {
        vm.leerCobros();
    });
    $scope.$on('linea-venta:grabar', function (event, data) {
        vm.leeLineasVenta();
    });
    $scope.$on('ventas:documento_grabado', function (e, d) {

    });
    $scope.$on('clientes:selecciona-cliente', function (evento, cliente) {
        vm.documento.cliente_id = cliente.id;
        vm.cliente = cliente;
    });

    $scope.$on('selecciona-producto', function (event, data) {
        // vm.addlineaVenta(data);
    });

    $scope.$on('ver-lista-productos', function () {
        vm.verLista = true;
    });
    $scope.$on('cierra-lista-productos', function () {
        vm.verLista = false;
    });


    $rootScope.$on('errorpeticion', function (e, d) {
        console.log(d);
    });

    $scope.$on('ver-extracto-producto', function (event, data) {
        vm.verDatos(data.id);
        vm.abrir();
    });



    vm.dragularOptions = {
        moves: function (el, container, handle) {
            return handle.className === 'ordeno-lineas';
        },
        ignoreInputTextSelection: true
    };

    function guid() {
        return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
            s4() + '-' + s4() + s4() + s4();
    }

    function s4() {
        return Math.floor((1 + Math.random()) * 0x10000)
            .toString(16)
            .substring(1);
    }

}




;angular.module('app').directive('lineaVenta', lineaVenta);
function lineaVenta() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/albaranes/linea-venta.html',
        controller: lineaVentaController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

lineaVentaController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function lineaVentaController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verProducto : verProducto,
        extractoProducto : extractoProducto,
        nuevoProducto : nuevoProducto
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.productos = [];

    vm.focoCantidad = false ;

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };

    function nuevoProducto(){
        var producto_nuevo = {}
        $scope.$broadcast('nuevo-registro-producto',producto_nuevo);
    }

    vm.seleccionaProducto = function(producto) {
        vm.fd.precio = producto.precio ;
        vm.fd.producto = producto.producto ;
        vm.fd.producto_id = producto.id ;
        vm.fd.descripcion = producto.descripcion ;
        vm.focoProducto = false ;
        vm.focoCantidad = true ;
        vm.productos = [];
    }
    vm.productos = [];
    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });
    }
    // esto en caso del popup
    $scope.$on('linea-venta:modificar', function (event,data) {

        vm.nuevoRegistro = false ;
        vm.fd = angular.copy(data);
        vm.abrir();

        $timeout(function(){
            vm.focoProducto = false ;
            vm.focoCantidad = true ;
        },300);

    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;

        $timeout(function(){
            vm.focoCantidad = false ;
            vm.focoProducto = true ;
        },300);
    }

    function verProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('abre-registro-producto',registro);
    }
    function extractoProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('ver-extracto-producto',registro);
    }

    vm.recalcular = function() {
        vm.fd.total = vm.fd.cantidad * vm.fd.precio ;
    }
    function grabar(){
        // todoevo ver si la linea es de albaranes o de facturas.
        vm.rd = angular.copy(vm.fd) ;
       //  vm.rd.fecha = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/grabar-linea',vm.rd).then(function(data){
            vm.cancelar();
        },function(error){
            console.log(error);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        $scope.$emit('linea-venta:grabar');
        vm.abreVentana = false ;
    }

    $scope.$on('linea-venta:add', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.fd = angular.copy(data) ;
        vm.abrir();
    });

    $scope.$on('selecciona-producto', function (event, data) {
        vm.seleccionaProducto(data);
    });

};angular.module('app').directive('listaFacturas', listaFacturas);
function listaFacturas(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/facturas/facturas-lista.html',
        scope: {
        },
        link: linkFunc,
        controller: listaFacturasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
listaFacturasController.$inject = ['Reservas','$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function listaFacturasController(Reservas,$filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Factura'
        },
        {
            columna: 'fecha_a',
            field: 'fecha_a',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'pendiente',
            field:'pendiente',
            sort : 'pendiente',
            header : 'Pendiente'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        }

    ];
    
    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    vm.cliente = {
        id : 0
    }

    // request data
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        leerClientes : leerClientes,
        imprimir : imprimir,
        leeDocumento : leeDocumento,
        ver : ver,
        listado : listado
    })
    vm.init();


    function init(){
        vm.verDatos();
    }

    function ver(item) {

        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
            vm.leeDocumento(item.id);
        }

    }

    // dry todoevo  pasarlo todo a un servicio

    function leeDocumento(id) {
        vm.rd = {
            id : id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/ver',vm.rd).then(function(data){
            vm.datosDoc = data.datos ;

        },function(error){
            console.log(error);
        });
    }

    function imprimir(registro) {
        vm.rd = {};
        vm.rd.id = registro.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/imprimir',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', registro.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
    }

    function listado() {
        vm.rd = {};
        vm.rd.cliente_id = vm.cliente.id ;
//  vm.rd.idcliente = vm.clientes.id ;
        if (vm.fechaInicio._isAMomentObject) {
            vm.rd.fecha_ini =vm.fechaInicio.format('YYYY-MM-DD').toString()
            vm.rd.fecha_fin =vm.fechaFin.format('YYYY-MM-DD').toString()
            //    vm.rd.fecha_fin =vm.fechaFin.format(),'YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
            vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');
        }

        console.log(vm.rd)
        blockUI.start('Procesando petición');
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/listado',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
            //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
        blockUI.stop();
    }


    // Ver los Avales que tenemos
    function verDatos() {
        vm.rd = {};
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.cliente.id ;
      //  vm.rd.idcliente = vm.clientes.id ;
        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/facturas/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    // facturado : dato.factura_id>0?'Si':'No',
                    fecha_a: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            blockUI.stop();
        });
    }


    function verRegistro(registro) {
        $scope.$broadcast('modificar-factura',registro);
        // $location.path('/factura/'+registro.id);
    }
    function nuevoRegistro() {
        $scope.$broadcast('crear-factura');
    }

    $scope.$on('grabando-factura', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });


    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };
}

;angular.module('app').directive('registroFactura', registroFactura);
function registroFactura(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/facturas/facturas-registro.html',
        scope: {},
        link: linkFunc,
        controller: registroFacturaController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
registroFacturaController.$inject = ['$scope', '$location','$timeout','EvoratecApi','Evoratec',
                    '$rootScope','$routeParams','$filter','ngDialog'];
function registroFacturaController($scope, $location,  $timeout,EvoratecApi,Evoratec,
                                   $rootScope,$routeParams,$filter,ngDialog) {

    var vm = this;

    $rootScope.bodyClass = 'documento';

    vm.facturaPdf = '';
    vm.address = {};
    vm.focoProducto = true ;
    vm.factura = {
        factura: ''
    }
    vm.linea = {
        id: 0
    }
    vm.cantidad = 1 ;
    vm.productos = [];
    vm.producto = {
        Key: "",
        Value: 0
    };
    vm.clientes = [];
    vm.cliente = {};
    vm.verLista = false ;
    vm.abreCobros = false ;
    vm.cantidadACobrar = 0 ;

    vm.estamosEnLineas = false ;

    angular.extend(vm,{
        init : init,
        abrir: abrir,
        cerrar : cerrar,
        leeDocumento : leeDocumento,
    //    nuevoDocumento : nuevoDocumento,
        leerCobros : leerCobros,
        leerDepositos : leerDepositos,
        verCobro : verCobro ,
        nuevoCobro : nuevoCobro,
        borrarCobro : borrarCobro,
        nuevoDeposito : nuevoDeposito,
        borrarDeposito : borrarDeposito,
        leeLineasVenta : leeLineasVenta,
        imprimirDocumento : imprimirDocumento,
        anaAlbaranes : anaAlbaranes,
        quitarAlbaranes : quitarAlbaranes
    });

    vm.series = [
        {
            id : 1,
            descripcion : 'Serie de facturación normal'
        },
        {
            id : 2,
            descripcion : 'Serie de facturación simplificada'
        },
    ];




    vm.init();
    function init() {
    }

    function abrir(){
        $rootScope.$emit('quita-scroll');
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }
    function cerrar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('modificar-factura', function (event,registro) {
        vm.esNuevo = false;
        vm.rd = {};
        vm.rd.id = registro.id;
        vm.leeDocumento();
        vm.textoBotonGrabar = 'Grabar';
    });

    $scope.$on('crear-factura', function () {
        vm.esNuevo = true;
        vm.nuevoDocumento();
        vm.textoBotonGrabar = 'Grabar';
    })


    function leeDocumento() {
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/ver',vm.rd).then(function(data){
            vm.documento = data.datos ;
            vm.fecha = vm.documento.fecha ;
            // leemos el dato del asociado
            vm.cliente.razon_social = '' ;
            vm.cliente.id = vm.documento.cliente_id;
            vm.leerClientes('',vm.cliente.id);
            vm.leerCobros();
            vm.abrir();
        },function(error){
            console.log(error);
        });
    }
    function imprimirDocumento() {
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/imprimir',vm.rd).then(function(data){
          //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', vm.documento.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
    }
    function leeLineasVenta() {
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/lineas-venta',vm.rd).then(function(data){
            vm.documento.lineas = data.datos;
            vm.recalculoTotales();
        },function(error){
            console.log(error);
        });
    }

    /*function nuevoDocumento() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/nuevo',vm.rd).then(function(data){
            vm.documento = data.datos ;
            // leemos el dato del asociado
            vm.cliente.razon_social = '' ;
            vm.cliente.id = data.cliente_id;
            vm.leerClientes('',vm.fd.cliente_id);
            // vm.leerCobrosReserva();

        },function(error){
            console.log(error);
        });
    }*/

    var leyendoClientes = false ;

    vm.cobrarDocumento = function(){
        vm.abreCobros = true ;
    }

    vm.grabaDocumento = function(){
        vm.documentograbar = angular.copy(vm.documento)
        vm.documentograbar.fecha =  $filter('date')(vm.fecha, 'yyyy-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/grabar',vm.documentograbar).then(function(data){
            vm.cerrar();
            $scope.$emit('grabando-factura',vm.fd);
        });
    }


    // lectura de clientes para un desplegable si lo utilizamos
    vm.leerClientes = function(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function (data) {
                vm.clientes = data.datos;
                if (id > 0) { // hemos mandado leer un solo asociado y copiamos el resultado a vm.asociado
                    angular.copy(vm.clientes[0], vm.cliente);
                }
                leyendoClientes = false;
            });
    };

    vm.seleccionaCliente = function(lineaVenta,modelo) {
        vm.documento.cliente_id = lineaVenta.id ;
    }
    vm.seleccionaSerie = function(lineaVenta,modelo) {
        //vm.documento.serie_id = series.id ;
    }

    var leyendoProductos = false;

    vm.buscarClientes = function(){
        $scope.$broadcast('ventas:buscar-clientes')
    }
    function anaAlbaranes (){
        var datos = {};
        datos.cliente_id = vm.documento.cliente_id ;
        datos.factura_id = vm.documento.id ;
        $scope.$broadcast('facturas:ana-albaranes',datos)
    }

    function quitarAlbaranes (){
        var datos = {};
        datos.factura_id = vm.documento.id ;
        $scope.$broadcast('facturas:quitar-albaranes',datos)
    }


    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });

    }

    vm.irProducto = function() {
        vm.focoProducto = true ;
        vm.linea.id = 0;
    }

    vm.ver = function (lineaVenta) {
        $scope.$broadcast('linea-venta:modificar', lineaVenta);
    }

    vm.borraLineaVenta = function (lineaVenta) {

        if (vm.documento.lineas.length == 0)
            return;

        Evoratec.mensaje('¿ Estás seguro de querer borrar esta linea ?','Borrar Linea').then(function(){
            vm.rd = {};
            vm.rd.id = lineaVenta.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/albaranes/borrar-linea',vm.rd).then(function(data){
                vm.leeLineasVenta();
            },function(error){
                console.log(error);
            });


        })
    };

    vm.recalculoTotales = function () {
        var total = 0;
        vm.documento.impuestos = [];
        for (var i in vm.documento.lineas) {
            var baseLinea = 0 ;
            var totalIvaLinea = 0 ;

            var lineaVenta = vm.documento.lineas[i];

            var cantidad = lineaVenta.cantidad;
            var row_total = cantidad * lineaVenta.precio;

            if (isNaN(row_total)) row_total = 0;
            total += row_total;

            lineaVenta.total = row_total;
            // Buscamos registro de iva
            // si el cliente es intracomunitario, la base será solamente una con el tipo de iva a 0.
            // las retenciones se
            /*
             base
             tipo_iva
             iva_total
             total
             */
            baseLinea = 0 ;

            baseLinea = (row_total / ( 1 + (lineaVenta.tipo_iva / 100))) ;
            totalIvaLinea = row_total - baseLinea ;

            var registroIva = _.find(vm.documento.impuestos,{tipo_iva:lineaVenta.tipo_iva})
            if (angular.isUndefined(registroIva)) {

                vm.documento.impuestos.push({
                    tipo_iva: lineaVenta.tipo_iva,
                    base: baseLinea,
                    total_iva: totalIvaLinea
                });
                console.log(vm.documento.impuestos);
            } else {
                registroIva.base = registroIva.base +  baseLinea;
                registroIva.total_iva = registroIva.total_iva + totalIvaLinea;
            }
            // lo mismo haremos con los descuentos
        }

        vm.documento.total = total;

        vm.documento.cobrado = 0 ;
        vm.documento.pendiente = vm.documento.total ;

        for (var i in vm.documento.cobros) {
            var cobro = vm.documento.cobros[i];
            var total = cobro.total;
            vm.documento.cobrado += total;
        }
        for (var i in vm.documento.depositos) {
            var deposito = vm.documento.depositos[i];
            var total = deposito.total;
            vm.documento.cobrado += total;
        }

        vm.documento.pendiente = vm.documento.total - vm.documento.cobrado ;
        vm.cantidadACobrar = vm.documento.pendiente ;
    };

    vm.anadeLineaVarios = function (lineaVenta) {

        vm.lineaNueva = {
            id : 0,
            albaran_id: 0,
            factura_id: vm.documento.id,
            cantidad : 1,
            concepto_reserva : '',
            descripcion : '',
            descuento : 0,
            doc : vm.documento.doc,
            doctemp : '',
            empresa_id : 0,
            es_reserva : 0,
            fecha_reserva : '1999-01-01',
            impuesto_id: 1,
            nombre_jugador : '',
            nota : '',
            notas : '',
            precio : 0,
            producto : 'NOTA',
            producto_id : 0,
            ticket_id : 0,
            tipo_iva: 21,
            total: 0,
            totaldto : 0

        };
        $scope.$broadcast('linea-venta:add',vm.lineaNueva)

    };

    vm.modificaLineaVenta = function(linea) {
        $scope.$broadcast('linea-venta:modificar', linea);
    }


    function leerCobros() {
        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        evo.llama('/facturas/cobros',vm.rd).then(function(data){
            vm.documento.cobros = data.datos ;
            vm.leerDepositos();
        },function(error){
            console.log(error);
        });
    }
    function leerDepositos() {
        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        evo.llama('/facturas/depositos',vm.rd).then(function(data){
            vm.documento.depositos = data.datos ;
            vm.recalculoTotales();
        },function(error){
            console.log(error);
        });
    }

    function verCobro(registro) {
        vm.datoscobro = {
            cobro : registro,
            documento   : vm.documento,
            tipo : 'FA'
        }
        $scope.$broadcast('abre-cobro-documento',vm.datoscobro);
    }

    function borrarCobro(registro) {
        Evoratec.mensaje('¿Realmente desea borrar este cobro?','Borrar Cobro').then(function () {
            var evo = new EvoratecApi.api();
            vm.rd = {};
            vm.rd.id = registro.id ;
            evo.llama('/cobros/borrar',vm.rd).then(function(data){
                vm.leerCobros();
            },function(error){
                console.log(error);
            });
        });
    }

    function borrarDeposito(registro) {
        Evoratec.mensaje('¿Realmente desea borrar esta asignación de deposito?','Borrar Asignación').then(function () {
            var evo = new EvoratecApi.api();
            vm.rd = {};
            vm.rd.id = registro.id ;
            vm.rd.deposito_id = registro.deposito_id ;
            evo.llama('/depositos/borrar-asignacion',vm.rd).then(function(data){
                vm.leerCobros();
            },function(error){
                console.log(error);
            });
        });
    }

    // enviamos un evento y un registro vacio.
    // TODOEVO 2017-04-16 COBROS de facturas
    function nuevoCobro() {
        vm.datoscobro = {
            documento   : vm.documento,
            tipo : 'FA'
        }
        $scope.$broadcast('nuevo-cobro-documento',vm.datoscobro);
    }

    function nuevoDeposito() {
        vm.datos = {
            factura_id : vm.documento.id,
            cliente_id : vm.documento.cliente_id,
            pendiente  : vm.documento.pendiente

        }
        $scope.$broadcast('depositos:asignacion_factura',vm.datos);
    }

    $scope.$on('deposito:asignado', function (event,data) {
        vm.leerCobros();
    });

    $scope.$on('grabando-cobro-documento', function (event,data) {
        vm.leerCobros();
    });
    $scope.$on('linea-venta:grabar', function (event,data) {
        vm.leeLineasVenta();
    });
    $scope.$on('ventas:documento_grabado',function(e,d){

    });
    $scope.$on('clientes:selecciona-cliente',function(evento,cliente){
        vm.documento.cliente_id = cliente.id ;
        vm.cliente = cliente ;
    });


    $rootScope.$on('errorpeticion',function(e,d){
        console.log(d);
    });

   /* vm.dragularOptions = {
        moves: function (el, container, handle) {
            return handle.className === 'ordeno-lineas';
        },
        ignoreInputTextSelection: true
    };*/



}




;angular.module('app').directive('abonosLista', abonosLista);
function abonosLista(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/abonos/abonos-lista.html',
        scope: {},
        link: linkFunc,
        controller: abonosListaController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;

    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
abonosListaController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function abonosListaController($filter,$scope,$log,Evoratec,EvoratecApi) {

    var vm = this;
    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            clase :'flex1',
            columna: 'abono',
            field:'abono',
            sort : 'abono',
            header: 'abono'
        },
        {
            clase :'flex4',
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header: 'Cliente'
        },
        {
            clase :'flex4',
            columna: 'nombre_jugador',
            field:'nombre_jugador',
            sort : 'nombre_jugador',
            header: 'Nombre Jugador'
        },
        {
            clase :'flex1 campo__fecha',
            columna: 'fecha_i',
            field:'fecha_i',
            sort : 'fechaini',
            header: 'Fecha Inicio'
        },
        {
            clase :'flex1 campo__fecha',
            columna: 'fecha_f',
            field:'fecha_f',
            sort : 'fechafin',
            header: 'Fecha fin'
        },
        {
            clase :'flex1',
            columna: 'doc',
            field:'doc',
            sort : 'doc',
            header: 'Doc.'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };
    vm.tabla = 'abonos';

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje,
        renovarAbono : renovarAbono,
        facturarAbono : facturarAbono,
        ticketAbonoConfirmado:ticketAbonoConfirmado,
        albaranAbono : albaranAbono,
        albaranAbonoConfirmado : albaranAbonoConfirmado
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
            vm.verDAbonos(item)
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
            vm.registroSel.id = 0;
        });
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-'+vm.tabla,registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-'+vm.tabla,vm.fd.registro);
    }

    function renovarAbono(registro) {
        $scope.$broadcast('renovar-abono',registro);
    }
    function facturarAbono(abono) {
        Evoratec.mensaje('¿ Está seguro de generar un ticket de este abono guay?','Generar Ticket').then(function () {
           vm.ticketAbonoConfirmado(abono);
        }).catch(function(error){
            console.log(error)
        });

        //$scope.$broadcast('abonos-venta',registro);
    }

    function ticketAbonoConfirmado(abono) {
        var mensajes = [];


        if (mensajes.length > 0 ) {

            Evoratec.mensajesError(mensajes,'Aceptar').then(function () {
                return ;
            }).catch(function(error){
                console.log(error)
            });
        } else {
            vm.rd = {
                cliente_id : abono.cliente_id,
                albaran_id: 0,
                cantidad: 1,
                concepto_reserva: '',
                descripcion: abono.descripcion_producto,
                descuento: 0,
                doc: '',
                doctemp: '',
                empresa_id: 0,
                es_reserva: 0,
                factura_id: 0,
                fecha_reserva: '1999-01-01',
                id: 0,
                impuesto_id: 1,
                nombre_jugador: abono.nombre_jugador,
                nota: '',
                notas: '',
                precio: abono.precio,
                producto: abono.producto,
                producto_id: abono.producto_id,
                abono_id : abono.id,
                tarifa_id : abono.tarifa_id,
                ticket_id: 0,
                tipo_iva: 21,
                total: abono.precio,
                totaldto: 0
            };

            var evo = new EvoratecApi.api();
            evo.llama('/abonos/generar-ticket',vm.rd).then(function(data){
                vm.verDatos();
            },function(error){
                console.log(error);
            });
        }


    }



    // proceso para albaranar
    function albaranAbono(abono) {
        Evoratec.mensaje('¿ Está seguro de generar un albarán de este abono ?','Generar Albarán').then(function () {
            vm.albaranAbonoConfirmado(abono);
        }).catch(function(error){
            console.log(error)
        });
    }

    function albaranAbonoConfirmado(abono) {
        var mensajes = [];


        if (mensajes.length > 0 ) {

            Evoratec.mensajesError(mensajes,'Aceptar').then(function () {
                return ;
            }).catch(function(error){
                console.log(error)
            });
        } else {
            vm.rd = {
                cliente_id : abono.cliente_id,
                albaran_id: 0,
                cantidad: 1,
                concepto_reserva: '',
                descripcion: abono.descripcion_producto,
                descuento: 0,
                doc: '',
                doctemp: '',
                empresa_id: 0,
                es_reserva: 0,
                factura_id: 0,
                fecha_reserva: '1999-01-01',
                id: 0,
                impuesto_id: 1,
                nombre_jugador: abono.nombre_jugador,
                nota: '',
                notas: '',
                precio: abono.precio,
                producto: abono.producto,
                producto_id: abono.producto_id,
                abono_id : abono.id,
                tarifa_id : abono.tarifa_id,
                ticket_id: 0,
                tipo_iva: 21,
                total: abono.precio,
                totaldto: 0
            };

            var evo = new EvoratecApi.api();
            evo.llama('/abonos/generar-albaran',vm.rd).then(function(data){
                vm.verDatos();
            },function(error){
                console.log(error);
            });
        }


    }


    vm.extractoAbono = function(registro) {
        $scope.$broadcast('ver-extracto-abono',registro);
    }

    $scope.$on('grabando-registro-'+vm.tabla, function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensajes,cabecera) {
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


    vm.verDAbonos = function(item) {
        vm.rd = {
            id : item.id,
            abono : item.abono
        };
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/ver-renovaciones',vm.rd).then(function(response){
            vm.dabonos = angular.copy(response.datos);
            vm.dabonos = _.map(vm.dabonos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
        });
    }

}



;angular.module('app').directive('abonosRegistro', abonosRegistro);
function abonosRegistro() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/abonos/abonos-registro.html',
        controller: abonosRegistroController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

abonosRegistroController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter'];
function abonosRegistroController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter ){
    // valores seleccionados con los select
    var vm = this ;
    vm.tabla = 'abonos';
    vm.registroSel = {
        id : 0
    };
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        leerClientes : leerClientes,
        leerTarifas : leerTarifas
    });
    vm.cliente = {
        id : 0
    }
    vm.producto = {
        id : 0,
        descripcion: ''
    }

    vm.anual = 0 ;
    vm.nofacturargf = 0 ;

    vm.tarifa = { id : 0};
    vm.tarifas = [];

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;

    // esto en caso del popup
    $scope.$on('abre-registro-'+vm.tabla, function (event,registro) {
        vm.cliente = {
            id : 0
        }
        vm.producto = {
            id : 0,
            descripcion: ''
        }
        vm.tarifa = { id : 0};
        vm.tarifas = [];

        vm.fd = {};
        vm.rd = {
            id : registro.id,
            abono : registro.abono
        };
        vm.verRegistro()
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }

    vm.verRegistro = function() {
        var evo = new EvoratecApi.api();
        evo.llama('/'+vm.tabla+'/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos);
            vm.anual = vm.fd.anual.toString() ;
            vm.nofacturargf = vm.fd.nofacturargf.toString();
            vm.leerClientes('',vm.fd.cliente_id);
            vm.leerProductos('',vm.fd.producto_id);
            vm.leerTarifas('',vm.fd.tarifa_id);
            vm.abrir();
        });
    }


    vm.productos = [];
    vm.leerProductos = function (clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = id;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
            if (id > 0) {
                angular.copy(vm.productos[0], vm.producto);
            }
        },function(error){
            console.log(error);
        });
    }

    function leerTarifas(clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.tarifas = data.datos;
            if (id > 0) {
                angular.copy(vm.tarifas[0], vm.tarifa);
            }
        });
    };


    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };

    function grabar(){
        // copiamos los datos del registro
        vm.rd = angular.copy(vm.fd);
        vm.rd.fechaini = $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd');
        vm.rd.fechafin = $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd');
        vm.rd.cliente_id = vm.cliente.id ;
        vm.rd.producto_id = vm.producto.id ;
        vm.rd.producto  = vm.producto.producto ;
        vm.rd.tarifa_id = vm.tarifa.id ;
        vm.rd.anual = vm.anual ;
        vm.rd.nofacturargf = vm.nofacturargf ;

        var evo = new EvoratecApi.api();
        var urlApi = '/'+vm.tabla+'/grabar' ;
        evo.llama(urlApi,vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            vm.cancelar();
            $scope.$emit('grabando-registro-'+vm.tabla,vm.fd);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-'+vm.tabla, function (event,data) {
        vm.nuevoRegistro = true ;
        vm.clientes = [];
        vm.cliente = { id : 0};
        vm.fd = angular.copy(data);
        vm.fd.id = 0 ;
        vm.abrir();
    });


    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


  
};angular.module('app').directive('abonosRenovacion', abonosRenovacion);
function abonosRenovacion() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/abonos/abonos-renovacion.html',
        controller: abonosRenovacionController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

abonosRenovacionController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter'];
function abonosRenovacionController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter ){
    // valores seleccionados con los select
    var vm = this ;

    vm.tabla = 'abonos';

    vm.registroSel = {
        id : 0
    };
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        leerClientes : leerClientes

    });

    vm.cliente = {
        id : 0
    }

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;

    // esto en caso del popup
    $scope.$on('renovar-abono', function (event,registro) {
        vm.fd = {};
        vm.rd = {
            id : registro.id,
            abono : registro.abono
        };
        vm.verRegistro()
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }

    vm.verRegistro = function() {
        var evo = new EvoratecApi.api();
        evo.llama('/'+vm.tabla+'/renovacion',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos); // datos nuevos.
            vm.abono = angular.copy(response.datos); // copiamos datos del abono anterior.
            vm.leerClientes('',vm.fd.cliente_id);
            // vm.vd.fechaini = angular.copy(response.datos);
            vm.abrir();
        });
    }

    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };


    function grabar(){
        // copiamos los datos del registro
        vm.rd = angular.copy(vm.fd);
        vm.rd.id = 999999 ; // indicamos que es una renovación
        vm.rd.fechaini = $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd');
        vm.rd.fechafin = $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd');

        var evo = new EvoratecApi.api();
        var urlApi = '/'+vm.tabla+'/grabar' ;
        evo.llama(urlApi,vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            vm.cancelar();
            $scope.$emit('grabando-registro-'+vm.tabla,vm.fd);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };

        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });

        confirmacion.then(function () {});
    }



};angular.module('app').directive('abonosVenta', abonosVenta);
function abonosVenta() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/abonos/abonos-venta.html',
        controller: abonosVentaController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

abonosVentaController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function abonosVentaController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verProducto : verProducto,
        nuevoProducto : nuevoProducto
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.productos = [];

    vm.focoCantidad = false ;

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };

    function nuevoProducto(){
        var producto_nuevo = {}
        $scope.$broadcast('nuevo-registro-producto',producto_nuevo);
    }

    vm.seleccionaProducto = function(producto) {
        console.log(producto)
        vm.fd.precio = producto.precio_venta ;
        vm.fd.producto = producto.producto ;
        vm.fd.producto_id = producto.id ;
        vm.fd.descripcion = producto.descripcion ;

        vm.focoProducto = false ;
        vm.focoCantidad = true ;
        vm.productos = [];
    }

    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });
    }

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
        $timeout(function(){
            vm.focoCantidad = false ;
            vm.focoProducto = true ;
        },300);
    }

    function verProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('abre-registro-producto',registro);
    }

    vm.recalcular = function() {
        vm.fd.total = vm.fd.cantidad * vm.fd.precio ;
    }
    function grabar(){

        vm.rd = angular.copy(vm.fd) ;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/generar-ticket',vm.rd).then(function(data){
            vm.cancelar();
        },function(error){
            console.log(error);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        $scope.$emit('abono-venta:grabar');
        vm.abreVentana = false ;
    }

    $scope.$on('abonos-venta', function (event,data) {
        vm.nuevoRegistro = true ;
        console.log(data)
        // inicializamos la linea de venta del abono
        vm.fd = {
            cliente_id : data.cliente_id,
            albaran_id: 0,
            cantidad: 1,
            concepto_reserva: '',
            descripcion: '',
            descuento: 0,
            doc: '',
            doctemp: '',
            empresa_id: 0,
            es_reserva: 0,
            factura_id: 0,
            fecha_reserva: '1999-01-01',
            id: 0,
            impuesto_id: 1,
            nombre_jugador: '',
            nota: '',
            notas: '',
            precio: 0,
            producto: '',
            producto_id: 0,
            abono_id : data.id,
            ticket_id: 0,
            tipo_iva: 21,
            total: 0,
            totaldto: 0
        };
        vm.abrir();
    });

    $scope.$on('selecciona-producto', function (event, data) {
        vm.seleccionaProducto(data);
    });

};angular.module('app').directive('abonosConsumo', abonosConsumo);
function abonosConsumo() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/abonos/abonos-consumo.html',
        controller: abonosConsumoController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

abonosConsumoController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function abonosConsumoController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.abonos = [];
    vm.abono = {};
    vm.producto = {
        precio : 0
    };

    vm.focoCantidad = false ;

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };


    vm.seleccionarAbono = function(data) {
        vm.abonos = [];
        vm.abono = data ;
        vm.producto = { precio : 0 };

        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = vm.abono.producto_id;
        vm.rd.fecha = $filter('date')(vm.documento.fecha, 'yyyy-MM-dd');
        evo.llama('/tickets/ver-producto', vm.rd).then(function (data) {
            vm.producto = data
        });

        console.log(vm.abono)
    }

    vm.leerAbonos = function (clave) {
        vm.abono = {};
        vm.producto = {} ;
        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/buscar',vm.rd).then(function(data){
            vm.abonos = data.datos;
            if (vm.abonos.length == 1) {
                vm.abono = vm.abonos[0];
            }
        },function(error){
            console.log(error);
        });
    }

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        vm.abono = {};
        vm.producto = {} ;
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
        $timeout(function(){
            vm.focoAbono = true ;
        },300);
    }

    vm.recalcular = function() {

    }
    function grabar(){
        var linea = {
            empresa_id: 0,
            ticket_id: vm.documento.id,
            albaran_id: 0,
            factura_id: 0,
            doctemp: '',
            doc: vm.documento.doc,
            notas: '',
            producto_id: vm.abono.producto_id,
            producto: vm.abono.producto,
            descripcion: vm.abono.descripcion,
            cantidad: 1,
            precio: vm.producto.precio,
            descuento: 0,
            totaldto: 0,
            total: 0,
            tipo_iva : 21,
            impuesto_id: 1,
            es_reserva: 0,
            fecha_reserva: '1999-01-01',
            nombre_jugador: vm.abono.nombre_jugador,
            concepto_reserva: 'SALIDA ABONO '+vm.abono.abono,
            nota: '',
            abono_id : vm.abono.id
        }
        // pasamos los datos para facturar y el abono
        vm.rd ={
            id : vm.abono.id,
            linea : linea
        };
        console.log(vm.rd)
        $scope.$emit('abono-salida:grabar',vm.rd);
        vm.cancelar();

    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('abonos-consumo', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.documento = data ;
        vm.abrir();
    });
    $scope.$on('cierra-lista-abonos', function (event,data) {
        vm.abonos = [];
    });

};angular.module('app').directive('abonosExtracto', abonosExtracto);
function abonosExtracto(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/abonos/abonos-extracto.html',
        scope: {
        },
        link: linkFunc,
        controller: abonosExtractoController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
abonosExtractoController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI','$routeParams'];
function abonosExtractoController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI,$routeParams) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
            columna: 'fecha_s',
            field: 'fecha_s',
            sort : 'fecha',
            header : 'Fecha'
        },
        {
            columna: 'doc',
            field: 'doc',
            sort : 'doc',
            header : 'Ticket'
        },
        {
            clase : 'flex4',
            columna: 'nombre_jugador',
            field: 'nombre_jugador',
            sort : 'nombre_jugador',
            header : 'Jugador'
        },
        {
            columna: 'cantidad',
            field: 'cantidad',
            sort : 'cantidad',
            header : 'cantidad'
        }

    ];

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        datos: {},
        pageNumber : 1
    };
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        ver : ver
    })

    vm.init();
    function init(){
        vm.total_salidas = 0 ;
    }

    function ver(item) {
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    function verRegistro(){
    }

    vm.abrir = function(){
        vm.abreVentana = true ;
    }
    vm.cancelar = function(){
        vm.abreVentana = false ;
    }

    function verDatos(id) {
        vm.rd = {};
        vm.rd.id = id ;
        /*  vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
          vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');*/
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/abonos/extracto',vm.rd).then(function(data){
            console.log(data)
            vm.fd.datos = _.map(data.salidas, function(dato) {
                return _.extend({}, dato, {
                    fecha_s: $filter('evofecha')(dato.fecha),
                });
            })
            vm.total_salidas = data.total_salidas ;
            blockUI.stop();
        });
    }
    $scope.$on('ver-extracto-abono', function (event,data) {
        vm.abono = data ;
        vm.total_salidas = 0 ;
        vm.verDatos(data.id);
        vm.abrir();
    });
}

;angular.module('app').directive('depositosLista', depositosLista);
function depositosLista(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/depositos/depositos-lista.html',
        scope: {},
        link: linkFunc,
        controller: depositosListaController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;

    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
depositosListaController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function depositosListaController($filter,$scope,$log,Evoratec,EvoratecApi) {

    var vm = this;


    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            clase :'flex1 campo__fecha',
            columna: 'fecha',
            field:'fecha',
            sort : 'fecha_a',
            header: 'Fecha'
        },
        {
            clase :'flex4',
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header: 'Cliente'
        },
        {
            clase :'flex1 campo__total',
            columna: 'total',
            field:'total',
            sort : 'total',
            header: 'Total'
        },
        {
            clase :'flex1 campo__total',
            columna: 'saldo',
            field:'saldo',
            sort : 'saldo',
            header: 'saldo'
        }
    ];

    vm.cliente = {
        id : 0
    }
    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };
    vm.tabla = 'depositos';

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
            vm.verAsignaciones(item)
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {};
        vm.rd.cliente_id = vm.cliente.id ;
        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');

        var evo = new EvoratecApi.api();
        evo.llama('/depositos/lista',vm.rd).then(function(data){
            vm.fd.datos = _.map(data.datos , function(dato) {
                return _.extend({}, dato, {fecha_a: $filter('evofecha')(dato.fecha)});
            });
            vm.registroSel.id = 0;
        });
    }

    // todoevo cambiar para quitar código.

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-'+vm.tabla,registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-'+vm.tabla,vm.fd.registro);
    }
    $scope.$on('grabando-registro-'+vm.tabla, function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensajes,cabecera) {
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


    vm.verAsignaciones = function(item) {
        vm.rd = {
            id : item.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/depositos/ver-asignaciones',vm.rd).then(function(response){
            vm.asignaciones = _.map(response.datos, function(dato) {
                return _.extend({}, dato, {fecha_a: $filter('evofecha')(dato.fecha)});
            });
        });
    }

}



;angular.module('app').directive('depositosRegistro', depositosRegistro);
function depositosRegistro() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/depositos/depositos-registro.html',
        controller: depositosRegistroController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

depositosRegistroController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter'];
function depositosRegistroController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter ){
    // valores seleccionados con los select
    var vm = this ;
    vm.tabla = 'depositos';
    vm.registroSel = {
        id : 0
    };
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        leerClientes : leerClientes,
        leerFormasPago : leerFormasPago
    });

    vm.cliente = {
        id : 0,
        razon_social : ''
    }

    vm.formapago = {
        id : 0,
        descripcion : ''
    };

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;

    // esto en caso del popup
    $scope.$on('abre-registro-'+vm.tabla, function (event,registro) {
        vm.fd = {};
        vm.rd = { id : registro.id };
        vm.verRegistro()
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        vm.leerFormasPago()
        $rootScope.$emit('quita-scroll');
        $timeout(function() {
            vm.abreVentana = true ;
        },200);
    }

    function leerFormasPago(){
        vm.rd = {
            descripcion :'',
            id: 0
        };
        var evo = new EvoratecApi.api();
        evo.llama('/formaspago/lista',vm.rd).then(function(data){
            vm.formasPago = data.datos ;
        });
        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }

    vm.verRegistro = function() {
        var evo = new EvoratecApi.api();
        evo.llama('/'+vm.tabla+'/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos);
            vm.formapago.id = vm.fd.formapago_id ;
            vm.leerClientes('',vm.fd.cliente_id);
            vm.abrir();
        });
    }

    
    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                // angular.copy(vm.clientes[0], vm.cliente);
                vm.cliente.id = vm.clientes[0].id;
                vm.cliente.razon_social = vm.clientes[0].razon_social ;
                console.log(vm.cliente)
            }
            leyendoClientes = false;
        });
    };

    function grabar(){
        // copiamos los datos del registro
        vm.rd = angular.copy(vm.fd);
        vm.rd.fecha = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        vm.rd.cliente_id = vm.cliente.id ;
        vm.rd.formapago_id = vm.formapago.id ;
        var evo = new EvoratecApi.api();
        var urlApi = '/'+vm.tabla+'/grabar' ;
        evo.llama(urlApi,vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            vm.cancelar();
            $scope.$emit('grabando-registro-'+vm.tabla,vm.fd);
        });
    }


    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-'+vm.tabla, function (event,data) {
        vm.nuevoRegistro = true ;
        vm.clientes = [];
        vm.cliente.id = 0 ;
        vm.fd = angular.copy(data);
        vm.formapago.id = 0 ;
        vm.fd.id = 0 ;
        vm.abrir();
    });


    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


  
};angular.module('app').directive('depositosAsignacion', depositosAsignacion);
function depositosAsignacion(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/depositos/depositos-asignacion.html',
        scope: {
        },
        link: linkFunc,
        controller: depositosAsignacionController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
depositosAsignacionController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function depositosAsignacionController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    // request data
    vm.rd = {};
    vm.fd = {};
    vm.td = {};

    // extendemos el controlador
    angular.extend(vm,{
        verDatos : verDatos,
        asignar : asignar,
        grabarAsignacion : grabarAsignacion,
        cerrar   : cerrar
    })

    // eventos
    $scope.$on('depositos:asignacion_factura',function(event,data){
        vm.abreVentana = true ;
        vm.td.cliente_id = data.cliente_id ;
        vm.td.factura_id = data.factura_id ;
        vm.td.pendiente  = data.pendiente ;
        vm.verDatos();
    });


    function cerrar() {
        vm.abreVentana = false ;
    }

    function asignar(item){
        vm.verCantidad = true ;
        vm.td.deposito_id = item.id ;
    }


    function grabarAsignacion(){
        vm.rd = {};
        vm.rd.factura_id    = vm.td.factura_id;
        vm.rd.deposito_id   = vm.td.deposito_id ;
        vm.rd.cliente_id    = vm.td.cliente_id ;
        vm.rd.total         = vm.total_asignado ;


        blockUI.start('Asignando depósito');
        var evo = new EvoratecApi.api();
        evo.llama('/depositos/asignar-a-factura',vm.rd).then(function(data){
            blockUI.stop();
            console.log(data);
            if (data.resultado == 'ko') {
                Evoratec.mensajesError(data.mensajes, 'Aceptar').then(function () {});
            } else {
                vm.verCantidad = false ;
                $scope.$emit('deposito:asignado');
                vm.cerrar();
            }
        });
    }

    // leemos los depositos con saldo > 0
    function verDatos() {
        vm.rd = {};
        vm.rd.cliente_id = vm.td.cliente_id ;
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo datos');
        evo.llama('/depositos/lista-pendientes',vm.rd).then(function(data){
            vm.fd.datos = _.map(data.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_a: $filter('evofecha')(dato.fecha)
                });
            })
            blockUI.stop();
        });
    }
}

;
angular.module("app").factory("Tickets", ['$http','$rootScope',
    function ( $http,  $rootScope) {
        var ticket = {};
        var ticketInicial = {
            id : 0,
            doc : "",
            fecha: "2017-01-01",
            cliente_id :0,
            serie_id: 0,
            factura_id:0,
            formapago_id:0,
            reserva_id:0,
            total: 0,
            retencion:0,
            base_retencion : 0,
            total_retencion:0,
            total_cobrar: 0,
            entrega_vales: 0,
            cobrado:0,
            pendiente:0,
            notas: "",
            concepto:"",
            lineas: [],
            impuestos:[],
            cobros:[]
        };

        // creamos el documento
        ticket.new = function () {
            this.obj = angular.copy(ticketInicial);
            return this.obj;
        };

        return ticket;
    }]);;angular.module('app').directive('listaTickets', listaTickets);
function listaTickets(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tickets/tickets-lista.html',
        scope: {
        },
        link: linkFunc,
        controller: listaTicketsController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

listaTicketsController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','$rootScope'];
function listaTicketsController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,$rootScope) {
    // definimos variables
    var vm = this;

    vm.columnas  = [{
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Factura S./Ticket'
    },
        {
            columna: 'fecha_t',
            field: 'fecha_t',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        },
        {
            columna: 'pendiente',
            field:'pendiente',
            sort : 'pendiente',
            header : 'Pendiente'
        }

    ];

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = fechaActual;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // Busqueda asociado
    vm.clientes = [];
    vm.cliente = {
        Key: "",
        Value: 0
    };
    vm.menuRegistro = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro(vm.itemPopup)"
        }
    ];

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        // borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        leerClientes : leerClientes,
        exportar    : exportar
    })
    vm.init();


    function init(){
        $rootScope.origen = 'tickets';
        vm.verDatos();
    }

    function ver(item) {
        vm.itemDetalle = item ;
    }

    // http://stackoverflow.com/questions/25745378/transmit-xlsx-data-from-php-to-javascript-through-json-data-structure

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/exportar',vm.rd).then(function(data){
           downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'facturas-simplificadas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }


    function verDatos() {
        vm.rd = {};
        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.clientes.id ;
        if (vm.fechaInicio._isAMomentObject) {
            vm.rd.fecha_ini =vm.fechaInicio.format('YYYY-MM-DD').toString()
            vm.rd.fecha_fin =vm.fechaFin.format('YYYY-MM-DD').toString()
            //    vm.rd.fecha_fin =vm.fechaFin.format(),'YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
            vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'yyyy-MM-dd');
        }
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_t: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
        });
    }

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ está seguro de querer borrar este ticket ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Aceptar</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            Reservas.borrar(vm.rd).then(function(data){
                verDatos();
            },function(error){
                console.log(error);
            });
        });

       /*
       *
       *
       */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $location.path('/ticket/'+registro.id);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/nuevo', vm.rd).then(function (data) {

            $location.path('/ticket/'+data.datos[0].id);

        }, function (error) {

        });
    }
    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (angular.isUndefined(id)) id = 0 ;
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };
}

;angular.module('app').directive('listaTicketsDiaria', listaTicketsDiaria);
function listaTicketsDiaria(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tickets/tickets-lista-diaria.html',
        scope: {
        },
        link: linkFunc,
        controller: listaTicketsDiariaController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

listaTicketsDiariaController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','$rootScope','blockUI'];
function listaTicketsDiariaController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,$rootScope,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [{
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Factura S./Ticket'
    },
        {
            columna: 'fecha_t',
            field: 'fecha_t',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'hora',
            field: 'hora',
            sort : 'hora',
            header : 'Hora'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        },
        {
            columna: 'pendiente',
            field:'pendiente',
            sort : 'pendiente',
            header : 'Pendiente'
        }

    ];

    var hora = new Date().toISOString().substr(11, 5);

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = fechaActual;
    vm.fechaFin = fechaActual;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // Busqueda asociado
    vm.clientes = [];

    vm.cliente = {
        Key: "",
        Value: 0
    };

    vm.registroSel = {
        id : 0
    };

    vm.menuRegistro = [
        {
            "text": "Borrar",
            "click": "vm.borrarRegistro(vm.itemPopup)"
        }
    ];

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        // borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        leerClientes : leerClientes,
        exportar    : exportar,
        nuevoDocumento : nuevoDocumento,
        leeDocumento : leeDocumento,
        listadoCaja : listadoCaja,
        ver : ver,
        listado : listado,
        pagosTpv : pagosTpv
    })

    vm.init();

    function init(){
        $rootScope.origen = 'diario';
        vm.verDatos();
    }

    function ver(item) {
        console.log(item)
        console.log(vm.registroSel)

        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
            vm.leeDocumento(item.id);
        }

    }


    function leeDocumento(id) {
        vm.rd = {
            id : id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/ver',vm.rd).then(function(data){
            vm.datosDoc = data.datos ;
        },function(error){
            console.log(error);
        });
    }
    // http://stackoverflow.com/questions/25745378/transmit-xlsx-data-from-php-to-javascript-through-json-data-structure

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/exportar',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'facturas-simplificadas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }

    function nuevoDocumento() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/nuevo', vm.rd).then(function (data) {

            $location.path('/ticket/'+data.datos[0].id);

        }, function (error) {

        });
    }
    function verDatos() {
        vm.rd = {};
        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.clientes.id ;
        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.es_diario = true ;
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_t: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
        });
    }


    function listado() {
        vm.rd = {};

        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = 0 ;
        if (vm.fechaInicio._isAMomentObject) {
            vm.rd.fecha =vm.fechaInicio.format('YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
        }

        blockUI.start('Procesando petición');
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/listado-diario',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
            //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
        blockUI.stop();
    }

    function listadoCaja() {
        vm.rd = {};

        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = 0 ;
        if (vm.fechaInicio._isAMomentObject) {
            vm.rd.fecha =vm.fechaInicio.format('YYYY-MM-DD').toString()
        } else {
            vm.rd.fecha = $filter('date')( vm.fechaInicio, 'yyyy-MM-dd');
        }

        blockUI.start('Procesando petición');
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/listado-caja',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
            //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;
        },function(error){
            console.log(error);
        });
        blockUI.stop();
    }

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ está seguro de querer borrar este ticket ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Aceptar</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            Reservas.borrar(vm.rd).then(function(data){
                verDatos();
            },function(error){
                console.log(error);
            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $rootScope.origen = 'diario';
        $location.path('/ticket/'+registro.id);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        // todoevo. Comprobar si tenemos abierta la caja.
        $location.path('/ticket/new');
    }
    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (angular.isUndefined(id)) id = 0 ;
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };

    function pagosTpv() {
        $scope.$broadcast('ver-pagos-tpv');
    }
}

;angular.module('app').directive('registroTicket', registroTicket);
function registroTicket() {
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tickets/tickets-registro.html',
        scope: {},
        link: linkFunc,
        controller: registroTicketController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
registroTicketController.$inject = ['$scope', '$location', '$http', '$timeout', 'EvoratecApi','$filter', '$rootScope','$routeParams'];
function registroTicketController($scope, $location,  $http, $timeout, EvoratecApi,$filter, $rootScope,$routeParams) {

    var vm = this;
    $rootScope.bodyClass = 'ticket-tpv';

    var fechaActual = new Date().toISOString().substr(0, 10);
    var hora = new Date().toISOString().substr(11, 5);

    angular.extend(vm, {
        init: init,
        leeDocumento: leeDocumento,
        leerCobros: leerCobros,
       // nuevoCobro: nuevoCobro,
        borrarCobro: borrarCobro,
        grabarCobro : grabarCobro,
        imprimirDocumento : imprimirDocumento,
        salir : salir,
        nuevoTicket : nuevoTicket,
        verProductosRapidos : verProductosRapidos
    });


    vm.address = {};
    vm.focoProducto = true;
    vm.factura = {
        factura: ''
    }
    vm.linea = {
        id: 0
    }
    vm.cantidad = 1;
    vm.productos = [];
    vm.producto = {
        Key: "",
        Value: 0
    };
    vm.clientes = [];
    vm.cliente = {};
    vm.verLista = false;
    vm.abreCobros = false;
    vm.cantidadACobrar = 0;

    vm.estamosEnLineas = false;

    vm.botones_tpv = [
        { id: 1, descripcion:"Greenfees", orden:1},
        { id: 2, descripcion:"Abonos", orden:1},
        { id: 3, descripcion:"Buggies", orden:1},
        { id: 4, descripcion:"Alquileres", orden:1},
        { id: 5, descripcion:"Otros Golf", orden:1},
        { id: 6, descripcion:"Varios", orden:1},
    ]

    vm.leerProductos2 = function (clave) {
        vm.rd = {};
        vm.rd.id = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista-golf', vm.rd).then(function (data) {
            vm.productosRapidos = data.datos;
            vm.productos = [];
        }, function (error) {
            console.log(error);
        });
    }

    vm.series = [
        {
            id: 1,
            descripcion: 'Serie de facturación normal'
        },
        {
            id: 2,
            descripcion: 'Serie de facturación simplificada'
        },
    ]

    var leyendoClientes = false;

    vm.init();

    function init() {

        // indicamos que no es nuevo
        vm.esNuevo = false;
        vm.opcionesGrabar = false ;
        vm.leerProductos2(0);

        if ($routeParams.id > 0) {
            vm.esPopUp = false;
            vm.rd = {};
            vm.rd.id = $routeParams.id;
            vm.leeDocumento();
            vm.textoBotonGrabar = 'Grabar';
        }
    }

    function leeDocumento() {
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/ver', vm.rd).then(function (data) {
            vm.documento = data.datos;
            vm.lineasAnteriores = data.datos.lineas ;
            vm.fecha = vm.documento.fecha;
            // leemos el dato del asociado
            vm.cliente.razon_social = '';
            vm.cliente.id = vm.documento.cliente_id;
            if (vm.cliente.id != 0) {
                vm.leerClientes('', vm.cliente.id);
            } else {
                vm.cliente.id = 0 ;
                vm.cliente.razon_social = 'CLIENTES CONTADO';
            }

            vm.leerCobros();

        }, function (error) {
            console.log(error);
        });
    }

    vm.cobrarTicket = function () {
        if (vm.documento.total == 0) {
            return ;
        }
        vm.abreCobros = true;
    }

    vm.grabaDocumento = function(){
        vm.rd = {};
        vm.rd.documento = angular.copy(vm.documento);
        vm.rd.lineas_anteriores = vm.lineasAnteriores ;
        vm.rd.tipo  = '';
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/grabar',vm.rd).then(function(data){
            vm.documento.doc = data.doc ;
            vm.lineasAnteriores = vm.documento.lineas ;
            if (vm.imprimeDocumento) {
                vm.imprimirDocumento();
            }
            //vm.opcionesGrabar = true ;ç
            vm.documento.estado != 'CE' ? vm.nuevoTicket() : vm.salir();
        });
    }

    vm.grabaDocumentoImprime = function(){
        vm.imprimeDocumento = true ;
        vm.grabaDocumento();
    }

    vm.grabarTicketCero = function(){
        vm.imprimeDocumento = true ;
        vm.grabaDocumento();
    }

    vm.grabaDocumentoySale = function(){
        vm.salirTicket = true ;
        vm.grabaDocumento();
    }

    function salir() {

        if (vm.documento.estado != 'CE' &&  vm.documento.total == 0 && vm.documento.lineas.length == 0) {
            vm.rd = {};
            vm.rd.id = vm.documento.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/tickets/borra-temp', vm.rd).then(function (data) {
                if ($rootScope.origen == 'diario') {
                    $location.path('/tickets-diario');
                } ;
                if ($rootScope.origen == 'reservas') {
                    $location.path('/');
                }
                if ($rootScope.origen == 'tickets') {
                    $location.path('/tickets');
                }
            }, function (error) {

            });

        } else {
            if ($rootScope.origen == 'diario') {
                $location.path('/tickets-diario');
            };

            if ($rootScope.origen == 'reservas') {
                $location.path('/');
            }
            if ($rootScope.origen == 'tickets') {
                $location.path('/tickets');
            }

        }


    }

    function nuevoTicket() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/nuevo', vm.rd).then(function (data) {
            $location.path('/ticket/'+data.datos[0].id);
        }, function (error) {

        });
    }

    vm.aparcarDoc = function(){
        vm.rd = {};
        vm.rd.documento = angular.copy(vm.documento)
        vm.rd.lineas_anteriores = vm.lineasAnteriores ;
        vm.rd.tipo  = 'A';
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/grabar',vm.rd).then(function(data){
            vm.salir();
        });
    }
    vm.grabaDocumentoCobros = function(){
        if (vm.documento.total == 0) {
            return ;
        }
        vm.abreCobros = true;
        /*vm.rd.documento = angular.copy(vm.documento)
        vm.rd.tipo  = '';
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/grabar',vm.rd).then(function(data){
            vm.documento.doc = data.doc ;
            console.log(vm.documento)
            vm.abreCobros = true;
        });*/
    }

    vm.cobroEfectivo = function () {
        var totalCobrado = 0,
            entrega = 0,
            devolucion = 0;

        if (vm.cantidadACobrar > vm.documento.pendiente) {
            totalCobrado = vm.documento.pendiente;
            entrega = vm.cantidadACobrar;
            devolucion = vm.cantidadACobrar - vm.documento.pendiente;
        }
        if (vm.cantidadACobrar <= vm.documento.pendiente) {
            totalCobrado = vm.cantidadACobrar;
            entrega = vm.cantidadACobrar;
            devolucion = 0;
        }


        vm.cobro = {
            formapago: 'EF',
            total: totalCobrado,
            entrega: entrega,
            devolucion: devolucion,
            concepto : '',
            notas : ''
        }
        //vm.documento.cobros.push(vm.cobro); // todoevo decidir que hacer
        vm.grabarCobro(vm.cobro);
    }

    vm.cobroTarjeta = function () {
        var totalCobrado = 0,
            entrega = 0,
            devolucion = 0;

        if (vm.cantidadACobrar > vm.documento.pendiente) {
            totalCobrado = vm.documento.pendiente;
            entrega = vm.cantidadACobrar;
            devolucion = vm.cantidadACobrar - vm.documento.pendiente;
        }
        if (vm.cantidadACobrar <= vm.documento.pendiente) {
            totalCobrado = vm.cantidadACobrar;
            entrega = vm.cantidadACobrar;
            devolucion = 0;
        }

        vm.cobro = {
            formapago: 'TC',
            total: totalCobrado,
            entrega: entrega,
            devolucion: devolucion,
            concepto : '',
            notas : ''
        }
        //vm.documento.cobros.push(vm.cobro); // todoevo decidir que hacer
        vm.grabarCobro(vm.cobro);
    }


    function grabarCobro(cobro){
        vm.rd = {};
        vm.rd.id = 0 ;

        // todoevo condicional al tipo de documento
        vm.rd.ticket_id = vm.documento.id ;
        vm.rd.fecha      = $filter('date')(vm.documento.fecha, 'yyyy-MM-dd');
        vm.rd.total      = vm.cobro.total ;
        vm.rd.concepto   = vm.cobro.concepto ;
        vm.rd.notas      = vm.cobro.notas ;
        vm.rd.entrega    = vm.cobro.entrega ;
        vm.rd.devolucion = vm.cobro.devolucion;
        vm.rd.cliente_id = vm.documento.cliente_id ;
        vm.rd.formapago  = vm.cobro.formapago ;

        var evo = new EvoratecApi.api();
        evo.llama('/cobros/grabar',vm.rd).then(function(data){
            vm.leerCobros();
        });

    }


    vm.borraCobro = function (cobro) {
        if (vm.documento.cobros.length == 0)
            return;
        for (var i in vm.documento.cobros) {
            if (vm.documento.cobros[i].id == cobro.id) {
                vm.documento.cobros.splice(i, 1);
                break;
            }
        }
        vm.recalculoTotales();
    };



    vm.leerClientes = function(clave,id) {

        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();

        evo.llama('/clientes/lista',vm.rd).then(function (data) {
            vm.clientes = data.datos;
            if (id > 0) { // hemos mandado leer un solo asociado y copiamos el resultado a vm.asociado
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };

    vm.pagosTpv = function() {
        $scope.$broadcast('ver-pagos-tpv');
    }

    vm.seleccionaCliente = function (lineaVenta, modelo) {
        vm.documento.cliente_id = lineaVenta.id;
    }
    vm.seleccionaSerie = function (lineaVenta, modelo) {
        vm.documento.serie_id = lineaVenta.id;
    }

    var leyendoProductos = false;

    vm.buscarClientes = function () {
        $scope.$broadcast('ventas:buscar-clientes')
    }

    function verProductosRapidos() {
        $scope.$broadcast('productos:buscar-rapidos')
    }

    vm.abonosConsumo = function() {
        $scope.$broadcast('abonos-consumo',vm.documento)
    }

    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista', vm.rd).then(function (data) {
            vm.productos = data.datos;

        }, function (error) {
            console.log(error);
        });

    }

    function leerCobros() {
        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = vm.documento.id;
        evo.llama('/tickets/cobros', vm.rd).then(function (data) {
            vm.documento.cobros = data.datos;
            vm.recalculoTotales();
        }, function (error) {
            console.log(error);
        });
    }


    vm.irProducto = function () {
        vm.focoProducto = true;
        vm.linea.id = 0;
    }

    vm.ver = function (lineaVenta) {
        vm.focoProducto = false;
        vm.lineaVentaPopup = lineaVenta;
        if (vm.linea.id === lineaVenta.id) {
            vm.linea.id = 0;
        } else {
            vm.linea.id = lineaVenta.id;
            vm.focoCantidad = true;
            $timeout(function () {
                $scope.$broadcast('venta:add-line-lineaVenta')
            }, 250)
        }
    }

    vm.anadeUno = function () {
        vm.cantidad = vm.cantidad + 1;
        vm.focoProducto = true;
        if (vm.cantidad === 0) vm.cantidad = 1;
    }
    vm.quitaUno = function () {
        vm.cantidad = vm.cantidad - 1;
        if (vm.cantidad === 0) vm.cantidad = -1;
        vm.focoProducto = true;
    }

    vm.anadeUnoLinea = function (linea) {
        linea.cantidad = linea.cantidad + 1;
        if (linea.cantidad === 0) linea.cantidad = 1;
        vm.calcTotal();
    }
    vm.quitaUnoLinea = function (linea) {
        linea.cantidad = linea.cantidad - 1;
        if (linea.cantidad === 0) linea.cantidad = -1;
        vm.recalculoTotales();
    }

    vm.borraLineaVenta = function (lineaVenta) {
        if (vm.documento.lineas.length == 0)
            return;

        for (var i in vm.documento.lineas) {
            if (vm.documento.lineas[i].id == lineaVenta.id) {
                vm.documento.lineas.splice(i, 1);
                break;
            }
        }
        $scope.$broadcast('venta:add-line-lineaVenta')
        vm.recalculoTotales();
    };
    vm.recalculoTotales = function () {
        var total = 0;
        vm.documento.impuestos = [];
        for (var i in vm.documento.lineas) {
            var baseLinea = 0 ;
            var totalIvaLinea = 0 ;

            var lineaVenta = vm.documento.lineas[i];

            var cantidad = lineaVenta.cantidad;
            var row_total = cantidad * lineaVenta.precio;

            if (isNaN(row_total)) row_total = 0;
            total += row_total;

            lineaVenta.total = row_total;
            // Buscamos registro de iva
            // si el cliente es intracomunitario, la base será solamente una con el tipo de iva a 0.
            // las retenciones se
            /*
             base
             tipo_iva
             iva_total
             total
             */
            baseLinea = 0 ;

            baseLinea = (row_total / ( 1 + (lineaVenta.tipo_iva / 100))) ;
            totalIvaLinea = row_total - baseLinea ;

            var registroIva = _.find(vm.documento.impuestos,{tipo_iva:lineaVenta.tipo_iva})
            if (angular.isUndefined(registroIva)) {

                vm.documento.impuestos.push({
                    tipo_iva: lineaVenta.tipo_iva,
                    base: baseLinea,
                    total_iva: totalIvaLinea
                });
                console.log(vm.documento.impuestos);
            } else {
                registroIva.base = registroIva.base +  baseLinea;
                registroIva.total_iva = registroIva.total_iva + totalIvaLinea;
            }
            // lo mismo haremos con los descuentos
        }

        vm.documento.total = total;

        vm.documento.cobrado = 0 ;
        vm.documento.pendiente = vm.documento.total ;

        for (var i in vm.documento.cobros) {
            var cobro = vm.documento.cobros[i];
            var total = cobro.total;
            vm.documento.cobrado += total;
        }

        vm.documento.pendiente = vm.documento.total - vm.documento.cobrado ;
        vm.cantidadACobrar = vm.documento.pendiente ;
    };
    vm.recalculoTotales2 = function () {
        var total = 0;
        vm.documento.impuestos = [];
        for (var i in vm.documento.lineas) {
            var lineaVenta = vm.documento.lineas[i];

            var cantidad = lineaVenta.cantidad;
            var row_total = cantidad * lineaVenta.precio;

            if (isNaN(row_total)) row_total = 0;
            total += row_total;

            lineaVenta.total = row_total;
            // Buscamos registro de iva
            // si el cliente es intracomunitario, la base será solamente una con el tipo de iva a 0.
            // las retenciones se
            /*
             base
             tipo_iva
             iva_total
             total

             */
            var registroIva = _.find(vm.documento.impuestos,{tipo_iva:lineaVenta.tipo_iva})
            if (angular.isUndefined(registroIva)) {
                vm.documento.impuestos.push({
                    tipo_iva: lineaVenta.tipo_iva,
                    base: row_total,
                    total_iva: (row_total *(lineaVenta.tipo_iva/100))})
            } else {
                registroIva.base = registroIva.base + row_total ;
                registroIva.total_iva = registroIva.base * (registroIva.tipo_iva/100) ;
            }
            // lo mismo haremos con los descuentos
        }

        vm.documento.total = total;

        vm.documento.cobrado = 0 ;
        vm.documento.pendiente = vm.documento.total ;

        for (var i in vm.documento.cobros) {
            var cobro = vm.documento.cobros[i];
            var total = cobro.total;
            vm.documento.cobrado += total;
        }

        vm.documento.pendiente = vm.documento.total - vm.documento.cobrado ;
        vm.cantidadACobrar = vm.documento.pendiente ;
    };

    vm.anadeLineaVarios = function (lineaVenta) {
        vm.focoProducto = false;
        vm.linea.id = guid();
        vm.documento.lineas.push({
            albaran_id: 0,
            cantidad: 1,
            concepto_reserva: '',
            descripcion: '',
            descuento: 0,
            doc: vm.documento.doc,
            doctemp: '',
            empresa_id: 0,
            es_reserva: 0,
            factura_id: vm.documento.factura_id,
            fecha_reserva: '1999-01-01',
            id: vm.linea.id,
            impuesto_id: 1,
            nombre_jugador: '',
            nota: '',
            notas: '',
            precio: 0,
            producto: 'NOTA',
            producto_id: 0,
            ticket_id: vm.documento.id,
            tipo_iva: 21,
            total: 0,
            totaldto: 0

        });

        $scope.$broadcast('venta:add-linea-venta');

        vm.recalculoTotales();
        vm.productos = [];
        vm.cantidad = 1;
        vm.focoProducto = true;
    };


    vm.addlineaVenta = function (lineaVenta) {
        vm.focoProducto = false;
        vm.linea.id = 0;

        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = lineaVenta.id;
        vm.rd.fecha = $filter('date')(vm.documento.fecha, 'yyyy-MM-dd');
        evo.llama('/tickets/ver-producto', vm.rd).then(function (data) {
            // Buscamos si en el Documento ya está el artículo
            var precioProducto = 0
            if (data.precio >0 ) {
                precioProducto = data.precio
            } else {
                precioProducto =  lineaVenta.precio_venta
            }


            var lineaDocumentoActual = _.find(vm.documento.lineas, {producto: lineaVenta.producto})
            if (angular.isUndefined(lineaDocumentoActual)) {
                vm.documento.lineas.push({
                    id: guid(),
                    empresa_id: 0,
                    ticket_id: vm.documento.id,
                    albaran_id: 0,
                    factura_id: vm.documento.factura_id,
                    doctemp: '',
                    doc: vm.documento.doc,
                    notas: '',
                    producto_id: lineaVenta.id,
                    producto: lineaVenta.producto,
                    descripcion: lineaVenta.descripcion,
                    cantidad: vm.cantidad,
                    precio: precioProducto,
                    descuento: 0,
                    totaldto: 0,
                    total: 0,
                    tipo_iva : 21,
                    impuesto_id: 1,
                    es_reserva: 0,
                    fecha_reserva: '1999-01-01',
                    nombre_jugador: '',
                    concepto_reserva: '',
                    nota: '',
                });
            } else {
                lineaDocumentoActual.cantidad = lineaDocumentoActual.cantidad + 1;
            }



            $scope.$broadcast('venta:add-linea-venta')
            vm.recalculoTotales();
            vm.leerProductos2(0)
            vm.productos = [];
            vm.cantidad = 1;
            vm.focoProducto = true;
        }, function (error) {

        });
    };

    function borrarCobro(registro) {
        var evo = new EvoratecApi.api();
        vm.rd = {};
        vm.rd.id = registro.id;
        evo.llama('/cobros/borrar', vm.rd).then(function (data) {
            vm.leerCobros();
        }, function (error) {

        });
    }

    vm.cancelarCobros = function() {
        vm.abreCobros = false ;
    }

    // Atendemos a los eventos
    $scope.$on('ventas:ticket_grabado', function (e, d) {
        console.log(e);
        console.log(d);
    });
    $scope.$on('clientes:selecciona-cliente', function (evento, cliente) {
        vm.documento.cliente_id = cliente.id;
        vm.cliente = cliente;
        console.log(vm.cliente);
    });

    $scope.$on('selecciona-producto', function (event, data) {
        vm.addlineaVenta(data);
    });

    $scope.$on('productos:selecciona', function (event, data) {
        vm.addlineaVenta(data);
    });

    $scope.$on('ver-lista-productos', function () {
        vm.verLista = true;
    });
    $scope.$on('cierra-lista-productos', function () {
        vm.verLista = false;
    });
    $rootScope.$on('errorpeticion', function (e, d) {
        console.log(d);
    });

    vm.dragularOptions = {
        moves: function (el, container, handle) {
            return handle.className === 'ordeno-lineas';
        },
        ignoreInputTextSelection: true
    };


    function guid() {
        return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
            s4() + '-' + s4() + s4() + s4();
    }

    function s4() {
        return Math.floor((1 + Math.random()) * 0x10000)
            .toString(16)
            .substring(1);
    }

    function imprimirDocumento() {
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/imprimir',vm.rd).then(function(data){

            // todoevo, pasar este código a servicio par hacerlo estandard. Nos sirve también.
            var contents = data.html;
            var frame1 = document.createElement('iframe');
            frame1.name = "frame1";
            frame1.style.position = "absolute";
            frame1.style.top = "-1000000px";
            document.body.appendChild(frame1);
            var frameDoc = frame1.contentWindow ? frame1.contentWindow : frame1.contentDocument.document ? frame1.contentDocument.document : frame1.contentDocument;
            frameDoc.document.open();
            frameDoc.document.write(contents);
            frameDoc.document.close();

            // todoevo, quitar
            setTimeout(function () {
                window.frames["frame1"].focus();
                window.frames["frame1"].print();
                document.body.removeChild(frame1);
            }, 500);
            return false;


        },function(error){
            console.log(error);
        });
    }

    $scope.$on('abono-salida:grabar',function(event,data){
        var abono_id = data.id ;
        vm.documento.lineas.push(data.linea);
        vm.rd = {};
        vm.rd.documento = angular.copy(vm.documento);
        vm.rd.lineas_anteriores = vm.lineasAnteriores ;
        vm.rd.tipo = '' ;
        if (vm.documento.estado == 'TE') vm.rd.tipo  = 'A';
        var evo = new EvoratecApi.api();
        evo.llama('/tickets/grabar',vm.rd).then(function(data){
            vm.documento.doc = data.doc ;
            vm.lineasAnteriores = vm.documento.lineas ;
            vm.actualizaAbono(abono_id);
        });
    });

    vm.actualizaAbono = function(id) {
        var evo = new EvoratecApi.api();
        vm.rd = { id : id}
        evo.llama('/abonos/generar-salida',vm.rd).then(function(data){
        },function(error){
            console.log(error);
        });
    }

}




;angular.module('app').directive('pagosTpv', pagosTpv);
function pagosTpv(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tickets/pagos-tpv.html', // OJO
        scope: {
            campo : '@'
        },
        link: linkFunc,
        controller: pagosTpvController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {

    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
pagosTpvController.$inject = ['$scope','ngDialog','EvoratecApi','$rootScope','Evoratec','$filter'];
function pagosTpvController($scope,ngDialog,EvoratecApi,$rootScope,Evoratec,$filter) {
    // definimos variables

    var vm = this;

    var fechaActual = new Date().toISOString().substr(0, 10);
    vm.fecha = fechaActual ;
    vm.registroSel = {
        id : 0
    };
    vm.datos = [];
    vm.abreVentana = false ;
    vm.columnas  = [
        {
            clase: 'flex3',
        columna: 'concepto',
        field:'concepto',
        sort : 'concepto',
        header: 'concepto'
    },{
            clase: 'flex1',
        columna: 'total',
        field:'total',
        sort : 'total',
        header: 'total'
    }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    vm.focoInicial = true ;
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        grabar : grabar,
        cancelarEdicion : cancelarEdicion,
        cancelar : cancelar,
        seleccionar : seleccionar
    })
    vm.abreVentana = false ;


    function ver(item) {
        vm.fd = item ;
        vm.abreEdicion = true ;
    }

    function seleccionar(registro) {
        $rootScope.$emit('selecciona-'+vm.campo,registro)
    }
    function cancelar() {
        vm.abreVentana = false ;
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {}
        vm.rd.fecha_ini = $filter('date')( vm.fecha, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fecha, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/pagostpv/lista',vm.rd).then(function(data){
            vm.datos = data.datos ;
        });
    }
    $scope.$on('ver-pagos-tpv', function (event,data) {
        vm.abreVentana = true ;
        vm.verDatos();

    });

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                    <p>¿ Está seguro de querer borrar este color ?</p>\
                    <button type="button" class="ngdialog-button" ng-click="confirm()">Borrar Color</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/razas/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta raza no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }
            });
        });
        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        vm.fd = registro ;
        vm.fd.concepto = '' ;
        vm.fd.total = 0 ;
        vm.esNuevo = false ;
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        vm.abreEdicion = true ;
        vm.esNuevo = true ;
    }
    function cancelarEdicion() {
        vm.abreEdicion = false ;
        vm.esNuevo = false ;
        vm.verDatos();
    }

    function grabar(){
        vm.rd = {};
        vm.rd.id = vm.fd.id ;
        vm.rd.fecha      = $filter('date')(vm.fecha, 'yyyy-MM-dd');
        vm.rd.total      = vm.fd.total ;
        vm.rd.concepto   = vm.fd.concepto ;
        // enviamos los datos al controller para que actualice el
        if (vm.esNuevo) {
            vm.rd.id = 0 ;
        }

        var evo = new EvoratecApi.api();
        evo.llama('/pagostpv/grabar',vm.rd).then(function(data){
            if (data.resultado == 'ko') {
                Evoratec.mensajesError(data.mensajes,'Aceptar');
                return ;
            }
            vm.cancelarEdicion();
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }

}
;angular.module('app').directive('listaProductos', listaProductos);
function listaProductos(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/productos-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaProductosController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaProductosController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi','ngDialog','$rootScope'];
function listaProductosController($filter,$scope,$log,Evoratec,EvoratecApi,ngDialog,$rootScope) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };
    vm.columnas  = [
        {
            columna: 'producto',
            field:'producto',
            sort : 'producto',
            header: 'Producto',
        },
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripcion'
        },

        {
            columna: 'grupo',
            field:'grupo',
            sort : 'grupo',
            header: 'Grupo'
        },

        {
            columna: 'familia_desc',
            field:'familia_desc',
            sort : 'familia_desc',
            header: 'Familia'
        },

        {
            columna: 'subfamilia_desc',
            field:'subfamilia_desc',
            sort : 'subfamilia_desc',
            header: 'SubFamilia'
        },
        {
            columna: 'stock',
            field:'stock',
            sort : 'stock',
            header: 'Stock'
        },
        {
            columna: 'precio_compra',
            field:'precio_compra',
            sort : 'precio_compra',
            header: 'P.Compra(sin IVA)'
        },
        {
            columna: 'precio_compra_iva',
            field:'precio_compra_iva',
            sort : 'precio_compra_iva',
            header: 'P.Compra(con IVA)'
        },
        {
            columna: 'precio_venta',
            field:'precio_venta',
            sort : 'precio_venta',
            header: 'P.V.P.'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0,
            "producto":"",
            "descripcion":"",
            "precio_venta":0,
            'codigo_barras': ''
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje,
        etiquetas : etiquetas,
        verExtracto : verExtracto,
        exportar : exportar
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        // proceso para ver los items seleccionados en
        vm.datosSel = [];
        angular.forEach(vm.fd.datos, function(item, i) {
            if (item._selected) {
                vm.datosSel.push(item.item);
                return;
            }
        });
        console.log(vm.datosSel);

        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.fd.datos = _.map(data.datos, function(dato) {
                dato.grupo ='' ;
                if (dato.grupo_id == 1) {
                    dato.grupo = 'TIENDA';
                }
                if (dato.grupo_id == 2) {
                    dato.grupo = 'GOLF';
                }
                if (dato.grupo_id == 1) {
                    dato.grupo = 'ALQUILERES';
                }
                return dato
            });

            console.log(vm.fd.datos)
            vm.registroSel.id = 0;
        });
    }


    function borrarRegistro(registro) {
        var mensajes = [];
        var cabecera = 'Confirmar !!';
        mensajes.push('¿ Está seguro de querer borrar este producto ?');
        vm.datos = { cabecera: cabecera, mensajes: mensajes, botonConfirmacion : 'Borrar Producto' };
        var confirmacion = ngDialog.openConfirm({
            templateUrl : 'views/admin/mensaje-nosi.html',
            data: vm.datos
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/productos/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {

                    vm.verMensaje('Este producto tiene movimientos, no se puede borrar.','Error','Aceptar');
                } else {
                    vm.verMensaje('Producto borrado','Atención...','Aceptar');
                    vm.verDatos();
                }
            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-producto',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-producto',vm.fd.registro);
    }

    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto',registro);
    }
    // Eventos tabla producots
    $scope.$on('tabla-filtros-orden-lista-productos', function (event,data) {
        console.log(data);
    });

    $scope.$on('grabando-registro-producto', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('grabando-baja-producto', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera,boton) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes,botonConfirmacion : boton };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje-error-evo.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    function etiquetas() {
    }

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        Evoratec.llamaApi('/productos/exportar',vm.rd).then(function(data){
            /*var link = document.createElement("a");
            if (link.download !== undefined) { // feature detection Sólo html5
                link.setAttribute("href", data.url);
                link.setAttribute("download",  'productos.xlsx');
                document.body.appendChild(link);
                link.click();
                document.body.removeChild(link);
            }*/
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'productos.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);

        },function(error){
            console.log(error);
        });
    }

}



;angular.module('app').directive('registroProducto', registroProducto);
function registroProducto() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/productos/productos-registro.html',
        controller: registroProductoController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

registroProductoController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http','$timeout'];
function registroProductoController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http,$timeout ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        verFamilias : verFamilias,
        verFamilia : verFamilia
    });

    vm.paises = [];
    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.tabActive = 0 ;

    vm.familias = [];
    vm.familia = {};

    vm.impuesto = {};
    vm.impuestos = [];


    vm.grupo = {
        id : 0,
        descripcion : ''
    };



    vm.grupos = [
        { id: 1, descripcion:"Tienda"},
        { id: 2, descripcion:"Golf"},
        { id: 3, descripcion:"Alquileres"}
    ]

    vm.boton_tpv = {
        id : 0,
        descripcion : ''
    };
    vm.botones_tpv = [
        { id: 0, descripcion:"", orden:1},
        { id: 1, descripcion:"Greenfees", orden:1},
        { id: 2, descripcion:"Abonos", orden:1},
        { id: 3, descripcion:"Buggies", orden:1},
        { id: 4, descripcion:"Alquileres", orden:1},
        { id: 5, descripcion:"Otros Golf", orden:1},
        { id: 6, descripcion:"Varios", orden:1}
    ]

    vm.date = "2014-01-01";

    // esto en caso del popup
    $scope.$on('abre-registro-producto', function (event,registro) {
        vm.tabActive = 0 ;
        vm.familia = {} ;
        // ponemos los datos del formulario vacios.
        vm.fd = {};
        // creamos los parámetros
        vm.rd = {
            id : registro.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/productos/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos[0]);
            vm.familia.id = vm.fd.familia_id ;
            console.log(vm.familia)
            vm.grupo.id = vm.fd.grupo_id ;
            vm.boton_tpv.id = vm.fd.botontpv_id ;
            if (vm.familia.id > 0) {
                vm.verFamilia();
            }
            vm.abrir();
        });
    });

    vm.init();
    function init() {

        vm.esPopUp = true ;
        vm.verFamilias() ;

    }
    function abrir(){
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        // Cambiamos el estado del form
        $timeout(function() {
           /* vm.formDatos.$setPristine();
            vm.formDatos.$setValidity();
            vm.formDatos.$setUntouched();*/
           // quitamos la validez de los datos.

            vm.abreVentana = true ;
        },100);



    }
    function verFamilias(){
        // enviamos los datos al controller para que actualice el
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/familias/ver-familia',vm.rd).then(function(data){
            vm.familias = data.datos;
        });
    }

    function verImpuestos(){
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/impuestos/ver',vm.rd).then(function(data){
            vm.impuestos = data.datos;
        });
    }

    function verFamilia(){
        vm.rd = { id : vm.fd.familia_id }
        var evo = new EvoratecApi.api();
        evo.llama('/familias/ver-familia',vm.rd).then(function(data){
            vm.familia = data.datos[0];
            vm.fd.familia_desc = vm.familia.familia_desc ;
            vm.fd.subfamilia_desc = vm.familia.subfamilia_desc ;
            console.log(vm.familia)
        });
    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        vm.rd = angular.copy(vm.fd);
        vm.rd.familia_id = vm.familia.id ;
        vm.rd.impuesto_id = vm.impuesto.id ;
        vm.rd.tipo_iva = 21 ;
        vm.rd.grupo_id = vm.grupo.id ;
        vm.rd.botontpv_id = vm.boton_tpv.id;


        if (vm.familia.id > 0) {
            vm.rd.familia_desc = vm.familia.familia_desc ;
            vm.rd.subfamilia_desc = vm.familia.subfamilia_desc ;
        }


        console.log(vm.formDatos);

        // borramos los campos en loque vamos a mandar, no en lo que estmaos editando
        delete(vm.rd._selected);
        delete(vm.rd._filtrado);

        var evo = new EvoratecApi.api();
        evo.llama('/productos/grabar',vm.rd).then( function(data){
                if (data.resultado == 'ko') {
                    //vm.verMensaje()
                    // esto por si hay erroes en el form
                    _.each(data.errores, function(errores,key) {
                        _.each(errores, function(e) {
                            vm.formDatos[key].$dirty = true;
                            vm.formDatos[key].$setValidity(e.error, false);
                        });
                    });
                    //vm.formDatos.$setSubmitted();
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-producto',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-producto', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        console.log(vm.fd);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    function roundNumber(num, scale) {
        if(!("" + num).includes("e")) {
            return +(Math.round(num + "e+" + scale)  + "e-" + scale);
        } else {
            var arr = ("" + num).split("e");
            var sig = ""
            if(+arr[1] + scale > 0) {
                sig = "+";
            }
            return +(Math.round(+arr[0] + "e" + sig + (+arr[1] + scale)) + "e-" + scale);
        }
    }
}

;angular.module('app').directive('productosCambioPrecios', productosCambioPrecios);
function productosCambioPrecios(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/productos-cambio-precios.html',
        scope: {},
        link: linkFunc,
        controller: productosCambioPreciosController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {

    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
productosCambioPreciosController.$inject = ['$location','$timeout','$scope','$log','Evoratec','EvoratecApi','$rootScope','blockUI'];

function productosCambioPreciosController($location,$timeout,$scope,$log,Evoratec,EvoratecApi,$rootScope,blockUI) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };
    vm.columnas  = [
        {
            columna: 'producto',
            field:'producto',
            sort : 'producto',
            header: 'Producto',
        },
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripcion'
        },
        {
            columna: 'precio_venta',
            field:'precio_venta',
            sort : 'precio_venta',
            header: 'P.V.P.'
        },
        {
            columna: 'precio_act',
            field:'precio_act',
            sort : 'precio_act',
            header: 'Nuevo Precio'
        }

    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0,
            "producto":"",
            "descripcion":"",
            "precio_venta":0,
            'precio_act' : 0

        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        ver :ver,
        verMensaje : verMensaje,
        actDatos :actDatos,
        verExtracto : verExtracto
    })
    vm.init();

    function init(){
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {

        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            //vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto',registro);
    }

    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos')
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
            blockUI.stop();
        });
    }



    function actDatos(item) {
        // enviamos los datos al controller para que actualice el
        vm.rd = {};
        vm.rd.id = item.id ;
        vm.rd.precio_venta = item.precio_act ;

        var evo = new EvoratecApi.api();
        evo.llama('/productos/actualiza-precio',vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                return ;
            }
            vm.registroSel.id = 0 ;
            vm.itemPopup = data
            vm.verDatos();

        });
    }


    // Eventos tabla producots
    $scope.$on('tabla-filtros-orden-lista-productos-inventario', function (event,data) {
        console.log(data);
    });
    $scope.$on('tabla-numero-pagina-lista-productos-inventario', function (event,data) {
        console.log('tabla-numero-pagina-lista-productos-inventario')
        console.log(data)
        $rootScope.paginaInventario = data ;
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('productosInformes', productosInformes);

function productosInformes() {
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/productos-informes.html', // OJO
        scope: {},
        link: linkFunc,
        controller: productosInformesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;

    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

// controlador de la directiva, le inyectamos el servicio de Clientes
productosInformesController.$inject = ['$filter', '$scope', '$log', 'Evoratec', 'EvoratecApi'];

function productosInformesController($filter, $scope, $log, Evoratec, EvoratecApi) {
    // definimos variables
    var vm = this;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro: {
            "id": 0,
            "producto": "",
            "descripcion": "",
            "precio_venta": 0,
            'codigo_barras': ''
        },
        datos: [],
        pageNumber: 1
    };
    // request data
    vm.rd = {
        id: 0
    };

    // extendemos el controlador
    angular.extend(vm, {
        init: init,
        verDatos: verDatos,
        verExtracto: verExtracto,
        refrescaGrid: refrescaGrid
    })
    vm.init();

    vm.dataGridOptions = {
        dataSource: vm.fd.datos,
        keyExpr: "id",
        selection: {
            mode: "single"
        },
        filterRow : {
            visible: true,
            applyFilter: "auto"
        },
        headerFilter : {
            visible: true
        },
        columnChooser: {
            enabled: true
        },
        "export": {
            enabled: true,
            fileName: "productos",
            allowExportSelectedData: true
        },

        searchPanel: {
            visible: true,
            width: 240,
            placeholder: "Buscar..."
        },
        groupPanel: {
            visible: true
        },
        pager: {
            showPageSizeSelector: true,
            allowedPageSizes: [25, 50, 100],
            showInfo: true
        },
        columns: [
            {
                dataField: "producto",
                width: 100,
                caption: "Producto"
            },
            {
                dataField: "codigo_barras",
                caption: "Codigo Barras",
                visible: false,
                width: 120,
            },
            {
                dataField: "descripcion",
                width: 240,
                caption: "Descripcion"
            },
            {
                dataField: "stock",
                width: 100,
                caption: "Stock"
            },
            {
                dataField: "familia_desc",
                width: 150,
                caption: "Familia",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "subfamilia_desc",
                width: 150,
                caption: "SubFamilia",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "proveedor_nombre",
                width: 200,
                caption: "Proveedor",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "grupo",
                width: 200,
                caption: "Grupo",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "precio_venta",
                width: 100,
                dataType: "number",
                caption: "P.V.P",
                format: { type: "currency", currency:'EUR',precision:2 }
            },
            {
                dataField: "precio_compra",
                dataType: "number",
                width: 100,
                caption: "P.Compra",
                format: { type: "currency", currency:'EUR',precision:2 }
            },{
                dataField: "valor_inventario",
                dataType: "number",
                width: 150,
                caption: "Valor Compra",
                format: { type: "currency", currency:'EUR',precision:2 }
            },{
                dataField: "valor_inventario_venta",
                width: 150,
                caption: "Valor Venta",
                format: { type: "currency",  currency: "EUR",precision:2 },
            }
        ],
        summary: {
            totalItems: [{
                column: "producto",
                summaryType: "count"
            },{
                column: "valor_inventario",
                displayFormat: 'Total: {0}',
                valueFormat : { type: "currency",  currency: "EUR",precision:2 },
                summaryType: "sum"

            },{
                column: "valor_inventario_venta",
                displayFormat: 'Total: {0}',
                valueFormat : { type: "currency",  currency: "EUR",precision:2 },
                summaryType: "sum"
            }]
        }
    };

    function init() {
        // Hay que poner la fecha del día
        vm.counter = 1;


        vm.verDatos();
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id: 0,
            descripcion: ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista', vm.rd).then(function (data) {




            vm.fd.datos = _.map(data.datos, function(dato) {
                if (dato.grupo_id == 1) {
                    dato.grupo = 'TIENDA';
                }
                if (dato.grupo_id == 2) {
                    dato.grupo = 'GOLF';
                }
                if (dato.grupo_id == 1) {
                    dato.grupo = 'ALQUILERES';
                }
                dato.valor_inventario = dato.precio_compra * dato.stock;
                dato.valor_inventario_venta = (dato.precio_venta / 1.21) * dato.stock
                return dato
            })

            console.log(vm.fd.datos)


            vm.refrescaGrid();

        });
    }

    function refrescaGrid() {
        var dataGrid = $('#gridContainer').dxDataGrid('instance');
        $('#gridContainer').dxDataGrid({
            dataSource: vm.fd.datos
        });
        dataGrid.refresh();
        dataGrid.repaint();
    }


    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto', registro);
    }

}



;angular.module('app').directive('productosRapidos', productosRapidos);
function productosRapidos() {
    return {
        restrict: 'E',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/productos/productos-rapidos.html',
        controller: productosRapidosController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {}
}

productosRapidosController.$inject=['$scope','EvoratecApi','ngDialog', '$rootScope','blockUI'];
function productosRapidosController($scope,EvoratecApi,ngDialog, $rootScope,blockUI ){
    // valores seleccionados con los select
    var vm = this ;

    angular.extend(vm,{
        cancelar : cancelar,
        init : init,
        abrir : abrir,
        seleccionar : seleccionar,
        buscar : buscar
    });
    vm.abreVentana = false ;
    vm.rd = {};
    vm.focoBusqueda = false ;

    vm.init();

    $scope.$on('productos:buscar-rapidos', function (event,data) {
        vm.descripcion = '' ;
        vm.abrir();
        vm.focoBusqueda = true ;
    });

    function init() {
    }
    function abrir() {
        vm.abreVentana = true ;
        vm.buscar('GF');

    }
    function buscar(clave) {
        vm.rd = {};
        vm.rd.id = 0 ;
        vm.rd.descripcion = clave ;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista-golf',vm.rd).then(function(data){
            vm.datos = data.datos
        });
    };
    function seleccionar(producto) {
        $scope.$emit('productos:selecciona',producto);
        vm.abreVentana = false ;
    }
    function cancelar(){
        $scope.$emit('productos:cancela-busqueda');
        vm.abreVentana = false ;
    }
}

;angular.module('app').directive('inventarioFecha', inventarioFecha);

function inventarioFecha() {
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/inventario-fecha.html', // OJO
        scope: {},
        link: linkFunc,
        controller: inventarioFechaController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;

    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

// controlador de la directiva, le inyectamos el servicio de Clientes
inventarioFechaController.$inject = ['$filter', '$scope', '$log', 'Evoratec', 'EvoratecApi','blockUI'];

function inventarioFechaController($filter, $scope, $log, Evoratec, EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro: {
            "id": 0,
            "producto": "",
            "descripcion": "",
            "precio_venta": 0,
            'codigo_barras': ''
        },
        datos: [],
        pageNumber: 1
    };
    // request data
    vm.rd = {
        id: 0
    };

    // extendemos el controlador
    angular.extend(vm, {
        init: init,
        verDatos: verDatos,
        verExtracto: verExtracto,
        refrescaGrid: refrescaGrid
    })
    vm.init();

    vm.dataGridOptions = {
        dataSource: vm.fd.datos,
        keyExpr: "id",
        selection: {
            mode: "single"
        },
        filterRow : {
            visible: true,
            applyFilter: "auto"
        },
        headerFilter : {
            visible: true
        },
        columnChooser: {
            enabled: true
        },
        "export": {
            enabled: true,
            fileName: "productos",
            allowExportSelectedData: true
        },

        searchPanel: {
            visible: true,
            width: 240,
            placeholder: "Buscar..."
        },
        groupPanel: {
            visible: true
        },
        pager: {
            showPageSizeSelector: true,
            allowedPageSizes: [25, 50, 100],
            showInfo: true
        },
        columns: [
            {
                dataField: "producto",
                width: 100,
                caption: "Producto"
            },
            {
                dataField: "codigo_barras",
                caption: "Codigo Barras",
                visible: false,
                width: 120,
            },
            {
                dataField: "descripcion",
                width: 240,
                caption: "Descripcion"
            },
            {
                dataField: "stock_fecha",
                width: 100,
                caption: "Stock"
            },
            {
                dataField: "familia_desc",
                width: 150,
                caption: "Familia",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "subfamilia_desc",
                width: 150,
                caption: "SubFamilia",
                headerFilter: {
                    allowSearch: true
                }
            },
            {
                dataField: "proveedor_nombre",
                width: 200,
                caption: "Proveedor",
                headerFilter: {
                    allowSearch: true
                }
            }
            ,
            {
                dataField: "precio_venta",
                width: 70,
                caption: "P.V.P",
                format: {
                    type: 'largeNumber',
                    precision: 2
                }
            },
            {
                dataField: "precio_compra",
                width: 70,
                caption: "P.Compra",
                format: {
                    type: 'largeNumber',
                    precision: 2
                }
            },{
                dataField: "valor_inventario",
                width: 100,
                caption: "Valor Compra",
                format: {
                    type: 'largeNumber',

                    precision: 2
                }
            },{
                dataField: "valor_inventario_venta",
                width: 100,
                caption: "Valor Venta",
                format: {
                    type: 'largeNumber',

                    precision: 2
                }
            }
        ],
        summary: {
            totalItems: [{
                column: "producto",
                summaryType: "count"
            },{
                displayFormat: 'Total: {0}',
                column: "valor_inventario",
                summaryType: "sum"

            },{
                displayFormat: 'Total: {0}',
                column: "valor_inventario_venta",
                summaryType: "sum"

            }]
        }
    };

    function init() {
        // Hay que poner la fecha del día
        vm.counter = 1;
        vm.fechaInicio = new Date().toISOString().substr(0, 10);
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            fecha : $filter('date')( vm.fechaInicio, 'y-MM-dd')
        };

        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo inventario');
        evo.llama('/productos/inventario-fecha', vm.rd).then(function (data) {
            vm.fd.datos = _.map(data.datos, function(dato) {
                return _.extend({}, dato, {
                    // facturado : dato.factura_id>0?'Si':'No',
                    stock_fecha : dato.info_stock.stock,
                    valor_inventario: dato.precio_compra * dato.info_stock.stock,
                    valor_inventario_venta : (dato.precio_venta / 1.21) * dato.info_stock.stock
                });
            })
            blockUI.stop();
            vm.refrescaGrid();
        });
    }

    function refrescaGrid() {
        var dataGrid = $('#gridContainer').dxDataGrid('instance');
        $('#gridContainer').dxDataGrid({
            dataSource: vm.fd.datos
        });
        dataGrid.refresh();
        dataGrid.repaint();
    }

    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto', registro);
    }

}



;angular.module('app').directive('facturarAlbaranes', facturarAlbaranes);
function facturarAlbaranes(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/procesos/facturar-albaranes.html',
        scope: {
        },
        link: linkFunc,
        controller: facturarAlbaranesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
facturarAlbaranesController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function facturarAlbaranesController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Albarán'
        },
        {
            columna: 'reservaalb',
            field:'idreserva',
            sort : 'idreserva',
            header : 'Reserva'
        },
        {
            columna: 'fecha_a',
            field: 'fecha_a',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },
        {
            columna: 'pendiente',
            field:'pendiente',
            sort : 'pendiente',
            header : 'Pendiente'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        }

    ];
    
    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = fechaActual;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    vm.cliente = {
        id : 0
    }

    // request data
    vm.rd = {
        id : 0
    };

    // Busqueda asociado
    vm.asociados = [];
    vm.asociado = {
        Key: "",
        Value: 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        leerClientes : leerClientes,
        facturar : facturar
    })


    vm.init();
    function init(){}

    function facturar(){


        var hayError = false ;

        console.log(vm.formDatos.fecha)
        if (vm.formDatos.fecha.$invalid) {
            Evoratec.mensaje('Hay un error en la fecha', 'Aceptar').then(function () {});
            hayError = true ;
        }

        if (hayError) return ;

        vm.rd = {};
        vm.rd.albaranes = [] ;
        vm.rd.fecha = $filter('date')( vm.fecha, 'y-MM-dd');
        vm.rd.cliente_id = vm.cliente.id ;
        vm.rd.serie = '01';
        vm.rd.ano =  $filter('date')( vm.fecha, 'y');

        angular.forEach(vm.fd.datos, function(item, i) {
            if (item._selected) {
                vm.rd.albaranes.push(item.id);
                return;
            }
        });
        blockUI.start('Facturando');
        var evo = new EvoratecApi.api();
        evo.llama('/albaranes/facturar',vm.rd).then(function(data){
            blockUI.stop();
          if (data.estado == 'ko') {
              Evoratec.mensaje('Hay un error en la fecha. No puede ser inferior a la de la última factura que se emitio el '+data.fecha, 'Aceptar').then(function () {});

          } else {
              vm.verDatos();
          }
        });
    }

    vm.verDatosLinea = function(item) {
        console.log(item)
    }

    function verDatos() {
        vm.rd = {};
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.estado = vm.opcion ;
        vm.rd.cliente_id = vm.cliente.id ;

        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo albaranes');
        evo.llama('/albaranes/lista-facturar',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    // facturado : dato.factura_id>0?'Si':'No',
                    fecha_a: $filter('evofecha')(dato.fecha),
                   // _selected : false
                });
            })
            blockUI.stop();
        });
    }


    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $location.path('/albaran/'+registro.id);
    }

    $scope.$on('tabla-facturar-albaranes',function(event,datos){
        vm.registrosSeleccionados = [];
        angular.forEach(datos,function(item,i){
            if (item._selected) {
                vm.registrosSeleccionados.push(item);
            }
        })
    });

    vm.verRegistrosSelect = function() {
        console.log(vm.registrosSeleccionados);
    }

    function leerClientes(clave,id) {
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id =0 ;
        vm.rd.opcion = '' ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }

        });
    };
}

;angular.module('app').directive('facturasAnaAlbaran', facturasAnaAlbaran);
function facturasAnaAlbaran(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/procesos/facturas-ana-albaran.html',
        scope: {
        },
        link: linkFunc,
        controller: facturasAnaAlbaranController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
facturasAnaAlbaranController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function facturasAnaAlbaranController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    // request data
    vm.rd = {};
    vm.fd = {};
    vm.td = {};

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        facturar : facturar,
        cerrar   : cerrar
    })

    // eventos
    $scope.$on('facturas:ana-albaranes',function(event,data){
        vm.abreVentana = true ;
        vm.td.cliente_id = data.cliente_id ;
        vm.td.factura_id = data.factura_id ;
        vm.verDatos();
    });

    vm.init();
    function init(){}

    function cerrar() {
        vm.abreVentana = false ;
    }

    function facturar(){
        vm.rd = {};
        vm.rd.albaranes = [] ;
        vm.rd.factura_id = vm.td.factura_id;
        // vemos que albaranes hemos seleccionado
        angular.forEach(vm.fd.datos, function(item, i) {
            if (item._selected) {
                vm.rd.albaranes.push(item.id);
                return;
            }
        });
        blockUI.start('Añadiendo albaranes');
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/ana-albaranes',vm.rd).then(function(data){
            blockUI.stop();
            if (data.estado == 'ko') {
                Evoratec.mensaje('Hay un error en la fecha. No puede ser inferior a la de la última factura que se emitio el '+data.fecha, 'Aceptar').then(function () {});
            } else {
                $scope.$emit('linea-venta:grabar');
                vm.cerrar();
            }
        });
    }


    function verDatos() {
        vm.rd = {};
        vm.rd.cliente_id = vm.td.cliente_id ;
        vm.rd.factura_id = vm.td.factura_id ;
        vm.rd.fecha_ini = '2017-01-01';
        vm.rd.fecha_fin = '2030-01-01';
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo albaranes');
        evo.llama('/albaranes/lista-facturar',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_a: $filter('evofecha')(dato.fecha),
                    _selected : false
                });
            })

            blockUI.stop();
        });
    }
}

;angular.module('app').directive('facturasQuitarAlbaranes', facturasQuitarAlbaranes);
function facturasQuitarAlbaranes(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/procesos/facturas-quitar-albaranes.html',
        scope: {
        },
        link: linkFunc,
        controller: facturasQuitarAlbaranesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
facturasQuitarAlbaranesController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function facturasQuitarAlbaranesController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    // request data
    vm.rd = {};
    vm.fd = {};
    vm.td = {};

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        facturar : facturar,
        cerrar   : cerrar
    })

    // eventos
    $scope.$on('facturas:quitar-albaranes',function(event,data){
        vm.abreVentana = true ;
        vm.td.cliente_id = data.cliente_id ;
        vm.td.factura_id = data.factura_id ;
        vm.verDatos();
    });

    vm.init();
    function init(){}

    function cerrar() {
        vm.abreVentana = false ;
    }

    function facturar(){
        vm.rd = {};
        vm.rd.albaranes = [] ;
        vm.rd.factura_id = vm.td.factura_id;
        // vemos que albaranes hemos seleccionado
        angular.forEach(vm.fd.datos, function(item, i) {
            if (item._selected) {
                vm.rd.albaranes.push(item.id);
                return;
            }
        });
        blockUI.start('Quitando albaranes');
        var evo = new EvoratecApi.api();
        evo.llama('/facturas/quitar-albaranes',vm.rd).then(function(data){
            blockUI.stop();
            if (data.estado == 'ko') {
                Evoratec.mensaje('Hay un error en la fecha. No puede ser inferior a la de la última factura que se emitio el '+data.fecha, 'Aceptar').then(function () {});
            } else {
                $scope.$emit('linea-venta:grabar');
                vm.cerrar();
            }
        });
    }

    function verDatos() {
        vm.rd = {};
        vm.rd.factura_id = vm.td.factura_id ;
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo albaranes');
        evo.llama('/albaranes/lista-albaranes-factura',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_a: $filter('evofecha')(dato.fecha),
                    _selected : false
                });
            })
            blockUI.stop();
        });
    }
}

;angular.module('app').directive('informeVentas', informeVentas);

function informeVentas() {
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/procesos/informe-ventas.html', // OJO
        scope: {},
        link: linkFunc,
        controller: informeVentasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;

    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}

// controlador de la directiva, le inyectamos el servicio de Clientes
informeVentasController.$inject = ['$scope','EvoratecApi'];

function informeVentasController( $scope,  EvoratecApi) {
    // definimos variables
    var vm = this;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro: {
            "id": 0,
            "producto": "",
            "descripcion": "",
            "precio_venta": 0,
            'codigo_barras': ''
        },
        datos: [],
        pageNumber: 1
    };
    // request data
    vm.rd = {
        id: 0
    };

    // extendemos el controlador
    angular.extend(vm, {
        init: init,
        verDatos: verDatos,
        verExtracto: verExtracto,
        refrescaGrid: refrescaGrid
    })
    vm.init();


    vm.pivotGridOptions = {
        allowSortingBySummary: true,
        allowSorting: true,
        allowFiltering: true,
        showBorders: true,
        height: 800,
        allowSortingBySummary: true,
        allowSorting: true,
        allowExpandAll: true,
        showBorders: true,
        fieldChooser: {
            enabled: true
        },
        fieldPanel: {
            showDataFields: true,
            showRowFields: true,
            showColumnFields: true,
            showFilterFields: true,
            allowFieldDragging: true,
            visible: true
        },
        "export": {
            enabled: true,
            fileName: "Informe de ventas"
        },
        dataSource: {
            fields: [ {
                caption : 'Cliente',
                dataField: "razon_social",
                width: 250,
                dataType: "string",
                area: "row"
            },{
                caption: "Familia",
                dataField: "familia_desc",
                dataType: "string",
                area: "row"
            },{
                caption: "Producto",
                width: 120,
                dataField: "producto",
                area: "row"
            },  {
                caption : 'Año',
                dataField: "ano",
                width: 100,
                dataType: "string",
                area: "column"
            },  {
                caption : 'Mes',
                dataField: "mes",
                width: 50,
                dataType: "string",
                area: "column"
            },{
                caption: "Cantidad",
                dataField: "cantidad",
                dataType: "number",
                width: 100,
                summaryType: "sum",

                area: "data"
            },{
                caption: "Total",
                dataField: "total",
                dataType: "number",
                summaryType: "sum",

                format: { type: "currency",  currency: "EUR", precision:2 },
                editorOptions: {
                    format: "#,##0.##"
                },
                width: 100,
                area: "data"
            }],
            store:  vm.fd.datos
        },
        onContextMenuPreparing: contextMenuPreparing
    };

    /*vm.showDataFieldsOptions = {
        text: "Show Data Fields",
        bindingOptions: {
            value: "fieldPanel.showDataFields"
        }
    };

    vm.showRowFieldsOptions = {
        text: "Show Row Fields",
        bindingOptions: {
            value: "fieldPanel.showRowFields"
        }
    };

    vm.showColumnFieldsOptions = {
        text: "Show Column Fields",
        bindingOptions: {
            value: "fieldPanel.showColumnFields"
        }
    };

    vm.showFilterFieldsOptions = {
        text: "Show Filter Fields",
        bindingOptions: {
            value: "fieldPanel.showFilterFields"
        }
    };*/

    function contextMenuPreparing(e) {
        var dataSource = e.component.getDataSource(),
            sourceField = e.field;

       /* if (sourceField) {
            if(!sourceField.groupName || sourceField.groupIndex === 0) {
                e.items.push({
                    text: "Hide field",
                    onItemClick: function () {
                        var fieldIndex;
                        if(sourceField.groupName) {
                            fieldIndex = dataSource.getAreaFields(sourceField.area, true)[sourceField.areaIndex].index;
                        } else {
                            fieldIndex = sourceField.index;
                        }

                        dataSource.field(fieldIndex, {
                            area: null
                        });
                        dataSource.load();
                    }
                });
            }

            if (sourceField.dataType === "number") {
                var setSummaryType = function (args) {
                        dataSource.field(sourceField.index, {
                            summaryType: args.itemData.value
                        });

                        dataSource.load();
                    },
                    menuItems = [];

                e.items.push({ text: "Summary Type", items: menuItems });

                $.each(["Sum", "Avg", "Min", "Max"], function(_, summaryType) {
                    var summaryTypeValue = summaryType.toLowerCase();

                    menuItems.push({
                        text: summaryType,
                        value: summaryType.toLowerCase(),
                        onItemClick: setSummaryType,
                        selected: e.field.summaryType === summaryTypeValue
                    });
                });
            }
        }*/
    }

    function init() {
        // Hay que poner la fecha del día
        vm.counter = 1;


        vm.verDatos();
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id: 0,
            descripcion: ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/estadisticas-ventas', vm.rd).then(function (data) {
            vm.fd.datos = data.ventas ;
            vm.refrescaGrid();

        });
    }

    function refrescaGrid() {
        var pivotGrid = $('#sales').dxPivotGrid('instance');
        var pivotGridDataSource = pivotGrid.getDataSource();
        console.log(pivotGridDataSource)
        // esta es la solución.
        pivotGrid.option('dataSource.store', vm.fd.datos);
        //  pivotGridDataSource.reload();
        pivotGrid.repaint()
    }


    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto', registro);
    }

};angular.module('app').directive('listaFormaspago', listaFormaspago);
function listaFormaspago(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/formaspago/formaspago-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaFormaspagoController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaFormaspagoController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaFormaspagoController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [

        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Forma de pago'
        },
        {
            columna: 'tipo',
            field:'tipo',
            sort : 'tipo',
            header: 'Tipo'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/formaspago/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            // hacemos una copia del registro
            vm.fd.registro = angular.copy(Evoratec.skeleton(vm.fd.datos[0]));
            console.log('copia registro');
            console.log(vm.fd.registro);
            vm.registroSel.id = 0;
        });
    }


    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar esta forma de pago?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Forma de Pago</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;

            var evo = new EvoratecApi.api();
            evo.llama('/formaspago/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Este cliente tiene reservas, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }

            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        console.log('paso por aquí');
        $scope.$broadcast('abre-registro-forma-pago',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        console.log('paso por aquí');

        $scope.$broadcast('nuevo-registro-forma-pago',vm.fd.registro);
    }

    $scope.$on('grabando-registro-forma-pago', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('grabando-baja-forma-pago', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('registroFormapago', registroFormapago);
function registroFormapago() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/formaspago/formaspago-registro.html',
        controller: registroFormapagoController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

registroFormapagoController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http'];
function registroFormapagoController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje
    });

    vm.tipos = [
        {
            tipo: 'EF',
            descripcion : 'Efectivo'
        },
        {
            tipo: 'TC',
            descripcion : 'Tarjeta de crédito'
        },
        {
            tipo: 'TR',
            descripcion : 'Transferencia'
        },
        {
            tipo: 'OT',
            descripcion : 'Otros'
        },
    ];

    vm.fd = {};
    vm.esPopUp = false ;
    vm.abreVentana = false ;
    // esto en caso del popup

    $scope.$on('abre-registro-forma-pago', function (event,data) {
        console.log('paso por abre-registro')
        vm.fd = angular.copy(data);
        vm.abrir();
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;

    }
    function abrir(){
        vm.esPopUp = true ;
        vm.abreVentana = true ;
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');

    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        delete(vm.fd.selected);
        var evo = new EvoratecApi.api();
        evo.llama('/formaspago/grabar',vm.fd).then(function(data){
                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    vm.formDatos.$invalid = true ;
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-forma-pago',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-forma-pago', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = {};
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('listaTallas', listaTallas);
function listaTallas(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tallas/tallas-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaTallasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaTallasController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaTallasController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };

    vm.columnas  = [
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Talla'
        },
        {
            columna: 'tipo',
            field:'tipo',
            sort : 'tipo',
            header: 'Tipo'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/tallas/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }


    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar esta talla?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Talla</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;

            var evo = new EvoratecApi.api();
            evo.llama('/tallas/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta talla tiene artículos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }

            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-talla',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-talla',vm.fd.registro);
    }

    $scope.$on('grabando-registro-talla', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('grabando-baja-talla', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('registroTalla', registroTalla);
function registroTalla() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/tallas/tallas-registro.html',
        controller: registroTallaController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

registroTallaController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http'];
function registroTallaController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje
    });

    vm.fd = {};
    vm.esPopUp = false ;
    vm.abreVentana = false ;
    // esto en caso del popup
    $scope.$on('abre-registro-talla', function (event,data) {
        vm.fd = {};
        vm.fd = angular.copy(data);
        vm.abrir();
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        delete(vm.fd.selected);
        var evo = new EvoratecApi.api();
        evo.llama('/tallas/grabar',vm.fd).then(function(data){
                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-talla',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-talla', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = {};
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('listaColores', listaColores);
function listaColores(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/colores/colores-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaColoresController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaColoresController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaColoresController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };

    vm.columnas  = [
        {
            columna: 'codigo',
            field:'codigo',
            sort : 'codigo',
            header: 'Código Color'
        },
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripción'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }

    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/colores/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
             Evoratec.skeleton(vm.fd.datos[0],vm.fd.registro);
             console.log(vm.fd.registro);
            vm.registroSel.id = 0;
        });
    }


    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar este color ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Color</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;

            var evo = new EvoratecApi.api();
            evo.llama('/colores/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta color tiene artículos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }

            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-color',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {

        $scope.$broadcast('nuevo-registro-color',vm.fd.registro);
    }

    $scope.$on('grabando-registro-color', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('grabando-baja-talla', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('registroColor', registroColor);
function registroColor() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/colors/colores-registro.html',
        controller: registroColorController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

registroColorController.$inject=['$scope', '$filter','$log','ngDialog','$routeParams','$rootScope','EvoratecApi','$http'];
function registroColorController($scope,$filter,$log,ngDialog,$routeParams,$rootScope,EvoratecApi,$http ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje
    });

    vm.fd = {};
    vm.esPopUp = false ;
    vm.abreVentana = false ;
    // esto en caso del popup
    $scope.$on('abre-registro-color', function (event,data) {
        vm.fd = {};
        vm.fd = angular.copy(data);
        vm.abrir();
    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;
    }

    function grabar(){
        // enviamos los datos al controller para que actualice el
        delete(vm.fd.selected);
        var evo = new EvoratecApi.api();
        evo.llama('/colores/grabar',vm.fd).then(function(data){
                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-color',vm.fd);
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-color', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = {};
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('listaFamilias', listaFamilias);
function listaFamilias(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/familias/familias-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaFamiliasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaFamiliasController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaFamiliasController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            columna: 'descripcion_listado',
            field:'descripcion_listado',
            sort : 'descripcion_listado',
            header: 'Familia / Subfamilia'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/familias/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }

    // todoevo cambiar para quitar código.

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar esta categoría?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Categoría</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/familias/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta familia tiene productos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }
            });
        });
        /* */
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-familia',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-familia',vm.fd.registro);
    }

    $scope.$on('grabando-registro-familia', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('registroFamilia', registroFamilia);
function registroFamilia() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/familias/familias-registro.html',
        controller: registroFamiliaController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

registroFamiliaController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','$http'];
function registroFamiliaController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,$http ){
    // valores seleccionados con los select
    var vm = this ;
    vm.horainitemp = new Date();

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        verPadres : verPadres,
        verFamilia : verFamilia
    });

    vm.padres = [];
    vm.padre = {
        Key: "",
        Value: 0
    };

    vm.fd = {};
    vm.esPopUp = false ;
    vm.tabActive = 0 ;

    vm.abreVentana = false ;
    // esto en caso del popup
    $scope.$on('abre-registro-familia', function (event,data) {
        vm.tabActive = 0 ;
        vm.fd = {};
        vm.fd = angular.copy(data);
        vm.padre.id = vm.fd.parent_id ;
        if (vm.padre.id > 0) {
            vm.verFamilia();
        }
        vm.abrir();
    });

    vm.init();
    function init() {
        vm.padre = {} ;
        vm.esPopUp = true ;
        vm.padres = [];
    }
    function abrir(){
        vm.init();
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        vm.verPadres() ;
        vm.abreVentana = true ;
    }

    function verPadres(){
        // enviamos los datos al controller para que actualice el
        vm.rd = {
            id : vm.fd.id
        }
        var evo = new EvoratecApi.api();
        evo.llama('/familias/ver-padres',vm.rd).then(function(data){
            vm.padres = data.datos ;
        });
    }

    function grabar(){
    // enviamos los datos al controller para que actualice el
        vm.rd = angular.copy(vm.fd);

        delete(vm.rd.selected);
        delete(vm.rd.descripcion_listado)
        delete(vm.rd.descripcion_padre)
        delete(vm.rd.hijos)

        vm.rd.parent_id = vm.padre.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/familias/grabar',vm.rd).then(function(data){
                if (data.resultado == 'ko') {
                    vm.verMensaje(data.mensajes);
                    vm.formDatos.$invalid = true ;
                    return ;
                }
                vm.cancelar();
                $scope.$emit('grabando-registro-familia',vm.fd);
        });
        // 3. actualizamos el set de datos que utilizamos en el grid.
    }

    function verFamilia(){
        // enviamos los datos al controller para que actualice el
        vm.rd = { id : vm.fd.parent_id }
        var evo = new EvoratecApi.api();
        evo.llama('/familias/ver-familia',vm.rd).then(function(data){
            vm.padre = data.datos[0];
        });

        // 3. actualizamos el set de datos que utilizamos en el grid.
    }

    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-familia', function (event,data) {
        vm.nuevoRegistro = true ;
        // copiamos los datos iniciales.
        vm.fd = angular.copy(data);
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('listaFacturasCompra', listaFacturasCompra);
function listaFacturasCompra(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/facturas-compra/facturas-compra-lista.html',
        scope: {
        },
        link: linkFunc,
        controller: listaFacturasCompraController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
listaFacturasCompraController.$inject = ['Reservas','$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI'];
function listaFacturasCompraController(Reservas,$filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
        columna: 'doc',
        field:'doc',
        sort : 'doc',
        header : 'Factura'
        },
        {
            columna: 'fecha_a',
            field: 'fecha_a',
            sort : 'fecha',
            header : 'Fecha'
        },

        {
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header : 'Razón Social'
        },

        {
            columna: 'sufactura',
            field:'sufactura',
            sort : 'sufactura',
            header : 'Nº Factura proveedor'
        },
        {
            columna: 'total',
            field:'total',
            sort : 'total',
            header : 'Total'
        }

    ];
    
    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            'id':0
        },
        datos: {},
        pageNumber : 1
    };
    vm.proveedor = {
        id : 0
    }

    // request data
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        leerProveedores : leerProveedores,
        imprimir : imprimir,
        leeDocumento : leeDocumento,
        ver : ver,
        listado : listado,
        verOpcionesEtiquetas : verOpcionesEtiquetas,
        imprimirEtiquetas : imprimirEtiquetas,
        borrarRegistro : borrarRegistro,
        verMensaje : verMensaje
    })
    vm.init();


    function init(){
        vm.opcionesEtiquetas = false ;
        vm.verDatos();
    }

    function ver(item) {

        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
            vm.leeDocumento(item.id);
        }

    }

    // dry todoevo  pasarlo todo a un servicio

    function leeDocumento(id) {
        vm.rd = {
            id : id
        }
        blockUI.start();
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/ver',vm.rd).then(function(data){
            vm.datosDoc = data.datos ;
            blockUI.stop();
        },function(error){
            blockUI.stop();
            console.log(error);
        });
    }

    function imprimir(registro) {
        vm.rd = {};
        vm.rd.id = registro.id ;
        blockUI.start();
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/imprimir',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', registro.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;
            blockUI.stop();
        },function(error){
            blockUI.stop();
            console.log(error);
        });
    }

    function listado() {
        vm.rd = {};
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/listado',vm.rd).then(function(data){
            //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('target','_blank'); // para verlo en pantalla
          //  downloadLink.attr('download', 'listado-albaranes.pdf'); // para descargar en un fichero
            downloadLink[0].click();
            downloadLink = null ;
        },function(error){
            console.log(error);
        });
    }


    // Ver los Avales que tenemos
    function verDatos() {
        vm.rd = {};
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.estado = vm.opcion ;
        vm.rd.proveedor_id = vm.proveedor.id ;
      //  vm.rd.idcliente = vm.clientes.id ;
        vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');

        blockUI.start('Leyendo Datos');

        var evo = new EvoratecApi.api();

        evo.llama('/facturas-compra/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    // facturado : dato.factura_id>0?'Si':'No',
                    fecha_a: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            blockUI.stop();
        });
    }


    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $location.path('/factura-compra/'+registro.id);
    }
    // enviamos un evento y un registro vacio.

    function nuevoRegistro() {
        $location.path('/factura-compra/new');
    }


    function leerProveedores(clave,id) {
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        blockUI.start();
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/lista',vm.rd).then(function(data){
            vm.proveedores = data.datos;
            if (id > 0) {
                angular.copy(vm.proveedores[0], vm.proveedor);
            }
            blockUI.stop();
        });
    };



    function verOpcionesEtiquetas() {
        vm.fila = 1;
        vm.columna = 1 ;
        vm.opcionesEtiquetas = true ;
    }

    function imprimirEtiquetas() {
        vm.rd = {};
        vm.rd.fila = vm.fila;
        vm.rd.columna = vm.columna ;
        vm.rd.datos = [];

        _.forEach(vm.datosDoc.lineas, function(o) {
            if (o.producto_id > 0) {
                etiqueta = {
                    producto_id : o.producto_id,
                    etiquetas : o.cantidad
                }
                vm.rd.datos.push(etiqueta) ;
            }
        })
        var evo = new EvoratecApi.api();
        evo.llama('/productos/etiquetas-compras',vm.rd).then(function(data){
            console.log(data);
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', 'etiquetas-facturas-compra.pdf');
            downloadLink[0].click();
            downloadLink = null ;
            vm.opcionesEtiquetas = false ;
        },function(error){
            console.log(error);
            vm.opcionesEtiquetas = false ;
        });
    }
    function borrarRegistro(registro) {
        var mensajes = [];
        var cabecera = 'Confirmar !!';
        mensajes.push('¿ Está seguro de querer borrar esta factura de compra ?');
        vm.datos = { cabecera: cabecera, mensajes: mensajes, botonConfirmacion : 'Borrar Factura de Compra' };
        var confirmacion = ngDialog.openConfirm({
            templateUrl : 'views/admin/mensaje-nosi.html',
            data: vm.datos
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/facturas-compra/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {

                    vm.verMensaje('Este factura no se puede borrar.','Error','Aceptar');
                } else {
                    vm.verMensaje('Factura de compra borrada','Atención...','Aceptar');
                    vm.verDatos();
                }
            });
        });
    }
    function verMensaje(mensaje,cabecera,boton) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes,botonConfirmacion : boton };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje-error-evo.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('registroFacturaCompra', registroFacturaCompra);
function registroFacturaCompra(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/facturas-compra/facturas-compra-registro.html',
        scope: {},
        link: linkFunc,
        controller: registroFacturaCompraController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
registroFacturaCompraController.$inject = ['$scope', '$location','$timeout','EvoratecApi','Evoratec',
                    '$rootScope','$routeParams','$filter','ngDialog','blockUI'];
function registroFacturaCompraController($scope, $location,  $timeout,EvoratecApi,Evoratec,
                                   $rootScope,$routeParams,$filter,ngDialog,blockUI) {

    var vm = this;

    $rootScope.bodyClass = 'documento';

    vm.facturaPdf = '';
    vm.address = {};
    vm.focoProducto = true ;
    vm.factura = {
        factura: ''
    }
    vm.linea = {
        id: 0
    }
    vm.cantidad = 1 ;
    vm.productos = [];
    vm.producto = {
        Key: "",
        Value: 0
    };
    vm.proveedores = [];
    vm.proveedor = {
        id : 0,
        razon_social : ''
    };
    vm.verLista = false ;

    vm.estamosEnLineas = false ;
    vm.opcionesEtiquetas = false ;

    angular.extend(vm,{
        init : init,
        leeDocumento : leeDocumento,
        nuevoDocumento : nuevoDocumento,
        leeLineasCompra : leeLineasCompra,
        imprimirDocumento : imprimirDocumento,
        verOpcionesEtiquetas : verOpcionesEtiquetas,
        imprimirEtiquetas : imprimirEtiquetas,
        nuevoProveedor : nuevoProveedor,
        verProveedor : verProveedor
    });

    vm.series = [
        {
            id : 1,
            descripcion : 'Serie de facturación normal'
        },
        {
            id : 2,
            descripcion : 'Serie de facturación simplificada'
        },
    ];

    vm.init();

    function init() {
        // indicamos que no es nuevo
        vm.opcionesEtiquetas = false ;
        vm.esNuevo = false ;
        if ($routeParams.id > 0) {
            vm.esPopUp = false ;
            vm.rd = {};
            vm.rd.id = $routeParams.id ;
            vm.leeDocumento();
            vm.textoBotonGrabar = 'Grabar';
        }
        if ($routeParams.id === 'new') {
            vm.esPopUp = false ;
            vm.esNuevo = true ;
            vm.nuevoDocumento() ;
            vm.textoBotonGrabar = 'Grabar';
        }
    }

    function nuevoProveedor() {
        var datos = {}
        $scope.$broadcast('nuevo-registro-proveedor',datos)
    }
    function verProveedor() {
        var datos = {
            id : vm.documento.proveedor_id
        }
        $scope.$broadcast('abre-registro-proveedor',datos)
    }

    function nuevoDocumento() {
        blockUI.start();
        vm.rd = {};
        vm.rd.proveedor_id = 0 ;
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/nuevo',vm.rd).then(function(data){
            vm.documento = data.datos ;
            console.log(vm.documento)
            vm.proveedor.razon_social = '' ;
            vm.proveedor.id = data.proveedor_id;
            vm.leerProveedores('',vm.proveedor.id);
            blockUI.stop();
        },function(error){
            console.log(error);
            blockUI.stop();
        });
    }

    function leeDocumento() {
        blockUI.start();
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/ver',vm.rd).then(function(data){
            vm.documento = data.datos ;
            vm.fecha = vm.documento.fecha ;
            // leemos el dato del asociado
            vm.proveedor.razon_social = '' ;
            vm.proveedor.id = vm.documento.proveedor_id;
            vm.leerProveedores('',vm.proveedor.id);
            vm.recalculoTotales();
            console.log(vm.documento)
            blockUI.stop();
        },function(error){
            console.log(error);
            blockUI.stop();
        });
    }

    function verOpcionesEtiquetas() {
        vm.fila = 1;
        vm.columna = 1 ;
        vm.opcionesEtiquetas = true ;
    }

    function imprimirEtiquetas() {
        vm.rd = {};
        vm.rd.fila = vm.fila;
        vm.rd.columna = vm.columna ;
        vm.rd.datos = [];

         _.forEach(vm.documento.lineas, function(o) {
             if (o.producto_id > 0) {
                 etiqueta = {
                     producto_id : o.producto_id,
                     etiquetas : o.cantidad
                 }
                 vm.rd.datos.push(etiqueta) ;
             }

        });
        var evo = new EvoratecApi.api();
        evo.llama('/productos/etiquetas-compras',vm.rd).then(function(data){
            console.log(data);
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', 'etiquetas.pdf');
            downloadLink[0].click();
            downloadLink = null ;
            vm.opcionesEtiquetas = false ;
        },function(error){
            console.log(error);
            vm.opcionesEtiquetas = false ;
        });
    }

    function imprimirDocumento() {
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/imprimir',vm.rd).then(function(data){
          //  blob = new Blob([data], { type:"application/pdf;charset=utf-8;" });
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', vm.documento.doc+'.pdf');
            downloadLink[0].click();
            downloadLink = null ;

        },function(error){
            console.log(error);
        });
    }
    function leeLineasCompra() {
        vm.rd = {};
        vm.rd.id = vm.documento.id ;
        var evo = new EvoratecApi.api();
        blockUI.start();
        evo.llama('/facturas-compra/lineas-compra',vm.rd).then(function(data){
            vm.documento.lineas = data.datos;
            vm.recalculoTotales();
            blockUI.stop()
        },function(error){
            console.log(error);
            blockUI.stop()
        });
    }


    vm.cobrarDocumento = function(){
        vm.abreCobros = true ;
    }

    vm.grabaDocumento = function(){

        console.log(vm.documento)
        var mensajes = [];
        vm.hayErrores = false ;

        if (vm.documento.proveedor_id === 0) {
            mensajes.push('El proveedor no puede quedarse vacío');
            vm.hayErrores = true ;
        }
        if (vm.fecha == undefined) {
            mensajes.push('La fecha no es correcta.');
            vm.hayErrores = true ;
        }
        if (vm.hayErrores) {
            vm.datos = {
                mensajes: mensajes,
                cabecera: 'Errores'
            };
            var confirmacion = ngDialog.openConfirm({
                template: 'views/admin/mensajes-multiples-error.html',
                data: vm.datos
            });
            confirmacion.then(function() {});

        }
        if (vm.hayErrores) {
            vm.hayErrores = false ;
            return ;
        }

        vm.rd = angular.copy(vm.documento)
        vm.rd.fecha =  $filter('date')(vm.fecha, 'yyyy-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/facturas-compra/grabar',vm.rd).then(function(data){
            $location.path('/facturas-compra');
        });
    }



    // lectura de clientes para un desplegable si lo utilizamos
    vm.leerProveedores = function(clave,id) {
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        vm.rd.opcion = '' ;
        blockUI.start();
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/lista',vm.rd).then(function (data) {
                vm.proveedores = data.datos;
                if (id > 0) { // hemos mandado leer un solo asociado y copiamos el resultado a vm.asociado
                    angular.copy(vm.proveedores[0], vm.proveedor);
                }
        });
        blockUI.stop();
    };

    vm.seleccionaCliente = function(lineaCompra,modelo) {
        vm.documento.cliente_id = lineaCompra.id ;
    }
    vm.seleccionaSerie = function(lineaCompra,modelo) {
        //vm.documento.serie_id = series.id ;
    }

    var leyendoProductos = false;

    vm.buscarProveedores = function(){
        $scope.$broadcast('compras:buscar-proveedores')
    }
   /* function anaAlbaranes (){
        var datos = {};
        datos.cliente_id = vm.documento.cliente_id ;
        datos.factura_id = vm.documento.id ;
        $scope.$broadcast('facturas:ana-albaranes',datos)
    }

    function quitarAlbaranes (){
        var datos = {};
        datos.factura_id = vm.documento.id ;
        $scope.$broadcast('facturas:quitar-albaranes',datos)
    }*/


    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });

    }

    vm.irProducto = function() {
        vm.focoProducto = true ;
        vm.linea.id = 0;
    }

    vm.ver = function (linea) {
        $scope.$broadcast('linea-compra:modificar', linea);
    }

    vm.borralineaCompra = function (lineaCompra) {
        if (vm.documento.lineas.length == 0)
            return;
        Evoratec.mensaje('¿ Estás seguro de querer borrar esta linea ?','Borrar Linea').then(function(){
            vm.rd = {};
            vm.rd.id = lineaCompra.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/compras/borrar-linea',vm.rd).then(function(data){
                vm.leeLineasCompra();
            },function(error){
                console.log(error);
            });


        })
    };

    vm.recalculoTotales = function () {
        var total = 0;
        vm.documento.impuestos = [];
        for (var i in vm.documento.lineas) {
            var baseLinea = 0 ;
            var totalIvaLinea = 0 ;

            var lineaCompra = vm.documento.lineas[i];

            var cantidad = lineaCompra.cantidad;
            var row_total = cantidad * lineaCompra.precio;

            if (isNaN(row_total)) row_total = 0;


            lineaCompra.total = row_total;
            // Buscamos registro de iva
            // si el cliente es intracomunitario, la base será solamente una con el tipo de iva a 0.
            // las retenciones se
            /*
             base
             tipo_iva
             iva_total
             total
             */
            baseLinea = 0 ;

            baseLinea = row_total  ;
            totalIvaLinea = baseLinea * (lineaCompra.tipo_iva / 100) ;

            var registroIva = _.find(vm.documento.impuestos,{tipo_iva:lineaCompra.tipo_iva})
            if (angular.isUndefined(registroIva)) {
                vm.documento.impuestos.push({
                    tipo_iva: lineaCompra.tipo_iva,
                    base: baseLinea,
                    total_iva: totalIvaLinea
                });
                console.log(vm.documento.impuestos);
            } else {
                registroIva.base = registroIva.base +  baseLinea;
                registroIva.total_iva = registroIva.total_iva + totalIvaLinea;
            }
            total = total + baseLinea + totalIvaLinea ;
            // lo mismo haremos con los descuentos
        }

        vm.documento.total = total;

        // vm.documento.cobrado = 0 ;
        // vm.documento.pendiente = vm.documento.total ;


       //  vm.documento.pendiente = vm.documento.total - vm.documento.cobrado ;
       // vm.cantidadACobrar = vm.documento.pendiente ;

        console.log(vm.documento)
    };

    vm.anadeLineaVarios = function (lineaCompra) {

        vm.lineaNueva = {
            id : 0,
            albaran_id: 0,
            factura_id: vm.documento.id,
            cantidad : 1,
            descripcion : '',
            descuento : 0,
            doc : vm.documento.doc,

            empresa_id : 0,
            impuesto_id: 1,
            nota : '',
            notas : '',
            precio : 0,
            producto : 'NOTA',
            producto_id : 0,
            tipo_iva: 21,
            total: 0,
            totaldto : 0

        };
        $scope.$broadcast('linea-compra:add',vm.lineaNueva)

    };

    vm.modificalineaCompra = function(linea) {
        $scope.$broadcast('linea-compra:modificar', linea);
    }

    $scope.$on('linea-compra:grabar', function (event,data) {
        vm.leeLineasCompra();
    });
    $scope.$on('compras:documento_grabado',function(e,d){

    });
    $scope.$on('proveedores:selecciona-proveedor',function(evento,proveedor){
        vm.documento.proveedor_id = proveedor.id ;
        vm.proveedor = proveedor ;
    });


    $rootScope.$on('errorpeticion',function(e,d){
        console.log(d);
    });

    $scope.$on('grabando-registro-proveedor', function (event,proveedor) {
        // OJO
        vm.documento.proveedor_id = proveedor.id ;
        vm.proveedor = proveedor ;
    });

}




;angular.module('app').directive('lineaCompra', lineaCompra);
function lineaCompra() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/facturas-compra/linea-compra.html',
        controller: lineaCompraController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

lineaCompraController.$inject=['$scope', '$filter','$log','ngDialog','$rootScope','EvoratecApi','Evoratec','$timeout'];
function lineaCompraController($scope,$filter,$log,ngDialog,$rootScope,EvoratecApi,Evoratec,$timeout ){
    // valores seleccionados con los select
    var vm = this ;

    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verProducto : verProducto,
        extractoProducto : extractoProducto,
        nuevoProducto : nuevoProducto,
        verInfoProducto : verInfoProducto
    });

    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;
    vm.productos = [];

    vm.focoCantidad = false ;

    vm.optionsCleave = {
        date: {
            date: true
        },
        numeral: {
            numeral: true
        }
    };

    function nuevoProducto(){
        var producto_nuevo = {}
        $scope.$broadcast('nuevo-registro-producto',producto_nuevo);
    }
    function verProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('abre-registro-producto',registro);
    }
    function extractoProducto() {
        var registro = { id : vm.fd.producto_id }
        $scope.$broadcast('ver-extracto-producto',registro);
    }

    vm.seleccionaProducto = function(producto) {
        vm.fd.precio = producto.precio_compra ;
        vm.fd.producto = producto.producto ;
        vm.fd.producto_id = producto.id ;
        vm.fd.descripcion = producto.descripcion ;
        vm.focoProducto = false ;
        vm.focoCantidad = true ;
        vm.productos = [];



        vm.verInfoProducto(producto.id)
    }

    function verInfoProducto(id){
        vm.rd = {
            id : id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/productos/ver-datos',vm.rd).then(function(response){
            vm.infoProducto = angular.copy(response.datos[0]);
            vm.ultimaCompra = angular.copy(response.ultima_compra);
        });
    }

    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
        },function(error){
            console.log(error);
        });
    }
    // esto en caso del popup
    $scope.$on('linea-compra:modificar', function (event,data) {

        vm.nuevoRegistro = false ;
        vm.fd = angular.copy(data);
        if (vm.fd.producto_id > 0) {
            vm.verInfoProducto(vm.fd.producto_id)
        }
        vm.abrir();

        $timeout(function(){
            vm.focoProducto = false ;
            vm.focoCantidad = true ;
        },300);

    });

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        $rootScope.$emit('quita-scroll');
        vm.abreVentana = true ;

        $timeout(function(){
            vm.focoCantidad = false ;
            vm.focoProducto = true ;
        },300);
    }

    vm.recalcular = function() {
        vm.fd.total = vm.fd.cantidad * vm.fd.precio ;
    }
    function grabar(){
        // todoevo ver si la linea es de albaranes o de facturas.
        vm.rd = angular.copy(vm.fd) ;
       //  vm.rd.fecha = $filter('date')(vm.fd.fecha, 'yyyy-MM-dd');
        var evo = new EvoratecApi.api();
        evo.llama('/compras/grabar-linea',vm.rd).then(function(data){
            vm.cancelar();
        },function(error){
            console.log(error);
        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        $scope.$emit('linea-compra:grabar');
        vm.abreVentana = false ;
    }

    $scope.$on('linea-compra:add', function (event,data) {
        vm.infoProducto = {};
        vm.nuevoRegistro = true ;
        vm.fd = angular.copy(data) ;
        vm.abrir();
    });

    $scope.$on('selecciona-producto', function (event, data) {
        vm.seleccionaProducto(data);
    });

};angular.module('app').directive('listaProductosInventario', listaProductosInventario);
function listaProductosInventario(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/inventario/lista-productos-inventario.html',
        scope: {},
        link: linkFunc,
        controller: listaProductosInventarioController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {

    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaProductosInventarioController.$inject = ['$location','$timeout','$scope','$log','Evoratec','EvoratecApi','$rootScope','blockUI'];

function listaProductosInventarioController($location,$timeout,$scope,$log,Evoratec,EvoratecApi,$rootScope,blockUI) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };
    vm.columnas  = [
        {
            columna: 'producto',
            field:'producto',
            sort : 'producto',
            header: 'Producto',
        },
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripcion'
        },
        {
            columna: 'stock',
            field:'stock',
            sort : 'stock',
            header: 'Stock'
        },
        {
            columna: 'stock_act',
            field:'stock_act',
            sort : 'stock_act',
            header: 'Stock Inventario'
        }

    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0,
            "producto":"",
            "descripcion":"",
            "precio_venta":0,
            'stock': 0,
            'stock_act' : 0

        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    vm.productos = [];
    vm.producto = {
        descripcion: ''
    };
    vm.leerProductos = function (clave) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = 0;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = angular.copy(data.datos);
            console.log('pasa')
        },function(error){
            console.log(error);
        });
    }

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        ver :ver,
        verMensaje : verMensaje,
        recalcularInventario : recalcularInventario,
        actInventario :actInventario,
        verExtracto : verExtracto
    })
    vm.init();

    function init(){
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {

        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            //vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    function verExtracto(registro) {
        console.log(registro)
        $scope.$broadcast('ver-extracto-producto',registro);
    }
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos')
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, { productosel:{} });
            });

            blockUI.stop();


                $timeout(function(){
                    if($rootScope.paginaInventario > 1) {
                        $scope.$broadcast('tabla-ir-pagina-lista-productos-inventario', $rootScope.paginaInventario);
                    }
                    blockUI.stop();
                }, 200);
        });
    }

    function recalcularInventario(){
  /*      var hayError = false ;
        if (hayError) return ;
        vm.rd = {};
        vm.rd.inventario = [] ;
        //vm.rd.fecha = $filter('date')( vm.fecha, 'y-MM-dd');
        //vm.rd.fecha = $filter('date')( vm.hora, 'y-MM-dd');
        angular.forEach(vm.fd.datos, function(item, i) {
            if (item.stock_act > 0) {
                vm.rd.inventario.push(item);
                return;
            }
        });*/


        blockUI.start('Recalculando inventario');
        var evo = new EvoratecApi.api();
        evo.llama('/productos/recalcular-stocks',vm.rd).then(function(data){
            blockUI.stop();
            vm.verDatos();
        });
    }


    function actInventario(item) {
        // enviamos los datos al controller para que actualice el
        vm.rd = {};
        vm.rd.id = item.id ;
        vm.rd.stock_inv = item.stock_act ;
        vm.rd.stock_act = item.stock ;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/actualiza-stock',vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                return ;
            }
            vm.registroSel.id = 0 ;
            vm.itemPopup = data
            vm.verDatos();

        });
    }


    // Eventos tabla producots
    $scope.$on('tabla-filtros-orden-lista-productos-inventario', function (event,data) {
        console.log(data);
    });
    $scope.$on('tabla-numero-pagina-lista-productos-inventario', function (event,data) {
        console.log('tabla-numero-pagina-lista-productos-inventario')
        console.log(data)
        $rootScope.paginaInventario = data ;
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('productosEtiquetas', productosEtiquetas);
function productosEtiquetas(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/productos-etiquetas.html',
        scope: {},
        link: linkFunc,
        controller: productosEtiquetasController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
productosEtiquetasController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];

function productosEtiquetasController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };
    vm.columnas  = [
        {
            columna: 'producto',
            field:'producto',
            sort : 'producto',
            header: 'Producto',
        },
        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripcion'
        },
        {
            columna: 'codigo_barras',
            field:'codigo_barras',
            sort : 'codigo_barras',
            header: 'Código Barras'
        },
        {
            columna: 'etiquetas',
            field:'etiquetas',
            sort : 'etiquetas',
            header: 'Etiquetas'
        }

    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0,
            "producto":"",
            "descripcion":"",
            'etiquetas' : 0

        },
        datos: {},
        pageNumber : 1,
        fila: 1,
        columna : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        ver :ver,
        verMensaje : verMensaje,
        imprimirEtiquetas : imprimirEtiquetas
    })
    vm.init();

    function init() {
        vm.verDatos();
    }

    function ver(item) {

    }


    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }

    function imprimirEtiquetas() {
        vm.rd = {};
        vm.rd.fila = vm.fd.fila;
        vm.rd.columna = vm.fd.columna ;
        vm.rd.datos = _.filter(vm.fd.datos, function(o) { return o.etiquetas > 0 ; });
        var evo = new EvoratecApi.api();
        evo.llama('/productos/etiquetas',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.link);
            downloadLink.attr('download', 'etiquetas.pdf');
            downloadLink[0].click();
            downloadLink = null ;
        },function(error){
            console.log(error);
        });
    }


    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('productosExtracto', productosExtracto);
function productosExtracto(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/productos/productos-extracto-popup.html',
        scope: {
        },
        link: linkFunc,
        controller: productosExtractoController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Avales
productosExtractoController.$inject = ['$filter','$scope','ngDialog','Evoratec','$location','EvoratecApi','blockUI','$routeParams'];
function productosExtractoController($filter,$scope,ngDialog,Evoratec,$location,EvoratecApi,blockUI,$routeParams) {
    // definimos variables
    var vm = this;

    vm.columnas  = [
        {
            columna: 'tipo',
            field: 'tipo',
            sort : 'tipo',
            header : 'tipo'
        },
        {
            columna: 'fecha_e',
            field: 'fecha_e',
            sort : 'fecha',
            header : 'Fecha'
        },
        {
            columna: 'documento',
            field: 'documento',
            sort : 'documento',
            header : 'documento'
        },
        {
            columna: 'razon_social',
            field: 'razon_social',
            sort : 'razon_social',
            header : 'razon_social'
        },
        {
            columna: 'cantidad',
            field: 'cantidad',
            sort : 'cantidad',
            header : 'cantidad'
        },

        {
            columna: 'precio',
            field: 'precio',
            sort : 'precio',
            header : 'precio'
        },
        {
            columna: 'saldo',
            field: 'saldo',
            sort : 'saldo',
            header : 'saldo'
        }

    ];

    var fechaActual = new Date().toISOString().substr(0, 10);
    var anoActual = new Date().toISOString().substr(0, 4);

    vm.fechaInicio = anoActual+'-01-01';
    vm.fechaFin = anoActual+'-12-31';;

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        datos: {},
        pageNumber : 1
    };
    vm.rd = {
        id : 0
    };
    vm.registroSel = {
        id : 0
    };


    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        ver : ver
    })

    vm.init();
    function init(){
        /*if ($routeParams.id > 0) {
            vm.verDatos($routeParams.id);
        }*/
    }

    function ver(item) {
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    function verRegistro(){

    }

    vm.abrir = function(){
        vm.abreVentana = true ;
    }
    vm.cancelar = function(){
        vm.abreVentana = false ;
    }

    function exportar(){
        // vm.rd.fecha = $filter('date')( vm.fd.fecha, 'y-MM-dd');
        vm.rd.datos = Evoratec.itemscsv;
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/exportar',vm.rd).then(function(data){
            downloadLink = angular.element('<a></a>');
            downloadLink.attr('href',data.url);
            downloadLink.attr('download', 'reservas.xlsx');
            downloadLink[0].click();
            window.URL.revokeObjectURL(data.url);
        });
    }

    function verDatos(producto_id) {
        vm.rd = {};
        vm.rd.producto_id = producto_id ;
      /*  vm.rd.fecha_ini = $filter('date')( vm.fechaInicio, 'y-MM-dd');
        vm.rd.fecha_fin = $filter('date')( vm.fechaFin, 'y-MM-dd');*/
        var evo = new EvoratecApi.api();
        blockUI.start('Leyendo Datos');
        evo.llama('/productos/extracto',vm.rd).then(function(data){
            vm.fd.datos = data.datos.ventas;
            vm.fd.producto = data.datos.producto[0] ;

            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {
                    fecha_e: $filter('evofecha')(dato.fecha),
                });
            })
            // vemos el primer asociado de la lista
            vm.itemDetalle = vm.fd.datos[0];
            vm.fd.total_ventas = data.datos.total_ventas ;
            vm.fd.total_compras = data.datos.total_compras ;
            vm.fd.cantidad_ventas = data.datos.cantidad_ventas ;
            vm.fd.cantidad_compras = data.datos.cantidad_compras ;
            blockUI.stop();
        });
    }
    $scope.$on('ver-extracto-producto', function (event,data) {
        vm.verDatos(data.id);
        vm.abrir();
    });
}

;angular.module('app').directive('listaTarifasProductos', listaTarifasProductos);
function listaTarifasProductos(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tarifas-productos-lista.html',
        scope: {},
        link: linkFunc,
        controller: listaTarifasProductosController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaTarifasProductosController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaTarifasProductosController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            columna: 'codigo',
            field:'codigo',
            sort : 'codigo',
            header: 'Tarifa'
        },

        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripción'
        },
        {
            columna: 'fecha_i',
            field:'fecha_i',
            sort : 'fechaini',
            header: 'Fecha inicio'
        },

        {
            columna: 'fecha_f',
            field:'fecha_f',
            sort : 'fechafin',
            header: 'Fecha fin'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
            vm.verDatosTarifa(item)
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-productos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
            vm.registroSel.id = 0;
        });
    }

    // todoevo cambiar para quitar código.

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar esta categoría?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Categoría</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true
        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/familias/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta familia tiene productos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }
            });
        });
        /* */
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-tarifas-productos',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-tarifas-productos',vm.fd.registro);
    }

    $scope.$on('grabando-registro-familias-productos', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

    // Ver los Clientes que tenemos
    vm.verDatosTarifa = function(item) {
        vm.rd = {
            id : item.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-productos/ver',vm.rd).then(function(response){
            vm.productos_tarifa = response.productos_tarifa
        });
    }

}



;angular.module('app').directive('registroTarifasProductos', registroTarifasProductos);
function registroTarifasProductos() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/tarifas-productos-registro.html',
        controller: registroTarifasProductosController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

registroTarifasProductosController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter'];
function registroTarifasProductosController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter ){
    // valores seleccionados con los select
    var vm = this ;
    vm.registroSel = {
        id : 0
    };
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        ver : ver

    });

    vm.paises = [];
    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;

    // esto en caso del popup
    $scope.$on('abre-registro-tarifas-productos', function (event,registro) {
        vm.fd = {};
        vm.rd = {
            id : registro.id
        };

        vm.verRegistro()
    });

    function ver(item) {

        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            //vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        // Cambiamos el estado del form
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }

    vm.verRegistro = function() {
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-productos/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos[0]);
            vm.productos_tarifa = response.productos_tarifa
            vm.abrir();
        });
    }




    function grabar(){
        // enviamos los datos al controller para que actualice el

        vm.rd = angular.copy(vm.fd);
        vm.rd.fechaini = $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd');
        vm.rd.fechafin = $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd');

        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-productos/grabar',vm.rd).then( function(data){
            console.log(data)
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                console.log(cadenaMensajes)
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            //
            if (!vm.nuevoRegistro) {
                vm.cancelar();
                $scope.$emit('grabando-registro-familias-productos',vm.fd);
            } else {
                vm.nuevoRegistro = false ;
                vm.rd = {
                    id : data.id
                };
                vm.verRegistro() ;
            }

        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-tarifas-productos', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.productos_tarifa = [];
        vm.fd = angular.copy(data);
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }



    // Código para editar el precio de la tarifa
    vm.editarPrecio = function(item) {
        vm.abreEdicion = true ;
        vm.producto_tarifa = item ;
    }
    vm.cancelarEdicion = function() {
        vm.abreEdicion = false ;
    }
    vm.grabarPrecioTarifa = function(producto_tarifa) {
        vm.rdt = angular.copy(producto_tarifa);
        vm.rdt.precio = vm.rdt.precio_act
        delete(vm.rdt.descripcion)
        delete(vm.rdt.precio_act)
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-productos/grabar-producto-tarifa',vm.rdt).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                console.log(cadenaMensajes)
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            vm.verRegistro();
            vm.cancelarEdicion();
        });
    }

}

;angular.module('app').directive('listaTarifasGolf', listaTarifasGolf);
function listaTarifasGolf(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/tarifas/tarifas-golf-lista.html',
        scope: {},
        link: linkFunc,
        controller: listaTarifasGolfController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaTarifasGolfController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaTarifasGolfController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            columna: 'tarifa',
            field:'tarifa',
            sort : 'tarifa',
            header: 'Tarifa'
        },

        {
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'Descripción'
        },
        {
            columna: 'preciogf9',
            field:'preciogf9',
            sort : 'preciogf9',
            header: 'Precio GF 9'
        },

        {
            columna: 'preciogf18',
            field:'preciogf18',
            sort : 'preciogf18',
            header: 'Precio GF 18'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-tarifas-golf',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-tarifas-golf',vm.fd.registro);
    }

    $scope.$on('grabando-registro-tarifas-golf', function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

}



;angular.module('app').directive('registroTarifasGolf', registroTarifasGolf);
function registroTarifasGolf() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/tarifas/tarifas-golf-registro.html',
        controller: registroTarifasGolfController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

registroTarifasGolfController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter'];
function registroTarifasGolfController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter ){
    // valores seleccionados con los select
    var vm = this ;
    vm.registroSel = {
        id : 0
    };
    _.extend(vm,{
        grabar : grabar,
        cancelar : cancelar,
        abrir : abrir,
        init : init,
        verMensaje : verMensaje,
        ver : ver

    });

    vm.paises = [];
    vm.abreVentana = false ;
    vm.fd = {};
    vm.esPopUp = false ;

    // esto en caso del popup
    $scope.$on('abre-registro-tarifas-golf', function (event,registro) {
        vm.fd = {};
        vm.rd = {
            id : registro.id
        };

        vm.verRegistro()
    });

    function ver(item) {

        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            //vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    vm.init();
    function init() {
        vm.esPopUp = true ;
    }
    function abrir(){
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        // Cambiamos el estado del form
        $timeout(function() {
            vm.abreVentana = true ;
        },100);
    }

    vm.verRegistro = function() {
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/ver',vm.rd).then(function(response){
            vm.fd = angular.copy(response.datos);
            vm.abrir();
        });
    }




    function grabar(){
        // enviamos los datos al controller para que actualice el

        vm.rd = angular.copy(vm.fd);

        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/grabar',vm.rd).then( function(data){
            console.log(data)
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                console.log(cadenaMensajes)
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            //

            vm.cancelar();
            $scope.$emit('grabando-registro-tarifas-golf',vm.fd);

        });
    }
    function cancelar(){
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false ;
    }

    $scope.$on('nuevo-registro-tarifas-golf', function (event,data) {
        vm.nuevoRegistro = true ;
        vm.fd = angular.copy(data);
        vm.fd.id = 0 ;
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {
        vm.datos = {
            mensajes: mensajes
        };
        var confirmacion = ngDialog.openConfirm({
            template: 'views/admin/mensajes-error.html',
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            data: vm.datos
        });
        confirmacion.then(function () {});
    }
}

;angular.module('app').directive('tarifasGolfBuscar', tarifasGolfBuscar);
function tarifasGolfBuscar() {
    return {
        restrict: 'E',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/tarifas/tarifas-golf-buscar.html',
        controller: tarifasGolfBuscarController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {}
}

tarifasGolfBuscarController.$inject=['$scope','EvoratecApi','ngDialog', '$rootScope','blockUI'];
function tarifasGolfBuscarController($scope,EvoratecApi,ngDialog, $rootScope,blockUI ){
    // valores seleccionados con los select
    var vm = this ;

    angular.extend(vm,{
        cancelar : cancelar,
        init : init,
        abrir : abrir,
        seleccionar : seleccionar,
        buscar : buscar
    });
    vm.abreVentana = false ;
    vm.rd = {};
    vm.foco = false ;

    vm.init();

    $scope.$on('tarifas-golf-buscar', function (event,data) {
        vm.descripcion = '' ;
        vm.abrir();
        vm.foco = true ;
    });

    function init() {

    }
    function abrir() {
        vm.abreVentana = true ;
    }
    function buscar(clave) {
        vm.rd = {};
        vm.rd.id = 0 ;
        vm.rd.descripcion = clave ;
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.datos = data.datos
        });
    };
    function seleccionar(dato) {
        $scope.$emit('tarifas-golf:seleccionar',dato);
        vm.abreVentana = false ;
    }
    function cancelar(){
        vm.abreVentana = false ;
    }
}

;
angular.module('app').directive('reservasSuecos', reservasSuecos);
function reservasSuecos() {
    var directive = {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/reservas/reserva-suecos.html',
        controller: reservasSuecosController,
        controllerAs: 'vm',
        bindToController: true
    }
    return directive;

    function link(scope, element, attrs, vm) {}
};

reservasSuecosController.$inject=[ '$scope','$filter','$log','Reservas','blockUI','EvoratecApi','Evoratec',
    '$routeParams','$location','ngDialog','$timeout','$rootScope'];
function reservasSuecosController($scope,$filter,$log,Reservas,blockUI,EvoratecApi,Evoratec,$routeParams,$location,ngDialog,$timeout,$rootScope){
    // valores seleccionados con los select
    var vm = this ;

    var fechaActual = new Date().toISOString().substr(0, 10);

    _.extend(vm,{
        cancelar : cancelar,
        abrir : abrir,
        leeDatosReserva : leeDatosReserva,
        leerTarifas: leerTarifas,
        asignarTarifa : asignarTarifa,
        confirmaGeneraAlbaran :confirmaGeneraAlbaran,
        confirmaGeneraAlbaranes : confirmaGeneraAlbaranes,
        facturarGreenfees : facturarGreenfees,
        marcarTodos : marcarTodos,
        albaranGreenfees : albaranGreenfees,
        marcarTodosNoFacturados : marcarTodosNoFacturados,
        facturarGreenfeesConfirmado : facturarGreenfeesConfirmado
    });




    vm.actualizando = false ;

    vm.abreVentana = false ;
    vm.rd = {
        fecha : fechaActual,
        tramoHorario : 0,
        fly : 1,
        jugadores : 0,
        idreserva : '',
        reserva : {},
        presupuesto: []
    };

    vm.dreservaSel = {
        id : 0
    }
    vm.tarifas = []
    vm.tarifa = { id : 0}
    vm.idreservahora = '' ;

    vm.verDreserva = function(item) {
        if (vm.dreservaSel.id === item.id) {
            vm.dreservaSel.id = 0;
            vm.datosDoc = {};
        } else {
            vm.dreservaSel.id = item.id ;
            // todo Aqui leemos los datos de la dreserva. Ahora mismo tenemos los greenfees de toda la reserva.
            //vm.leeDocumento(item.id);
        }
    }


    vm.sd = {
        fecha : fechaActual
    }


    vm.fd = {
        id: 0,
        fecha : fechaActual,
        fly:1,
        modsalida : false ,
        idreserva:"",
        jugadores:0,
        dreservas: {}, // detalle de las salidas de la reserva
        reserva : {},
        presupuesto: [],
        numJugadores : 1,
        buggies: 0
    };



    $scope.$on('admin-ver-greenfees-reserva', function (event,data) {
        console.log(data);
        vm.tarifas = []
        vm.tarifa = { id: 0}
        vm.idreserva = data.idreserva
        vm.idreservahora = data.idreservahora;
        vm.fd.fecha = data.fecha ;
        console.log(data)
        vm.leeDatosReserva();

            vm.abrir();

    });


    function abrir(){
        // abrimos la ventana
        vm.abreVentana = true ;
        $timeout(function() {
            $scope.$broadcast('resize-ventana');
        },300);

    }

    function leeDatosReserva() {
        vm.rd = {};
        vm.rd.idreservahora = vm.idreservahora ;
        vm.rd.idreserva = vm.idreserva ;
        var evo = new EvoratecApi.api();
        evo.llama('/reservas/leer-greenfees-reserva',vm.rd).then(function(data){
            vm.greenfees = data.greenfees ;
            vm.reserva = data.reserva ;
            vm.dreservas = data.dreservas ;
        },function(error){
            console.log(error);
        });

    }

    /*
        Aquí tenemos que ver el abono que es.
        Definir la UX

        Input -> Campo de texto -> buscamos con leer abonos

        nos retorna un resultado. Ese resultado puede ser uno solo, con lo cual haremos una

        (2) comprobación del saldo y daremos el ok y vamos a (3). Si no ok -> mensaje al canto.

        si son varios visualizaremos una pantalla con los resultados obtenidos para poder seleccionar el abono pertienente.

        al seleccionar iremos a (2) a hacer la comprobación


        (3) si es ok


     */
    vm.leerAbonos = function (clave,gf) {
        if (!clave) return ;
        vm.abono = {};
        vm.rd = {};
        vm.rd.parametro = clave;
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/buscar',vm.rd).then(function(data){
            vm.abonos = data.datos;
            if (vm.abonos.length == 1) {
                gf.nombre_jugador = vm.abonos[0].nombre_jugador
                vm.abono = vm.abonos[0];
            }
        },function(error){
            // todoevo visualizar errores
            console.log(error);
        });
    }

    vm.actualizaAbonoGF = function(gf) {
        vm.leerAbonos(gf.abono,gf)
    }

    function cancelar(){
        vm.abreVentana = false ;
        if ($routeParams.id > '') {
            $location.path('/reservas');
        }
    }

    function confirmaGeneraAlbaran() {
        Evoratec.mensaje('¿ Quiere generar el albarán de esta reserva ?', 'Generar Albarán').then(function () {
            vm.generaAlbaran();
        });
    }


    function confirmaGeneraAlbaranes() {
        Evoratec.mensaje('¿ Quiere generar los albaranes de esta reserva ?','Generar Albaranes').then(function () {
            vm.generaAlbaranesReserva();
        });
    }



    function asignarTarifa() {
        $scope.$broadcast('tarifas-golf-buscar');

    }
    $scope.$on('tarifas-golf:seleccionar',function(event,data){
        vm.flySel = { fly : 0 }
        vm.rd = {};
        // todoevo poner los mensajes bien.

        // cogemos los greenfees que no están facturas o no tienen abono.
        // los abonos cogen su propia tarifa.

        vm.rd.greenfees = _.filter(vm.greenfees, function(o) {
            if (o._selected && o.ticket_id == 0 && o.albaran_id == 0 && o.essocio == 0 && o.abono_id == 0) return true ;
        });

        vm.rd.tarifa = data ; // datos de la tarifa que hemos elegido.
        vm.rd.idreservahora = vm.idreservahora;
        if (vm.rd.greenfees.length > 0) {
            var evo = new EvoratecApi.api();
            evo.llama('/reservas/actualiza-greenfees-reserva-hora',vm.rd).then(function(data){
                vm.greenfees = data.greenfees ;
            });
        } else {
            vm.rd = {};
            Evoratec.mensajeError('No hay greenfees para cambiar la tarifa. Están facturados o no subsceptibles de facturación','Aceptar').then(function () {});
        }

    });

    // generamos ticket.

    function facturarGreenfees() {
        Evoratec.mensaje('¿ Está seguro de generar un ticket de estos greenfees ?','Generar Ticket').then(function () {
            vm.facturarGreenfeesConfirmado();
        }).catch(function(error){});
    }

    function facturarGreenfeesConfirmado() {
        vm.flySel = { fly : 0 }
        vm.rd = {};
        vm.rd = {
            reserva    : vm.reserva,
            fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd')
        }

        vm.rd.reserva.greenfees = _.filter(vm.greenfees, function(o) {
            if (o._selected && o.ticket_id == 0 && o.albaran_id == 0 && o.essocio == 0 && o.tarifa_id != 0) return true ;
        });

        console.log(vm.rd)

        if (vm.rd.reserva.greenfees.length > 0) {
            vm.rd.reserva.dreservas = angular.copy(vm.dreservas);
            vm.rd.reserva.nombre_reserva = vm.rd.reserva.nombre ;
            var evo = new EvoratecApi.api();
            evo.llama('/tickets/facturar-greenfees-reserva',vm.rd).then(function(data){
                vm.ticket_id = data.datos.id ;
                $rootScope.origen = 'reservas';
                $location.path('/ticket/'+vm.ticket_id);
            });
        } else {
            Evoratec.mensajeError('No hay greenfees para facturar','Aceptar').then(function () {
                vm.rd = {};
            }).catch(function(error){});
        }

    }


    function albaranGreenfees() {
        Evoratec.mensaje('¿ Está seguro de generar un albarán de estos greenfees ?','Generar Albarán').then(function () {
            vm.flySel = { fly : 0 }
            vm.rd = {};
            vm.rd = {
                reserva    : vm.reserva,
                fecha      : $filter('date')( vm.fd.fecha, 'y-MM-dd')
            }

            vm.rd.reserva.greenfees = _.filter(vm.greenfees, function(o) {
                if (o._selected && o.ticket_id == 0 && o.albaran_id == 0 && o.essocio == 0 && o.tarifa_id != 0 && o.cliente_id > 0) return true ;
            });

            if (vm.rd.reserva.greenfees.length > 0) {
                vm.rd.reserva.dreservas = angular.copy(vm.dreservas);
                vm.rd.reserva.nombre_reserva = vm.rd.reserva.nombre ;
                var evo = new EvoratecApi.api();
                evo.llama('/albaranes/generar-albaran-greenfees',vm.rd).then(function(data){
                    vm.albaran_id = data.datos.id ;
                    vm.leeDatosReserva();
                });
            } else {
                Evoratec.mensajeError('No hay greenfees para facturar','Aceptar').then(function () {
                    vm.rd = {};
                });
            }
        }).catch(function(error){});
    }



    function leerTarifas(clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave ;
        vm.rd.id = id ;

        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.tarifas = data.datos;
            if (id > 0) {
                angular.copy(vm.tarifas[0], vm.tarifa);
            }
        });
    };

    function marcarTodos(valor) {
        vm.greenfees = _.map(vm.greenfees, function(o) {
            o._selected = valor ;
            return o ;
        });
        console.log(vm.greenfees)
    }
    function marcarTodosNoFacturados(valor) {
        vm.marcarTodos(false);
        vm.greenfees = _.map(vm.greenfees, function(o) {
            if ( o.ticket_id == 0 && o.albaran_id == 0 && o.essocio == 0 && o.tarifa_id > 0) o._selected = valor ;
            return o ;
        });
        console.log(vm.greenfees)
    }


}

;angular.module('app').directive('listaMtoColores', listaMtoColores);
function listaMtoColores(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/colores/colores-registro-lista-2.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaMtoColoresController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaMtoColoresController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaMtoColoresController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    };

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje,
        grabar : grabar,
        cancelarEdicion : cancelarEdicion,
        cancelar : cancelar
    })
    vm.init();

    function cancelar() {
        vm.abreVentana = false ;
    }

    function init(){
        vm.abreVentana = true ;
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.fd = item ;
        vm.abreEdicion = true ;
    }


    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/colores/lista',vm.rd).then(function(data){
            vm.datos = data.datos ;
            // creamos el fd.registro a partir del eskeleto del primer registro de la búsqueda.
            // Evoratec.skeleton(vm.datos[0],vm.fd.registro);
            // console.log(vm.fd.registro);
        });
    }


    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar este color ?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Color</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/colores/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta color tiene artículos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }

            });
        });

        /* */
    }
    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        vm.fd = registro ;
        vm.esNuevo = false ;
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        vm.abreEdicion = true ;
        vm.esNuevo = true ;
    }
    function cancelarEdicion() {
        vm.abreEdicion = false ;
        vm.esNuevo = false ;
        vm.verDatos();
    }
    function grabar(){
        vm.rd = {};
        vm.rd.id = vm.fd.id ;
        // enviamos los datos al controller para que actualice el
        if (vm.esNuevo) {
            vm.rd.id = 0 ;
        }
        vm.rd.descripcion = vm.fd.descripcion ;
        vm.rd.codigo = vm.fd.codigo ;
        var evo = new EvoratecApi.api();
        evo.llama('/colores/grabar',vm.rd).then(function(data){
            if (data.resultado == 'ko') {
                vm.verMensaje(data.mensajes);
                return ;
            }
            vm.cancelarEdicion();
        });

        // 3. actualizamos el set de datos que uitlizamos en el grid.
    }

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('listaSeries', listaSeries);
function listaSeries(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/series/series-lista.html', // OJO
        scope: {},
        link: linkFunc,
        controller: listaSeriesController,
        controllerAs: 'vm',
        bindToController: true // because the scope is isolated
    };
    return directive;
    // Cambios en el dom los hacemos aquí
    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
listaSeriesController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function listaSeriesController($filter,$scope,$log,Evoratec,EvoratecApi) {
    // definimos variables
    var vm = this;

    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            clase : 'flex__col-3 p-0',
            columna: 'serie',
            field:'serie',
            sort : 'serie',
            header: 'series'
        },

        {
            clase : 'flex__col-9 p-0',
            columna: 'descripcion',
            field:'descripcion',
            sort : 'descripcion',
            header: 'descripcion'
        }
    ];

    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        borrarRegistro : borrarRegistro,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {
            vm.registroSel.id = 0;
        } else {
            vm.registroSel.id = item.id ;
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/series/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.registroSel.id = 0;
        });
    }

    // todoevo cambiar para quitar código.

    function borrarRegistro(registro) {
        var confirmacion = ngDialog.openConfirm({
            template:'\
                <p></p>\
                <div class="ngdialog-buttons">\
                <p>¿ Está seguro de querer borrar esta categoría?</p>\
                    <button type="button" class="ngdialog-button " ng-click="confirm()">Borrar Categoría</button>\
                    <button type="button" class="ngdialog-button ngdialog-button-secondary" ng-click="closeThisDialog(0)">Cancelar</button>\
                </div>',
            plain: true,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true

        });

        confirmacion.then(function () {
            vm.rd = {};
            vm.rd.id     = registro.id ;
            var evo = new EvoratecApi.api();
            evo.llama('/familias/borrar',vm.rd).then(function(data){
                if(data.resultado == 'ko') {
                    vm.verMensaje('Esta familia tiene productos asociados, no se puede borrar.','Error');
                } else {
                    vm.verDatos();
                }
            });
        });
        /* */
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-serie',registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-serie',vm.fd.registro);
    }

    $scope.$on('grabando-registro-serie', function (event,data) {
        // OJO
        vm.registroSel.id = 0 ;
        vm.itemPopup = data
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensaje,cabecera) {
        var mensajes = [];
        mensajes.push(mensaje);
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }

}



;angular.module('app').directive('seriesRegistro', seriesRegistro);

function seriesRegistro() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/series/series-registro.html',
        controller: seriesRegistroController,
        controllerAs: 'vm',
        bindToController: true
    };

    function link(scope, element, attrs, vm) {
    }
}

seriesRegistroController.$inject = ['$scope', '$filter', '$log', 'Evoratec', '$rootScope', 'EvoratecApi', '$http'];

function seriesRegistroController($scope, $filter, $log, Evoratec, $rootScope, EvoratecApi, $http) {
    // valores seleccionados con los select
    var vm = this;
    vm.horainitemp = new Date();

    _.extend(vm, {
        grabar: grabar,
        cancelar: cancelar,
        abrir: abrir,
        init: init,
        verMensaje: verMensaje,
        ver: ver
    });


    vm.fd = {};
    vm.esPopUp = false;
    vm.tabActive = 0;

    vm.abreVentana = false;
    // esto en caso del popup
    $scope.$on('abre-registro-serie', function (event, data) {
        vm.tabActive = 0;
        vm.fd = {};
        vm.fd = angular.copy(data);
        console.log(data)
        vm.abrir();
    });

    vm.init();
    function init() {

    }

    function abrir() {
        vm.init();
        // abrimos la ventana
        $rootScope.$emit('quita-scroll');
        if (vm.fd.id > 0) vm.ver();
        vm.abreVentana = true;
    }


    function grabar() {
        // enviamos los datos al controller para que actualice el
        vm.rd = angular.copy(vm.fd);
        var evo = new EvoratecApi.api();
        evo.llama('/series/grabar', vm.rd).then(function (data) {
            if (data.resultado == 'ko') {
                Evoratec.mensajesError(data.mensajes, 'Aceptar').then(function () {
                }).catch(function (error) {
                    console.log(error)
                });
                vm.formDatos.$invalid = true;
                return;
            }
            vm.cancelar();
            $scope.$emit('grabando-registro-serie', vm.fd);
        });
        // 3. actualizamos el set de datos que utilizamos en el grid.
    }

    function ver() {
        // enviamos los datos al controller para que actualice el
        vm.rd = {id: vm.fd.id}
        var evo = new EvoratecApi.api();
        evo.llama('/series/ver', vm.rd).then(function (data) {
            if (!_.isEmpty(data.datos)) vm.fd = data.datos;
        });

        // 3. actualizamos el set de datos que utilizamos en el grid.
    }

    function cancelar() {
        $rootScope.$emit('pon-scroll');
        vm.abreVentana = false;
    }

    $scope.$on('nuevo-registro-serie', function (event, data) {
        vm.nuevoRegistro = true;
        // copiamos los datos iniciales.
        vm.fd = {
            id: 0,
            serie: '',
            descripcion: ''
        };
        // iniciamos el id para que no de error al grabar ya que al estar undefined no pasa todos los datos.
        vm.abrir();
    });

    // función para ver mensajes
    function verMensaje(mensajes) {


    }
}

;angular.module('app').directive('buscaClientes', buscaClientes);
function buscaClientes() {
    return {
        restrict: 'E',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/directivas/buscaClientes.html',
        controller: buscaClientesController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {}
}

buscaClientesController.$inject=['$scope','EvoratecApi','ngDialog', '$rootScope','blockUI'];
function buscaClientesController($scope,EvoratecApi,ngDialog, $rootScope,blockUI ){
    // valores seleccionados con los select
    var vm = this ;

    angular.extend(vm,{
        cancelar : cancelar,
        init : init,
        abrir : abrir,
        seleccionar : seleccionar,
        buscar : buscar
    });
    vm.abreVentana = false ;
    vm.rd = {};
    vm.focoRazonSocial = false ;

    vm.init();

    $scope.$on('ventas:buscar-clientes', function (event,data) {
        vm.razonSocial = '' ;
        vm.abrir();
        vm.focoRazonSocial = true ;
    });

    function init() {

    }
    function abrir() {
        vm.abreVentana = true ;
    }
    function buscar(clave) {
        vm.rd = {};
        vm.rd.id = 0 ;
        vm.rd.opcion = "";
        vm.rd.razonsocial = clave ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos
        });
    };
    function seleccionar(cliente) {
        $scope.$emit('clientes:selecciona-cliente',cliente);

        vm.abreVentana = false ;
    }
    function cancelar(){
        $scope.$emit('clientes:cancela-busqueda');
        vm.abreVentana = false ;
    }
}

;angular.module('app').directive('buscaProveedores', buscaProveedores);
function buscaProveedores() {
    return {
        restrict: 'E',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/directivas/busca-proveedores.html',
        controller: buscaProveedoresController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {}
}

buscaProveedoresController.$inject=['$scope','EvoratecApi','ngDialog', '$rootScope','blockUI'];
function buscaProveedoresController($scope,EvoratecApi,ngDialog, $rootScope,blockUI ){
    // valores seleccionados con los select
    var vm = this ;

    angular.extend(vm,{
        cancelar : cancelar,
        init : init,
        abrir : abrir,
        seleccionar : seleccionar,
        buscar : buscar
    });
    vm.abreVentana = false ;
    vm.rd = {};
    vm.focoRazonSocial = false ;

    vm.init();

    $scope.$on('compras:buscar-proveedores', function (event,data) {
        vm.razonSocial = '' ;
        vm.abrir();
        vm.focoRazonSocial = true ;
    });

    function init() {

    }
    function abrir() {
        vm.abreVentana = true ;
    }
    function buscar(clave) {
        vm.rd = {};
        vm.rd.id = 0 ;
        vm.rd.opcion = "";
        vm.rd.razon_social = clave ;
        var evo = new EvoratecApi.api();
        evo.llama('/proveedores/lista',vm.rd).then(function(data){
            vm.clientes = data.datos
        });
    };
    function seleccionar(cliente) {
        $scope.$emit('proveedores:selecciona-proveedor',cliente);

        vm.abreVentana = false ;
    }
    function cancelar(){
        $scope.$emit('proveedores:cancela-busqueda');
        vm.abreVentana = false ;
    }
}

;angular.module('app').directive('busquedaregistro', ['$rootScope', '$document', '$window', '$timeout',
    function ($rootScope, $document, $window, $timeout) {
        return {
            replace: true,
            restrict: 'E',
            scope: {
                values: "=",
                selecteditem: "=",
                key: "@",
                onscroll: "&",
                totalrecords: "=",
                onselect: "&",
                foco : "="
            },
            templateUrl: 'views/admin/directivas/busqueda-registro.html',
            link: function (scope, elm, attr) {

                var isNative = /(ip(a|o)d|iphone|android)/ig.test($window.navigator.userAgent);
                var isTouch = ('createTouch' in $window.document) && isNative;

                scope.showList = false;
                scope.searchKey = '' ;


                var campoEntrada= angular.element(elm[0]).find('input');

                campoEntrada.bind("keydown keypress", function (e) {

                    if (e.which === 13 || e.which === 9) {

                        if (scope.searchKey.length <= 4 && (Number.parseInt(scope.searchKey) > 0)) {
                            scope.searchKey = scope.pad(scope.searchKey,8);
                        }

                        scope.leeProducto();
                        e.preventDefault();
                        e.stopPropagation();
                    }
                });
                scope.pad = function(n, width, z) {
                    z = z || '0';
                    n = n + '';
                    return n.length >= width ? n : new Array(width - n.length + 1).join(z) + n;
                }

                scope.leeProducto = function () {

                    if (scope.searchKey) {
                        scope.onscroll({
                            searchKey: scope.searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {
                            if (scope.values) {
                                // todo evo, mandar mensaje de error
                                if (scope.values.length === 0) {
                                    scope.$emit('cierra-lista-productos');
                                    scope.showList = false;
                                    scope.searchKey = '' ;
                                    angular.element(elm[0]).find('input').focus();
                                }
                                if (scope.values.length > 2) {
                                    scope.$emit('ver-lista-productos');
                                    scope.showList = true;
                                    scope.searchKey = '' ;
                                    angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }
                        }, 200);
                    }
                };
                scope.selectItem = function (item) {
                    scope.selecteditem = item;
                    scope.showList = false;
                    scope.searchKey = '';
                    // Vuelve a casa por navidad.
                    angular.element(elm[0]).find('input').focus();
                    scope.$emit('selecciona-producto', item);
                };
                scope.isActive = function (item) {
                    return item[scope.key] === scope.selecteditem[scope.key];
                };
                scope.textChanged = function (searchKey) {
                    if (searchKey.length > 2) {
                        scope.onscroll({
                            searchKey: searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {

                            if (scope.values) {
                                if (scope.values.length > 1) {
                                    console.log(scope.values.length)
                                    scope.showList = true;
                                    angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }

                        }, 200);

                    }

                };
                scope.borraItemLista = function () {
                    scope.selecteditem = {};
                };

                scope.show = function () {
                    scope.showList = !scope.showList;
                };

                $document.on('click', function (e) {
                    // console.log($(e.target).is(".searchandselect"))
                    e.preventDefault();
                    e.stopPropagation();
                    var isSearchBox = ($(e.target).parents(".busqueda-registro").length > 0);
                    if (!isSearchBox)
                        scope.$apply(function () {
                            scope.showList = false;
                        });
                });

            }
        };
    }]);

angular.module('app').directive('busquedaProducto', ['$rootScope', '$document', '$window', '$timeout',
    function ($rootScope, $document, $window, $timeout) {
        return {
            replace: true,
            restrict: 'E',
            scope: {
                values: "=",
                selecteditem: "=",
                key: "@",
                onscroll: "&",
                totalrecords: "=",
                onselect: "&",
                foco:"="
            },
            templateUrl: 'views/admin/directivas/busqueda-registro.html',
            link: function (scope, elm, attr) {

                var isNative = /(ip(a|o)d|iphone|android)/ig.test($window.navigator.userAgent);
                var isTouch = ('createTouch' in $window.document) && isNative;

                scope.showList = false;
                scope.searchKey = '' ;


                var campoEntrada= angular.element(elm[0]).find('input');


                campoEntrada.bind("keydown keypress", function (e) {
                    if (e.which === 13 || e.which === 9) {
                        scope.leeProducto();
                        e.preventDefault();
                        e.stopPropagation();
                    }
                });

                scope.leeProducto = function () {

                    if (scope.searchKey) {
                        scope.onscroll({
                            searchKey: scope.searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {
                            if (scope.values) {
                                // todo evo, mandar mensaje de error
                                if (scope.values.length === 0) {
                                    scope.$emit('cierra-lista-productos');
                                    scope.showList = false;
                                    scope.searchKey = '' ;
                                    //angular.element(elm[0]).find('input').focus();
                                }
                                if (scope.values.length > 1) {
                                    scope.$emit('ver-lista-productos');
                                    scope.showList = true;
                                    scope.searchKey = '' ;
                                    //angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }
                        }, 200);
                    }
                };
                scope.selectItem = function (item) {
                    scope.selecteditem = item;
                    scope.showList = false;
                    scope.searchKey = '';
                    // Vuelve a casa por navidad.
                   // angular.element(elm[0]).find('input').focus();
                    scope.$emit('selecciona-producto', item);
                };
                scope.isActive = function (item) {
                    return item[scope.key] === scope.selecteditem[scope.key];
                };
                scope.textChanged = function (searchKey) {
                    if (searchKey.length > 2) {
                        scope.onscroll({
                            searchKey: searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {

                            if (scope.values) {
                                if (scope.values.length > 1) {
                                    scope.showList = true;
                                    angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    // scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }

                        }, 200);

                    }

                };
                scope.borraItemLista = function () {
                    scope.selecteditem = {};
                };

                scope.show = function () {
                    scope.showList = !scope.showList;
                };

                $document.on('click', function (e) {
                    // console.log($(e.target).is(".searchandselect"))
                    e.preventDefault();
                    e.stopPropagation();
                    var isSearchBox = ($(e.target).parents(".busqueda-registro").length > 0);
                    if (!isSearchBox)
                        scope.$apply(function () {
                            scope.showList = false;
                        });
                });

            }
        };
    }]);


angular.module('app').directive('busquedaAbonos', ['$rootScope', '$document', '$window', '$timeout',
    function ($rootScope, $document, $window, $timeout) {
        return {
            replace: true,
            restrict: 'E',
            scope: {
                values: "=",
                selecteditem: "=",
                key: "@",
                onscroll: "&",
                totalrecords: "=",
                onselect: "&",
                foco:"="
            },
            templateUrl: 'views/admin/abonos/busqueda-abonos.html',
            link: function (scope, elm, attr) {

                var isNative = /(ip(a|o)d|iphone|android)/ig.test($window.navigator.userAgent);
                var isTouch = ('createTouch' in $window.document) && isNative;

                scope.showList = false;
                scope.searchKey = '' ;


                var campoEntrada= angular.element(elm[0]).find('input');


                campoEntrada.bind("keydown keypress", function (e) {
                    if (e.which === 13 || e.which === 9) {
                        scope.leeProducto();
                        e.preventDefault();
                        e.stopPropagation();
                    }
                });

                scope.leeProducto = function () {

                    if (scope.searchKey) {
                        scope.onscroll({
                            searchKey: scope.searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {
                            if (scope.values) {
                                // todo evo, mandar mensaje de error
                                if (scope.values.length === 0) {
                                    scope.$emit('cierra-lista-abonos');
                                    scope.showList = false;
                                    scope.searchKey = '' ;
                                    //angular.element(elm[0]).find('input').focus();
                                }
                                if (scope.values.length > 1) {
                                    scope.$emit('ver-lista-abonos');
                                    scope.showList = true;
                                    scope.searchKey = '' ;
                                    //angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }
                        }, 200);
                    }
                };
                scope.selectItem = function (item) {
                    scope.selecteditem = item;
                    scope.showList = false;
                    scope.searchKey = '';
                    // Vuelve a casa por navidad.
                    // angular.element(elm[0]).find('input').focus();
                    scope.$emit('selecciona-abono', item);
                };
                scope.isActive = function (item) {
                    return item[scope.key] === scope.selecteditem[scope.key];
                };
                scope.textChanged = function (searchKey) {
                    if (searchKey.length > 2) {
                        scope.onscroll({
                            searchKey: searchKey,
                            pagenumber: 1
                        });
                        $timeout(function () {

                            if (scope.values) {
                                if (scope.values.length > 1) {
                                    scope.showList = true;
                                    angular.element(elm[0]).find('ul').focus();
                                }
                                if (scope.values.length === 1) {
                                    // scope.selectItem(angular.copy(scope.values[0]));
                                }
                            }

                        }, 200);

                    }

                };
                scope.borraItemLista = function () {
                    scope.selecteditem = {};
                };

                scope.show = function () {
                    scope.showList = !scope.showList;
                };

                $document.on('click', function (e) {
                    // console.log($(e.target).is(".searchandselect"))
                    e.preventDefault();
                    e.stopPropagation();
                    var isSearchBox = ($(e.target).parents(".busqueda-registro").length > 0);
                    if (!isSearchBox)
                        scope.$apply(function () {
                            scope.showList = false;
                        });
                });

            }
        };
    }]);

;angular.module('app').directive('simpleFocus', function ($timeout) {
    return {
        restrict: 'A',
        scope: {
            simpleFocus: '='
        },
        link: function (scope, element) {
            scope.$watch('simpleFocus', function () {
                $timeout(function () {
                    var value = scope.simpleFocus;
                    if (value === true || value === undefined) {
                        element[0].focus();
                        element[0].select();
                        scope.simpleFocus = false;
                    }
                });
            });
        }
    };
});

angular.module('app').directive('ngEnter', function() {
    return function(scope, element, attrs) {
        element.bind("keydown keypress", function(event) {
            if(event.which === 13) {
                scope.$apply(function(){
                    scope.$eval(attrs.ngEnter, {'event': event});
                });
                event.preventDefault();
            }
        });
    };
});;// http://jsfiddle.net/12sf82p3/
angular.module('app').directive('inputEvo', function() {
    return {
        restrict: 'E',
        template:
        '<div class="form-group">' +
        '<label class="control-label">{{ etiqueta }}</label>'+
            '<input type="text" ng-model="ctrl.model" ng-model-options="ctrl.opciones">'+
            '<div ng-messages="ctrl.$error" role="alert" ng-transclude></div>' +'</div>',
        transclude: true,
        replace: true,
        require: ['ngModel','inputEvo','^form'],
            scope: {
            etiqueta:"@",
            ayuda:"@"
        },
        link: function(scope, elem, attrs, ctrls) {

            var inputEvo = ctrls[1];

          //  inputPrueba.inputname = attrs.inputname;
            var input = angular.element(elem).find('input');
            input[0].name =  attrs.name;
            input.addClass('form-control');
            inputEvo.setModel(ctrls[0]);

        },
        controllerAs: 'ctrl',
        controller: function($scope) {
            var self = this;
            self.opciones = { updateOn: "blur" };
            this.model = null;
            this.setModel = function(ngModel) {
                // le pasamos los errores del modelo que pasamos a la directiva al modelo que tiene ahora el input.
                // en el template ctrl.model = this.model en el controlador  ctrl por lo de controllerAs
                this.$error = ngModel.$error;

                // cuando entra se ejecuta el render, aquí le estamos diciendo que el valor de model, es decir el campo
                // que utilizamos para el input es igual al modelo del ngmodel que viene del exterior.
                ngModel.$render = function() {
                    self.model = ngModel.$viewValue;
                };


                // al cambiar el valor en el modelo del template, en el input enviamos el valor al exterior
                $scope.$watch('ctrl.model', function(newval) {
                    ngModel.$setViewValue(newval);
                });
            };
        }
    };
});
/*

angular.module('app').directive("comaPunto",function(){
    return {
        require: 'ngModel',
        link: function (scope, element, attrs, modelCtrl) {
            modelCtrl.$parsers.push(function(inputValue) {
                if (typeof (inputValue) == "undefined") return '';
                var transformedInput = inputValue.replace(/,/g,'.');
                if (transformedInput != inputValue) {
                    modelCtrl.$setViewValue(transformedInput);
                    modelCtrl.$render();
                }

                return transformedInput;
            });
        }
    };

});

var FLOAT_REGEXP = /^\-?\d+((\.|\,)\d+)?$/;
angular.module('app').directive('smartFloat', function() {
    return {
        require: 'ngModel',
        link: function(scope, elm, attrs, ctrl) {
            ctrl.$parsers.push(function(inputValue) {
                if (typeof (inputValue) == "undefined") return '';
                var transformedInput = inputValue.replace(/,/g,'.');
                transformedInput = parseFloat(Math.round(transformedInput * 100) / 100).toFixed(2);
                if (transformedInput != inputValue) {
                    ctrl.$setViewValue(transformedInput);
                    ctrl.$render();
                }
                return transformedInput;
            });
            ctrl.$parsers.unshift(function(viewValue) {
                if (FLOAT_REGEXP.test(viewValue)) {
                    ctrl.$setValidity('float', true);
                    return viewValue;
                } else {
                    ctrl.$setValidity('float', false);
                    return undefined;
                }
            });
        }
    };
});*/
;var datePickerTemplate = [ // Template for the date picker, no CSS, pure HTML. The date-picker tag will be replaced by this
    '<div class="evodatePicker form-group">',

    '<label class="control-label"><span ng-bind="etiqueta"></span></label>',
    '<div class="input-group">',
    '<input class="form-control fecha" type="text" ng-model="currentDate" disabled>',
    '<div class="input-group-addon" ng-click="selectDate()"><i class="fa fa-calendar"></i></div>',
    '</div>',

    '<div class="select-date evodatePickerDays ng-hide">',
    '<table>',
    '<thead><tr>',
    '<td class="fecha-actual" colspan="7"><span class="currentDate"  ng-bind="displayDate"></span><a ng-href="" ng-click="cierraCalendarios()">Cerrar</a></td>',
    '</tr><tr class="navigation">',
    '<td ng-click="prevYear()">&lt;&lt;</td>',
    '<td ng-click="prev()">&lt;</td>',
    '<td class="hoy" colspan="3" ng-click="today()">Hoy</td>',
    '<td ng-click="next()">&gt;</td>',
    '<td ng-click="nextYear()">&gt;&gt;</td></tr><tr  class="days">',
    '<td  ng-repeat="day in days" ng-bind="day"></td>',
    '</tr></thead>',
    '<tbody><tr ng-repeat="week in weeks" class="week">',
    '<td  class="day" ng-repeat="d in week" ng-click="!d.noActiva && selectDay(d)" ng-class="{active: d.selected, otherMonth: d.notCurrentMonth, noActiva: d.noActiva }">{{ d.day | date: &#39;d&#39;}}</td>',
    '</tr></tbody>',
    '</table>',
    '</div>',
    '</div>'
].join('\n');

crDatePicker.$inject=['$parse','$window','$document','$filter'];

angular.module('app').directive('crDatepicker', crDatePicker);
crDatePickerController.$inject=['$scope','$filter'];
function crDatePickerController($scope,$filter) {

    $scope.prev = function() {
        $scope.dateValue = new Date($scope.dateValue).setMonth(new Date($scope.dateValue).getMonth() - 1);
    };
    $scope.prevYear = function() {
        $scope.dateValue = new Date($scope.dateValue).setYear(new Date($scope.dateValue).getFullYear() - 1);
    };
    $scope.next = function() {
        $scope.dateValue = new Date($scope.dateValue).setMonth(new Date($scope.dateValue).getMonth() + 1);
    };
    $scope.nextYear = function() {
        $scope.dateValue = new Date($scope.dateValue).setYear(new Date($scope.dateValue).getFullYear() + 1);
    };
    $scope.today = function() {
        $scope.dateValue = new Date();
        $scope.selecting = !$scope.selecting;
    };

    //   $scope.days = [ "Mon", "Tue", "Wed", "Thu", "Fri", "Sat","Sun"];
    $scope.days = [ "L", "M", "X", "J", "V", "S","D"];
    $scope.weeks = [];
};
function crDatePicker($parse,$window,$document,$filter)  {
    var directive = {
        restrict: "AE",
        templateUrl: "datePicker.tmpl",
        transclude: true,
        controller: crDatePickerController,
        bindToController: true,
        scope: {
            dateValue: '=',
            etiqueta: '@'
        },
        link: function(scope, element, attrs) {
            var modelAccessor = $parse(attrs.dateValue);
            var calendarioActivo ;
            if(!scope.dateValue){ scope.dateValue = new Date() };


            var calculateCalendar = function(date,esreserva) {
                var date = new Date(date || new Date());
                scope.currentDate = date.getDate() + '/' + Math.abs(date.getMonth() + 1) + '/' + date.getFullYear(); //Value that will be binded to the input
                var startMonth = date.getMonth(),
                    startYear = date.getYear();
                // ponemos el día 1 del més
                date.setDate(1);
                // si es domingo, restale cinco días días
                if (date.getDay() === 0) {
                    date.setDate(-5);
                } else {
                    date.setDate(date.getDate() - date.getDay()+1); // modificado para que empiece la fecha en lunes :)
                }

                var weeks = [];
                var noEsActiva = false;
                while (weeks.length < 6) { // creates weeks and each day
                    if (date.getYear() === startYear && date.getMonth() > startMonth) break;
                    var week = [];
                    for (var i = 0; i < 7; i++) {
                        if (esreserva === '1') {
                            noEsActiva = new Date(date).setHours(0) < new Date(new Date().setDate(new Date().getDate())).setHours(0) ? true : false;
                            //console.log(noEsActiva);
                        }
                            week.push({
                            day: new Date(date),
                            selected: new Date(date).setHours(0) == new Date(scope.dateValue).setHours(0) ? true : false,
                            notCurrentMonth: new Date(date).getMonth() != new Date(scope.dateValue).getMonth() ? true : false,
                            noActiva: noEsActiva
                        });
                        date.setDate(date.getDate() + 1);
                    }
                    weeks.push(week);
                }

                scope.weeks = weeks; // Week Array
                var incremento = 0 ;


                if (date.getMonth() == 0) incremento = 1 ;

                scope.displayDate = new Date(date.getFullYear(), date.getMonth() - 1, date.getDate()).toDateString().split(' ')[1] + ' ' + (date.getFullYear() - incremento); // Current Month / Year
            }
            scope.$watch('dateValue', function(val) {
                calculateCalendar(scope.dateValue,attrs.esreserva);
            });


            scope.cierraCalendarios = function() {
                var calendarios = $window.document.getElementsByClassName('select-date');
                angular.forEach(calendarios, function (value, key) {
                    calendarios[key].classList.add('ng-hide');
                    scope.calendarioAbierto = false ;
                });
            }
            scope.selectDay = function(day) {

                var fechaSel = $filter('date')( day.day, 'y-MM-dd');
                var fechaActual = new Date().toISOString().substr(0, 10);


                if (attrs.esreserva === "1") {
                    if (fechaSel < fechaActual) {
                        scope.dateValue = new Date();
                    } else {
                        scope.dateValue = day.day;
                    }
                } else {
                    scope.dateValue = day.day;
                }
                console.log('Fecha elegida');
                console.log(scope.dateValue);
                scope.cierraCalendarios();

            };
            scope.selectDate = function() {
                // cerramos todos los calendarios abiertos al entrar en otro.
                scope.cierraCalendarios();
                // Abrimos el calendario que hemos seleccionado.
                calendarioActivo = element[0].querySelector('.select-date');
                calendarioActivo.classList.remove('ng-hide');
                scope.calendarioAbierto = true ;
            };
            scope.today = function() {
                scope.dateValue = new Date();
                //scope.cierraCalendarios();
            };


            var classList = ['evodatePicker', 'evodatePickerDays'];
            if (attrs.id !== undefined) classList.push(attrs.id);
            $document.on('click', function (e) {


                if (!scope.calendarioAbierto) return ;

                var i = 0,
                    element;

                if (!e.target) return;

                for (element = e.target; element; element = element.parentNode) {
                    var id = element.id;
                    var classNames = element.className;

                    if (id !== undefined) {
                        for (i = 0; i < classList.length; i += 1) {
                            if (id.indexOf(classList[i]) > -1 || classNames.indexOf(classList[i]) > -1) {
                                return;
                            }
                        }
                    }
                }
                scope.cierraCalendarios();
                scope.$apply();
            });
        }
    };
    return directive ;
};
angular.module('app').run([
    '$templateCache',
    function($templateCache) {
        $templateCache.put('datePicker.tmpl', datePickerTemplate); // This saves the html template we declared before in the $templateCache
    }
]);
;(function () {
'use strict';

/**
 * Heavily adapted from the `type="number"` directive in Angular's
 * /src/ng/directive/input.js
 */

var NUMBER_REGEXP = /^\s*(\-|\+)?(\d+|(\d*(\.\d*)))\s*$/;
var DEFAULT_PRECISION = 2;

angular.module('fiestah.money', [])

.directive('money', function ($parse) {
  function link(scope, el, attrs, ngModelCtrl) {
    var minVal, maxVal, precision, lastValidViewValue;
    var isDefined = angular.isDefined;
    var isUndefined = angular.isUndefined;
    var isNumber = angular.isNumber;

    /**
     * Returns a rounded number in the precision setup by the directive
     * @param  {Number} num Number to be rounded
     * @return {Number}     Rounded number
     */
    function round(num) {
      var d = Math.pow(10, precision);
      return Math.round(num * d) / d;
    }

    /**
     * Returns a string that represents the rounded number
     * @param  {Number} value Number to be rounded
     * @return {String}       The string representation
     */
    function formatPrecision(value) {
      return parseFloat(value).toFixed(precision);
    }

    function isPrecisionValid() {
      return !isNaN(precision) && precision > -1;
    }

    function isValueValid(value) {
      return angular.isNumber(value) && !isNaN(value);
    }

    function updateValuePrecision() {
      var modelValue = ngModelCtrl.$modelValue;

      if (isValueValid(modelValue) && isPrecisionValid()) {
        ngModelCtrl.$modelValue = round(modelValue);
        $parse(attrs.ngModel).assign(scope, ngModelCtrl.$modelValue);
        changeViewValue(formatPrecision(modelValue));

        // Save the rounded view value
        lastValidViewValue = ngModelCtrl.$viewValue;
      }
    }

    function changeViewValue(value) {
      ngModelCtrl.$viewValue = value;
      ngModelCtrl.$commitViewValue();
      ngModelCtrl.$render();
    }


    ngModelCtrl.$parsers.push(function (value) {
      if (ngModelCtrl.$isEmpty(value)) {
        lastValidViewValue = value;
        return null;
      }
    console.log(value);
      // Handle leading decimal point, like ".5"
      if (value.indexOf('.') === 0) {
        value = '0' + value;
      }

      // Allow "-" inputs only when min < 0
      if (value.indexOf('-') === 0) {
        if (minVal >= 0) {
          changeViewValue('');
          return null;
        } else if (value === '-' || value === '-.') {
          return null;
        }
      }
      if(value.indexOf(',') > -1) {
          value = value.replace(',','.');
      }



      if (NUMBER_REGEXP.test(value)) {
        // Save as valid view value if it's a number
        lastValidViewValue = value;
        return parseFloat(value);
      } else {
        // Render the last valid input in the field
        changeViewValue(lastValidViewValue);
        return lastValidViewValue;
      }
    });


    // Min validation
    ngModelCtrl.$validators.min = function (value) {
      return ngModelCtrl.$isEmpty(value) || isUndefined(minVal) || value >= minVal;
    };
    if (isDefined(attrs.min) || attrs.ngMin) {
      attrs.$observe('min', function(val) {
        if (isDefined(val) && !isNumber(val)) {
          val = parseFloat(val, 10);
        }
        minVal = isNumber(val) && !isNaN(val) ? val : undefined;
        ngModelCtrl.$validate();
      });
    } else {
      minVal = 0;
    }


    // Max validation
    if (isDefined(attrs.max) || attrs.ngMax) {
      ngModelCtrl.$validators.max = function(value) {
        return ngModelCtrl.$isEmpty(value) || isUndefined(maxVal) || value <= maxVal;
      };

      attrs.$observe('max', function(val) {
        if (isDefined(val) && !isNumber(val)) {
          val = parseFloat(val, 10);
        }
        maxVal = isNumber(val) && !isNaN(val) ? val : undefined;
        ngModelCtrl.$validate();
      });
    }

    // Round off (disabled by "-1")
    if (isDefined(attrs.precision)) {
      attrs.$observe('precision', function (value) {
        precision = parseInt(value, 10);

        updateValuePrecision();
      });
    } else {
      precision = DEFAULT_PRECISION;
    }

    ngModelCtrl.$parsers.push(function (value) {
      if (value) {
        // Round off value to specified precision
        value = isPrecisionValid() ? round(value) : value;
      }
      return value;
    });

    ngModelCtrl.$formatters.push(function (value) {
      if (isDefined(value)) {
        return isPrecisionValid() && isValueValid(value) ?
          formatPrecision(value) : value;
      } else {
        return '';
      }
    });

    // Auto-format precision on blur
    el.bind('blur', function () {
      ngModelCtrl.$commitViewValue();
      updateValuePrecision();
    });
  }

  return {
    restrict: 'A',
    require: 'ngModel',
    link: link
  };
});

})();
;(function () {
    'use strict';
    angular.module('app').component('atajoFechas',
        {
            bindings: {
                fechaI: '=',
                fechaF: '=',
                funcion : '&funcion'
            },
            controller: atajoFechasController,
            controllerAs: "vm",
            templateUrl: "views/evo.atajo-fechas.html"

        });

    atajoFechasController.$inject = ['moment','$timeout'];
    function atajoFechasController(moment,$timeout) {
        this.$onInit = function () {

        };

        var vm = this;

        vm.calculaFecha = function (opcion) {

            var fechaActual = new Date();
            if (opcion == 'Hoy') {
                vm.fechaI = moment();
                vm.fechaF = moment();

            }
            if (opcion == 'MesAct') {
                vm.fechaI = moment([fechaActual.getFullYear(), fechaActual.getMonth(), 1]);
                vm.fechaF = moment(vm.fechaI).endOf('month');

            }
            if (opcion == 'MesAnt') {
                vm.fechaI = moment([fechaActual.getFullYear(), fechaActual.getMonth(), 1]).add(-1, 'month');
                vm.fechaF = moment(vm.fechaI).endOf('month');

            }
            if (opcion == 'AnoAnt') {
                vm.fechaI = moment([fechaActual.getFullYear(),1, 1]).add(-1, 'year');
                vm.fechaF = moment(vm.fechaI).endOf('year');

            }
            if (opcion == 'AnoAct') {
                vm.fechaI = moment([fechaActual.getFullYear(), 0, 1]);
                vm.fechaF = moment(vm.fechaI).endOf('year');
            }

            $timeout( vm.funcion, 200);


            console.log('Componente Atajo fechas');
        }
        vm.$onChanges = function (changes) {
            console.log('cambios')
            console.log(changes)
        };
    }
})();;angular.module('app').directive('abonosbuscar',['$rootScope','$document','$window', '$timeout',
    function ($rootScope,$document,$window,$timeout) {
        return {
            replace: true,
            restrict: 'E',
            scope: {
                values: "=",
                selecteditem: "=",
                key: "@",
                onscroll: "&"
            },
            templateUrl: 'views/admin/abonos/abonos-buscar.html',
            link: function (scope, elm, attr) {

                var isNative = /(ip(a|o)d|iphone|android)/ig.test($window.navigator.userAgent);
                var isTouch = ('createTouch' in $window.document) && isNative;

                scope.showList = false;

                scope.selectItem = function (item) {
                    scope.selecteditem = item;
                    scope.showList = false;
                    scope.$emit('abonos-buscar:abono-seleccionado',item);
                };

                scope.$watch(scope.selecteditem, function(item) {
                    console.log(scope.selecteditem)
                });

                scope.isActive = function (item) {
                    return item[scope.key] === scope.selecteditem[scope.key];
                };

                scope.textChanged = function (searchKey) {
                    if ( searchKey.length > 3) {
                        scope.onscroll({
                            searchKey: searchKey,
                            pagenumber: 1
                        });
                    }

                };
                scope.borraItemLista = function() {
                    scope.selecteditem = { id : 0};
                    setTimeout(function () {
                        scope.$apply(function () {
                            scope.showList = false ;
                            scope.searchKey = '' ;
                            scope.selecteditem = { id : 0};
                            scope.values = [];
                            scope.showList = false ;
                            scope.$emit('abonos-buscar:borrar-abono');
                        });
                    }, 200);

                };

                scope.show = function () {
                    scope.showList = !scope.showList;
                    if (scope.showList) {
                        $timeout(function() {
                            angular.element(elm[0]).find('input').val('');
                            angular.element(elm[0]).find('input').focus();
                        }, 100);

                    }

                };

                $document.on('click', function (e) {
                    // console.log($(e.target).is(".abonosBuscar"))
                    e.preventDefault();
                    e.stopPropagation();
                    var isSearchBox = ($(e.target).parents(".abonos-buscar").length > 0);
                    if (!isSearchBox)
                        scope.$apply(function () {
                            scope.showList = false;
                        });
                });
            }
        };
    }]);;angular.module('app').directive('abonosEdicion', abonosEdicion);
function abonosEdicion(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/abonos/abonos-edicion.html',
        scope: {},
        link: linkFunc,
        controller: abonosEdicionController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;

    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
abonosEdicionController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function abonosEdicionController($filter,$scope,$log,Evoratec,EvoratecApi) {

    var vm = this;
    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            clase :'flex__col-1',
            columna: 'abono',
            field:'abono',
            sort : 'abono',
            header: 'abono'
        },
        {
            clase :'flex__col-2',
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header: 'Cliente'
        },
        {
            clase :'flex__col-2',
            columna: 'referencia',
            field:'referencia',
            sort : 'referencia',
            header: 'Referencia'
        },
        {
            clase :'flex__col-4',
            columna: 'nombre_jugador',
            field:'nombre_jugador',
            sort : 'nombre_jugador',
            header: 'Nombre Jugador'
        },
        {
            clase :'flex__col-1 campo__fecha',
            columna: 'fecha_i',
            field:'fecha_i',
            sort : 'fechaini',
            header: 'Fecha Inicio'
        },
        {
            clase :'flex__col-1 campo__fecha',
            columna: 'fecha_f',
            field:'fecha_f',
            sort : 'fechafin',
            header: 'Fecha fin'
        },
        {
            clase :'flex__col-1',
            columna: 'precio',
            field:'precio',
            sort : 'precio',
            header: 'precio'
        }
    ]
    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };
    vm.tabla = 'abonos';

    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        verMensaje : verMensaje,
        grabar : grabar
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {

        } else {
            vm.registroSel.id = item.id ;
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            id : 0,
            descripcion : ''
        };
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/lista',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
            vm.registroSel.id = 0;
        });
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-'+vm.tabla,registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-'+vm.tabla,vm.fd.registro);
    }

    vm.extractoAbono = function(registro) {
        $scope.$broadcast('ver-extracto-abono',registro);
    }

    $scope.$on('grabando-registro-'+vm.tabla, function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    function verMensaje(mensajes,cabecera) {
        vm.datos = { cabecera: cabecera, mensajes: mensajes };
        var confirmacion = ngDialog.openConfirm({
            templateUrl: 'views/admin/mensaje.html',
            data: vm.datos
        });
        confirmacion.then(function () {});
    }


    function grabar(item){
        // copiamos los datos del registro
        vm.rd = angular.copy(item);
        vm.rd.fechaini = $filter('date')(item.fechaini, 'yyyy-MM-dd');
        vm.rd.fechafin = $filter('date')(item.fechafin, 'yyyy-MM-dd');

        delete(vm.rd.razon_social);
        delete(vm.rd.tarifagolf_descripcion)
        delete(vm.rd.fecha_i)
        delete(vm.rd.fecha_f)


        var evo = new EvoratecApi.api();
        var urlApi = '/'+vm.tabla+'/grabar' ;
        evo.llama(urlApi,vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                vm.verMensaje(cadenaMensajes)
                return ;
            }
            vm.registroSel.id = 0;
            vm.verDatos();
        });
    }

}



;angular.module('app').directive('abonosGeneracion', abonosGeneracion);
function abonosGeneracion() {
    return {
        restrict: 'EA',
        scope: {
            verficha: '='
        },
        link: link,
        templateUrl: 'views/admin/abonos/abonos-generacion.html',
        controller: abonosGeneracionController,
        controllerAs: 'vm',
        bindToController: true
    };
    function link(scope, element, attrs, vm) {
    }
}

abonosGeneracionController.$inject=['$scope', 'ngDialog','$rootScope','EvoratecApi','$timeout','$filter','Evoratec'];
function abonosGeneracionController($scope,ngDialog,$rootScope,EvoratecApi,$timeout,$filter,Evoratec ){
    // valores seleccionados con los select
    var vm = this ;
    vm.tabla = 'abonos';

    _.extend(vm,{
        generarAbonos : generarAbonos,
        leerClientes : leerClientes,
        leerTarifas : leerTarifas
    });
    vm.cliente = {
        id : 0
    }
    vm.producto = {
        id : 0,
        descripcion: ''
    }



    vm.anual = 0 ;
    vm.nofacturargf = 0 ;

    vm.tarifa = { id : 0};
    vm.tarifas = [];

    vm.numero_abonados = 1 ;
    vm.abreVentana = false ;
    vm.fd = {
        fechaini :'',
        fechafin : '',
        precio : 0,
        gf18 : 0,
        referencia_grupo : ''
    };
    vm.esPopUp = false ;

    // esto en caso del popup

    vm.productos = [];
    vm.leerProductos = function (clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave;
        vm.rd.id = id;
        var evo = new EvoratecApi.api();
        evo.llama('/productos/lista',vm.rd).then(function(data){
            vm.productos = data.datos;
            if (id > 0) {
                angular.copy(vm.productos[0], vm.producto);
            }
        },function(error){
            console.log(error);
        });
    }

    function leerTarifas(clave,id) {
        vm.rd = {};
        vm.rd.descripcion = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/tarifas-golf/buscar',vm.rd).then(function(data){
            vm.tarifas = data.datos;
            if (id > 0) {
                angular.copy(vm.tarifas[0], vm.tarifa);
            }
        });
    };


    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            if (id > 0) {
                angular.copy(vm.clientes[0], vm.cliente);
            }
            leyendoClientes = false;
        });
    };

    function generarAbonos(){


        var mensajes = [];
        vm.hayErrores= false ;
        if (vm.numero_abonados < 1) {
            mensajes.push('Tienes que generar algún abono ¿ no ?');
            vm.hayErrores = true ;
        }
        if (vm.cliente.id == 0) {
            mensajes.push('Introduzca un cliente');
            vm.hayErrores = true ;
        }
        if (vm.producto.id == 0) {
            mensajes.push('Introduzca un producto');
            vm.hayErrores = true ;
        }

        if ($filter('date')(vm.fd.fechaini, 'yyyy-MM-dd') >  $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd')) {
            mensajes.push('La fecha final no puede ser menor que la fecha inicial');
            vm.hayErrores = true ;
        }
        if (vm.fd.referencia_grupo === '') {
            mensajes.push('Introduzca una referencia para este grupo de abonados');
            vm.hayErrores = true ;
        }


        if (vm.fd.nombre_jugador === '') {
            mensajes.push('El nombre no puede quedarse vacío');
            vm.hayErrores = true ;
        }

        if (vm.tarifa.id < 1) {
            mensajes.push('Introduce una tarifa');
            vm.hayErrores = true ;
        }

        if (vm.hayErrores) {
            vm.datos = {
                mensajes: mensajes,
                cabecera: 'Errores en los datos'
            };
            var confirmacion = ngDialog.openConfirm({
                template: 'views/admin/mensajes-multiples-error.html',
                data: vm.datos
            });
            confirmacion.then(function() {
                return
            }).catch(function(error){
                return error ;
            });

        }
        if (vm.hayErrores) {
            vm.hayErrores = false ;
            return ;
        }


        // copiamos los datos del registro
        vm.rd = angular.copy(vm.fd);

        vm.rd.abono = {
            fechaini : $filter('date')(vm.fd.fechaini, 'yyyy-MM-dd'),
            fechafin : $filter('date')(vm.fd.fechafin, 'yyyy-MM-dd'),
            cliente_id : vm.cliente.id,
            cliente : vm.cliente.cliente ,
            producto_id : vm.producto.id,
            producto : vm.producto.producto,
            tarifa_id : vm.tarifa.id,
            tarifa : vm.tarifa.tarifa,
            anual : vm.anual,
            precio : vm.fd.precio,
            nombre_jugador : vm.fd.nombre_jugador,
            referencia : vm.fd.referencia_grupo,
            gf18    : vm.fd.gf18
        }
        vm.rd.numero_abonados  = vm.numero_abonados ;
        var evo = new EvoratecApi.api();
        var urlApi = '/abonos/generar' ;
        evo.llama(urlApi,vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                Evoratec.mensaje(cadenaMensajes,'Aceptar')
                return ;
            }

        });
    }




};angular.module('app').directive('abonosFacturar', abonosFacturar);
function abonosFacturar(){
    var directive = {
        restrict: 'EA',
        templateUrl: 'views/admin/abonos/abonos-facturar.html',
        scope: {},
        link: linkFunc,
        controller: abonosFacturarController,
        controllerAs: 'vm',
        bindToController: true
    };
    return directive;

    function linkFunc(scope, el, attr, ctrl) {
    }
}
// controlador de la directiva, le inyectamos el servicio de Clientes
abonosFacturarController.$inject = ['$filter','$scope','$log','Evoratec','EvoratecApi'];
function abonosFacturarController($filter,$scope,$log,Evoratec,EvoratecApi) {

    var vm = this;
    vm.registroSel = {
        id : 0
    }  ;
    vm.columnas  = [
        {
            clase :'flex__col-1',
            columna: 'abono',
            field:'abono',
            sort : 'abono',
            header: 'abono'
        },
        {
            clase :'flex__col-2',
            columna: 'razon_social',
            field:'razon_social',
            sort : 'razon_social',
            header: 'Cliente'
        },
        {
            clase :'flex__col-2',
            columna: 'referencia',
            field:'referencia',
            sort : 'referencia',
            header: 'Referencia'
        },
        {
            clase :'flex__col-4',
            columna: 'nombre_jugador',
            field:'nombre_jugador',
            sort : 'nombre_jugador',
            header: 'Nombre Jugador'
        },
        {
            clase :'flex__col-1 campo__fecha',
            columna: 'fecha_i',
            field:'fecha_i',
            sort : 'fechaini',
            header: 'Fecha Inicio'
        },
        {
            clase :'flex__col-1 campo__fecha',
            columna: 'fecha_f',
            field:'fecha_f',
            sort : 'fechafin',
            header: 'Fecha fin'
        },
        {
            clase :'flex__col-1',
            columna: 'precio',
            field:'precio',
            sort : 'precio',
            header: 'precio'
        }
    ]
    // en fd metemos los datos que que tenemos actuales.
    vm.fd = {
        registro : {
            "id":0
        },
        datos: {},
        pageNumber : 1
    };
    // request data
    vm.rd = {
        id : 0
    };
    vm.cliente = {id:0};
    vm.clientes = [];
    // extendemos el controlador
    angular.extend(vm,{
        init : init,
        verDatos : verDatos,
        verRegistro : verRegistro,
        nuevoRegistro : nuevoRegistro,
        ver :ver,
        leerClientes : leerClientes,
        generarAlbaran : generarAlbaran
    })
    vm.init();

    function init(){
        // Hay que poner la fecha del día
        vm.counter = 1 ;
        vm.verDatos();
    }

    function ver(item) {
        vm.itemPopup = item ;
        if (vm.registroSel.id === item.id) {

        } else {
            vm.registroSel.id = item.id ;
        }
    }

    // Ver los Clientes que tenemos
    function verDatos() {
        vm.rd = {
            cliente_id : vm.cliente.id
        };
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/abonos-sin-facturar',vm.rd).then(function(data){
            vm.fd.datos = data.datos ;
            vm.fd.datos = _.map(vm.fd.datos, function(dato) {
                return _.extend({}, dato, {fecha_i: $filter('evofecha')(dato.fechaini),fecha_f: $filter('evofecha')(dato.fechafin)});
            });
            vm.registroSel.id = 0;
        });
    }

    // el parámetro que enviamos aquí es el dato que tenemos en el grid. El registro completo.
    function verRegistro(registro) {
        $scope.$broadcast('abre-registro-'+vm.tabla,registro);
    }
    // enviamos un evento y un registro vacio.
    function nuevoRegistro() {
        $scope.$broadcast('nuevo-registro-'+vm.tabla,vm.fd.registro);
    }

    vm.extractoAbono = function(registro) {
        $scope.$broadcast('ver-extracto-abono',registro);
    }

    $scope.$on('grabando-registro-'+vm.tabla, function (event,data) {
        vm.registroSel.id = 0 ;
        vm.verDatos();
    });

    $scope.$on('limpio-filtros', function(event,data) {
        vm.registroSel.id = 0 ;
    });

    var leyendoClientes = false ;
    function leerClientes(clave,id) {
        if (leyendoClientes) return;
        leyendoClientes = true;
        vm.rd = {};
        vm.rd.razonsocial = clave ;
        vm.rd.id = id ;
        var evo = new EvoratecApi.api();
        evo.llama('/clientes/lista',vm.rd).then(function(data){
            vm.clientes = data.datos;
            leyendoClientes = false;
        });
    };
    function generarAlbaran(){
        // copiamos los datos del registro
        vm.rd.cliente_id = vm.cliente.id ;
        vm.rd.abonos = _.filter(vm.fd.datos, function(o) {
            if (o._selected) return true ;
        });
        var evo = new EvoratecApi.api();
        evo.llama('/abonos/generar-albaran-agrupado',vm.rd).then( function(data){
            if (data.resultado == 'ko') {
                var mensajes = JSON.parse(data.mensajes);
                var cadenaMensajes = ''
                _.each(mensajes, function(campos) {
                    _.each(campos, function(campo) {
                        cadenaMensajes = cadenaMensajes + campo.messages + '<br>'
                    })
                })
                Evoratec.mensaje(cadenaMensajes,'Aceptar')
                return ;
            }
            vm.registroSel.id = 0;
            vm.verDatos();
        });
    }

}



